TAvgLvlTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TAvgLvlTree - an Average Level binary Tree

Declaration

Source position: avglvltree.pas line 38

type TAvgLvlTree = class(TAvlTree)
public
constructor CreateObjectCompare(); |
procedure DisposeNode(); override;
procedure FreeAndDelete(); override; | Call TObject(ANode.Data).Free then delete the node.
property OwnsObjects: Boolean; [rw] | Enable to treat Node.Data as TObject and free on delete
property OnObjectCompare: TAvgLvlObjectSortCompare; [rw] | Same as OnCompare, but with a method instead of a procedure.
end;

Inheritance

TAvgLvlTree

TAvgLvlTree - an Average Level binary Tree
|

TAvlTree
?

TObject

Description

TAvgLvlTree is an Average Level binary Tree. This binary tree is always balanced, so that inserting, deleting and finding a node is performed in O(log(#Nodes))

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TAvgLvlTree

OwnsObjects


TAvgLvlTree
 | CreateObjectCompare
 | DisposeNode
 | FreeAndDelete


TAvgLvlTree

OnObjectCompare


TAvgLvlTree.CreateObjectCompare

Declaration

Source position: avglvltree.pas line 44

public constructor TAvgLvlTree.CreateObjectCompare(

  const OnCompareMethod: TAvgLvlObjectSortCompare

);


TAvgLvlTree.DisposeNode

Declaration

Source position: avglvltree.pas line 45

public procedure TAvgLvlTree.DisposeNode(

  aNode: TAVLTreeNode

); override;


TAvgLvlTree.FreeAndDelete

Call TObject(ANode.Data).Free then delete the node.

Declaration

Source position: avglvltree.pas line 46

public procedure TAvgLvlTree.FreeAndDelete(

  ANode: TAVLTreeNode

); override;


TAvgLvlTree.OnObjectCompare

Same as OnCompare, but with a method instead of a procedure.

Declaration

Source position: avglvltree.pas line 48

public property TAvgLvlTree.OnObjectCompare : TAvgLvlObjectSortCompare
  read GetObjectCompare
  write SetObjectCompare;


TAvgLvlTree.OwnsObjects

Enable to treat Node.Data as TObject and free on delete

Declaration

Source position: avglvltree.pas line 47

public property TAvgLvlTree.OwnsObjects : Boolean
  read FOwnsObjects
  write FOwnsObjects;


TAvgLvlTreeClass

Declaration

Source position: avglvltree.pas line 50

type TAvgLvlTreeClass = class of TAvgLvlTree;


TAvgLvlTreeNode

TAvgLvlTreeNode - a node, the basic structural element of a TAvgLvlTree

Declaration

Source position: avglvltree.pas line 35

type TAvgLvlTreeNode = TAVLTreeNode;


TAvgLvlTreeNodeEnumerator

Declaration

Source position: avglvltree.pas line 36

type TAvgLvlTreeNodeEnumerator = TAVLTreeNodeEnumerator;


TCustomStringMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 156

type TCustomStringMap = class

protected

  procedure DisposeItem(); virtual;

  function ItemsAreEqual(); virtual;

  function CreateCopy(); virtual;

public

  constructor Create();

  destructor Destroy; override;

  procedure Clear; virtual;

  function Contains();

  procedure GetNames();

  procedure Remove(); virtual;

  property CaseSensitive: Boolean; [r]

  property Tree: TAvlTree; [r]

  function FindNode();

  function Count;

  function Equals();

  procedure Assign(); virtual;

  function CalcMemSize; virtual;

  property CompareItemsFunc: TListSortCompare; [r]

  property CompareKeyItemFunc: TListSortCompare; [r]

  procedure SetCompareFuncs();

end;

Inheritance

TCustomStringMap
|

TObject


TCustomStringMap
 | ro | CaseSensitive
 | ro | Tree
 | ro | CompareItemsFunc
 | ro | CompareKeyItemFunc


ro | CaseSensitive (TCustomStringMap)
ro | CompareItemsFunc (TCustomStringMap)
ro | CompareKeyItemFunc (TCustomStringMap)
ro | Tree (TCustomStringMap)


TCustomStringMap
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | Create
 | Destroy
 | Clear
 | Contains
 | GetNames
 | Remove
 | FindNode
 | Count
 | Equals
 | Assign
 | CalcMemSize
 | SetCompareFuncs


 | Assign (TCustomStringMap)
 | CalcMemSize (TCustomStringMap)
 | Clear (TCustomStringMap)
 | Contains (TCustomStringMap)
 | Count (TCustomStringMap)
 | Create (TCustomStringMap)
pt | CreateCopy (TCustomStringMap)
 | Destroy (TCustomStringMap)
pt | DisposeItem (TCustomStringMap)
 | Equals (TCustomStringMap)
 | FindNode (TCustomStringMap)
 | GetNames (TCustomStringMap)
pt | ItemsAreEqual (TCustomStringMap)
 | Remove (TCustomStringMap)
 | SetCompareFuncs (TCustomStringMap)


TCustomStringMap


TCustomStringMap.Assign

Declaration

Source position: avglvltree.pas line 180

public procedure TCustomStringMap.Assign(

  Source: TCustomStringMap

); virtual;


TCustomStringMap.CalcMemSize

Declaration

Source position: avglvltree.pas line 181

public function TCustomStringMap.CalcMemSize: PtrUint; virtual;


TCustomStringMap.CaseSensitive

Declaration

Source position: avglvltree.pas line 175

public property TCustomStringMap.CaseSensitive : Boolean
  read FCaseSensitive;


TCustomStringMap.Clear

Declaration

Source position: avglvltree.pas line 171

public procedure TCustomStringMap.Clear; virtual;


TCustomStringMap.CompareItemsFunc

Declaration

Source position: avglvltree.pas line 182

public property TCustomStringMap.CompareItemsFunc : TListSortCompare
  read GetCompareItemsFunc;


TCustomStringMap.CompareKeyItemFunc

Declaration

Source position: avglvltree.pas line 183

public property TCustomStringMap.CompareKeyItemFunc : TListSortCompare
  read FCompareKeyItemFunc;


TCustomStringMap.Contains

Declaration

Source position: avglvltree.pas line 172

public function TCustomStringMap.Contains(

  const s: string

):Boolean;


TCustomStringMap.Count

Declaration

Source position: avglvltree.pas line 178

public function TCustomStringMap.Count: SizeInt;


TCustomStringMap.Create

Declaration

Source position: avglvltree.pas line 167

public constructor TCustomStringMap.Create(

  TheCaseSensitive: Boolean

);

constructor TCustomStringMap.Create(

  const ACompareItems: TListSortCompare;

  const ACompareNameWithItem: TListSortCompare;

  TheCaseSensitive: Boolean = False

);


TCustomStringMap.CreateCopy

Declaration

Source position: avglvltree.pas line 165

protected function TCustomStringMap.CreateCopy(

  Src: PStringMapItem

):PStringMapItem; virtual;


TCustomStringMap.Destroy

Declaration

Source position: avglvltree.pas line 170

public destructor TCustomStringMap.Destroy; override;


TCustomStringMap.DisposeItem

Declaration

Source position: avglvltree.pas line 163

protected procedure TCustomStringMap.DisposeItem(

  p: PStringMapItem

); virtual;


TCustomStringMap.Equals

Declaration

Source position: avglvltree.pas line 179

public function TCustomStringMap.Equals(

  OtherTree: TCustomStringMap

):Boolean;


TCustomStringMap.FindNode

Declaration

Source position: avglvltree.pas line 177

public function TCustomStringMap.FindNode(

  const s: string

):TAvlTreeNode;


TCustomStringMap.GetNames

Declaration

Source position: avglvltree.pas line 173

public procedure TCustomStringMap.GetNames(

  List: TStrings

);


TCustomStringMap.ItemsAreEqual

Declaration

Source position: avglvltree.pas line 164

protected function TCustomStringMap.ItemsAreEqual(

  p1: PStringMapItem;

  p2: PStringMapItem

):Boolean; virtual;


TCustomStringMap.Remove

Declaration

Source position: avglvltree.pas line 174

public procedure TCustomStringMap.Remove(

  const Name: string

); virtual;


TCustomStringMap.SetCompareFuncs

Declaration

Source position: avglvltree.pas line 184

public procedure TCustomStringMap.SetCompareFuncs(

  const NewCompareItemsFunc: TListSortCompare;

  const NewCompareKeyItemFunc: TListSortCompare

);


TCustomStringMap.Tree

Declaration

Source position: avglvltree.pas line 176

public property TCustomStringMap.Tree : TAvlTree
  read FTree;


TCustomStringMapEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 144

type TCustomStringMapEnumerator = class

protected

  FTree: TAvlTree;

  FCurrent: TAvlTreeNode;

public

  constructor Create();

  function MoveNext;

end;

Inheritance

TCustomStringMapEnumerator
|

TObject


TCustomStringMapEnumerator


TCustomStringMapEnumerator
 | Create
 | MoveNext


TCustomStringMapEnumerator.Create

Declaration

Source position: avglvltree.pas line 149

public constructor TCustomStringMapEnumerator.Create(

  Tree: TAvlTree

);


TCustomStringMapEnumerator.FCurrent

Declaration

Source position: avglvltree.pas line 147

protected TCustomStringMapEnumerator.FCurrent : TAvlTreeNode;


TCustomStringMapEnumerator.FTree

Declaration

Source position: avglvltree.pas line 146

protected TCustomStringMapEnumerator.FTree : TAvlTree;


TCustomStringMapEnumerator.MoveNext

Declaration

Source position: avglvltree.pas line 150

public function TCustomStringMapEnumerator.MoveNext: Boolean;


TFilenameToPointerTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 299

type TFilenameToPointerTree = class(TStringToPointerTree)

public

  constructor Create();

end;

Inheritance

TFilenameToPointerTree
|

TStringToPointerTree
|

TCustomStringMap
|

TObject


TFilenameToPointerTree
TStringToPointerTree
 |  | FreeValues
 |  | Values
TCustomStringMap
 | ro | CaseSensitive
 | ro | Tree
 | ro | CompareItemsFunc
 | ro | CompareKeyItemFunc


ro | CaseSensitive (TCustomStringMap)
ro | CompareItemsFunc (TCustomStringMap)
ro | CompareKeyItemFunc (TCustomStringMap)
 | FreeValues (TStringToPointerTree)
ro | Tree (TCustomStringMap)
 | Values (TStringToPointerTree)


TFilenameToPointerTree
 | Create
TStringToPointerTree
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | GetData
 | GetNodeData
 | GetEnumerator
TCustomStringMap
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | Create
 | Destroy
 | Clear
 | Contains
 | GetNames
 | Remove
 | FindNode
 | Count
 | Equals
 | Assign
 | CalcMemSize
 | SetCompareFuncs


 | Assign (TCustomStringMap)
 | CalcMemSize (TCustomStringMap)
 | Clear (TCustomStringMap)
 | Contains (TCustomStringMap)
 | Count (TCustomStringMap)
 | Create (TCustomStringMap)
 | Create (TFilenameToPointerTree)
pt | CreateCopy (TCustomStringMap)
pt | CreateCopy (TStringToPointerTree)
 | Destroy (TCustomStringMap)
pt | DisposeItem (TCustomStringMap)
pt | DisposeItem (TStringToPointerTree)
 | Equals (TCustomStringMap)
 | FindNode (TCustomStringMap)
 | GetData (TStringToPointerTree)
 | GetEnumerator (TStringToPointerTree)
 | GetNames (TCustomStringMap)
 | GetNodeData (TStringToPointerTree)
pt | ItemsAreEqual (TCustomStringMap)
pt | ItemsAreEqual (TStringToPointerTree)
 | Remove (TCustomStringMap)
 | SetCompareFuncs (TCustomStringMap)


TFilenameToPointerTree

TStringToPointerTree

TCustomStringMap


TFilenameToPointerTree.Create

Declaration

Source position: avglvltree.pas line 301

public constructor TFilenameToPointerTree.Create(

  CaseInsensitive: Boolean

);


TFilenameToStringTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 292

type TFilenameToStringTree = class(TStringToStringTree)

public

  constructor Create();

end;

Inheritance

TFilenameToStringTree
|

TStringToStringTree

TStringToStringTree - an associative array of StringToString Items, or a tree of trees
|

TCustomStringMap
|

TObject


TFilenameToStringTree
TStringToStringTree
 |  | Values
TCustomStringMap
 | ro | CaseSensitive
 | ro | Tree
 | ro | CompareItemsFunc
 | ro | CompareKeyItemFunc


ro | CaseSensitive (TCustomStringMap)
ro | CompareItemsFunc (TCustomStringMap)
ro | CompareKeyItemFunc (TCustomStringMap)
ro | Tree (TCustomStringMap)
 | Values (TStringToStringTree)


TFilenameToStringTree
 | Create
TStringToStringTree
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
pt | GetNode
 | GetString
 | Add
 | AddNameValues
 | AddValues
 | AddNames
 | Delete
 | GetNodeData
 | AsText
 | Assign
 | CalcMemSize
 | GetEnumerator
 | GetFirst
 | GetLast
 | GetNext
 | GetPrev
TCustomStringMap
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | Create
 | Destroy
 | Clear
 | Contains
 | GetNames
 | Remove
 | FindNode
 | Count
 | Equals
 | Assign
 | CalcMemSize
 | SetCompareFuncs


 | Add (TStringToStringTree)
 | AddNames (TStringToStringTree)
 | AddNameValues (TStringToStringTree)
 | AddValues (TStringToStringTree)
 | Assign (TCustomStringMap)
 | Assign (TStringToStringTree)
 | AsText (TStringToStringTree)
 | CalcMemSize (TCustomStringMap)
 | CalcMemSize (TStringToStringTree)
 | Clear (TCustomStringMap)
 | Contains (TCustomStringMap)
 | Count (TCustomStringMap)
 | Create (TCustomStringMap)
 | Create (TFilenameToStringTree)
pt | CreateCopy (TCustomStringMap)
pt | CreateCopy (TStringToStringTree)
 | Delete (TStringToStringTree)
 | Destroy (TCustomStringMap)
pt | DisposeItem (TCustomStringMap)
pt | DisposeItem (TStringToStringTree)
 | Equals (TCustomStringMap)
 | FindNode (TCustomStringMap)
 | GetEnumerator (TStringToStringTree)
 | GetFirst (TStringToStringTree)
 | GetLast (TStringToStringTree)
 | GetNames (TCustomStringMap)
 | GetNext (TStringToStringTree)
pt | GetNode (TStringToStringTree)
 | GetNodeData (TStringToStringTree)
 | GetPrev (TStringToStringTree)
 | GetString (TStringToStringTree)
pt | ItemsAreEqual (TCustomStringMap)
pt | ItemsAreEqual (TStringToStringTree)
 | Remove (TCustomStringMap)
 | SetCompareFuncs (TCustomStringMap)


TFilenameToStringTree

TStringToStringTree

TCustomStringMap


TFilenameToStringTree.Create

Declaration

Source position: avglvltree.pas line 294

public constructor TFilenameToStringTree.Create(

  CaseInsensitive: Boolean

);


TIndexedAVLTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 61

type TIndexedAVLTree = class(TAvgLvlTree)

protected

  fLastIndex: SizeInt;

  fLastNode: TIndexedAVLTreeNode;

  procedure DeletingNode(); override;

  procedure Init; override;

  procedure NodeAdded(); override;

  procedure RotateLeft(); override;

  procedure RotateRight(); override;

  procedure SwitchPositionWithSuccessor(); override;

public

  function GetNodeAtIndex();

  function NodeToIndex();

  function IndexOf();

  property Items []: Pointer; default; [r]

  procedure ConsistencyCheck; override;

  function NodeToReportStr(); override;

end;

Inheritance

TIndexedAVLTree
|

TAvgLvlTree

TAvgLvlTree - an Average Level binary Tree
|

TAvlTree
?

TObject


TIndexedAVLTree
 | ro | Items
TAvgLvlTree
 |  | OwnsObjects


ro | Items (TIndexedAVLTree)
 | OwnsObjects (TAvgLvlTree)


TIndexedAVLTree
pt | DeletingNode
pt | Init
pt | NodeAdded
pt | RotateLeft
pt | RotateRight
pt | SwitchPositionWithSuccessor
 | GetNodeAtIndex
 | NodeToIndex
 | IndexOf
 | ConsistencyCheck
 | NodeToReportStr
TAvgLvlTree
 | CreateObjectCompare
 | DisposeNode
 | FreeAndDelete


pt | DeletingNode (TIndexedAVLTree)
 | DisposeNode (TAvgLvlTree)
 | FreeAndDelete (TAvgLvlTree)
 | GetNodeAtIndex (TIndexedAVLTree)
 | IndexOf (TIndexedAVLTree)
pt | Init (TIndexedAVLTree)
pt | NodeAdded (TIndexedAVLTree)
 | NodeToIndex (TIndexedAVLTree)
 | NodeToReportStr (TIndexedAVLTree)
pt | RotateLeft (TIndexedAVLTree)
pt | RotateRight (TIndexedAVLTree)
pt | SwitchPositionWithSuccessor (TIndexedAVLTree)


TIndexedAVLTree

TAvgLvlTree

OnObjectCompare


TIndexedAVLTree.ConsistencyCheck

Declaration

Source position: avglvltree.pas line 78

public procedure TIndexedAVLTree.ConsistencyCheck; override;


TIndexedAVLTree.DeletingNode

Declaration

Source position: avglvltree.pas line 67

protected procedure TIndexedAVLTree.DeletingNode(

  aNode: TAvlTreeNode

); override;


TIndexedAVLTree.fLastIndex

Declaration

Source position: avglvltree.pas line 65

protected TIndexedAVLTree.fLastIndex : SizeInt;


TIndexedAVLTree.fLastNode

Declaration

Source position: avglvltree.pas line 66

protected TIndexedAVLTree.fLastNode : TIndexedAVLTreeNode;


TIndexedAVLTree.GetNodeAtIndex

Declaration

Source position: avglvltree.pas line 74

public function TIndexedAVLTree.GetNodeAtIndex(

  Index: Integer

):TIndexedAVLTreeNode;


TIndexedAVLTree.IndexOf

Declaration

Source position: avglvltree.pas line 76

public function TIndexedAVLTree.IndexOf(

  Data: Pointer

):SizeInt;


TIndexedAVLTree.Init

Declaration

Source position: avglvltree.pas line 68

protected procedure TIndexedAVLTree.Init; override;


TIndexedAVLTree.Items

Declaration

Source position: avglvltree.pas line 77

public property TIndexedAVLTree.Items[Index: SizeInt] : Pointer
  read GetItems;
  default;


TIndexedAVLTree.NodeAdded

Declaration

Source position: avglvltree.pas line 69

protected procedure TIndexedAVLTree.NodeAdded(

  aNode: TAvlTreeNode

); override;


TIndexedAVLTree.NodeToIndex

Declaration

Source position: avglvltree.pas line 75

public function TIndexedAVLTree.NodeToIndex(

  Node: TAvlTreeNode

):SizeInt;


TIndexedAVLTree.NodeToReportStr

Declaration

Source position: avglvltree.pas line 79

public function TIndexedAVLTree.NodeToReportStr(

  aNode: TAvlTreeNode

):string; override;


TIndexedAVLTree.RotateLeft

Declaration

Source position: avglvltree.pas line 70

protected procedure TIndexedAVLTree.RotateLeft(

  aNode: TAvlTreeNode

); override;


TIndexedAVLTree.RotateRight

Declaration

Source position: avglvltree.pas line 71

protected procedure TIndexedAVLTree.RotateRight(

  aNode: TAvlTreeNode

); override;


TIndexedAVLTree.SwitchPositionWithSuccessor

Declaration

Source position: avglvltree.pas line 72

protected procedure TIndexedAVLTree.SwitchPositionWithSuccessor(

  aNode: TAvlTreeNode;

  aSuccessor: TAvlTreeNode

); override;


TIndexedAVLTreeNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 54

type TIndexedAVLTreeNode = class(TAvlTreeNode)

public

  LeftCount: SizeInt;

end;

Inheritance

TIndexedAVLTreeNode
|

TAvlTreeNode
?

TObject


TIndexedAVLTreeNode


TIndexedAVLTreeNode.LeftCount

Declaration

Source position: avglvltree.pas line 56

public TIndexedAVLTreeNode.LeftCount : SizeInt;


TPointerToPointerEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 92

type TPointerToPointerEnumerator = class

protected

  FHighToLow: Boolean;

  FTree: TAvlTree;

  FCurrent: TAvlTreeNode;

  function GetCurrent;

public

  constructor Create();

  function GetEnumerator;

  function MoveNext;

  property Current: PPointerToPointerItem; [r]

  property HighToLow: Boolean; [r]

end;

Inheritance

TPointerToPointerEnumerator
|

TObject


TPointerToPointerEnumerator
 | ro | Current
 | ro | HighToLow


ro | Current (TPointerToPointerEnumerator)
ro | HighToLow (TPointerToPointerEnumerator)


TPointerToPointerEnumerator
pt | GetCurrent
 | Create
 | GetEnumerator
 | MoveNext


pt | GetCurrent (TPointerToPointerEnumerator)
 | GetEnumerator (TPointerToPointerEnumerator)
 | MoveNext (TPointerToPointerEnumerator)


TPointerToPointerEnumerator


TPointerToPointerEnumerator.Create

Declaration

Source position: avglvltree.pas line 99

public constructor TPointerToPointerEnumerator.Create(

  Tree: TAvlTree

);


TPointerToPointerEnumerator.Current

Declaration

Source position: avglvltree.pas line 102

public property TPointerToPointerEnumerator.Current : PPointerToPointerItem
  read GetCurrent;


TPointerToPointerEnumerator.FCurrent

Declaration

Source position: avglvltree.pas line 96

protected TPointerToPointerEnumerator.FCurrent : TAvlTreeNode;


TPointerToPointerEnumerator.FHighToLow

Declaration

Source position: avglvltree.pas line 94

protected TPointerToPointerEnumerator.FHighToLow : Boolean;


TPointerToPointerEnumerator.FTree

Declaration

Source position: avglvltree.pas line 95

protected TPointerToPointerEnumerator.FTree : TAvlTree;


TPointerToPointerEnumerator.GetCurrent

Declaration

Source position: avglvltree.pas line 97

protected function TPointerToPointerEnumerator.GetCurrent: PPointerToPointerItem;


TPointerToPointerEnumerator.GetEnumerator

Declaration

Source position: avglvltree.pas line 100

public function TPointerToPointerEnumerator.GetEnumerator: TPointerToPointerEnumerator;


TPointerToPointerEnumerator.HighToLow

Declaration

Source position: avglvltree.pas line 103

public property TPointerToPointerEnumerator.HighToLow : Boolean
  read FHighToLow;


TPointerToPointerEnumerator.MoveNext

Declaration

Source position: avglvltree.pas line 101

public function TPointerToPointerEnumerator.MoveNext: Boolean;


TPointerToPointerTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TPointerToPointerTree - an associative array of PointerToPointer Items, or a tree of trees

Declaration

Source position: avglvltree.pas line 106

type TPointerToPointerTree = class
public
constructor Create; | Create - constructor for TPointerToPointerTree. Calls the TAvgLvlTree.Create method
destructor Destroy; override; | Destroy - destructor for TPointerToPointerTree: Clear the tree, Free the items then call inherited Destroy
procedure Clear; | Clear - removes each node from the tree, leaving an empty tree
procedure ClearWithFree;
function Equals(); override;
function IsEqual();
procedure Assign();
procedure Remove(); | Remove the node specified by Key from the tree
function Contains(); | Returns True if the tree Contains the node specified by Key
function GetFirst(); | GetFirst - finds the first node matching the supplied arguments; returns True if successful
function GetLast(); | GetLast - finds the last node matching the supplied arguments; returns True if successful
function GetNext(); | GetNext - finds the next node matching the supplied arguments; returns True if successful
function GetPrev(); | GetPrev - finds the previous node matching the supplied arguments; returns True if successful
property Count: SizeInt; [r] | Count - the number of items
property Values []: Pointer; default; [rw] | Values - a pointer into the array of values associated with the nodes
property Tree: TAvlTree; [r] | The Tree that forms the basis of the associative array
function GetEnumerator;
function GetEnumeratorHighToLow;
end;

Inheritance

TPointerToPointerTree

TPointerToPointerTree - an associative array of PointerToPointer Items, or a tree of trees
|

TObject

Description

TPointerToPointerTree - an associative array of PointerToPointer Items, or a tree of trees. This class uses pointers to identify pointers within the array, unlike the TStringToStringTree, which uses strings to identify strings.


TPointerToPointerTree
 | ro | Count
 |  | Values
 | ro | Tree


ro | Count (TPointerToPointerTree)
ro | Tree (TPointerToPointerTree)
 | Values (TPointerToPointerTree)


TPointerToPointerTree
 | Create
 | Destroy
 | Clear
 | ClearWithFree
 | Equals
 | IsEqual
 | Assign
 | Remove
 | Contains
 | GetFirst
 | GetLast
 | GetNext
 | GetPrev
 | GetEnumerator
 | GetEnumeratorHighToLow


Assign (TPointerToPointerTree)

Clear (TPointerToPointerTree)

ClearWithFree (TPointerToPointerTree)

Contains (TPointerToPointerTree)

Create (TPointerToPointerTree)

Destroy (TPointerToPointerTree)

Equals (TPointerToPointerTree)

GetEnumerator (TPointerToPointerTree)

GetEnumeratorHighToLow (TPointerToPointerTree)

GetFirst (TPointerToPointerTree)

GetLast (TPointerToPointerTree)

GetNext (TPointerToPointerTree)

GetPrev (TPointerToPointerTree)

IsEqual (TPointerToPointerTree)

Remove (TPointerToPointerTree)


TPointerToPointerTree


TPointerToPointerTree.Assign

Declaration

Source position: avglvltree.pas line 121

public procedure TPointerToPointerTree.Assign(

  aTree: TPointerToPointerTree

);


TPointerToPointerTree.Clear

Clear - removes each node from the tree, leaving an empty tree

Declaration

Source position: avglvltree.pas line 117

public procedure TPointerToPointerTree.Clear;


TPointerToPointerTree.ClearWithFree

Declaration

Source position: avglvltree.pas line 118

public procedure TPointerToPointerTree.ClearWithFree;


TPointerToPointerTree.Contains

Returns True if the tree Contains the node specified by Key

Declaration

Source position: avglvltree.pas line 123

public function TPointerToPointerTree.Contains(

  const Key: Pointer

):Boolean;


TPointerToPointerTree.Count

Count - the number of items

Declaration

Source position: avglvltree.pas line 128

public property TPointerToPointerTree.Count : SizeInt
  read GetCount;


TPointerToPointerTree.Create

Create - constructor for TPointerToPointerTree. Calls the TAvgLvlTree.Create method

Declaration

Source position: avglvltree.pas line 115

public constructor TPointerToPointerTree.Create;

See also

TAvgLvlTree.Create


TPointerToPointerTree.Destroy

Destroy - destructor for TPointerToPointerTree: Clear the tree, Free the items then call inherited Destroy

Declaration

Source position: avglvltree.pas line 116

public destructor TPointerToPointerTree.Destroy; override;

See also

TObject.Destroy


TPointerToPointerTree.Equals

Declaration

Source position: avglvltree.pas line 119

public function TPointerToPointerTree.Equals(

  Obj: TObject

):Boolean; override;


TPointerToPointerTree.GetEnumerator

Declaration

Source position: avglvltree.pas line 133

public function TPointerToPointerTree.GetEnumerator: TPointerToPointerEnumerator;


TPointerToPointerTree.GetEnumeratorHighToLow

Declaration

Source position: avglvltree.pas line 134

public function TPointerToPointerTree.GetEnumeratorHighToLow: TPointerToPointerEnumerator;


TPointerToPointerTree.GetFirst

GetFirst - finds the first node matching the supplied arguments; returns True if successful

Declaration

Source position: avglvltree.pas line 124

public function TPointerToPointerTree.GetFirst(

  out Key: Pointer;

  out Value: Pointer

):Boolean;


TPointerToPointerTree.GetLast

GetLast - finds the last node matching the supplied arguments; returns True if successful

Declaration

Source position: avglvltree.pas line 125

public function TPointerToPointerTree.GetLast(

  out Key: Pointer;

  out Value: Pointer

):Boolean;


TPointerToPointerTree.GetNext

GetNext - finds the next node matching the supplied arguments; returns True if successful

Declaration

Source position: avglvltree.pas line 126

public function TPointerToPointerTree.GetNext(

  const Key: Pointer;

  out NextKey: Pointer;

  out NextValue: Pointer

):Boolean;


TPointerToPointerTree.GetPrev

GetPrev - finds the previous node matching the supplied arguments; returns True if successful

Declaration

Source position: avglvltree.pas line 127

public function TPointerToPointerTree.GetPrev(

  const Key: Pointer;

  out PrevKey: Pointer;

  out PrevValue: Pointer

):Boolean;


TPointerToPointerTree.IsEqual

Declaration

Source position: avglvltree.pas line 120

public function TPointerToPointerTree.IsEqual(

  aTree: TPointerToPointerTree

):Boolean;


TPointerToPointerTree.Remove

Remove the node specified by Key from the tree

Declaration

Source position: avglvltree.pas line 122

public procedure TPointerToPointerTree.Remove(

  Key: Pointer

);


TPointerToPointerTree.Tree

The Tree that forms the basis of the associative array

Declaration

Source position: avglvltree.pas line 130

public property TPointerToPointerTree.Tree : TAvlTree
  read FItems;


TPointerToPointerTree.Values

Values - a pointer into the array of values associated with the nodes

Declaration

Source position: avglvltree.pas line 129

public property TPointerToPointerTree.Values[Key: Pointer] : Pointer
  read GetValues
  write SetValues;
  default;


TStringMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 200

type TStringMap = class(TCustomStringMap)

public

  procedure Add();

  function GetEnumerator;

  property Values []: Boolean; default; [rw]

end;

Inheritance

TStringMap
|

TCustomStringMap
|

TObject


TStringMap
 |  | Values
TCustomStringMap
 | ro | CaseSensitive
 | ro | Tree
 | ro | CompareItemsFunc
 | ro | CompareKeyItemFunc


ro | CaseSensitive (TCustomStringMap)
ro | CompareItemsFunc (TCustomStringMap)
ro | CompareKeyItemFunc (TCustomStringMap)
ro | Tree (TCustomStringMap)
 | Values (TStringMap)


TStringMap
 | Add
 | GetEnumerator
TCustomStringMap
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | Create
 | Destroy
 | Clear
 | Contains
 | GetNames
 | Remove
 | FindNode
 | Count
 | Equals
 | Assign
 | CalcMemSize
 | SetCompareFuncs


 | Add (TStringMap)
 | Assign (TCustomStringMap)
 | CalcMemSize (TCustomStringMap)
 | Clear (TCustomStringMap)
 | Contains (TCustomStringMap)
 | Count (TCustomStringMap)
 | Create (TCustomStringMap)
pt | CreateCopy (TCustomStringMap)
 | Destroy (TCustomStringMap)
pt | DisposeItem (TCustomStringMap)
 | Equals (TCustomStringMap)
 | FindNode (TCustomStringMap)
 | GetEnumerator (TStringMap)
 | GetNames (TCustomStringMap)
pt | ItemsAreEqual (TCustomStringMap)
 | Remove (TCustomStringMap)
 | SetCompareFuncs (TCustomStringMap)


TStringMap

TCustomStringMap


TStringMap.Add

Declaration

Source position: avglvltree.pas line 205

public procedure TStringMap.Add(

  const Name: string

);


TStringMap.GetEnumerator

Declaration

Source position: avglvltree.pas line 206

public function TStringMap.GetEnumerator: TStringMapEnumerator;


TStringMap.Values

Declaration

Source position: avglvltree.pas line 207

public property TStringMap.Values[s: string] : Boolean
  read GetValues
  write SetValues;
  default;


TStringMapEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 191

type TStringMapEnumerator = class(TCustomStringMapEnumerator)

public

  property Current: string; [r]

end;

Inheritance

TStringMapEnumerator
|

TCustomStringMapEnumerator
|

TObject


TStringMapEnumerator

ro

Current

TCustomStringMapEnumerator


ro

Current (TStringMapEnumerator)


TStringMapEnumerator
TCustomStringMapEnumerator
 | Create
 | MoveNext


TStringMapEnumerator

TCustomStringMapEnumerator


TStringMapEnumerator.Current

Declaration

Source position: avglvltree.pas line 195

public property TStringMapEnumerator.Current : string
  read GetCurrent;


TStringToPointerTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 273

type TStringToPointerTree = class(TCustomStringMap)

protected

  procedure DisposeItem(); override;

  function ItemsAreEqual(); override;

  function CreateCopy(); override;

public

  function GetData();

  function GetNodeData();

  function GetEnumerator;

  property FreeValues: Boolean; [rw]

  property Values []: Pointer; default; [rw]

end;

Inheritance

TStringToPointerTree
|

TCustomStringMap
|

TObject


TStringToPointerTree
 |  | FreeValues
 |  | Values
TCustomStringMap
 | ro | CaseSensitive
 | ro | Tree
 | ro | CompareItemsFunc
 | ro | CompareKeyItemFunc


TStringToPointerTree
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | GetData
 | GetNodeData
 | GetEnumerator
TCustomStringMap
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | Create
 | Destroy
 | Clear
 | Contains
 | GetNames
 | Remove
 | FindNode
 | Count
 | Equals
 | Assign
 | CalcMemSize
 | SetCompareFuncs


 | Assign (TCustomStringMap)
 | CalcMemSize (TCustomStringMap)
 | Clear (TCustomStringMap)
 | Contains (TCustomStringMap)
 | Count (TCustomStringMap)
 | Create (TCustomStringMap)
pt | CreateCopy (TCustomStringMap)
pt | CreateCopy (TStringToPointerTree)
 | Destroy (TCustomStringMap)
pt | DisposeItem (TCustomStringMap)
pt | DisposeItem (TStringToPointerTree)
 | Equals (TCustomStringMap)
 | FindNode (TCustomStringMap)
 | GetData (TStringToPointerTree)
 | GetEnumerator (TStringToPointerTree)
 | GetNames (TCustomStringMap)
 | GetNodeData (TStringToPointerTree)
pt | ItemsAreEqual (TCustomStringMap)
pt | ItemsAreEqual (TStringToPointerTree)
 | Remove (TCustomStringMap)
 | SetCompareFuncs (TCustomStringMap)


TStringToPointerTree

TCustomStringMap


TStringToPointerTree.CreateCopy

Declaration

Source position: avglvltree.pas line 281

protected function TStringToPointerTree.CreateCopy(

  Src: PStringMapItem

):PStringMapItem; override;


TStringToPointerTree.DisposeItem

Declaration

Source position: avglvltree.pas line 279

protected procedure TStringToPointerTree.DisposeItem(

  p: PStringMapItem

); override;


TStringToPointerTree.FreeValues

Declaration

Source position: avglvltree.pas line 286

public property TStringToPointerTree.FreeValues : Boolean
  read FFreeValues
  write FFreeValues;


TStringToPointerTree.GetData

Declaration

Source position: avglvltree.pas line 283

public function TStringToPointerTree.GetData(

  const Name: string;

  out Value: Pointer

):Boolean;


TStringToPointerTree.GetEnumerator

Declaration

Source position: avglvltree.pas line 285

public function TStringToPointerTree.GetEnumerator: TStringToPointerTreeEnumerator;


TStringToPointerTree.GetNodeData

Declaration

Source position: avglvltree.pas line 284

public function TStringToPointerTree.GetNodeData(

  Node: TAVLTreeNode

):PStringToPointerTreeItem;


TStringToPointerTree.ItemsAreEqual

Declaration

Source position: avglvltree.pas line 280

protected function TStringToPointerTree.ItemsAreEqual(

  p1: PStringMapItem;

  p2: PStringMapItem

):Boolean; override;


TStringToPointerTree.Values

Declaration

Source position: avglvltree.pas line 287

public property TStringToPointerTree.Values[s: string] : Pointer
  read GetValues
  write SetValues;
  default;


TStringToPointerTreeEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 266

type TStringToPointerTreeEnumerator = class(TStringMapEnumerator)

public

  property Current: PStringToPointerTreeItem; [r]

end;

Inheritance

TStringToPointerTreeEnumerator
|

TStringMapEnumerator
|

TCustomStringMapEnumerator
|

TObject


TStringToPointerTreeEnumerator
 | ro | Current
TStringMapEnumerator
 | ro | Current
TCustomStringMapEnumerator


ro | Current (TStringMapEnumerator)
ro | Current (TStringToPointerTreeEnumerator)


TStringToPointerTreeEnumerator
TStringMapEnumerator
TCustomStringMapEnumerator
 | Create
 | MoveNext


TStringToPointerTreeEnumerator

TStringMapEnumerator

TCustomStringMapEnumerator


TStringToPointerTreeEnumerator.Current

Declaration

Source position: avglvltree.pas line 270

public property TStringToPointerTreeEnumerator.Current : PStringToPointerTreeItem
  read GetCurrent;


TStringToStringTree

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TStringToStringTree - an associative array of StringToString Items, or a tree of trees

Declaration

Source position: avglvltree.pas line 229

type TStringToStringTree = class(TCustomStringMap)
protected
procedure DisposeItem(); override;
function ItemsAreEqual(); override;
function CreateCopy(); override;
function GetNode();
public
function GetString();
procedure Add(); | Add an item to the tree (specified by its name, value or delimiter)
procedure AddNameValues(); | AddNameValues add the specified named values to the tree
procedure AddValues(); deprecated ; | AddValues - adds the specified values to the tree
procedure AddNames();
procedure Delete(); deprecated ;
property Values []: string; default; [rw] | The Values of the strings corresponding to the supplied name
function GetNodeData();
function AsText;
procedure Assign(); override;
function CalcMemSize; override;
function GetEnumerator;
function GetFirst(); | GetFirst - finds the matching first item; returns True if successful
function GetLast(); | GetLast - finds the last matching item; returns True if successful
function GetNext(); | GetNext - finds the next matching item; returns True if successful
function GetPrev(); | GetPrev - finds the previous matching item; returns True if successful
end;

Inheritance

TStringToStringTree

TStringToStringTree - an associative array of StringToString Items, or a tree of trees
|

TCustomStringMap
|

TObject

Description

TStringToStringTree - an associative array of StringToString Items, or a tree of trees. This class uses strings to identify strings within the array, unlike the TPointerToPointerTree, which uses pointers to identify pointers.


TStringToStringTree
 |  | Values
TCustomStringMap
 | ro | CaseSensitive
 | ro | Tree
 | ro | CompareItemsFunc
 | ro | CompareKeyItemFunc


TStringToStringTree
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
pt | GetNode
 | GetString
 | Add
 | AddNameValues
 | AddValues
 | AddNames
 | Delete
 | GetNodeData
 | AsText
 | Assign
 | CalcMemSize
 | GetEnumerator
 | GetFirst
 | GetLast
 | GetNext
 | GetPrev
TCustomStringMap
pt | DisposeItem
pt | ItemsAreEqual
pt | CreateCopy
 | Create
 | Destroy
 | Clear
 | Contains
 | GetNames
 | Remove
 | FindNode
 | Count
 | Equals
 | Assign
 | CalcMemSize
 | SetCompareFuncs


 | Add (TStringToStringTree)
 | AddNames (TStringToStringTree)
 | AddNameValues (TStringToStringTree)
 | AddValues (TStringToStringTree)
 | Assign (TCustomStringMap)
 | Assign (TStringToStringTree)
 | AsText (TStringToStringTree)
 | CalcMemSize (TCustomStringMap)
 | CalcMemSize (TStringToStringTree)
 | Clear (TCustomStringMap)
 | Contains (TCustomStringMap)
 | Count (TCustomStringMap)
 | Create (TCustomStringMap)
pt | CreateCopy (TCustomStringMap)
pt | CreateCopy (TStringToStringTree)
 | Delete (TStringToStringTree)
 | Destroy (TCustomStringMap)
pt | DisposeItem (TCustomStringMap)
pt | DisposeItem (TStringToStringTree)
 | Equals (TCustomStringMap)
 | FindNode (TCustomStringMap)
 | GetEnumerator (TStringToStringTree)
 | GetFirst (TStringToStringTree)
 | GetLast (TStringToStringTree)
 | GetNames (TCustomStringMap)
 | GetNext (TStringToStringTree)
pt | GetNode (TStringToStringTree)
 | GetNodeData (TStringToStringTree)
 | GetPrev (TStringToStringTree)
 | GetString (TStringToStringTree)
pt | ItemsAreEqual (TCustomStringMap)
pt | ItemsAreEqual (TStringToStringTree)
 | Remove (TCustomStringMap)
 | SetCompareFuncs (TCustomStringMap)


TStringToStringTree

TCustomStringMap


TStringToStringTree.Add

Add an item to the tree (specified by its name, value or delimiter)

Declaration

Source position: avglvltree.pas line 240

public procedure TStringToStringTree.Add(

  const Name: string;

  const Value: string

);

procedure TStringToStringTree.Add(

  const Name: string;

  const Value: string;

  const Delimiter: string

);


TStringToStringTree.AddNames

Declaration

Source position: avglvltree.pas line 244

public procedure TStringToStringTree.AddNames(

  List: TStrings

);


TStringToStringTree.AddNameValues

AddNameValues add the specified named values to the tree

Declaration

Source position: avglvltree.pas line 242

public procedure TStringToStringTree.AddNameValues(

  List: TStrings

);


TStringToStringTree.AddValues

[Overview][Types][Classes][Procedures and functions][Index] Reference for unit 'AvgLvlTree' (#lazutils)

TStringToStringTree.AddValues (deprecated)

AddValues - adds the specified values to the tree

Declaration

Source position: avglvltree.pas line 243

public procedure TStringToStringTree.AddValues(

  List: TStrings

);


TStringToStringTree.Assign

Declaration

Source position: avglvltree.pas line 249

public procedure TStringToStringTree.Assign(

  Source: TCustomStringMap

); override;


TStringToStringTree.AsText

Declaration

Source position: avglvltree.pas line 248

public function TStringToStringTree.AsText: string;


TStringToStringTree.CalcMemSize

Declaration

Source position: avglvltree.pas line 250

public function TStringToStringTree.CalcMemSize: PtrUint; override;


TStringToStringTree.CreateCopy

Declaration

Source position: avglvltree.pas line 236

protected function TStringToStringTree.CreateCopy(

  Src: PStringMapItem

):PStringMapItem; override;


TStringToStringTree.Delete

[Overview][Types][Classes][Procedures and functions][Index] Reference for unit 'AvgLvlTree' (#lazutils)

TStringToStringTree.Delete (deprecated)

Declaration

Source position: avglvltree.pas line 245

public procedure TStringToStringTree.Delete(

  const Name: string

);


TStringToStringTree.DisposeItem

Declaration

Source position: avglvltree.pas line 234

protected procedure TStringToStringTree.DisposeItem(

  p: PStringMapItem

); override;


TStringToStringTree.GetEnumerator

Declaration

Source position: avglvltree.pas line 251

public function TStringToStringTree.GetEnumerator: TStringToStringTreeEnumerator;


TStringToStringTree.GetFirst

GetFirst - finds the matching first item; returns True if successful

Declaration

Source position: avglvltree.pas line 252

public function TStringToStringTree.GetFirst(

  out Name: string;

  out Value: string

):Boolean;


TStringToStringTree.GetLast

GetLast - finds the last matching item; returns True if successful

Declaration

Source position: avglvltree.pas line 253

public function TStringToStringTree.GetLast(

  out Name: string;

  out Value: string

):Boolean;


TStringToStringTree.GetNext

GetNext - finds the next matching item; returns True if successful

Declaration

Source position: avglvltree.pas line 254

public function TStringToStringTree.GetNext(

  const Name: string;

  out NextName: string;

  out NextValue: string

):Boolean;


TStringToStringTree.GetNode

Declaration

Source position: avglvltree.pas line 237

protected function TStringToStringTree.GetNode(

  Node: TAvlTreeNode;

  out Name: string;

  out Value: string

):Boolean;


TStringToStringTree.GetNodeData

Declaration

Source position: avglvltree.pas line 247

public function TStringToStringTree.GetNodeData(

  Node: TAVLTreeNode

):PStringToStringItem;


TStringToStringTree.GetPrev

GetPrev - finds the previous matching item; returns True if successful

Declaration

Source position: avglvltree.pas line 255

public function TStringToStringTree.GetPrev(

  const Name: string;

  out PrevName: string;

  out PrevValue: string

):Boolean;


TStringToStringTree.GetString

Declaration

Source position: avglvltree.pas line 239

public function TStringToStringTree.GetString(

  const Name: string;

  out Value: string

):Boolean;


TStringToStringTree.ItemsAreEqual

Declaration

Source position: avglvltree.pas line 235

protected function TStringToStringTree.ItemsAreEqual(

  p1: PStringMapItem;

  p2: PStringMapItem

):Boolean; override;


TStringToStringTree.Values

The Values of the strings corresponding to the supplied name

Declaration

Source position: avglvltree.pas line 246

public property TStringToStringTree.Values[s: string] : string
  read GetValues
  write SetValues;
  default;


TStringToStringTreeEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: avglvltree.pas line 220

type TStringToStringTreeEnumerator = class(TCustomStringMapEnumerator)

public

  property Current: PStringToStringItem; [r]

end;

Inheritance

TStringToStringTreeEnumerator
|

TCustomStringMapEnumerator
|

TObject


TStringToStringTreeEnumerator

ro

Current

TCustomStringMapEnumerator


ro

Current (TStringToStringTreeEnumerator)


TStringToStringTreeEnumerator
TCustomStringMapEnumerator
 | Create
 | MoveNext


TStringToStringTreeEnumerator

TCustomStringMapEnumerator


TStringToStringTreeEnumerator.Current

Declaration

Source position: avglvltree.pas line 224

public property TStringToStringTreeEnumerator.Current : PStringToStringItem
  read GetCurrent;


EArray

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dynamicarray.pas line 26

type EArray = class(Exception)

Inheritance

EArray
|

Exception
|

TObject


EArray
Exception
 | HelpContext
 | Message
TObject


EArray
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EArray

Exception

TObject


TPointerPointerArray

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dynamicarray.pas line 31

type TPointerPointerArray = class

public

  constructor Create;

  destructor Destroy; override;

  procedure SetLength();

  procedure DeleteColRow();

  procedure MoveColRow();

  procedure ExchangeColRow();

  procedure Clear;

  property Arr []: Pointer; default; [rw]

  property OnDestroyItem: TOnNotifyItem; [rw]

  property OnNewItem: TOnNotifyItem; [rw]

end;

Inheritance

TPointerPointerArray
|

TObject


TPointerPointerArray

Arr


TPointerPointerArray
 | Create
 | Destroy
 | SetLength
 | DeleteColRow
 | MoveColRow
 | ExchangeColRow
 | Clear


Clear (TPointerPointerArray)

Create (TPointerPointerArray)

DeleteColRow (TPointerPointerArray)

Destroy (TPointerPointerArray)

ExchangeColRow (TPointerPointerArray)

MoveColRow (TPointerPointerArray)

SetLength (TPointerPointerArray)


TPointerPointerArray
 | OnDestroyItem
 | OnNewItem


TPointerPointerArray.Arr

Declaration

Source position: dynamicarray.pas line 51

public property TPointerPointerArray.Arr[Col: Integer,Row: Integer] : Pointer
  read GetArr
  write SetArr;
  default;


TPointerPointerArray.Clear

Declaration

Source position: dynamicarray.pas line 49

public procedure TPointerPointerArray.Clear;


TPointerPointerArray.Create

Declaration

Source position: dynamicarray.pas line 42

public constructor TPointerPointerArray.Create;


TPointerPointerArray.DeleteColRow

Declaration

Source position: dynamicarray.pas line 46

public procedure TPointerPointerArray.DeleteColRow(

  IsColumn: Boolean;

  Index: Integer

);


TPointerPointerArray.Destroy

Declaration

Source position: dynamicarray.pas line 43

public destructor TPointerPointerArray.Destroy; override;


TPointerPointerArray.ExchangeColRow

Declaration

Source position: dynamicarray.pas line 48

public procedure TPointerPointerArray.ExchangeColRow(

  IsColumn: Boolean;

  Index: Integer;

  WithIndex: Integer

);


TPointerPointerArray.MoveColRow

Declaration

Source position: dynamicarray.pas line 47

public procedure TPointerPointerArray.MoveColRow(

  IsColumn: Boolean;

  FromIndex: Integer;

  ToIndex: Integer

);


TPointerPointerArray.OnDestroyItem

Declaration

Source position: dynamicarray.pas line 52

public property TPointerPointerArray.OnDestroyItem : TOnNotifyItem
  read FOnDestroyItem
  write FOnDestroyItem;


TPointerPointerArray.OnNewItem

Declaration

Source position: dynamicarray.pas line 53

public property TPointerPointerArray.OnNewItem : TOnNotifyItem
  read FOnNewItem
  write FOnNewItem;


TPointerPointerArray.SetLength

Declaration

Source position: dynamicarray.pas line 44

public procedure TPointerPointerArray.SetLength(

  Cols: Integer;

  Rows: Integer

);


EDynHashArrayException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dynhasharray.pp line 163

type EDynHashArrayException = class(Exception)

Inheritance

EDynHashArrayException
|

Exception
|

TObject


EDynHashArrayException
Exception
 | HelpContext
 | Message
TObject


EDynHashArrayException
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EDynHashArrayException

Exception

TObject


TDynHashArray

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dynhasharray.pp line 70

type TDynHashArray = class

protected

  procedure RebuildItems;

  procedure SaveCacheItem();

public

  constructor Create();

  destructor Destroy; override;

  procedure Add();

  function Contains();

  function ContainsKey();

  procedure Remove();

  procedure Clear;

  procedure ClearCache;

  function First;

  property Count: Integer; [r]

  function IndexOf();

  function IndexOfKey();

  function FindHashItem();

  function FindHashItemWithKey();

  function FindItemWithKey();

  function GetHashItem();

  procedure Delete();

  procedure AssignTo();

  procedure ForEach();

  function SlowAlternativeHashMethod();

  function ConsistencyCheck;

  procedure WriteDebugReport;

  property FirstHashItem: PDynHashArrayItem; [r]

  property MinCapacity: Integer; [rw]

  property MaxCapacity: Integer; [rw]

  property Capacity: Integer; [r]

  property CustomHashFunction: THashFunction; [rw]

  property OwnerHashFunction: TOwnerHashFunction; [rw]

  property OnGetKeyForHashItem: TOnGetKeyForHashItem; [rw]

  property Options: TDynHashArrayOptions; [rw]

end;

Inheritance

TDynHashArray
|

TObject


TDynHashArray
 | ro | Count
 | ro | FirstHashItem
 |  | MinCapacity
 |  | MaxCapacity
 | ro | Capacity
 |  | CustomHashFunction
 |  | OwnerHashFunction
 |  | Options


ro | Capacity (TDynHashArray)
ro | Count (TDynHashArray)
 | CustomHashFunction (TDynHashArray)
ro | FirstHashItem (TDynHashArray)
 | MaxCapacity (TDynHashArray)
 | MinCapacity (TDynHashArray)
 | Options (TDynHashArray)
 | OwnerHashFunction (TDynHashArray)


TDynHashArray
pt | RebuildItems
pt | SaveCacheItem
 | Create
 | Destroy
 | Add
 | Contains
 | ContainsKey
 | Remove
 | Clear
 | ClearCache
 | First
 | IndexOf
 | IndexOfKey
 | FindHashItem
 | FindHashItemWithKey
 | FindItemWithKey
 | GetHashItem
 | Delete
 | AssignTo
 | ForEach
 | SlowAlternativeHashMethod
 | ConsistencyCheck
 | WriteDebugReport


 | Add (TDynHashArray)
 | AssignTo (TDynHashArray)
 | Clear (TDynHashArray)
 | ClearCache (TDynHashArray)
 | ConsistencyCheck (TDynHashArray)
 | Contains (TDynHashArray)
 | ContainsKey (TDynHashArray)
 | Create (TDynHashArray)
 | Delete (TDynHashArray)
 | Destroy (TDynHashArray)
 | FindHashItem (TDynHashArray)
 | FindHashItemWithKey (TDynHashArray)
 | FindItemWithKey (TDynHashArray)
 | First (TDynHashArray)
 | ForEach (TDynHashArray)
 | GetHashItem (TDynHashArray)
 | IndexOf (TDynHashArray)
 | IndexOfKey (TDynHashArray)
pt | RebuildItems (TDynHashArray)
 | Remove (TDynHashArray)
pt | SaveCacheItem (TDynHashArray)
 | SlowAlternativeHashMethod (TDynHashArray)
 | WriteDebugReport (TDynHashArray)


TDynHashArray

OnGetKeyForHashItem


TDynHashArray.Add

Declaration

Source position: dynhasharray.pp line 102

public procedure TDynHashArray.Add(

  Item: Pointer

);


TDynHashArray.AssignTo

Declaration

Source position: dynhasharray.pp line 117

public procedure TDynHashArray.AssignTo(

  List: TList

);

procedure TDynHashArray.AssignTo(

  List: TFPList

);


TDynHashArray.Capacity

Declaration

Source position: dynhasharray.pp line 129

public property TDynHashArray.Capacity : Integer
  read FCapacity;


TDynHashArray.Clear

Declaration

Source position: dynhasharray.pp line 106

public procedure TDynHashArray.Clear;


TDynHashArray.ClearCache

Declaration

Source position: dynhasharray.pp line 107

public procedure TDynHashArray.ClearCache;


TDynHashArray.ConsistencyCheck

Declaration

Source position: dynhasharray.pp line 123

public function TDynHashArray.ConsistencyCheck: Integer;


TDynHashArray.Contains

Declaration

Source position: dynhasharray.pp line 103

public function TDynHashArray.Contains(

  Item: Pointer

):Boolean;


TDynHashArray.ContainsKey

Declaration

Source position: dynhasharray.pp line 104

public function TDynHashArray.ContainsKey(

  Key: Pointer

):Boolean;


TDynHashArray.Count

Declaration

Source position: dynhasharray.pp line 109

public property TDynHashArray.Count : Integer
  read fCount;


TDynHashArray.Create

Declaration

Source position: dynhasharray.pp line 99

public constructor TDynHashArray.Create;

constructor TDynHashArray.Create(

  InitialMinCapacity: Integer

);


TDynHashArray.CustomHashFunction

Declaration

Source position: dynhasharray.pp line 130

public property TDynHashArray.CustomHashFunction : THashFunction
  read FCustomHashFunction
  write SetCustomHashFunction;


TDynHashArray.Delete

Declaration

Source position: dynhasharray.pp line 116

public procedure TDynHashArray.Delete(

  ADynHashArrayItem: PDynHashArrayItem

);


TDynHashArray.Destroy

Declaration

Source position: dynhasharray.pp line 101

public destructor TDynHashArray.Destroy; override;


TDynHashArray.FindHashItem

Declaration

Source position: dynhasharray.pp line 112

public function TDynHashArray.FindHashItem(

  Item: Pointer

):PDynHashArrayItem;


TDynHashArray.FindHashItemWithKey

Declaration

Source position: dynhasharray.pp line 113

public function TDynHashArray.FindHashItemWithKey(

  Key: Pointer

):PDynHashArrayItem;


TDynHashArray.FindItemWithKey

Declaration

Source position: dynhasharray.pp line 114

public function TDynHashArray.FindItemWithKey(

  Key: Pointer

):Pointer;


TDynHashArray.First

Declaration

Source position: dynhasharray.pp line 108

public function TDynHashArray.First: Pointer;


TDynHashArray.FirstHashItem

Declaration

Source position: dynhasharray.pp line 126

public property TDynHashArray.FirstHashItem : PDynHashArrayItem
  read FFirstItem;


TDynHashArray.ForEach

Declaration

Source position: dynhasharray.pp line 119

public procedure TDynHashArray.ForEach(

  const Func: TOnEachHashItem

);


TDynHashArray.GetHashItem

Declaration

Source position: dynhasharray.pp line 115

public function TDynHashArray.GetHashItem(

  HashIndex: Integer

):PDynHashArrayItem;


TDynHashArray.IndexOf

Declaration

Source position: dynhasharray.pp line 110

public function TDynHashArray.IndexOf(

  AnItem: Pointer

):Integer;


TDynHashArray.IndexOfKey

Declaration

Source position: dynhasharray.pp line 111

public function TDynHashArray.IndexOfKey(

  Key: Pointer

):Integer;


TDynHashArray.MaxCapacity

Declaration

Source position: dynhasharray.pp line 128

public property TDynHashArray.MaxCapacity : Integer
  read FMaxCapacity
  write FMaxCapacity;


TDynHashArray.MinCapacity

Declaration

Source position: dynhasharray.pp line 127

public property TDynHashArray.MinCapacity : Integer
  read FMinCapacity
  write FMinCapacity;


TDynHashArray.OnGetKeyForHashItem

Declaration

Source position: dynhasharray.pp line 134

public property TDynHashArray.OnGetKeyForHashItem : TOnGetKeyForHashItem
  read FOnGetKeyForHashItem
  write SetOnGetKeyForHashItem;


TDynHashArray.Options

Declaration

Source position: dynhasharray.pp line 136

public property TDynHashArray.Options : TDynHashArrayOptions
  read FOptions
  write SetOptions;


TDynHashArray.OwnerHashFunction

Declaration

Source position: dynhasharray.pp line 132

public property TDynHashArray.OwnerHashFunction : TOwnerHashFunction
  read FOwnerHashFunction
  write SetOwnerHashFunction;


TDynHashArray.RebuildItems

Declaration

Source position: dynhasharray.pp line 96

protected procedure TDynHashArray.RebuildItems;


TDynHashArray.Remove

Declaration

Source position: dynhasharray.pp line 105

public procedure TDynHashArray.Remove(

  Item: Pointer

);


TDynHashArray.SaveCacheItem

Declaration

Source position: dynhasharray.pp line 97

protected procedure TDynHashArray.SaveCacheItem(

  Item: Pointer;

  Index: Integer

);


TDynHashArray.SlowAlternativeHashMethod

Declaration

Source position: dynhasharray.pp line 121

public function TDynHashArray.SlowAlternativeHashMethod(

  Sender: TDynHashArray;

  Item: Pointer

):Integer;


TDynHashArray.WriteDebugReport

Declaration

Source position: dynhasharray.pp line 124

public procedure TDynHashArray.WriteDebugReport;


TDynHashArrayItem

Declaration

Source position: dynhasharray.pp line 59

type TDynHashArrayItem = record

  Item: Pointer;

  Next: PDynHashArrayItem;

  Prior: PDynHashArrayItem;

  IsOverflow: Boolean;

end;


TDynHashArrayItemMemManager

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dynhasharray.pp line 139

type TDynHashArrayItemMemManager = class

public

  procedure DisposeItem();

  function NewItem;

  property MinimumFreeCount: Integer; [rw]

  property MaximumFreeRatio: Integer; [rw]

  property Count: Integer; [r]

  procedure Clear;

  constructor Create;

  destructor Destroy; override;

  function ConsistencyCheck;

  procedure WriteDebugReport;

end;

Inheritance

TDynHashArrayItemMemManager
|

TObject


TDynHashArrayItemMemManager
 |  | MinimumFreeCount
 |  | MaximumFreeRatio
 | ro | Count


ro | Count (TDynHashArrayItemMemManager)
 | MaximumFreeRatio (TDynHashArrayItemMemManager)
 | MinimumFreeCount (TDynHashArrayItemMemManager)


TDynHashArrayItemMemManager
 | DisposeItem
 | NewItem
 | Clear
 | Create
 | Destroy
 | ConsistencyCheck
 | WriteDebugReport


Clear (TDynHashArrayItemMemManager)

ConsistencyCheck (TDynHashArrayItemMemManager)

Create (TDynHashArrayItemMemManager)

Destroy (TDynHashArrayItemMemManager)

DisposeItem (TDynHashArrayItemMemManager)

NewItem (TDynHashArrayItemMemManager)

WriteDebugReport (TDynHashArrayItemMemManager)


TDynHashArrayItemMemManager


TDynHashArrayItemMemManager.Clear

Declaration

Source position: dynhasharray.pp line 156

public procedure TDynHashArrayItemMemManager.Clear;


TDynHashArrayItemMemManager.ConsistencyCheck

Declaration

Source position: dynhasharray.pp line 159

public function TDynHashArrayItemMemManager.ConsistencyCheck: Integer;


TDynHashArrayItemMemManager.Count

Declaration

Source position: dynhasharray.pp line 155

public property TDynHashArrayItemMemManager.Count : Integer
  read FCount;


TDynHashArrayItemMemManager.Create

Declaration

Source position: dynhasharray.pp line 157

public constructor TDynHashArrayItemMemManager.Create;


TDynHashArrayItemMemManager.Destroy

Declaration

Source position: dynhasharray.pp line 158

public destructor TDynHashArrayItemMemManager.Destroy; override;


TDynHashArrayItemMemManager.DisposeItem

Declaration

Source position: dynhasharray.pp line 150

public procedure TDynHashArrayItemMemManager.DisposeItem(

  ADynHashArrayItem: PDynHashArrayItem

);


TDynHashArrayItemMemManager.MaximumFreeRatio

Declaration

Source position: dynhasharray.pp line 153

public property TDynHashArrayItemMemManager.MaximumFreeRatio : Integer
  read FMaxFreeRatio
  write SetMaxFreeRatio;


TDynHashArrayItemMemManager.MinimumFreeCount

Declaration

Source position: dynhasharray.pp line 152

public property TDynHashArrayItemMemManager.MinimumFreeCount : Integer
  read FMinFree
  write SetMinFree;


TDynHashArrayItemMemManager.NewItem

Declaration

Source position: dynhasharray.pp line 151

public function TDynHashArrayItemMemManager.NewItem: PDynHashArrayItem;


TDynHashArrayItemMemManager.WriteDebugReport

Declaration

Source position: dynhasharray.pp line 160

public procedure TDynHashArrayItemMemManager.WriteDebugReport;


TDynamicDataQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: dynqueue.pas line 41

type TDynamicDataQueue = class

public

  constructor Create;

  destructor Destroy; override;

  procedure Clear;

  procedure ConsistencyCheck;

  procedure WriteDebugReport();

  function Push();

  function Pop();

  function Top();

  property Size: Int64; [r]

  property MinimumBlockSize: Integer; [rw]

  property MaximumBlockSize: Integer; [rw]

end;

Inheritance

TDynamicDataQueue
|

TObject


TDynamicDataQueue
 | ro | Size
 |  | MinimumBlockSize
 |  | MaximumBlockSize


ro | Size (TDynamicDataQueue)


TDynamicDataQueue
 | Create
 | Destroy
 | Clear
 | ConsistencyCheck
 | WriteDebugReport
 | Push
 | Pop
 | Top


Clear (TDynamicDataQueue)

ConsistencyCheck (TDynamicDataQueue)

Create (TDynamicDataQueue)

Destroy (TDynamicDataQueue)

Pop (TDynamicDataQueue)

Push (TDynamicDataQueue)

Top (TDynamicDataQueue)

WriteDebugReport (TDynamicDataQueue)


TDynamicDataQueue


TDynamicDataQueue.Clear

Declaration

Source position: dynqueue.pas line 62

public procedure TDynamicDataQueue.Clear;


TDynamicDataQueue.ConsistencyCheck

Declaration

Source position: dynqueue.pas line 63

public procedure TDynamicDataQueue.ConsistencyCheck;


TDynamicDataQueue.Create

Declaration

Source position: dynqueue.pas line 60

public constructor TDynamicDataQueue.Create;


TDynamicDataQueue.Destroy

Declaration

Source position: dynqueue.pas line 61

public destructor TDynamicDataQueue.Destroy; override;


TDynamicDataQueue.MaximumBlockSize

Declaration

Source position: dynqueue.pas line 73

public property TDynamicDataQueue.MaximumBlockSize : Integer
  read FMaximumBlockSize
  write SetMaximumBlockSize;


TDynamicDataQueue.MinimumBlockSize

Declaration

Source position: dynqueue.pas line 72

public property TDynamicDataQueue.MinimumBlockSize : Integer
  read FMinimumBlockSize
  write SetMinimumBlockSize;


TDynamicDataQueue.Pop

Declaration

Source position: dynqueue.pas line 67

public function TDynamicDataQueue.Pop(

  var Buffer;

  Count: Integer

):Integer;

function TDynamicDataQueue.Pop(

  AStream: TStream;

  Count: Integer

):Integer;


TDynamicDataQueue.Push

Declaration

Source position: dynqueue.pas line 65

public function TDynamicDataQueue.Push(

  const Buffer;

  Count: Integer

):Integer;

function TDynamicDataQueue.Push(

  AStream: TStream;

  Count: Integer

):Integer;


TDynamicDataQueue.Size

Declaration

Source position: dynqueue.pas line 71

public property TDynamicDataQueue.Size : Int64
  read FSize;


TDynamicDataQueue.Top

Declaration

Source position: dynqueue.pas line 69

public function TDynamicDataQueue.Top(

  var Buffer;

  Count: Integer

):Integer;

function TDynamicDataQueue.Top(

  AStream: TStream;

  Count: Integer

):Integer;


TDynamicDataQueue.WriteDebugReport

Declaration

Source position: dynqueue.pas line 64

public procedure TDynamicDataQueue.WriteDebugReport(

  WriteData: Boolean

);


IFreeTypeFamilyEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 134

type IFreeTypeFamilyEnumerator = interface

  function MoveNext;

  function GetCurrent;

  property Current: TCustomFamilyCollectionItem; [r]

end;

Inheritance

IFreeTypeFamilyEnumerator

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


IFreeTypeFamilyEnumerator

ro

Current


ro

Current (IFreeTypeFamilyEnumerator)


IFreeTypeFamilyEnumerator
 | MoveNext
 | GetCurrent


IFreeTypeFamilyEnumerator


IFreeTypeFamilyEnumerator.Current

Declaration

Source position: easylazfreetype.pas line 137

property IFreeTypeFamilyEnumerator.Current : TCustomFamilyCollectionItem
  read GetCurrent;


IFreeTypeFamilyEnumerator.GetCurrent

Declaration

Source position: easylazfreetype.pas line 136

function IFreeTypeFamilyEnumerator.GetCurrent: TCustomFamilyCollectionItem;


IFreeTypeFamilyEnumerator.MoveNext

Declaration

Source position: easylazfreetype.pas line 135

function IFreeTypeFamilyEnumerator.MoveNext: Boolean;


IFreeTypeFontEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 104

type IFreeTypeFontEnumerator = interface

  function MoveNext;

  function GetCurrent;

  property Current: TCustomFontCollectionItem; [r]

end;

Inheritance

IFreeTypeFontEnumerator

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


IFreeTypeFontEnumerator

ro

Current


ro

Current (IFreeTypeFontEnumerator)


IFreeTypeFontEnumerator
 | MoveNext
 | GetCurrent


IFreeTypeFontEnumerator


IFreeTypeFontEnumerator.Current

Declaration

Source position: easylazfreetype.pas line 107

property IFreeTypeFontEnumerator.Current : TCustomFontCollectionItem
  read GetCurrent;


IFreeTypeFontEnumerator.GetCurrent

Declaration

Source position: easylazfreetype.pas line 106

function IFreeTypeFontEnumerator.GetCurrent: TCustomFontCollectionItem;


IFreeTypeFontEnumerator.MoveNext

Declaration

Source position: easylazfreetype.pas line 105

function IFreeTypeFontEnumerator.MoveNext: Boolean;


TCustomFamilyCollectionItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 112

type TCustomFamilyCollectionItem = class

protected

  function GetFontByIndex(); virtual; abstract;

  function GetStyle(); virtual; abstract;

  function GetStyles; virtual; abstract;

  function GetFamilyName; virtual; abstract;

  function GetFontCount; virtual; abstract;

  function GetStyleCount; virtual; abstract;

public

  function GetFont();

  function GetFontIndex();

  function HasStyle(); virtual; abstract;

  property FamilyName: string; [r]

  property Font []: TCustomFontCollectionItem; [r]

  property FontCount: Integer; [r]

  property Style []: string; [r]

  property StyleCount: Integer; [r]

  property Styles: string; [r]

end;

Inheritance

TCustomFamilyCollectionItem

|

TObject


TCustomFamilyCollectionItem
 | ro | FamilyName
 | ro | Font
 | ro | FontCount
 | ro | Style
 | ro | StyleCount
 | ro | Styles


ro | FamilyName (TCustomFamilyCollectionItem)
ro | Font (TCustomFamilyCollectionItem)
ro | FontCount (TCustomFamilyCollectionItem)
ro | Style (TCustomFamilyCollectionItem)
ro | StyleCount (TCustomFamilyCollectionItem)
ro | Styles (TCustomFamilyCollectionItem)


TCustomFamilyCollectionItem
pt | GetFontByIndex
pt | GetStyle
pt | GetStyles
pt | GetFamilyName
pt | GetFontCount
pt | GetStyleCount
 | GetFont
 | GetFontIndex
 | HasStyle


pt | GetFamilyName (TCustomFamilyCollectionItem)
 | GetFont (TCustomFamilyCollectionItem)
pt | GetFontByIndex (TCustomFamilyCollectionItem)
pt | GetFontCount (TCustomFamilyCollectionItem)
 | GetFontIndex (TCustomFamilyCollectionItem)
pt | GetStyle (TCustomFamilyCollectionItem)
pt | GetStyleCount (TCustomFamilyCollectionItem)
pt | GetStyles (TCustomFamilyCollectionItem)
 | HasStyle (TCustomFamilyCollectionItem)


TCustomFamilyCollectionItem


TCustomFamilyCollectionItem.FamilyName

Declaration

Source position: easylazfreetype.pas line 126

public property TCustomFamilyCollectionItem.FamilyName : string
  read GetFamilyName;


TCustomFamilyCollectionItem.Font

Declaration

Source position: easylazfreetype.pas line 127

public property TCustomFamilyCollectionItem.Font[AIndex: Integer] : TCustomFontCollectionItem
  read GetFontByIndex;


TCustomFamilyCollectionItem.FontCount

Declaration

Source position: easylazfreetype.pas line 128

public property TCustomFamilyCollectionItem.FontCount : Integer
  read GetFontCount;


TCustomFamilyCollectionItem.GetFamilyName

Declaration

Source position: easylazfreetype.pas line 117

protected function TCustomFamilyCollectionItem.GetFamilyName: string; virtual; abstract;


TCustomFamilyCollectionItem.GetFont

Declaration

Source position: easylazfreetype.pas line 121

public function TCustomFamilyCollectionItem.GetFont(

  const AStyles: array of string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):TCustomFontCollectionItem; virtual; abstract; overload;

function TCustomFamilyCollectionItem.GetFont(

  AStyle: string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):TCustomFontCollectionItem; virtual; abstract; overload;


TCustomFamilyCollectionItem.GetFontByIndex

Declaration

Source position: easylazfreetype.pas line 114

protected function TCustomFamilyCollectionItem.GetFontByIndex(

  AIndex: Integer

):TCustomFontCollectionItem; virtual; abstract;


TCustomFamilyCollectionItem.GetFontCount

Declaration

Source position: easylazfreetype.pas line 118

protected function TCustomFamilyCollectionItem.GetFontCount: Integer; virtual; abstract;


TCustomFamilyCollectionItem.GetFontIndex

Declaration

Source position: easylazfreetype.pas line 123

public function TCustomFamilyCollectionItem.GetFontIndex(

  const AStyles: array of string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):Integer; virtual; abstract; overload;

function TCustomFamilyCollectionItem.GetFontIndex(

  AStyle: string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):Integer; virtual; abstract; overload;


TCustomFamilyCollectionItem.GetStyle

Declaration

Source position: easylazfreetype.pas line 115

protected function TCustomFamilyCollectionItem.GetStyle(

  AIndex: Integer

):string; virtual; abstract;


TCustomFamilyCollectionItem.GetStyleCount

Declaration

Source position: easylazfreetype.pas line 119

protected function TCustomFamilyCollectionItem.GetStyleCount: Integer; virtual; abstract;


TCustomFamilyCollectionItem.GetStyles

Declaration

Source position: easylazfreetype.pas line 116

protected function TCustomFamilyCollectionItem.GetStyles: string; virtual; abstract;


TCustomFamilyCollectionItem.HasStyle

Declaration

Source position: easylazfreetype.pas line 125

public function TCustomFamilyCollectionItem.HasStyle(

  AName: string

):Boolean; virtual; abstract;


TCustomFamilyCollectionItem.Style

Declaration

Source position: easylazfreetype.pas line 129

public property TCustomFamilyCollectionItem.Style[AIndex: Integer] : string
  read GetStyle;


TCustomFamilyCollectionItem.StyleCount

Declaration

Source position: easylazfreetype.pas line 130

public property TCustomFamilyCollectionItem.StyleCount : Integer
  read GetStyleCount;


TCustomFamilyCollectionItem.Styles

Declaration

Source position: easylazfreetype.pas line 131

public property TCustomFamilyCollectionItem.Styles : string
  read GetStyles;


TCustomFontCollectionItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 75

type TCustomFontCollectionItem = class

protected

  FFamily: TCustomFamilyCollectionItem;

  function GetBold; virtual; abstract;

  function GetInformation(); virtual; abstract;

  function GetItalic; virtual; abstract;

  function GetStyleCount; virtual; abstract;

  function GetStyles; virtual; abstract;

  function GetFilename; virtual; abstract;

  function GetVersionNumber; virtual; abstract;

  function GetStyle(); virtual; abstract;

  procedure NotifyDestroy; virtual; abstract;

public

  function HasStyle(); virtual; abstract;

  function CreateFont; virtual; abstract;

  function QueryFace(); virtual; abstract;

  procedure ReleaseFace(); virtual; abstract;

  property Styles: string; [r]

  property Italic: Boolean; [r]

  property Bold: Boolean; [r]

  property Filename: string; [r]

  property Information []: string; [r]

  property VersionNumber: string; [r]

  property Style []: string; [r]

  property StyleCount: Integer; [r]

  property Family: TCustomFamilyCollectionItem; [rw]

end;

Inheritance

TCustomFontCollectionItem

|

TObject


TCustomFontCollectionItem
 | ro | Styles
 | ro | Italic
 | ro | Bold
 | ro | Filename
 | ro | Information
 | ro | VersionNumber
 | ro | Style
 | ro | StyleCount
 |  | Family


ro | Bold (TCustomFontCollectionItem)
 | Family (TCustomFontCollectionItem)
ro | Filename (TCustomFontCollectionItem)
ro | Information (TCustomFontCollectionItem)
ro | Italic (TCustomFontCollectionItem)
ro | Style (TCustomFontCollectionItem)
ro | StyleCount (TCustomFontCollectionItem)
ro | Styles (TCustomFontCollectionItem)
ro | VersionNumber (TCustomFontCollectionItem)


TCustomFontCollectionItem
pt | GetBold
pt | GetInformation
pt | GetItalic
pt | GetStyleCount
pt | GetStyles
pt | GetFilename
pt | GetVersionNumber
pt | GetStyle
pt | NotifyDestroy
 | HasStyle
 | CreateFont
 | QueryFace
 | ReleaseFace


pt | GetBold (TCustomFontCollectionItem)
pt | GetFilename (TCustomFontCollectionItem)
pt | GetInformation (TCustomFontCollectionItem)
pt | GetItalic (TCustomFontCollectionItem)
pt | GetStyle (TCustomFontCollectionItem)
pt | GetStyleCount (TCustomFontCollectionItem)
pt | GetStyles (TCustomFontCollectionItem)
pt | GetVersionNumber (TCustomFontCollectionItem)
 | HasStyle (TCustomFontCollectionItem)
pt | NotifyDestroy (TCustomFontCollectionItem)
 | QueryFace (TCustomFontCollectionItem)
 | ReleaseFace (TCustomFontCollectionItem)


TCustomFontCollectionItem


TCustomFontCollectionItem.Bold

Declaration

Source position: easylazfreetype.pas line 95

public property TCustomFontCollectionItem.Bold : Boolean
  read GetBold;


TCustomFontCollectionItem.CreateFont

Declaration

Source position: easylazfreetype.pas line 89

public function TCustomFontCollectionItem.CreateFont: TFreeTypeFont; virtual; abstract;


TCustomFontCollectionItem.Family

Declaration

Source position: easylazfreetype.pas line 101

public property TCustomFontCollectionItem.Family : TCustomFamilyCollectionItem
  read FFamily
  write FFamily;


TCustomFontCollectionItem.FFamily

Declaration

Source position: easylazfreetype.pas line 77

protected TCustomFontCollectionItem.FFamily : TCustomFamilyCollectionItem;


TCustomFontCollectionItem.Filename

Declaration

Source position: easylazfreetype.pas line 96

public property TCustomFontCollectionItem.Filename : string
  read GetFilename;


TCustomFontCollectionItem.GetBold

Declaration

Source position: easylazfreetype.pas line 78

protected function TCustomFontCollectionItem.GetBold: Boolean; virtual; abstract;


TCustomFontCollectionItem.GetFilename

Declaration

Source position: easylazfreetype.pas line 83

protected function TCustomFontCollectionItem.GetFilename: string; virtual; abstract;


TCustomFontCollectionItem.GetInformation

Declaration

Source position: easylazfreetype.pas line 79

protected function TCustomFontCollectionItem.GetInformation(

  AIndex: TFreeTypeInformation

):string; virtual; abstract;


TCustomFontCollectionItem.GetItalic

Declaration

Source position: easylazfreetype.pas line 80

protected function TCustomFontCollectionItem.GetItalic: Boolean; virtual; abstract;


TCustomFontCollectionItem.GetStyle

Declaration

Source position: easylazfreetype.pas line 85

protected function TCustomFontCollectionItem.GetStyle(

  AIndex: Integer

):string; virtual; abstract;


TCustomFontCollectionItem.GetStyleCount

Declaration

Source position: easylazfreetype.pas line 81

protected function TCustomFontCollectionItem.GetStyleCount: Integer; virtual; abstract;


TCustomFontCollectionItem.GetStyles

Declaration

Source position: easylazfreetype.pas line 82

protected function TCustomFontCollectionItem.GetStyles: string; virtual; abstract;


TCustomFontCollectionItem.GetVersionNumber

Declaration

Source position: easylazfreetype.pas line 84

protected function TCustomFontCollectionItem.GetVersionNumber: string; virtual; abstract;


TCustomFontCollectionItem.HasStyle

Declaration

Source position: easylazfreetype.pas line 88

public function TCustomFontCollectionItem.HasStyle(

  AStyle: string

):Boolean; virtual; abstract;


TCustomFontCollectionItem.Information

Declaration

Source position: easylazfreetype.pas line 97

public property TCustomFontCollectionItem.Information[AIndex: TFreeTypeInformation] : string
  read GetInformation;


TCustomFontCollectionItem.Italic

Declaration

Source position: easylazfreetype.pas line 94

public property TCustomFontCollectionItem.Italic : Boolean
  read GetItalic;


TCustomFontCollectionItem.NotifyDestroy

Declaration

Source position: easylazfreetype.pas line 86

protected procedure TCustomFontCollectionItem.NotifyDestroy; virtual; abstract;


TCustomFontCollectionItem.QueryFace

Declaration

Source position: easylazfreetype.pas line 90

public function TCustomFontCollectionItem.QueryFace(

  AListener: TFontCollectionItemDestroyListener

):TT_Face; virtual; abstract;


TCustomFontCollectionItem.ReleaseFace

Declaration

Source position: easylazfreetype.pas line 91

public procedure TCustomFontCollectionItem.ReleaseFace(

  AListener: TFontCollectionItemDestroyListener

); virtual; abstract;


TCustomFontCollectionItem.Style

Declaration

Source position: easylazfreetype.pas line 99

public property TCustomFontCollectionItem.Style[AIndex: Integer] : string
  read GetStyle;


TCustomFontCollectionItem.StyleCount

Declaration

Source position: easylazfreetype.pas line 100

public property TCustomFontCollectionItem.StyleCount : Integer
  read GetStyleCount;


TCustomFontCollectionItem.Styles

Declaration

Source position: easylazfreetype.pas line 93

public property TCustomFontCollectionItem.Styles : string
  read GetStyles;


TCustomFontCollectionItem.VersionNumber

Declaration

Source position: easylazfreetype.pas line 98

public property TCustomFontCollectionItem.VersionNumber : string
  read GetVersionNumber;


TCustomFreeTypeFontCollection

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 142

type TCustomFreeTypeFontCollection = class

protected

  function GetFont(); virtual; abstract;

  function GetFamily(); virtual; abstract;

  function GetFamilyCount; virtual; abstract;

  function GetFontCount; virtual; abstract;

public

  constructor Create; virtual; abstract;

  procedure Clear; virtual; abstract;

  procedure BeginUpdate; virtual; abstract;

  procedure AddFolder(); virtual; abstract;

  procedure RemoveFolder(); virtual; abstract;

  function AddFile(); virtual; abstract;

  function RemoveFile(); virtual; abstract;

  function AddStream(); virtual; abstract;

  procedure EndUpdate; virtual; abstract;

  function FontFileEnumerator; virtual; abstract;

  function FamilyEnumerator; virtual; abstract;

  property FontFileCount: Integer; [r]

  property FontFile []: TCustomFontCollectionItem; [r]

  property FamilyCount: Integer; [r]

  property Family []: TCustomFamilyCollectionItem; [r]

end;

Inheritance

TCustomFreeTypeFontCollection

|

TObject


TCustomFreeTypeFontCollection
 | ro | FontFileCount
 | ro | FontFile
 | ro | FamilyCount
 | ro | Family


ro | Family (TCustomFreeTypeFontCollection)
ro | FamilyCount (TCustomFreeTypeFontCollection)
ro | FontFile (TCustomFreeTypeFontCollection)
ro | FontFileCount (TCustomFreeTypeFontCollection)


TCustomFreeTypeFontCollection
pt | GetFont
pt | GetFamily
pt | GetFamilyCount
pt | GetFontCount
 | Create
 | Clear
 | BeginUpdate
 | AddFolder
 | RemoveFolder
 | AddFile
 | RemoveFile
 | AddStream
 | EndUpdate
 | FontFileEnumerator
 | FamilyEnumerator


 | AddFile (TCustomFreeTypeFontCollection)
 | AddFolder (TCustomFreeTypeFontCollection)
 | AddStream (TCustomFreeTypeFontCollection)
 | BeginUpdate (TCustomFreeTypeFontCollection)
 | Clear (TCustomFreeTypeFontCollection)
 | Create (TCustomFreeTypeFontCollection)
 | EndUpdate (TCustomFreeTypeFontCollection)
 | FamilyEnumerator (TCustomFreeTypeFontCollection)
 | FontFileEnumerator (TCustomFreeTypeFontCollection)
pt | GetFamily (TCustomFreeTypeFontCollection)
pt | GetFamilyCount (TCustomFreeTypeFontCollection)
pt | GetFont (TCustomFreeTypeFontCollection)
pt | GetFontCount (TCustomFreeTypeFontCollection)
 | RemoveFile (TCustomFreeTypeFontCollection)
 | RemoveFolder (TCustomFreeTypeFontCollection)


TCustomFreeTypeFontCollection


TCustomFreeTypeFontCollection.AddFile

Declaration

Source position: easylazfreetype.pas line 154

public function TCustomFreeTypeFontCollection.AddFile(

  AFilename: string

):TCustomFontCollectionItem; virtual; abstract;


TCustomFreeTypeFontCollection.AddFolder

Declaration

Source position: easylazfreetype.pas line 152

public procedure TCustomFreeTypeFontCollection.AddFolder(

  AFolder: string;

  AIncludeSubdirs: Boolean = False

); virtual; abstract;


TCustomFreeTypeFontCollection.AddStream

Declaration

Source position: easylazfreetype.pas line 156

public function TCustomFreeTypeFontCollection.AddStream(

  AStream: TStream;

  AOwned: Boolean

):Boolean; virtual; abstract;


TCustomFreeTypeFontCollection.BeginUpdate

Declaration

Source position: easylazfreetype.pas line 151

public procedure TCustomFreeTypeFontCollection.BeginUpdate; virtual; abstract;


TCustomFreeTypeFontCollection.Clear

Declaration

Source position: easylazfreetype.pas line 150

public procedure TCustomFreeTypeFontCollection.Clear; virtual; abstract;


TCustomFreeTypeFontCollection.Create

Declaration

Source position: easylazfreetype.pas line 149

public constructor TCustomFreeTypeFontCollection.Create; virtual; abstract;


TCustomFreeTypeFontCollection.EndUpdate

Declaration

Source position: easylazfreetype.pas line 157

public procedure TCustomFreeTypeFontCollection.EndUpdate; virtual; abstract;


TCustomFreeTypeFontCollection.Family

Declaration

Source position: easylazfreetype.pas line 163

public property TCustomFreeTypeFontCollection.Family[AName: string] : TCustomFamilyCollectionItem
  read GetFamily;


TCustomFreeTypeFontCollection.FamilyCount

Declaration

Source position: easylazfreetype.pas line 162

public property TCustomFreeTypeFontCollection.FamilyCount : Integer
  read GetFamilyCount;


TCustomFreeTypeFontCollection.FamilyEnumerator

Declaration

Source position: easylazfreetype.pas line 159

public function TCustomFreeTypeFontCollection.FamilyEnumerator: IFreeTypeFamilyEnumerator; virtual; abstract;


TCustomFreeTypeFontCollection.FontFile

Declaration

Source position: easylazfreetype.pas line 161

public property TCustomFreeTypeFontCollection.FontFile[AFileName: string] : TCustomFontCollectionItem
  read GetFont;


TCustomFreeTypeFontCollection.FontFileCount

Declaration

Source position: easylazfreetype.pas line 160

public property TCustomFreeTypeFontCollection.FontFileCount : Integer
  read GetFontCount;


TCustomFreeTypeFontCollection.FontFileEnumerator

Declaration

Source position: easylazfreetype.pas line 158

public function TCustomFreeTypeFontCollection.FontFileEnumerator: IFreeTypeFontEnumerator; virtual; abstract;


TCustomFreeTypeFontCollection.GetFamily

Declaration

Source position: easylazfreetype.pas line 145

protected function TCustomFreeTypeFontCollection.GetFamily(

  AName: string

):TCustomFamilyCollectionItem; virtual; abstract;


TCustomFreeTypeFontCollection.GetFamilyCount

Declaration

Source position: easylazfreetype.pas line 146

protected function TCustomFreeTypeFontCollection.GetFamilyCount: Integer; virtual; abstract;


TCustomFreeTypeFontCollection.GetFont

Declaration

Source position: easylazfreetype.pas line 144

protected function TCustomFreeTypeFontCollection.GetFont(

  AFileName: string

):TCustomFontCollectionItem; virtual; abstract;


TCustomFreeTypeFontCollection.GetFontCount

Declaration

Source position: easylazfreetype.pas line 147

protected function TCustomFreeTypeFontCollection.GetFontCount: Integer; virtual; abstract;


TCustomFreeTypeFontCollection.RemoveFile

Declaration

Source position: easylazfreetype.pas line 155

public function TCustomFreeTypeFontCollection.RemoveFile(

  AFilename: string

):Boolean; virtual; abstract;


TCustomFreeTypeFontCollection.RemoveFolder

Declaration

Source position: easylazfreetype.pas line 153

public procedure TCustomFreeTypeFontCollection.RemoveFolder(

  AFolder: string

); virtual; abstract;


TFreeTypeDrawer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 205

type TFreeTypeDrawer = class

  procedure DrawText();

  procedure DrawTextWordBreak();

  procedure DrawTextRect();

  procedure DrawGlyph();

end;

Inheritance

TFreeTypeDrawer

|

TObject


TFreeTypeDrawer


TFreeTypeDrawer
 | DrawText
 | DrawTextWordBreak
 | DrawTextRect
 | DrawGlyph


DrawGlyph (TFreeTypeDrawer)

DrawText (TFreeTypeDrawer)

DrawTextRect (TFreeTypeDrawer)

DrawTextWordBreak (TFreeTypeDrawer)


TFreeTypeDrawer.DrawGlyph

Declaration

Source position: easylazfreetype.pas line 212

procedure TFreeTypeDrawer.DrawGlyph(

  AGlyph: Integer;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor

); virtual; abstract; overload;

procedure TFreeTypeDrawer.DrawGlyph(

  AGlyph: Integer;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor;

  AAlign: TFreeTypeAlignments

); virtual; overload;


TFreeTypeDrawer.DrawText

Declaration

Source position: easylazfreetype.pas line 206

procedure TFreeTypeDrawer.DrawText(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor;

  AOpacity: Byte

); virtual; overload;

procedure TFreeTypeDrawer.DrawText(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor;

  AOpacity: Byte;

  AAlign: TFreeTypeAlignments

); virtual; overload;

procedure TFreeTypeDrawer.DrawText(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor

); virtual; abstract; overload;

procedure TFreeTypeDrawer.DrawText(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor;

  AAlign: TFreeTypeAlignments

); virtual; overload;


TFreeTypeDrawer.DrawTextRect

Declaration

Source position: easylazfreetype.pas line 211

procedure TFreeTypeDrawer.DrawTextRect(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  X1: Single;

  Y1: Single;

  X2: Single;

  Y2: Single;

  AColor: TFPColor;

  AAlign: TFreeTypeAlignments

);


TFreeTypeDrawer.DrawTextWordBreak

Declaration

Source position: easylazfreetype.pas line 210

procedure TFreeTypeDrawer.DrawTextWordBreak(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: Single;

  y: Single;

  AMaxWidth: Single;

  AColor: TFPColor;

  AAlign: TFreeTypeAlignments

);


TFreeTypeFont

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 220

type TFreeTypeFont = class(TFreeTypeRenderableFont)

protected

  FFace: TT_Face;

  FFaceItem: TCustomFontCollectionItem;

  FFaceLoaded: Boolean;

  FInstance: TT_Instance;

  FInstanceCreated: Boolean;

  FGlyphTable: TAvlTree;

  FCharMap: TT_CharMap;

  FCharmapOk: Boolean;

  FCharmapSymbol: Boolean;

  FAscentValue: single;

  FDescentValue: single;

  FLineGapValue: single;

  FLargeLineGapValue: single;

  FCapHeight: single;

  procedure FaceChanged;

  function GetClearType; override;

  procedure SetClearType(); override;

  function GetLineFullHeight; override;

  function GetAscent; override;

  function GetDescent; override;

  function GetLineSpacing; override;

  function GetCapHeight;

  procedure SetHinted(); override;

  function GetHinted; override;

  procedure OnDestroyFontItem;

  procedure FetchNames;

  function GetCollection;

  function CheckFace;

public

  Quality: TGlyphRenderQuality;

  SmallLinePadding: Boolean;

  constructor Create;

  destructor Destroy; override;

  procedure AccessFromStream();

  procedure RenderText(); override;

  procedure RenderGlyph();

  procedure SetNameAndStyle();

  function TextWidth(); override;

  function TextHeight(); override;

  function CharWidthFromUnicode(); override;

  function CharWidthFromGlyph();

  function CharsWidth();

  function CharsPosition();

  function CheckInstance;

  property Name: string; [rw]

  property DPI: Integer; [rw]

  property SizeInPoints: single; [rw]

  property SizeInPixels: single; [rw]

  property CapHeight: single; [r]

  property Glyph []: TFreeTypeGlyph; [r]

  property GlyphCount: Integer; [r]

  property CharIndex []: Integer; [r]

  property Hinted: Boolean; [rw]

  property WidthFactor: single; [rw]

  property LineFullHeight: single; [rw]

  property Information []: string; [r]

  property VersionNumber: string; [r]

  property Family: string; [r]

  property Collection: TCustomFreeTypeFontCollection; [rw]

  property StyleAsString: string; [rw]

  property Style: TFreeTypeStyles; [rw]

end;

Inheritance

TFreeTypeFont

|

TFreeTypeRenderableFont

|

TObject


TFreeTypeFont
 |  | Name
 |  | DPI
 |  | SizeInPoints
 |  | SizeInPixels
 | ro | CapHeight
 | ro | Glyph
 | ro | GlyphCount
 | ro | CharIndex
 |  | Hinted
 |  | WidthFactor
 |  | LineFullHeight
 | ro | Information
 | ro | VersionNumber
 | ro | Family
 |  | Collection
 |  | StyleAsString
 |  | Style
TFreeTypeRenderableFont
 |  | ClearType
 | ro | Ascent
 | ro | Descent
 | ro | LineSpacing
 | ro | LineFullHeight
 |  | Hinted


ro | Ascent (TFreeTypeRenderableFont)
ro | CapHeight (TFreeTypeFont)
ro | CharIndex (TFreeTypeFont)
 | ClearType (TFreeTypeRenderableFont)
 | Collection (TFreeTypeFont)
ro | Descent (TFreeTypeRenderableFont)
 | DPI (TFreeTypeFont)
ro | Family (TFreeTypeFont)
ro | Glyph (TFreeTypeFont)
ro | GlyphCount (TFreeTypeFont)
 | Hinted (TFreeTypeRenderableFont)
 | Hinted (TFreeTypeFont)
ro | Information (TFreeTypeFont)
ro | LineFullHeight (TFreeTypeRenderableFont)
 | LineFullHeight (TFreeTypeFont)
ro | LineSpacing (TFreeTypeRenderableFont)
 | Name (TFreeTypeFont)
 | SizeInPixels (TFreeTypeFont)
 | SizeInPoints (TFreeTypeFont)
 | Style (TFreeTypeFont)
 | StyleAsString (TFreeTypeFont)
ro | VersionNumber (TFreeTypeFont)
 | WidthFactor (TFreeTypeFont)


TFreeTypeFont
pt | FaceChanged
pt | GetClearType
pt | SetClearType
pt | GetLineFullHeight
pt | GetAscent
pt | GetDescent
pt | GetLineSpacing
pt | GetCapHeight
pt | SetHinted
pt | GetHinted
pt | OnDestroyFontItem
pt | FetchNames
pt | GetCollection
pt | CheckFace
 | Create
 | Destroy
 | AccessFromStream
 | RenderText
 | RenderGlyph
 | SetNameAndStyle
 | TextWidth
 | TextHeight
 | CharWidthFromUnicode
 | CharWidthFromGlyph
 | CharsWidth
 | CharsPosition
 | CheckInstance
TFreeTypeRenderableFont
pt | GetClearType
pt | SetClearType
pt | GetLineFullHeight
pt | GetAscent
pt | GetDescent
pt | GetLineSpacing
pt | DefaultWordBreakHandler
pt | GetHinted
pt | SetHinted
 | TextWidth
 | TextHeight
 | CharWidthFromUnicode
 | SplitText
 | GetTextSize
 | RenderText


 | AccessFromStream (TFreeTypeFont)
 | CharsPosition (TFreeTypeFont)
 | CharsWidth (TFreeTypeFont)
 | CharWidthFromGlyph (TFreeTypeFont)
 | CharWidthFromUnicode (TFreeTypeRenderableFont)
 | CharWidthFromUnicode (TFreeTypeFont)
pt | CheckFace (TFreeTypeFont)
 | CheckInstance (TFreeTypeFont)
 | Create (TFreeTypeFont)
pt | DefaultWordBreakHandler (TFreeTypeRenderableFont)
 | Destroy (TFreeTypeFont)
pt | FaceChanged (TFreeTypeFont)
pt | FetchNames (TFreeTypeFont)
pt | GetAscent (TFreeTypeRenderableFont)
pt | GetAscent (TFreeTypeFont)
pt | GetCapHeight (TFreeTypeFont)
pt | GetClearType (TFreeTypeRenderableFont)
pt | GetClearType (TFreeTypeFont)
pt | GetCollection (TFreeTypeFont)
pt | GetDescent (TFreeTypeRenderableFont)
pt | GetDescent (TFreeTypeFont)
pt | GetHinted (TFreeTypeRenderableFont)
pt | GetHinted (TFreeTypeFont)
pt | GetLineFullHeight (TFreeTypeRenderableFont)
pt | GetLineFullHeight (TFreeTypeFont)
pt | GetLineSpacing (TFreeTypeRenderableFont)
pt | GetLineSpacing (TFreeTypeFont)
 | GetTextSize (TFreeTypeRenderableFont)
pt | OnDestroyFontItem (TFreeTypeFont)
 | RenderGlyph (TFreeTypeFont)
 | RenderText (TFreeTypeRenderableFont)
 | RenderText (TFreeTypeFont)
pt | SetClearType (TFreeTypeRenderableFont)
pt | SetClearType (TFreeTypeFont)
pt | SetHinted (TFreeTypeRenderableFont)
pt | SetHinted (TFreeTypeFont)
 | SetNameAndStyle (TFreeTypeFont)
 | SplitText (TFreeTypeRenderableFont)
 | TextHeight (TFreeTypeRenderableFont)
 | TextHeight (TFreeTypeFont)
 | TextWidth (TFreeTypeRenderableFont)
 | TextWidth (TFreeTypeFont)


TFreeTypeFont
TFreeTypeRenderableFont
 | OnWordBreak
 | OnRenderText


TFreeTypeFont.AccessFromStream

Declaration

Source position: easylazfreetype.pas line 293

public procedure TFreeTypeFont.AccessFromStream(

  AStream: TStream;

  AStreamOwner: Boolean

);


TFreeTypeFont.CapHeight

Declaration

Source position: easylazfreetype.pas line 310

public property TFreeTypeFont.CapHeight : single
  read GetCapHeight;


TFreeTypeFont.CharIndex

Declaration

Source position: easylazfreetype.pas line 313

public property TFreeTypeFont.CharIndex[AUnicodeChar: Integer] : Integer
  read GetCharIndex;


TFreeTypeFont.CharsPosition

Declaration

Source position: easylazfreetype.pas line 303

public function TFreeTypeFont.CharsPosition(

  AText: string

):ArrayOfCharPosition; overload;

function TFreeTypeFont.CharsPosition(

  AText: string;

  AAlign: TFreeTypeAlignments

):ArrayOfCharPosition; overload;


TFreeTypeFont.CharsWidth

Declaration

Source position: easylazfreetype.pas line 302

public function TFreeTypeFont.CharsWidth(

  AText: string

):ArrayOfSingle;


TFreeTypeFont.CharWidthFromGlyph

Declaration

Source position: easylazfreetype.pas line 301

public function TFreeTypeFont.CharWidthFromGlyph(

  AGlyph: Integer

):single;


TFreeTypeFont.CharWidthFromUnicode

Declaration

Source position: easylazfreetype.pas line 300

public function TFreeTypeFont.CharWidthFromUnicode(

  AUnicodeChar: Integer

):single; override;


TFreeTypeFont.CheckFace

Declaration

Source position: easylazfreetype.pas line 287

protected function TFreeTypeFont.CheckFace: Boolean;


TFreeTypeFont.CheckInstance

Declaration

Source position: easylazfreetype.pas line 305

public function TFreeTypeFont.CheckInstance: Boolean;


TFreeTypeFont.Collection

Declaration

Source position: easylazfreetype.pas line 320

public property TFreeTypeFont.Collection : TCustomFreeTypeFontCollection
  read GetCollection
  write FCollection;


TFreeTypeFont.Create

Declaration

Source position: easylazfreetype.pas line 291

public constructor TFreeTypeFont.Create;


TFreeTypeFont.Destroy

Declaration

Source position: easylazfreetype.pas line 292

public destructor TFreeTypeFont.Destroy; override;


TFreeTypeFont.DPI

Declaration

Source position: easylazfreetype.pas line 307

public property TFreeTypeFont.DPI : Integer
  read GetDPI
  write SetDPI;


TFreeTypeFont.FaceChanged

Declaration

Source position: easylazfreetype.pas line 274

protected procedure TFreeTypeFont.FaceChanged;


TFreeTypeFont.Family

Declaration

Source position: easylazfreetype.pas line 319

public property TFreeTypeFont.Family : string
  read GetFamily;


TFreeTypeFont.FAscentValue

Declaration

Source position: easylazfreetype.pas line 273

protected TFreeTypeFont.FAscentValue : single;


TFreeTypeFont.FCapHeight

Declaration

Source position: easylazfreetype.pas line 273

protected TFreeTypeFont.FCapHeight : single;


TFreeTypeFont.FCharMap

Declaration

Source position: easylazfreetype.pas line 271

protected TFreeTypeFont.FCharMap : TT_CharMap;


TFreeTypeFont.FCharmapOk

Declaration

Source position: easylazfreetype.pas line 272

protected TFreeTypeFont.FCharmapOk : Boolean;


TFreeTypeFont.FCharmapSymbol

Declaration

Source position: easylazfreetype.pas line 272

protected TFreeTypeFont.FCharmapSymbol : Boolean;


TFreeTypeFont.FDescentValue

Declaration

Source position: easylazfreetype.pas line 273

protected TFreeTypeFont.FDescentValue : single;


TFreeTypeFont.FetchNames

Declaration

Source position: easylazfreetype.pas line 285

protected procedure TFreeTypeFont.FetchNames;


TFreeTypeFont.FFace

Declaration

Source position: easylazfreetype.pas line 265

protected TFreeTypeFont.FFace : TT_Face;


TFreeTypeFont.FFaceItem

Declaration

Source position: easylazfreetype.pas line 266

protected TFreeTypeFont.FFaceItem : TCustomFontCollectionItem;


TFreeTypeFont.FFaceLoaded

Declaration

Source position: easylazfreetype.pas line 267

protected TFreeTypeFont.FFaceLoaded : Boolean;


TFreeTypeFont.FGlyphTable

Declaration

Source position: easylazfreetype.pas line 270

protected TFreeTypeFont.FGlyphTable : TAvlTree;


TFreeTypeFont.FInstance

Declaration

Source position: easylazfreetype.pas line 268

protected TFreeTypeFont.FInstance : TT_Instance;


TFreeTypeFont.FInstanceCreated

Declaration

Source position: easylazfreetype.pas line 269

protected TFreeTypeFont.FInstanceCreated : Boolean;


TFreeTypeFont.FLargeLineGapValue

Declaration

Source position: easylazfreetype.pas line 273

protected TFreeTypeFont.FLargeLineGapValue : single;


TFreeTypeFont.FLineGapValue

Declaration

Source position: easylazfreetype.pas line 273

protected TFreeTypeFont.FLineGapValue : single;


TFreeTypeFont.GetAscent

Declaration

Source position: easylazfreetype.pas line 278

protected function TFreeTypeFont.GetAscent: single; override;


TFreeTypeFont.GetCapHeight

Declaration

Source position: easylazfreetype.pas line 281

protected function TFreeTypeFont.GetCapHeight: single;


TFreeTypeFont.GetClearType

Declaration

Source position: easylazfreetype.pas line 275

protected function TFreeTypeFont.GetClearType: Boolean; override;


TFreeTypeFont.GetCollection

Declaration

Source position: easylazfreetype.pas line 286

protected function TFreeTypeFont.GetCollection: TCustomFreeTypeFontCollection;


TFreeTypeFont.GetDescent

Declaration

Source position: easylazfreetype.pas line 279

protected function TFreeTypeFont.GetDescent: single; override;


TFreeTypeFont.GetHinted

Declaration

Source position: easylazfreetype.pas line 283

protected function TFreeTypeFont.GetHinted: Boolean; override;


TFreeTypeFont.GetLineFullHeight

Declaration

Source position: easylazfreetype.pas line 277

protected function TFreeTypeFont.GetLineFullHeight: single; override;


TFreeTypeFont.GetLineSpacing

Declaration

Source position: easylazfreetype.pas line 280

protected function TFreeTypeFont.GetLineSpacing: single; override;


TFreeTypeFont.Glyph

Declaration

Source position: easylazfreetype.pas line 311

public property TFreeTypeFont.Glyph[Index: Integer] : TFreeTypeGlyph
  read GetGlyph;


TFreeTypeFont.GlyphCount

Declaration

Source position: easylazfreetype.pas line 312

public property TFreeTypeFont.GlyphCount : Integer
  read GetGlyphCount;


TFreeTypeFont.Hinted

Declaration

Source position: easylazfreetype.pas line 314

public property TFreeTypeFont.Hinted : Boolean
  read FHinted
  write SetHinted;


TFreeTypeFont.Information

Declaration

Source position: easylazfreetype.pas line 317

public property TFreeTypeFont.Information[AIndex: TFreeTypeInformation] : string
  read GetInformation;


TFreeTypeFont.LineFullHeight

Declaration

Source position: easylazfreetype.pas line 316

public property TFreeTypeFont.LineFullHeight : single
  read GetLineFullHeight
  write SetLineFullHeight;


TFreeTypeFont.Name

Declaration

Source position: easylazfreetype.pas line 306

public property TFreeTypeFont.Name : string
  read FName
  write SetName;


TFreeTypeFont.OnDestroyFontItem

Declaration

Source position: easylazfreetype.pas line 284

protected procedure TFreeTypeFont.OnDestroyFontItem;


TFreeTypeFont.Quality

Declaration

Source position: easylazfreetype.pas line 289

public TFreeTypeFont.Quality : TGlyphRenderQuality;


TFreeTypeFont.RenderGlyph

Declaration

Source position: easylazfreetype.pas line 295

public procedure TFreeTypeFont.RenderGlyph(

  AGlyph: Integer;

  x: single;

  y: single;

  ARect: TRect;

  OnRender: TDirectRenderingFunction

);


TFreeTypeFont.RenderText

Declaration

Source position: easylazfreetype.pas line 294

public procedure TFreeTypeFont.RenderText(

  AText: string;

  x: single;

  y: single;

  ARect: TRect;

  OnRender: TDirectRenderingFunction

); override;


TFreeTypeFont.SetClearType

Declaration

Source position: easylazfreetype.pas line 276

protected procedure TFreeTypeFont.SetClearType(

  const AValue: Boolean

); override;


TFreeTypeFont.SetHinted

Declaration

Source position: easylazfreetype.pas line 282

protected procedure TFreeTypeFont.SetHinted(

  const AValue: Boolean

); override;


TFreeTypeFont.SetNameAndStyle

Declaration

Source position: easylazfreetype.pas line 296

public procedure TFreeTypeFont.SetNameAndStyle(

  AName: string;

  AStyle: string

); overload;

procedure TFreeTypeFont.SetNameAndStyle(

  AName: string;

  AStyle: TFreeTypeStyles

); overload;


TFreeTypeFont.SizeInPixels

Declaration

Source position: easylazfreetype.pas line 309

public property TFreeTypeFont.SizeInPixels : single
  read GetPixelSize
  write SetPixelSize;


TFreeTypeFont.SizeInPoints

Declaration

Source position: easylazfreetype.pas line 308

public property TFreeTypeFont.SizeInPoints : single
  read FPointSize
  write SetPointSize;


TFreeTypeFont.SmallLinePadding

Declaration

Source position: easylazfreetype.pas line 290

public TFreeTypeFont.SmallLinePadding : Boolean;


TFreeTypeFont.Style

Declaration

Source position: easylazfreetype.pas line 322

public property TFreeTypeFont.Style : TFreeTypeStyles
  read GetFreeTypeStyles
  write SetFreeTypeStyles;


TFreeTypeFont.StyleAsString

Declaration

Source position: easylazfreetype.pas line 321

public property TFreeTypeFont.StyleAsString : string
  read FStyleStr
  write SetStyleAsString;


TFreeTypeFont.TextHeight

Declaration

Source position: easylazfreetype.pas line 299

public function TFreeTypeFont.TextHeight(

  AText: string

):single; override;


TFreeTypeFont.TextWidth

Declaration

Source position: easylazfreetype.pas line 298

public function TFreeTypeFont.TextWidth(

  AText: string

):single; override;


TFreeTypeFont.VersionNumber

Declaration

Source position: easylazfreetype.pas line 318

public property TFreeTypeFont.VersionNumber : string
  read GetVersionNumber;


TFreeTypeFont.WidthFactor

Declaration

Source position: easylazfreetype.pas line 315

public property TFreeTypeFont.WidthFactor : single
  read FWidthFactor
  write SetWidthFactor;


TFreeTypeGlyph

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 327

type TFreeTypeGlyph = class

public

  constructor Create();

  function RenderDirectly();

  destructor Destroy; override;

  property Loaded: Boolean; [r]

  property Data: TT_Glyph; [r]

  property Index: Integer; [r]

  property Bounds: TRect; [r]

  property BoundsWithOffset []: TRect; [r]

  property Advance: single; [r]

end;

Inheritance

TFreeTypeGlyph

|

TObject


TFreeTypeGlyph
 | ro | Loaded
 | ro | Data
 | ro | Index
 | ro | Bounds
 | ro | BoundsWithOffset
 | ro | Advance


ro | Advance (TFreeTypeGlyph)
ro | Bounds (TFreeTypeGlyph)
ro | BoundsWithOffset (TFreeTypeGlyph)
ro | Data (TFreeTypeGlyph)
ro | Index (TFreeTypeGlyph)
ro | Loaded (TFreeTypeGlyph)


TFreeTypeGlyph
 | Create
 | RenderDirectly
 | Destroy


TFreeTypeGlyph


TFreeTypeGlyph.Advance

Declaration

Source position: easylazfreetype.pas line 345

public property TFreeTypeGlyph.Advance : single
  read GetAdvance;


TFreeTypeGlyph.Bounds

Declaration

Source position: easylazfreetype.pas line 343

public property TFreeTypeGlyph.Bounds : TRect
  read GetBounds;


TFreeTypeGlyph.BoundsWithOffset

Declaration

Source position: easylazfreetype.pas line 344

public property TFreeTypeGlyph.BoundsWithOffset[x: single,y: single] : TRect
  read GetBoundsWithOffset;


TFreeTypeGlyph.Create

Declaration

Source position: easylazfreetype.pas line 336

public constructor TFreeTypeGlyph.Create(

  AFont: TFreeTypeFont;

  AIndex: Integer

);


TFreeTypeGlyph.Data

Declaration

Source position: easylazfreetype.pas line 341

public property TFreeTypeGlyph.Data : TT_Glyph
  read FGlyphData;


TFreeTypeGlyph.Destroy

Declaration

Source position: easylazfreetype.pas line 339

public destructor TFreeTypeGlyph.Destroy; override;


TFreeTypeGlyph.Index

Declaration

Source position: easylazfreetype.pas line 342

public property TFreeTypeGlyph.Index : Integer
  read FIndex;


TFreeTypeGlyph.Loaded

Declaration

Source position: easylazfreetype.pas line 340

public property TFreeTypeGlyph.Loaded : Boolean
  read FLoaded;


TFreeTypeGlyph.RenderDirectly

Declaration

Source position: easylazfreetype.pas line 337

public function TFreeTypeGlyph.RenderDirectly(

  x: single;

  y: single;

  Rect: TRect;

  OnRender: TDirectRenderingFunction;

  quality: TGlyphRenderQuality;

  ClearType: Boolean = False

):Boolean;

function TFreeTypeGlyph.RenderDirectly(

  ARasterizer: TFreeTypeRasterizer;

  x: single;

  y: single;

  Rect: TRect;

  OnRender: TDirectRenderingFunction;

  quality: TGlyphRenderQuality;

  ClearType: Boolean = False

):Boolean;


TFreeTypeGrayscaleMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 395

type TFreeTypeGrayscaleMap = class(TFreeTypeRasterMap)

protected

  procedure Init(); override;

public

  RenderQuality: TGlyphRenderQuality;

  function RenderGlyph(); override;

  procedure ScanMoveTo(); override;

  function ScanNextPixel;

  function GetPixel();

  procedure SetPixel();

  procedure XorPixel();

end;

Inheritance

TFreeTypeGrayscaleMap

|

TFreeTypeRasterMap

|

TObject


TFreeTypeGrayscaleMap
TFreeTypeRasterMap
 | ro | Width
 | ro | Height
 | ro | ScanLine


ro | Height (TFreeTypeRasterMap)
ro | ScanLine (TFreeTypeRasterMap)
ro | Width (TFreeTypeRasterMap)


TFreeTypeGrayscaleMap
pt | Init
 | RenderGlyph
 | ScanMoveTo
 | ScanNextPixel
 | GetPixel
 | SetPixel
 | XorPixel
TFreeTypeRasterMap
pt | GetHeight
pt | GetWidth
pt | GetScanLine
pt | Init
 | Create
 | Clear
 | Fill
 | RenderGlyph
 | ScanMoveTo
 | Destroy


 | Clear (TFreeTypeRasterMap)
 | Create (TFreeTypeRasterMap)
 | Destroy (TFreeTypeRasterMap)
 | Fill (TFreeTypeRasterMap)
pt | GetHeight (TFreeTypeRasterMap)
 | GetPixel (TFreeTypeGrayscaleMap)
pt | GetScanLine (TFreeTypeRasterMap)
pt | GetWidth (TFreeTypeRasterMap)
pt | Init (TFreeTypeRasterMap)
pt | Init (TFreeTypeGrayscaleMap)
 | RenderGlyph (TFreeTypeRasterMap)
 | RenderGlyph (TFreeTypeGrayscaleMap)
 | ScanMoveTo (TFreeTypeRasterMap)
 | ScanMoveTo (TFreeTypeGrayscaleMap)
 | ScanNextPixel (TFreeTypeGrayscaleMap)
 | SetPixel (TFreeTypeGrayscaleMap)
 | XorPixel (TFreeTypeGrayscaleMap)


TFreeTypeGrayscaleMap

TFreeTypeRasterMap


TFreeTypeGrayscaleMap.GetPixel

Declaration

Source position: easylazfreetype.pas line 406

public function TFreeTypeGrayscaleMap.GetPixel(

  x: Integer;

  y: Integer

):Byte;


TFreeTypeGrayscaleMap.Init

Declaration

Source position: easylazfreetype.pas line 400

protected procedure TFreeTypeGrayscaleMap.Init(

  AWidth: Integer;

  AHeight: Integer

); override;


TFreeTypeGrayscaleMap.RenderGlyph

Declaration

Source position: easylazfreetype.pas line 403

public function TFreeTypeGrayscaleMap.RenderGlyph(

  glyph: TFreeTypeGlyph;

  x: single;

  y: single

):Boolean; override;


TFreeTypeGrayscaleMap.RenderQuality

Declaration

Source position: easylazfreetype.pas line 402

public TFreeTypeGrayscaleMap.RenderQuality : TGlyphRenderQuality;


TFreeTypeGrayscaleMap.ScanMoveTo

Declaration

Source position: easylazfreetype.pas line 404

public procedure TFreeTypeGrayscaleMap.ScanMoveTo(

  x: Integer;

  y: Integer

); override;


TFreeTypeGrayscaleMap.ScanNextPixel

Declaration

Source position: easylazfreetype.pas line 405

public function TFreeTypeGrayscaleMap.ScanNextPixel: Byte;


TFreeTypeGrayscaleMap.SetPixel

Declaration

Source position: easylazfreetype.pas line 407

public procedure TFreeTypeGrayscaleMap.SetPixel(

  x: Integer;

  y: Integer;

  value: Byte

);


TFreeTypeGrayscaleMap.XorPixel

Declaration

Source position: easylazfreetype.pas line 408

public procedure TFreeTypeGrayscaleMap.XorPixel(

  x: Integer;

  y: Integer;

  value: Byte

);


TFreeTypeMonochromeMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 374

type TFreeTypeMonochromeMap = class(TFreeTypeRasterMap)

protected

  procedure Init(); override;

public

  function RenderGlyph(); override;

  procedure ScanMoveTo(); override;

  function ScanNextPixel;

  function GetPixel();

  procedure SetPixel();

  function GetPixelsInRect();

  function GetPixelsInHorizline();

  procedure TogglePixel();

end;

Inheritance

TFreeTypeMonochromeMap

|

TFreeTypeRasterMap

|

TObject


TFreeTypeMonochromeMap
TFreeTypeRasterMap
 | ro | Width
 | ro | Height
 | ro | ScanLine


TFreeTypeMonochromeMap
pt | Init
 | RenderGlyph
 | ScanMoveTo
 | ScanNextPixel
 | GetPixel
 | SetPixel
 | GetPixelsInRect
 | GetPixelsInHorizline
 | TogglePixel
TFreeTypeRasterMap
pt | GetHeight
pt | GetWidth
pt | GetScanLine
pt | Init
 | Create
 | Clear
 | Fill
 | RenderGlyph
 | ScanMoveTo
 | Destroy


 | Clear (TFreeTypeRasterMap)
 | Create (TFreeTypeRasterMap)
 | Destroy (TFreeTypeRasterMap)
 | Fill (TFreeTypeRasterMap)
pt | GetHeight (TFreeTypeRasterMap)
 | GetPixel (TFreeTypeMonochromeMap)
 | GetPixelsInHorizline (TFreeTypeMonochromeMap)
 | GetPixelsInRect (TFreeTypeMonochromeMap)
pt | GetScanLine (TFreeTypeRasterMap)
pt | GetWidth (TFreeTypeRasterMap)
pt | Init (TFreeTypeRasterMap)
pt | Init (TFreeTypeMonochromeMap)
 | RenderGlyph (TFreeTypeRasterMap)
 | RenderGlyph (TFreeTypeMonochromeMap)
 | ScanMoveTo (TFreeTypeRasterMap)
 | ScanMoveTo (TFreeTypeMonochromeMap)
 | ScanNextPixel (TFreeTypeMonochromeMap)
 | SetPixel (TFreeTypeMonochromeMap)
 | TogglePixel (TFreeTypeMonochromeMap)


TFreeTypeMonochromeMap

TFreeTypeRasterMap


TFreeTypeMonochromeMap.GetPixel

Declaration

Source position: easylazfreetype.pas line 386

public function TFreeTypeMonochromeMap.GetPixel(

  x: Integer;

  y: Integer

):Boolean;


TFreeTypeMonochromeMap.GetPixelsInHorizline

Declaration

Source position: easylazfreetype.pas line 389

public function TFreeTypeMonochromeMap.GetPixelsInHorizline(

  x: Integer;

  y: Integer;

  x2: Integer

):Integer;


TFreeTypeMonochromeMap.GetPixelsInRect

Declaration

Source position: easylazfreetype.pas line 388

public function TFreeTypeMonochromeMap.GetPixelsInRect(

  x: Integer;

  y: Integer;

  x2: Integer;

  y2: Integer

):Integer;


TFreeTypeMonochromeMap.Init

Declaration

Source position: easylazfreetype.pas line 381

protected procedure TFreeTypeMonochromeMap.Init(

  AWidth: Integer;

  AHeight: Integer

); override;


TFreeTypeMonochromeMap.RenderGlyph

Declaration

Source position: easylazfreetype.pas line 383

public function TFreeTypeMonochromeMap.RenderGlyph(

  glyph: TFreeTypeGlyph;

  x: single;

  y: single

):Boolean; override;


TFreeTypeMonochromeMap.ScanMoveTo

Declaration

Source position: easylazfreetype.pas line 384

public procedure TFreeTypeMonochromeMap.ScanMoveTo(

  x: Integer;

  y: Integer

); override;


TFreeTypeMonochromeMap.ScanNextPixel

Declaration

Source position: easylazfreetype.pas line 385

public function TFreeTypeMonochromeMap.ScanNextPixel: Boolean;


TFreeTypeMonochromeMap.SetPixel

Declaration

Source position: easylazfreetype.pas line 387

public procedure TFreeTypeMonochromeMap.SetPixel(

  x: Integer;

  y: Integer;

  value: Boolean

);


TFreeTypeMonochromeMap.TogglePixel

Declaration

Source position: easylazfreetype.pas line 390

public procedure TFreeTypeMonochromeMap.TogglePixel(

  x: Integer;

  y: Integer

);


TFreeTypeRasterMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 350

type TFreeTypeRasterMap = class

protected

  map: TT_Raster_Map;

  FRasterizer: TFreeTypeRasterizer;

  function GetHeight; virtual;

  function GetWidth; virtual;

  function GetScanLine();

  procedure Init(); virtual; abstract;

public

  constructor Create();

  procedure Clear;

  procedure Fill;

  function RenderGlyph(); virtual; abstract;

  procedure ScanMoveTo(); virtual; abstract;

  destructor Destroy; override;

  property Width: Integer; [r]

  property Height: Integer; [r]

  property ScanLine []: pointer; [r]

end;

Inheritance

TFreeTypeRasterMap

|

TObject


TFreeTypeRasterMap
 | ro | Width
 | ro | Height
 | ro | ScanLine


TFreeTypeRasterMap
pt | GetHeight
pt | GetWidth
pt | GetScanLine
pt | Init
 | Create
 | Clear
 | Fill
 | RenderGlyph
 | ScanMoveTo
 | Destroy


 | Clear (TFreeTypeRasterMap)
 | Create (TFreeTypeRasterMap)
 | Destroy (TFreeTypeRasterMap)
 | Fill (TFreeTypeRasterMap)
pt | GetHeight (TFreeTypeRasterMap)
pt | GetScanLine (TFreeTypeRasterMap)
pt | GetWidth (TFreeTypeRasterMap)
pt | Init (TFreeTypeRasterMap)
 | RenderGlyph (TFreeTypeRasterMap)
 | ScanMoveTo (TFreeTypeRasterMap)


TFreeTypeRasterMap


TFreeTypeRasterMap.Clear

Declaration

Source position: easylazfreetype.pas line 361

public procedure TFreeTypeRasterMap.Clear;


TFreeTypeRasterMap.Create

Declaration

Source position: easylazfreetype.pas line 359

public constructor TFreeTypeRasterMap.Create(

  AWidth: Integer;

  AHeight: Integer

); virtual;

constructor TFreeTypeRasterMap.Create(

  ARasterizer: TFreeTypeRasterizer;

  AWidth: Integer;

  AHeight: Integer

); virtual;


TFreeTypeRasterMap.Destroy

Declaration

Source position: easylazfreetype.pas line 365

public destructor TFreeTypeRasterMap.Destroy; override;


TFreeTypeRasterMap.Fill

Declaration

Source position: easylazfreetype.pas line 362

public procedure TFreeTypeRasterMap.Fill;


TFreeTypeRasterMap.FRasterizer

Declaration

Source position: easylazfreetype.pas line 353

protected TFreeTypeRasterMap.FRasterizer : TFreeTypeRasterizer;


TFreeTypeRasterMap.GetHeight

Declaration

Source position: easylazfreetype.pas line 354

protected function TFreeTypeRasterMap.GetHeight: Integer; virtual;


TFreeTypeRasterMap.GetScanLine

Declaration

Source position: easylazfreetype.pas line 356

protected function TFreeTypeRasterMap.GetScanLine(

  y: Integer

):pointer;


TFreeTypeRasterMap.GetWidth

Declaration

Source position: easylazfreetype.pas line 355

protected function TFreeTypeRasterMap.GetWidth: Integer; virtual;


TFreeTypeRasterMap.Height

Declaration

Source position: easylazfreetype.pas line 368

public property TFreeTypeRasterMap.Height : Integer
  read GetHeight;


TFreeTypeRasterMap.Init

Declaration

Source position: easylazfreetype.pas line 357

protected procedure TFreeTypeRasterMap.Init(

  AWidth: Integer;

  AHeight: Integer

); virtual; abstract;


TFreeTypeRasterMap.map

Declaration

Source position: easylazfreetype.pas line 352

protected TFreeTypeRasterMap.map : TT_Raster_Map;


TFreeTypeRasterMap.RenderGlyph

Declaration

Source position: easylazfreetype.pas line 363

public function TFreeTypeRasterMap.RenderGlyph(

  glyph: TFreeTypeGlyph;

  x: single;

  y: single

):Boolean; virtual; abstract;


TFreeTypeRasterMap.ScanLine

Declaration

Source position: easylazfreetype.pas line 369

public property TFreeTypeRasterMap.ScanLine[y: Integer] : pointer
  read GetScanLine;


TFreeTypeRasterMap.ScanMoveTo

Declaration

Source position: easylazfreetype.pas line 364

public procedure TFreeTypeRasterMap.ScanMoveTo(

  x: Integer;

  y: Integer

); virtual; abstract;


TFreeTypeRasterMap.Width

Declaration

Source position: easylazfreetype.pas line 367

public property TFreeTypeRasterMap.Width : Integer
  read GetWidth;


TFreeTypeRenderableFont

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: easylazfreetype.pas line 172

type TFreeTypeRenderableFont = class

protected

  FWordBreakHandler: TFreeTypeWordBreakHandler;

  FOnRenderText: TOnRenderTextHandler;

  function GetClearType; virtual; abstract;

  procedure SetClearType(); virtual; abstract;

  function GetLineFullHeight; virtual; abstract;

  function GetAscent; virtual; abstract;

  function GetDescent; virtual; abstract;

  function GetLineSpacing; virtual; abstract;

  procedure DefaultWordBreakHandler();

  function GetHinted; virtual; abstract;

  procedure SetHinted(); virtual; abstract;

public

  UnderlineDecoration: Boolean;

  StrikeOutDecoration: Boolean;

  function TextWidth(); virtual; abstract;

  function TextHeight(); virtual; abstract;

  function CharWidthFromUnicode(); virtual; abstract;

  procedure SplitText();

  procedure GetTextSize(); virtual;

  procedure RenderText(); virtual; abstract;

  property ClearType: Boolean; [rw]

  property Ascent: single; [r]

  property Descent: single; [r]

  property LineSpacing: single; [r]

  property LineFullHeight: single; [r]

  property Hinted: Boolean; [rw]

  property OnWordBreak: TFreeTypeWordBreakHandler; [rw]

  property OnRenderText: TOnRenderTextHandler; [rw]

end;

Inheritance

TFreeTypeRenderableFont

|

TObject


TFreeTypeRenderableFont
 |  | ClearType
 | ro | Ascent
 | ro | Descent
 | ro | LineSpacing
 | ro | LineFullHeight
 |  | Hinted


ro | Ascent (TFreeTypeRenderableFont)
 | ClearType (TFreeTypeRenderableFont)
ro | Descent (TFreeTypeRenderableFont)
 | Hinted (TFreeTypeRenderableFont)
ro | LineFullHeight (TFreeTypeRenderableFont)
ro | LineSpacing (TFreeTypeRenderableFont)


TFreeTypeRenderableFont
pt | GetClearType
pt | SetClearType
pt | GetLineFullHeight
pt | GetAscent
pt | GetDescent
pt | GetLineSpacing
pt | DefaultWordBreakHandler
pt | GetHinted
pt | SetHinted
 | TextWidth
 | TextHeight
 | CharWidthFromUnicode
 | SplitText
 | GetTextSize
 | RenderText


pt | DefaultWordBreakHandler (TFreeTypeRenderableFont)
pt | GetAscent (TFreeTypeRenderableFont)
pt | GetClearType (TFreeTypeRenderableFont)
pt | GetDescent (TFreeTypeRenderableFont)
pt | GetHinted (TFreeTypeRenderableFont)
pt | GetLineFullHeight (TFreeTypeRenderableFont)
pt | GetLineSpacing (TFreeTypeRenderableFont)
 | GetTextSize (TFreeTypeRenderableFont)
 | RenderText (TFreeTypeRenderableFont)
pt | SetClearType (TFreeTypeRenderableFont)
pt | SetHinted (TFreeTypeRenderableFont)
 | SplitText (TFreeTypeRenderableFont)
 | TextHeight (TFreeTypeRenderableFont)
 | TextWidth (TFreeTypeRenderableFont)


TFreeTypeRenderableFont
 | OnWordBreak
 | OnRenderText


TFreeTypeRenderableFont.Ascent

Declaration

Source position: easylazfreetype.pas line 194

public property TFreeTypeRenderableFont.Ascent : single
  read GetAscent;


TFreeTypeRenderableFont.CharWidthFromUnicode

Declaration

Source position: easylazfreetype.pas line 189

public function TFreeTypeRenderableFont.CharWidthFromUnicode(

  AUnicode: Integer

):single; virtual; abstract;


TFreeTypeRenderableFont.ClearType

Declaration

Source position: easylazfreetype.pas line 193

public property TFreeTypeRenderableFont.ClearType : Boolean
  read GetClearType
  write SetClearType;


TFreeTypeRenderableFont.DefaultWordBreakHandler

Declaration

Source position: easylazfreetype.pas line 182

protected procedure TFreeTypeRenderableFont.DefaultWordBreakHandler(

  var ABefore: string;

  var AAfter: string

);


TFreeTypeRenderableFont.Descent

Declaration

Source position: easylazfreetype.pas line 195

public property TFreeTypeRenderableFont.Descent : single
  read GetDescent;


TFreeTypeRenderableFont.FOnRenderText

Declaration

Source position: easylazfreetype.pas line 175

protected TFreeTypeRenderableFont.FOnRenderText : TOnRenderTextHandler;


TFreeTypeRenderableFont.FWordBreakHandler

Declaration

Source position: easylazfreetype.pas line 174

protected TFreeTypeRenderableFont.FWordBreakHandler : TFreeTypeWordBreakHandler;


TFreeTypeRenderableFont.GetAscent

Declaration

Source position: easylazfreetype.pas line 179

protected function TFreeTypeRenderableFont.GetAscent: single; virtual; abstract;


TFreeTypeRenderableFont.GetClearType

Declaration

Source position: easylazfreetype.pas line 176

protected function TFreeTypeRenderableFont.GetClearType: Boolean; virtual; abstract;


TFreeTypeRenderableFont.GetDescent

Declaration

Source position: easylazfreetype.pas line 180

protected function TFreeTypeRenderableFont.GetDescent: single; virtual; abstract;


TFreeTypeRenderableFont.GetHinted

Declaration

Source position: easylazfreetype.pas line 183

protected function TFreeTypeRenderableFont.GetHinted: Boolean; virtual; abstract;


TFreeTypeRenderableFont.GetLineFullHeight

Declaration

Source position: easylazfreetype.pas line 178

protected function TFreeTypeRenderableFont.GetLineFullHeight: single; virtual; abstract;


TFreeTypeRenderableFont.GetLineSpacing

Declaration

Source position: easylazfreetype.pas line 181

protected function TFreeTypeRenderableFont.GetLineSpacing: single; virtual; abstract;


TFreeTypeRenderableFont.GetTextSize

Declaration

Source position: easylazfreetype.pas line 191

public procedure TFreeTypeRenderableFont.GetTextSize(

  AText: string;

  out w: single;

  out h: single

); virtual;


TFreeTypeRenderableFont.Hinted

Declaration

Source position: easylazfreetype.pas line 198

public property TFreeTypeRenderableFont.Hinted : Boolean
  read GetHinted
  write SetHinted;


TFreeTypeRenderableFont.LineFullHeight

Declaration

Source position: easylazfreetype.pas line 197

public property TFreeTypeRenderableFont.LineFullHeight : single
  read GetLineFullHeight;


TFreeTypeRenderableFont.LineSpacing

Declaration

Source position: easylazfreetype.pas line 196

public property TFreeTypeRenderableFont.LineSpacing : single
  read GetLineSpacing;


TFreeTypeRenderableFont.OnRenderText

Declaration

Source position: easylazfreetype.pas line 200

public property TFreeTypeRenderableFont.OnRenderText : TOnRenderTextHandler
  read FOnRenderText
  write FOnRenderText;


TFreeTypeRenderableFont.OnWordBreak

Declaration

Source position: easylazfreetype.pas line 199

public property TFreeTypeRenderableFont.OnWordBreak : TFreeTypeWordBreakHandler
  read FWordBreakHandler
  write FWordBreakHandler;


TFreeTypeRenderableFont.RenderText

Declaration

Source position: easylazfreetype.pas line 192

public procedure TFreeTypeRenderableFont.RenderText(

  AText: string;

  x: single;

  y: single;

  ARect: TRect;

  OnRender: TDirectRenderingFunction

); virtual; abstract;


TFreeTypeRenderableFont.SetClearType

Declaration

Source position: easylazfreetype.pas line 177

protected procedure TFreeTypeRenderableFont.SetClearType(

  const AValue: Boolean

); virtual; abstract;


TFreeTypeRenderableFont.SetHinted

Declaration

Source position: easylazfreetype.pas line 184

protected procedure TFreeTypeRenderableFont.SetHinted(

  const AValue: Boolean

); virtual; abstract;


TFreeTypeRenderableFont.SplitText

Declaration

Source position: easylazfreetype.pas line 190

public procedure TFreeTypeRenderableFont.SplitText(

  var AText: string;

  AMaxWidth: single;

  out ARemains: string

);


TFreeTypeRenderableFont.StrikeOutDecoration

Declaration

Source position: easylazfreetype.pas line 186

public TFreeTypeRenderableFont.StrikeOutDecoration : Boolean;


TFreeTypeRenderableFont.TextHeight

Declaration

Source position: easylazfreetype.pas line 188

public function TFreeTypeRenderableFont.TextHeight(

  AText: string

):single; virtual; abstract;


TFreeTypeRenderableFont.TextWidth

Declaration

Source position: easylazfreetype.pas line 187

public function TFreeTypeRenderableFont.TextWidth(

  AText: string

):single; virtual; abstract;


TFreeTypeRenderableFont.UnderlineDecoration

Declaration

Source position: easylazfreetype.pas line 186

public TFreeTypeRenderableFont.UnderlineDecoration : Boolean;


TExtendedStringList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: extendedstrings.pas line 36

type TExtendedStringList = class(TStringList)

protected

  procedure ResizeRecord(); virtual;

  function GetObject(); override;

  procedure PutObject(); override;

public

  constructor Create();

  destructor Destroy; override;

  procedure Clear; override;

  procedure Delete(); override;

  procedure CreateRecord(); virtual;

  procedure FreeRecord(); virtual;

  procedure FreeAllRecords; virtual;

  function RecordAllocated();

  property Records []: pointer; [rw]

  property RecordSize: Integer; [rw]

  property Options: TExtStringsOptions; [rw]

end;

Inheritance

TExtendedStringList
|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TExtendedStringList
 |  | Records
 |  | RecordSize
 |  | Options
TStringList
 |  | Duplicates
 |  | Sorted
 |  | CaseSensitive
 |  | OwnsObjects
 |  | SortStyle
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | Duplicates (TStringList)
 | LineBreak (TStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | Options (TExtendedStringList)
 | OwnsObjects (TStringList)
 | QuoteChar (TStrings)
 | Records (TExtendedStringList)
 | RecordSize (TExtendedStringList)
 | SkipLastLineBreak (TStrings)
 | Sorted (TStringList)
 | SortStyle (TStringList)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TExtendedStringList
pt | ResizeRecord
pt | GetObject
pt | PutObject
 | Create
 | Destroy
 | Clear
 | Delete
 | CreateRecord
 | FreeRecord
 | FreeAllRecords
 | RecordAllocated
TStringList
 | ExchangeItemsInt
 | GetSorted
 | Grow
 | InternalClear
 | QuickSort
 | SetSorted
 | SetCaseSensitive
 | SetSortStyle
 | ExchangeItems
 | Changed
 | Changing
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | Put
 | PutObject
 | SetCapacity
 | SetUpdateState
 | InsertItem
 | DoCompareText
 | CompareStrings
 | Destroy
 | Add
 | Clear
 | Delete
 | Exchange
 | Find
 | IndexOf
 | Insert
 | Sort
 | CustomSort
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | Add (TStringList)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | Changed (TStringList)
 | Changing (TStringList)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TStringList)
 | Clear (TExtendedStringList)
 | CompareStrings (TStringList)
 | Create (TObject)
 | Create (TExtendedStringList)
 | CreateRecord (TExtendedStringList)
 | CustomSort (TStringList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TStringList)
 | Delete (TExtendedStringList)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TStringList)
 | Destroy (TExtendedStringList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoCompareText (TStringList)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | Exchange (TStringList)
 | ExchangeItems (TStringList)
 | ExchangeItemsInt (TStringList)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | Find (TStringList)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeAllRecords (TExtendedStringList)
 | FreeInstance (TObject)
 | FreeRecord (TExtendedStringList)
 | Get (TStrings)
 | Get (TStringList)
 | GetCapacity (TStrings)
 | GetCapacity (TStringList)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
 | GetCount (TStringList)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetObject (TStringList)
pt | GetObject (TExtendedStringList)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetSorted (TStringList)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | Grow (TStringList)
 | IndexOf (TStrings)
 | IndexOf (TStringList)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TStringList)
 | InsertItem (TStringList)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | InternalClear (TStringList)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | Put (TStringList)
 | PutObject (TStrings)
 | PutObject (TStringList)
pt | PutObject (TExtendedStringList)
 | QuickSort (TStringList)
 | ReadData (TStrings)
 | RecordAllocated (TExtendedStringList)
pt | ResizeRecord (TExtendedStringList)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCapacity (TStringList)
 | SetCaseSensitive (TStringList)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetSorted (TStringList)
 | SetSortStyle (TStringList)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetUpdateState (TStringList)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | Sort (TStringList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TExtendedStringList
TStringList
 | OnChange
 | OnChanging
TStrings
TPersistent
TObject


TExtendedStringList.Clear

Declaration

Source position: extendedstrings.pas line 53

public procedure TExtendedStringList.Clear; override;


TExtendedStringList.Create

Declaration

Source position: extendedstrings.pas line 51

public constructor TExtendedStringList.Create(

  InitialRecordSize: Integer

);


TExtendedStringList.CreateRecord

Declaration

Source position: extendedstrings.pas line 55

public procedure TExtendedStringList.CreateRecord(

  Index: Integer

); virtual;


TExtendedStringList.Delete

Declaration

Source position: extendedstrings.pas line 54

public procedure TExtendedStringList.Delete(

  Index: Integer

); override;


TExtendedStringList.Destroy

Declaration

Source position: extendedstrings.pas line 52

public destructor TExtendedStringList.Destroy; override;


TExtendedStringList.FreeAllRecords

Declaration

Source position: extendedstrings.pas line 57

public procedure TExtendedStringList.FreeAllRecords; virtual;


TExtendedStringList.FreeRecord

Declaration

Source position: extendedstrings.pas line 56

public procedure TExtendedStringList.FreeRecord(

  Index: Integer

); virtual;


TExtendedStringList.GetObject

Declaration

Source position: extendedstrings.pas line 48

protected function TExtendedStringList.GetObject(

  Index: Integer

):TObject; override;


TExtendedStringList.Options

Declaration

Source position: extendedstrings.pas line 61

public property TExtendedStringList.Options : TExtStringsOptions
  read FOptions
  write SetOptions;


TExtendedStringList.PutObject

Declaration

Source position: extendedstrings.pas line 49

protected procedure TExtendedStringList.PutObject(

  Index: Integer;

  AnObject: TObject

); override;


TExtendedStringList.RecordAllocated

Declaration

Source position: extendedstrings.pas line 58

public function TExtendedStringList.RecordAllocated(

  Index: Integer

):Boolean;


TExtendedStringList.Records

Declaration

Source position: extendedstrings.pas line 59

public property TExtendedStringList.Records[Index: Integer] : pointer
  read GetRecords
  write SetRecords;


TExtendedStringList.RecordSize

Declaration

Source position: extendedstrings.pas line 60

public property TExtendedStringList.RecordSize : Integer
  read FRecordSize
  write SetRecordSize;


TExtendedStringList.ResizeRecord

Declaration

Source position: extendedstrings.pas line 46

protected procedure TExtendedStringList.ResizeRecord(

  var ARecord: Pointer;

  Index: Integer;

  OldSize: Integer;

  NewSize: Integer

); virtual;


TFileIterator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class for getting info about found file or directory.

Declaration

Source position: fileutil.pas line 93

type TFileIterator = class
public
procedure Stop; | Stops the searching process.
function IsDirectory; | If the current file is directory.
property FileName: string; [r] | Gets the current file name.
property FileInfo: TSearchRec; [r] | Gets the current file info.
property Level: Integer; [r] | Gets the current file path level relative to base search path.
property Path: string; [r] | Gets the current file path.
property Searching: Boolean; [r] | If the searching is in process.
end;

Inheritance

TFileIterator

Class for getting info about found file or directory.
|

TObject


TFileIterator
 | ro | FileName
 | ro | FileInfo
 | ro | Level
 | ro | Path
 | ro | Searching


ro | FileInfo (TFileIterator)
ro | FileName (TFileIterator)
ro | Level (TFileIterator)
ro | Path (TFileIterator)
ro | Searching (TFileIterator)


TFileIterator
 | Stop
 | IsDirectory


TFileIterator


TFileIterator.FileInfo

Gets the current file info.

Declaration

Source position: fileutil.pas line 106

public property TFileIterator.FileInfo : TSearchRec
  read FFileInfo;


TFileIterator.FileName

Gets the current file name.

Declaration

Source position: fileutil.pas line 105

public property TFileIterator.FileName : string
  read GetFileName;


TFileIterator.IsDirectory

If the current file is directory.

Declaration

Source position: fileutil.pas line 103

public function TFileIterator.IsDirectory: Boolean;


TFileIterator.Level

Gets the current file path level relative to base search path.

Declaration

Source position: fileutil.pas line 107

public property TFileIterator.Level : Integer
  read FLevel;


TFileIterator.Path

Gets the current file path.

Declaration

Source position: fileutil.pas line 108

public property TFileIterator.Path : string
  read FPath;


TFileIterator.Searching

If the searching is in process.

Declaration

Source position: fileutil.pas line 110

public property TFileIterator.Searching : Boolean
  read FSearching;


TFileIterator.Stop

Stops the searching process.

Declaration

Source position: fileutil.pas line 101

public procedure TFileIterator.Stop;

See also

TFileSearcher.Search

Searches for files in specified path with passed options.


TFileSearcher

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Class for searching files.

Declaration

Source position: fileutil.pas line 119

type TFileSearcher = class(TFileIterator)
protected
procedure DoDirectoryEnter; virtual; |
procedure DoDirectoryFound; virtual; |
procedure DoFileFound; virtual; |
public
constructor Create; | Creates new file searcher object.
procedure Search(); | Searches for files in specified path with passed options.
property MaskSeparator: Char; [rw]
property FollowSymLink: Boolean; [rw]
property FileAttribute: Word; [rw]
property DirectoryAttribute: Word; [rw]
property OnDirectoryFound: TDirectoryFoundEvent; [rw] | Is invoked when directory is found.
property OnFileFound: TFileFoundEvent; [rw] | Is invoked when file is found.
property OnDirectoryEnter: TDirectoryEnterEvent; [rw]
end;

Inheritance

TFileSearcher | Class for searching files.
|
TFileIterator | Class for getting info about found file or directory.
|
TObject


TFileSearcher
 |  | MaskSeparator
 |  | FollowSymLink
 |  | FileAttribute
 |  | DirectoryAttribute
TFileIterator
 | ro | FileName
 | ro | FileInfo
 | ro | Level
 | ro | Path
 | ro | Searching


ro | FileInfo (TFileIterator)
ro | FileName (TFileIterator)
 | FollowSymLink (TFileSearcher)
ro | Level (TFileIterator)
 | MaskSeparator (TFileSearcher)
ro | Path (TFileIterator)
ro | Searching (TFileIterator)


TFileSearcher
pt | DoDirectoryEnter
pt | DoDirectoryFound
pt | DoFileFound
 | Create
 | Search
TFileIterator
 | Stop
 | IsDirectory


pt | DoDirectoryEnter (TFileSearcher)
pt | DoDirectoryFound (TFileSearcher)
pt | DoFileFound (TFileSearcher)
 | IsDirectory (TFileIterator)
 | Search (TFileSearcher)
 | Stop (TFileIterator)


TFileSearcher
 | OnDirectoryFound
 | OnFileFound
 | OnDirectoryEnter
TFileIterator


TFileSearcher.Create

Creates new file searcher object.

Declaration

Source position: fileutil.pas line 134

public constructor TFileSearcher.Create;


TFileSearcher.DirectoryAttribute

Declaration

Source position: fileutil.pas line 141

public property TFileSearcher.DirectoryAttribute : Word
  read FDirectoryAttribute
  write FDirectoryAttribute
  default faDirectory;


TFileSearcher.DoDirectoryEnter

Declaration

Source position: fileutil.pas line 130

protected procedure TFileSearcher.DoDirectoryEnter; virtual;


TFileSearcher.DoDirectoryFound

Declaration

Source position: fileutil.pas line 131

protected procedure TFileSearcher.DoDirectoryFound; virtual;


TFileSearcher.DoFileFound

Declaration

Source position: fileutil.pas line 132

protected procedure TFileSearcher.DoFileFound; virtual;


TFileSearcher.FileAttribute

Declaration

Source position: fileutil.pas line 140

public property TFileSearcher.FileAttribute : Word
  read FFileAttribute
  write FFileAttribute
  default faAnyfile;


TFileSearcher.FollowSymLink

Declaration

Source position: fileutil.pas line 139

public property TFileSearcher.FollowSymLink : Boolean
  read FFollowSymLink
  write FFollowSymLink;


TFileSearcher.MaskSeparator

Declaration

Source position: fileutil.pas line 138

public property TFileSearcher.MaskSeparator : Char
  read FMaskSeparator
  write FMaskSeparator;


TFileSearcher.OnDirectoryEnter

Declaration

Source position: fileutil.pas line 144

public property TFileSearcher.OnDirectoryEnter : TDirectoryEnterEvent
  read FOnDirectoryEnter
  write FOnDirectoryEnter;


TFileSearcher.OnDirectoryFound

Is invoked when directory is found.

Declaration

Source position: fileutil.pas line 142

public property TFileSearcher.OnDirectoryFound : TDirectoryFoundEvent
  read FOnDirectoryFound
  write FOnDirectoryFound;


TFileSearcher.OnFileFound

Is invoked when file is found.

Declaration

Source position: fileutil.pas line 143

public property TFileSearcher.OnFileFound : TFileFoundEvent
  read FOnFileFound
  write FOnFileFound;


TFileSearcher.Search

Searches for files in specified path with passed options.

Declaration

Source position: fileutil.pas line 135

public procedure TFileSearcher.Search(

  ASearchPath: string;

  ASearchMask: string = '';

  ASearchSubDirs: Boolean = True;

  CaseSensitive: Boolean = False

);

Arguments

ASearchPath | Base path for searching files.
ASearchMask | Mask which file should match.
ASearchSubDirs | If search recursively sub directories.

Description

Searches for files in specified path. When file is found the OnFileFound event is invoked, for directories OnDirectoryFound event. You can abort searching process by calling Stop method in this events.

See also

TFileSearcher.OnFileFound | Is invoked when file is found.
TFileSearcher.OnDirectoryFound | Is invoked when directory is found.
TFileIterator.Stop | Stops the searching process.


TListDirectoriesSearcher

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: fileutil.pas line 160

type TListDirectoriesSearcher = class(TFileSearcher)

protected

  procedure DoDirectoryFound; override;

public

  constructor Create();

end;

Inheritance

TListDirectoriesSearcher
|
TFileSearcher | Class for searching files.
|
TFileIterator | Class for getting info about found file or directory.
|
TObject


TListDirectoriesSearcher
TFileSearcher
 |  | MaskSeparator
 |  | FollowSymLink
 |  | FileAttribute
 |  | DirectoryAttribute
TFileIterator
 | ro | FileName
 | ro | FileInfo
 | ro | Level
 | ro | Path
 | ro | Searching


TListDirectoriesSearcher
pt | DoDirectoryFound
 | Create
TFileSearcher
pt | DoDirectoryEnter
pt | DoDirectoryFound
pt | DoFileFound
 | Create
 | Search
TFileIterator
 | Stop
 | IsDirectory


pt | DoDirectoryEnter (TFileSearcher)
pt | DoDirectoryFound (TFileSearcher)
pt | DoDirectoryFound (TListDirectoriesSearcher)
pt | DoFileFound (TFileSearcher)
 | IsDirectory (TFileIterator)
 | Search (TFileSearcher)
 | Stop (TFileIterator)


TListDirectoriesSearcher
TFileSearcher
 | OnDirectoryFound
 | OnFileFound
 | OnDirectoryEnter
TFileIterator


TListFileSearcher

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: fileutil.pas line 149

type TListFileSearcher = class(TFileSearcher)

protected

  procedure DoFileFound; override;

public

  constructor Create();

end;

Inheritance

TListFileSearcher
|
TFileSearcher | Class for searching files.
|
TFileIterator | Class for getting info about found file or directory.
|
TObject


TListFileSearcher
TFileSearcher
 |  | MaskSeparator
 |  | FollowSymLink
 |  | FileAttribute
 |  | DirectoryAttribute
TFileIterator
 | ro | FileName
 | ro | FileInfo
 | ro | Level
 | ro | Path
 | ro | Searching


TListFileSearcher
pt | DoFileFound
 | Create
TFileSearcher
pt | DoDirectoryEnter
pt | DoDirectoryFound
pt | DoFileFound
 | Create
 | Search
TFileIterator
 | Stop
 | IsDirectory


pt | DoDirectoryEnter (TFileSearcher)
pt | DoDirectoryFound (TFileSearcher)
pt | DoFileFound (TFileSearcher)
pt | DoFileFound (TListFileSearcher)
 | IsDirectory (TFileIterator)
 | Search (TFileSearcher)
 | Stop (TFileIterator)


TListFileSearcher
TFileSearcher
 | OnDirectoryFound
 | OnFileFound
 | OnDirectoryEnter
TFileIterator


EDOMError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 121

type EDOMError = class(Exception)

public

  Code: Integer;

  constructor Create();

end;

Inheritance

EDOMError

|

Exception
|

TObject


EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMError

Exception

TObject


EDOMError.Code

Declaration

Source position: laz2_dom.pas line 123

public EDOMError.Code : Integer;


EDOMError.Create

Declaration

Source position: laz2_dom.pas line 124

public constructor EDOMError.Create(

  ACode: Integer;

  const ASituation: string

);


EDOMHierarchyRequest

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 132

type EDOMHierarchyRequest = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMHierarchyRequest

|

EDOMError

|

Exception
|

TObject


EDOMHierarchyRequest
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMHierarchyRequest
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMHierarchyRequest)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMHierarchyRequest

EDOMError

Exception

TObject


EDOMHierarchyRequest.Create

Declaration

Source position: laz2_dom.pas line 134

public constructor EDOMHierarchyRequest.Create(

  const ASituation: string

);


EDOMIndexSize

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 127

type EDOMIndexSize = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMIndexSize

|

EDOMError

|

Exception
|

TObject


EDOMIndexSize
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMIndexSize
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMIndexSize)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMIndexSize

EDOMError

Exception

TObject


EDOMIndexSize.Create

Declaration

Source position: laz2_dom.pas line 129

public constructor EDOMIndexSize.Create(

  const ASituation: string

);


EDOMInUseAttribute

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 152

type EDOMInUseAttribute = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMInUseAttribute

|

EDOMError

|

Exception
|

TObject


EDOMInUseAttribute
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMInUseAttribute
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMInUseAttribute)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMInUseAttribute

EDOMError

Exception

TObject


EDOMInUseAttribute.Create

Declaration

Source position: laz2_dom.pas line 154

public constructor EDOMInUseAttribute.Create(

  const ASituation: string

);


EDOMInvalidAccess

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 177

type EDOMInvalidAccess = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMInvalidAccess

|

EDOMError

|

Exception
|

TObject


EDOMInvalidAccess
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMInvalidAccess
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMInvalidAccess)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMInvalidAccess

EDOMError

Exception

TObject


EDOMInvalidAccess.Create

Declaration

Source position: laz2_dom.pas line 179

public constructor EDOMInvalidAccess.Create(

  const ASituation: string

);


EDOMInvalidModification

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 167

type EDOMInvalidModification = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMInvalidModification

|

EDOMError

|

Exception
|

TObject


EDOMInvalidModification
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMInvalidModification
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMInvalidModification)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMInvalidModification

EDOMError

Exception

TObject


EDOMInvalidModification.Create

Declaration

Source position: laz2_dom.pas line 169

public constructor EDOMInvalidModification.Create(

  const ASituation: string

);


EDOMInvalidState

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 157

type EDOMInvalidState = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMInvalidState

|

EDOMError

|

Exception
|

TObject


EDOMInvalidState
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMInvalidState
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMInvalidState)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMInvalidState

EDOMError

Exception

TObject


EDOMInvalidState.Create

Declaration

Source position: laz2_dom.pas line 159

public constructor EDOMInvalidState.Create(

  const ASituation: string

);


EDOMNamespace

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 172

type EDOMNamespace = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMNamespace

|

EDOMError

|

Exception
|

TObject


EDOMNamespace
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMNamespace
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMNamespace)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMNamespace

EDOMError

Exception

TObject


EDOMNamespace.Create

Declaration

Source position: laz2_dom.pas line 174

public constructor EDOMNamespace.Create(

  const ASituation: string

);


EDOMNotFound

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 142

type EDOMNotFound = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMNotFound

|

EDOMError

|

Exception
|

TObject


EDOMNotFound
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMNotFound
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMNotFound)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMNotFound

EDOMError

Exception

TObject


EDOMNotFound.Create

Declaration

Source position: laz2_dom.pas line 144

public constructor EDOMNotFound.Create(

  const ASituation: string

);


EDOMNotSupported

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 147

type EDOMNotSupported = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMNotSupported

|

EDOMError

|

Exception
|

TObject


EDOMNotSupported
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMNotSupported
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMNotSupported)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMNotSupported

EDOMError

Exception

TObject


EDOMNotSupported.Create

Declaration

Source position: laz2_dom.pas line 149

public constructor EDOMNotSupported.Create(

  const ASituation: string

);


EDOMSyntax

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 162

type EDOMSyntax = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMSyntax

|

EDOMError

|

Exception
|

TObject


EDOMSyntax
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMSyntax
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMSyntax)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMSyntax

EDOMError

Exception

TObject


EDOMSyntax.Create

Declaration

Source position: laz2_dom.pas line 164

public constructor EDOMSyntax.Create(

  const ASituation: string

);


EDOMWrongDocument

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 137

type EDOMWrongDocument = class(EDOMError)

public

  constructor Create();

end;

Inheritance

EDOMWrongDocument

|

EDOMError

|

Exception
|

TObject


EDOMWrongDocument
EDOMError
Exception
 | HelpContext
 | Message
TObject


EDOMWrongDocument
 | Create
EDOMError
 | Create
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

Create (EDOMError)

Create (EDOMWrongDocument)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EDOMWrongDocument

EDOMError

Exception

TObject


EDOMWrongDocument.Create

Declaration

Source position: laz2_dom.pas line 139

public constructor EDOMWrongDocument.Create(

  const ASituation: string

);


TDOMAttr

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 596

type TDOMAttr = class(TDOMNode_NS)

protected

  FOwnerElement: TDOMElement;

  FDataType: TAttrDataType;

  function GetNodeValue; override;

  function GetNodeType; override;

  function GetSpecified;

  function GetIsID;

  procedure SetNodeValue(); override;

public

  destructor Destroy; override;

  function CloneNode(); override; overload;

  property Name: DOMString; [r]

  property Specified: Boolean; [r]

  property Value: DOMString; [rw]

  property OwnerElement: TDOMElement; [r]

  property IsID: Boolean; [r]

  property DataType: TAttrDataType; [rw]

end;

Inheritance

TDOMAttr

|

TDOMNode_NS

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMAttr
 | ro | Name
 | ro | Specified
 |  | Value
 | ro | OwnerElement
 | ro | IsID
 |  | DataType
TDOMNode_NS
 | ro | NSI
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
 | DataType (TDOMAttr)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | IsID (TDOMAttr)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | Name (TDOMAttr)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | NSI (TDOMNode_NS)
ro | OwnerDocument (TDOMNode)
ro | OwnerElement (TDOMAttr)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | Specified (TDOMAttr)
 | TextContent (TDOMNode)
 | Value (TDOMAttr)


TDOMAttr
pt | GetNodeValue
pt | GetNodeType
pt | GetSpecified
pt | GetIsID
pt | SetNodeValue
 | Destroy
 | CloneNode
TDOMNode_NS
pt | GetNodeName
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
 | SetNSI
 | CompareName
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMAttr)
 | CompareName (TDOMNode)
 | CompareName (TDOMNode_NS)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | Destroy (TDOMAttr)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetIsID (TDOMAttr)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetLocalName (TDOMNode_NS)
pt | GetNamespaceURI (TDOMNode)
pt | GetNamespaceURI (TDOMNode_NS)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMNode_NS)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMAttr)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMAttr)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
pt | GetPrefix (TDOMNode_NS)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetSpecified (TDOMAttr)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMAttr)
 | SetNSI (TDOMNode_NS)
pt | SetPrefix (TDOMNode)
pt | SetPrefix (TDOMNode_NS)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMAttr

TDOMNode_NS

TDOMNode_WithChildren

TDOMNode


TDOMAttr.CloneNode

Declaration

Source position: laz2_dom.pas line 607

public function TDOMAttr.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMAttr.DataType

Declaration

Source position: laz2_dom.pas line 615

public property TDOMAttr.DataType : TAttrDataType
  read FDataType
  write FDataType;


TDOMAttr.Destroy

Declaration

Source position: laz2_dom.pas line 606

public destructor TDOMAttr.Destroy; override;


TDOMAttr.FDataType

Declaration

Source position: laz2_dom.pas line 599

protected TDOMAttr.FDataType : TAttrDataType;


TDOMAttr.FOwnerElement

Declaration

Source position: laz2_dom.pas line 598

protected TDOMAttr.FOwnerElement : TDOMElement;


TDOMAttr.GetIsID

Declaration

Source position: laz2_dom.pas line 603

protected function TDOMAttr.GetIsID: Boolean;


TDOMAttr.GetNodeType

Declaration

Source position: laz2_dom.pas line 601

protected function TDOMAttr.GetNodeType: Integer; override;


TDOMAttr.GetNodeValue

Declaration

Source position: laz2_dom.pas line 600

protected function TDOMAttr.GetNodeValue: DOMString; override;


TDOMAttr.GetSpecified

Declaration

Source position: laz2_dom.pas line 602

protected function TDOMAttr.GetSpecified: Boolean;


TDOMAttr.IsID

Declaration

Source position: laz2_dom.pas line 612

public property TDOMAttr.IsID : Boolean
  read GetIsID;


TDOMAttr.Name

Declaration

Source position: laz2_dom.pas line 608

public property TDOMAttr.Name : DOMString
  read GetNodeName;


TDOMAttr.OwnerElement

Declaration

Source position: laz2_dom.pas line 611

public property TDOMAttr.OwnerElement : TDOMElement
  read FOwnerElement;


TDOMAttr.SetNodeValue

Declaration

Source position: laz2_dom.pas line 604

protected procedure TDOMAttr.SetNodeValue(

  const AValue: DOMString

); override;


TDOMAttr.Specified

Declaration

Source position: laz2_dom.pas line 609

public property TDOMAttr.Specified : Boolean
  read GetSpecified;


TDOMAttr.Value

Declaration

Source position: laz2_dom.pas line 610

public property TDOMAttr.Value : DOMString
  read GetNodeValue
  write SetNodeValue;


TDOMAttrDef

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 808

type TDOMAttrDef = class(TDOMAttr)

protected

  FExternallyDeclared: Boolean;

  FDefault: TAttrDefault;

  FTag: Cardinal;

  FEnumeration: ;

public

  function AddEnumToken();

  function HasEnumToken();

  function CloneNode(); override; overload;

  property Default: TAttrDefault; [rw]

  property ExternallyDeclared: Boolean; [rw]

  property Tag: Cardinal; [rw]

end;

Inheritance

TDOMAttrDef

|

TDOMAttr

|

TDOMNode_NS

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMAttrDef
 |  | Default
 |  | ExternallyDeclared
 |  | Tag
TDOMAttr
 | ro | Name
 | ro | Specified
 |  | Value
 | ro | OwnerElement
 | ro | IsID
 |  | DataType
TDOMNode_NS
 | ro | NSI
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
 | DataType (TDOMAttr)
 | Default (TDOMAttrDef)
 | ExternallyDeclared (TDOMAttrDef)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | IsID (TDOMAttr)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | Name (TDOMAttr)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | NSI (TDOMNode_NS)
ro | OwnerDocument (TDOMNode)
ro | OwnerElement (TDOMAttr)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | Specified (TDOMAttr)
 | Tag (TDOMAttrDef)
 | TextContent (TDOMNode)
 | Value (TDOMAttr)


TDOMAttrDef
 | AddEnumToken
 | HasEnumToken
 | CloneNode
TDOMAttr
pt | GetNodeValue
pt | GetNodeType
pt | GetSpecified
pt | GetIsID
pt | SetNodeValue
 | Destroy
 | CloneNode
TDOMNode_NS
pt | GetNodeName
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
 | SetNSI
 | CompareName
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMAttr)
 | CloneNode (TDOMAttrDef)
 | CompareName (TDOMNode)
 | CompareName (TDOMNode_NS)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | Destroy (TDOMAttr)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetIsID (TDOMAttr)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetLocalName (TDOMNode_NS)
pt | GetNamespaceURI (TDOMNode)
pt | GetNamespaceURI (TDOMNode_NS)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMNode_NS)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMAttr)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMAttr)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
pt | GetPrefix (TDOMNode_NS)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetSpecified (TDOMAttr)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | HasEnumToken (TDOMAttrDef)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMAttr)
 | SetNSI (TDOMNode_NS)
pt | SetPrefix (TDOMNode)
pt | SetPrefix (TDOMNode_NS)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMAttrDef

TDOMAttr

TDOMNode_NS

TDOMNode_WithChildren

TDOMNode


TDOMAttrDef.AddEnumToken

Declaration

Source position: laz2_dom.pas line 815

public function TDOMAttrDef.AddEnumToken(

  Buf: DOMPChar;

  Len: Integer

):Boolean;


TDOMAttrDef.CloneNode

Declaration

Source position: laz2_dom.pas line 817

public function TDOMAttrDef.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMAttrDef.Default

Declaration

Source position: laz2_dom.pas line 818

public property TDOMAttrDef.Default : TAttrDefault
  read FDefault
  write FDefault;


TDOMAttrDef.ExternallyDeclared

Declaration

Source position: laz2_dom.pas line 819

public property TDOMAttrDef.ExternallyDeclared : Boolean
  read FExternallyDeclared
  write FExternallyDeclared;


TDOMAttrDef.FDefault

Declaration

Source position: laz2_dom.pas line 811

protected TDOMAttrDef.FDefault : TAttrDefault;


TDOMAttrDef.FEnumeration

Declaration

Source position: laz2_dom.pas line 813

protected TDOMAttrDef.FEnumeration : array of DOMString;


TDOMAttrDef.FExternallyDeclared

Declaration

Source position: laz2_dom.pas line 810

protected TDOMAttrDef.FExternallyDeclared : Boolean;


TDOMAttrDef.FTag

Declaration

Source position: laz2_dom.pas line 812

protected TDOMAttrDef.FTag : Cardinal;


TDOMAttrDef.HasEnumToken

Declaration

Source position: laz2_dom.pas line 816

public function TDOMAttrDef.HasEnumToken(

  const aValue: DOMString

):Boolean;


TDOMAttrDef.Tag

Declaration

Source position: laz2_dom.pas line 820

public property TDOMAttrDef.Tag : Cardinal
  read FTag
  write FTag;


TDOMCDATASection

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 694

type TDOMCDATASection = class(TDOMText)

protected

  function GetNodeType; override;

  function GetNodeName; override;

public

  function CloneNode(); override; overload;

end;

Inheritance

TDOMCDATASection

|

TDOMText

|

TDOMCharacterData

|

TDOMNode

|

TObject


TDOMCDATASection
TDOMText
TDOMCharacterData
 |  | Data
 | ro | Length
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
 | Data (TDOMCharacterData)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | Length (TDOMCharacterData)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
 | TextContent (TDOMNode)


TDOMCDATASection
pt | GetNodeType
pt | GetNodeName
 | CloneNode
TDOMText
pt | GetNodeType
pt | GetNodeName
pt | SetNodeValue
 | CloneNode
 | SplitText
 | IsElementContentWhitespace
TDOMCharacterData
pt | GetLength
pt | GetNodeValue
pt | SetNodeValue
 | SubstringData
 | AppendData
 | InsertData
 | DeleteData
 | ReplaceData
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMText)
 | CloneNode (TDOMCDATASection)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | DeleteData (TDOMCharacterData)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
pt | GetLength (TDOMCharacterData)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMText)
pt | GetNodeName (TDOMCDATASection)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMText)
pt | GetNodeType (TDOMCDATASection)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMCharacterData)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | InsertData (TDOMCharacterData)
 | IsDefaultNamespace (TDOMNode)
 | IsElementContentWhitespace (TDOMText)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceData (TDOMCharacterData)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMCharacterData)
pt | SetNodeValue (TDOMText)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
 | SplitText (TDOMText)
 | SubstringData (TDOMCharacterData)


TDOMCDATASection

TDOMText

TDOMCharacterData

TDOMNode


TDOMCDATASection.CloneNode

Declaration

Source position: laz2_dom.pas line 699

public function TDOMCDATASection.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMCDATASection.GetNodeName

Declaration

Source position: laz2_dom.pas line 697

protected function TDOMCDATASection.GetNodeName: DOMString; override;


TDOMCDATASection.GetNodeType

Declaration

Source position: laz2_dom.pas line 696

protected function TDOMCDATASection.GetNodeType: Integer; override;


TDOMCharacterData

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 421

type TDOMCharacterData = class(TDOMNode)

protected

  function GetLength;

  function GetNodeValue; override;

  procedure SetNodeValue(); override;

public

  property Data: DOMString; [rw]

  property Length: LongWord; [r]

  function SubstringData();

  procedure AppendData();

  procedure InsertData();

  procedure DeleteData();

  procedure ReplaceData();

end;

Inheritance

TDOMCharacterData

|

TDOMNode

|

TObject


TDOMCharacterData
 |  | Data
 | ro | Length
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


TDOMCharacterData
pt | GetLength
pt | GetNodeValue
pt | SetNodeValue
 | SubstringData
 | AppendData
 | InsertData
 | DeleteData
 | ReplaceData
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | DeleteData (TDOMCharacterData)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
pt | GetLength (TDOMCharacterData)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeType (TDOMNode)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMCharacterData)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | InsertData (TDOMCharacterData)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceData (TDOMCharacterData)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMCharacterData)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
 | SubstringData (TDOMCharacterData)


TDOMCharacterData

TDOMNode


TDOMCharacterData.AppendData

Declaration

Source position: laz2_dom.pas line 432

public procedure TDOMCharacterData.AppendData(

  const arg: DOMString

);


TDOMCharacterData.Data

Declaration

Source position: laz2_dom.pas line 429

public property TDOMCharacterData.Data : DOMString
  read FNodeValue
  write SetNodeValue;


TDOMCharacterData.DeleteData

Declaration

Source position: laz2_dom.pas line 434

public procedure TDOMCharacterData.DeleteData(

  offset: LongWord;

  count: LongWord

);


TDOMCharacterData.GetLength

Declaration

Source position: laz2_dom.pas line 425

protected function TDOMCharacterData.GetLength: LongWord;


TDOMCharacterData.GetNodeValue

Declaration

Source position: laz2_dom.pas line 426

protected function TDOMCharacterData.GetNodeValue: DOMString; override;


TDOMCharacterData.InsertData

Declaration

Source position: laz2_dom.pas line 433

public procedure TDOMCharacterData.InsertData(

  offset: LongWord;

  const arg: DOMString

);


TDOMCharacterData.Length

Declaration

Source position: laz2_dom.pas line 430

public property TDOMCharacterData.Length : LongWord
  read GetLength;


TDOMCharacterData.ReplaceData

Declaration

Source position: laz2_dom.pas line 435

public procedure TDOMCharacterData.ReplaceData(

  offset: LongWord;

  count: LongWord;

  const arg: DOMString

);


TDOMCharacterData.SetNodeValue

Declaration

Source position: laz2_dom.pas line 427

protected procedure TDOMCharacterData.SetNodeValue(

  const AValue: DOMString

); override;


TDOMCharacterData.SubstringData

Declaration

Source position: laz2_dom.pas line 431

public function TDOMCharacterData.SubstringData(

  offset: LongWord;

  count: LongWord

):DOMString;


TDOMComment

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 681

type TDOMComment = class(TDOMCharacterData)

protected

  function GetNodeType; override;

  function GetNodeName; override;

public

  function CloneNode(); override; overload;

end;

Inheritance

TDOMComment

|

TDOMCharacterData

|

TDOMNode

|

TObject


TDOMComment
TDOMCharacterData
 |  | Data
 | ro | Length
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


TDOMComment
pt | GetNodeType
pt | GetNodeName
 | CloneNode
TDOMCharacterData
pt | GetLength
pt | GetNodeValue
pt | SetNodeValue
 | SubstringData
 | AppendData
 | InsertData
 | DeleteData
 | ReplaceData
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMComment)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | DeleteData (TDOMCharacterData)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
pt | GetLength (TDOMCharacterData)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMComment)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMComment)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMCharacterData)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | InsertData (TDOMCharacterData)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceData (TDOMCharacterData)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMCharacterData)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
 | SubstringData (TDOMCharacterData)


TDOMComment

TDOMCharacterData

TDOMNode


TDOMComment.CloneNode

Declaration

Source position: laz2_dom.pas line 686

public function TDOMComment.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMComment.GetNodeName

Declaration

Source position: laz2_dom.pas line 684

protected function TDOMComment.GetNodeName: DOMString; override;


TDOMComment.GetNodeType

Declaration

Source position: laz2_dom.pas line 683

protected function TDOMComment.GetNodeType: Integer; override;


TDOMDocument

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 475

type TDOMDocument = class(TDOMNode_WithChildren)

protected

  FIDList: THashTable;

  FRevision: Integer;

  FXML11: Boolean;

  FImplementation: TDOMImplementation;

  FNamespaces: TNamespaces;

  FNames: THashTable;

  FEmptyNode: TDOMElement;

  FNodeLists: THashTable;

  FMaxPoolSize: Integer;

  FPools: PNodePoolArray;

  FDocumentURI: DOMString;

  function GetDocumentElement;

  function GetDocType;

  function GetNodeType; override;

  function GetNodeName; override;

  function GetTextContent; override;

  function GetOwnerDocument; override;

  procedure SetTextContent(); override;

  procedure RemoveID();

  function GetChildNodeList();

  function GetElementList();

  procedure NodeListDestroyed();

  function Alloc();

public

  function IndexOfNS();

  function InsertBefore(); override;

  function ReplaceChild(); override;

  property DocType: TDOMDocumentType; [r]

  property Impl: TDOMImplementation; [r]

  property DocumentElement: TDOMElement; [r]

  function CreateElement(); virtual;

  function CreateElementBuf();

  function CreateDocumentFragment;

  function CreateTextNode();

  function CreateTextNodeBuf();

  function CreateComment();

  function CreateCommentBuf();

  function CreateCDATASection(); virtual;

  function CreateProcessingInstruction(); virtual;

  function CreateAttribute();

  function CreateAttributeBuf();

  function CreateAttributeDef();

  function CreateEntityReference(); virtual;

  function GetElementsByTagName();

  function ImportNode();

  function CreateElementNS();

  function CreateAttributeNS();

  function GetElementsByTagNameNS();

  function GetElementById();

  property documentURI: DOMString; [rw]

  constructor Create;

  destructor Destroy; override;

  function AddID();

  property Names: THashTable; [r]

end;

Inheritance

TDOMDocument

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMDocument
 | ro | DocType
 | ro | Impl
 | ro | DocumentElement
 |  | documentURI
 | ro | Names
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | DocType (TDOMDocument)
ro | DocumentElement (TDOMDocument)
 | documentURI (TDOMDocument)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | Impl (TDOMDocument)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | Names (TDOMDocument)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
 | TextContent (TDOMNode)


TDOMDocument
pt | GetDocumentElement
pt | GetDocType
pt | GetNodeType
pt | GetNodeName
pt | GetTextContent
pt | GetOwnerDocument
pt | SetTextContent
pt | RemoveID
pt | GetChildNodeList
pt | GetElementList
pt | NodeListDestroyed
pt | Alloc
 | IndexOfNS
 | InsertBefore
 | ReplaceChild
 | CreateElement
 | CreateElementBuf
 | CreateDocumentFragment
 | CreateTextNode
 | CreateTextNodeBuf
 | CreateComment
 | CreateCommentBuf
 | CreateCDATASection
 | CreateProcessingInstruction
 | CreateAttribute
 | CreateAttributeBuf
 | CreateAttributeDef
 | CreateEntityReference
 | GetElementsByTagName
 | ImportNode
 | CreateElementNS
 | CreateAttributeNS
 | GetElementsByTagNameNS
 | GetElementById
 | Create
 | Destroy
 | AddID
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Alloc (TDOMDocument)
 | AppendChild (TDOMNode)
pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Create (TDOMDocument)
 | CreateAttribute (TDOMDocument)
 | CreateAttributeBuf (TDOMDocument)
 | CreateAttributeDef (TDOMDocument)
 | CreateAttributeNS (TDOMDocument)
 | CreateCDATASection (TDOMDocument)
 | CreateComment (TDOMDocument)
 | CreateCommentBuf (TDOMDocument)
 | CreateDocumentFragment (TDOMDocument)
 | CreateElement (TDOMDocument)
 | CreateElementBuf (TDOMDocument)
 | CreateElementNS (TDOMDocument)
 | CreateEntityReference (TDOMDocument)
 | CreateProcessingInstruction (TDOMDocument)
 | CreateTextNode (TDOMDocument)
 | CreateTextNodeBuf (TDOMDocument)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | Destroy (TDOMDocument)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
pt | GetChildNodeList (TDOMDocument)
 | GetChildNodes (TDOMNode)
pt | GetDocType (TDOMDocument)
pt | GetDocumentElement (TDOMDocument)
 | GetElementById (TDOMDocument)
pt | GetElementList (TDOMDocument)
 | GetElementsByTagName (TDOMDocument)
 | GetElementsByTagNameNS (TDOMDocument)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMDocument)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMDocument)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetOwnerDocument (TDOMDocument)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
pt | GetTextContent (TDOMDocument)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | ImportNode (TDOMDocument)
 | IndexOfNS (TDOMDocument)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InsertBefore (TDOMDocument)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
pt | NodeListDestroyed (TDOMDocument)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
pt | RemoveID (TDOMDocument)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
 | ReplaceChild (TDOMDocument)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)
pt | SetTextContent (TDOMDocument)


TDOMDocument

TDOMNode_WithChildren

TDOMNode


TDOMDocument.AddID

Declaration

Source position: laz2_dom.pas line 537

public function TDOMDocument.AddID(

  Attr: TDOMAttr

):Boolean;


TDOMDocument.Alloc

Declaration

Source position: laz2_dom.pas line 499

protected function TDOMDocument.Alloc(

  AClass: TDOMNodeClass

):TDOMNode;


TDOMDocument.Create

Declaration

Source position: laz2_dom.pas line 535

public constructor TDOMDocument.Create;


TDOMDocument.CreateAttribute

Declaration

Source position: laz2_dom.pas line 519

public function TDOMDocument.CreateAttribute(

  const name: DOMString

):TDOMAttr;


TDOMDocument.CreateAttributeBuf

Declaration

Source position: laz2_dom.pas line 520

public function TDOMDocument.CreateAttributeBuf(

  Buf: DOMPChar;

  Length: Integer

):TDOMAttr;


TDOMDocument.CreateAttributeDef

Declaration

Source position: laz2_dom.pas line 521

public function TDOMDocument.CreateAttributeDef(

  Buf: DOMPChar;

  Length: Integer

):TDOMAttrDef;


TDOMDocument.CreateAttributeNS

Declaration

Source position: laz2_dom.pas line 529

public function TDOMDocument.CreateAttributeNS(

  const nsURI: DOMString;

  const QualifiedName: DOMString

):TDOMAttr;


TDOMDocument.CreateCDATASection

Declaration

Source position: laz2_dom.pas line 515

public function TDOMDocument.CreateCDATASection(

  const data: DOMString

):TDOMCDATASection; virtual;


TDOMDocument.CreateComment

Declaration

Source position: laz2_dom.pas line 513

public function TDOMDocument.CreateComment(

  const data: DOMString

):TDOMComment;


TDOMDocument.CreateCommentBuf

Declaration

Source position: laz2_dom.pas line 514

public function TDOMDocument.CreateCommentBuf(

  Buf: DOMPChar;

  Length: Integer

):TDOMComment;


TDOMDocument.CreateDocumentFragment

Declaration

Source position: laz2_dom.pas line 510

public function TDOMDocument.CreateDocumentFragment: TDOMDocumentFragment;


TDOMDocument.CreateElement

Declaration

Source position: laz2_dom.pas line 508

public function TDOMDocument.CreateElement(

  const tagName: DOMString

):TDOMElement; virtual;


TDOMDocument.CreateElementBuf

Declaration

Source position: laz2_dom.pas line 509

public function TDOMDocument.CreateElementBuf(

  Buf: DOMPChar;

  Length: Integer

):TDOMElement;


TDOMDocument.CreateElementNS

Declaration

Source position: laz2_dom.pas line 528

public function TDOMDocument.CreateElementNS(

  const nsURI: DOMString;

  const QualifiedName: DOMString

):TDOMElement;


TDOMDocument.CreateEntityReference

Declaration

Source position: laz2_dom.pas line 522

public function TDOMDocument.CreateEntityReference(

  const name: DOMString

):TDOMEntityReference; virtual;


TDOMDocument.CreateProcessingInstruction

Declaration

Source position: laz2_dom.pas line 517

public function TDOMDocument.CreateProcessingInstruction(

  const target: DOMString;

  const data: DOMString

):TDOMProcessingInstruction; virtual;


TDOMDocument.CreateTextNode

Declaration

Source position: laz2_dom.pas line 511

public function TDOMDocument.CreateTextNode(

  const data: DOMString

):TDOMText;


TDOMDocument.CreateTextNodeBuf

Declaration

Source position: laz2_dom.pas line 512

public function TDOMDocument.CreateTextNodeBuf(

  Buf: DOMPChar;

  Length: Integer;

  IgnWS: Boolean

):TDOMText;


TDOMDocument.Destroy

Declaration

Source position: laz2_dom.pas line 536

public destructor TDOMDocument.Destroy; override;


TDOMDocument.DocType

Declaration

Source position: laz2_dom.pas line 504

public property TDOMDocument.DocType : TDOMDocumentType
  read GetDocType;


TDOMDocument.DocumentElement

Declaration

Source position: laz2_dom.pas line 506

public property TDOMDocument.DocumentElement : TDOMElement
  read GetDocumentElement;


TDOMDocument.documentURI

Declaration

Source position: laz2_dom.pas line 533

public property TDOMDocument.documentURI : DOMString
  read FDocumentURI
  write FDocumentURI;


TDOMDocument.FDocumentURI

Declaration

Source position: laz2_dom.pas line 487

protected TDOMDocument.FDocumentURI : DOMString;


TDOMDocument.FEmptyNode

Declaration

Source position: laz2_dom.pas line 483

protected TDOMDocument.FEmptyNode : TDOMElement;


TDOMDocument.FIDList

Declaration

Source position: laz2_dom.pas line 477

protected TDOMDocument.FIDList : THashTable;


TDOMDocument.FImplementation

Declaration

Source position: laz2_dom.pas line 480

protected TDOMDocument.FImplementation : TDOMImplementation;


TDOMDocument.FMaxPoolSize

Declaration

Source position: laz2_dom.pas line 485

protected TDOMDocument.FMaxPoolSize : Integer;


TDOMDocument.FNames

Declaration

Source position: laz2_dom.pas line 482

protected TDOMDocument.FNames : THashTable;


TDOMDocument.FNamespaces

Declaration

Source position: laz2_dom.pas line 481

protected TDOMDocument.FNamespaces : TNamespaces;


TDOMDocument.FNodeLists

Declaration

Source position: laz2_dom.pas line 484

protected TDOMDocument.FNodeLists : THashTable;


TDOMDocument.FPools

Declaration

Source position: laz2_dom.pas line 486

protected TDOMDocument.FPools : PNodePoolArray;


TDOMDocument.FRevision

Declaration

Source position: laz2_dom.pas line 478

protected TDOMDocument.FRevision : Integer;


TDOMDocument.FXML11

Declaration

Source position: laz2_dom.pas line 479

protected TDOMDocument.FXML11 : Boolean;


TDOMDocument.GetChildNodeList

Declaration

Source position: laz2_dom.pas line 496

protected function TDOMDocument.GetChildNodeList(

  aNode: TDOMNode

):TDOMNodeList;


TDOMDocument.GetDocType

Declaration

Source position: laz2_dom.pas line 489

protected function TDOMDocument.GetDocType: TDOMDocumentType;


TDOMDocument.GetDocumentElement

Declaration

Source position: laz2_dom.pas line 488

protected function TDOMDocument.GetDocumentElement: TDOMElement;


TDOMDocument.GetElementById

Declaration

Source position: laz2_dom.pas line 531

public function TDOMDocument.GetElementById(

  const ElementID: DOMString

):TDOMElement;


TDOMDocument.GetElementList

Declaration

Source position: laz2_dom.pas line 497

protected function TDOMDocument.GetElementList(

  aNode: TDOMNode;

  const nsURI: DOMString;

  const aLocalName: DOMString;

  UseNS: Boolean

):TDOMNodeList;


TDOMDocument.GetElementsByTagName

Declaration

Source position: laz2_dom.pas line 524

public function TDOMDocument.GetElementsByTagName(

  const tagname: DOMString

):TDOMNodeList;


TDOMDocument.GetElementsByTagNameNS

Declaration

Source position: laz2_dom.pas line 530

public function TDOMDocument.GetElementsByTagNameNS(

  const nsURI: DOMString;

  const alocalName: DOMString

):TDOMNodeList;


TDOMDocument.GetNodeName

Declaration

Source position: laz2_dom.pas line 491

protected function TDOMDocument.GetNodeName: DOMString; override;


TDOMDocument.GetNodeType

Declaration

Source position: laz2_dom.pas line 490

protected function TDOMDocument.GetNodeType: Integer; override;


TDOMDocument.GetOwnerDocument

Declaration

Source position: laz2_dom.pas line 493

protected function TDOMDocument.GetOwnerDocument: TDOMDocument; override;


TDOMDocument.GetTextContent

Declaration

Source position: laz2_dom.pas line 492

protected function TDOMDocument.GetTextContent: DOMString; override;


TDOMDocument.Impl

Declaration

Source position: laz2_dom.pas line 505

public property TDOMDocument.Impl : TDOMImplementation
  read FImplementation;


TDOMDocument.ImportNode

Declaration

Source position: laz2_dom.pas line 527

public function TDOMDocument.ImportNode(

  ImportedNode: TDOMNode;

  Deep: Boolean

):TDOMNode;


TDOMDocument.IndexOfNS

Declaration

Source position: laz2_dom.pas line 501

public function TDOMDocument.IndexOfNS(

  const nsURI: DOMString;

  AddIfAbsent: Boolean = False

):Integer;


TDOMDocument.InsertBefore

Declaration

Source position: laz2_dom.pas line 502

public function TDOMDocument.InsertBefore(

  NewChild: TDOMNode;

  RefChild: TDOMNode

):TDOMNode; override;


TDOMDocument.Names

Declaration

Source position: laz2_dom.pas line 538

public property TDOMDocument.Names : THashTable
  read FNames;


TDOMDocument.NodeListDestroyed

Declaration

Source position: laz2_dom.pas line 498

protected procedure TDOMDocument.NodeListDestroyed(

  aList: TDOMNodeList

);


TDOMDocument.RemoveID

Declaration

Source position: laz2_dom.pas line 495

protected procedure TDOMDocument.RemoveID(

  Elem: TDOMElement

);


TDOMDocument.ReplaceChild

Declaration

Source position: laz2_dom.pas line 503

public function TDOMDocument.ReplaceChild(

  NewChild: TDOMNode;

  OldChild: TDOMNode

):TDOMNode; override;


TDOMDocument.SetTextContent

Declaration

Source position: laz2_dom.pas line 494

protected procedure TDOMDocument.SetTextContent(

  const value: DOMString

); override;


TDOMDocumentFragment

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 460

type TDOMDocumentFragment = class(TDOMNode_WithChildren)

protected

  function GetNodeType; override;

  function GetNodeName; override;

public

  function CloneNode(); override; overload;

end;

Inheritance

TDOMDocumentFragment

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMDocumentFragment
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
 | TextContent (TDOMNode)


TDOMDocumentFragment
pt | GetNodeType
pt | GetNodeName
 | CloneNode
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMDocumentFragment)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMDocumentFragment)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMDocumentFragment)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMDocumentFragment

TDOMNode_WithChildren

TDOMNode


TDOMDocumentFragment.CloneNode

Declaration

Source position: laz2_dom.pas line 465

public function TDOMDocumentFragment.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMDocumentFragment.GetNodeName

Declaration

Source position: laz2_dom.pas line 463

protected function TDOMDocumentFragment.GetNodeName: DOMString; override;


TDOMDocumentFragment.GetNodeType

Declaration

Source position: laz2_dom.pas line 462

protected function TDOMDocumentFragment.GetNodeType: Integer; override;


TDOMDocumentType

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 707

type TDOMDocumentType = class(TDOMNode)

protected

  FName: DOMString;

  FPublicID: DOMString;

  FSystemID: DOMString;

  FInternalSubset: DOMString;

  FEntities: TDOMNamedNodeMap;

  FNotations: TDOMNamedNodeMap;

  function GetEntities;

  function GetNotations;

  function GetNodeType; override;

  function GetNodeName; override;

public

  destructor Destroy; override;

  property Name: DOMString; [r]

  property Entities: TDOMNamedNodeMap; [r]

  property Notations: TDOMNamedNodeMap; [r]

  property PublicID: DOMString; [r]

  property SystemID: DOMString; [r]

  property InternalSubset: DOMString; [r]

end;

Inheritance

TDOMDocumentType

|

TDOMNode

|

TObject


TDOMDocumentType
 | ro | Name
 | ro | Entities
 | ro | Notations
 | ro | PublicID
 | ro | SystemID
 | ro | InternalSubset
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | Entities (TDOMDocumentType)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | InternalSubset (TDOMDocumentType)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | Name (TDOMDocumentType)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | Notations (TDOMDocumentType)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | PublicID (TDOMDocumentType)
ro | SystemID (TDOMDocumentType)
 | TextContent (TDOMNode)


TDOMDocumentType
pt | GetEntities
pt | GetNotations
pt | GetNodeType
pt | GetNodeName
 | Destroy
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMDocumentType)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
pt | GetEntities (TDOMDocumentType)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMDocumentType)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMDocumentType)
pt | GetNodeValue (TDOMNode)
pt | GetNotations (TDOMDocumentType)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)


TDOMDocumentType

TDOMNode


TDOMDocumentType.Destroy

Declaration

Source position: laz2_dom.pas line 719

public destructor TDOMDocumentType.Destroy; override;


TDOMDocumentType.Entities

Declaration

Source position: laz2_dom.pas line 721

public property TDOMDocumentType.Entities : TDOMNamedNodeMap
  read GetEntities;


TDOMDocumentType.FEntities

Declaration

Source position: laz2_dom.pas line 713

protected TDOMDocumentType.FEntities : TDOMNamedNodeMap;


TDOMDocumentType.FInternalSubset

Declaration

Source position: laz2_dom.pas line 712

protected TDOMDocumentType.FInternalSubset : DOMString;


TDOMDocumentType.FName

Declaration

Source position: laz2_dom.pas line 709

protected TDOMDocumentType.FName : DOMString;


TDOMDocumentType.FNotations

Declaration

Source position: laz2_dom.pas line 713

protected TDOMDocumentType.FNotations : TDOMNamedNodeMap;


TDOMDocumentType.FPublicID

Declaration

Source position: laz2_dom.pas line 710

protected TDOMDocumentType.FPublicID : DOMString;


TDOMDocumentType.FSystemID

Declaration

Source position: laz2_dom.pas line 711

protected TDOMDocumentType.FSystemID : DOMString;


TDOMDocumentType.GetEntities

Declaration

Source position: laz2_dom.pas line 714

protected function TDOMDocumentType.GetEntities: TDOMNamedNodeMap;


TDOMDocumentType.GetNodeName

Declaration

Source position: laz2_dom.pas line 717

protected function TDOMDocumentType.GetNodeName: DOMString; override;


TDOMDocumentType.GetNodeType

Declaration

Source position: laz2_dom.pas line 716

protected function TDOMDocumentType.GetNodeType: Integer; override;


TDOMDocumentType.GetNotations

Declaration

Source position: laz2_dom.pas line 715

protected function TDOMDocumentType.GetNotations: TDOMNamedNodeMap;


TDOMDocumentType.InternalSubset

Declaration

Source position: laz2_dom.pas line 726

public property TDOMDocumentType.InternalSubset : DOMString
  read FInternalSubset;


TDOMDocumentType.Name

Declaration

Source position: laz2_dom.pas line 720

public property TDOMDocumentType.Name : DOMString
  read FName;


TDOMDocumentType.Notations

Declaration

Source position: laz2_dom.pas line 722

public property TDOMDocumentType.Notations : TDOMNamedNodeMap
  read GetNotations;


TDOMDocumentType.PublicID

Declaration

Source position: laz2_dom.pas line 724

public property TDOMDocumentType.PublicID : DOMString
  read FPublicID;


TDOMDocumentType.SystemID

Declaration

Source position: laz2_dom.pas line 725

public property TDOMDocumentType.SystemID : DOMString
  read FSystemID;


TDOMElement

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 623

type TDOMElement = class(TDOMNode_NS)

protected

  FAttributes: TDOMNamedNodeMap;

  function GetNodeType; override;

  function GetAttributes; override;

  procedure AttachDefaultAttrs;

  function InternalLookupPrefix();

  procedure RestoreDefaultAttr();

public

  destructor Destroy; override;

  function CloneNode(); override; overload;

  function IsEmpty; virtual;

  procedure Normalize; override;

  property TagName: DOMString; [r]

  function GetAttribute();

  procedure SetAttribute();

  procedure RemoveAttribute();

  function GetAttributeNode();

  function SetAttributeNode();

  function RemoveAttributeNode();

  function GetElementsByTagName();

  function GetAttributeNS();

  procedure SetAttributeNS();

  procedure RemoveAttributeNS();

  function GetAttributeNodeNS();

  function SetAttributeNodeNS();

  function GetElementsByTagNameNS();

  function hasAttribute();

  function hasAttributeNS();

  function HasAttributes; override;

  property AttribStrings []: DOMString; default; [rw]

end;

Inheritance

TDOMElement

|

TDOMNode_NS

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMElement
 | ro | TagName
 |  | AttribStrings
TDOMNode_NS
 | ro | NSI
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | NSI (TDOMNode_NS)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | TagName (TDOMElement)
 | TextContent (TDOMNode)


TDOMElement
pt | GetNodeType
pt | GetAttributes
pt | AttachDefaultAttrs
pt | InternalLookupPrefix
pt | RestoreDefaultAttr
 | Destroy
 | CloneNode
 | IsEmpty
 | Normalize
 | GetAttribute
 | SetAttribute
 | RemoveAttribute
 | GetAttributeNode
 | SetAttributeNode
 | RemoveAttributeNode
 | GetElementsByTagName
 | GetAttributeNS
 | SetAttributeNS
 | RemoveAttributeNS
 | GetAttributeNodeNS
 | SetAttributeNodeNS
 | GetElementsByTagNameNS
 | hasAttribute
 | hasAttributeNS
 | HasAttributes
TDOMNode_NS
pt | GetNodeName
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
 | SetNSI
 | CompareName
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | AttachDefaultAttrs (TDOMElement)
pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMElement)
 | CompareName (TDOMNode)
 | CompareName (TDOMNode_NS)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | Destroy (TDOMElement)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
 | GetAttribute (TDOMElement)
 | GetAttributeNode (TDOMElement)
 | GetAttributeNodeNS (TDOMElement)
 | GetAttributeNS (TDOMElement)
pt | GetAttributes (TDOMNode)
pt | GetAttributes (TDOMElement)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetElementsByTagName (TDOMElement)
 | GetElementsByTagNameNS (TDOMElement)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetLocalName (TDOMNode_NS)
pt | GetNamespaceURI (TDOMNode)
pt | GetNamespaceURI (TDOMNode_NS)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMNode_NS)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMElement)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
pt | GetPrefix (TDOMNode_NS)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | hasAttribute (TDOMElement)
 | hasAttributeNS (TDOMElement)
 | HasAttributes (TDOMNode)
 | HasAttributes (TDOMElement)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
pt | InternalLookupPrefix (TDOMElement)
 | IsDefaultNamespace (TDOMNode)
 | IsEmpty (TDOMElement)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | Normalize (TDOMElement)
 | RemoveAttribute (TDOMElement)
 | RemoveAttributeNode (TDOMElement)
 | RemoveAttributeNS (TDOMElement)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | RestoreDefaultAttr (TDOMElement)
 | SetAttribute (TDOMElement)
 | SetAttributeNode (TDOMElement)
 | SetAttributeNodeNS (TDOMElement)
 | SetAttributeNS (TDOMElement)
pt | SetNodeValue (TDOMNode)
 | SetNSI (TDOMNode_NS)
pt | SetPrefix (TDOMNode)
pt | SetPrefix (TDOMNode_NS)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMElement

TDOMNode_NS

TDOMNode_WithChildren

TDOMNode


TDOMElement.AttachDefaultAttrs

Declaration

Source position: laz2_dom.pas line 628

protected procedure TDOMElement.AttachDefaultAttrs;


TDOMElement.AttribStrings

Declaration

Source position: laz2_dom.pas line 656

public property TDOMElement.AttribStrings[Name: DOMString] : DOMString
  read GetAttribute
  write SetAttribute;
  default;


TDOMElement.CloneNode

Declaration

Source position: laz2_dom.pas line 633

public function TDOMElement.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMElement.Destroy

Declaration

Source position: laz2_dom.pas line 632

public destructor TDOMElement.Destroy; override;


TDOMElement.FAttributes

Declaration

Source position: laz2_dom.pas line 625

protected TDOMElement.FAttributes : TDOMNamedNodeMap;


TDOMElement.GetAttribute

Declaration

Source position: laz2_dom.pas line 637

public function TDOMElement.GetAttribute(

  const name: DOMString

):DOMString;


TDOMElement.GetAttributeNode

Declaration

Source position: laz2_dom.pas line 640

public function TDOMElement.GetAttributeNode(

  const name: DOMString

):TDOMAttr;


TDOMElement.GetAttributeNodeNS

Declaration

Source position: laz2_dom.pas line 649

public function TDOMElement.GetAttributeNodeNS(

  const nsURI: DOMString;

  const aLocalName: DOMString

):TDOMAttr;


TDOMElement.GetAttributeNS

Declaration

Source position: laz2_dom.pas line 646

public function TDOMElement.GetAttributeNS(

  const nsURI: DOMString;

  const aLocalName: DOMString

):DOMString;


TDOMElement.GetAttributes

Declaration

Source position: laz2_dom.pas line 627

protected function TDOMElement.GetAttributes: TDOMNamedNodeMap; override;


TDOMElement.GetElementsByTagName

Declaration

Source position: laz2_dom.pas line 643

public function TDOMElement.GetElementsByTagName(

  const name: DOMString

):TDOMNodeList;


TDOMElement.GetElementsByTagNameNS

Declaration

Source position: laz2_dom.pas line 651

public function TDOMElement.GetElementsByTagNameNS(

  const nsURI: DOMString;

  const aLocalName: DOMString

):TDOMNodeList;


TDOMElement.GetNodeType

Declaration

Source position: laz2_dom.pas line 626

protected function TDOMElement.GetNodeType: Integer; override;


TDOMElement.hasAttribute

Declaration

Source position: laz2_dom.pas line 652

public function TDOMElement.hasAttribute(

  const name: DOMString

):Boolean;


TDOMElement.hasAttributeNS

Declaration

Source position: laz2_dom.pas line 653

public function TDOMElement.hasAttributeNS(

  const nsURI: DOMString;

  const aLocalName: DOMString

):Boolean;


TDOMElement.HasAttributes

Declaration

Source position: laz2_dom.pas line 654

public function TDOMElement.HasAttributes: Boolean; override;


TDOMElement.InternalLookupPrefix

Declaration

Source position: laz2_dom.pas line 629

protected function TDOMElement.InternalLookupPrefix(

  const nsURI: DOMString;

  Original: TDOMElement

):DOMString;


TDOMElement.IsEmpty

Declaration

Source position: laz2_dom.pas line 634

public function TDOMElement.IsEmpty: Boolean; virtual;


TDOMElement.Normalize

Declaration

Source position: laz2_dom.pas line 635

public procedure TDOMElement.Normalize; override;


TDOMElement.RemoveAttribute

Declaration

Source position: laz2_dom.pas line 639

public procedure TDOMElement.RemoveAttribute(

  const name: DOMString

);


TDOMElement.RemoveAttributeNode

Declaration

Source position: laz2_dom.pas line 642

public function TDOMElement.RemoveAttributeNode(

  OldAttr: TDOMAttr

):TDOMAttr;


TDOMElement.RemoveAttributeNS

Declaration

Source position: laz2_dom.pas line 648

public procedure TDOMElement.RemoveAttributeNS(

  const nsURI: DOMString;

  const aLocalName: DOMString

);


TDOMElement.RestoreDefaultAttr

Declaration

Source position: laz2_dom.pas line 630

protected procedure TDOMElement.RestoreDefaultAttr(

  AttrDef: TDOMAttr

);


TDOMElement.SetAttribute

Declaration

Source position: laz2_dom.pas line 638

public procedure TDOMElement.SetAttribute(

  const name: DOMString;

  const value: DOMString

);


TDOMElement.SetAttributeNode

Declaration

Source position: laz2_dom.pas line 641

public function TDOMElement.SetAttributeNode(

  NewAttr: TDOMAttr

):TDOMAttr;


TDOMElement.SetAttributeNodeNS

Declaration

Source position: laz2_dom.pas line 650

public function TDOMElement.SetAttributeNodeNS(

  newAttr: TDOMAttr

):TDOMAttr;


TDOMElement.SetAttributeNS

Declaration

Source position: laz2_dom.pas line 647

public procedure TDOMElement.SetAttributeNS(

  const nsURI: DOMString;

  const qualifiedName: DOMString;

  const value: DOMString

);


TDOMElement.TagName

Declaration

Source position: laz2_dom.pas line 636

public property TDOMElement.TagName : DOMString
  read GetNodeName;


TDOMElementList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 364

type TDOMElementList = class(TDOMNodeList)

protected

  filter: DOMString;

  FNSIndexFilter: Integer;

  localNameFilter: DOMString;

  FMatchNS: Boolean;

  FMatchAnyNS: Boolean;

  UseFilter: Boolean;

  function NodeFilter(); override;

public

  constructor Create();

end;

Inheritance

TDOMElementList

|

TDOMNodeList

|

TObject


TDOMElementList
TDOMNodeList
 | ro | Item
 | ro | Count
 | ro | Length
TObject


ro | Count (TDOMNodeList)
ro | Item (TDOMNodeList)
ro | Length (TDOMNodeList)


TDOMElementList
pt | NodeFilter
 | Create
TDOMNodeList
pt | GetCount
pt | GetItem
pt | NodeFilter
pt | BuildList
 | Create
 | Destroy
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | BuildList (TDOMNodeList)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDOMNodeList)
 | Create (TDOMElementList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TDOMNodeList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCount (TDOMNodeList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItem (TDOMNodeList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | NodeFilter (TDOMNodeList)
pt | NodeFilter (TDOMElementList)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TDOMElementList

TDOMNodeList

TObject


TDOMElementList.Create

Declaration

Source position: laz2_dom.pas line 374

public constructor TDOMElementList.Create(

  ANode: TDOMNode;

  const AFilter: DOMString

); overload;

constructor TDOMElementList.Create(

  ANode: TDOMNode;

  const nsURI: DOMString;

  const localName: DOMString

); overload;


TDOMElementList.filter

Declaration

Source position: laz2_dom.pas line 366

protected TDOMElementList.filter : DOMString;


TDOMElementList.FMatchAnyNS

Declaration

Source position: laz2_dom.pas line 370

protected TDOMElementList.FMatchAnyNS : Boolean;


TDOMElementList.FMatchNS

Declaration

Source position: laz2_dom.pas line 369

protected TDOMElementList.FMatchNS : Boolean;


TDOMElementList.FNSIndexFilter

Declaration

Source position: laz2_dom.pas line 367

protected TDOMElementList.FNSIndexFilter : Integer;


TDOMElementList.localNameFilter

Declaration

Source position: laz2_dom.pas line 368

protected TDOMElementList.localNameFilter : DOMString;


TDOMElementList.NodeFilter

Declaration

Source position: laz2_dom.pas line 372

protected function TDOMElementList.NodeFilter(

  aNode: TDOMNode

):TFilterResult; override;


TDOMElementList.UseFilter

Declaration

Source position: laz2_dom.pas line 371

protected TDOMElementList.UseFilter : Boolean;


TDOMEntity

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 751

type TDOMEntity = class(TDOMNode_WithChildren)

protected

  FName: DOMString;

  FPublicID: DOMString;

  FSystemID: DOMString;

  FNotationName: DOMString;

  function GetNodeType; override;

  function GetNodeName; override;

public

  function CloneNode(); override;

  property PublicID: DOMString; [r]

  property SystemID: DOMString; [r]

  property NotationName: DOMString; [r]

end;

Inheritance

TDOMEntity

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMEntity
 | ro | PublicID
 | ro | SystemID
 | ro | NotationName
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | NotationName (TDOMEntity)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | PublicID (TDOMEntity)
ro | SystemID (TDOMEntity)
 | TextContent (TDOMNode)


TDOMEntity
pt | GetNodeType
pt | GetNodeName
 | CloneNode
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMEntity)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMEntity)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMEntity)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMEntity

TDOMNode_WithChildren

TDOMNode


TDOMEntity.CloneNode

Declaration

Source position: laz2_dom.pas line 758

public function TDOMEntity.CloneNode(

  deep: Boolean;

  aCloneOwner: TDOMDocument

):TDOMNode; override;


TDOMEntity.FName

Declaration

Source position: laz2_dom.pas line 753

protected TDOMEntity.FName : DOMString;


TDOMEntity.FNotationName

Declaration

Source position: laz2_dom.pas line 754

protected TDOMEntity.FNotationName : DOMString;


TDOMEntity.FPublicID

Declaration

Source position: laz2_dom.pas line 754

protected TDOMEntity.FPublicID : DOMString;


TDOMEntity.FSystemID

Declaration

Source position: laz2_dom.pas line 754

protected TDOMEntity.FSystemID : DOMString;


TDOMEntity.GetNodeName

Declaration

Source position: laz2_dom.pas line 756

protected function TDOMEntity.GetNodeName: DOMString; override;


TDOMEntity.GetNodeType

Declaration

Source position: laz2_dom.pas line 755

protected function TDOMEntity.GetNodeType: Integer; override;


TDOMEntity.NotationName

Declaration

Source position: laz2_dom.pas line 761

public property TDOMEntity.NotationName : DOMString
  read FNotationName;


TDOMEntity.PublicID

Declaration

Source position: laz2_dom.pas line 759

public property TDOMEntity.PublicID : DOMString
  read FPublicID;


TDOMEntity.SystemID

Declaration

Source position: laz2_dom.pas line 760

public property TDOMEntity.SystemID : DOMString
  read FSystemID;


TDOMEntityReference

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 769

type TDOMEntityReference = class(TDOMNode_WithChildren)

protected

  FName: DOMString;

  function GetNodeType; override;

  function GetNodeName; override;

public

  function CloneNode(); override; overload;

end;

Inheritance

TDOMEntityReference

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMEntityReference
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


TDOMEntityReference
pt | GetNodeType
pt | GetNodeName
 | CloneNode
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMEntityReference)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMEntityReference)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMEntityReference)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMEntityReference

TDOMNode_WithChildren

TDOMNode


TDOMEntityReference.CloneNode

Declaration

Source position: laz2_dom.pas line 775

public function TDOMEntityReference.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMEntityReference.FName

Declaration

Source position: laz2_dom.pas line 771

protected TDOMEntityReference.FName : DOMString;


TDOMEntityReference.GetNodeName

Declaration

Source position: laz2_dom.pas line 773

protected function TDOMEntityReference.GetNodeName: DOMString; override;


TDOMEntityReference.GetNodeType

Declaration

Source position: laz2_dom.pas line 772

protected function TDOMEntityReference.GetNodeType: Integer; override;


TDOMImplementation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 443

type TDOMImplementation = class

public

  function HasFeature();

  function CreateDocumentType();

  function CreateDocument();

end;

Inheritance

TDOMImplementation

|

TObject


TDOMImplementation


TDOMImplementation
 | HasFeature
 | CreateDocumentType
 | CreateDocument


TDOMImplementation.CreateDocument

Declaration

Source position: laz2_dom.pas line 451

public function TDOMImplementation.CreateDocument(

  const NamespaceURI: DOMString;

  const QualifiedName: DOMString;

  doctype: TDOMDocumentType

):TDOMDocument;


TDOMImplementation.CreateDocumentType

Declaration

Source position: laz2_dom.pas line 449

public function TDOMImplementation.CreateDocumentType(

  const QualifiedName: DOMString;

  const PublicID: DOMString;

  const SystemID: DOMString

):TDOMDocumentType;


TDOMImplementation.HasFeature

Declaration

Source position: laz2_dom.pas line 445

public function TDOMImplementation.HasFeature(

  const feature: DOMString;

  const version: DOMString

):Boolean;


TDOMNamedNodeMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 385

type TDOMNamedNodeMap = class(TObject)

protected

  FOwner: TDOMNode;

  FNodeType: Integer;

  FSortedList: TFPList;

  FPosList: TFPList;

  function GetPosItem();

  function GetSortedItem();

  function GetLength;

  function FindSorted();

  function DeleteSorted();

  procedure RestoreDefault();

  function InternalRemove();

  function ValidateInsert();

public

  constructor Create();

  destructor Destroy; override;

  function GetNamedItem();

  function SetNamedItem();

  function RemoveNamedItem();

  function getNamedItemNS(); virtual;

  function setNamedItemNS(); virtual;

  function removeNamedItemNS(); virtual;

  property Item []: TDOMNode; default; [r]

  property SortedItem []: TDOMNode; [r]

  property Length: LongWord; [r]

end;

Inheritance

TDOMNamedNodeMap

|

TObject


TDOMNamedNodeMap
 | ro | Item
 | ro | SortedItem
 | ro | Length
TObject


ro | Item (TDOMNamedNodeMap)
ro | Length (TDOMNamedNodeMap)
ro | SortedItem (TDOMNamedNodeMap)


TDOMNamedNodeMap
pt | GetPosItem
pt | GetSortedItem
pt | GetLength
pt | FindSorted
pt | DeleteSorted
pt | RestoreDefault
pt | InternalRemove
pt | ValidateInsert
 | Create
 | Destroy
 | GetNamedItem
 | SetNamedItem
 | RemoveNamedItem
 | getNamedItemNS
 | setNamedItemNS
 | removeNamedItemNS
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDOMNamedNodeMap)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
pt | DeleteSorted (TDOMNamedNodeMap)
 | Destroy (TObject)
 | Destroy (TDOMNamedNodeMap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
pt | FindSorted (TDOMNamedNodeMap)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetLength (TDOMNamedNodeMap)
 | GetNamedItem (TDOMNamedNodeMap)
 | getNamedItemNS (TDOMNamedNodeMap)
pt | GetPosItem (TDOMNamedNodeMap)
pt | GetSortedItem (TDOMNamedNodeMap)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalRemove (TDOMNamedNodeMap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | RemoveNamedItem (TDOMNamedNodeMap)
 | removeNamedItemNS (TDOMNamedNodeMap)
pt | RestoreDefault (TDOMNamedNodeMap)
 | SafeCallException (TObject)
 | SetNamedItem (TDOMNamedNodeMap)
 | setNamedItemNS (TDOMNamedNodeMap)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
pt | ValidateInsert (TDOMNamedNodeMap)


TDOMNamedNodeMap

TObject


TDOMNamedNodeMap.Create

Declaration

Source position: laz2_dom.pas line 400

public constructor TDOMNamedNodeMap.Create(

  AOwner: TDOMNode;

  ANodeType: Integer

);


TDOMNamedNodeMap.DeleteSorted

Declaration

Source position: laz2_dom.pas line 395

protected function TDOMNamedNodeMap.DeleteSorted(

  index: LongWord

):TDOMNode;


TDOMNamedNodeMap.Destroy

Declaration

Source position: laz2_dom.pas line 401

public destructor TDOMNamedNodeMap.Destroy; override;


TDOMNamedNodeMap.FindSorted

Declaration

Source position: laz2_dom.pas line 394

protected function TDOMNamedNodeMap.FindSorted(

  const name: DOMString;

  out Index: LongWord

):Boolean;


TDOMNamedNodeMap.FNodeType

Declaration

Source position: laz2_dom.pas line 388

protected TDOMNamedNodeMap.FNodeType : Integer;


TDOMNamedNodeMap.FOwner

Declaration

Source position: laz2_dom.pas line 387

protected TDOMNamedNodeMap.FOwner : TDOMNode;


TDOMNamedNodeMap.FPosList

Declaration

Source position: laz2_dom.pas line 390

protected TDOMNamedNodeMap.FPosList : TFPList;


TDOMNamedNodeMap.FSortedList

Declaration

Source position: laz2_dom.pas line 389

protected TDOMNamedNodeMap.FSortedList : TFPList;


TDOMNamedNodeMap.GetLength

Declaration

Source position: laz2_dom.pas line 393

protected function TDOMNamedNodeMap.GetLength: LongWord;


TDOMNamedNodeMap.GetNamedItem

Declaration

Source position: laz2_dom.pas line 403

public function TDOMNamedNodeMap.GetNamedItem(

  const name: DOMString

):TDOMNode;


TDOMNamedNodeMap.getNamedItemNS

Declaration

Source position: laz2_dom.pas line 407

public function TDOMNamedNodeMap.getNamedItemNS(

  const namespaceURI: DOMString;

  const localName: DOMString

):TDOMNode; virtual;


TDOMNamedNodeMap.GetPosItem

Declaration

Source position: laz2_dom.pas line 391

protected function TDOMNamedNodeMap.GetPosItem(

  index: LongWord

):TDOMNode;


TDOMNamedNodeMap.GetSortedItem

Declaration

Source position: laz2_dom.pas line 392

protected function TDOMNamedNodeMap.GetSortedItem(

  index: LongWord

):TDOMNode;


TDOMNamedNodeMap.InternalRemove

Declaration

Source position: laz2_dom.pas line 397

protected function TDOMNamedNodeMap.InternalRemove(

  const name: DOMString

):TDOMNode;


TDOMNamedNodeMap.Item

Declaration

Source position: laz2_dom.pas line 411

public property TDOMNamedNodeMap.Item[index: LongWord] : TDOMNode
  read GetPosItem;
  default;


TDOMNamedNodeMap.Length

Declaration

Source position: laz2_dom.pas line 413

public property TDOMNamedNodeMap.Length : LongWord
  read GetLength;


TDOMNamedNodeMap.RemoveNamedItem

Declaration

Source position: laz2_dom.pas line 405

public function TDOMNamedNodeMap.RemoveNamedItem(

  const name: DOMString

):TDOMNode;


TDOMNamedNodeMap.removeNamedItemNS

Declaration

Source position: laz2_dom.pas line 409

public function TDOMNamedNodeMap.removeNamedItemNS(

  const namespaceURI: DOMString;

  const localName: DOMString

):TDOMNode; virtual;


TDOMNamedNodeMap.RestoreDefault

Declaration

Source position: laz2_dom.pas line 396

protected procedure TDOMNamedNodeMap.RestoreDefault(

  const name: DOMString

);


TDOMNamedNodeMap.SetNamedItem

Declaration

Source position: laz2_dom.pas line 404

public function TDOMNamedNodeMap.SetNamedItem(

  arg: TDOMNode

):TDOMNode;


TDOMNamedNodeMap.setNamedItemNS

Declaration

Source position: laz2_dom.pas line 408

public function TDOMNamedNodeMap.setNamedItemNS(

  arg: TDOMNode

):TDOMNode; virtual;


TDOMNamedNodeMap.SortedItem

Declaration

Source position: laz2_dom.pas line 412

public property TDOMNamedNodeMap.SortedItem[index: LongWord] : TDOMNode
  read GetSortedItem;


TDOMNamedNodeMap.ValidateInsert

Declaration

Source position: laz2_dom.pas line 398

protected function TDOMNamedNodeMap.ValidateInsert(

  arg: TDOMNode

):Integer;


TDOMNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 226

type TDOMNode = class

protected

  FPool: TObject;

  FFlags: TNodeFlags;

  FParentNode: TDOMNode;

  FPreviousSibling: TDOMNode;

  FNextSibling: TDOMNode;

  FOwnerDocument: TDOMDocument;

  function GetNodeName; virtual; abstract;

  function GetNodeValue; virtual;

  procedure SetNodeValue(); virtual;

  function GetFirstChild; virtual;

  function GetLastChild; virtual;

  function GetAttributes; virtual;

  function GetRevision;

  function GetNodeType; virtual; abstract;

  function GetTextContent; virtual;

  procedure SetTextContent(); virtual;

  function GetLocalName; virtual;

  function GetNamespaceURI; virtual;

  function GetPrefix; virtual;

  procedure SetPrefix(); virtual;

  function GetOwnerDocument; virtual;

  function GetBaseURI;

  procedure SetReadOnly();

  procedure Changing;

public

  constructor Create();

  destructor Destroy; override;

  procedure FreeInstance; override;

  function GetChildNodes;

  function GetChildCount; virtual;

  property NodeName: DOMString; [r]

  property NodeValue: DOMString; [rw]

  property NodeType: Integer; [r]

  property ParentNode: TDOMNode; [r]

  property FirstChild: TDOMNode; [r]

  property LastChild: TDOMNode; [r]

  property ChildNodes: TDOMNodeList; [r]

  property PreviousSibling: TDOMNode; [r]

  property NextSibling: TDOMNode; [r]

  property Attributes: TDOMNamedNodeMap; [r]

  property OwnerDocument: TDOMDocument; [r]

  function GetEnumerator;

  function GetEnumeratorAllChildren;

  function GetNextNode;

  function GetNextNodeSkipChildren;

  function GetPreviousNode;

  function GetLastLeaf;

  function GetLevel;

  function InsertBefore(); virtual;

  function ReplaceChild(); virtual;

  function DetachChild(); virtual;

  function RemoveChild();

  function AppendChild();

  function HasChildNodes; virtual;

  function CloneNode();

  function IsSupported();

  function HasAttributes; virtual;

  procedure Normalize; virtual;

  property NamespaceURI: DOMString; [r]

  property LocalName: DOMString; [r]

  property Prefix: DOMString; [rw]

  property TextContent: DOMString; [rw]

  function LookupPrefix();

  function LookupNamespaceURI();

  function IsDefaultNamespace();

  property baseURI: DOMString; [r]

  function FindNode(); virtual;

  function CompareName(); virtual;

  property Flags: TNodeFlags; [r]

end;

Inheritance

TDOMNode

|

TObject


TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeType (TDOMNode)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)


TDOMNode


TDOMNode.AppendChild

Declaration

Source position: laz2_dom.pas line 283

public function TDOMNode.AppendChild(

  NewChild: TDOMNode

):TDOMNode;


TDOMNode.Attributes

Declaration

Source position: laz2_dom.pas line 269

public property TDOMNode.Attributes : TDOMNamedNodeMap
  read GetAttributes;


TDOMNode.baseURI

Declaration

Source position: laz2_dom.pas line 300

public property TDOMNode.baseURI : DOMString
  read GetBaseURI;


TDOMNode.Changing

Declaration

Source position: laz2_dom.pas line 251

protected procedure TDOMNode.Changing;


TDOMNode.ChildNodes

Declaration

Source position: laz2_dom.pas line 266

public property TDOMNode.ChildNodes : TDOMNodeList
  read GetChildNodes;


TDOMNode.CloneNode

Declaration

Source position: laz2_dom.pas line 285

public function TDOMNode.CloneNode(

  deep: Boolean

):TDOMNode; overload;

function TDOMNode.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; virtual; overload;


TDOMNode.CompareName

Declaration

Source position: laz2_dom.pas line 304

public function TDOMNode.CompareName(

  const name: DOMString

):Integer; virtual;


TDOMNode.Create

Declaration

Source position: laz2_dom.pas line 253

public constructor TDOMNode.Create(

  AOwner: TDOMDocument

);


TDOMNode.Destroy

Declaration

Source position: laz2_dom.pas line 254

public destructor TDOMNode.Destroy; override;


TDOMNode.DetachChild

Declaration

Source position: laz2_dom.pas line 281

public function TDOMNode.DetachChild(

  OldChild: TDOMNode

):TDOMNode; virtual;


TDOMNode.FFlags

Declaration

Source position: laz2_dom.pas line 229

protected TDOMNode.FFlags : TNodeFlags;


TDOMNode.FindNode

Declaration

Source position: laz2_dom.pas line 303

public function TDOMNode.FindNode(

  const ANodeName: DOMString

):TDOMNode; virtual;


TDOMNode.FirstChild

Declaration

Source position: laz2_dom.pas line 264

public property TDOMNode.FirstChild : TDOMNode
  read GetFirstChild;


TDOMNode.Flags

Declaration

Source position: laz2_dom.pas line 305

public property TDOMNode.Flags : TNodeFlags
  read FFlags;


TDOMNode.FNextSibling

Declaration

Source position: laz2_dom.pas line 231

protected TDOMNode.FNextSibling : TDOMNode;


TDOMNode.FOwnerDocument

Declaration

Source position: laz2_dom.pas line 232

protected TDOMNode.FOwnerDocument : TDOMDocument;


TDOMNode.FParentNode

Declaration

Source position: laz2_dom.pas line 230

protected TDOMNode.FParentNode : TDOMNode;


TDOMNode.FPool

Declaration

Source position: laz2_dom.pas line 228

protected TDOMNode.FPool : TObject;


TDOMNode.FPreviousSibling

Declaration

Source position: laz2_dom.pas line 231

protected TDOMNode.FPreviousSibling : TDOMNode;


TDOMNode.FreeInstance

Declaration

Source position: laz2_dom.pas line 255

public procedure TDOMNode.FreeInstance; override;


TDOMNode.GetAttributes

Declaration

Source position: laz2_dom.pas line 239

protected function TDOMNode.GetAttributes: TDOMNamedNodeMap; virtual;


TDOMNode.GetBaseURI

Declaration

Source position: laz2_dom.pas line 249

protected function TDOMNode.GetBaseURI: DOMString;


TDOMNode.GetChildCount

Declaration

Source position: laz2_dom.pas line 258

public function TDOMNode.GetChildCount: SizeInt; virtual;


TDOMNode.GetChildNodes

Declaration

Source position: laz2_dom.pas line 257

public function TDOMNode.GetChildNodes: TDOMNodeList;


TDOMNode.GetEnumerator

Declaration

Source position: laz2_dom.pas line 271

public function TDOMNode.GetEnumerator: TDOMNodeEnumerator;


TDOMNode.GetEnumeratorAllChildren

Declaration

Source position: laz2_dom.pas line 272

public function TDOMNode.GetEnumeratorAllChildren: TDOMNodeAllChildEnumerator;


TDOMNode.GetFirstChild

Declaration

Source position: laz2_dom.pas line 237

protected function TDOMNode.GetFirstChild: TDOMNode; virtual;


TDOMNode.GetLastChild

Declaration

Source position: laz2_dom.pas line 238

protected function TDOMNode.GetLastChild: TDOMNode; virtual;


TDOMNode.GetLastLeaf

Declaration

Source position: laz2_dom.pas line 276

public function TDOMNode.GetLastLeaf: TDOMNode;


TDOMNode.GetLevel

Declaration

Source position: laz2_dom.pas line 277

public function TDOMNode.GetLevel: SizeInt;


TDOMNode.GetLocalName

Declaration

Source position: laz2_dom.pas line 244

protected function TDOMNode.GetLocalName: DOMString; virtual;


TDOMNode.GetNamespaceURI

Declaration

Source position: laz2_dom.pas line 245

protected function TDOMNode.GetNamespaceURI: DOMString; virtual;


TDOMNode.GetNextNode

Declaration

Source position: laz2_dom.pas line 273

public function TDOMNode.GetNextNode: TDOMNode;


TDOMNode.GetNextNodeSkipChildren

Declaration

Source position: laz2_dom.pas line 274

public function TDOMNode.GetNextNodeSkipChildren: TDOMNode;


TDOMNode.GetNodeName

Declaration

Source position: laz2_dom.pas line 234

protected function TDOMNode.GetNodeName: DOMString; virtual; abstract;


TDOMNode.GetNodeType

Declaration

Source position: laz2_dom.pas line 241

protected function TDOMNode.GetNodeType: Integer; virtual; abstract;


TDOMNode.GetNodeValue

Declaration

Source position: laz2_dom.pas line 235

protected function TDOMNode.GetNodeValue: DOMString; virtual;


TDOMNode.GetOwnerDocument

Declaration

Source position: laz2_dom.pas line 248

protected function TDOMNode.GetOwnerDocument: TDOMDocument; virtual;


TDOMNode.GetPrefix

Declaration

Source position: laz2_dom.pas line 246

protected function TDOMNode.GetPrefix: DOMString; virtual;


TDOMNode.GetPreviousNode

Declaration

Source position: laz2_dom.pas line 275

public function TDOMNode.GetPreviousNode: TDOMNode;


TDOMNode.GetRevision

Declaration

Source position: laz2_dom.pas line 240

protected function TDOMNode.GetRevision: Integer;


TDOMNode.GetTextContent

Declaration

Source position: laz2_dom.pas line 242

protected function TDOMNode.GetTextContent: DOMString; virtual;


TDOMNode.HasAttributes

Declaration

Source position: laz2_dom.pas line 289

public function TDOMNode.HasAttributes: Boolean; virtual;


TDOMNode.HasChildNodes

Declaration

Source position: laz2_dom.pas line 284

public function TDOMNode.HasChildNodes: Boolean; virtual;


TDOMNode.InsertBefore

Declaration

Source position: laz2_dom.pas line 279

public function TDOMNode.InsertBefore(

  NewChild: TDOMNode;

  RefChild: TDOMNode

):TDOMNode; virtual;


TDOMNode.IsDefaultNamespace

Declaration

Source position: laz2_dom.pas line 299

public function TDOMNode.IsDefaultNamespace(

  const nsURI: DOMString

):Boolean;


TDOMNode.IsSupported

Declaration

Source position: laz2_dom.pas line 288

public function TDOMNode.IsSupported(

  const Feature: DOMString;

  const Version: DOMString

):Boolean;


TDOMNode.LastChild

Declaration

Source position: laz2_dom.pas line 265

public property TDOMNode.LastChild : TDOMNode
  read GetLastChild;


TDOMNode.LocalName

Declaration

Source position: laz2_dom.pas line 293

public property TDOMNode.LocalName : DOMString
  read GetLocalName;


TDOMNode.LookupNamespaceURI

Declaration

Source position: laz2_dom.pas line 298

public function TDOMNode.LookupNamespaceURI(

  const APrefix: DOMString

):DOMString;


TDOMNode.LookupPrefix

Declaration

Source position: laz2_dom.pas line 297

public function TDOMNode.LookupPrefix(

  const nsURI: DOMString

):DOMString;


TDOMNode.NamespaceURI

Declaration

Source position: laz2_dom.pas line 292

public property TDOMNode.NamespaceURI : DOMString
  read GetNamespaceURI;


TDOMNode.NextSibling

Declaration

Source position: laz2_dom.pas line 268

public property TDOMNode.NextSibling : TDOMNode
  read FNextSibling;


TDOMNode.NodeName

Declaration

Source position: laz2_dom.pas line 260

public property TDOMNode.NodeName : DOMString
  read GetNodeName;


TDOMNode.NodeType

Declaration

Source position: laz2_dom.pas line 262

public property TDOMNode.NodeType : Integer
  read GetNodeType;


TDOMNode.NodeValue

Declaration

Source position: laz2_dom.pas line 261

public property TDOMNode.NodeValue : DOMString
  read GetNodeValue
  write SetNodeValue;


TDOMNode.Normalize

Declaration

Source position: laz2_dom.pas line 290

public procedure TDOMNode.Normalize; virtual;


TDOMNode.OwnerDocument

Declaration

Source position: laz2_dom.pas line 270

public property TDOMNode.OwnerDocument : TDOMDocument
  read GetOwnerDocument;


TDOMNode.ParentNode

Declaration

Source position: laz2_dom.pas line 263

public property TDOMNode.ParentNode : TDOMNode
  read FParentNode;


TDOMNode.Prefix

Declaration

Source position: laz2_dom.pas line 294

public property TDOMNode.Prefix : DOMString
  read GetPrefix
  write SetPrefix;


TDOMNode.PreviousSibling

Declaration

Source position: laz2_dom.pas line 267

public property TDOMNode.PreviousSibling : TDOMNode
  read FPreviousSibling;


TDOMNode.RemoveChild

Declaration

Source position: laz2_dom.pas line 282

public function TDOMNode.RemoveChild(

  OldChild: TDOMNode

):TDOMNode;


TDOMNode.ReplaceChild

Declaration

Source position: laz2_dom.pas line 280

public function TDOMNode.ReplaceChild(

  NewChild: TDOMNode;

  OldChild: TDOMNode

):TDOMNode; virtual;


TDOMNode.SetNodeValue

Declaration

Source position: laz2_dom.pas line 236

protected procedure TDOMNode.SetNodeValue(

  const AValue: DOMString

); virtual;


TDOMNode.SetPrefix

Declaration

Source position: laz2_dom.pas line 247

protected procedure TDOMNode.SetPrefix(

  const Value: DOMString

); virtual;


TDOMNode.SetReadOnly

Declaration

Source position: laz2_dom.pas line 250

protected procedure TDOMNode.SetReadOnly(

  Value: Boolean

);


TDOMNode.SetTextContent

Declaration

Source position: laz2_dom.pas line 243

protected procedure TDOMNode.SetTextContent(

  const AValue: DOMString

); virtual;


TDOMNode.TextContent

Declaration

Source position: laz2_dom.pas line 296

public property TDOMNode.TextContent : DOMString
  read GetTextContent
  write SetTextContent;


TDOMNodeAllChildEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 212

type TDOMNodeAllChildEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TDOMNode; [r]

  function GetEnumerator;

end;

Inheritance

TDOMNodeAllChildEnumerator
|

TObject


TDOMNodeAllChildEnumerator

ro

Current


ro

Current (TDOMNodeAllChildEnumerator)


TDOMNodeAllChildEnumerator
 | Create
 | MoveNext
 | GetEnumerator


TDOMNodeAllChildEnumerator


TDOMNodeAllChildEnumerator.Create

Declaration

Source position: laz2_dom.pas line 218

public constructor TDOMNodeAllChildEnumerator.Create(

  Node: TDOMNode

);


TDOMNodeAllChildEnumerator.Current

Declaration

Source position: laz2_dom.pas line 220

public property TDOMNodeAllChildEnumerator.Current : TDOMNode
  read FCurrent;


TDOMNodeAllChildEnumerator.GetEnumerator

Declaration

Source position: laz2_dom.pas line 221

public function TDOMNodeAllChildEnumerator.GetEnumerator: TDOMNodeAllChildEnumerator;


TDOMNodeAllChildEnumerator.MoveNext

Declaration

Source position: laz2_dom.pas line 219

public function TDOMNodeAllChildEnumerator.MoveNext: Boolean;


TDOMNodeEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 200

type TDOMNodeEnumerator = class

public

  constructor Create();

  function MoveNext;

  property Current: TDOMNode; [r]

end;

Inheritance

TDOMNodeEnumerator
|

TObject


TDOMNodeEnumerator

ro

Current


ro

Current (TDOMNodeEnumerator)


TDOMNodeEnumerator
 | Create
 | MoveNext


TDOMNodeEnumerator


TDOMNodeEnumerator.Create

Declaration

Source position: laz2_dom.pas line 205

public constructor TDOMNodeEnumerator.Create(

  Node: TDOMNode

);


TDOMNodeEnumerator.Current

Declaration

Source position: laz2_dom.pas line 207

public property TDOMNodeEnumerator.Current : TDOMNode
  read FCurrent;


TDOMNodeEnumerator.MoveNext

Declaration

Source position: laz2_dom.pas line 206

public function TDOMNodeEnumerator.MoveNext: Boolean;


TDOMNodeList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 344

type TDOMNodeList = class(TObject)

protected

  FNode: TDOMNode;

  FRevision: Integer;

  FList: TFPList;

  function GetCount;

  function GetItem();

  function NodeFilter(); virtual;

  procedure BuildList; virtual;

public

  constructor Create();

  destructor Destroy; override;

  property Item []: TDOMNode; default; [r]

  property Count: LongWord; [r]

  property Length: LongWord; [r]

end;

Inheritance

TDOMNodeList

|

TObject


TDOMNodeList
 | ro | Item
 | ro | Count
 | ro | Length
TObject


TDOMNodeList
pt | GetCount
pt | GetItem
pt | NodeFilter
pt | BuildList
 | Create
 | Destroy
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


pt | BuildList (TDOMNodeList)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TDOMNodeList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TDOMNodeList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
pt | GetCount (TDOMNodeList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetItem (TDOMNodeList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | NodeFilter (TDOMNodeList)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TDOMNodeList

TObject


TDOMNodeList.BuildList

Declaration

Source position: laz2_dom.pas line 353

protected procedure TDOMNodeList.BuildList; virtual;


TDOMNodeList.Count

Declaration

Source position: laz2_dom.pas line 358

public property TDOMNodeList.Count : LongWord
  read GetCount;


TDOMNodeList.Create

Declaration

Source position: laz2_dom.pas line 355

public constructor TDOMNodeList.Create(

  ANode: TDOMNode

);


TDOMNodeList.Destroy

Declaration

Source position: laz2_dom.pas line 356

public destructor TDOMNodeList.Destroy; override;


TDOMNodeList.FList

Declaration

Source position: laz2_dom.pas line 348

protected TDOMNodeList.FList : TFPList;


TDOMNodeList.FNode

Declaration

Source position: laz2_dom.pas line 346

protected TDOMNodeList.FNode : TDOMNode;


TDOMNodeList.FRevision

Declaration

Source position: laz2_dom.pas line 347

protected TDOMNodeList.FRevision : Integer;


TDOMNodeList.GetCount

Declaration

Source position: laz2_dom.pas line 349

protected function TDOMNodeList.GetCount: LongWord;


TDOMNodeList.GetItem

Declaration

Source position: laz2_dom.pas line 350

protected function TDOMNodeList.GetItem(

  index: LongWord

):TDOMNode;


TDOMNodeList.Item

Declaration

Source position: laz2_dom.pas line 357

public property TDOMNodeList.Item[index: LongWord] : TDOMNode
  read GetItem;
  default;


TDOMNodeList.Length

Declaration

Source position: laz2_dom.pas line 359

public property TDOMNodeList.Length : LongWord
  read GetCount;


TDOMNodeList.NodeFilter

Declaration

Source position: laz2_dom.pas line 351

protected function TDOMNodeList.NodeFilter(

  aNode: TDOMNode

):TFilterResult; virtual;


TDOMNode_NS

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 581

type TDOMNode_NS = class(TDOMNode_WithChildren)

protected

  FNSI: TNamespaceInfo;

  function GetNodeName; override;

  function GetLocalName; override;

  function GetNamespaceURI; override;

  function GetPrefix; override;

  procedure SetPrefix(); override;

public

  procedure SetNSI();

  function CompareName(); override;

  property NSI: TNamespaceInfo; [r]

end;

Inheritance

TDOMNode_NS

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMNode_NS
 | ro | NSI
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | NSI (TDOMNode_NS)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
 | TextContent (TDOMNode)


TDOMNode_NS
pt | GetNodeName
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
 | SetNSI
 | CompareName
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | CompareName (TDOMNode_NS)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetLocalName (TDOMNode_NS)
pt | GetNamespaceURI (TDOMNode)
pt | GetNamespaceURI (TDOMNode_NS)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMNode_NS)
pt | GetNodeType (TDOMNode)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
pt | GetPrefix (TDOMNode_NS)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
 | SetNSI (TDOMNode_NS)
pt | SetPrefix (TDOMNode)
pt | SetPrefix (TDOMNode_NS)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMNode_NS

TDOMNode_WithChildren

TDOMNode


TDOMNode_NS.CompareName

Declaration

Source position: laz2_dom.pas line 592

public function TDOMNode_NS.CompareName(

  const AName: DOMString

):Integer; override;


TDOMNode_NS.FNSI

Declaration

Source position: laz2_dom.pas line 583

protected TDOMNode_NS.FNSI : TNamespaceInfo;


TDOMNode_NS.GetLocalName

Declaration

Source position: laz2_dom.pas line 585

protected function TDOMNode_NS.GetLocalName: DOMString; override;


TDOMNode_NS.GetNamespaceURI

Declaration

Source position: laz2_dom.pas line 586

protected function TDOMNode_NS.GetNamespaceURI: DOMString; override;


TDOMNode_NS.GetNodeName

Declaration

Source position: laz2_dom.pas line 584

protected function TDOMNode_NS.GetNodeName: DOMString; override;


TDOMNode_NS.GetPrefix

Declaration

Source position: laz2_dom.pas line 587

protected function TDOMNode_NS.GetPrefix: DOMString; override;


TDOMNode_NS.NSI

Declaration

Source position: laz2_dom.pas line 593

public property TDOMNode_NS.NSI : TNamespaceInfo
  read FNSI;


TDOMNode_NS.SetNSI

Declaration

Source position: laz2_dom.pas line 591

public procedure TDOMNode_NS.SetNSI(

  const nsUri: DOMString;

  ColonPos: Integer

);


TDOMNode_NS.SetPrefix

Declaration

Source position: laz2_dom.pas line 588

protected procedure TDOMNode_NS.SetPrefix(

  const Value: DOMString

); override;


TDOMNode_WithChildren

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 316

type TDOMNode_WithChildren = class(TDOMNode)

protected

  FFirstChild: TDOMNode;

  FLastChild: TDOMNode;

  FChildNodes: TDOMNodeList;

  function GetFirstChild; override;

  function GetLastChild; override;

  procedure CloneChildren();

  procedure FreeChildren;

  function GetTextContent; override;

  procedure SetTextContent(); override;

public

  destructor Destroy; override;

  function InsertBefore(); override;

  function ReplaceChild(); override;

  function DetachChild(); override;

  function HasChildNodes; override;

  function GetChildCount; override;

  function FindNode(); override;

  procedure InternalAppend();

end;

Inheritance

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeType (TDOMNode)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)


TDOMNode_WithChildren

TDOMNode


TDOMNode_WithChildren.CloneChildren

Declaration

Source position: laz2_dom.pas line 322

protected procedure TDOMNode_WithChildren.CloneChildren(

  ACopy: TDOMNode;

  ACloneOwner: TDOMDocument

);


TDOMNode_WithChildren.Destroy

Declaration

Source position: laz2_dom.pas line 327

public destructor TDOMNode_WithChildren.Destroy; override;


TDOMNode_WithChildren.DetachChild

Declaration

Source position: laz2_dom.pas line 330

public function TDOMNode_WithChildren.DetachChild(

  OldChild: TDOMNode

):TDOMNode; override;


TDOMNode_WithChildren.FChildNodes

Declaration

Source position: laz2_dom.pas line 319

protected TDOMNode_WithChildren.FChildNodes : TDOMNodeList;


TDOMNode_WithChildren.FFirstChild

Declaration

Source position: laz2_dom.pas line 318

protected TDOMNode_WithChildren.FFirstChild : TDOMNode;


TDOMNode_WithChildren.FindNode

Declaration

Source position: laz2_dom.pas line 333

public function TDOMNode_WithChildren.FindNode(

  const ANodeName: DOMString

):TDOMNode; override;


TDOMNode_WithChildren.FLastChild

Declaration

Source position: laz2_dom.pas line 318

protected TDOMNode_WithChildren.FLastChild : TDOMNode;


TDOMNode_WithChildren.FreeChildren

Declaration

Source position: laz2_dom.pas line 323

protected procedure TDOMNode_WithChildren.FreeChildren;


TDOMNode_WithChildren.GetChildCount

Declaration

Source position: laz2_dom.pas line 332

public function TDOMNode_WithChildren.GetChildCount: SizeInt; override;


TDOMNode_WithChildren.GetFirstChild

Declaration

Source position: laz2_dom.pas line 320

protected function TDOMNode_WithChildren.GetFirstChild: TDOMNode; override;


TDOMNode_WithChildren.GetLastChild

Declaration

Source position: laz2_dom.pas line 321

protected function TDOMNode_WithChildren.GetLastChild: TDOMNode; override;


TDOMNode_WithChildren.GetTextContent

Declaration

Source position: laz2_dom.pas line 324

protected function TDOMNode_WithChildren.GetTextContent: DOMString; override;


TDOMNode_WithChildren.HasChildNodes

Declaration

Source position: laz2_dom.pas line 331

public function TDOMNode_WithChildren.HasChildNodes: Boolean; override;


TDOMNode_WithChildren.InsertBefore

Declaration

Source position: laz2_dom.pas line 328

public function TDOMNode_WithChildren.InsertBefore(

  NewChild: TDOMNode;

  RefChild: TDOMNode

):TDOMNode; override;


TDOMNode_WithChildren.InternalAppend

Declaration

Source position: laz2_dom.pas line 334

public procedure TDOMNode_WithChildren.InternalAppend(

  NewChild: TDOMNode

);


TDOMNode_WithChildren.ReplaceChild

Declaration

Source position: laz2_dom.pas line 329

public function TDOMNode_WithChildren.ReplaceChild(

  NewChild: TDOMNode;

  OldChild: TDOMNode

):TDOMNode; override;


TDOMNode_WithChildren.SetTextContent

Declaration

Source position: laz2_dom.pas line 325

protected procedure TDOMNode_WithChildren.SetTextContent(

  const AValue: DOMString

); override;


TDOMNotation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 734

type TDOMNotation = class(TDOMNode)

protected

  FName: DOMString;

  FPublicID: DOMString;

  FSystemID: DOMString;

  function GetNodeType; override;

  function GetNodeName; override;

public

  function CloneNode(); override; overload;

  property PublicID: DOMString; [r]

  property SystemID: DOMString; [r]

end;

Inheritance

TDOMNotation

|

TDOMNode

|

TObject


TDOMNotation
 | ro | PublicID
 | ro | SystemID
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | PublicID (TDOMNotation)
ro | SystemID (TDOMNotation)
 | TextContent (TDOMNode)


TDOMNotation
pt | GetNodeType
pt | GetNodeName
 | CloneNode
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMNotation)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMNotation)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMNotation)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)


TDOMNotation

TDOMNode


TDOMNotation.CloneNode

Declaration

Source position: laz2_dom.pas line 741

public function TDOMNotation.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMNotation.FName

Declaration

Source position: laz2_dom.pas line 736

protected TDOMNotation.FName : DOMString;


TDOMNotation.FPublicID

Declaration

Source position: laz2_dom.pas line 737

protected TDOMNotation.FPublicID : DOMString;


TDOMNotation.FSystemID

Declaration

Source position: laz2_dom.pas line 737

protected TDOMNotation.FSystemID : DOMString;


TDOMNotation.GetNodeName

Declaration

Source position: laz2_dom.pas line 739

protected function TDOMNotation.GetNodeName: DOMString; override;


TDOMNotation.GetNodeType

Declaration

Source position: laz2_dom.pas line 738

protected function TDOMNotation.GetNodeType: Integer; override;


TDOMNotation.PublicID

Declaration

Source position: laz2_dom.pas line 742

public property TDOMNotation.PublicID : DOMString
  read FPublicID;


TDOMNotation.SystemID

Declaration

Source position: laz2_dom.pas line 743

public property TDOMNotation.SystemID : DOMString
  read FSystemID;


TDOMProcessingInstruction

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 783

type TDOMProcessingInstruction = class(TDOMNode)

protected

  function GetNodeType; override;

  function GetNodeName; override;

  function GetNodeValue; override;

  procedure SetNodeValue(); override;

public

  function CloneNode(); override; overload;

  property Target: DOMString; [r]

  property Data: DOMString; [rw]

end;

Inheritance

TDOMProcessingInstruction

|

TDOMNode

|

TObject


TDOMProcessingInstruction
 | ro | Target
 |  | Data
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
 | Data (TDOMProcessingInstruction)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
ro | Target (TDOMProcessingInstruction)
 | TextContent (TDOMNode)


TDOMProcessingInstruction
pt | GetNodeType
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
 | CloneNode
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMProcessingInstruction)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMProcessingInstruction)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMProcessingInstruction)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMProcessingInstruction)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMProcessingInstruction)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)


TDOMProcessingInstruction

TDOMNode


TDOMProcessingInstruction.CloneNode

Declaration

Source position: laz2_dom.pas line 793

public function TDOMProcessingInstruction.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMProcessingInstruction.Data

Declaration

Source position: laz2_dom.pas line 795

public property TDOMProcessingInstruction.Data : DOMString
  read FNodeValue
  write SetNodeValue;


TDOMProcessingInstruction.GetNodeName

Declaration

Source position: laz2_dom.pas line 789

protected function TDOMProcessingInstruction.GetNodeName: DOMString; override;


TDOMProcessingInstruction.GetNodeType

Declaration

Source position: laz2_dom.pas line 788

protected function TDOMProcessingInstruction.GetNodeType: Integer; override;


TDOMProcessingInstruction.GetNodeValue

Declaration

Source position: laz2_dom.pas line 790

protected function TDOMProcessingInstruction.GetNodeValue: DOMString; override;


TDOMProcessingInstruction.SetNodeValue

Declaration

Source position: laz2_dom.pas line 791

protected procedure TDOMProcessingInstruction.SetNodeValue(

  const AValue: DOMString

); override;


TDOMProcessingInstruction.Target

Declaration

Source position: laz2_dom.pas line 794

public property TDOMProcessingInstruction.Target : DOMString
  read FTarget;


TDOMText

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 665

type TDOMText = class(TDOMCharacterData)

protected

  function GetNodeType; override;

  function GetNodeName; override;

  procedure SetNodeValue(); override;

public

  function CloneNode(); override; overload;

  function SplitText();

  function IsElementContentWhitespace;

end;

Inheritance

TDOMText

|

TDOMCharacterData

|

TDOMNode

|

TObject


TDOMText
TDOMCharacterData
 |  | Data
 | ro | Length
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


TDOMText
pt | GetNodeType
pt | GetNodeName
pt | SetNodeValue
 | CloneNode
 | SplitText
 | IsElementContentWhitespace
TDOMCharacterData
pt | GetLength
pt | GetNodeValue
pt | SetNodeValue
 | SubstringData
 | AppendData
 | InsertData
 | DeleteData
 | ReplaceData
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Changing (TDOMNode)
 | CloneNode (TDOMNode)
 | CloneNode (TDOMText)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | DeleteData (TDOMCharacterData)
 | Destroy (TDOMNode)
 | DetachChild (TDOMNode)
 | FindNode (TDOMNode)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildNodes (TDOMNode)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetLastChild (TDOMNode)
 | GetLastLeaf (TDOMNode)
pt | GetLength (TDOMCharacterData)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMText)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMText)
pt | GetNodeValue (TDOMNode)
pt | GetNodeValue (TDOMCharacterData)
pt | GetOwnerDocument (TDOMNode)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | InsertBefore (TDOMNode)
 | InsertData (TDOMCharacterData)
 | IsDefaultNamespace (TDOMNode)
 | IsElementContentWhitespace (TDOMText)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
 | ReplaceChild (TDOMNode)
 | ReplaceData (TDOMCharacterData)
pt | SetNodeValue (TDOMNode)
pt | SetNodeValue (TDOMCharacterData)
pt | SetNodeValue (TDOMText)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
 | SplitText (TDOMText)
 | SubstringData (TDOMCharacterData)


TDOMText

TDOMCharacterData

TDOMNode


TDOMText.CloneNode

Declaration

Source position: laz2_dom.pas line 671

public function TDOMText.CloneNode(

  deep: Boolean;

  ACloneOwner: TDOMDocument

):TDOMNode; override; overload;


TDOMText.GetNodeName

Declaration

Source position: laz2_dom.pas line 668

protected function TDOMText.GetNodeName: DOMString; override;


TDOMText.GetNodeType

Declaration

Source position: laz2_dom.pas line 667

protected function TDOMText.GetNodeType: Integer; override;


TDOMText.IsElementContentWhitespace

Declaration

Source position: laz2_dom.pas line 673

public function TDOMText.IsElementContentWhitespace: Boolean;


TDOMText.SetNodeValue

Declaration

Source position: laz2_dom.pas line 669

protected procedure TDOMText.SetNodeValue(

  const aValue: DOMString

); override;


TDOMText.SplitText

Declaration

Source position: laz2_dom.pas line 672

public function TDOMText.SplitText(

  offset: LongWord

):TDOMText;


TNodePool

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 832

type TNodePool = class(TObject)

public

  constructor Create();

  destructor Destroy; override;

  function AllocNode();

  procedure FreeNode();

end;

Inheritance

TNodePool

|

TObject


TNodePool

TObject


TNodePool
 | Create
 | Destroy
 | AllocNode
 | FreeNode
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

AllocNode (TNodePool)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TNodePool)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TNodePool)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

FreeNode (TNodePool)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TNodePool.AllocNode

Declaration

Source position: laz2_dom.pas line 843

public function TNodePool.AllocNode(

  AClass: TDOMNodeClass

):TDOMNode;


TNodePool.Create

Declaration

Source position: laz2_dom.pas line 841

public constructor TNodePool.Create(

  AElementSize: Integer;

  AElementCount: Integer = 32

);


TNodePool.Destroy

Declaration

Source position: laz2_dom.pas line 842

public destructor TNodePool.Destroy; override;


TNodePool.FreeNode

Declaration

Source position: laz2_dom.pas line 844

public procedure TNodePool.FreeNode(

  ANode: TDOMNode

);


TNodePoolArray

Declaration

Source position: laz2_dom.pas line 105

type TNodePoolArray = array [0..MaxIntdivsizeof(Pointer)-1] of TNodePool;


TXMLDocument

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_dom.pas line 541

type TXMLDocument = class(TDOMDocument)

public

  Encoding: DOMString;

  StylesheetType: DOMString;

  StylesheetHRef: DOMString;

  function CreateCDATASection(); override;

  function CreateProcessingInstruction(); override;

  function CreateEntityReference(); override;

  property XMLVersion: DOMString; [rw]

end;

Inheritance

TXMLDocument

|

TDOMDocument

|

TDOMNode_WithChildren

|

TDOMNode

|

TObject


TXMLDocument
 |  | XMLVersion
TDOMDocument
 | ro | DocType
 | ro | Impl
 | ro | DocumentElement
 |  | documentURI
 | ro | Names
TDOMNode_WithChildren
TDOMNode
 | ro | NodeName
 |  | NodeValue
 | ro | NodeType
 | ro | ParentNode
 | ro | FirstChild
 | ro | LastChild
 | ro | ChildNodes
 | ro | PreviousSibling
 | ro | NextSibling
 | ro | Attributes
 | ro | OwnerDocument
 | ro | NamespaceURI
 | ro | LocalName
 |  | Prefix
 |  | TextContent
 | ro | baseURI
 | ro | Flags


ro | Attributes (TDOMNode)
ro | baseURI (TDOMNode)
ro | ChildNodes (TDOMNode)
ro | DocType (TDOMDocument)
ro | DocumentElement (TDOMDocument)
 | documentURI (TDOMDocument)
ro | FirstChild (TDOMNode)
ro | Flags (TDOMNode)
ro | Impl (TDOMDocument)
ro | LastChild (TDOMNode)
ro | LocalName (TDOMNode)
ro | Names (TDOMDocument)
ro | NamespaceURI (TDOMNode)
ro | NextSibling (TDOMNode)
ro | NodeName (TDOMNode)
ro | NodeType (TDOMNode)
 | NodeValue (TDOMNode)
ro | OwnerDocument (TDOMNode)
ro | ParentNode (TDOMNode)
 | Prefix (TDOMNode)
ro | PreviousSibling (TDOMNode)
 | TextContent (TDOMNode)
 | XMLVersion (TXMLDocument)


TXMLDocument
 | CreateCDATASection
 | CreateProcessingInstruction
 | CreateEntityReference
TDOMDocument
pt | GetDocumentElement
pt | GetDocType
pt | GetNodeType
pt | GetNodeName
pt | GetTextContent
pt | GetOwnerDocument
pt | SetTextContent
pt | RemoveID
pt | GetChildNodeList
pt | GetElementList
pt | NodeListDestroyed
pt | Alloc
 | IndexOfNS
 | InsertBefore
 | ReplaceChild
 | CreateElement
 | CreateElementBuf
 | CreateDocumentFragment
 | CreateTextNode
 | CreateTextNodeBuf
 | CreateComment
 | CreateCommentBuf
 | CreateCDATASection
 | CreateProcessingInstruction
 | CreateAttribute
 | CreateAttributeBuf
 | CreateAttributeDef
 | CreateEntityReference
 | GetElementsByTagName
 | ImportNode
 | CreateElementNS
 | CreateAttributeNS
 | GetElementsByTagNameNS
 | GetElementById
 | Create
 | Destroy
 | AddID
TDOMNode_WithChildren
pt | GetFirstChild
pt | GetLastChild
pt | CloneChildren
pt | FreeChildren
pt | GetTextContent
pt | SetTextContent
 | Destroy
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | HasChildNodes
 | GetChildCount
 | FindNode
 | InternalAppend
TDOMNode
pt | GetNodeName
pt | GetNodeValue
pt | SetNodeValue
pt | GetFirstChild
pt | GetLastChild
pt | GetAttributes
pt | GetRevision
pt | GetNodeType
pt | GetTextContent
pt | SetTextContent
pt | GetLocalName
pt | GetNamespaceURI
pt | GetPrefix
pt | SetPrefix
pt | GetOwnerDocument
pt | GetBaseURI
pt | SetReadOnly
pt | Changing
 | Create
 | Destroy
 | FreeInstance
 | GetChildNodes
 | GetChildCount
 | GetEnumerator
 | GetEnumeratorAllChildren
 | GetNextNode
 | GetNextNodeSkipChildren
 | GetPreviousNode
 | GetLastLeaf
 | GetLevel
 | InsertBefore
 | ReplaceChild
 | DetachChild
 | RemoveChild
 | AppendChild
 | HasChildNodes
 | CloneNode
 | IsSupported
 | HasAttributes
 | Normalize
 | LookupPrefix
 | LookupNamespaceURI
 | IsDefaultNamespace
 | FindNode
 | CompareName


pt | Alloc (TDOMDocument)
 | AppendChild (TDOMNode)
pt | Changing (TDOMNode)
pt | CloneChildren (TDOMNode_WithChildren)
 | CloneNode (TDOMNode)
 | CompareName (TDOMNode)
 | Create (TDOMNode)
 | Create (TDOMDocument)
 | CreateAttribute (TDOMDocument)
 | CreateAttributeBuf (TDOMDocument)
 | CreateAttributeDef (TDOMDocument)
 | CreateAttributeNS (TDOMDocument)
 | CreateCDATASection (TDOMDocument)
 | CreateCDATASection (TXMLDocument)
 | CreateComment (TDOMDocument)
 | CreateCommentBuf (TDOMDocument)
 | CreateDocumentFragment (TDOMDocument)
 | CreateElement (TDOMDocument)
 | CreateElementBuf (TDOMDocument)
 | CreateElementNS (TDOMDocument)
 | CreateEntityReference (TDOMDocument)
 | CreateEntityReference (TXMLDocument)
 | CreateProcessingInstruction (TDOMDocument)
 | CreateProcessingInstruction (TXMLDocument)
 | CreateTextNode (TDOMDocument)
 | CreateTextNodeBuf (TDOMDocument)
 | Destroy (TDOMNode)
 | Destroy (TDOMNode_WithChildren)
 | Destroy (TDOMDocument)
 | DetachChild (TDOMNode)
 | DetachChild (TDOMNode_WithChildren)
 | FindNode (TDOMNode)
 | FindNode (TDOMNode_WithChildren)
pt | FreeChildren (TDOMNode_WithChildren)
 | FreeInstance (TDOMNode)
pt | GetAttributes (TDOMNode)
pt | GetBaseURI (TDOMNode)
 | GetChildCount (TDOMNode)
 | GetChildCount (TDOMNode_WithChildren)
pt | GetChildNodeList (TDOMDocument)
 | GetChildNodes (TDOMNode)
pt | GetDocType (TDOMDocument)
pt | GetDocumentElement (TDOMDocument)
 | GetElementById (TDOMDocument)
pt | GetElementList (TDOMDocument)
 | GetElementsByTagName (TDOMDocument)
 | GetElementsByTagNameNS (TDOMDocument)
 | GetEnumerator (TDOMNode)
 | GetEnumeratorAllChildren (TDOMNode)
pt | GetFirstChild (TDOMNode)
pt | GetFirstChild (TDOMNode_WithChildren)
pt | GetLastChild (TDOMNode)
pt | GetLastChild (TDOMNode_WithChildren)
 | GetLastLeaf (TDOMNode)
 | GetLevel (TDOMNode)
pt | GetLocalName (TDOMNode)
pt | GetNamespaceURI (TDOMNode)
 | GetNextNode (TDOMNode)
 | GetNextNodeSkipChildren (TDOMNode)
pt | GetNodeName (TDOMNode)
pt | GetNodeName (TDOMDocument)
pt | GetNodeType (TDOMNode)
pt | GetNodeType (TDOMDocument)
pt | GetNodeValue (TDOMNode)
pt | GetOwnerDocument (TDOMNode)
pt | GetOwnerDocument (TDOMDocument)
pt | GetPrefix (TDOMNode)
 | GetPreviousNode (TDOMNode)
pt | GetRevision (TDOMNode)
pt | GetTextContent (TDOMNode)
pt | GetTextContent (TDOMNode_WithChildren)
pt | GetTextContent (TDOMDocument)
 | HasAttributes (TDOMNode)
 | HasChildNodes (TDOMNode)
 | HasChildNodes (TDOMNode_WithChildren)
 | ImportNode (TDOMDocument)
 | IndexOfNS (TDOMDocument)
 | InsertBefore (TDOMNode)
 | InsertBefore (TDOMNode_WithChildren)
 | InsertBefore (TDOMDocument)
 | InternalAppend (TDOMNode_WithChildren)
 | IsDefaultNamespace (TDOMNode)
 | IsSupported (TDOMNode)
 | LookupNamespaceURI (TDOMNode)
 | LookupPrefix (TDOMNode)
pt | NodeListDestroyed (TDOMDocument)
 | Normalize (TDOMNode)
 | RemoveChild (TDOMNode)
pt | RemoveID (TDOMDocument)
 | ReplaceChild (TDOMNode)
 | ReplaceChild (TDOMNode_WithChildren)
 | ReplaceChild (TDOMDocument)
pt | SetNodeValue (TDOMNode)
pt | SetPrefix (TDOMNode)
pt | SetReadOnly (TDOMNode)
pt | SetTextContent (TDOMNode)
pt | SetTextContent (TDOMNode_WithChildren)
pt | SetTextContent (TDOMDocument)


TXMLDocument

TDOMDocument

TDOMNode_WithChildren

TDOMNode


TXMLDocument.CreateCDATASection

Declaration

Source position: laz2_dom.pas line 549

public function TXMLDocument.CreateCDATASection(

  const data: DOMString

):TDOMCDATASection; override;


TXMLDocument.CreateEntityReference

Declaration

Source position: laz2_dom.pas line 552

public function TXMLDocument.CreateEntityReference(

  const name: DOMString

):TDOMEntityReference; override;


TXMLDocument.CreateProcessingInstruction

Declaration

Source position: laz2_dom.pas line 550

public function TXMLDocument.CreateProcessingInstruction(

  const target: DOMString;

  const data: DOMString

):TDOMProcessingInstruction; override;


TXMLDocument.Encoding

Declaration

Source position: laz2_dom.pas line 547

public TXMLDocument.Encoding : DOMString;


TXMLDocument.StylesheetHRef

Declaration

Source position: laz2_dom.pas line 547

public TXMLDocument.StylesheetHRef : DOMString;


TXMLDocument.StylesheetType

Declaration

Source position: laz2_dom.pas line 547

public TXMLDocument.StylesheetType : DOMString;


TXMLDocument.XMLVersion

Declaration

Source position: laz2_dom.pas line 553

public property TXMLDocument.XMLVersion : DOMString
  read FXMLVersion
  write SetXMLVersion;


TRttiXMLConfig

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlcfg.pas line 122

type TRttiXMLConfig = class(TXMLConfig)

protected

  procedure WriteProperty();

  procedure ReadProperty();

public

  procedure WriteObject();

  procedure ReadObject();

end;

Inheritance

TRttiXMLConfig

|

TXMLConfig

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TRttiXMLConfig
TXMLConfig
 |  | Modified
pl |  | Filename
pl | ro | Document
pl |  | ReadFlags
pl |  | WriteFlags
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | DesignInfo (TComponent)
pl | ro | Document (TXMLConfig)
pl |  | Filename (TXMLConfig)
 |  | Modified (TXMLConfig)
 |  | Name (TComponent)
 | ro | Owner (TComponent)
pl |  | ReadFlags (TXMLConfig)
 |  | Tag (TComponent)
 |  | VCLComObject (TComponent)
pl |  | WriteFlags (TXMLConfig)


TRttiXMLConfig
pt | WriteProperty
pt | ReadProperty
 | WriteObject
 | ReadObject
TXMLConfig
pt | Loaded
pt | ExtendedToStr
pt | StrToExtended
pt | ReadXMLFile
pt | WriteXMLFile
pt | FreeDoc
pt | SetPathNodeCache
pt | GetCachedPathNode
pt | InvalidateCacheTilEnd
pt | InternalFindNode
pt | InternalCleanNode
pt | FindChildNode
 | Create
 | CreateClean
 | CreateWithSource
 | Destroy
 | Clear
 | Flush
 | ReadFromStream
 | WriteToStream
 | GetValue
 | GetExtendedValue
 | SetValue
 | SetDeleteValue
 | SetExtendedValue
 | SetDeleteExtendedValue
 | DeletePath
 | DeleteValue
 | FindNode
 | HasPath
 | HasChildPaths
 | InvalidatePathCache
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TXMLConfig)
 | Create (TObject)
 | Create (TComponent)
 | Create (TXMLConfig)
 | CreateClean (TXMLConfig)
 | CreateWithSource (TXMLConfig)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | DeletePath (TXMLConfig)
 | DeleteValue (TXMLConfig)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TXMLConfig)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
pt | ExtendedToStr (TXMLConfig)
 | FieldAddress (TObject)
pt | FindChildNode (TXMLConfig)
 | FindComponent (TComponent)
 | FindNode (TXMLConfig)
 | Flush (TXMLConfig)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
pt | FreeDoc (TXMLConfig)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
pt | GetCachedPathNode (TXMLConfig)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetExtendedValue (TXMLConfig)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | GetValue (TXMLConfig)
 | HasChildPaths (TXMLConfig)
 | HasParent (TComponent)
 | HasPath (TXMLConfig)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
pt | InternalCleanNode (TXMLConfig)
pt | InternalFindNode (TXMLConfig)
pt | InvalidateCacheTilEnd (TXMLConfig)
 | InvalidatePathCache (TXMLConfig)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
pt | Loaded (TXMLConfig)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadFromStream (TXMLConfig)
 | ReadLeft (TComponent)
 | ReadObject (TRttiXMLConfig)
pt | ReadProperty (TRttiXMLConfig)
 | ReadState (TComponent)
 | ReadTop (TComponent)
pt | ReadXMLFile (TXMLConfig)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDeleteExtendedValue (TXMLConfig)
 | SetDeleteValue (TXMLConfig)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetExtendedValue (TXMLConfig)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
pt | SetPathNodeCache (TXMLConfig)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetValue (TXMLConfig)
 | StringMessageTable (TObject)
pt | StrToExtended (TXMLConfig)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteObject (TRttiXMLConfig)
pt | WriteProperty (TRttiXMLConfig)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | WriteToStream (TXMLConfig)
pt | WriteXMLFile (TXMLConfig)
 | _AddRef (TComponent)
 | _Release (TComponent)


TRttiXMLConfig

TXMLConfig

TComponent

TPersistent

TObject


TRttiXMLConfig.ReadObject

Declaration

Source position: laz2_xmlcfg.pas line 133

public procedure TRttiXMLConfig.ReadObject(

  Path: string;

  Obj: TPersistent;

  DefObject: TPersistent = Nil;

  OnlyProperty: string = ''

);


TRttiXMLConfig.ReadProperty

Declaration

Source position: laz2_xmlcfg.pas line 127

protected procedure TRttiXMLConfig.ReadProperty(

  Path: string;

  Instance: TPersistent;

  PropInfo: Pointer;

  DefInstance: TPersistent = Nil;

  OnlyProperty: string = ''

);


TRttiXMLConfig.WriteObject

Declaration

Source position: laz2_xmlcfg.pas line 131

public procedure TRttiXMLConfig.WriteObject(

  Path: string;

  Obj: TPersistent;

  DefObject: TPersistent = Nil;

  OnlyProperty: string = ''

);


TRttiXMLConfig.WriteProperty

Declaration

Source position: laz2_xmlcfg.pas line 124

protected procedure TRttiXMLConfig.WriteProperty(

  Path: string;

  Instance: TPersistent;

  PropInfo: Pointer;

  DefInstance: TPersistent = Nil;

  OnlyProperty: string = ''

);


TXMLConfig

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlcfg.pas line 42

type TXMLConfig = class(TComponent)

protected

Type

  TNodeCache = record

  Node: TDOMNode;

  ChildrenValid: Boolean;

  Children: array of TDOMNode;

end;

  doc: TXMLDocument;

  FModified: Boolean;

  fDoNotLoadFromFile: Boolean;

  fAutoLoadFromSource: string;

  fPathCache: string;

  fPathNodeCache: ;

  procedure Loaded; override;

  function ExtendedToStr();

  function StrToExtended();

  procedure ReadXMLFile(); virtual;

  procedure WriteXMLFile(); virtual;

  procedure FreeDoc; virtual;

  procedure SetPathNodeCache();

  function GetCachedPathNode();

  procedure InvalidateCacheTilEnd();

  function InternalFindNode();

  procedure InternalCleanNode();

  function FindChildNode();

public

  constructor Create();

  constructor CreateClean();

  constructor CreateWithSource();

  destructor Destroy; override;

  procedure Clear;

  procedure Flush;

  procedure ReadFromStream();

  procedure WriteToStream();

  function GetValue();

  function GetExtendedValue();

  procedure SetValue();

  procedure SetDeleteValue();

  procedure SetExtendedValue();

  procedure SetDeleteExtendedValue();

  procedure DeletePath();

  procedure DeleteValue();

  function FindNode();

  function HasPath();

  function HasChildPaths();

  property Modified: Boolean; [rw]

  procedure InvalidatePathCache;

published

  property Filename: string; [rw]

  property Document: TXMLDocument; [r]

  property ReadFlags: TXMLReaderFlags; [rw]

  property WriteFlags: TXMLWriterFlags; [rw]

end;

Inheritance

TXMLConfig

|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TXMLConfig
 |  | Modified
pl |  | Filename
pl | ro | Document
pl |  | ReadFlags
pl |  | WriteFlags
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


TXMLConfig
pt | Loaded
pt | ExtendedToStr
pt | StrToExtended
pt | ReadXMLFile
pt | WriteXMLFile
pt | FreeDoc
pt | SetPathNodeCache
pt | GetCachedPathNode
pt | InvalidateCacheTilEnd
pt | InternalFindNode
pt | InternalCleanNode
pt | FindChildNode
 | Create
 | CreateClean
 | CreateWithSource
 | Destroy
 | Clear
 | Flush
 | ReadFromStream
 | WriteToStream
 | GetValue
 | GetExtendedValue
 | SetValue
 | SetDeleteValue
 | SetExtendedValue
 | SetDeleteExtendedValue
 | DeletePath
 | DeleteValue
 | FindNode
 | HasPath
 | HasChildPaths
 | InvalidatePathCache
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeforeDestruction (TComponent)
 | ChangeName (TComponent)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TXMLConfig)
 | Create (TObject)
 | Create (TComponent)
 | Create (TXMLConfig)
 | CreateClean (TXMLConfig)
 | CreateWithSource (TXMLConfig)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TComponent)
 | DeletePath (TXMLConfig)
 | DeleteValue (TXMLConfig)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TComponent)
 | Destroy (TXMLConfig)
 | DestroyComponents (TComponent)
 | Destroying (TComponent)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | ExecuteAction (TComponent)
pt | ExtendedToStr (TXMLConfig)
 | FieldAddress (TObject)
pt | FindChildNode (TXMLConfig)
 | FindComponent (TComponent)
 | FindNode (TXMLConfig)
 | Flush (TXMLConfig)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
pt | FreeDoc (TXMLConfig)
 | FreeInstance (TObject)
 | FreeNotification (TComponent)
 | FreeOnRelease (TComponent)
pt | GetCachedPathNode (TXMLConfig)
 | GetChildOwner (TComponent)
 | GetChildParent (TComponent)
 | GetChildren (TComponent)
 | GetComObject (TComponent)
 | GetComponent (TComponent)
 | GetComponentCount (TComponent)
 | GetComponentIndex (TComponent)
 | GetEnumerator (TComponent)
 | GetExtendedValue (TXMLConfig)
 | GetHashCode (TObject)
 | GetIDsOfNames (TComponent)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetNamePath (TComponent)
 | GetOwner (TPersistent)
 | GetOwner (TComponent)
 | GetParentComponent (TComponent)
 | GetTypeInfo (TComponent)
 | GetTypeInfoCount (TComponent)
 | GetValue (TXMLConfig)
 | HasChildPaths (TXMLConfig)
 | HasParent (TComponent)
 | HasPath (TXMLConfig)
 | iicrGetComponent (TComponent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TComponent)
 | InsertComponent (TComponent)
 | InstanceSize (TObject)
pt | InternalCleanNode (TXMLConfig)
pt | InternalFindNode (TXMLConfig)
pt | InvalidateCacheTilEnd (TXMLConfig)
 | InvalidatePathCache (TXMLConfig)
 | Invoke (TComponent)
 | IsImplementorOf (TComponent)
 | Loaded (TComponent)
pt | Loaded (TXMLConfig)
 | Loading (TComponent)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Notification (TComponent)
 | PaletteCreated (TComponent)
 | QueryInterface (TComponent)
 | ReadFromStream (TXMLConfig)
 | ReadLeft (TComponent)
 | ReadState (TComponent)
 | ReadTop (TComponent)
pt | ReadXMLFile (TXMLConfig)
 | ReferenceInterface (TComponent)
 | Remove (TComponent)
 | RemoveComponent (TComponent)
 | RemoveFreeNotification (TComponent)
 | RemoveNotification (TComponent)
 | SafeCallException (TObject)
 | SafeCallException (TComponent)
 | SetAncestor (TComponent)
 | SetChildOrder (TComponent)
 | SetComponentIndex (TComponent)
 | SetDeleteExtendedValue (TXMLConfig)
 | SetDeleteValue (TXMLConfig)
 | SetDesigning (TComponent)
 | SetDesignInstance (TComponent)
 | SetExtendedValue (TXMLConfig)
 | SetInline (TComponent)
 | SetName (TComponent)
 | SetParentComponent (TComponent)
pt | SetPathNodeCache (TXMLConfig)
 | SetReference (TComponent)
 | SetSubComponent (TComponent)
 | SetValue (TXMLConfig)
 | StringMessageTable (TObject)
pt | StrToExtended (TXMLConfig)
 | ToString (TObject)
 | UnitName (TObject)
 | UpdateAction (TComponent)
 | Updated (TComponent)
 | UpdateRegistry (TComponent)
 | Updating (TComponent)
 | ValidateContainer (TComponent)
 | ValidateInsert (TComponent)
 | ValidateRename (TComponent)
 | WriteLeft (TComponent)
 | WriteState (TComponent)
 | WriteTop (TComponent)
 | WriteToStream (TXMLConfig)
pt | WriteXMLFile (TXMLConfig)
 | _AddRef (TComponent)
 | _Release (TComponent)


TXMLConfig

TComponent

TPersistent

TObject


TXMLConfig.Clear

Declaration

Source position: laz2_xmlcfg.pas line 84

public procedure TXMLConfig.Clear;


TXMLConfig.Create

Declaration

Source position: laz2_xmlcfg.pas line 79

public constructor TXMLConfig.Create(

  AOwner: TComponent

); override; overload;

constructor TXMLConfig.Create(

  const AFilename: string

); overload;


TXMLConfig.CreateClean

Declaration

Source position: laz2_xmlcfg.pas line 81

public constructor TXMLConfig.CreateClean(

  const AFilename: string

);


TXMLConfig.CreateWithSource

Declaration

Source position: laz2_xmlcfg.pas line 82

public constructor TXMLConfig.CreateWithSource(

  const AFilename: string;

  const Source: string

);


TXMLConfig.DeletePath

Declaration

Source position: laz2_xmlcfg.pas line 106

public procedure TXMLConfig.DeletePath(

  const APath: string

);


TXMLConfig.DeleteValue

Declaration

Source position: laz2_xmlcfg.pas line 107

public procedure TXMLConfig.DeleteValue(

  const APath: string

);


TXMLConfig.Destroy

Declaration

Source position: laz2_xmlcfg.pas line 83

public destructor TXMLConfig.Destroy; override;


TXMLConfig.doc

Declaration

Source position: laz2_xmlcfg.pas line 59

protected TXMLConfig.doc : TXMLDocument;


TXMLConfig.Document

Declaration

Source position: laz2_xmlcfg.pas line 115

published property TXMLConfig.Document : TXMLDocument
  read doc;


TXMLConfig.ExtendedToStr

Declaration

Source position: laz2_xmlcfg.pas line 66

protected function TXMLConfig.ExtendedToStr(

  const e: extended

):string;


TXMLConfig.fAutoLoadFromSource

Declaration

Source position: laz2_xmlcfg.pas line 62

protected TXMLConfig.fAutoLoadFromSource : string;


TXMLConfig.fDoNotLoadFromFile

Declaration

Source position: laz2_xmlcfg.pas line 61

protected TXMLConfig.fDoNotLoadFromFile : Boolean;


TXMLConfig.Filename

Declaration

Source position: laz2_xmlcfg.pas line 114

published property TXMLConfig.Filename : string
  read FFilename
  write SetFilename;


TXMLConfig.FindChildNode

Declaration

Source position: laz2_xmlcfg.pas line 77

protected function TXMLConfig.FindChildNode(

  PathIndex: Integer;

  const aName: string

):TDOMNode;


TXMLConfig.FindNode

Declaration

Source position: laz2_xmlcfg.pas line 108

public function TXMLConfig.FindNode(

  const APath: string;

  PathHasValue: Boolean

):TDOMNode;


TXMLConfig.Flush

Declaration

Source position: laz2_xmlcfg.pas line 85

public procedure TXMLConfig.Flush;


TXMLConfig.FModified

Declaration

Source position: laz2_xmlcfg.pas line 60

protected TXMLConfig.FModified : Boolean;


TXMLConfig.fPathCache

Declaration

Source position: laz2_xmlcfg.pas line 63

protected TXMLConfig.fPathCache : string;


TXMLConfig.fPathNodeCache

Declaration

Source position: laz2_xmlcfg.pas line 64

protected TXMLConfig.fPathNodeCache : array of TNodeCache;


TXMLConfig.FreeDoc

Declaration

Source position: laz2_xmlcfg.pas line 70

protected procedure TXMLConfig.FreeDoc; virtual;


TXMLConfig.GetCachedPathNode

Declaration

Source position: laz2_xmlcfg.pas line 72

protected function TXMLConfig.GetCachedPathNode(

  Index: Integer

):TDOMNode;


TXMLConfig.GetExtendedValue

Declaration

Source position: laz2_xmlcfg.pas line 92

public function TXMLConfig.GetExtendedValue(

  const APath: string;

  const ADefault: extended

):extended;


TXMLConfig.GetValue

Declaration

Source position: laz2_xmlcfg.pas line 89

public function TXMLConfig.GetValue(

  const APath: string;

  const ADefault: string

):string;

function TXMLConfig.GetValue(

  const APath: string;

  ADefault: Integer

):Integer;

function TXMLConfig.GetValue(

  const APath: string;

  ADefault: Boolean

):Boolean;

procedure TXMLConfig.GetValue(

  const APath: string;

  out ARect: TRect;

  const ADefault: TRect

);


TXMLConfig.HasChildPaths

Declaration

Source position: laz2_xmlcfg.pas line 110

public function TXMLConfig.HasChildPaths(

  const APath: string

):Boolean;


TXMLConfig.HasPath

Declaration

Source position: laz2_xmlcfg.pas line 109

public function TXMLConfig.HasPath(

  const APath: string;

  PathHasValue: Boolean

):Boolean;


TXMLConfig.InternalCleanNode

Declaration

Source position: laz2_xmlcfg.pas line 76

protected procedure TXMLConfig.InternalCleanNode(

  Node: TDOMNode

);


TXMLConfig.InternalFindNode

Declaration

Source position: laz2_xmlcfg.pas line 74

protected function TXMLConfig.InternalFindNode(

  const APath: string;

  PathLen: Integer;

  CreateNodes: Boolean = False

):TDOMNode;


TXMLConfig.InvalidateCacheTilEnd

Declaration

Source position: laz2_xmlcfg.pas line 73

protected procedure TXMLConfig.InvalidateCacheTilEnd(

  StartIndex: Integer

);


TXMLConfig.InvalidatePathCache

Declaration

Source position: laz2_xmlcfg.pas line 112

public procedure TXMLConfig.InvalidatePathCache;


TXMLConfig.Loaded

Declaration

Source position: laz2_xmlcfg.pas line 65

protected procedure TXMLConfig.Loaded; override;


TXMLConfig.Modified

Declaration

Source position: laz2_xmlcfg.pas line 111

public property TXMLConfig.Modified : Boolean
  read FModified
  write FModified;


TXMLConfig.ReadFlags

Declaration

Source position: laz2_xmlcfg.pas line 116

published property TXMLConfig.ReadFlags : TXMLReaderFlags
  read FReadFlags
  write FReadFlags;


TXMLConfig.ReadFromStream

Declaration

Source position: laz2_xmlcfg.pas line 86

public procedure TXMLConfig.ReadFromStream(

  s: TStream

);


TXMLConfig.ReadXMLFile

Declaration

Source position: laz2_xmlcfg.pas line 68

protected procedure TXMLConfig.ReadXMLFile(

  out ADoc: TXMLDocument;

  const AFilename: string

); virtual;


TXMLConfig.SetDeleteExtendedValue

Declaration

Source position: laz2_xmlcfg.pas line 104

public procedure TXMLConfig.SetDeleteExtendedValue(

  const APath: string;

  const AValue: extended;

  const DefValue: extended

);


TXMLConfig.SetDeleteValue

Declaration

Source position: laz2_xmlcfg.pas line 95

public procedure TXMLConfig.SetDeleteValue(

  const APath: string;

  const AValue: string;

  const DefValue: string

);

procedure TXMLConfig.SetDeleteValue(

  const APath: string;

  AValue: Integer;

  DefValue: Integer

);

procedure TXMLConfig.SetDeleteValue(

  const APath: string;

  AValue: Boolean;

  DefValue: Boolean

);

procedure TXMLConfig.SetDeleteValue(

  const APath: string;

  const AValue: TRect;

  const DefValue: TRect

);


TXMLConfig.SetExtendedValue

Declaration

Source position: laz2_xmlcfg.pas line 103

public procedure TXMLConfig.SetExtendedValue(

  const APath: string;

  const AValue: extended

);


TXMLConfig.SetPathNodeCache

Declaration

Source position: laz2_xmlcfg.pas line 71

protected procedure TXMLConfig.SetPathNodeCache(

  Index: Integer;

  aNode: TDOMNode

);


TXMLConfig.SetValue

Declaration

Source position: laz2_xmlcfg.pas line 94

public procedure TXMLConfig.SetValue(

  const APath: string;

  const AValue: string

);

procedure TXMLConfig.SetValue(

  const APath: string;

  AValue: Integer

);

procedure TXMLConfig.SetValue(

  const APath: string;

  AValue: Boolean

);


TXMLConfig.StrToExtended

Declaration

Source position: laz2_xmlcfg.pas line 67

protected function TXMLConfig.StrToExtended(

  const s: string;

  const ADefault: extended

):extended;


TXMLConfig.TNodeCache

Declaration

Source position: laz2_xmlcfg.pas line 53

protected type TXMLConfig.TNodeCache = record

  Node: TDOMNode;

  ChildrenValid: Boolean;

  Children: array of TDOMNode;

end;


TXMLConfig.WriteFlags

Declaration

Source position: laz2_xmlcfg.pas line 117

published property TXMLConfig.WriteFlags : TXMLWriterFlags
  read FWriteFlags
  write FWriteFlags;


TXMLConfig.WriteToStream

Declaration

Source position: laz2_xmlcfg.pas line 87

public procedure TXMLConfig.WriteToStream(

  s: TStream

);


TXMLConfig.WriteXMLFile

Declaration

Source position: laz2_xmlcfg.pas line 69

protected procedure TXMLConfig.WriteXMLFile(

  ADoc: TXMLDocument;

  const AFileName: string

); virtual;


EXMLReadError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlread.pas line 44

type EXMLReadError = class(Exception)

public

  property Severity: TErrorSeverity; [r]

  property ErrorMessage: string; [r]

  property Line: Integer; [r]

  property LinePos: Integer; [r]

  function LineCol;

end;

Inheritance

EXMLReadError

|

Exception
|

TObject


EXMLReadError
 | ro | Severity
 | ro | ErrorMessage
 | ro | Line
 | ro | LinePos
Exception
 |  | HelpContext
 |  | Message
TObject


ro | ErrorMessage (EXMLReadError)
 | HelpContext (Exception)
ro | Line (EXMLReadError)
ro | LinePos (EXMLReadError)
 | Message (Exception)
ro | Severity (EXMLReadError)


EXMLReadError
 | LineCol
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (Exception)

CreateFmt (Exception)

CreateFmtHelp (Exception)

CreateHelp (Exception)

CreateRes (Exception)

CreateResFmt (Exception)

CreateResFmtHelp (Exception)

CreateResHelp (Exception)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

LineCol (EXMLReadError)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

ToString (Exception)

UnitName (TObject)


EXMLReadError

Exception

TObject


EXMLReadError.ErrorMessage

Declaration

Source position: laz2_xmlread.pas line 52

public property EXMLReadError.ErrorMessage : string
  read FErrorMessage;


EXMLReadError.Line

Declaration

Source position: laz2_xmlread.pas line 53

public property EXMLReadError.Line : Integer
  read FLine;


EXMLReadError.LineCol

Declaration

Source position: laz2_xmlread.pas line 55

public function EXMLReadError.LineCol: TPoint;


EXMLReadError.LinePos

Declaration

Source position: laz2_xmlread.pas line 54

public property EXMLReadError.LinePos : Integer
  read FLinePos;


EXMLReadError.Severity

Declaration

Source position: laz2_xmlread.pas line 51

public property EXMLReadError.Severity : TErrorSeverity
  read FSeverity;


TDOMParseOptions

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlread.pas line 77

type TDOMParseOptions = class(TObject)

public

  property Validate: Boolean; [rw]

  property PreserveWhitespace: Boolean; [rw]

  property ExpandEntities: Boolean; [rw]

  property IgnoreComments: Boolean; [rw]

  property CDSectionsAsText: Boolean; [rw]

  property ResolveExternals: Boolean; [rw]

  property Namespaces: Boolean; [rw]

  property DisallowDoctype: Boolean; [rw]

  property MaxChars: Cardinal; [rw]

  property CanonicalForm: Boolean; [rw]

end;

Inheritance

TDOMParseOptions

|

TObject


TDOMParseOptions
 | Validate
 | PreserveWhitespace
 | ExpandEntities
 | IgnoreComments
 | CDSectionsAsText
 | ResolveExternals
 | Namespaces
 | DisallowDoctype
 | MaxChars
 | CanonicalForm
TObject


CanonicalForm (TDOMParseOptions)

CDSectionsAsText (TDOMParseOptions)

DisallowDoctype (TDOMParseOptions)

ExpandEntities (TDOMParseOptions)

IgnoreComments (TDOMParseOptions)

MaxChars (TDOMParseOptions)

Namespaces (TDOMParseOptions)

PreserveWhitespace (TDOMParseOptions)

ResolveExternals (TDOMParseOptions)

Validate (TDOMParseOptions)


TDOMParseOptions
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TDOMParseOptions

TObject


TDOMParseOptions.CanonicalForm

Declaration

Source position: laz2_xmlread.pas line 101

public property TDOMParseOptions.CanonicalForm : Boolean
  read GetCanonical
  write SetCanonical;


TDOMParseOptions.CDSectionsAsText

Declaration

Source position: laz2_xmlread.pas line 96

public property TDOMParseOptions.CDSectionsAsText : Boolean
  read FCDSectionsAsText
  write FCDSectionsAsText;


TDOMParseOptions.DisallowDoctype

Declaration

Source position: laz2_xmlread.pas line 99

public property TDOMParseOptions.DisallowDoctype : Boolean
  read FDisallowDoctype
  write FDisallowDoctype;


TDOMParseOptions.ExpandEntities

Declaration

Source position: laz2_xmlread.pas line 94

public property TDOMParseOptions.ExpandEntities : Boolean
  read FExpandEntities
  write FExpandEntities;


TDOMParseOptions.IgnoreComments

Declaration

Source position: laz2_xmlread.pas line 95

public property TDOMParseOptions.IgnoreComments : Boolean
  read FIgnoreComments
  write FIgnoreComments;


TDOMParseOptions.MaxChars

Declaration

Source position: laz2_xmlread.pas line 100

public property TDOMParseOptions.MaxChars : Cardinal
  read FMaxChars
  write FMaxChars;


TDOMParseOptions.Namespaces

Declaration

Source position: laz2_xmlread.pas line 98

public property TDOMParseOptions.Namespaces : Boolean
  read FNamespaces
  write FNamespaces;


TDOMParseOptions.PreserveWhitespace

Declaration

Source position: laz2_xmlread.pas line 93

public property TDOMParseOptions.PreserveWhitespace : Boolean
  read FPreserveWhitespace
  write FPreserveWhitespace;


TDOMParseOptions.ResolveExternals

Declaration

Source position: laz2_xmlread.pas line 97

public property TDOMParseOptions.ResolveExternals : Boolean
  read FResolveExternals
  write FResolveExternals;


TDOMParseOptions.Validate

Declaration

Source position: laz2_xmlread.pas line 92

public property TDOMParseOptions.Validate : Boolean
  read FValidate
  write FValidate;


TDOMParser

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlread.pas line 133

type TDOMParser = class(TObject)

public

  constructor Create;

  destructor Destroy; override;

  procedure Parse();

  procedure ParseUri();

  function ParseWithContext();

  property Options: TDOMParseOptions; [r]

  property OnError: TXMLErrorEvent; [rw]

end;

Inheritance

TDOMParser

|

TObject


TDOMParser

ro

Options

TObject


ro

Options (TDOMParser)


TDOMParser
 | Create
 | Destroy
 | Parse
 | ParseUri
 | ParseWithContext
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TDOMParser)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TDOMParser)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Parse (TDOMParser)

ParseUri (TDOMParser)

ParseWithContext (TDOMParser)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TDOMParser

OnError

TObject


TDOMParser.Create

Declaration

Source position: laz2_xmlread.pas line 138

public constructor TDOMParser.Create;


TDOMParser.Destroy

Declaration

Source position: laz2_xmlread.pas line 139

public destructor TDOMParser.Destroy; override;


TDOMParser.OnError

Declaration

Source position: laz2_xmlread.pas line 145

public property TDOMParser.OnError : TXMLErrorEvent
  read FOnError
  write FOnError;


TDOMParser.Options

Declaration

Source position: laz2_xmlread.pas line 144

public property TDOMParser.Options : TDOMParseOptions
  read FOptions;


TDOMParser.Parse

Declaration

Source position: laz2_xmlread.pas line 140

public procedure TDOMParser.Parse(

  Src: TXMLInputSource;

  out ADoc: TXMLDocument

);


TDOMParser.ParseUri

Declaration

Source position: laz2_xmlread.pas line 141

public procedure TDOMParser.ParseUri(

  const URI: DOMString;

  out ADoc: TXMLDocument

);


TDOMParser.ParseWithContext

Declaration

Source position: laz2_xmlread.pas line 142

public function TDOMParser.ParseWithContext(

  Src: TXMLInputSource;

  Context: TDOMNode;

  Action: TXMLContextAction

):TDOMNode;


TXMLInputSource

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlread.pas line 114

type TXMLInputSource = class(TObject)

public

  constructor Create();

  property Stream: TStream; [r]

  property StringData: string; [r]

  property BaseURI: DOMString; [rw]

  property SystemID: DOMString; [rw]

  property PublicID: DOMString; [rw]

end;

Inheritance

TXMLInputSource

|

TObject


TXMLInputSource
 | ro | Stream
 | ro | StringData
 |  | BaseURI
 |  | SystemID
 |  | PublicID
TObject


ro | Stream (TXMLInputSource)
ro | StringData (TXMLInputSource)
 | SystemID (TXMLInputSource)


TXMLInputSource
 | Create
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TXMLInputSource)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TXMLInputSource

TObject


TXMLInputSource.BaseURI

Declaration

Source position: laz2_xmlread.pas line 127

public property TXMLInputSource.BaseURI : DOMString
  read FBaseURI
  write FBaseURI;


TXMLInputSource.Create

Declaration

Source position: laz2_xmlread.pas line 123

public constructor TXMLInputSource.Create(

  AStream: TStream

); overload;

constructor TXMLInputSource.Create(

  const AStringData: string

); overload;


TXMLInputSource.PublicID

Declaration

Source position: laz2_xmlread.pas line 129

public property TXMLInputSource.PublicID : DOMString
  read FPublicID
  write FPublicID;


TXMLInputSource.Stream

Declaration

Source position: laz2_xmlread.pas line 125

public property TXMLInputSource.Stream : TStream
  read FStream;


TXMLInputSource.StringData

Declaration

Source position: laz2_xmlread.pas line 126

public property TXMLInputSource.StringData : string
  read FStringData;


TXMLInputSource.SystemID

Declaration

Source position: laz2_xmlread.pas line 128

public property TXMLInputSource.SystemID : DOMString
  read FSystemID
  write FSystemID;


TBinding

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlutils.pas line 113

type TBinding = class

public

  uri: TXMLUtilString;

  next: TBinding;

  prevPrefixBinding: TObject;

  Prefix: PHashItem;

end;

Inheritance

TBinding

|

TObject


TBinding


TBinding.next

Declaration

Source position: laz2_xmlutils.pas line 116

public TBinding.next : TBinding;


TBinding.Prefix

Declaration

Source position: laz2_xmlutils.pas line 118

public TBinding.Prefix : PHashItem;


TBinding.prevPrefixBinding

Declaration

Source position: laz2_xmlutils.pas line 117

public TBinding.prevPrefixBinding : TObject;


TBinding.uri

Declaration

Source position: laz2_xmlutils.pas line 115

public TBinding.uri : TXMLUtilString;


TDblHashArray

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlutils.pas line 102

type TDblHashArray = class(TObject)

public

  procedure Init();

  function Locate();

  destructor Destroy; override;

end;

Inheritance

TDblHashArray

|

TObject


TDblHashArray

TObject


TDblHashArray
 | Init
 | Locate
 | Destroy
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TDblHashArray)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

Init (TDblHashArray)

InitInstance (TObject)

InstanceSize (TObject)

Locate (TDblHashArray)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TDblHashArray.Destroy

Declaration

Source position: laz2_xmlutils.pas line 110

public destructor TDblHashArray.Destroy; override;


TDblHashArray.Init

Declaration

Source position: laz2_xmlutils.pas line 108

public procedure TDblHashArray.Init(

  NumSlots: Integer

);


TDblHashArray.Locate

Declaration

Source position: laz2_xmlutils.pas line 109

public function TDblHashArray.Locate(

  uri: PXMLUtilString;

  localName: PXMLUtilChar;

  localLength: Integer

):Boolean;


THashTable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlutils.pas line 68

type THashTable = class(TObject)

public

  constructor Create();

  destructor Destroy; override;

  procedure Clear;

  function Find();

  function FindOrAdd();

  function Get();

  function Remove();

  function RemoveData();

  procedure ForEach();

  property Count: LongWord; [r]

end;

Inheritance

THashTable

|

TObject


THashTable

ro

Count

TObject


ro

Count (THashTable)


THashTable
 | Create
 | Destroy
 | Clear
 | Find
 | FindOrAdd
 | Get
 | Remove
 | RemoveData
 | ForEach
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (THashTable)

Create (TObject)

Create (THashTable)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (THashTable)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Find (THashTable)

FindOrAdd (THashTable)

ForEach (THashTable)

Free (TObject)

FreeInstance (TObject)

Get (THashTable)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Remove (THashTable)

RemoveData (THashTable)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


THashTable

TObject


THashTable.Clear

Declaration

Source position: laz2_xmlutils.pas line 79

public procedure THashTable.Clear;


THashTable.Count

Declaration

Source position: laz2_xmlutils.pas line 87

public property THashTable.Count : LongWord
  read FCount;


THashTable.Create

Declaration

Source position: laz2_xmlutils.pas line 77

public constructor THashTable.Create(

  InitSize: Integer;

  OwnObjects: Boolean

);


THashTable.Destroy

Declaration

Source position: laz2_xmlutils.pas line 78

public destructor THashTable.Destroy; override;


THashTable.Find

Declaration

Source position: laz2_xmlutils.pas line 80

public function THashTable.Find(

  Key: PXMLUtilChar;

  KeyLen: Integer

):PHashItem;


THashTable.FindOrAdd

Declaration

Source position: laz2_xmlutils.pas line 81

public function THashTable.FindOrAdd(

  Key: PXMLUtilChar;

  KeyLen: Integer;

  out Found: Boolean

):PHashItem; overload;

function THashTable.FindOrAdd(

  Key: PXMLUtilChar;

  KeyLen: Integer

):PHashItem; overload;


THashTable.ForEach

Declaration

Source position: laz2_xmlutils.pas line 86

public procedure THashTable.ForEach(

  proc: THashForEach;

  arg: Pointer

);


THashTable.Get

Declaration

Source position: laz2_xmlutils.pas line 83

public function THashTable.Get(

  Key: PXMLUtilChar;

  KeyLen: Integer

):TObject;


THashTable.Remove

Declaration

Source position: laz2_xmlutils.pas line 84

public function THashTable.Remove(

  Entry: PHashItem

):Boolean;


THashTable.RemoveData

Declaration

Source position: laz2_xmlutils.pas line 85

public function THashTable.RemoveData(

  aData: TObject

):Boolean;


TNSSupport

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xmlutils.pas line 127

type TNSSupport = class(TObject)

public

  constructor Create;

  destructor Destroy; override;

  procedure DefineBinding();

  function CheckAttribute();

  function IsPrefixBound();

  function GetPrefix();

  function BindPrefix();

  function DefaultNSBinding;

  procedure StartElement;

  procedure EndElement;

end;

Inheritance

TNSSupport

|

TObject


TNSSupport

TObject


TNSSupport
 | Create
 | Destroy
 | DefineBinding
 | CheckAttribute
 | IsPrefixBound
 | GetPrefix
 | BindPrefix
 | DefaultNSBinding
 | StartElement
 | EndElement
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

BindPrefix (TNSSupport)

CheckAttribute (TNSSupport)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TNSSupport)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefaultNSBinding (TNSSupport)

DefineBinding (TNSSupport)

Destroy (TObject)

Destroy (TNSSupport)

Dispatch (TObject)

DispatchStr (TObject)

EndElement (TNSSupport)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetPrefix (TNSSupport)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

IsPrefixBound (TNSSupport)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StartElement (TNSSupport)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TNSSupport.BindPrefix

Declaration

Source position: laz2_xmlutils.pas line 144

public function TNSSupport.BindPrefix(

  const nsURI: TXMLUtilString;

  aPrefix: PHashItem

):TBinding;


TNSSupport.CheckAttribute

Declaration

Source position: laz2_xmlutils.pas line 140

public function TNSSupport.CheckAttribute(

  const Prefix: TXMLUtilString;

  const nsURI: TXMLUtilString;

  out Binding: TBinding

):TAttributeAction;


TNSSupport.Create

Declaration

Source position: laz2_xmlutils.pas line 137

public constructor TNSSupport.Create;


TNSSupport.DefaultNSBinding

Declaration

Source position: laz2_xmlutils.pas line 145

public function TNSSupport.DefaultNSBinding: TBinding;


TNSSupport.DefineBinding

Declaration

Source position: laz2_xmlutils.pas line 139

public procedure TNSSupport.DefineBinding(

  const Prefix: TXMLUtilString;

  const nsURI: TXMLUtilString;

  out Binding: TBinding

);


TNSSupport.Destroy

Declaration

Source position: laz2_xmlutils.pas line 138

public destructor TNSSupport.Destroy; override;


TNSSupport.EndElement

Declaration

Source position: laz2_xmlutils.pas line 147

public procedure TNSSupport.EndElement;


TNSSupport.GetPrefix

Declaration

Source position: laz2_xmlutils.pas line 143

public function TNSSupport.GetPrefix(

  P: PXMLUtilChar;

  Len: Integer

):PHashItem;


TNSSupport.IsPrefixBound

Declaration

Source position: laz2_xmlutils.pas line 142

public function TNSSupport.IsPrefixBound(

  P: PXMLUtilChar;

  Len: Integer;

  out Prefix: PHashItem

):Boolean;


TNSSupport.StartElement

Declaration

Source position: laz2_xmlutils.pas line 146

public procedure TNSSupport.StartElement;


EXPathEvaluationError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 246

type EXPathEvaluationError = class(Exception)

Inheritance

EXPathEvaluationError

|

Exception
|

TObject


EXPathEvaluationError
Exception
 | HelpContext
 | Message
TObject


EXPathEvaluationError
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EXPathEvaluationError

Exception

TObject


TStep

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 231

type TStep = class(TXPathFilterNode)

public

  Axis: TAxis;

  NodeTestType: TNodeTestType;

  NodeTestString: DOMString;

  NSTestString: DOMString;

  constructor Create();

  function Evaluate(); override;

end;

Inheritance

TStep

|

TXPathFilterNode

|

TXPathExprNode

|

TObject


TStep

TXPathFilterNode

TXPathExprNode


TStep
 | Create
 | Evaluate
TXPathFilterNode
 | Create
 | Destroy
 | Evaluate
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathFilterNode)
 | Evaluate (TStep)


TStep.Axis

Declaration

Source position: laz2_xpath.pas line 235

public TStep.Axis : TAxis;


TStep.Create

Declaration

Source position: laz2_xpath.pas line 239

public constructor TStep.Create(

  aAxis: TAxis;

  aTest: TNodeTestType

);


TStep.Evaluate

Declaration

Source position: laz2_xpath.pas line 240

public function TStep.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TStep.NodeTestString

Declaration

Source position: laz2_xpath.pas line 237

public TStep.NodeTestString : DOMString;


TStep.NodeTestType

Declaration

Source position: laz2_xpath.pas line 236

public TStep.NodeTestType : TNodeTestType;


TStep.NSTestString

Declaration

Source position: laz2_xpath.pas line 238

public TStep.NSTestString : DOMString;


TXPathBinaryNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 142

type TXPathBinaryNode = class(TXPathExprNode)

protected

  FOperand1: TXPathExprNode;

  FOperand2: TXPathExprNode;

public

  destructor Destroy; override;

end;

Inheritance

TXPathBinaryNode

|

TXPathExprNode

|

TObject


TXPathBinaryNode

TXPathExprNode


TXPathBinaryNode
 | Destroy
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)


TXPathBinaryNode.Destroy

Declaration

Source position: laz2_xpath.pas line 146

public destructor TXPathBinaryNode.Destroy; override;


TXPathBinaryNode.FOperand1

Declaration

Source position: laz2_xpath.pas line 144

protected TXPathBinaryNode.FOperand1 : TXPathExprNode;


TXPathBinaryNode.FOperand2

Declaration

Source position: laz2_xpath.pas line 144

protected TXPathBinaryNode.FOperand2 : TXPathExprNode;


TXPathBooleanOpNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 183

type TXPathBooleanOpNode = class(TXPathBinaryNode)

public

  constructor Create();

  function Evaluate(); override;

end;

Inheritance

TXPathBooleanOpNode

|

TXPathBinaryNode

|

TXPathExprNode

|

TObject


TXPathBooleanOpNode

TXPathBinaryNode

TXPathExprNode


TXPathBooleanOpNode
 | Create
 | Evaluate
TXPathBinaryNode
 | Destroy
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathBooleanOpNode)


TXPathBooleanOpNode.Create

Declaration

Source position: laz2_xpath.pas line 187

public constructor TXPathBooleanOpNode.Create(

  AOperator: TXPathBooleanOp;

  AOperand1: TXPathExprNode;

  AOperand2: TXPathExprNode

);


TXPathBooleanOpNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 189

public function TXPathBooleanOpNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathBooleanVariable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 283

type TXPathBooleanVariable = class(TXPathVariable)

public

  constructor Create();

  class function TypeName; override;

  function AsBoolean; override;

  function AsNumber; override;

  function AsText; override;

  property Value: Boolean; [r]

end;

Inheritance

TXPathBooleanVariable

|

TXPathVariable

|

TObject


TXPathBooleanVariable

ro

Value

TXPathVariable


ro

Value (TXPathBooleanVariable)


TXPathBooleanVariable
 | Create
 | TypeName
 | AsBoolean
 | AsNumber
 | AsText
TXPathVariable
pt | Error
 | TypeName
 | Release
 | AsNodeSet
 | AsBoolean
 | AsNumber
 | AsText


 | AsBoolean (TXPathVariable)
 | AsBoolean (TXPathBooleanVariable)
 | AsNodeSet (TXPathVariable)
 | AsNumber (TXPathVariable)
 | AsNumber (TXPathBooleanVariable)
 | AsText (TXPathVariable)
 | AsText (TXPathBooleanVariable)
 | Create (TXPathBooleanVariable)
pt | Error (TXPathVariable)
 | Release (TXPathVariable)
 | TypeName (TXPathVariable)
 | TypeName (TXPathBooleanVariable)


TXPathBooleanVariable

TXPathVariable


TXPathBooleanVariable.AsBoolean

Declaration

Source position: laz2_xpath.pas line 289

public function TXPathBooleanVariable.AsBoolean: Boolean; override;


TXPathBooleanVariable.AsNumber

Declaration

Source position: laz2_xpath.pas line 290

public function TXPathBooleanVariable.AsNumber: Extended; override;


TXPathBooleanVariable.AsText

Declaration

Source position: laz2_xpath.pas line 291

public function TXPathBooleanVariable.AsText: DOMString; override;


TXPathBooleanVariable.Create

Declaration

Source position: laz2_xpath.pas line 287

public constructor TXPathBooleanVariable.Create(

  AValue: Boolean

);


TXPathBooleanVariable.TypeName

Declaration

Source position: laz2_xpath.pas line 288

public class function TXPathBooleanVariable.TypeName: string; override;


TXPathBooleanVariable.Value

Declaration

Source position: laz2_xpath.pas line 292

public property TXPathBooleanVariable.Value : Boolean
  read FValue;


TXPathCompareNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 168

type TXPathCompareNode = class(TXPathBinaryNode)

public

  constructor Create();

  function Evaluate(); override;

end;

Inheritance

TXPathCompareNode

|

TXPathBinaryNode

|

TXPathExprNode

|

TObject


TXPathCompareNode

TXPathBinaryNode

TXPathExprNode


TXPathCompareNode
 | Create
 | Evaluate
TXPathBinaryNode
 | Destroy
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathCompareNode)


TXPathCompareNode.Create

Declaration

Source position: laz2_xpath.pas line 172

public constructor TXPathCompareNode.Create(

  AOperator: TXPathCompareOp;

  AOperand1: TXPathExprNode;

  AOperand2: TXPathExprNode

);


TXPathCompareNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 174

public function TXPathCompareNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathConstantNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 97

type TXPathConstantNode = class(TXPathExprNode)

public

  constructor Create();

  destructor Destroy; override;

  function Evaluate(); override;

end;

Inheritance

TXPathConstantNode

|

TXPathExprNode

|

TObject


TXPathConstantNode

TXPathExprNode


TXPathConstantNode
 | Create
 | Destroy
 | Evaluate
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathConstantNode)


TXPathConstantNode.Create

Declaration

Source position: laz2_xpath.pas line 101

public constructor TXPathConstantNode.Create(

  AValue: TXPathVariable

);


TXPathConstantNode.Destroy

Declaration

Source position: laz2_xpath.pas line 102

public destructor TXPathConstantNode.Destroy; override;


TXPathConstantNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 103

public function TXPathConstantNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathContext

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 369

type TXPathContext = class

public

  ContextNode: TDOMNode;

  ContextPosition: Integer;

  ContextSize: Integer;

  constructor Create();

end;

Inheritance

TXPathContext

|

TObject


TXPathContext


TXPathContext

Create


TXPathContext.ContextNode

Declaration

Source position: laz2_xpath.pas line 371

public TXPathContext.ContextNode : TDOMNode;


TXPathContext.ContextPosition

Declaration

Source position: laz2_xpath.pas line 372

public TXPathContext.ContextPosition : Integer;


TXPathContext.ContextSize

Declaration

Source position: laz2_xpath.pas line 373

public TXPathContext.ContextSize : Integer;


TXPathContext.Create

Declaration

Source position: laz2_xpath.pas line 375

public constructor TXPathContext.Create(

  AContextNode: TDOMNode;

  AContextPosition: Integer;

  AContextSize: Integer

);


TXPathEnvironment

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 389

type TXPathEnvironment = class

protected

  function xpLast();

  function xpPosition();

  function xpCount();

  function xpId();

  function xpLocalName();

  function xpNamespaceURI();

  function xpName();

  function xpString();

  function xpConcat();

  function xpStartsWith();

  function xpContains();

  function xpSubstringBefore();

  function xpSubstringAfter();

  function xpSubstring();

  function xpStringLength();

  function xpNormalizeSpace();

  function xpTranslate();

  function xpBoolean();

  function xpNot();

  function xpTrue();

  function xpFalse();

  function xpLang();

  function xpNumber();

  function xpSum();

  function xpFloor();

  function xpCeiling();

  function xpRound();

public

  constructor Create;

  destructor Destroy; override;

  function GetFunctionIndex();

  function GetVariableIndex();

  procedure AddFunction();

  procedure AddVariable();

  procedure RemoveFunction();

  procedure RemoveVariable();

  property FunctionCount: Integer; [r]

  property VariableCount: Integer; [r]

  property Functions []: TXPathFunction; [r]

  property FunctionsByName []: TXPathFunction; [r]

  property Variables []: TXPathVariable; [r]

  property VariablesByName []: TXPathVariable; [r]

end;

Inheritance

TXPathEnvironment

|

TObject


TXPathEnvironment
 | ro | FunctionCount
 | ro | VariableCount
 | ro | Functions
 | ro | FunctionsByName
 | ro | Variables
 | ro | VariablesByName


ro | FunctionCount (TXPathEnvironment)
ro | Functions (TXPathEnvironment)
ro | FunctionsByName (TXPathEnvironment)
ro | VariableCount (TXPathEnvironment)
ro | Variables (TXPathEnvironment)
ro | VariablesByName (TXPathEnvironment)


TXPathEnvironment
pt | xpLast
pt | xpPosition
pt | xpCount
pt | xpId
pt | xpLocalName
pt | xpNamespaceURI
pt | xpName
pt | xpString
pt | xpConcat
pt | xpStartsWith
pt | xpContains
pt | xpSubstringBefore
pt | xpSubstringAfter
pt | xpSubstring
pt | xpStringLength
pt | xpNormalizeSpace
pt | xpTranslate
pt | xpBoolean
pt | xpNot
pt | xpTrue
pt | xpFalse
pt | xpLang
pt | xpNumber
pt | xpSum
pt | xpFloor
pt | xpCeiling
pt | xpRound
 | Create
 | Destroy
 | GetFunctionIndex
 | GetVariableIndex
 | AddFunction
 | AddVariable
 | RemoveFunction
 | RemoveVariable


 | AddFunction (TXPathEnvironment)
 | AddVariable (TXPathEnvironment)
 | Create (TXPathEnvironment)
 | Destroy (TXPathEnvironment)
 | GetFunctionIndex (TXPathEnvironment)
 | GetVariableIndex (TXPathEnvironment)
 | RemoveFunction (TXPathEnvironment)
 | RemoveVariable (TXPathEnvironment)
pt | xpBoolean (TXPathEnvironment)
pt | xpCeiling (TXPathEnvironment)
pt | xpConcat (TXPathEnvironment)
pt | xpContains (TXPathEnvironment)
pt | xpCount (TXPathEnvironment)
pt | xpFalse (TXPathEnvironment)
pt | xpFloor (TXPathEnvironment)
pt | xpId (TXPathEnvironment)
pt | xpLang (TXPathEnvironment)
pt | xpLast (TXPathEnvironment)
pt | xpLocalName (TXPathEnvironment)
pt | xpName (TXPathEnvironment)
pt | xpNamespaceURI (TXPathEnvironment)
pt | xpNormalizeSpace (TXPathEnvironment)
pt | xpNot (TXPathEnvironment)
pt | xpNumber (TXPathEnvironment)
pt | xpPosition (TXPathEnvironment)
pt | xpRound (TXPathEnvironment)
pt | xpStartsWith (TXPathEnvironment)
pt | xpString (TXPathEnvironment)
pt | xpStringLength (TXPathEnvironment)
pt | xpSubstring (TXPathEnvironment)
pt | xpSubstringAfter (TXPathEnvironment)
pt | xpSubstringBefore (TXPathEnvironment)
pt | xpSum (TXPathEnvironment)
pt | xpTranslate (TXPathEnvironment)
pt | xpTrue (TXPathEnvironment)


TXPathEnvironment


TXPathEnvironment.AddFunction

Declaration

Source position: laz2_xpath.pas line 433

public procedure TXPathEnvironment.AddFunction(

  const AName: string;

  AFunction: TXPathFunction

);


TXPathEnvironment.AddVariable

Declaration

Source position: laz2_xpath.pas line 434

public procedure TXPathEnvironment.AddVariable(

  const AName: string;

  AVariable: TXPathVariable

);


TXPathEnvironment.Create

Declaration

Source position: laz2_xpath.pas line 429

public constructor TXPathEnvironment.Create;


TXPathEnvironment.Destroy

Declaration

Source position: laz2_xpath.pas line 430

public destructor TXPathEnvironment.Destroy; override;


TXPathEnvironment.FunctionCount

Declaration

Source position: laz2_xpath.pas line 439

public property TXPathEnvironment.FunctionCount : Integer
  read GetFunctionCount;


TXPathEnvironment.Functions

Declaration

Source position: laz2_xpath.pas line 441

public property TXPathEnvironment.Functions[Index: Integer] : TXPathFunction
  read GetFunction;


TXPathEnvironment.FunctionsByName

Declaration

Source position: laz2_xpath.pas line 442

public property TXPathEnvironment.FunctionsByName[AName: string] : TXPathFunction
  read GetFunction;


TXPathEnvironment.GetFunctionIndex

Declaration

Source position: laz2_xpath.pas line 431

public function TXPathEnvironment.GetFunctionIndex(

  const AName: string

):Integer;


TXPathEnvironment.GetVariableIndex

Declaration

Source position: laz2_xpath.pas line 432

public function TXPathEnvironment.GetVariableIndex(

  const AName: string

):Integer;


TXPathEnvironment.RemoveFunction

Declaration

Source position: laz2_xpath.pas line 435

public procedure TXPathEnvironment.RemoveFunction(

  Index: Integer

);

procedure TXPathEnvironment.RemoveFunction(

  const AName: string

);


TXPathEnvironment.RemoveVariable

Declaration

Source position: laz2_xpath.pas line 437

public procedure TXPathEnvironment.RemoveVariable(

  Index: Integer

);

procedure TXPathEnvironment.RemoveVariable(

  const AName: string

);


TXPathEnvironment.VariableCount

Declaration

Source position: laz2_xpath.pas line 440

public property TXPathEnvironment.VariableCount : Integer
  read GetVariableCount;


TXPathEnvironment.Variables

Declaration

Source position: laz2_xpath.pas line 444

public property TXPathEnvironment.Variables[Index: Integer] : TXPathVariable
  read GetVariable;


TXPathEnvironment.VariablesByName

Declaration

Source position: laz2_xpath.pas line 445

public property TXPathEnvironment.VariablesByName[AName: string] : TXPathVariable
  read GetVariable;


TXPathEnvironment.xpBoolean

Declaration

Source position: laz2_xpath.pas line 418

protected function TXPathEnvironment.xpBoolean(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpCeiling

Declaration

Source position: laz2_xpath.pas line 426

protected function TXPathEnvironment.xpCeiling(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpConcat

Declaration

Source position: laz2_xpath.pas line 409

protected function TXPathEnvironment.xpConcat(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpContains

Declaration

Source position: laz2_xpath.pas line 411

protected function TXPathEnvironment.xpContains(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpCount

Declaration

Source position: laz2_xpath.pas line 403

protected function TXPathEnvironment.xpCount(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpFalse

Declaration

Source position: laz2_xpath.pas line 421

protected function TXPathEnvironment.xpFalse(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpFloor

Declaration

Source position: laz2_xpath.pas line 425

protected function TXPathEnvironment.xpFloor(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpId

Declaration

Source position: laz2_xpath.pas line 404

protected function TXPathEnvironment.xpId(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpLang

Declaration

Source position: laz2_xpath.pas line 422

protected function TXPathEnvironment.xpLang(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpLast

Declaration

Source position: laz2_xpath.pas line 401

protected function TXPathEnvironment.xpLast(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpLocalName

Declaration

Source position: laz2_xpath.pas line 405

protected function TXPathEnvironment.xpLocalName(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpName

Declaration

Source position: laz2_xpath.pas line 407

protected function TXPathEnvironment.xpName(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpNamespaceURI

Declaration

Source position: laz2_xpath.pas line 406

protected function TXPathEnvironment.xpNamespaceURI(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpNormalizeSpace

Declaration

Source position: laz2_xpath.pas line 416

protected function TXPathEnvironment.xpNormalizeSpace(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpNot

Declaration

Source position: laz2_xpath.pas line 419

protected function TXPathEnvironment.xpNot(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpNumber

Declaration

Source position: laz2_xpath.pas line 423

protected function TXPathEnvironment.xpNumber(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpPosition

Declaration

Source position: laz2_xpath.pas line 402

protected function TXPathEnvironment.xpPosition(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpRound

Declaration

Source position: laz2_xpath.pas line 427

protected function TXPathEnvironment.xpRound(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpStartsWith

Declaration

Source position: laz2_xpath.pas line 410

protected function TXPathEnvironment.xpStartsWith(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpString

Declaration

Source position: laz2_xpath.pas line 408

protected function TXPathEnvironment.xpString(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpStringLength

Declaration

Source position: laz2_xpath.pas line 415

protected function TXPathEnvironment.xpStringLength(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpSubstring

Declaration

Source position: laz2_xpath.pas line 414

protected function TXPathEnvironment.xpSubstring(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpSubstringAfter

Declaration

Source position: laz2_xpath.pas line 413

protected function TXPathEnvironment.xpSubstringAfter(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpSubstringBefore

Declaration

Source position: laz2_xpath.pas line 412

protected function TXPathEnvironment.xpSubstringBefore(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpSum

Declaration

Source position: laz2_xpath.pas line 424

protected function TXPathEnvironment.xpSum(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpTranslate

Declaration

Source position: laz2_xpath.pas line 417

protected function TXPathEnvironment.xpTranslate(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathEnvironment.xpTrue

Declaration

Source position: laz2_xpath.pas line 420

protected function TXPathEnvironment.xpTrue(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable;


TXPathExpression

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 451

type TXPathExpression = class

public

  constructor Create();

  destructor Destroy; override;

  function Evaluate();

end;

Inheritance

TXPathExpression

|

TObject


TXPathExpression


TXPathExpression
 | Create
 | Destroy
 | Evaluate


TXPathExpression.Create

Declaration

Source position: laz2_xpath.pas line 457

public constructor TXPathExpression.Create(

  AScanner: TXPathScanner;

  CompleteExpression: Boolean;

  AResolver: TXPathNSResolver = Nil

);


TXPathExpression.Destroy

Declaration

Source position: laz2_xpath.pas line 459

public destructor TXPathExpression.Destroy; override;


TXPathExpression.Evaluate

Declaration

Source position: laz2_xpath.pas line 460

public function TXPathExpression.Evaluate(

  AContextNode: TDOMNode

):TXPathVariable;

function TXPathExpression.Evaluate(

  AContextNode: TDOMNode;

  AEnvironment: TXPathEnvironment

):TXPathVariable;


TXPathExprNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 86

type TXPathExprNode = class

protected

  function EvalPredicate();

public

  function Evaluate(); virtual; abstract;

end;

Inheritance

TXPathExprNode

|

TObject


TXPathExprNode


TXPathExprNode
pt | EvalPredicate
 | Evaluate


TXPathExprNode.EvalPredicate

Declaration

Source position: laz2_xpath.pas line 88

protected function TXPathExprNode.EvalPredicate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):Boolean;


TXPathExprNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 91

public function TXPathExprNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; virtual; abstract;


TXPathFilterNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 208

type TXPathFilterNode = class(TXPathExprNode)

public

  constructor Create();

  destructor Destroy; override;

  function Evaluate(); override;

end;

Inheritance

TXPathFilterNode

|

TXPathExprNode

|

TObject


TXPathFilterNode

TXPathExprNode


TXPathFilterNode
 | Create
 | Destroy
 | Evaluate
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathFilterNode)


TXPathFilterNode.Create

Declaration

Source position: laz2_xpath.pas line 214

public constructor TXPathFilterNode.Create(

  AExpr: TXPathExprNode

);


TXPathFilterNode.Destroy

Declaration

Source position: laz2_xpath.pas line 215

public destructor TXPathFilterNode.Destroy; override;


TXPathFilterNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 216

public function TXPathFilterNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathFunctionNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 118

type TXPathFunctionNode = class(TXPathExprNode)

public

  constructor Create();

  destructor Destroy; override;

  function Evaluate(); override;

end;

Inheritance

TXPathFunctionNode

|

TXPathExprNode

|

TObject


TXPathFunctionNode

TXPathExprNode


TXPathFunctionNode
 | Create
 | Destroy
 | Evaluate
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathFunctionNode)


TXPathFunctionNode.Create

Declaration

Source position: laz2_xpath.pas line 123

public constructor TXPathFunctionNode.Create(

  const AName: DOMString;

  const Args: TXPathNodeArray

);


TXPathFunctionNode.Destroy

Declaration

Source position: laz2_xpath.pas line 124

public destructor TXPathFunctionNode.Destroy; override;


TXPathFunctionNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 125

public function TXPathFunctionNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathMathOpNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 153

type TXPathMathOpNode = class(TXPathBinaryNode)

public

  constructor Create();

  function Evaluate(); override;

end;

Inheritance

TXPathMathOpNode

|

TXPathBinaryNode

|

TXPathExprNode

|

TObject


TXPathMathOpNode

TXPathBinaryNode

TXPathExprNode


TXPathMathOpNode
 | Create
 | Evaluate
TXPathBinaryNode
 | Destroy
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathMathOpNode)


TXPathMathOpNode.Create

Declaration

Source position: laz2_xpath.pas line 157

public constructor TXPathMathOpNode.Create(

  AOperator: TXPathMathOp;

  AOperand1: TXPathExprNode;

  AOperand2: TXPathExprNode

);


TXPathMathOpNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 159

public function TXPathMathOpNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathNegationNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 130

type TXPathNegationNode = class(TXPathExprNode)

public

  constructor Create();

  destructor Destroy; override;

  function Evaluate(); override;

end;

Inheritance

TXPathNegationNode

|

TXPathExprNode

|

TObject


TXPathNegationNode

TXPathExprNode


TXPathNegationNode
 | Create
 | Destroy
 | Evaluate
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathNegationNode)


TXPathNegationNode.Create

Declaration

Source position: laz2_xpath.pas line 134

public constructor TXPathNegationNode.Create(

  AOperand: TXPathExprNode

);


TXPathNegationNode.Destroy

Declaration

Source position: laz2_xpath.pas line 135

public destructor TXPathNegationNode.Destroy; override;


TXPathNegationNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 136

public function TXPathNegationNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathNodeSetVariable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 269

type TXPathNodeSetVariable = class(TXPathVariable)

public

  constructor Create();

  destructor Destroy; override;

  class function TypeName; override;

  function AsNodeSet; override;

  function AsText; override;

  function AsBoolean; override;

  function AsNumber; override;

  property Value: TNodeSet; [r]

end;

Inheritance

TXPathNodeSetVariable

|

TXPathVariable

|

TObject


TXPathNodeSetVariable

ro

Value

TXPathVariable


ro

Value (TXPathNodeSetVariable)


TXPathNodeSetVariable
 | Create
 | Destroy
 | TypeName
 | AsNodeSet
 | AsText
 | AsBoolean
 | AsNumber
TXPathVariable
pt | Error
 | TypeName
 | Release
 | AsNodeSet
 | AsBoolean
 | AsNumber
 | AsText


 | AsBoolean (TXPathVariable)
 | AsBoolean (TXPathNodeSetVariable)
 | AsNodeSet (TXPathVariable)
 | AsNodeSet (TXPathNodeSetVariable)
 | AsNumber (TXPathVariable)
 | AsNumber (TXPathNodeSetVariable)
 | AsText (TXPathVariable)
 | AsText (TXPathNodeSetVariable)
 | Create (TXPathNodeSetVariable)
 | Destroy (TXPathNodeSetVariable)
pt | Error (TXPathVariable)
 | Release (TXPathVariable)
 | TypeName (TXPathVariable)
 | TypeName (TXPathNodeSetVariable)


TXPathNodeSetVariable

TXPathVariable


TXPathNodeSetVariable.AsBoolean

Declaration

Source position: laz2_xpath.pas line 278

public function TXPathNodeSetVariable.AsBoolean: Boolean; override;


TXPathNodeSetVariable.AsNodeSet

Declaration

Source position: laz2_xpath.pas line 276

public function TXPathNodeSetVariable.AsNodeSet: TNodeSet; override;


TXPathNodeSetVariable.AsNumber

Declaration

Source position: laz2_xpath.pas line 279

public function TXPathNodeSetVariable.AsNumber: Extended; override;


TXPathNodeSetVariable.AsText

Declaration

Source position: laz2_xpath.pas line 277

public function TXPathNodeSetVariable.AsText: DOMString; override;


TXPathNodeSetVariable.Create

Declaration

Source position: laz2_xpath.pas line 273

public constructor TXPathNodeSetVariable.Create(

  AValue: TNodeSet

);


TXPathNodeSetVariable.Destroy

Declaration

Source position: laz2_xpath.pas line 274

public destructor TXPathNodeSetVariable.Destroy; override;


TXPathNodeSetVariable.TypeName

Declaration

Source position: laz2_xpath.pas line 275

public class function TXPathNodeSetVariable.TypeName: string; override;


TXPathNodeSetVariable.Value

Declaration

Source position: laz2_xpath.pas line 280

public property TXPathNodeSetVariable.Value : TNodeSet
  read FValue;


TXPathNSResolver

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 319

type TXPathNSResolver = class

protected

  FNode: TDOMNode;

public

  constructor Create();

  function LookupNamespaceURI(); virtual;

end;

Inheritance

TXPathNSResolver

|

TObject


TXPathNSResolver


TXPathNSResolver
 | Create
 | LookupNamespaceURI


TXPathNSResolver.Create

Declaration

Source position: laz2_xpath.pas line 323

public constructor TXPathNSResolver.Create(

  aNode: TDOMNode

);


TXPathNSResolver.FNode

Declaration

Source position: laz2_xpath.pas line 321

protected TXPathNSResolver.FNode : TDOMNode;


TXPathNSResolver.LookupNamespaceURI

Declaration

Source position: laz2_xpath.pas line 324

public function TXPathNSResolver.LookupNamespaceURI(

  const aPrefix: DOMString

):DOMString; virtual;


TXPathNumberVariable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 295

type TXPathNumberVariable = class(TXPathVariable)

public

  constructor Create();

  class function TypeName; override;

  function AsBoolean; override;

  function AsNumber; override;

  function AsText; override;

  property Value: Extended; [r]

end;

Inheritance

TXPathNumberVariable

|

TXPathVariable

|

TObject


TXPathNumberVariable

ro

Value

TXPathVariable


ro

Value (TXPathNumberVariable)


TXPathNumberVariable
 | Create
 | TypeName
 | AsBoolean
 | AsNumber
 | AsText
TXPathVariable
pt | Error
 | TypeName
 | Release
 | AsNodeSet
 | AsBoolean
 | AsNumber
 | AsText


 | AsBoolean (TXPathVariable)
 | AsBoolean (TXPathNumberVariable)
 | AsNodeSet (TXPathVariable)
 | AsNumber (TXPathVariable)
 | AsNumber (TXPathNumberVariable)
 | AsText (TXPathVariable)
 | AsText (TXPathNumberVariable)
 | Create (TXPathNumberVariable)
pt | Error (TXPathVariable)
 | Release (TXPathVariable)
 | TypeName (TXPathVariable)
 | TypeName (TXPathNumberVariable)


TXPathNumberVariable

TXPathVariable


TXPathNumberVariable.AsBoolean

Declaration

Source position: laz2_xpath.pas line 301

public function TXPathNumberVariable.AsBoolean: Boolean; override;


TXPathNumberVariable.AsNumber

Declaration

Source position: laz2_xpath.pas line 302

public function TXPathNumberVariable.AsNumber: Extended; override;


TXPathNumberVariable.AsText

Declaration

Source position: laz2_xpath.pas line 303

public function TXPathNumberVariable.AsText: DOMString; override;


TXPathNumberVariable.Create

Declaration

Source position: laz2_xpath.pas line 299

public constructor TXPathNumberVariable.Create(

  AValue: Extended

);


TXPathNumberVariable.TypeName

Declaration

Source position: laz2_xpath.pas line 300

public class function TXPathNumberVariable.TypeName: string; override;


TXPathNumberVariable.Value

Declaration

Source position: laz2_xpath.pas line 304

public property TXPathNumberVariable.Value : Extended
  read FValue;


TXPathScanner

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 329

type TXPathScanner = class

public

  constructor Create();

  function NextToken;

  function PeekToken;

  function SkipToken();

  property CurToken: TXPathToken; [r]

  property CurTokenString: DOMString; [r]

end;

Inheritance

TXPathScanner

|

TObject


TXPathScanner
 | ro | CurToken
 | ro | CurTokenString


ro | CurToken (TXPathScanner)
ro | CurTokenString (TXPathScanner)


TXPathScanner
 | Create
 | NextToken
 | PeekToken
 | SkipToken


Create (TXPathScanner)

NextToken (TXPathScanner)

PeekToken (TXPathScanner)

SkipToken (TXPathScanner)


TXPathScanner


TXPathScanner.Create

Declaration

Source position: laz2_xpath.pas line 358

public constructor TXPathScanner.Create(

  const AExpressionString: DOMString

);


TXPathScanner.CurToken

Declaration

Source position: laz2_xpath.pas line 362

public property TXPathScanner.CurToken : TXPathToken
  read FCurToken;


TXPathScanner.CurTokenString

Declaration

Source position: laz2_xpath.pas line 363

public property TXPathScanner.CurTokenString : DOMString
  read FCurTokenString;


TXPathScanner.NextToken

Declaration

Source position: laz2_xpath.pas line 359

public function TXPathScanner.NextToken: TXPathToken;


TXPathScanner.PeekToken

Declaration

Source position: laz2_xpath.pas line 360

public function TXPathScanner.PeekToken: TXPathToken;


TXPathScanner.SkipToken

Declaration

Source position: laz2_xpath.pas line 361

public function TXPathScanner.SkipToken(

  tok: TXPathToken

):Boolean;


TXPathStringVariable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 307

type TXPathStringVariable = class(TXPathVariable)

public

  constructor Create();

  class function TypeName; override;

  function AsBoolean; override;

  function AsNumber; override;

  function AsText; override;

  property Value: DOMString; [r]

end;

Inheritance

TXPathStringVariable

|

TXPathVariable

|

TObject


TXPathStringVariable

ro

Value

TXPathVariable


ro

Value (TXPathStringVariable)


TXPathStringVariable
 | Create
 | TypeName
 | AsBoolean
 | AsNumber
 | AsText
TXPathVariable
pt | Error
 | TypeName
 | Release
 | AsNodeSet
 | AsBoolean
 | AsNumber
 | AsText


 | AsBoolean (TXPathVariable)
 | AsBoolean (TXPathStringVariable)
 | AsNodeSet (TXPathVariable)
 | AsNumber (TXPathVariable)
 | AsNumber (TXPathStringVariable)
 | AsText (TXPathVariable)
 | AsText (TXPathStringVariable)
 | Create (TXPathStringVariable)
pt | Error (TXPathVariable)
 | Release (TXPathVariable)
 | TypeName (TXPathVariable)
 | TypeName (TXPathStringVariable)


TXPathStringVariable

TXPathVariable


TXPathStringVariable.AsBoolean

Declaration

Source position: laz2_xpath.pas line 313

public function TXPathStringVariable.AsBoolean: Boolean; override;


TXPathStringVariable.AsNumber

Declaration

Source position: laz2_xpath.pas line 314

public function TXPathStringVariable.AsNumber: Extended; override;


TXPathStringVariable.AsText

Declaration

Source position: laz2_xpath.pas line 315

public function TXPathStringVariable.AsText: DOMString; override;


TXPathStringVariable.Create

Declaration

Source position: laz2_xpath.pas line 311

public constructor TXPathStringVariable.Create(

  const AValue: DOMString

);


TXPathStringVariable.TypeName

Declaration

Source position: laz2_xpath.pas line 312

public class function TXPathStringVariable.TypeName: string; override;


TXPathStringVariable.Value

Declaration

Source position: laz2_xpath.pas line 316

public property TXPathStringVariable.Value : DOMString
  read FValue;


TXPathUnionNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 196

type TXPathUnionNode = class(TXPathBinaryNode)

public

  constructor Create();

  function Evaluate(); override;

end;

Inheritance

TXPathUnionNode

|

TXPathBinaryNode

|

TXPathExprNode

|

TObject


TXPathUnionNode

TXPathBinaryNode

TXPathExprNode


TXPathUnionNode
 | Create
 | Evaluate
TXPathBinaryNode
 | Destroy
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathUnionNode)


TXPathUnionNode.Create

Declaration

Source position: laz2_xpath.pas line 198

public constructor TXPathUnionNode.Create(

  AOperand1: TXPathExprNode;

  AOperand2: TXPathExprNode

);


TXPathUnionNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 199

public function TXPathUnionNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TXPathVariable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 256

type TXPathVariable = class

protected

  FRefCount: Integer;

  procedure Error();

public

  class function TypeName; virtual; abstract;

  procedure Release;

  function AsNodeSet; virtual;

  function AsBoolean; virtual; abstract;

  function AsNumber; virtual; abstract;

  function AsText; virtual; abstract;

end;

Inheritance

TXPathVariable

|

TObject


TXPathVariable


TXPathVariable
pt | Error
 | TypeName
 | Release
 | AsNodeSet
 | AsBoolean
 | AsNumber
 | AsText


 | AsBoolean (TXPathVariable)
 | AsNodeSet (TXPathVariable)
 | AsNumber (TXPathVariable)
 | AsText (TXPathVariable)
pt | Error (TXPathVariable)
 | Release (TXPathVariable)
 | TypeName (TXPathVariable)


TXPathVariable.AsBoolean

Declaration

Source position: laz2_xpath.pas line 264

public function TXPathVariable.AsBoolean: Boolean; virtual; abstract;


TXPathVariable.AsNodeSet

Declaration

Source position: laz2_xpath.pas line 263

public function TXPathVariable.AsNodeSet: TNodeSet; virtual;


TXPathVariable.AsNumber

Declaration

Source position: laz2_xpath.pas line 265

public function TXPathVariable.AsNumber: Extended; virtual; abstract;


TXPathVariable.AsText

Declaration

Source position: laz2_xpath.pas line 266

public function TXPathVariable.AsText: DOMString; virtual; abstract;


TXPathVariable.Error

Declaration

Source position: laz2_xpath.pas line 259

protected procedure TXPathVariable.Error(

  const Msg: string;

  const Args: array of Const

);


TXPathVariable.FRefCount

Declaration

Source position: laz2_xpath.pas line 258

protected TXPathVariable.FRefCount : Integer;


TXPathVariable.Release

Declaration

Source position: laz2_xpath.pas line 262

public procedure TXPathVariable.Release;


TXPathVariable.TypeName

Declaration

Source position: laz2_xpath.pas line 261

public class function TXPathVariable.TypeName: string; virtual; abstract;


TXPathVariableNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz2_xpath.pas line 108

type TXPathVariableNode = class(TXPathExprNode)

public

  constructor Create();

  function Evaluate(); override;

end;

Inheritance

TXPathVariableNode

|

TXPathExprNode

|

TObject


TXPathVariableNode

TXPathExprNode


TXPathVariableNode
 | Create
 | Evaluate
TXPathExprNode
pt | EvalPredicate
 | Evaluate


pt | EvalPredicate (TXPathExprNode)
 | Evaluate (TXPathExprNode)
 | Evaluate (TXPathVariableNode)


TXPathVariableNode.Create

Declaration

Source position: laz2_xpath.pas line 112

public constructor TXPathVariableNode.Create(

  const AName: DOMString

);


TXPathVariableNode.Evaluate

Declaration

Source position: laz2_xpath.pas line 113

public function TXPathVariableNode.Evaluate(

  AContext: TXPathContext;

  AEnvironment: TXPathEnvironment

):TXPathVariable; override;


TFreeNotifyingObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazclasses.pas line 22

type TFreeNotifyingObject = class

public

  destructor Destroy; override;

  procedure AddFreeeNotification(); deprecated ;

  procedure RemoveFreeeNotification(); deprecated ;

  procedure AddFreeNotification();

  procedure RemoveFreeNotification();

end;

Inheritance

TFreeNotifyingObject

|

TObject


TFreeNotifyingObject


TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


AddFreeeNotification (TFreeNotifyingObject)

AddFreeNotification (TFreeNotifyingObject)

Destroy (TFreeNotifyingObject)

RemoveFreeeNotification (TFreeNotifyingObject)

RemoveFreeNotification (TFreeNotifyingObject)


TFreeNotifyingObject.AddFreeeNotification

[Overview][Classes][Procedures and functions][Index] Reference for unit 'LazClasses' (#lazutils)

TFreeNotifyingObject.AddFreeeNotification (deprecated)

Declaration

Source position: lazclasses.pas line 27

public procedure TFreeNotifyingObject.AddFreeeNotification(

  ANotification: TNotifyEvent

);


TFreeNotifyingObject.AddFreeNotification

Declaration

Source position: lazclasses.pas line 29

public procedure TFreeNotifyingObject.AddFreeNotification(

  ANotification: TNotifyEvent

);


TFreeNotifyingObject.Destroy

Declaration

Source position: lazclasses.pas line 26

public destructor TFreeNotifyingObject.Destroy; override;


TFreeNotifyingObject.RemoveFreeeNotification

[Overview][Classes][Procedures and functions][Index] Reference for unit 'LazClasses' (#lazutils)

TFreeNotifyingObject.RemoveFreeeNotification (deprecated)

Declaration

Source position: lazclasses.pas line 28

public procedure TFreeNotifyingObject.RemoveFreeeNotification(

  ANotification: TNotifyEvent

);


TFreeNotifyingObject.RemoveFreeNotification

Declaration

Source position: lazclasses.pas line 30

public procedure TFreeNotifyingObject.RemoveFreeNotification(

  ANotification: TNotifyEvent

);


TRefCntObjList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazclasses.pas line 65

type TRefCntObjList = class(TList)

protected

  procedure Notify(); override;

end;

Inheritance

TRefCntObjList

|

TList,IFPObserved
|

TObject


TRefCntObjList
TList
 |  | Capacity
 |  | Count
 |  | Items
 | ro | List
TObject


ro | List (TList)


TRefCntObjList
pt | Notify
TList
 | CopyMove
 | MergeMove
 | DoCopy
 | DoSrcUnique
 | DoAnd
 | DoDestUnique
 | DoOr
 | DoXOr
 | Get
 | Grow
 | Put
 | Notify
 | SetCapacity
 | GetCapacity
 | SetCount
 | GetCount
 | GetList
 | Create
 | Destroy
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | AddList
 | Add
 | Clear
 | Delete
 | Error
 | Exchange
 | Expand
 | Extract
 | First
 | GetEnumerator
 | IndexOf
 | Insert
 | Last
 | Move
 | Assign
 | Remove
 | Pack
 | Sort
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TList)
 | AddList (TList)
 | AfterConstruction (TObject)
 | Assign (TList)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TList)
 | CopyMove (TList)
 | Create (TObject)
 | Create (TList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TList)
 | Destroy (TObject)
 | Destroy (TList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoAnd (TList)
 | DoCopy (TList)
 | DoDestUnique (TList)
 | DoOr (TList)
 | DoSrcUnique (TList)
 | DoXOr (TList)
 | Equals (TObject)
 | Error (TList)
 | Exchange (TList)
 | Expand (TList)
 | Extract (TList)
 | FieldAddress (TObject)
 | First (TList)
 | FPOAttachObserver (TList)
 | FPODetachObserver (TList)
 | FPONotifyObservers (TList)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TList)
 | GetCapacity (TList)
 | GetCount (TList)
 | GetEnumerator (TList)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetList (TList)
 | Grow (TList)
 | IndexOf (TList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TList)
 | InstanceSize (TObject)
 | Last (TList)
 | MergeMove (TList)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TList)
 | newinstance (TObject)
 | Notify (TList)
pt | Notify (TRefCntObjList)
 | Pack (TList)
 | Put (TList)
 | Remove (TList)
 | SafeCallException (TObject)
 | SetCapacity (TList)
 | SetCount (TList)
 | Sort (TList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TRefCntObjList

TList

TObject


TRefCntObjList.Notify

Declaration

Source position: lazclasses.pas line 67

protected procedure TRefCntObjList.Notify(

  Ptr: Pointer;

  Action: TListNotification

); override;


TRefCountedObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazclasses.pas line 35

type TRefCountedObject = class(TFreeNotifyingObject)

protected

  procedure DoFree; virtual;

  procedure DoReferenceAdded; virtual;

  procedure DoReferenceReleased; virtual;

  property RefCount: Integer; [r]

public

  constructor Create;

  destructor Destroy; override;

  procedure AddReference;

  procedure ReleaseReference;

end;

Inheritance

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TRefCountedObject

pt

ro

RefCount

TFreeNotifyingObject


pt

ro

RefCount (TRefCountedObject)


TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Create (TRefCountedObject)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | ReleaseReference (TRefCountedObject)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TRefCountedObject

TFreeNotifyingObject


TRefCountedObject.AddReference

Declaration

Source position: lazclasses.pas line 55

public procedure TRefCountedObject.AddReference;


TRefCountedObject.Create

Declaration

Source position: lazclasses.pas line 53

public constructor TRefCountedObject.Create;


TRefCountedObject.Destroy

Declaration

Source position: lazclasses.pas line 54

public destructor TRefCountedObject.Destroy; override;


TRefCountedObject.DoFree

Declaration

Source position: lazclasses.pas line 48

protected procedure TRefCountedObject.DoFree; virtual;


TRefCountedObject.DoReferenceAdded

Declaration

Source position: lazclasses.pas line 49

protected procedure TRefCountedObject.DoReferenceAdded; virtual;


TRefCountedObject.DoReferenceReleased

Declaration

Source position: lazclasses.pas line 50

protected procedure TRefCountedObject.DoReferenceReleased; virtual;


TRefCountedObject.RefCount

Declaration

Source position: lazclasses.pas line 51

protected property TRefCountedObject.RefCount : Integer
  read FRefCount;


TRefCountedObject.ReleaseReference

Declaration

Source position: lazclasses.pas line 56

public procedure TRefCountedObject.ReleaseReference;


TLazMonitor

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazcollections.pas line 22

type TLazMonitor = class(TCriticalSection)

public

  constructor create;

  procedure Acquire; override;

  property SpinCount: Integer; [rw]

  property DefaultSpinCount: Integer; [rw]

end;

Inheritance

TLazMonitor

|

TCriticalSection
|

TSynchroObject
|

TObject


TLazMonitor
 | SpinCount
 | DefaultSpinCount
TCriticalSection
TSynchroObject
TObject


TLazMonitor
 | create
 | Acquire
TCriticalSection
 | Acquire
 | Release
 | Enter
 | TryEnter
 | Leave
 | Create
 | Destroy
TSynchroObject
 | Acquire
 | Release
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


Acquire (TSynchroObject)

Acquire (TCriticalSection)

Acquire (TLazMonitor)

AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TCriticalSection)

create (TLazMonitor)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TCriticalSection)

Dispatch (TObject)

DispatchStr (TObject)

Enter (TCriticalSection)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

Leave (TCriticalSection)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Release (TSynchroObject)

Release (TCriticalSection)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

TryEnter (TCriticalSection)

UnitName (TObject)


TLazMonitor

TCriticalSection

TSynchroObject

TObject


TLazMonitor.Acquire

Declaration

Source position: lazcollections.pas line 32

public procedure TLazMonitor.Acquire; override;


TLazMonitor.create

Declaration

Source position: lazcollections.pas line 31

public constructor TLazMonitor.create;


TLazMonitor.DefaultSpinCount

Declaration

Source position: lazcollections.pas line 34

public property TLazMonitor.DefaultSpinCount : Integer
  read GetDefaultSpinCount
  write SetDefaultSpinCount;


TLazMonitor.SpinCount

Declaration

Source position: lazcollections.pas line 33

public property TLazMonitor.SpinCount : Integer
  read GetSpinCount
  write SetSpinCount;


TLazThreadedQueue

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazcollections.pas line 39

type generic TLazThreadedQueue <T>= class

public

  constructor create();

  destructor Destroy; override;

  procedure Grow();

  function PushItem();

  function PopItem();

  function PopItemTimeout();

  procedure DoShutDown;

  property QueueSize: Integer; [r]

  property TotalItemsPopped: QWord; [r]

  property TotalItemsPushed: QWord; [r]

  property ShutDown: Boolean; [r]

end;

Inheritance

TLazThreadedQueue

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazThreadedQueue
 | ro | QueueSize
 | ro | TotalItemsPopped
 | ro | TotalItemsPushed
 | ro | ShutDown


ro | QueueSize (TLazThreadedQueue)
ro | ShutDown (TLazThreadedQueue)
ro | TotalItemsPopped (TLazThreadedQueue)
ro | TotalItemsPushed (TLazThreadedQueue)


TLazThreadedQueue
 | create
 | Destroy
 | Grow
 | PushItem
 | PopItem
 | PopItemTimeout
 | DoShutDown


create (TLazThreadedQueue)

Destroy (TLazThreadedQueue)

DoShutDown (TLazThreadedQueue)

Grow (TLazThreadedQueue)

PopItem (TLazThreadedQueue)

PopItemTimeout (TLazThreadedQueue)

PushItem (TLazThreadedQueue)


TLazThreadedQueue


TLazThreadedQueue.create

Declaration

Source position: lazcollections.pas line 54

public constructor TLazThreadedQueue.create(

  AQueueDepth: Integer = 10;

  PushTimeout: Cardinal = INFINITE;

  PopTimeout: Cardinal = INFINITE

);


TLazThreadedQueue.Destroy

Declaration

Source position: lazcollections.pas line 55

public destructor TLazThreadedQueue.Destroy; override;


TLazThreadedQueue.DoShutDown

Declaration

Source position: lazcollections.pas line 60

public procedure TLazThreadedQueue.DoShutDown;


TLazThreadedQueue.Grow

Declaration

Source position: lazcollections.pas line 56

public procedure TLazThreadedQueue.Grow(

  ADelta: Integer

);


TLazThreadedQueue.PopItem

Declaration

Source position: lazcollections.pas line 58

public function TLazThreadedQueue.PopItem(

  out AItem: T

):TWaitResult;


TLazThreadedQueue.PopItemTimeout

Declaration

Source position: lazcollections.pas line 59

public function TLazThreadedQueue.PopItemTimeout(

  out AItem: T;

  Timeout: Cardinal

):TWaitResult;


TLazThreadedQueue.PushItem

Declaration

Source position: lazcollections.pas line 57

public function TLazThreadedQueue.PushItem(

  const AItem: T

):TWaitResult;


TLazThreadedQueue.QueueSize

Declaration

Source position: lazcollections.pas line 61

public property TLazThreadedQueue.QueueSize : Integer
  read FQueueSize;


TLazThreadedQueue.ShutDown

Declaration

Source position: lazcollections.pas line 64

public property TLazThreadedQueue.ShutDown : Boolean
  read FShutDown;


TLazThreadedQueue.TotalItemsPopped

Declaration

Source position: lazcollections.pas line 62

public property TLazThreadedQueue.TotalItemsPopped : QWord
  read FTotalItemsPopped;


TLazThreadedQueue.TotalItemsPushed

Declaration

Source position: lazcollections.pas line 63

public property TLazThreadedQueue.TotalItemsPushed : QWord
  read FTotalItemsPushed;


TConfigMemStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazconfigstorage.pas line 111

type TConfigMemStorage = class(TConfigStorage)

protected

  procedure DeleteFullPath(); override;

  procedure DeleteFullPathValue(); override;

  function GetFullPathValue();

  procedure SetDeleteFullPathValue();

  procedure SetFullPathValue();

public

  Root: TConfigMemStorageNode;

  function GetFilename; override;

  procedure WriteToDisk; override;

  destructor Destroy; override;

  procedure Clear; override;

  procedure SaveToConfig();

  procedure LoadFromConfig();

  procedure WriteDebugReport;

end;

Inheritance

TConfigMemStorage

|

TConfigStorage

|

TObject


TConfigMemStorage

TConfigStorage

ro

CurrentBasePath


ro

CurrentBasePath (TConfigStorage)


TConfigMemStorage
pt | DeleteFullPath
pt | DeleteFullPathValue
pt | GetFullPathValue
pt | SetDeleteFullPathValue
pt | SetFullPathValue
 | GetFilename
 | WriteToDisk
 | Destroy
 | Clear
 | SaveToConfig
 | LoadFromConfig
 | WriteDebugReport
TConfigStorage
pt | GetFullPathValue
pt | SetFullPathValue
pt | SetDeleteFullPathValue
pt | DeleteFullPath
pt | DeleteFullPathValue
pt | WriteProperty
pt | ReadProperty
 | Create
 | Destroy
 | Clear
 | GetValue
 | SetValue
 | SetDeleteValue
 | DeletePath
 | DeleteValue
 | ExtendPath
 | AppendBasePath
 | UndoAppendBasePath
 | WriteToDisk
 | GetFilename
 | WriteObject
 | ReadObject


 | AppendBasePath (TConfigStorage)
 | Clear (TConfigStorage)
 | Clear (TConfigMemStorage)
 | Create (TConfigStorage)
pt | DeleteFullPath (TConfigStorage)
pt | DeleteFullPath (TConfigMemStorage)
pt | DeleteFullPathValue (TConfigStorage)
pt | DeleteFullPathValue (TConfigMemStorage)
 | DeletePath (TConfigStorage)
 | DeleteValue (TConfigStorage)
 | Destroy (TConfigStorage)
 | Destroy (TConfigMemStorage)
 | ExtendPath (TConfigStorage)
 | GetFilename (TConfigStorage)
 | GetFilename (TConfigMemStorage)
pt | GetFullPathValue (TConfigStorage)
pt | GetFullPathValue (TConfigMemStorage)
 | GetValue (TConfigStorage)
 | LoadFromConfig (TConfigMemStorage)
 | ReadObject (TConfigStorage)
pt | ReadProperty (TConfigStorage)
 | SaveToConfig (TConfigMemStorage)
pt | SetDeleteFullPathValue (TConfigStorage)
pt | SetDeleteFullPathValue (TConfigMemStorage)
 | SetDeleteValue (TConfigStorage)
pt | SetFullPathValue (TConfigStorage)
pt | SetFullPathValue (TConfigMemStorage)
 | SetValue (TConfigStorage)
 | UndoAppendBasePath (TConfigStorage)
 | WriteDebugReport (TConfigMemStorage)
 | WriteObject (TConfigStorage)
pt | WriteProperty (TConfigStorage)
 | WriteToDisk (TConfigStorage)
 | WriteToDisk (TConfigMemStorage)


TConfigMemStorage

TConfigStorage


TConfigMemStorage.Clear

Declaration

Source position: lazconfigstorage.pas line 139

public procedure TConfigMemStorage.Clear; override;


TConfigMemStorage.DeleteFullPath

Declaration

Source position: lazconfigstorage.pas line 118

protected procedure TConfigMemStorage.DeleteFullPath(

  const APath: string

); override;


TConfigMemStorage.DeleteFullPathValue

Declaration

Source position: lazconfigstorage.pas line 119

protected procedure TConfigMemStorage.DeleteFullPathValue(

  const APath: string

); override;


TConfigMemStorage.Destroy

Declaration

Source position: lazconfigstorage.pas line 138

public destructor TConfigMemStorage.Destroy; override;


TConfigMemStorage.GetFilename

Declaration

Source position: lazconfigstorage.pas line 136

public function TConfigMemStorage.GetFilename: string; override;


TConfigMemStorage.GetFullPathValue

Declaration

Source position: lazconfigstorage.pas line 120

protected function TConfigMemStorage.GetFullPathValue(

  const APath: string;

  const ADefault: string

):string; override;

function TConfigMemStorage.GetFullPathValue(

  const APath: string;

  ADefault: Boolean

):Boolean; override;

function TConfigMemStorage.GetFullPathValue(

  const APath: string;

  ADefault: Integer

):Integer; override;


TConfigMemStorage.LoadFromConfig

Declaration

Source position: lazconfigstorage.pas line 141

public procedure TConfigMemStorage.LoadFromConfig(

  Config: TConfigStorage;

  const APath: string

);


TConfigMemStorage.Root

Declaration

Source position: lazconfigstorage.pas line 135

public TConfigMemStorage.Root : TConfigMemStorageNode;


TConfigMemStorage.SaveToConfig

Declaration

Source position: lazconfigstorage.pas line 140

public procedure TConfigMemStorage.SaveToConfig(

  Config: TConfigStorage;

  const APath: string

);


TConfigMemStorage.SetDeleteFullPathValue

Declaration

Source position: lazconfigstorage.pas line 125

protected procedure TConfigMemStorage.SetDeleteFullPathValue(

  const APath: string;

  const AValue: string;

  const DefValue: string

); override;

procedure TConfigMemStorage.SetDeleteFullPathValue(

  const APath: string;

  AValue: Boolean;

  DefValue: Boolean

); override;

procedure TConfigMemStorage.SetDeleteFullPathValue(

  const APath: string;

  AValue: Integer;

  DefValue: Integer

); override;


TConfigMemStorage.SetFullPathValue

Declaration

Source position: lazconfigstorage.pas line 131

protected procedure TConfigMemStorage.SetFullPathValue(

  const APath: string;

  const AValue: string

); override;

procedure TConfigMemStorage.SetFullPathValue(

  const APath: string;

  AValue: Boolean

); override;

procedure TConfigMemStorage.SetFullPathValue(

  const APath: string;

  AValue: Integer

); override;


TConfigMemStorage.WriteDebugReport

Declaration

Source position: lazconfigstorage.pas line 142

public procedure TConfigMemStorage.WriteDebugReport;


TConfigMemStorage.WriteToDisk

Declaration

Source position: lazconfigstorage.pas line 137

public procedure TConfigMemStorage.WriteToDisk; override;


TConfigMemStorageModification

Declaration

Source position: lazconfigstorage.pas line 104

type TConfigMemStorageModification = (

  cmsmSet,

  cmsmGet,

  cmsmDelete,

  cmsmDeleteValue

);


TConfigMemStorageNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazconfigstorage.pas line 93

type TConfigMemStorageNode = class

public

  Name: string;

  Value: string;

  Parent: TConfigMemStorageNode;

  Children: TAvlTree;

  procedure ClearChilds;

  constructor Create();

  destructor Destroy; override;

end;

Inheritance

TConfigMemStorageNode

|

TObject


TConfigMemStorageNode


TConfigMemStorageNode
 | ClearChilds
 | Create
 | Destroy


TConfigMemStorageNode.Children

Declaration

Source position: lazconfigstorage.pas line 98

public TConfigMemStorageNode.Children : TAvlTree;


TConfigMemStorageNode.ClearChilds

Declaration

Source position: lazconfigstorage.pas line 99

public procedure TConfigMemStorageNode.ClearChilds;


TConfigMemStorageNode.Create

Declaration

Source position: lazconfigstorage.pas line 100

public constructor TConfigMemStorageNode.Create(

  AParent: TConfigMemStorageNode;

  const AName: string

);


TConfigMemStorageNode.Destroy

Declaration

Source position: lazconfigstorage.pas line 101

public destructor TConfigMemStorageNode.Destroy; override;


TConfigMemStorageNode.Name

Declaration

Source position: lazconfigstorage.pas line 95

public TConfigMemStorageNode.Name : string;


TConfigMemStorageNode.Parent

Declaration

Source position: lazconfigstorage.pas line 97

public TConfigMemStorageNode.Parent : TConfigMemStorageNode;


TConfigMemStorageNode.Value

Declaration

Source position: lazconfigstorage.pas line 96

public TConfigMemStorageNode.Value : string;


TConfigStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazconfigstorage.pas line 28

type TConfigStorage = class

protected

  function GetFullPathValue();

  procedure SetFullPathValue();

  procedure SetDeleteFullPathValue();

  procedure DeleteFullPath(); virtual; abstract;

  procedure DeleteFullPathValue(); virtual; abstract;

  procedure WriteProperty();

  procedure ReadProperty();

public

  constructor Create(); virtual;

  destructor Destroy; override;

  procedure Clear; virtual; abstract;

  function GetValue();

  procedure SetValue();

  procedure SetDeleteValue();

  procedure DeletePath();

  procedure DeleteValue();

  property CurrentBasePath: string; [r]

  function ExtendPath();

  procedure AppendBasePath();

  procedure UndoAppendBasePath;

  procedure WriteToDisk; virtual; abstract;

  function GetFilename; virtual; abstract;

  procedure WriteObject();

  procedure ReadObject();

end;

Inheritance

TConfigStorage

|

TObject


TConfigStorage

ro

CurrentBasePath


TConfigStorage
pt | GetFullPathValue
pt | SetFullPathValue
pt | SetDeleteFullPathValue
pt | DeleteFullPath
pt | DeleteFullPathValue
pt | WriteProperty
pt | ReadProperty
 | Create
 | Destroy
 | Clear
 | GetValue
 | SetValue
 | SetDeleteValue
 | DeletePath
 | DeleteValue
 | ExtendPath
 | AppendBasePath
 | UndoAppendBasePath
 | WriteToDisk
 | GetFilename
 | WriteObject
 | ReadObject


pt | DeleteFullPath (TConfigStorage)
pt | DeleteFullPathValue (TConfigStorage)
 | DeletePath (TConfigStorage)
 | DeleteValue (TConfigStorage)
 | Destroy (TConfigStorage)
 | ExtendPath (TConfigStorage)
 | GetFilename (TConfigStorage)
pt | GetFullPathValue (TConfigStorage)
 | GetValue (TConfigStorage)
 | ReadObject (TConfigStorage)
pt | ReadProperty (TConfigStorage)
pt | SetDeleteFullPathValue (TConfigStorage)
 | SetDeleteValue (TConfigStorage)
pt | SetFullPathValue (TConfigStorage)
 | SetValue (TConfigStorage)
 | UndoAppendBasePath (TConfigStorage)
 | WriteObject (TConfigStorage)
pt | WriteProperty (TConfigStorage)
 | WriteToDisk (TConfigStorage)


TConfigStorage


TConfigStorage.AppendBasePath

Declaration

Source position: lazconfigstorage.pas line 78

public procedure TConfigStorage.AppendBasePath(

  const Path: string

);


TConfigStorage.Clear

Declaration

Source position: lazconfigstorage.pas line 54

public procedure TConfigStorage.Clear; virtual; abstract;


TConfigStorage.Create

Declaration

Source position: lazconfigstorage.pas line 52

public constructor TConfigStorage.Create(

  const Filename: string;

  LoadFromDisk: Boolean

); virtual;


TConfigStorage.CurrentBasePath

Declaration

Source position: lazconfigstorage.pas line 76

public property TConfigStorage.CurrentBasePath : string
  read FCurrentBasePath;


TConfigStorage.DeleteFullPath

Declaration

Source position: lazconfigstorage.pas line 42

protected procedure TConfigStorage.DeleteFullPath(

  const APath: string

); virtual; abstract;


TConfigStorage.DeleteFullPathValue

Declaration

Source position: lazconfigstorage.pas line 43

protected procedure TConfigStorage.DeleteFullPathValue(

  const APath: string

); virtual; abstract;


TConfigStorage.DeletePath

Declaration

Source position: lazconfigstorage.pas line 74

public procedure TConfigStorage.DeletePath(

  const APath: string

);


TConfigStorage.DeleteValue

Declaration

Source position: lazconfigstorage.pas line 75

public procedure TConfigStorage.DeleteValue(

  const APath: string

);


TConfigStorage.Destroy

Declaration

Source position: lazconfigstorage.pas line 53

public destructor TConfigStorage.Destroy; override;


TConfigStorage.ExtendPath

Declaration

Source position: lazconfigstorage.pas line 77

public function TConfigStorage.ExtendPath(

  const APath: string

):string;


TConfigStorage.GetFilename

Declaration

Source position: lazconfigstorage.pas line 81

public function TConfigStorage.GetFilename: string; virtual; abstract;


TConfigStorage.GetFullPathValue

Declaration

Source position: lazconfigstorage.pas line 33

protected function TConfigStorage.GetFullPathValue(

  const APath: string;

  const ADefault: string

):string; virtual; abstract;

function TConfigStorage.GetFullPathValue(

  const APath: string;

  ADefault: Integer

):Integer; virtual; abstract;

function TConfigStorage.GetFullPathValue(

  const APath: string;

  ADefault: Boolean

):Boolean; virtual; abstract;


TConfigStorage.GetValue

Declaration

Source position: lazconfigstorage.pas line 55

public function TConfigStorage.GetValue(

  const APath: string;

  const ADefault: string

):string;

function TConfigStorage.GetValue(

  const APath: string;

  ADefault: Integer

):Integer;

function TConfigStorage.GetValue(

  const APath: string;

  ADefault: Boolean

):Boolean;

procedure TConfigStorage.GetValue(

  const APath: string;

  out ARect: TRect;

  const ADefault: TRect

);

procedure TConfigStorage.GetValue(

  const APath: string;

  out APoint: TPoint;

  const ADefault: TPoint

);

procedure TConfigStorage.GetValue(

  const APath: string;

  const List: TStrings

);


TConfigStorage.ReadObject

Declaration

Source position: lazconfigstorage.pas line 84

public procedure TConfigStorage.ReadObject(

  Path: string;

  Obj: TPersistent;

  DefObject: TPersistent = Nil;

  OnlyProperty: string = ''

);


TConfigStorage.ReadProperty

Declaration

Source position: lazconfigstorage.pas line 48

protected procedure TConfigStorage.ReadProperty(

  Path: string;

  Instance: TPersistent;

  PropInfo: Pointer;

  DefInstance: TPersistent = Nil;

  OnlyProperty: string = ''

);


TConfigStorage.SetDeleteFullPathValue

Declaration

Source position: lazconfigstorage.pas line 37

protected procedure TConfigStorage.SetDeleteFullPathValue(

  const APath: string;

  const AValue: string;

  const DefValue: string

); virtual; abstract;

procedure TConfigStorage.SetDeleteFullPathValue(

  const APath: string;

  AValue: Integer;

  DefValue: Integer

); virtual; abstract;

procedure TConfigStorage.SetDeleteFullPathValue(

  const APath: string;

  AValue: Boolean;

  DefValue: Boolean

); virtual; abstract;


TConfigStorage.SetDeleteValue

Declaration

Source position: lazconfigstorage.pas line 64

public procedure TConfigStorage.SetDeleteValue(

  const APath: string;

  const AValue: string;

  const DefValue: string

);

procedure TConfigStorage.SetDeleteValue(

  const APath: string;

  AValue: Integer;

  DefValue: Integer

);

procedure TConfigStorage.SetDeleteValue(

  const APath: string;

  AValue: Boolean;

  DefValue: Boolean

);

procedure TConfigStorage.SetDeleteValue(

  const APath: string;

  const AValue: TRect;

  const DefValue: TRect

);

procedure TConfigStorage.SetDeleteValue(

  const APath: string;

  const AValue: TPoint;

  const DefValue: TPoint

);


TConfigStorage.SetFullPathValue

Declaration

Source position: lazconfigstorage.pas line 36

protected procedure TConfigStorage.SetFullPathValue(

  const APath: string;

  const AValue: string

); virtual; abstract;

procedure TConfigStorage.SetFullPathValue(

  const APath: string;

  AValue: Integer

); virtual; abstract;

procedure TConfigStorage.SetFullPathValue(

  const APath: string;

  AValue: Boolean

); virtual; abstract;


TConfigStorage.SetValue

Declaration

Source position: lazconfigstorage.pas line 63

public procedure TConfigStorage.SetValue(

  const APath: string;

  const AValue: string

);

procedure TConfigStorage.SetValue(

  const APath: string;

  AValue: Integer

);

procedure TConfigStorage.SetValue(

  const APath: string;

  AValue: Boolean

);

procedure TConfigStorage.SetValue(

  const APath: string;

  const AValue: TRect

);

procedure TConfigStorage.SetValue(

  const APath: string;

  const AValue: TPoint

);

procedure TConfigStorage.SetValue(

  const APath: string;

  const AValue: TStrings

);


TConfigStorage.UndoAppendBasePath

Declaration

Source position: lazconfigstorage.pas line 79

public procedure TConfigStorage.UndoAppendBasePath;


TConfigStorage.WriteObject

Declaration

Source position: lazconfigstorage.pas line 82

public procedure TConfigStorage.WriteObject(

  Path: string;

  Obj: TPersistent;

  DefObject: TPersistent = Nil;

  OnlyProperty: string = ''

);


TConfigStorage.WriteProperty

Declaration

Source position: lazconfigstorage.pas line 45

protected procedure TConfigStorage.WriteProperty(

  Path: string;

  Instance: TPersistent;

  PropInfo: Pointer;

  DefInstance: TPersistent = Nil;

  OnlyProperty: string = ''

);


TConfigStorage.WriteToDisk

Declaration

Source position: lazconfigstorage.pas line 80

public procedure TConfigStorage.WriteToDisk; virtual; abstract;


TConfigStorageClass

Declaration

Source position: lazconfigstorage.pas line 88

type TConfigStorageClass = class of TConfigStorage;


TLazFPGHashTable

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfglhash.pas line 28

type generic TLazFPGHashTable <T>= class(TFPCustomHashTable)

protected

Type

  THTGNode = THTGNode;

  TGIteratorMethod = procedure(

  Item: T;

  const Key: string;

  var Continue: Boolean

) of object;

  function CreateNewNode(); override;

  procedure AddNode(); override;

  procedure SetData(); virtual;

  function GetData(); virtual;

  function ForEachCall(); virtual;

public

  function Iterate(); virtual;

  procedure Add(); virtual;

  property Items []: T; default; [rw]

end;

Inheritance

TLazFPGHashTable

TFPCustomHashTable

TObject


TLazFPGHashTable
 |  | Items
TFPCustomHashTable
 |  | HashFunction
 | ro | Count
 |  | HashTableSize
 | ro | HashTable
 | ro | VoidSlots
 | ro | LoadFactor
 | ro | AVGChainLen
 | ro | MaxChainLength
 | ro | NumberOfCollisions
 | ro | Density
TObject


ro | AVGChainLen (TFPCustomHashTable)
ro | Count (TFPCustomHashTable)
ro | Density (TFPCustomHashTable)
 | HashFunction (TFPCustomHashTable)
ro | HashTable (TFPCustomHashTable)
 | HashTableSize (TFPCustomHashTable)
 | Items (TLazFPGHashTable)
ro | LoadFactor (TFPCustomHashTable)
ro | MaxChainLength (TFPCustomHashTable)
ro | NumberOfCollisions (TFPCustomHashTable)
ro | VoidSlots (TFPCustomHashTable)


TLazFPGHashTable
pt | CreateNewNode
pt | AddNode
pt | SetData
pt | GetData
pt | ForEachCall
 | Iterate
 | Add
TFPCustomHashTable
 | GetDensity
 | GetNumberOfCollisions
 | SetHashTableSize
 | InitializeHashTable
 | GetVoidSlots
 | GetLoadFactor
 | GetAVGChainLen
 | GetMaxChainLength
 | Chain
 | CreateNewNode
 | AddNode
 | ChainLength
 | FindOrCreateNew
 | SetHashFunction
 | FindChainForAdd
 | Create
 | CreateWith
 | Destroy
 | ChangeTableSize
 | Clear
 | Delete
 | Find
 | IsEmpty
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AddNode (TFPCustomHashTable)
pt | AddNode (TLazFPGHashTable)
 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | Chain (TFPCustomHashTable)
 | ChainLength (TFPCustomHashTable)
 | ChangeTableSize (TFPCustomHashTable)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TFPCustomHashTable)
 | Create (TObject)
 | Create (TFPCustomHashTable)
 | CreateNewNode (TFPCustomHashTable)
pt | CreateNewNode (TLazFPGHashTable)
 | CreateWith (TFPCustomHashTable)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Delete (TFPCustomHashTable)
 | Destroy (TObject)
 | Destroy (TFPCustomHashTable)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Find (TFPCustomHashTable)
 | FindChainForAdd (TFPCustomHashTable)
 | FindOrCreateNew (TFPCustomHashTable)
pt | ForEachCall (TLazFPGHashTable)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetAVGChainLen (TFPCustomHashTable)
pt | GetData (TLazFPGHashTable)
 | GetDensity (TFPCustomHashTable)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLoadFactor (TFPCustomHashTable)
 | GetMaxChainLength (TFPCustomHashTable)
 | GetNumberOfCollisions (TFPCustomHashTable)
 | GetVoidSlots (TFPCustomHashTable)
 | InheritsFrom (TObject)
 | InitializeHashTable (TFPCustomHashTable)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | IsEmpty (TFPCustomHashTable)
 | Iterate (TLazFPGHashTable)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
pt | SetData (TLazFPGHashTable)
 | SetHashFunction (TFPCustomHashTable)
 | SetHashTableSize (TFPCustomHashTable)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TLazFPGHashTable

TFPCustomHashTable

TObject


TLazFPGHashTable.Add

Declaration

Source position: lazfglhash.pas line 49

public procedure TLazFPGHashTable.Add(

  const aKey: string;

  const aItem: T

); virtual;


TLazFPGHashTable.AddNode

Declaration

Source position: lazfglhash.pas line 39

protected procedure TLazFPGHashTable.AddNode(

  ANode: THTCustomNode

); override;


TLazFPGHashTable.CreateNewNode

Declaration

Source position: lazfglhash.pas line 38

protected function TLazFPGHashTable.CreateNewNode(

  const aKey: string

):THTCustomNode; override;


TLazFPGHashTable.ForEachCall

Declaration

Source position: lazfglhash.pas line 43

protected function TLazFPGHashTable.ForEachCall(

  aMethod: TGIteratorMethod

):THTGNode; virtual;


TLazFPGHashTable.GetData

Declaration

Source position: lazfglhash.pas line 41

protected function TLazFPGHashTable.GetData(

  const index: string

):T; virtual;


TLazFPGHashTable.Items

Declaration

Source position: lazfglhash.pas line 50

public property TLazFPGHashTable.Items[index: string] : T
  read GetData
  write SetData;
  default;


TLazFPGHashTable.Iterate

Declaration

Source position: lazfglhash.pas line 47

public function TLazFPGHashTable.Iterate(

  aMethod: TGIteratorMethod

):T; virtual;


TLazFPGHashTable.SetData

Declaration

Source position: lazfglhash.pas line 40

protected procedure TLazFPGHashTable.SetData(

  const Index: string;

  AValue: T

); virtual;


TLazFPGHashTable.TGIteratorMethod

Declaration

Source position: lazfglhash.pas line 37

protected type TLazFPGHashTable.TGIteratorMethod = procedure(

  Item: T;

  const Key: string;

  var Continue: Boolean

) of object;


TLazFPGHashTable.THTGNode

Declaration

Source position: lazfglhash.pas line 31

protected type TLazFPGHashTable.THTGNode = THTGNode;


TLazHTGNode

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfglhash.pas line 19

type generic TLazHTGNode <T>= class(THTCustomNode)

public

  property Data: T; [rw]

end;

Inheritance

TLazHTGNode

THTCustomNode

TObject


TLazHTGNode
 |  | Data
THTCustomNode
 | ro | Key
TObject


ro | Key (THTCustomNode)


TLazHTGNode
THTCustomNode
 | CreateWith
 | HasKey
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

CreateWith (THTCustomNode)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

HasKey (THTCustomNode)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

SafeCallException (TObject)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TLazHTGNode

THTCustomNode

TObject


TLazHTGNode.Data

Declaration

Source position: lazfglhash.pas line 23

public property TLazHTGNode.Data : T
  read FData
  write FData;


TFileStateCache

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfilecache.pas line 61

type TFileStateCache = class

public

  constructor Create;

  destructor Destroy; override;

  procedure Lock;

  procedure Unlock;

  function Locked;

  procedure IncreaseTimeStamp();

  function FileExistsCached();

  function DirPathExistsCached();

  function DirectoryIsWritableCached();

  function FileIsExecutableCached();

  function FileIsReadableCached();

  function FileIsWritableCached();

  function FileIsTextCached();

  function FileAgeCached();

  function GetPhysicalFilenameCached();

  function FindFile();

  function Check();

  procedure AddChangeTimeStampHandler();

  procedure RemoveChangeTimeStampHandler();

  function CalcMemSize;

  property TimeStamp: Int64; [r]

end;

Inheritance

TFileStateCache

|

TObject


TFileStateCache

ro

TimeStamp


ro

TimeStamp (TFileStateCache)


TFileStateCache
 | Create
 | Destroy
 | Lock
 | Unlock
 | Locked
 | IncreaseTimeStamp
 | FileExistsCached
 | DirPathExistsCached
 | DirectoryIsWritableCached
 | FileIsExecutableCached
 | FileIsReadableCached
 | FileIsWritableCached
 | FileIsTextCached
 | FileAgeCached
 | GetPhysicalFilenameCached
 | FindFile
 | Check
 | AddChangeTimeStampHandler
 | RemoveChangeTimeStampHandler
 | CalcMemSize


AddChangeTimeStampHandler (TFileStateCache)

CalcMemSize (TFileStateCache)

Check (TFileStateCache)

Create (TFileStateCache)

Destroy (TFileStateCache)

DirectoryIsWritableCached (TFileStateCache)

DirPathExistsCached (TFileStateCache)

FileAgeCached (TFileStateCache)

FileExistsCached (TFileStateCache)

FileIsExecutableCached (TFileStateCache)

FileIsReadableCached (TFileStateCache)

FileIsTextCached (TFileStateCache)

FileIsWritableCached (TFileStateCache)

FindFile (TFileStateCache)

GetPhysicalFilenameCached (TFileStateCache)

IncreaseTimeStamp (TFileStateCache)

Lock (TFileStateCache)

Locked (TFileStateCache)

RemoveChangeTimeStampHandler (TFileStateCache)

Unlock (TFileStateCache)


TFileStateCache


TFileStateCache.AddChangeTimeStampHandler

Declaration

Source position: lazfilecache.pas line 89

public procedure TFileStateCache.AddChangeTimeStampHandler(

  const Handler: TOnChangeFileStateTimeStamp

);


TFileStateCache.CalcMemSize

Declaration

Source position: lazfilecache.pas line 91

public function TFileStateCache.CalcMemSize: PtrUint;


TFileStateCache.Check

Declaration

Source position: lazfilecache.pas line 87

public function TFileStateCache.Check(

  const Filename: string;

  AFlag: TFileStateCacheItemFlag;

  out AFile: TFileStateCacheItem;

  var FlagIsSet: Boolean

):Boolean;


TFileStateCache.Create

Declaration

Source position: lazfilecache.pas line 70

public constructor TFileStateCache.Create;


TFileStateCache.Destroy

Declaration

Source position: lazfilecache.pas line 71

public destructor TFileStateCache.Destroy; override;


TFileStateCache.DirectoryIsWritableCached

Declaration

Source position: lazfilecache.pas line 78

public function TFileStateCache.DirectoryIsWritableCached(

  const DirectoryName: string

):Boolean;


TFileStateCache.DirPathExistsCached

Declaration

Source position: lazfilecache.pas line 77

public function TFileStateCache.DirPathExistsCached(

  const AFilename: string

):Boolean;


TFileStateCache.FileAgeCached

Declaration

Source position: lazfilecache.pas line 83

public function TFileStateCache.FileAgeCached(

  const AFileName: string

):LongInt;


TFileStateCache.FileExistsCached

Declaration

Source position: lazfilecache.pas line 76

public function TFileStateCache.FileExistsCached(

  const AFilename: string

):Boolean;


TFileStateCache.FileIsExecutableCached

Declaration

Source position: lazfilecache.pas line 79

public function TFileStateCache.FileIsExecutableCached(

  const AFilename: string

):Boolean;


TFileStateCache.FileIsReadableCached

Declaration

Source position: lazfilecache.pas line 80

public function TFileStateCache.FileIsReadableCached(

  const AFilename: string

):Boolean;


TFileStateCache.FileIsTextCached

Declaration

Source position: lazfilecache.pas line 82

public function TFileStateCache.FileIsTextCached(

  const AFilename: string

):Boolean;


TFileStateCache.FileIsWritableCached

Declaration

Source position: lazfilecache.pas line 81

public function TFileStateCache.FileIsWritableCached(

  const AFilename: string

):Boolean;


TFileStateCache.FindFile

Declaration

Source position: lazfilecache.pas line 85

public function TFileStateCache.FindFile(

  const Filename: string;

  CreateIfNotExists: Boolean

):TFileStateCacheItem;


TFileStateCache.GetPhysicalFilenameCached

Declaration

Source position: lazfilecache.pas line 84

public function TFileStateCache.GetPhysicalFilenameCached(

  const AFileName: string;

  EmptyOnError: Boolean

):string;


TFileStateCache.IncreaseTimeStamp

Declaration

Source position: lazfilecache.pas line 75

public procedure TFileStateCache.IncreaseTimeStamp(

  const AFilename: string

);


TFileStateCache.Lock

Declaration

Source position: lazfilecache.pas line 72

public procedure TFileStateCache.Lock;


TFileStateCache.Locked

Declaration

Source position: lazfilecache.pas line 74

public function TFileStateCache.Locked: Boolean;


TFileStateCache.RemoveChangeTimeStampHandler

Declaration

Source position: lazfilecache.pas line 90

public procedure TFileStateCache.RemoveChangeTimeStampHandler(

  const Handler: TOnChangeFileStateTimeStamp

);


TFileStateCache.TimeStamp

Declaration

Source position: lazfilecache.pas line 93

public property TFileStateCache.TimeStamp : Int64
  read FTimeStamp;


TFileStateCache.Unlock

Declaration

Source position: lazfilecache.pas line 73

public procedure TFileStateCache.Unlock;


TFileStateCacheItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfilecache.pas line 36

type TFileStateCacheItem = class

public

  constructor Create();

  function CalcMemSize;

  property Filename: string; [r]

  property PhysicalFilename: string; [r]

  property Flags: TFileStateCacheItemFlags; [r]

  property TestedFlags: TFileStateCacheItemFlags; [r]

  property TimeStamp: Int64; [r]

  property Age: LongInt; [r]

end;

Inheritance

TFileStateCacheItem

|

TObject


TFileStateCacheItem
 | ro | Filename
 | ro | PhysicalFilename
 | ro | Flags
 | ro | TestedFlags
 | ro | TimeStamp
 | ro | Age


ro | Age (TFileStateCacheItem)
ro | Filename (TFileStateCacheItem)
ro | Flags (TFileStateCacheItem)
ro | PhysicalFilename (TFileStateCacheItem)
ro | TestedFlags (TFileStateCacheItem)
ro | TimeStamp (TFileStateCacheItem)


TFileStateCacheItem
 | Create
 | CalcMemSize


TFileStateCacheItem


TFileStateCacheItem.Age

Declaration

Source position: lazfilecache.pas line 53

public property TFileStateCacheItem.Age : LongInt
  read FAge;


TFileStateCacheItem.CalcMemSize

Declaration

Source position: lazfilecache.pas line 46

public function TFileStateCacheItem.CalcMemSize: PtrUint;


TFileStateCacheItem.Create

Declaration

Source position: lazfilecache.pas line 45

public constructor TFileStateCacheItem.Create(

  const TheFilename: string;

  NewTimeStamp: Int64

);


TFileStateCacheItem.Filename

Declaration

Source position: lazfilecache.pas line 48

public property TFileStateCacheItem.Filename : string
  read FFilename;


TFileStateCacheItem.Flags

Declaration

Source position: lazfilecache.pas line 50

public property TFileStateCacheItem.Flags : TFileStateCacheItemFlags
  read FFlags;


TFileStateCacheItem.PhysicalFilename

Declaration

Source position: lazfilecache.pas line 49

public property TFileStateCacheItem.PhysicalFilename : string
  read FPhysicalFilename;


TFileStateCacheItem.TestedFlags

Declaration

Source position: lazfilecache.pas line 51

public property TFileStateCacheItem.TestedFlags : TFileStateCacheItemFlags
  read FTestedFlags;


TFileStateCacheItem.TimeStamp

Declaration

Source position: lazfilecache.pas line 52

public property TFileStateCacheItem.TimeStamp : Int64
  read FTimeStamp;


TFileStateCacheItemFlag

Declaration

Source position: lazfilecache.pas line 20

type TFileStateCacheItemFlag = (

  fsciExists,

  fsciDirectory,

  fsciReadable,

  fsciWritable,

  fsciDirectoryReadable,

  fsciDirectoryWritable,

  fsciText,

  fsciExecutable,

  fsciAge,

  fsciPhysical

);


TFileStateCacheItemFlags

Declaration

Source position: lazfilecache.pas line 32

type TFileStateCacheItemFlags = set of (

  fsciExists,

  fsciDirectory,

  fsciReadable,

  fsciWritable,

  fsciDirectoryReadable,

  fsciDirectoryWritable,

  fsciText,

  fsciExecutable,

  fsciAge,

  fsciPhysical

);


TFamilyCollectionItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypefontcollection.pas line 64

type TFamilyCollectionItem = class(TCustomFamilyCollectionItem)

protected

  function GetFontByIndex(); override;

  function GetFontByStyles();

  function GetFontIndexByStyles();

  function GetStyle(); override;

  procedure AddStyle();

  function RemoveStyle();

  function GetStyles; override;

  function GetFamilyName; override;

  function GetFontCount; override;

  function GetStyleCount; override;

  procedure RebuildStyleList();

public

  constructor Create();

  procedure AddFont();

  function RemoveFont();

  function GetFont();

  function GetFontIndex();

  function HasStyle(); override;

end;

Inheritance

TFamilyCollectionItem

|

TCustomFamilyCollectionItem

|

TObject


TFamilyCollectionItem
TCustomFamilyCollectionItem
 | ro | FamilyName
 | ro | Font
 | ro | FontCount
 | ro | Style
 | ro | StyleCount
 | ro | Styles


TFamilyCollectionItem
pt | GetFontByIndex
pt | GetFontByStyles
pt | GetFontIndexByStyles
pt | GetStyle
pt | AddStyle
pt | RemoveStyle
pt | GetStyles
pt | GetFamilyName
pt | GetFontCount
pt | GetStyleCount
pt | RebuildStyleList
 | Create
 | AddFont
 | RemoveFont
 | GetFont
 | GetFontIndex
 | HasStyle
TCustomFamilyCollectionItem
pt | GetFontByIndex
pt | GetStyle
pt | GetStyles
pt | GetFamilyName
pt | GetFontCount
pt | GetStyleCount
 | GetFont
 | GetFontIndex
 | HasStyle


pt | AddStyle (TFamilyCollectionItem)
 | Create (TFamilyCollectionItem)
pt | GetFamilyName (TCustomFamilyCollectionItem)
pt | GetFamilyName (TFamilyCollectionItem)
 | GetFont (TCustomFamilyCollectionItem)
 | GetFont (TFamilyCollectionItem)
pt | GetFontByIndex (TCustomFamilyCollectionItem)
pt | GetFontByIndex (TFamilyCollectionItem)
pt | GetFontByStyles (TFamilyCollectionItem)
pt | GetFontCount (TCustomFamilyCollectionItem)
pt | GetFontCount (TFamilyCollectionItem)
 | GetFontIndex (TCustomFamilyCollectionItem)
 | GetFontIndex (TFamilyCollectionItem)
pt | GetFontIndexByStyles (TFamilyCollectionItem)
pt | GetStyle (TCustomFamilyCollectionItem)
pt | GetStyle (TFamilyCollectionItem)
pt | GetStyleCount (TCustomFamilyCollectionItem)
pt | GetStyleCount (TFamilyCollectionItem)
pt | GetStyles (TCustomFamilyCollectionItem)
pt | GetStyles (TFamilyCollectionItem)
 | HasStyle (TCustomFamilyCollectionItem)
 | HasStyle (TFamilyCollectionItem)
pt | RebuildStyleList (TFamilyCollectionItem)
 | RemoveFont (TFamilyCollectionItem)
pt | RemoveStyle (TFamilyCollectionItem)


TFamilyCollectionItem

TCustomFamilyCollectionItem


TFamilyCollectionItem.AddFont

Declaration

Source position: lazfreetypefontcollection.pas line 86

public procedure TFamilyCollectionItem.AddFont(

  AFontItem: TFontCollectionItem

);


TFamilyCollectionItem.AddStyle

Declaration

Source position: lazfreetypefontcollection.pas line 77

protected procedure TFamilyCollectionItem.AddStyle(

  AName: string

);


TFamilyCollectionItem.Create

Declaration

Source position: lazfreetypefontcollection.pas line 85

public constructor TFamilyCollectionItem.Create(

  AName: string

);


TFamilyCollectionItem.GetFamilyName

Declaration

Source position: lazfreetypefontcollection.pas line 80

protected function TFamilyCollectionItem.GetFamilyName: string; override;


TFamilyCollectionItem.GetFont

Declaration

Source position: lazfreetypefontcollection.pas line 88

public function TFamilyCollectionItem.GetFont(

  const AStyles: array of string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):TCustomFontCollectionItem; override;

function TFamilyCollectionItem.GetFont(

  AStyle: string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):TCustomFontCollectionItem; override;


TFamilyCollectionItem.GetFontByIndex

Declaration

Source position: lazfreetypefontcollection.pas line 73

protected function TFamilyCollectionItem.GetFontByIndex(

  AIndex: Integer

):TCustomFontCollectionItem; override;


TFamilyCollectionItem.GetFontByStyles

Declaration

Source position: lazfreetypefontcollection.pas line 74

protected function TFamilyCollectionItem.GetFontByStyles(

  AStyles: string

):TCustomFontCollectionItem;


TFamilyCollectionItem.GetFontCount

Declaration

Source position: lazfreetypefontcollection.pas line 81

protected function TFamilyCollectionItem.GetFontCount: Integer; override;


TFamilyCollectionItem.GetFontIndex

Declaration

Source position: lazfreetypefontcollection.pas line 90

public function TFamilyCollectionItem.GetFontIndex(

  const AStyles: array of string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):Integer; override;

function TFamilyCollectionItem.GetFontIndex(

  AStyle: string;

  NeedAllStyles: Boolean = False;

  NoMoreStyle: Boolean = False

):Integer; override;


TFamilyCollectionItem.GetFontIndexByStyles

Declaration

Source position: lazfreetypefontcollection.pas line 75

protected function TFamilyCollectionItem.GetFontIndexByStyles(

  AStyles: string

):Integer;


TFamilyCollectionItem.GetStyle

Declaration

Source position: lazfreetypefontcollection.pas line 76

protected function TFamilyCollectionItem.GetStyle(

  AIndex: Integer

):string; override;


TFamilyCollectionItem.GetStyleCount

Declaration

Source position: lazfreetypefontcollection.pas line 82

protected function TFamilyCollectionItem.GetStyleCount: Integer; override;


TFamilyCollectionItem.GetStyles

Declaration

Source position: lazfreetypefontcollection.pas line 79

protected function TFamilyCollectionItem.GetStyles: string; override;


TFamilyCollectionItem.HasStyle

Declaration

Source position: lazfreetypefontcollection.pas line 92

public function TFamilyCollectionItem.HasStyle(

  AName: string

):Boolean; override;


TFamilyCollectionItem.RebuildStyleList

Declaration

Source position: lazfreetypefontcollection.pas line 83

protected procedure TFamilyCollectionItem.RebuildStyleList(

  out ADuplicates: Boolean

);


TFamilyCollectionItem.RemoveFont

Declaration

Source position: lazfreetypefontcollection.pas line 87

public function TFamilyCollectionItem.RemoveFont(

  AFontItem: TCustomFontCollectionItem

):Boolean;


TFamilyCollectionItem.RemoveStyle

Declaration

Source position: lazfreetypefontcollection.pas line 78

protected function TFamilyCollectionItem.RemoveStyle(

  AName: string

):Boolean;


TFontCollectionItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypefontcollection.pas line 23

type TFontCollectionItem = class(TCustomFontCollectionItem)

protected

  function GetFilename; override;

  function GetBold; override;

  function GetInformation(); override;

  function GetItalic; override;

  function GetStyleCount; override;

  function GetStyles; override;

  function GetStyle(); override;

  function GetVersionNumber; override;

  procedure NotifyDestroy; override;

  procedure Init;

public

  constructor Create();

  destructor Destroy; override;

  function HasStyle(); override;

  property Information []: string; [rw]

  property VersionNumber: string; [rw]

  function CreateFont; override;

  function QueryFace(); override;

  procedure ReleaseFace(); override;

  property UsePostscriptStyle: Boolean; [rw]

end;

Inheritance

TFontCollectionItem

|

TCustomFontCollectionItem

|

TObject


TFontCollectionItem
 |  | Information
 |  | VersionNumber
 |  | UsePostscriptStyle
TCustomFontCollectionItem
 | ro | Styles
 | ro | Italic
 | ro | Bold
 | ro | Filename
 | ro | Information
 | ro | VersionNumber
 | ro | Style
 | ro | StyleCount
 |  | Family


ro | Bold (TCustomFontCollectionItem)
 | Family (TCustomFontCollectionItem)
ro | Filename (TCustomFontCollectionItem)
ro | Information (TCustomFontCollectionItem)
 | Information (TFontCollectionItem)
ro | Italic (TCustomFontCollectionItem)
ro | Style (TCustomFontCollectionItem)
ro | StyleCount (TCustomFontCollectionItem)
ro | Styles (TCustomFontCollectionItem)
 | UsePostscriptStyle (TFontCollectionItem)
ro | VersionNumber (TCustomFontCollectionItem)
 | VersionNumber (TFontCollectionItem)


TFontCollectionItem
pt | GetFilename
pt | GetBold
pt | GetInformation
pt | GetItalic
pt | GetStyleCount
pt | GetStyles
pt | GetStyle
pt | GetVersionNumber
pt | NotifyDestroy
pt | Init
 | Create
 | Destroy
 | HasStyle
 | CreateFont
 | QueryFace
 | ReleaseFace
TCustomFontCollectionItem
pt | GetBold
pt | GetInformation
pt | GetItalic
pt | GetStyleCount
pt | GetStyles
pt | GetFilename
pt | GetVersionNumber
pt | GetStyle
pt | NotifyDestroy
 | HasStyle
 | CreateFont
 | QueryFace
 | ReleaseFace


 | Create (TFontCollectionItem)
 | CreateFont (TCustomFontCollectionItem)
 | CreateFont (TFontCollectionItem)
 | Destroy (TFontCollectionItem)
pt | GetBold (TCustomFontCollectionItem)
pt | GetBold (TFontCollectionItem)
pt | GetFilename (TCustomFontCollectionItem)
pt | GetFilename (TFontCollectionItem)
pt | GetInformation (TCustomFontCollectionItem)
pt | GetInformation (TFontCollectionItem)
pt | GetItalic (TCustomFontCollectionItem)
pt | GetItalic (TFontCollectionItem)
pt | GetStyle (TCustomFontCollectionItem)
pt | GetStyle (TFontCollectionItem)
pt | GetStyleCount (TCustomFontCollectionItem)
pt | GetStyleCount (TFontCollectionItem)
pt | GetStyles (TCustomFontCollectionItem)
pt | GetStyles (TFontCollectionItem)
pt | GetVersionNumber (TCustomFontCollectionItem)
pt | GetVersionNumber (TFontCollectionItem)
 | HasStyle (TCustomFontCollectionItem)
 | HasStyle (TFontCollectionItem)
pt | Init (TFontCollectionItem)
pt | NotifyDestroy (TCustomFontCollectionItem)
pt | NotifyDestroy (TFontCollectionItem)
 | QueryFace (TCustomFontCollectionItem)
 | QueryFace (TFontCollectionItem)
 | ReleaseFace (TCustomFontCollectionItem)
 | ReleaseFace (TFontCollectionItem)


TFontCollectionItem

TCustomFontCollectionItem


TFontCollectionItem.Create

Declaration

Source position: lazfreetypefontcollection.pas line 50

public constructor TFontCollectionItem.Create(

  AFilename: string

);

constructor TFontCollectionItem.Create(

  AStream: TStream;

  AOwner: Boolean

);


TFontCollectionItem.CreateFont

Declaration

Source position: lazfreetypefontcollection.pas line 56

public function TFontCollectionItem.CreateFont: TFreeTypeFont; override;


TFontCollectionItem.Destroy

Declaration

Source position: lazfreetypefontcollection.pas line 52

public destructor TFontCollectionItem.Destroy; override;


TFontCollectionItem.GetBold

Declaration

Source position: lazfreetypefontcollection.pas line 40

protected function TFontCollectionItem.GetBold: Boolean; override;


TFontCollectionItem.GetFilename

Declaration

Source position: lazfreetypefontcollection.pas line 39

protected function TFontCollectionItem.GetFilename: string; override;


TFontCollectionItem.GetInformation

Declaration

Source position: lazfreetypefontcollection.pas line 41

protected function TFontCollectionItem.GetInformation(

  AIndex: TFreeTypeInformation

):string; override;


TFontCollectionItem.GetItalic

Declaration

Source position: lazfreetypefontcollection.pas line 42

protected function TFontCollectionItem.GetItalic: Boolean; override;


TFontCollectionItem.GetStyle

Declaration

Source position: lazfreetypefontcollection.pas line 45

protected function TFontCollectionItem.GetStyle(

  AIndex: Integer

):string; override;


TFontCollectionItem.GetStyleCount

Declaration

Source position: lazfreetypefontcollection.pas line 43

protected function TFontCollectionItem.GetStyleCount: Integer; override;


TFontCollectionItem.GetStyles

Declaration

Source position: lazfreetypefontcollection.pas line 44

protected function TFontCollectionItem.GetStyles: string; override;


TFontCollectionItem.GetVersionNumber

Declaration

Source position: lazfreetypefontcollection.pas line 46

protected function TFontCollectionItem.GetVersionNumber: string; override;


TFontCollectionItem.HasStyle

Declaration

Source position: lazfreetypefontcollection.pas line 53

public function TFontCollectionItem.HasStyle(

  AStyle: string

):Boolean; override;


TFontCollectionItem.Information

Declaration

Source position: lazfreetypefontcollection.pas line 54

public property TFontCollectionItem.Information[AIndex: TFreeTypeInformation] : string
  read GetInformation
  write SetInformation;


TFontCollectionItem.Init

Declaration

Source position: lazfreetypefontcollection.pas line 48

protected procedure TFontCollectionItem.Init;


TFontCollectionItem.NotifyDestroy

Declaration

Source position: lazfreetypefontcollection.pas line 47

protected procedure TFontCollectionItem.NotifyDestroy; override;


TFontCollectionItem.QueryFace

Declaration

Source position: lazfreetypefontcollection.pas line 57

public function TFontCollectionItem.QueryFace(

  AListener: TFontCollectionItemDestroyListener

):TT_Face; override;


TFontCollectionItem.ReleaseFace

Declaration

Source position: lazfreetypefontcollection.pas line 58

public procedure TFontCollectionItem.ReleaseFace(

  AListener: TFontCollectionItemDestroyListener

); override;


TFontCollectionItem.UsePostscriptStyle

Declaration

Source position: lazfreetypefontcollection.pas line 59

public property TFontCollectionItem.UsePostscriptStyle : Boolean
  read FUsePostscriptStyle
  write SetUsePostscriptStyle;


TFontCollectionItem.VersionNumber

Declaration

Source position: lazfreetypefontcollection.pas line 55

public property TFontCollectionItem.VersionNumber : string
  read GetVersionNumber
  write FVersionNumber;


TFreeTypeFontCollection

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypefontcollection.pas line 97

type TFreeTypeFontCollection = class(TCustomFreeTypeFontCollection)

protected

  function GetFont(); override;

  function GetFamily(); override;

  function GetFamilyCount; override;

  function GetFontCount; override;

  function RemoveAndFreeFamily();

public

  constructor Create; override;

  procedure Clear; override;

  procedure BeginUpdate; override;

  procedure AddFolder(); override;

  procedure RemoveFolder(); override;

  function AddFile(); override;

  function RemoveFile(); override;

  function AddStream(); override;

  procedure EndUpdate; override;

  destructor Destroy; override;

  function FontFileEnumerator; override;

  function FamilyEnumerator; override;

end;

Inheritance

TFreeTypeFontCollection

|

TCustomFreeTypeFontCollection

|

TObject


TFreeTypeFontCollection
TCustomFreeTypeFontCollection
 | ro | FontFileCount
 | ro | FontFile
 | ro | FamilyCount
 | ro | Family


TFreeTypeFontCollection
pt | GetFont
pt | GetFamily
pt | GetFamilyCount
pt | GetFontCount
pt | RemoveAndFreeFamily
 | Create
 | Clear
 | BeginUpdate
 | AddFolder
 | RemoveFolder
 | AddFile
 | RemoveFile
 | AddStream
 | EndUpdate
 | Destroy
 | FontFileEnumerator
 | FamilyEnumerator
TCustomFreeTypeFontCollection
pt | GetFont
pt | GetFamily
pt | GetFamilyCount
pt | GetFontCount
 | Create
 | Clear
 | BeginUpdate
 | AddFolder
 | RemoveFolder
 | AddFile
 | RemoveFile
 | AddStream
 | EndUpdate
 | FontFileEnumerator
 | FamilyEnumerator


 | AddFile (TCustomFreeTypeFontCollection)
 | AddFile (TFreeTypeFontCollection)
 | AddFolder (TCustomFreeTypeFontCollection)
 | AddFolder (TFreeTypeFontCollection)
 | AddStream (TCustomFreeTypeFontCollection)
 | AddStream (TFreeTypeFontCollection)
 | BeginUpdate (TCustomFreeTypeFontCollection)
 | BeginUpdate (TFreeTypeFontCollection)
 | Clear (TCustomFreeTypeFontCollection)
 | Clear (TFreeTypeFontCollection)
 | Create (TCustomFreeTypeFontCollection)
 | Create (TFreeTypeFontCollection)
 | Destroy (TFreeTypeFontCollection)
 | EndUpdate (TCustomFreeTypeFontCollection)
 | EndUpdate (TFreeTypeFontCollection)
 | FamilyEnumerator (TCustomFreeTypeFontCollection)
 | FamilyEnumerator (TFreeTypeFontCollection)
 | FontFileEnumerator (TCustomFreeTypeFontCollection)
 | FontFileEnumerator (TFreeTypeFontCollection)
pt | GetFamily (TCustomFreeTypeFontCollection)
pt | GetFamily (TFreeTypeFontCollection)
pt | GetFamilyCount (TCustomFreeTypeFontCollection)
pt | GetFamilyCount (TFreeTypeFontCollection)
pt | GetFont (TCustomFreeTypeFontCollection)
pt | GetFont (TFreeTypeFontCollection)
pt | GetFontCount (TCustomFreeTypeFontCollection)
pt | GetFontCount (TFreeTypeFontCollection)
pt | RemoveAndFreeFamily (TFreeTypeFontCollection)
 | RemoveFile (TCustomFreeTypeFontCollection)
 | RemoveFile (TFreeTypeFontCollection)
 | RemoveFolder (TCustomFreeTypeFontCollection)
 | RemoveFolder (TFreeTypeFontCollection)


TFreeTypeFontCollection

TCustomFreeTypeFontCollection


TFreeTypeFontCollection.AddFile

Declaration

Source position: lazfreetypefontcollection.pas line 124

public function TFreeTypeFontCollection.AddFile(

  AFilename: string

):TCustomFontCollectionItem; override;


TFreeTypeFontCollection.AddFolder

Declaration

Source position: lazfreetypefontcollection.pas line 122

public procedure TFreeTypeFontCollection.AddFolder(

  AFolder: string;

  AIncludeSubdirs: Boolean = False

); override;


TFreeTypeFontCollection.AddStream

Declaration

Source position: lazfreetypefontcollection.pas line 126

public function TFreeTypeFontCollection.AddStream(

  AStream: TStream;

  AOwned: Boolean

):Boolean; override;


TFreeTypeFontCollection.BeginUpdate

Declaration

Source position: lazfreetypefontcollection.pas line 121

public procedure TFreeTypeFontCollection.BeginUpdate; override;


TFreeTypeFontCollection.Clear

Declaration

Source position: lazfreetypefontcollection.pas line 120

public procedure TFreeTypeFontCollection.Clear; override;


TFreeTypeFontCollection.Create

Declaration

Source position: lazfreetypefontcollection.pas line 119

public constructor TFreeTypeFontCollection.Create; override;


TFreeTypeFontCollection.Destroy

Declaration

Source position: lazfreetypefontcollection.pas line 128

public destructor TFreeTypeFontCollection.Destroy; override;


TFreeTypeFontCollection.EndUpdate

Declaration

Source position: lazfreetypefontcollection.pas line 127

public procedure TFreeTypeFontCollection.EndUpdate; override;


TFreeTypeFontCollection.FamilyEnumerator

Declaration

Source position: lazfreetypefontcollection.pas line 130

public function TFreeTypeFontCollection.FamilyEnumerator: IFreeTypeFamilyEnumerator; override;


TFreeTypeFontCollection.FontFileEnumerator

Declaration

Source position: lazfreetypefontcollection.pas line 129

public function TFreeTypeFontCollection.FontFileEnumerator: IFreeTypeFontEnumerator; override;


TFreeTypeFontCollection.GetFamily

Declaration

Source position: lazfreetypefontcollection.pas line 114

protected function TFreeTypeFontCollection.GetFamily(

  AName: string

):TCustomFamilyCollectionItem; override;


TFreeTypeFontCollection.GetFamilyCount

Declaration

Source position: lazfreetypefontcollection.pas line 115

protected function TFreeTypeFontCollection.GetFamilyCount: Integer; override;


TFreeTypeFontCollection.GetFont

Declaration

Source position: lazfreetypefontcollection.pas line 113

protected function TFreeTypeFontCollection.GetFont(

  AFileName: string

):TCustomFontCollectionItem; override;


TFreeTypeFontCollection.GetFontCount

Declaration

Source position: lazfreetypefontcollection.pas line 116

protected function TFreeTypeFontCollection.GetFontCount: Integer; override;


TFreeTypeFontCollection.RemoveAndFreeFamily

Declaration

Source position: lazfreetypefontcollection.pas line 117

protected function TFreeTypeFontCollection.RemoveAndFreeFamily(

  AFamily: TCustomFamilyCollectionItem

):Boolean;


TFreeTypeFontCollection.RemoveFile

Declaration

Source position: lazfreetypefontcollection.pas line 125

public function TFreeTypeFontCollection.RemoveFile(

  AFilename: string

):Boolean; override;


TFreeTypeFontCollection.RemoveFolder

Declaration

Source position: lazfreetypefontcollection.pas line 123

public procedure TFreeTypeFontCollection.RemoveFolder(

  AFolder: string

); override;


TFPImageFreeTypeDrawer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypefpimagedrawer.pas line 24

type TFPImageFreeTypeDrawer = class(TFreeTypeDrawer)

protected

  FImage: TFPCustomImage;

  procedure MoveToPixel(); virtual;

  function GetCurrentColor; virtual;

  procedure SetCurrentColorAndMoveRight(); virtual;

  procedure MoveRight; virtual;

  function GetClipRect; virtual;

  procedure RenderDirectly();

  procedure RenderDirectlyClearType();

  procedure InternalMergeColorOver();

  procedure MergeColorOver();

  procedure DrawPixelAndMoveRight();

  procedure ClearTypePixelAndMoveRight();

  procedure UnclippedDrawPixel();

public

  ClearTypeRGBOrder: Boolean;

  constructor Create(); virtual;

  procedure DrawPixel();

  procedure ClearTypePixel();

  procedure SetVertLine();

  procedure DrawVertLine();

  procedure SetHorizLine();

  procedure DrawHorizLine();

  procedure FillPixels();

  procedure DrawText(); override;

  destructor Destroy; override;

  property Image: TFPCustomImage; [r]

end;

Inheritance

TFPImageFreeTypeDrawer

|

TFreeTypeDrawer

|

TObject


TFPImageFreeTypeDrawer

ro

Image

TFreeTypeDrawer


ro

Image (TFPImageFreeTypeDrawer)


TFPImageFreeTypeDrawer
pt | MoveToPixel
pt | GetCurrentColor
pt | SetCurrentColorAndMoveRight
pt | MoveRight
pt | GetClipRect
pt | RenderDirectly
pt | RenderDirectlyClearType
pt | InternalMergeColorOver
pt | MergeColorOver
pt | DrawPixelAndMoveRight
pt | ClearTypePixelAndMoveRight
pt | UnclippedDrawPixel
 | Create
 | DrawPixel
 | ClearTypePixel
 | SetVertLine
 | DrawVertLine
 | SetHorizLine
 | DrawHorizLine
 | FillPixels
 | DrawText
 | Destroy
TFreeTypeDrawer
 | DrawText
 | DrawTextWordBreak
 | DrawTextRect
 | DrawGlyph


pt | ClearTypePixelAndMoveRight (TFPImageFreeTypeDrawer)
 | Create (TFPImageFreeTypeDrawer)
 | Destroy (TFPImageFreeTypeDrawer)
 | DrawGlyph (TFreeTypeDrawer)
 | DrawHorizLine (TFPImageFreeTypeDrawer)
 | DrawPixel (TFPImageFreeTypeDrawer)
pt | DrawPixelAndMoveRight (TFPImageFreeTypeDrawer)
 | DrawText (TFreeTypeDrawer)
 | DrawText (TFPImageFreeTypeDrawer)
 | DrawTextRect (TFreeTypeDrawer)
 | DrawTextWordBreak (TFreeTypeDrawer)
 | DrawVertLine (TFPImageFreeTypeDrawer)
 | FillPixels (TFPImageFreeTypeDrawer)
pt | GetClipRect (TFPImageFreeTypeDrawer)
pt | GetCurrentColor (TFPImageFreeTypeDrawer)
pt | InternalMergeColorOver (TFPImageFreeTypeDrawer)
pt | MergeColorOver (TFPImageFreeTypeDrawer)
pt | MoveRight (TFPImageFreeTypeDrawer)
pt | MoveToPixel (TFPImageFreeTypeDrawer)
pt | RenderDirectly (TFPImageFreeTypeDrawer)
pt | RenderDirectlyClearType (TFPImageFreeTypeDrawer)
pt | SetCurrentColorAndMoveRight (TFPImageFreeTypeDrawer)
 | SetHorizLine (TFPImageFreeTypeDrawer)
 | SetVertLine (TFPImageFreeTypeDrawer)
pt | UnclippedDrawPixel (TFPImageFreeTypeDrawer)


TFPImageFreeTypeDrawer

TFreeTypeDrawer


TFPImageFreeTypeDrawer.ClearTypePixel

Declaration

Source position: lazfreetypefpimagedrawer.pas line 49

public procedure TFPImageFreeTypeDrawer.ClearTypePixel(

  x: Integer;

  y: Integer;

  Cr: Byte;

  Cg: Byte;

  Cb: Byte;

  const Color: TFPColor

);


TFPImageFreeTypeDrawer.ClearTypePixelAndMoveRight

Declaration

Source position: lazfreetypefpimagedrawer.pas line 43

protected procedure TFPImageFreeTypeDrawer.ClearTypePixelAndMoveRight(

  Cr: Byte;

  Cg: Byte;

  Cb: Byte;

  const Color: TFPColor

);


TFPImageFreeTypeDrawer.ClearTypeRGBOrder

Declaration

Source position: lazfreetypefpimagedrawer.pas line 46

public TFPImageFreeTypeDrawer.ClearTypeRGBOrder : Boolean;


TFPImageFreeTypeDrawer.Create

Declaration

Source position: lazfreetypefpimagedrawer.pas line 47

public constructor TFPImageFreeTypeDrawer.Create(

  AImage: TFPCustomImage

); virtual;


TFPImageFreeTypeDrawer.Destroy

Declaration

Source position: lazfreetypefpimagedrawer.pas line 56

public destructor TFPImageFreeTypeDrawer.Destroy; override;


TFPImageFreeTypeDrawer.DrawHorizLine

Declaration

Source position: lazfreetypefpimagedrawer.pas line 53

public procedure TFPImageFreeTypeDrawer.DrawHorizLine(

  x1: Integer;

  y: Integer;

  x2: Integer;

  const c: TFPColor

);


TFPImageFreeTypeDrawer.DrawPixel

Declaration

Source position: lazfreetypefpimagedrawer.pas line 48

public procedure TFPImageFreeTypeDrawer.DrawPixel(

  x: Integer;

  y: Integer;

  const c: TFPColor

);


TFPImageFreeTypeDrawer.DrawPixelAndMoveRight

Declaration

Source position: lazfreetypefpimagedrawer.pas line 41

protected procedure TFPImageFreeTypeDrawer.DrawPixelAndMoveRight(

  const c: TFPColor

);

procedure TFPImageFreeTypeDrawer.DrawPixelAndMoveRight(

  const c: TFPColor;

  applyOpacity: Byte

);


TFPImageFreeTypeDrawer.DrawText

Declaration

Source position: lazfreetypefpimagedrawer.pas line 55

public procedure TFPImageFreeTypeDrawer.DrawText(

  AText: string;

  AFont: TFreeTypeRenderableFont;

  x: single;

  y: single;

  AColor: TFPColor

); override;


TFPImageFreeTypeDrawer.DrawVertLine

Declaration

Source position: lazfreetypefpimagedrawer.pas line 51

public procedure TFPImageFreeTypeDrawer.DrawVertLine(

  x: Integer;

  y1: Integer;

  y2: Integer;

  const c: TFPColor

);


TFPImageFreeTypeDrawer.FillPixels

Declaration

Source position: lazfreetypefpimagedrawer.pas line 54

public procedure TFPImageFreeTypeDrawer.FillPixels(

  const c: TFPColor

);


TFPImageFreeTypeDrawer.FImage

Declaration

Source position: lazfreetypefpimagedrawer.pas line 29

protected TFPImageFreeTypeDrawer.FImage : TFPCustomImage;


TFPImageFreeTypeDrawer.GetClipRect

Declaration

Source position: lazfreetypefpimagedrawer.pas line 34

protected function TFPImageFreeTypeDrawer.GetClipRect: TRect; virtual;


TFPImageFreeTypeDrawer.GetCurrentColor

Declaration

Source position: lazfreetypefpimagedrawer.pas line 31

protected function TFPImageFreeTypeDrawer.GetCurrentColor: TFPColor; virtual;


TFPImageFreeTypeDrawer.Image

Declaration

Source position: lazfreetypefpimagedrawer.pas line 57

public property TFPImageFreeTypeDrawer.Image : TFPCustomImage
  read FImage;


TFPImageFreeTypeDrawer.InternalMergeColorOver

Declaration

Source position: lazfreetypefpimagedrawer.pas line 38

protected procedure TFPImageFreeTypeDrawer.InternalMergeColorOver(

  var merge: TFPColor;

  const c: TFPColor;

  calpha: Word

);


TFPImageFreeTypeDrawer.MergeColorOver

Declaration

Source position: lazfreetypefpimagedrawer.pas line 39

protected procedure TFPImageFreeTypeDrawer.MergeColorOver(

  var merge: TFPColor;

  const c: TFPColor

);

procedure TFPImageFreeTypeDrawer.MergeColorOver(

  var merge: TFPColor;

  const c: TFPColor;

  ApplyOpacity: Byte

);


TFPImageFreeTypeDrawer.MoveRight

Declaration

Source position: lazfreetypefpimagedrawer.pas line 33

protected procedure TFPImageFreeTypeDrawer.MoveRight; virtual;


TFPImageFreeTypeDrawer.MoveToPixel

Declaration

Source position: lazfreetypefpimagedrawer.pas line 30

protected procedure TFPImageFreeTypeDrawer.MoveToPixel(

  x: Integer;

  y: Integer

); virtual;


TFPImageFreeTypeDrawer.RenderDirectly

Declaration

Source position: lazfreetypefpimagedrawer.pas line 36

protected procedure TFPImageFreeTypeDrawer.RenderDirectly(

  x: Integer;

  y: Integer;

  tx: Integer;

  data: pointer

);


TFPImageFreeTypeDrawer.RenderDirectlyClearType

Declaration

Source position: lazfreetypefpimagedrawer.pas line 37

protected procedure TFPImageFreeTypeDrawer.RenderDirectlyClearType(

  x: Integer;

  y: Integer;

  tx: Integer;

  data: pointer

);


TFPImageFreeTypeDrawer.SetCurrentColorAndMoveRight

Declaration

Source position: lazfreetypefpimagedrawer.pas line 32

protected procedure TFPImageFreeTypeDrawer.SetCurrentColorAndMoveRight(

  const AColor: TFPColor

); virtual;


TFPImageFreeTypeDrawer.SetHorizLine

Declaration

Source position: lazfreetypefpimagedrawer.pas line 52

public procedure TFPImageFreeTypeDrawer.SetHorizLine(

  x1: Integer;

  y: Integer;

  x2: Integer;

  const c: TFPColor

);


TFPImageFreeTypeDrawer.SetVertLine

Declaration

Source position: lazfreetypefpimagedrawer.pas line 50

public procedure TFPImageFreeTypeDrawer.SetVertLine(

  x: Integer;

  y1: Integer;

  y2: Integer;

  const c: TFPColor

);


TFPImageFreeTypeDrawer.UnclippedDrawPixel

Declaration

Source position: lazfreetypefpimagedrawer.pas line 44

protected procedure TFPImageFreeTypeDrawer.UnclippedDrawPixel(

  x: Integer;

  y: Integer;

  const c: TFPColor

);


TFPImageWithScanlineFreeTypeDrawer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypefpimagedrawer.pas line 72

type TFPImageWithScanlineFreeTypeDrawer = class(TFPImageFreeTypeDrawer)

protected

  FCurrentColor: PFPColor;

  procedure MoveToPixel(); override;

  function GetCurrentColor; override;

  procedure SetCurrentColorAndMoveRight(); override;

  procedure MoveRight; override;

  function GetClipRect; override;

public

  constructor Create(); override;

end;

Inheritance

TFPImageWithScanlineFreeTypeDrawer

|

TFPImageFreeTypeDrawer

|

TFreeTypeDrawer

|

TObject


TFPImageWithScanlineFreeTypeDrawer

TFPImageFreeTypeDrawer

ro

Image

TFreeTypeDrawer


TFPImageWithScanlineFreeTypeDrawer
pt | MoveToPixel
pt | GetCurrentColor
pt | SetCurrentColorAndMoveRight
pt | MoveRight
pt | GetClipRect
 | Create
TFPImageFreeTypeDrawer
pt | MoveToPixel
pt | GetCurrentColor
pt | SetCurrentColorAndMoveRight
pt | MoveRight
pt | GetClipRect
pt | RenderDirectly
pt | RenderDirectlyClearType
pt | InternalMergeColorOver
pt | MergeColorOver
pt | DrawPixelAndMoveRight
pt | ClearTypePixelAndMoveRight
pt | UnclippedDrawPixel
 | Create
 | DrawPixel
 | ClearTypePixel
 | SetVertLine
 | DrawVertLine
 | SetHorizLine
 | DrawHorizLine
 | FillPixels
 | DrawText
 | Destroy
TFreeTypeDrawer
 | DrawText
 | DrawTextWordBreak
 | DrawTextRect
 | DrawGlyph


pt | ClearTypePixelAndMoveRight (TFPImageFreeTypeDrawer)
 | Create (TFPImageFreeTypeDrawer)
 | Create (TFPImageWithScanlineFreeTypeDrawer)
 | Destroy (TFPImageFreeTypeDrawer)
 | DrawGlyph (TFreeTypeDrawer)
 | DrawHorizLine (TFPImageFreeTypeDrawer)
 | DrawPixel (TFPImageFreeTypeDrawer)
pt | DrawPixelAndMoveRight (TFPImageFreeTypeDrawer)
 | DrawText (TFreeTypeDrawer)
 | DrawText (TFPImageFreeTypeDrawer)
 | DrawTextRect (TFreeTypeDrawer)
 | DrawTextWordBreak (TFreeTypeDrawer)
 | DrawVertLine (TFPImageFreeTypeDrawer)
 | FillPixels (TFPImageFreeTypeDrawer)
pt | GetClipRect (TFPImageFreeTypeDrawer)
pt | GetClipRect (TFPImageWithScanlineFreeTypeDrawer)
pt | GetCurrentColor (TFPImageFreeTypeDrawer)
pt | GetCurrentColor (TFPImageWithScanlineFreeTypeDrawer)
pt | InternalMergeColorOver (TFPImageFreeTypeDrawer)
pt | MergeColorOver (TFPImageFreeTypeDrawer)
pt | MoveRight (TFPImageFreeTypeDrawer)
pt | MoveRight (TFPImageWithScanlineFreeTypeDrawer)
pt | MoveToPixel (TFPImageFreeTypeDrawer)
pt | MoveToPixel (TFPImageWithScanlineFreeTypeDrawer)
pt | RenderDirectly (TFPImageFreeTypeDrawer)
pt | RenderDirectlyClearType (TFPImageFreeTypeDrawer)
pt | SetCurrentColorAndMoveRight (TFPImageFreeTypeDrawer)
pt | SetCurrentColorAndMoveRight (TFPImageWithScanlineFreeTypeDrawer)
 | SetHorizLine (TFPImageFreeTypeDrawer)
 | SetVertLine (TFPImageFreeTypeDrawer)
pt | UnclippedDrawPixel (TFPImageFreeTypeDrawer)


TFPImageWithScanlineFreeTypeDrawer

TFPImageFreeTypeDrawer

TFreeTypeDrawer


TFPImageWithScanlineFreeTypeDrawer.Create

Declaration

Source position: lazfreetypefpimagedrawer.pas line 81

public constructor TFPImageWithScanlineFreeTypeDrawer.Create(

  AImage: TFPCustomImage

); override;


TFPImageWithScanlineFreeTypeDrawer.FCurrentColor

Declaration

Source position: lazfreetypefpimagedrawer.pas line 74

protected TFPImageWithScanlineFreeTypeDrawer.FCurrentColor : PFPColor;


TFPImageWithScanlineFreeTypeDrawer.GetClipRect

Declaration

Source position: lazfreetypefpimagedrawer.pas line 79

protected function TFPImageWithScanlineFreeTypeDrawer.GetClipRect: TRect; override;


TFPImageWithScanlineFreeTypeDrawer.GetCurrentColor

Declaration

Source position: lazfreetypefpimagedrawer.pas line 76

protected function TFPImageWithScanlineFreeTypeDrawer.GetCurrentColor: TFPColor; override;


TFPImageWithScanlineFreeTypeDrawer.MoveRight

Declaration

Source position: lazfreetypefpimagedrawer.pas line 78

protected procedure TFPImageWithScanlineFreeTypeDrawer.MoveRight; override;


TFPImageWithScanlineFreeTypeDrawer.MoveToPixel

Declaration

Source position: lazfreetypefpimagedrawer.pas line 75

protected procedure TFPImageWithScanlineFreeTypeDrawer.MoveToPixel(

  x: Integer;

  y: Integer

); override;


TFPImageWithScanlineFreeTypeDrawer.SetCurrentColorAndMoveRight

Declaration

Source position: lazfreetypefpimagedrawer.pas line 77

protected procedure TFPImageWithScanlineFreeTypeDrawer.SetCurrentColorAndMoveRight(

  const AColor: TFPColor

); override;


TFPMemoryImageWithScanline

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazfreetypefpimagedrawer.pas line 62

type TFPMemoryImageWithScanline = class(TFPMemoryImage)

protected

  function GetScanline();

  procedure SetUsePalette(); override;

public

  property ScanLine []: PFPColor; [r]

end;

Inheritance

TFPMemoryImageWithScanline

|

TFPMemoryImage
?

TObject


TFPMemoryImageWithScanline

ro

ScanLine


ro

ScanLine (TFPMemoryImageWithScanline)


TFPMemoryImageWithScanline
pt | GetScanline
pt | SetUsePalette


pt | GetScanline (TFPMemoryImageWithScanline)
pt | SetUsePalette (TFPMemoryImageWithScanline)


TFPMemoryImageWithScanline


TFPMemoryImageWithScanline.GetScanline

Declaration

Source position: lazfreetypefpimagedrawer.pas line 64

protected function TFPMemoryImageWithScanline.GetScanline(

  y: Integer

):PFPColor;


TFPMemoryImageWithScanline.ScanLine

Declaration

Source position: lazfreetypefpimagedrawer.pas line 67

public property TFPMemoryImageWithScanline.ScanLine[y: Integer] : PFPColor
  read GetScanline;


TFPMemoryImageWithScanline.SetUsePalette

Declaration

Source position: lazfreetypefpimagedrawer.pas line 65

protected procedure TFPMemoryImageWithScanline.SetUsePalette(

  Value: Boolean

); override;


TLinkList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlinkedlist.pas line 32

type TLinkList = class

protected

  function CreateItem; virtual; abstract;

  function GetNewItem;

  procedure AddAsLast();

public

  property First: TLinkListItem; [r]

  property Last: TLinkListItem; [r]

  property Count: Integer; [r]

  procedure Delete();

  procedure MoveToLast();

  procedure Clear;

  function ConsistencyCheck;

  constructor Create;

  destructor Destroy; override;

end;

Inheritance

TLinkList

|

TObject


TLinkList
 | ro | First
 | ro | Last
 | ro | Count


ro | Count (TLinkList)
ro | First (TLinkList)
ro | Last (TLinkList)


TLinkList
pt | CreateItem
pt | GetNewItem
pt | AddAsLast
 | Delete
 | MoveToLast
 | Clear
 | ConsistencyCheck
 | Create
 | Destroy


pt | AddAsLast (TLinkList)
 | Clear (TLinkList)
 | ConsistencyCheck (TLinkList)
 | Create (TLinkList)
pt | CreateItem (TLinkList)
 | Delete (TLinkList)
 | Destroy (TLinkList)
pt | GetNewItem (TLinkList)
 | MoveToLast (TLinkList)


TLinkList


TLinkList.AddAsLast

Declaration

Source position: lazlinkedlist.pas line 44

protected procedure TLinkList.AddAsLast(

  AnItem: TLinkListItem

);


TLinkList.Clear

Declaration

Source position: lazlinkedlist.pas line 51

public procedure TLinkList.Clear;


TLinkList.ConsistencyCheck

Declaration

Source position: lazlinkedlist.pas line 52

public function TLinkList.ConsistencyCheck: Integer;


TLinkList.Count

Declaration

Source position: lazlinkedlist.pas line 48

public property TLinkList.Count : Integer
  read FCount;


TLinkList.Create

Declaration

Source position: lazlinkedlist.pas line 53

public constructor TLinkList.Create;


TLinkList.CreateItem

Declaration

Source position: lazlinkedlist.pas line 42

protected function TLinkList.CreateItem: TLinkListItem; virtual; abstract;


TLinkList.Delete

Declaration

Source position: lazlinkedlist.pas line 49

public procedure TLinkList.Delete(

  AnItem: TLinkListItem

);


TLinkList.Destroy

Declaration

Source position: lazlinkedlist.pas line 54

public destructor TLinkList.Destroy; override;


TLinkList.First

Declaration

Source position: lazlinkedlist.pas line 46

public property TLinkList.First : TLinkListItem
  read FFirst;


TLinkList.GetNewItem

Declaration

Source position: lazlinkedlist.pas line 43

protected function TLinkList.GetNewItem: TLinkListItem;


TLinkList.Last

Declaration

Source position: lazlinkedlist.pas line 47

public property TLinkList.Last : TLinkListItem
  read FLast;


TLinkList.MoveToLast

Declaration

Source position: lazlinkedlist.pas line 50

public procedure TLinkList.MoveToLast(

  AnItem: TLinkListItem

);


TLinkListItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlinkedlist.pas line 26

type TLinkListItem = class

  Next: TLinkListItem;

  Prior: TLinkListItem;

  procedure ResetItem; virtual;

end;

Inheritance

TLinkListItem

|

TObject


TLinkListItem


TLinkListItem

ResetItem


TLinkListItem.Next

Declaration

Source position: lazlinkedlist.pas line 27

TLinkListItem.Next : TLinkListItem;


TLinkListItem.Prior

Declaration

Source position: lazlinkedlist.pas line 28

TLinkListItem.Prior : TLinkListItem;


TLinkListItem.ResetItem

Declaration

Source position: lazlinkedlist.pas line 29

procedure TLinkListItem.ResetItem; virtual;


TLazDualCapacityList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 307

type TLazDualCapacityList = class

public

  constructor Create();

  destructor Destroy; override;

  function Add();

  procedure Clear; virtual;

  procedure Delete();

  procedure Insert();

  property Capacity: Integer; [rw]

  property Count: Integer; [rw]

  property ItemPointer []: Pointer; [r]

end;

Inheritance

TLazDualCapacityList
|

TObject


TLazDualCapacityList
 |  | Capacity
 |  | Count
 | ro | ItemPointer


ro | ItemPointer (TLazDualCapacityList)


TLazDualCapacityList
 | Create
 | Destroy
 | Add
 | Clear
 | Delete
 | Insert


Add (TLazDualCapacityList)

Clear (TLazDualCapacityList)

Create (TLazDualCapacityList)

Delete (TLazDualCapacityList)

Destroy (TLazDualCapacityList)

Insert (TLazDualCapacityList)


TLazDualCapacityList


TLazDualCapacityList.Add

Declaration

Source position: lazlistclasses.pas line 319

public function TLazDualCapacityList.Add(

  ItemPointer: Pointer

):Integer;


TLazDualCapacityList.Capacity

Declaration

Source position: lazlistclasses.pas line 324

public property TLazDualCapacityList.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazDualCapacityList.Clear

Declaration

Source position: lazlistclasses.pas line 320

public procedure TLazDualCapacityList.Clear; virtual;


TLazDualCapacityList.Count

Declaration

Source position: lazlistclasses.pas line 325

public property TLazDualCapacityList.Count : Integer
  read GetCount
  write SetCount;


TLazDualCapacityList.Create

Declaration

Source position: lazlistclasses.pas line 316

public constructor TLazDualCapacityList.Create(

  AnItemSize: Integer

);


TLazDualCapacityList.Delete

Declaration

Source position: lazlistclasses.pas line 321

public procedure TLazDualCapacityList.Delete(

  Index: Integer

);


TLazDualCapacityList.Destroy

Declaration

Source position: lazlistclasses.pas line 317

public destructor TLazDualCapacityList.Destroy; override;


TLazDualCapacityList.Insert

Declaration

Source position: lazlistclasses.pas line 323

public procedure TLazDualCapacityList.Insert(

  Index: Integer;

  ItemPointer: Pointer

);


TLazDualCapacityList.ItemPointer

Declaration

Source position: lazlistclasses.pas line 326

public property TLazDualCapacityList.ItemPointer[Index: Integer] : Pointer
  read GetItemPointer;


TLazDualCapacityListMem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 123

type TLazDualCapacityListMem = object()

public

  procedure Create();

end;

Inheritance

TLazDualCapacityListMem

?


TLazDualCapacityListMem


TLazDualCapacityListMem

Create


TLazDualCapacityListMem.Create

Declaration

Source position: lazlistclasses.pas line 125

public procedure TLazDualCapacityListMem.Create(

  AnItemSize: Integer

);


TLazDualCapacityListMemBase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 92

type generic TLazDualCapacityListMemBase <TPItemT,TSizeT>= class

protected

  function GrowCapacity();

  function ShrinkCapacity();

  procedure SetCapacityEx();

  procedure InsertRowsEx();

  procedure DeleteRowsEx();

public

  procedure Create;

  procedure Destroy;

  procedure InsertRows();

  procedure DeleteRows();

  procedure SwapEntries();

  procedure DebugDump;

  property Capacity: Integer; [rw]

  property Count: Integer; [r]

  property ItemPointer []: TPItemT; [r]

end;

Inheritance

TLazDualCapacityListMemBase
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazDualCapacityListMemBase
 |  | Capacity
 | ro | Count
 | ro | ItemPointer


ro | Count (TLazDualCapacityListMemBase)
ro | ItemPointer (TLazDualCapacityListMemBase)


TLazDualCapacityListMemBase
pt | GrowCapacity
pt | ShrinkCapacity
pt | SetCapacityEx
pt | InsertRowsEx
pt | DeleteRowsEx
 | Create
 | Destroy
 | InsertRows
 | DeleteRows
 | SwapEntries
 | DebugDump


pt | DeleteRowsEx (TLazDualCapacityListMemBase)
 | Destroy (TLazDualCapacityListMemBase)
pt | GrowCapacity (TLazDualCapacityListMemBase)
 | InsertRows (TLazDualCapacityListMemBase)
pt | InsertRowsEx (TLazDualCapacityListMemBase)
pt | SetCapacityEx (TLazDualCapacityListMemBase)
pt | ShrinkCapacity (TLazDualCapacityListMemBase)
 | SwapEntries (TLazDualCapacityListMemBase)


TLazDualCapacityListMemBase


TLazDualCapacityListMemBase.Capacity

Declaration

Source position: lazlistclasses.pas line 116

public property TLazDualCapacityListMemBase.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazDualCapacityListMemBase.Count

Declaration

Source position: lazlistclasses.pas line 117

public property TLazDualCapacityListMemBase.Count : Integer
  read GetCount;


TLazDualCapacityListMemBase.Create

Declaration

Source position: lazlistclasses.pas line 109

public procedure TLazDualCapacityListMemBase.Create;


TLazDualCapacityListMemBase.DebugDump

Declaration

Source position: lazlistclasses.pas line 114

public procedure TLazDualCapacityListMemBase.DebugDump;


TLazDualCapacityListMemBase.DeleteRows

Declaration

Source position: lazlistclasses.pas line 112

public procedure TLazDualCapacityListMemBase.DeleteRows(

  AIndex: Integer;

  ACount: Integer

);


TLazDualCapacityListMemBase.DeleteRowsEx

Declaration

Source position: lazlistclasses.pas line 107

protected procedure TLazDualCapacityListMemBase.DeleteRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AShrinkProc: TLazStorageMemShrinkProc

);


TLazDualCapacityListMemBase.Destroy

Declaration

Source position: lazlistclasses.pas line 110

public procedure TLazDualCapacityListMemBase.Destroy;


TLazDualCapacityListMemBase.GrowCapacity

Declaration

Source position: lazlistclasses.pas line 102

protected function TLazDualCapacityListMemBase.GrowCapacity(

  ARequired: Integer

):Integer;


TLazDualCapacityListMemBase.InsertRows

Declaration

Source position: lazlistclasses.pas line 111

public procedure TLazDualCapacityListMemBase.InsertRows(

  AIndex: Integer;

  ACount: Integer

);


TLazDualCapacityListMemBase.InsertRowsEx

Declaration

Source position: lazlistclasses.pas line 106

protected procedure TLazDualCapacityListMemBase.InsertRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AGrowProc: TLazStorageMemGrowProc

);


TLazDualCapacityListMemBase.ItemPointer

Declaration

Source position: lazlistclasses.pas line 118

public property TLazDualCapacityListMemBase.ItemPointer[Index: Integer] : TPItemT
  read GetItemPointer;


TLazDualCapacityListMemBase.SetCapacityEx

Declaration

Source position: lazlistclasses.pas line 105

protected procedure TLazDualCapacityListMemBase.SetCapacityEx(

  AValue: Integer;

  AnInsertPos: Integer;

  AnInsertSize: Integer

);


TLazDualCapacityListMemBase.ShrinkCapacity

Declaration

Source position: lazlistclasses.pas line 103

protected function TLazDualCapacityListMemBase.ShrinkCapacity(

  ARequired: Integer

):Integer;


TLazDualCapacityListMemBase.SwapEntries

Declaration

Source position: lazlistclasses.pas line 113

public procedure TLazDualCapacityListMemBase.SwapEntries(

  AIndex1: Integer;

  AIndex2: Integer

);


TLazFixedRoundBufferListMemBase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 226

type generic TLazFixedRoundBufferListMemBase <TPItemT,TSizeT>= class()

protected

  function GrowCapacity();

  function ShrinkCapacity();

  property Mem: TLazListClassesInternalMem; [r]

public

  procedure Create();

  procedure InsertRows();

  procedure DeleteRows();

end;

Inheritance

TLazFixedRoundBufferListMemBase

?


TLazFixedRoundBufferListMemBase

pt

ro

Mem


pt

ro

Mem (TLazFixedRoundBufferListMemBase)


TLazFixedRoundBufferListMemBase
pt | GrowCapacity
pt | ShrinkCapacity
 | Create
 | InsertRows
 | DeleteRows


pt | GrowCapacity (TLazFixedRoundBufferListMemBase)
 | InsertRows (TLazFixedRoundBufferListMemBase)
pt | ShrinkCapacity (TLazFixedRoundBufferListMemBase)


TLazFixedRoundBufferListMemBase


TLazFixedRoundBufferListMemBase.Create

Declaration

Source position: lazlistclasses.pas line 232

public procedure TLazFixedRoundBufferListMemBase.Create(

  AItemSize: TSizeT;

  ACapacity: Integer

);


TLazFixedRoundBufferListMemBase.DeleteRows

Declaration

Source position: lazlistclasses.pas line 234

public procedure TLazFixedRoundBufferListMemBase.DeleteRows(

  AIndex: Integer;

  ACount: Integer

);


TLazFixedRoundBufferListMemBase.GrowCapacity

Declaration

Source position: lazlistclasses.pas line 228

protected function TLazFixedRoundBufferListMemBase.GrowCapacity(

  ARequired: Integer

):Integer;


TLazFixedRoundBufferListMemBase.InsertRows

Declaration

Source position: lazlistclasses.pas line 233

public procedure TLazFixedRoundBufferListMemBase.InsertRows(

  AIndex: Integer;

  ACount: Integer

);


TLazFixedRoundBufferListMemBase.Mem

Declaration

Source position: lazlistclasses.pas line 230

protected property TLazFixedRoundBufferListMemBase.Mem : TLazListClassesInternalMem
  read FMem;


TLazFixedRoundBufferListMemBase.ShrinkCapacity

Declaration

Source position: lazlistclasses.pas line 229

protected function TLazFixedRoundBufferListMemBase.ShrinkCapacity(

  ARequired: Integer

):Integer;


TLazGenDualCapacityList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 331

type generic TLazGenDualCapacityList <T>= class

public

  constructor Create;

  destructor Destroy; override;

  function Add();

  procedure Clear; virtual;

  procedure Delete();

  function IndexOf();

  procedure Insert();

  function Remove();

  property Capacity: Integer; [rw]

  property Count: Integer; [rw]

  property ItemPointer []: PT; [r]

  property Items []: T; default; [rw]

end;

Inheritance

TLazGenDualCapacityList
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazGenDualCapacityList
 |  | Capacity
 |  | Count
 | ro | ItemPointer
 |  | Items


ro | ItemPointer (TLazGenDualCapacityList)
 | Items (TLazGenDualCapacityList)


TLazGenDualCapacityList
 | Create
 | Destroy
 | Add
 | Clear
 | Delete
 | IndexOf
 | Insert
 | Remove


Add (TLazGenDualCapacityList)

Clear (TLazGenDualCapacityList)

Create (TLazGenDualCapacityList)

Delete (TLazGenDualCapacityList)

Destroy (TLazGenDualCapacityList)

IndexOf (TLazGenDualCapacityList)

Insert (TLazGenDualCapacityList)

Remove (TLazGenDualCapacityList)


TLazGenDualCapacityList


TLazGenDualCapacityList.Add

Declaration

Source position: lazlistclasses.pas line 348

public function TLazGenDualCapacityList.Add(

  Item: T

):Integer;


TLazGenDualCapacityList.Capacity

Declaration

Source position: lazlistclasses.pas line 354

public property TLazGenDualCapacityList.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazGenDualCapacityList.Clear

Declaration

Source position: lazlistclasses.pas line 349

public procedure TLazGenDualCapacityList.Clear; virtual;


TLazGenDualCapacityList.Count

Declaration

Source position: lazlistclasses.pas line 355

public property TLazGenDualCapacityList.Count : Integer
  read GetCount
  write SetCount;


TLazGenDualCapacityList.Create

Declaration

Source position: lazlistclasses.pas line 345

public constructor TLazGenDualCapacityList.Create;


TLazGenDualCapacityList.Delete

Declaration

Source position: lazlistclasses.pas line 350

public procedure TLazGenDualCapacityList.Delete(

  Index: Integer

);


TLazGenDualCapacityList.Destroy

Declaration

Source position: lazlistclasses.pas line 346

public destructor TLazGenDualCapacityList.Destroy; override;


TLazGenDualCapacityList.IndexOf

Declaration

Source position: lazlistclasses.pas line 351

public function TLazGenDualCapacityList.IndexOf(

  Item: T

):Integer;


TLazGenDualCapacityList.Insert

Declaration

Source position: lazlistclasses.pas line 352

public procedure TLazGenDualCapacityList.Insert(

  Index: Integer;

  Item: T

);


TLazGenDualCapacityList.ItemPointer

Declaration

Source position: lazlistclasses.pas line 356

public property TLazGenDualCapacityList.ItemPointer[Index: Integer] : PT
  read GetItemPointer;


TLazGenDualCapacityList.Items

Declaration

Source position: lazlistclasses.pas line 357

public property TLazGenDualCapacityList.Items[Index: Integer] : T
  read Get
  write Put;
  default;


TLazGenDualCapacityList.Remove

Declaration

Source position: lazlistclasses.pas line 353

public function TLazGenDualCapacityList.Remove(

  Item: T

):Integer;


TLazGenDualCapacityListMem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 130

type generic TLazGenDualCapacityListMem <T>= class

protected

  FList: TListType;

  procedure InsertRowsEx();

  procedure DeleteRowsEx();

public

  procedure Create;

  procedure Destroy;

  procedure InsertRows();

  procedure DeleteRows();

  function IndexOf();

  property Capacity: Integer; [rw]

  property Count: Integer; [r]

  property ItemPointer []: PT; [r]

end;

Inheritance

TLazGenDualCapacityListMem
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazGenDualCapacityListMem
 |  | Capacity
 | ro | Count
 | ro | ItemPointer


ro | Count (TLazGenDualCapacityListMem)
ro | ItemPointer (TLazGenDualCapacityListMem)


TLazGenDualCapacityListMem
pt | InsertRowsEx
pt | DeleteRowsEx
 | Create
 | Destroy
 | InsertRows
 | DeleteRows
 | IndexOf


pt | DeleteRowsEx (TLazGenDualCapacityListMem)
 | Destroy (TLazGenDualCapacityListMem)
 | IndexOf (TLazGenDualCapacityListMem)
 | InsertRows (TLazGenDualCapacityListMem)
pt | InsertRowsEx (TLazGenDualCapacityListMem)


TLazGenDualCapacityListMem


TLazGenDualCapacityListMem.Capacity

Declaration

Source position: lazlistclasses.pas line 151

public property TLazGenDualCapacityListMem.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazGenDualCapacityListMem.Count

Declaration

Source position: lazlistclasses.pas line 152

public property TLazGenDualCapacityListMem.Count : Integer
  read GetCount;


TLazGenDualCapacityListMem.Create

Declaration

Source position: lazlistclasses.pas line 145

public procedure TLazGenDualCapacityListMem.Create;


TLazGenDualCapacityListMem.DeleteRows

Declaration

Source position: lazlistclasses.pas line 148

public procedure TLazGenDualCapacityListMem.DeleteRows(

  AIndex: Integer;

  ACount: Integer

);


TLazGenDualCapacityListMem.DeleteRowsEx

Declaration

Source position: lazlistclasses.pas line 143

protected procedure TLazGenDualCapacityListMem.DeleteRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AShrinkProc: TLazStorageMemShrinkProc

);


TLazGenDualCapacityListMem.Destroy

Declaration

Source position: lazlistclasses.pas line 146

public procedure TLazGenDualCapacityListMem.Destroy;


TLazGenDualCapacityListMem.FList

Declaration

Source position: lazlistclasses.pas line 141

protected TLazGenDualCapacityListMem.FList : TListType;


TLazGenDualCapacityListMem.IndexOf

Declaration

Source position: lazlistclasses.pas line 149

public function TLazGenDualCapacityListMem.IndexOf(

  AnItem: T

):Integer;


TLazGenDualCapacityListMem.InsertRows

Declaration

Source position: lazlistclasses.pas line 147

public procedure TLazGenDualCapacityListMem.InsertRows(

  AIndex: Integer;

  ACount: Integer

);


TLazGenDualCapacityListMem.InsertRowsEx

Declaration

Source position: lazlistclasses.pas line 142

protected procedure TLazGenDualCapacityListMem.InsertRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AGrowProc: TLazStorageMemGrowProc

);


TLazGenDualCapacityListMem.ItemPointer

Declaration

Source position: lazlistclasses.pas line 153

public property TLazGenDualCapacityListMem.ItemPointer[Index: Integer] : PT
  read GetItemPointer;


TLazGenRoundBufferListMem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 198

type generic TLazGenRoundBufferListMem <T>= class

protected

  FList: TListType;

  procedure InsertRowsEx();

  procedure DeleteRowsEx();

public

  procedure Create;

  procedure Destroy;

  procedure InsertRows();

  procedure DeleteRows();

  function IndexOf();

  property Capacity: Integer; [rw]

  property Count: Integer; [r]

  property ItemPointer []: PT; [r]

end;

Inheritance

TLazGenRoundBufferListMem
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazGenRoundBufferListMem
 |  | Capacity
 | ro | Count
 | ro | ItemPointer


ro | Count (TLazGenRoundBufferListMem)
ro | ItemPointer (TLazGenRoundBufferListMem)


TLazGenRoundBufferListMem
pt | InsertRowsEx
pt | DeleteRowsEx
 | Create
 | Destroy
 | InsertRows
 | DeleteRows
 | IndexOf


pt | DeleteRowsEx (TLazGenRoundBufferListMem)
 | Destroy (TLazGenRoundBufferListMem)
 | IndexOf (TLazGenRoundBufferListMem)
 | InsertRows (TLazGenRoundBufferListMem)
pt | InsertRowsEx (TLazGenRoundBufferListMem)


TLazGenRoundBufferListMem


TLazGenRoundBufferListMem.Capacity

Declaration

Source position: lazlistclasses.pas line 219

public property TLazGenRoundBufferListMem.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazGenRoundBufferListMem.Count

Declaration

Source position: lazlistclasses.pas line 220

public property TLazGenRoundBufferListMem.Count : Integer
  read GetCount;


TLazGenRoundBufferListMem.Create

Declaration

Source position: lazlistclasses.pas line 213

public procedure TLazGenRoundBufferListMem.Create;


TLazGenRoundBufferListMem.DeleteRows

Declaration

Source position: lazlistclasses.pas line 216

public procedure TLazGenRoundBufferListMem.DeleteRows(

  AIndex: Integer;

  ACount: Integer

);


TLazGenRoundBufferListMem.DeleteRowsEx

Declaration

Source position: lazlistclasses.pas line 211

protected procedure TLazGenRoundBufferListMem.DeleteRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AShrinkProc: TLazStorageMemShrinkProc

);


TLazGenRoundBufferListMem.Destroy

Declaration

Source position: lazlistclasses.pas line 214

public procedure TLazGenRoundBufferListMem.Destroy;


TLazGenRoundBufferListMem.FList

Declaration

Source position: lazlistclasses.pas line 209

protected TLazGenRoundBufferListMem.FList : TListType;


TLazGenRoundBufferListMem.IndexOf

Declaration

Source position: lazlistclasses.pas line 217

public function TLazGenRoundBufferListMem.IndexOf(

  AnItem: T

):Integer;


TLazGenRoundBufferListMem.InsertRows

Declaration

Source position: lazlistclasses.pas line 215

public procedure TLazGenRoundBufferListMem.InsertRows(

  AIndex: Integer;

  ACount: Integer

);


TLazGenRoundBufferListMem.InsertRowsEx

Declaration

Source position: lazlistclasses.pas line 210

protected procedure TLazGenRoundBufferListMem.InsertRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AGrowProc: TLazStorageMemGrowProc

);


TLazGenRoundBufferListMem.ItemPointer

Declaration

Source position: lazlistclasses.pas line 221

public property TLazGenRoundBufferListMem.ItemPointer[Index: Integer] : PT
  read GetItemPointer;


TLazListClassesInternalMem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 61

type TLazListClassesInternalMem = object

public

  procedure Init;

  procedure Alloc();

  procedure Free;

  function IsAllocated;

  property Capacity: Cardinal; [rw]

  property Count: Integer; [rw]

  property DataPointer: PByte; [r]

  property FirstItemPointer: PByte; [rw]

end;

Inheritance

TLazListClassesInternalMem
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazListClassesInternalMem
 |  | Capacity
 |  | Count
 | ro | DataPointer
 |  | FirstItemPointer


ro | DataPointer (TLazListClassesInternalMem)
 | FirstItemPointer (TLazListClassesInternalMem)


TLazListClassesInternalMem
 | Init
 | Alloc
 | Free
 | IsAllocated


Alloc (TLazListClassesInternalMem)

Free (TLazListClassesInternalMem)

Init (TLazListClassesInternalMem)

IsAllocated (TLazListClassesInternalMem)


TLazListClassesInternalMem


TLazListClassesInternalMem.Alloc

Declaration

Source position: lazlistclasses.pas line 80

public procedure TLazListClassesInternalMem.Alloc(

  AByteSize: Integer

);


TLazListClassesInternalMem.Capacity

Declaration

Source position: lazlistclasses.pas line 84

public property TLazListClassesInternalMem.Capacity : Cardinal
  read GetCapacity
  write SetCapacity;


TLazListClassesInternalMem.Count

Declaration

Source position: lazlistclasses.pas line 85

public property TLazListClassesInternalMem.Count : Integer
  read GetCount
  write SetCount;


TLazListClassesInternalMem.DataPointer

Declaration

Source position: lazlistclasses.pas line 86

public property TLazListClassesInternalMem.DataPointer : PByte
  read GetDataPointer;


TLazListClassesInternalMem.FirstItemPointer

Declaration

Source position: lazlistclasses.pas line 87

public property TLazListClassesInternalMem.FirstItemPointer : PByte
  read GetFirstItemPointer
  write SetFirstItemPointer;


TLazListClassesInternalMem.Free

Declaration

Source position: lazlistclasses.pas line 81

public procedure TLazListClassesInternalMem.Free;


TLazListClassesInternalMem.Init

Declaration

Source position: lazlistclasses.pas line 79

public procedure TLazListClassesInternalMem.Init;


TLazListClassesInternalMem.IsAllocated

Declaration

Source position: lazlistclasses.pas line 82

public function TLazListClassesInternalMem.IsAllocated: Boolean;


TLazListClassesItemSize

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 48

type generic TLazListClassesItemSize <T>= class

protected

Const

  ItemSize = SizeOf(T)

end;

Inheritance

TLazListClassesItemSize
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazListClassesItemSize


TLazListClassesItemSize.ItemSize

Declaration

Source position: lazlistclasses.pas line 51

protected const TLazListClassesItemSize.ItemSize = SizeOf(T);


TLazListClassesVarItemSize

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 54

type TLazListClassesVarItemSize = object

protected

  ItemSize: Integer;

end;

Inheritance

TLazListClassesVarItemSize
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazListClassesVarItemSize


TLazListClassesVarItemSize.ItemSize

Declaration

Source position: lazlistclasses.pas line 56

protected TLazListClassesVarItemSize.ItemSize : Integer;


TLazPagedListMem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 300

type TLazPagedListMem = object(TLazPagedListMemParent)

public

  procedure Create();

end;

Inheritance

TLazPagedListMem

TLazPagedListMemParent
?


TLazPagedListMem


TLazPagedListMem

Create


TLazPagedListMem.Create

Declaration

Source position: lazlistclasses.pas line 302

public procedure TLazPagedListMem.Create(

  AnPageSiteExp: Integer;

  AnItemSize: Integer

);


TLazPagedListMemBase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 239

type generic TLazPagedListMemBase <TPItemT,TSizeT>= class

protected

  function GrowCapacity();

  function ShrinkCapacity();

  procedure InsertPages();

  procedure InsertFilledPages();

  procedure DeletePages();

  property PagePointer []: PPageType; [r]

public

  procedure Create();

  procedure Destroy;

  procedure InsertRows();

  procedure DeleteRows();

  procedure DebugDump;

  property Capacity: Integer; [rw]

  property Count: Integer; [r]

  property PageCount: Integer; [r]

  property ItemPointer []: TPItemT; [r]

  property GrowProc: TLazStorageMemGrowProc; [rw]

  property ShrinkProc: TLazStorageMemShrinkProc; [rw]

end;

Inheritance

TLazPagedListMemBase
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazPagedListMemBase
pt | ro | PagePointer
 |  | Capacity
 | ro | Count
 | ro | PageCount
 | ro | ItemPointer
 |  | GrowProc
 |  | ShrinkProc


 | ro | Count (TLazPagedListMemBase)
 |  | GrowProc (TLazPagedListMemBase)
 | ro | ItemPointer (TLazPagedListMemBase)
 | ro | PageCount (TLazPagedListMemBase)
pt | ro | PagePointer (TLazPagedListMemBase)
 |  | ShrinkProc (TLazPagedListMemBase)


TLazPagedListMemBase
pt | GrowCapacity
pt | ShrinkCapacity
pt | InsertPages
pt | InsertFilledPages
pt | DeletePages
 | Create
 | Destroy
 | InsertRows
 | DeleteRows
 | DebugDump


pt | DeletePages (TLazPagedListMemBase)
 | DeleteRows (TLazPagedListMemBase)
 | Destroy (TLazPagedListMemBase)
pt | GrowCapacity (TLazPagedListMemBase)
pt | InsertFilledPages (TLazPagedListMemBase)
pt | InsertPages (TLazPagedListMemBase)
 | InsertRows (TLazPagedListMemBase)
pt | ShrinkCapacity (TLazPagedListMemBase)


TLazPagedListMemBase


TLazPagedListMemBase.Capacity

Declaration

Source position: lazlistclasses.pas line 290

public property TLazPagedListMemBase.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazPagedListMemBase.Count

Declaration

Source position: lazlistclasses.pas line 291

public property TLazPagedListMemBase.Count : Integer
  read FCount;


TLazPagedListMemBase.Create

Declaration

Source position: lazlistclasses.pas line 284

public procedure TLazPagedListMemBase.Create(

  AnPageSiteExp: Integer

);


TLazPagedListMemBase.DebugDump

Declaration

Source position: lazlistclasses.pas line 288

public procedure TLazPagedListMemBase.DebugDump;


TLazPagedListMemBase.DeletePages

Declaration

Source position: lazlistclasses.pas line 281

protected procedure TLazPagedListMemBase.DeletePages(

  AIndex: Integer;

  ACount: Integer

);


TLazPagedListMemBase.DeleteRows

Declaration

Source position: lazlistclasses.pas line 287

public procedure TLazPagedListMemBase.DeleteRows(

  AIndex: Integer;

  ACount: Integer

);


TLazPagedListMemBase.Destroy

Declaration

Source position: lazlistclasses.pas line 285

public procedure TLazPagedListMemBase.Destroy;


TLazPagedListMemBase.GrowCapacity

Declaration

Source position: lazlistclasses.pas line 275

protected function TLazPagedListMemBase.GrowCapacity(

  ARequiredPages: Integer

):Integer;


TLazPagedListMemBase.GrowProc

Declaration

Source position: lazlistclasses.pas line 294

public property TLazPagedListMemBase.GrowProc : TLazStorageMemGrowProc
  read FGrowProc
  write FGrowProc;


TLazPagedListMemBase.InsertFilledPages

Declaration

Source position: lazlistclasses.pas line 278

protected procedure TLazPagedListMemBase.InsertFilledPages(

  AIndex: Integer;

  ACount: Integer;

  AFillFirstCount: Integer = - 1;

  AFillLastCount: Integer = - 1;

  AExtraCapacityNeeded: Integer = 0

);


TLazPagedListMemBase.InsertPages

Declaration

Source position: lazlistclasses.pas line 277

protected procedure TLazPagedListMemBase.InsertPages(

  AIndex: Integer;

  ACount: Integer;

  AExtraCapacityNeeded: Integer = 0

);


TLazPagedListMemBase.InsertRows

Declaration

Source position: lazlistclasses.pas line 286

public procedure TLazPagedListMemBase.InsertRows(

  AIndex: Integer;

  ACount: Integer

);


TLazPagedListMemBase.ItemPointer

Declaration

Source position: lazlistclasses.pas line 293

public property TLazPagedListMemBase.ItemPointer[Index: Integer] : TPItemT
  read GetItemPointer;


TLazPagedListMemBase.PageCount

Declaration

Source position: lazlistclasses.pas line 292

public property TLazPagedListMemBase.PageCount : Integer
  read GetPageCount;


TLazPagedListMemBase.PagePointer

Declaration

Source position: lazlistclasses.pas line 282

protected property TLazPagedListMemBase.PagePointer[Index: Integer] : PPageType
  read GetPagePointer;


TLazPagedListMemBase.ShrinkCapacity

Declaration

Source position: lazlistclasses.pas line 276

protected function TLazPagedListMemBase.ShrinkCapacity(

  ARequiredPages: Integer

):Integer;


TLazPagedListMemBase.ShrinkProc

Declaration

Source position: lazlistclasses.pas line 295

public property TLazPagedListMemBase.ShrinkProc : TLazStorageMemShrinkProc
  read FShrinkProc
  write FShrinkProc;


TLazRoundBufferListMem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 191

type TLazRoundBufferListMem = object()

public

  procedure Create();

end;

Inheritance

TLazRoundBufferListMem

?


TLazRoundBufferListMem


TLazRoundBufferListMem

Create


TLazRoundBufferListMem.Create

Declaration

Source position: lazlistclasses.pas line 193

public procedure TLazRoundBufferListMem.Create(

  AnItemSize: Integer

);


TLazRoundBufferListMemBase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlistclasses.pas line 158

type generic TLazRoundBufferListMemBase <TPItemT,TSizeT>= class

protected

  function GrowCapacity();

  function ShrinkCapacity();

  procedure SetCapacityEx();

  procedure InsertRowsEx();

  procedure DeleteRowsEx();

public

  procedure Create;

  procedure Destroy;

  procedure InsertRows();

  procedure DeleteRows();

  procedure SwapEntries();

  procedure DebugDump;

  property Capacity: Integer; [rw]

  property Count: Integer; [r]

  property ItemPointer []: TPItemT; [r]

end;

Inheritance

TLazRoundBufferListMemBase
The latest version of this document can be found at lazarus-ccr.sourceforge.net .


TLazRoundBufferListMemBase
 |  | Capacity
 | ro | Count
 | ro | ItemPointer


ro | Count (TLazRoundBufferListMemBase)
ro | ItemPointer (TLazRoundBufferListMemBase)


TLazRoundBufferListMemBase
pt | GrowCapacity
pt | ShrinkCapacity
pt | SetCapacityEx
pt | InsertRowsEx
pt | DeleteRowsEx
 | Create
 | Destroy
 | InsertRows
 | DeleteRows
 | SwapEntries
 | DebugDump


pt | DeleteRowsEx (TLazRoundBufferListMemBase)
 | Destroy (TLazRoundBufferListMemBase)
pt | GrowCapacity (TLazRoundBufferListMemBase)
 | InsertRows (TLazRoundBufferListMemBase)
pt | InsertRowsEx (TLazRoundBufferListMemBase)
pt | SetCapacityEx (TLazRoundBufferListMemBase)
pt | ShrinkCapacity (TLazRoundBufferListMemBase)
 | SwapEntries (TLazRoundBufferListMemBase)


TLazRoundBufferListMemBase


TLazRoundBufferListMemBase.Capacity

Declaration

Source position: lazlistclasses.pas line 184

public property TLazRoundBufferListMemBase.Capacity : Integer
  read GetCapacity
  write SetCapacity;


TLazRoundBufferListMemBase.Count

Declaration

Source position: lazlistclasses.pas line 185

public property TLazRoundBufferListMemBase.Count : Integer
  read GetCount;


TLazRoundBufferListMemBase.Create

Declaration

Source position: lazlistclasses.pas line 177

public procedure TLazRoundBufferListMemBase.Create;


TLazRoundBufferListMemBase.DebugDump

Declaration

Source position: lazlistclasses.pas line 182

public procedure TLazRoundBufferListMemBase.DebugDump;


TLazRoundBufferListMemBase.DeleteRows

Declaration

Source position: lazlistclasses.pas line 180

public procedure TLazRoundBufferListMemBase.DeleteRows(

  AIndex: Integer;

  ACount: Integer

);


TLazRoundBufferListMemBase.DeleteRowsEx

Declaration

Source position: lazlistclasses.pas line 175

protected procedure TLazRoundBufferListMemBase.DeleteRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AShrinkProc: TLazStorageMemShrinkProc

);


TLazRoundBufferListMemBase.Destroy

Declaration

Source position: lazlistclasses.pas line 178

public procedure TLazRoundBufferListMemBase.Destroy;


TLazRoundBufferListMemBase.GrowCapacity

Declaration

Source position: lazlistclasses.pas line 170

protected function TLazRoundBufferListMemBase.GrowCapacity(

  ARequired: Integer

):Integer;


TLazRoundBufferListMemBase.InsertRows

Declaration

Source position: lazlistclasses.pas line 179

public procedure TLazRoundBufferListMemBase.InsertRows(

  AIndex: Integer;

  ACount: Integer

);


TLazRoundBufferListMemBase.InsertRowsEx

Declaration

Source position: lazlistclasses.pas line 174

protected procedure TLazRoundBufferListMemBase.InsertRowsEx(

  AIndex: Integer;

  ACount: Integer;

  AGrowProc: TLazStorageMemGrowProc

);


TLazRoundBufferListMemBase.ItemPointer

Declaration

Source position: lazlistclasses.pas line 186

public property TLazRoundBufferListMemBase.ItemPointer[Index: Integer] : TPItemT
  read GetItemPointer;


TLazRoundBufferListMemBase.SetCapacityEx

Declaration

Source position: lazlistclasses.pas line 173

protected procedure TLazRoundBufferListMemBase.SetCapacityEx(

  AValue: Integer;

  AnInsertPos: Integer;

  AnInsertSize: Integer

);


TLazRoundBufferListMemBase.ShrinkCapacity

Declaration

Source position: lazlistclasses.pas line 171

protected function TLazRoundBufferListMemBase.ShrinkCapacity(

  ARequired: Integer

):Integer;


TLazRoundBufferListMemBase.SwapEntries

Declaration

Source position: lazlistclasses.pas line 181

public procedure TLazRoundBufferListMemBase.SwapEntries(

  AIndex1: Integer;

  AIndex2: Integer

);


TLazLoggerFile

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlogger.pas line 70

type TLazLoggerFile = class(TLazLoggerWithGroupParam)

protected

  procedure DoInit; override;

  procedure DoFinsh; override;

  procedure IncreaseIndent();

  procedure DecreaseIndent();

  procedure IndentChanged; override;

  procedure CreateIndent; virtual;

  function GetBlockHandler(); override;

  procedure ClearAllBlockHandler;

  procedure DoDbgOut(); override;

  procedure DoDebugLn(); override;

  procedure DoDebuglnStack(); override;

  property FileHandle: TLazLoggerFileHandle; [rw]

public

  constructor Create;

  destructor Destroy; override;

  procedure Assign(); override;

  function CurrentIndentLevel; override;

  property ParamForLogFileName: string; [rw]

  property EnvironmentForLogFileName: string; [rw]

  property OnDebugLn: TLazLoggerWriteEvent; [rw]

  property OnDbgOut: TLazLoggerWriteEvent; [rw]

  procedure AddBlockHandler(); override;

  procedure RemoveBlockHandler(); override;

  function BlockHandlerCount; override;

  property LogName: string; [rw]

  property UseStdOut: Boolean; [rw]

  property CloseLogFileBetweenWrites: Boolean; [rw]

end;

Inheritance

TLazLoggerFile
|

TLazLoggerWithGroupParam

|

TLazLogger

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerFile
pt |  | FileHandle
 |  | ParamForLogFileName
 |  | EnvironmentForLogFileName
 |  | LogName
 |  | UseStdOut
 |  | CloseLogFileBetweenWrites
TLazLoggerWithGroupParam
 |  | ParamForEnabledLogGroups
TLazLogger
pt | ro | IsInitialized
 |  | NestLvlIndent
 |  | MaxNestPrefixLen
 | ro | LogGroupList
 |  | UseGlobalLogGroupList
 | ro | BlockHandler
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | BlockHandler (TLazLogger)
 |  | CloseLogFileBetweenWrites (TLazLoggerFile)
 |  | EnvironmentForLogFileName (TLazLoggerFile)
pt |  | FileHandle (TLazLoggerFile)
pt | ro | IsInitialized (TLazLogger)
 | ro | LogGroupList (TLazLogger)
 |  | LogName (TLazLoggerFile)
 |  | MaxNestPrefixLen (TLazLogger)
 |  | NestLvlIndent (TLazLogger)
 |  | ParamForEnabledLogGroups (TLazLoggerWithGroupParam)
 |  | ParamForLogFileName (TLazLoggerFile)
pt | ro | RefCount (TRefCountedObject)
 |  | UseGlobalLogGroupList (TLazLogger)
 |  | UseStdOut (TLazLoggerFile)


TLazLoggerFile
pt | DoInit
pt | DoFinsh
pt | IncreaseIndent
pt | DecreaseIndent
pt | IndentChanged
pt | CreateIndent
pt | GetBlockHandler
pt | ClearAllBlockHandler
pt | DoDbgOut
pt | DoDebugLn
pt | DoDebuglnStack
 | Create
 | Destroy
 | Assign
 | CurrentIndentLevel
 | AddBlockHandler
 | RemoveBlockHandler
 | BlockHandlerCount
TLazLoggerWithGroupParam
 | Create
 | Assign
 | RegisterLogGroup
 | FindOrRegisterLogGroup
TLazLogger
pt | DoInit
pt | DoFinsh
pt | IncreaseIndent
pt | DecreaseIndent
pt | IndentChanged
pt | GetBlockHandler
pt | DoDbgOut
pt | DoDebugLn
pt | DoDebuglnStack
pt | ArgsToString
 | Create
 | Destroy
 | Assign
 | Init
 | Finish
 | CurrentIndentLevel
 | RegisterLogGroup
 | FindOrRegisterLogGroup
 | AddBlockHandler
 | RemoveBlockHandler
 | BlockHandlerCount
 | DebuglnStack
 | DbgOut
 | DebugLn
 | DebugLnEnter
 | DebugLnExit
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddBlockHandler (TLazLogger)
 | AddBlockHandler (TLazLoggerFile)
 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
pt | ArgsToString (TLazLogger)
 | Assign (TLazLogger)
 | Assign (TLazLoggerWithGroupParam)
 | Assign (TLazLoggerFile)
 | BlockHandlerCount (TLazLogger)
 | BlockHandlerCount (TLazLoggerFile)
pt | ClearAllBlockHandler (TLazLoggerFile)
 | Create (TRefCountedObject)
 | Create (TLazLogger)
 | Create (TLazLoggerWithGroupParam)
 | Create (TLazLoggerFile)
pt | CreateIndent (TLazLoggerFile)
 | CurrentIndentLevel (TLazLogger)
 | CurrentIndentLevel (TLazLoggerFile)
 | DbgOut (TLazLogger)
 | DebugLn (TLazLogger)
 | DebugLnEnter (TLazLogger)
 | DebugLnExit (TLazLogger)
 | DebuglnStack (TLazLogger)
pt | DecreaseIndent (TLazLogger)
pt | DecreaseIndent (TLazLoggerFile)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
 | Destroy (TLazLogger)
 | Destroy (TLazLoggerFile)
pt | DoDbgOut (TLazLogger)
pt | DoDbgOut (TLazLoggerFile)
pt | DoDebugLn (TLazLogger)
pt | DoDebugLn (TLazLoggerFile)
pt | DoDebuglnStack (TLazLogger)
pt | DoDebuglnStack (TLazLoggerFile)
pt | DoFinsh (TLazLogger)
pt | DoFinsh (TLazLoggerFile)
pt | DoFree (TRefCountedObject)
pt | DoInit (TLazLogger)
pt | DoInit (TLazLoggerFile)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | FindOrRegisterLogGroup (TLazLogger)
 | FindOrRegisterLogGroup (TLazLoggerWithGroupParam)
 | Finish (TLazLogger)
pt | GetBlockHandler (TLazLogger)
pt | GetBlockHandler (TLazLoggerFile)
pt | IncreaseIndent (TLazLogger)
pt | IncreaseIndent (TLazLoggerFile)
pt | IndentChanged (TLazLogger)
pt | IndentChanged (TLazLoggerFile)
 | Init (TLazLogger)
 | RegisterLogGroup (TLazLogger)
 | RegisterLogGroup (TLazLoggerWithGroupParam)
 | ReleaseReference (TRefCountedObject)
 | RemoveBlockHandler (TLazLogger)
 | RemoveBlockHandler (TLazLoggerFile)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerFile
 | OnDebugLn
 | OnDbgOut
TLazLoggerWithGroupParam
TLazLogger
TRefCountedObject
TFreeNotifyingObject


TLazLoggerFile.AddBlockHandler

Declaration

Source position: lazlogger.pas line 136

public procedure TLazLoggerFile.AddBlockHandler(

  AHandler: TLazLoggerBlockHandler

); override;


TLazLoggerFile.BlockHandlerCount

Declaration

Source position: lazlogger.pas line 138

public function TLazLoggerFile.BlockHandlerCount: Integer; override;


TLazLoggerFile.ClearAllBlockHandler

Declaration

Source position: lazlogger.pas line 112

protected procedure TLazLoggerFile.ClearAllBlockHandler;


TLazLoggerFile.CloseLogFileBetweenWrites

Declaration

Source position: lazlogger.pas line 143

public property TLazLoggerFile.CloseLogFileBetweenWrites : Boolean
  read GetCloseLogFileBetweenWrites
  write SetCloseLogFileBetweenWrites;


TLazLoggerFile.CreateIndent

Declaration

Source position: lazlogger.pas line 110

protected procedure TLazLoggerFile.CreateIndent; virtual;


TLazLoggerFile.CurrentIndentLevel

Declaration

Source position: lazlogger.pas line 124

public function TLazLoggerFile.CurrentIndentLevel: Integer; override;


TLazLoggerFile.DecreaseIndent

Declaration

Source position: lazlogger.pas line 106

protected procedure TLazLoggerFile.DecreaseIndent; override; overload;

procedure TLazLoggerFile.DecreaseIndent(

  LogGroup: PLazLoggerLogGroup

); override; overload;


TLazLoggerFile.Destroy

Declaration

Source position: lazlogger.pas line 122

public destructor TLazLoggerFile.Destroy; override;


TLazLoggerFile.DoDbgOut

Declaration

Source position: lazlogger.pas line 115

protected procedure TLazLoggerFile.DoDbgOut(

  const s: string

); override;


TLazLoggerFile.DoDebugLn

Declaration

Source position: lazlogger.pas line 116

protected procedure TLazLoggerFile.DoDebugLn(

  const s: string

); override;


TLazLoggerFile.DoDebuglnStack

Declaration

Source position: lazlogger.pas line 117

protected procedure TLazLoggerFile.DoDebuglnStack(

  const s: string

); override;


TLazLoggerFile.DoFinsh

Declaration

Source position: lazlogger.pas line 103

protected procedure TLazLoggerFile.DoFinsh; override;


TLazLoggerFile.DoInit

Declaration

Source position: lazlogger.pas line 102

protected procedure TLazLoggerFile.DoInit; override;


TLazLoggerFile.EnvironmentForLogFileName

Declaration

Source position: lazlogger.pas line 131

public property TLazLoggerFile.EnvironmentForLogFileName : string
  read FEnvironmentForLogFileName
  write SetEnvironmentForLogFileName;


TLazLoggerFile.FileHandle

Declaration

Source position: lazlogger.pas line 119

protected property TLazLoggerFile.FileHandle : TLazLoggerFileHandle
  read GetFileHandle
  write SetFileHandle;


TLazLoggerFile.GetBlockHandler

Declaration

Source position: lazlogger.pas line 111

protected function TLazLoggerFile.GetBlockHandler(

  AIndex: Integer

):TLazLoggerBlockHandler; override;


TLazLoggerFile.IncreaseIndent

Declaration

Source position: lazlogger.pas line 105

protected procedure TLazLoggerFile.IncreaseIndent; override; overload;

procedure TLazLoggerFile.IncreaseIndent(

  LogGroup: PLazLoggerLogGroup

); override; overload;


TLazLoggerFile.IndentChanged

Declaration

Source position: lazlogger.pas line 109

protected procedure TLazLoggerFile.IndentChanged; override;


TLazLoggerFile.LogName

Declaration

Source position: lazlogger.pas line 141

public property TLazLoggerFile.LogName : string
  read GetLogName
  write SetLogName;


TLazLoggerFile.OnDbgOut

Declaration

Source position: lazlogger.pas line 134

public property TLazLoggerFile.OnDbgOut : TLazLoggerWriteEvent
  read FOnDbgOut
  write FOnDbgOut;


TLazLoggerFile.OnDebugLn

Declaration

Source position: lazlogger.pas line 133

public property TLazLoggerFile.OnDebugLn : TLazLoggerWriteEvent
  read FOnDebugLn
  write FOnDebugLn;


TLazLoggerFile.ParamForLogFileName

Declaration

Source position: lazlogger.pas line 127

public property TLazLoggerFile.ParamForLogFileName : string
  read FParamForLogFileName
  write SetParamForLogFileName;


TLazLoggerFile.RemoveBlockHandler

Declaration

Source position: lazlogger.pas line 137

public procedure TLazLoggerFile.RemoveBlockHandler(

  AHandler: TLazLoggerBlockHandler

); override;


TLazLoggerFile.UseStdOut

Declaration

Source position: lazlogger.pas line 142

public property TLazLoggerFile.UseStdOut : Boolean
  read GetUseStdOut
  write SetUseStdOut;


TLazLoggerFileHandle

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazlogger.pas line 38

type TLazLoggerFileHandle = class

public

  constructor Create;

  destructor Destroy; override;

  procedure OpenFile;

  procedure CloseFile;

  procedure WriteToFile();

  procedure WriteLnToFile();

  property LogName: string; [rw]

  property UseStdOut: Boolean; [rw]

  property CloseLogFileBetweenWrites: Boolean; [rw]

  property WriteTarget: TLazLoggerWriteTarget; [r]

  property ActiveLogText: PText; [r]

end;

Inheritance

TLazLoggerFileHandle
|

TObject


TLazLoggerFileHandle
 |  | LogName
 |  | UseStdOut
 |  | CloseLogFileBetweenWrites
 | ro | WriteTarget
 | ro | ActiveLogText


ro | ActiveLogText (TLazLoggerFileHandle)
 | CloseLogFileBetweenWrites (TLazLoggerFileHandle)
 | LogName (TLazLoggerFileHandle)
 | UseStdOut (TLazLoggerFileHandle)
ro | WriteTarget (TLazLoggerFileHandle)


TLazLoggerFileHandle
 | Create
 | Destroy
 | OpenFile
 | CloseFile
 | WriteToFile
 | WriteLnToFile


CloseFile (TLazLoggerFileHandle)

Create (TLazLoggerFileHandle)

Destroy (TLazLoggerFileHandle)

OpenFile (TLazLoggerFileHandle)

WriteLnToFile (TLazLoggerFileHandle)

WriteToFile (TLazLoggerFileHandle)


TLazLoggerFileHandle


TLazLoggerFileHandle.ActiveLogText

Declaration

Source position: lazlogger.pas line 65

public property TLazLoggerFileHandle.ActiveLogText : PText
  read FActiveLogText;


TLazLoggerFileHandle.CloseFile

Declaration

Source position: lazlogger.pas line 56

public procedure TLazLoggerFileHandle.CloseFile;


TLazLoggerFileHandle.CloseLogFileBetweenWrites

Declaration

Source position: lazlogger.pas line 63

public property TLazLoggerFileHandle.CloseLogFileBetweenWrites : Boolean
  read FCloseLogFileBetweenWrites
  write SetCloseLogFileBetweenWrites;


TLazLoggerFileHandle.Create

Declaration

Source position: lazlogger.pas line 53

public constructor TLazLoggerFileHandle.Create;


TLazLoggerFileHandle.Destroy

Declaration

Source position: lazlogger.pas line 54

public destructor TLazLoggerFileHandle.Destroy; override;


TLazLoggerFileHandle.LogName

Declaration

Source position: lazlogger.pas line 61

public property TLazLoggerFileHandle.LogName : string
  read FLogName
  write SetLogName;


TLazLoggerFileHandle.OpenFile

Declaration

Source position: lazlogger.pas line 55

public procedure TLazLoggerFileHandle.OpenFile;


TLazLoggerFileHandle.UseStdOut

Declaration

Source position: lazlogger.pas line 62

public property TLazLoggerFileHandle.UseStdOut : Boolean
  read FUseStdOut
  write FUseStdOut;


TLazLoggerFileHandle.WriteLnToFile

Declaration

Source position: lazlogger.pas line 59

public procedure TLazLoggerFileHandle.WriteLnToFile(

  const s: string

);


TLazLoggerFileHandle.WriteTarget

Declaration

Source position: lazlogger.pas line 64

public property TLazLoggerFileHandle.WriteTarget : TLazLoggerWriteTarget
  read GetWriteTarget;


TLazLoggerFileHandle.WriteToFile

Declaration

Source position: lazlogger.pas line 58

public procedure TLazLoggerFileHandle.WriteToFile(

  const s: string

);


TLazLogger

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerbase.pas line 95

type TLazLogger = class(TRefCountedObject)

protected

  procedure DoInit; virtual;

  procedure DoFinsh; virtual;

  procedure IncreaseIndent();

  procedure DecreaseIndent();

  procedure IndentChanged; virtual;

  function GetBlockHandler(); virtual;

  procedure DoDbgOut(); virtual;

  procedure DoDebugLn(); virtual;

  procedure DoDebuglnStack(); virtual;

  function ArgsToString();

  property IsInitialized: Boolean; [r]

public

  constructor Create;

  destructor Destroy; override;

  procedure Assign(); virtual;

  procedure Init;

  procedure Finish;

  function CurrentIndentLevel; virtual;

  property NestLvlIndent: Integer; [rw]

  property MaxNestPrefixLen: Integer; [rw]

  function RegisterLogGroup();

  function FindOrRegisterLogGroup();

  property LogGroupList: TLazLoggerLogGroupList; [r]

  property UseGlobalLogGroupList: Boolean; [rw]

  procedure AddBlockHandler(); virtual;

  procedure RemoveBlockHandler(); virtual;

  function BlockHandlerCount; virtual;

  property BlockHandler []: TLazLoggerBlockHandler; [r]

  procedure DebuglnStack();

  procedure DbgOut();

  procedure DebugLn();

  procedure DebugLnEnter();

  procedure DebugLnExit();

end;

Inheritance

TLazLogger

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLogger
pt | ro | IsInitialized
 |  | NestLvlIndent
 |  | MaxNestPrefixLen
 | ro | LogGroupList
 |  | UseGlobalLogGroupList
 | ro | BlockHandler
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | BlockHandler (TLazLogger)
pt | ro | IsInitialized (TLazLogger)
 | ro | LogGroupList (TLazLogger)
 |  | MaxNestPrefixLen (TLazLogger)
 |  | NestLvlIndent (TLazLogger)
pt | ro | RefCount (TRefCountedObject)
 |  | UseGlobalLogGroupList (TLazLogger)


TLazLogger
pt | DoInit
pt | DoFinsh
pt | IncreaseIndent
pt | DecreaseIndent
pt | IndentChanged
pt | GetBlockHandler
pt | DoDbgOut
pt | DoDebugLn
pt | DoDebuglnStack
pt | ArgsToString
 | Create
 | Destroy
 | Assign
 | Init
 | Finish
 | CurrentIndentLevel
 | RegisterLogGroup
 | FindOrRegisterLogGroup
 | AddBlockHandler
 | RemoveBlockHandler
 | BlockHandlerCount
 | DebuglnStack
 | DbgOut
 | DebugLn
 | DebugLnEnter
 | DebugLnExit
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddBlockHandler (TLazLogger)
 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
pt | ArgsToString (TLazLogger)
 | Assign (TLazLogger)
 | BlockHandlerCount (TLazLogger)
 | Create (TRefCountedObject)
 | Create (TLazLogger)
 | CurrentIndentLevel (TLazLogger)
 | DbgOut (TLazLogger)
 | DebugLn (TLazLogger)
 | DebugLnEnter (TLazLogger)
 | DebugLnExit (TLazLogger)
 | DebuglnStack (TLazLogger)
pt | DecreaseIndent (TLazLogger)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
 | Destroy (TLazLogger)
pt | DoDbgOut (TLazLogger)
pt | DoDebugLn (TLazLogger)
pt | DoDebuglnStack (TLazLogger)
pt | DoFinsh (TLazLogger)
pt | DoFree (TRefCountedObject)
pt | DoInit (TLazLogger)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | FindOrRegisterLogGroup (TLazLogger)
 | Finish (TLazLogger)
pt | GetBlockHandler (TLazLogger)
pt | IncreaseIndent (TLazLogger)
pt | IndentChanged (TLazLogger)
 | Init (TLazLogger)
 | RegisterLogGroup (TLazLogger)
 | ReleaseReference (TRefCountedObject)
 | RemoveBlockHandler (TLazLogger)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLogger

TRefCountedObject

TFreeNotifyingObject


TLazLogger.AddBlockHandler

Declaration

Source position: lazloggerbase.pas line 146

public procedure TLazLogger.AddBlockHandler(

  AHandler: TLazLoggerBlockHandler

); virtual;


TLazLogger.ArgsToString

Declaration

Source position: lazloggerbase.pas line 125

protected function TLazLogger.ArgsToString(

  Args: array of Const

):string;


TLazLogger.Assign

Declaration

Source position: lazloggerbase.pas line 130

public procedure TLazLogger.Assign(

  Src: TLazLogger

); virtual;


TLazLogger.BlockHandler

Declaration

Source position: lazloggerbase.pas line 149

public property TLazLogger.BlockHandler[AIndex: Integer] : TLazLoggerBlockHandler
  read GetBlockHandler;


TLazLogger.BlockHandlerCount

Declaration

Source position: lazloggerbase.pas line 148

public function TLazLogger.BlockHandlerCount: Integer; virtual;


TLazLogger.Create

Declaration

Source position: lazloggerbase.pas line 128

public constructor TLazLogger.Create;


TLazLogger.CurrentIndentLevel

Declaration

Source position: lazloggerbase.pas line 134

public function TLazLogger.CurrentIndentLevel: Integer; virtual;


TLazLogger.DbgOut

Declaration

Source position: lazloggerbase.pas line 153

public procedure TLazLogger.DbgOut(

  const s: string = ''

); overload;

procedure TLazLogger.DbgOut(

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebugLn

Declaration

Source position: lazloggerbase.pas line 163

public procedure TLazLogger.DebugLn(

  const s: string = ''

); overload;

procedure TLazLogger.DebugLn(

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebugLnEnter

Declaration

Source position: lazloggerbase.pas line 173

public procedure TLazLogger.DebugLnEnter(

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnEnter(

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebugLnExit

Declaration

Source position: lazloggerbase.pas line 183

public procedure TLazLogger.DebugLnExit(

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnExit(

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebuglnStack

Declaration

Source position: lazloggerbase.pas line 151

public procedure TLazLogger.DebuglnStack(

  const s: string = ''

);

procedure TLazLogger.DebuglnStack(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

);


TLazLogger.DecreaseIndent

Declaration

Source position: lazloggerbase.pas line 115

protected procedure TLazLogger.DecreaseIndent; virtual; overload;

procedure TLazLogger.DecreaseIndent(

  LogGroup: PLazLoggerLogGroup

); virtual; overload;


TLazLogger.Destroy

Declaration

Source position: lazloggerbase.pas line 129

public destructor TLazLogger.Destroy; override;


TLazLogger.DoDbgOut

Declaration

Source position: lazloggerbase.pas line 121

protected procedure TLazLogger.DoDbgOut(

  const s: string

); virtual;


TLazLogger.DoDebugLn

Declaration

Source position: lazloggerbase.pas line 122

protected procedure TLazLogger.DoDebugLn(

  const s: string

); virtual;


TLazLogger.DoDebuglnStack

Declaration

Source position: lazloggerbase.pas line 123

protected procedure TLazLogger.DoDebuglnStack(

  const s: string

); virtual;


TLazLogger.DoFinsh

Declaration

Source position: lazloggerbase.pas line 112

protected procedure TLazLogger.DoFinsh; virtual;


TLazLogger.DoInit

Declaration

Source position: lazloggerbase.pas line 111

protected procedure TLazLogger.DoInit; virtual;


TLazLogger.FindOrRegisterLogGroup

Declaration

Source position: lazloggerbase.pas line 141

public function TLazLogger.FindOrRegisterLogGroup(

  const AConfigName: string;

  ADefaulEnabled: Boolean

):PLazLoggerLogGroup; virtual;

function TLazLogger.FindOrRegisterLogGroup(

  const AConfigName: string

):PLazLoggerLogGroup; virtual;


TLazLogger.Finish

Declaration

Source position: lazloggerbase.pas line 132

public procedure TLazLogger.Finish;


TLazLogger.GetBlockHandler

Declaration

Source position: lazloggerbase.pas line 119

protected function TLazLogger.GetBlockHandler(

  AIndex: Integer

):TLazLoggerBlockHandler; virtual;


TLazLogger.IncreaseIndent

Declaration

Source position: lazloggerbase.pas line 114

protected procedure TLazLogger.IncreaseIndent; virtual; overload;

procedure TLazLogger.IncreaseIndent(

  LogGroup: PLazLoggerLogGroup

); virtual; overload;


TLazLogger.IndentChanged

Declaration

Source position: lazloggerbase.pas line 118

protected procedure TLazLogger.IndentChanged; virtual;


TLazLogger.Init

Declaration

Source position: lazloggerbase.pas line 131

public procedure TLazLogger.Init;


TLazLogger.IsInitialized

Declaration

Source position: lazloggerbase.pas line 126

protected property TLazLogger.IsInitialized : Boolean
  read FIsInitialized;


TLazLogger.LogGroupList

Declaration

Source position: lazloggerbase.pas line 143

public property TLazLogger.LogGroupList : TLazLoggerLogGroupList
  read GetLogGroupList;


TLazLogger.MaxNestPrefixLen

Declaration

Source position: lazloggerbase.pas line 136

public property TLazLogger.MaxNestPrefixLen : Integer
  read FMaxNestPrefixLen
  write SetMaxNestPrefixLen;


TLazLogger.NestLvlIndent

Declaration

Source position: lazloggerbase.pas line 135

public property TLazLogger.NestLvlIndent : Integer
  read FNestLvlIndent
  write SetNestLvlIndent;


TLazLogger.RegisterLogGroup

Declaration

Source position: lazloggerbase.pas line 139

public function TLazLogger.RegisterLogGroup(

  const AConfigName: string;

  ADefaulEnabled: Boolean

):PLazLoggerLogGroup; virtual;

function TLazLogger.RegisterLogGroup(

  const AConfigName: string

):PLazLoggerLogGroup; virtual;


TLazLogger.RemoveBlockHandler

Declaration

Source position: lazloggerbase.pas line 147

public procedure TLazLogger.RemoveBlockHandler(

  AHandler: TLazLoggerBlockHandler

); virtual;


TLazLogger.UseGlobalLogGroupList

Declaration

Source position: lazloggerbase.pas line 144

public property TLazLogger.UseGlobalLogGroupList : Boolean
  read FUseGlobalLogGroupList
  write SetUseGlobalLogGroupList;


TLazLoggerBlockHandler

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerbase.pas line 63

type TLazLoggerBlockHandler = class(TRefCountedObject)

public

  procedure EnterBlock(); virtual; abstract;

  procedure ExitBlock(); virtual; abstract;

end;

Inheritance

TLazLoggerBlockHandler
|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerBlockHandler

TRefCountedObject

pt

ro

RefCount

TFreeNotifyingObject


TLazLoggerBlockHandler
 | EnterBlock
 | ExitBlock
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Create (TRefCountedObject)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | EnterBlock (TLazLoggerBlockHandler)
 | ExitBlock (TLazLoggerBlockHandler)
 | ReleaseReference (TRefCountedObject)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerBlockHandler

TRefCountedObject

TFreeNotifyingObject


TLazLoggerBlockHandler.EnterBlock

Declaration

Source position: lazloggerbase.pas line 65

public procedure TLazLoggerBlockHandler.EnterBlock(

  Sender: TLazLogger;

  Level: Integer

); virtual; abstract;


TLazLoggerBlockHandler.ExitBlock

Declaration

Source position: lazloggerbase.pas line 66

public procedure TLazLoggerBlockHandler.ExitBlock(

  Sender: TLazLogger;

  Level: Integer

); virtual; abstract;


TLazLoggerLogGroupList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerbase.pas line 71

type TLazLoggerLogGroupList = class(TRefCountedObject)

protected

  function Add();

  function FindOrAdd();

  procedure Remove();

public

  constructor Create;

  destructor Destroy; override;

  procedure Assign();

  function IndexOf();

  function Find();

  function Count;

  property Item []: PLazLoggerLogGroup; default; [r]

end;

Inheritance

TLazLoggerLogGroupList

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerLogGroupList
 | ro | Item
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | Item (TLazLoggerLogGroupList)
pt | ro | RefCount (TRefCountedObject)


TLazLoggerLogGroupList
pt | Add
pt | FindOrAdd
pt | Remove
 | Create
 | Destroy
 | Assign
 | IndexOf
 | Find
 | Count
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


pt | Add (TLazLoggerLogGroupList)
 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Assign (TLazLoggerLogGroupList)
 | Count (TLazLoggerLogGroupList)
 | Create (TRefCountedObject)
 | Create (TLazLoggerLogGroupList)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
 | Destroy (TLazLoggerLogGroupList)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | Find (TLazLoggerLogGroupList)
pt | FindOrAdd (TLazLoggerLogGroupList)
 | IndexOf (TLazLoggerLogGroupList)
 | ReleaseReference (TRefCountedObject)
pt | Remove (TLazLoggerLogGroupList)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerLogGroupList

TRefCountedObject

TFreeNotifyingObject


TLazLoggerLogGroupList.Add

Declaration

Source position: lazloggerbase.pas line 78

protected function TLazLoggerLogGroupList.Add(

  const AConfigName: string;

  ADefaulEnabled: Boolean = False

):PLazLoggerLogGroup;


TLazLoggerLogGroupList.Assign

Declaration

Source position: lazloggerbase.pas line 85

public procedure TLazLoggerLogGroupList.Assign(

  Src: TLazLoggerLogGroupList

);


TLazLoggerLogGroupList.Count

Declaration

Source position: lazloggerbase.pas line 89

public function TLazLoggerLogGroupList.Count: Integer;


TLazLoggerLogGroupList.Create

Declaration

Source position: lazloggerbase.pas line 83

public constructor TLazLoggerLogGroupList.Create;


TLazLoggerLogGroupList.Destroy

Declaration

Source position: lazloggerbase.pas line 84

public destructor TLazLoggerLogGroupList.Destroy; override;


TLazLoggerLogGroupList.Find

Declaration

Source position: lazloggerbase.pas line 88

public function TLazLoggerLogGroupList.Find(

  const AConfigName: string

):PLazLoggerLogGroup;


TLazLoggerLogGroupList.FindOrAdd

Declaration

Source position: lazloggerbase.pas line 79

protected function TLazLoggerLogGroupList.FindOrAdd(

  const AConfigName: string;

  ADefaulEnabled: Boolean = False

):PLazLoggerLogGroup;


TLazLoggerLogGroupList.IndexOf

Declaration

Source position: lazloggerbase.pas line 86

public function TLazLoggerLogGroupList.IndexOf(

  const AConfigName: string

):Integer;

function TLazLoggerLogGroupList.IndexOf(

  const AnEntry: PLazLoggerLogGroup

):Integer;


TLazLoggerLogGroupList.Item

Declaration

Source position: lazloggerbase.pas line 90

public property TLazLoggerLogGroupList.Item[Index: Integer] : PLazLoggerLogGroup
  read GetItem;
  default;


TLazLoggerLogGroupList.Remove

Declaration

Source position: lazloggerbase.pas line 80

protected procedure TLazLoggerLogGroupList.Remove(

  const AConfigName: string

);

procedure TLazLoggerLogGroupList.Remove(

  const AnEntry: PLazLoggerLogGroup

);


TLazLoggerNoOutput

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerbase.pas line 264

type TLazLoggerNoOutput = class(TLazLogger) end;

Inheritance

TLazLoggerNoOutput

|

TLazLogger

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerNoOutput
TLazLogger
pt | ro | IsInitialized
 |  | NestLvlIndent
 |  | MaxNestPrefixLen
 | ro | LogGroupList
 |  | UseGlobalLogGroupList
 | ro | BlockHandler
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


TLazLoggerNoOutput
TLazLogger
pt | DoInit
pt | DoFinsh
pt | IncreaseIndent
pt | DecreaseIndent
pt | IndentChanged
pt | GetBlockHandler
pt | DoDbgOut
pt | DoDebugLn
pt | DoDebuglnStack
pt | ArgsToString
 | Create
 | Destroy
 | Assign
 | Init
 | Finish
 | CurrentIndentLevel
 | RegisterLogGroup
 | FindOrRegisterLogGroup
 | AddBlockHandler
 | RemoveBlockHandler
 | BlockHandlerCount
 | DebuglnStack
 | DbgOut
 | DebugLn
 | DebugLnEnter
 | DebugLnExit
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


TLazLoggerNoOutput

TLazLogger

TRefCountedObject

TFreeNotifyingObject


TLazLoggerWithGroupParam

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerbase.pas line 244

type TLazLoggerWithGroupParam = class(TLazLogger)

public

  constructor Create;

  procedure Assign(); override;

  function RegisterLogGroup();

  function FindOrRegisterLogGroup();

  property ParamForEnabledLogGroups: string; [rw]

end;

Inheritance

TLazLoggerWithGroupParam

|

TLazLogger

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerWithGroupParam
 |  | ParamForEnabledLogGroups
TLazLogger
pt | ro | IsInitialized
 |  | NestLvlIndent
 |  | MaxNestPrefixLen
 | ro | LogGroupList
 |  | UseGlobalLogGroupList
 | ro | BlockHandler
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | BlockHandler (TLazLogger)
pt | ro | IsInitialized (TLazLogger)
 | ro | LogGroupList (TLazLogger)
 |  | MaxNestPrefixLen (TLazLogger)
 |  | NestLvlIndent (TLazLogger)
 |  | ParamForEnabledLogGroups (TLazLoggerWithGroupParam)
pt | ro | RefCount (TRefCountedObject)
 |  | UseGlobalLogGroupList (TLazLogger)


TLazLoggerWithGroupParam
 | Create
 | Assign
 | RegisterLogGroup
 | FindOrRegisterLogGroup
TLazLogger
pt | DoInit
pt | DoFinsh
pt | IncreaseIndent
pt | DecreaseIndent
pt | IndentChanged
pt | GetBlockHandler
pt | DoDbgOut
pt | DoDebugLn
pt | DoDebuglnStack
pt | ArgsToString
 | Create
 | Destroy
 | Assign
 | Init
 | Finish
 | CurrentIndentLevel
 | RegisterLogGroup
 | FindOrRegisterLogGroup
 | AddBlockHandler
 | RemoveBlockHandler
 | BlockHandlerCount
 | DebuglnStack
 | DbgOut
 | DebugLn
 | DebugLnEnter
 | DebugLnExit
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddBlockHandler (TLazLogger)
 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
pt | ArgsToString (TLazLogger)
 | Assign (TLazLogger)
 | Assign (TLazLoggerWithGroupParam)
 | BlockHandlerCount (TLazLogger)
 | Create (TRefCountedObject)
 | Create (TLazLogger)
 | Create (TLazLoggerWithGroupParam)
 | CurrentIndentLevel (TLazLogger)
 | DbgOut (TLazLogger)
 | DebugLn (TLazLogger)
 | DebugLnEnter (TLazLogger)
 | DebugLnExit (TLazLogger)
 | DebuglnStack (TLazLogger)
pt | DecreaseIndent (TLazLogger)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
 | Destroy (TLazLogger)
pt | DoDbgOut (TLazLogger)
pt | DoDebugLn (TLazLogger)
pt | DoDebuglnStack (TLazLogger)
pt | DoFinsh (TLazLogger)
pt | DoFree (TRefCountedObject)
pt | DoInit (TLazLogger)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | FindOrRegisterLogGroup (TLazLogger)
 | FindOrRegisterLogGroup (TLazLoggerWithGroupParam)
 | Finish (TLazLogger)
pt | GetBlockHandler (TLazLogger)
pt | IncreaseIndent (TLazLogger)
pt | IndentChanged (TLazLogger)
 | Init (TLazLogger)
 | RegisterLogGroup (TLazLogger)
 | RegisterLogGroup (TLazLoggerWithGroupParam)
 | ReleaseReference (TRefCountedObject)
 | RemoveBlockHandler (TLazLogger)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerWithGroupParam

TLazLogger

TRefCountedObject

TFreeNotifyingObject


TLazLoggerWithGroupParam.Assign

Declaration

Source position: lazloggerbase.pas line 254

public procedure TLazLoggerWithGroupParam.Assign(

  Src: TLazLogger

); override;


TLazLoggerWithGroupParam.Create

Declaration

Source position: lazloggerbase.pas line 253

public constructor TLazLoggerWithGroupParam.Create;


TLazLoggerWithGroupParam.FindOrRegisterLogGroup

Declaration

Source position: lazloggerbase.pas line 257

public function TLazLoggerWithGroupParam.FindOrRegisterLogGroup(

  const AConfigName: string

):PLazLoggerLogGroup; override;

function TLazLoggerWithGroupParam.FindOrRegisterLogGroup(

  const AConfigName: string;

  ADefaulEnabled: Boolean

):PLazLoggerLogGroup; override;


TLazLoggerWithGroupParam.ParamForEnabledLogGroups

Declaration

Source position: lazloggerbase.pas line 261

public property TLazLoggerWithGroupParam.ParamForEnabledLogGroups : string
  read FParamForEnabledLogGroups
  write SetParamForEnabledLogGroups;


TLazLoggerWithGroupParam.RegisterLogGroup

Declaration

Source position: lazloggerbase.pas line 255

public function TLazLoggerWithGroupParam.RegisterLogGroup(

  const AConfigName: string

):PLazLoggerLogGroup; override;

function TLazLoggerWithGroupParam.RegisterLogGroup(

  const AConfigName: string;

  ADefaulEnabled: Boolean

):PLazLoggerLogGroup; override;


TLazLogger

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerdummy.pas line 82

type TLazLogger = class(TRefCountedObject)

public

  procedure Assign(); virtual;

  procedure Init;

  procedure Finish;

  property NestLvlIndent: Integer; [rw]

  property MaxNestPrefixLen: Integer; [rw]

  function RegisterLogGroup();

  function FindOrRegisterLogGroup();

  property LogGroupList: TLazLoggerLogGroupList; [r]

  property UseGlobalLogGroupList: Boolean; [rw]

  procedure DebuglnStack();

  procedure DbgOut();

  procedure DebugLn();

  procedure DebugLnEnter();

  procedure DebugLnExit();

end;

Inheritance

TLazLogger

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLogger
 |  | NestLvlIndent
 |  | MaxNestPrefixLen
 | ro | LogGroupList
 |  | UseGlobalLogGroupList
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | LogGroupList (TLazLogger)
 |  | MaxNestPrefixLen (TLazLogger)
 |  | NestLvlIndent (TLazLogger)
pt | ro | RefCount (TRefCountedObject)
 |  | UseGlobalLogGroupList (TLazLogger)


TLazLogger
 | Assign
 | Init
 | Finish
 | RegisterLogGroup
 | FindOrRegisterLogGroup
 | DebuglnStack
 | DbgOut
 | DebugLn
 | DebugLnEnter
 | DebugLnExit
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Assign (TLazLogger)
 | Create (TRefCountedObject)
 | DbgOut (TLazLogger)
 | DebugLn (TLazLogger)
 | DebugLnEnter (TLazLogger)
 | DebugLnExit (TLazLogger)
 | DebuglnStack (TLazLogger)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | FindOrRegisterLogGroup (TLazLogger)
 | Finish (TLazLogger)
 | Init (TLazLogger)
 | RegisterLogGroup (TLazLogger)
 | ReleaseReference (TRefCountedObject)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLogger.Assign

Declaration

Source position: lazloggerdummy.pas line 92

public procedure TLazLogger.Assign(

  Src: TLazLogger

); virtual;


TLazLogger.DbgOut

Declaration

Source position: lazloggerdummy.pas line 109

public procedure TLazLogger.DbgOut(

  const s: string = ''

); overload;

procedure TLazLogger.DbgOut(

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebugLn

Declaration

Source position: lazloggerdummy.pas line 119

public procedure TLazLogger.DebugLn(

  const s: string = ''

); overload;

procedure TLazLogger.DebugLn(

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebugLnEnter

Declaration

Source position: lazloggerdummy.pas line 129

public procedure TLazLogger.DebugLnEnter(

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnEnter(

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebugLnExit

Declaration

Source position: lazloggerdummy.pas line 139

public procedure TLazLogger.DebugLnExit(

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnExit(

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure TLazLogger.DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


TLazLogger.DebuglnStack

Declaration

Source position: lazloggerdummy.pas line 107

public procedure TLazLogger.DebuglnStack(

  const s: string = ''

);

procedure TLazLogger.DebuglnStack(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

);


TLazLogger.FindOrRegisterLogGroup

Declaration

Source position: lazloggerdummy.pas line 102

public function TLazLogger.FindOrRegisterLogGroup(

  const AConfigName: string;

  ADefaulEnabled: Boolean

):PLazLoggerLogGroup; virtual;

function TLazLogger.FindOrRegisterLogGroup(

  const AConfigName: string

):PLazLoggerLogGroup; virtual;


TLazLogger.Finish

Declaration

Source position: lazloggerdummy.pas line 94

public procedure TLazLogger.Finish;


TLazLogger.Init

Declaration

Source position: lazloggerdummy.pas line 93

public procedure TLazLogger.Init;


TLazLogger.LogGroupList

Declaration

Source position: lazloggerdummy.pas line 104

public property TLazLogger.LogGroupList : TLazLoggerLogGroupList
  read GetLogGroupList;


TLazLogger.MaxNestPrefixLen

Declaration

Source position: lazloggerdummy.pas line 97

public property TLazLogger.MaxNestPrefixLen : Integer
  read FMaxNestPrefixLen
  write SetMaxNestPrefixLen;


TLazLogger.NestLvlIndent

Declaration

Source position: lazloggerdummy.pas line 96

public property TLazLogger.NestLvlIndent : Integer
  read FNestLvlIndent
  write SetNestLvlIndent;


TLazLogger.RegisterLogGroup

Declaration

Source position: lazloggerdummy.pas line 100

public function TLazLogger.RegisterLogGroup(

  const AConfigName: string;

  ADefaulEnabled: Boolean

):PLazLoggerLogGroup; virtual;

function TLazLogger.RegisterLogGroup(

  const AConfigName: string

):PLazLoggerLogGroup; virtual;


TLazLogger.UseGlobalLogGroupList

Declaration

Source position: lazloggerdummy.pas line 105

public property TLazLogger.UseGlobalLogGroupList : Boolean
  read FUseGlobalLogGroupList
  write SetUseGlobalLogGroupList;


TLazLoggerBlockHandler

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerdummy.pas line 60

type TLazLoggerBlockHandler = class

public

  procedure IncreaseIndent; virtual; abstract;

  procedure DecreaseIndent; virtual; abstract;

end;

Inheritance

TLazLoggerBlockHandler
|

TObject


TLazLoggerBlockHandler


TLazLoggerBlockHandler
 | IncreaseIndent
 | DecreaseIndent


TLazLoggerBlockHandler.DecreaseIndent

Declaration

Source position: lazloggerdummy.pas line 63

public procedure TLazLoggerBlockHandler.DecreaseIndent; virtual; abstract;


TLazLoggerBlockHandler.IncreaseIndent

Declaration

Source position: lazloggerdummy.pas line 62

public procedure TLazLoggerBlockHandler.IncreaseIndent; virtual; abstract;


TLazLoggerLogGroupList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerdummy.pas line 68

type TLazLoggerLogGroupList = class(TRefCountedObject)

public

  procedure Assign();

  function IndexOf();

  function Find();

  function Count;

  property Item []: PLazLoggerLogGroup; default; [r]

end;

Inheritance

TLazLoggerLogGroupList

|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerLogGroupList
 | Assign
 | IndexOf
 | Find
 | Count
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Assign (TLazLoggerLogGroupList)
 | Count (TLazLoggerLogGroupList)
 | Create (TRefCountedObject)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | Find (TLazLoggerLogGroupList)
 | IndexOf (TLazLoggerLogGroupList)
 | ReleaseReference (TRefCountedObject)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerLogGroupList.Assign

Declaration

Source position: lazloggerdummy.pas line 72

public procedure TLazLoggerLogGroupList.Assign(

  Src: TLazLoggerLogGroupList

);


TLazLoggerLogGroupList.Count

Declaration

Source position: lazloggerdummy.pas line 76

public function TLazLoggerLogGroupList.Count: Integer;


TLazLoggerLogGroupList.Find

Declaration

Source position: lazloggerdummy.pas line 75

public function TLazLoggerLogGroupList.Find(

  const AConfigName: string

):PLazLoggerLogGroup;


TLazLoggerLogGroupList.IndexOf

Declaration

Source position: lazloggerdummy.pas line 73

public function TLazLoggerLogGroupList.IndexOf(

  const AConfigName: string

):Integer;

function TLazLoggerLogGroupList.IndexOf(

  const AnEntry: PLazLoggerLogGroup

):Integer;


TLazLoggerLogGroupList.Item

Declaration

Source position: lazloggerdummy.pas line 77

public property TLazLoggerLogGroupList.Item[Index: Integer] : PLazLoggerLogGroup
  read GetItem;
  default;


TLazLoggerBlockMemWatch

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerprofiling.pas line 41

type TLazLoggerBlockMemWatch = class(TLazLoggerBlockHandler)

public

  constructor Create;

  procedure EnterBlock(); override;

  procedure ExitBlock(); override;

  property MaxDepth: Integer; [rw]

  property MemDiff []: Int64; [r]

  property Nested []: Int64; [r]

end;

Inheritance

TLazLoggerBlockMemWatch
|

TLazLoggerBlockHandler
|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerBlockMemWatch
 |  | MaxDepth
 | ro | MemDiff
 | ro | Nested
TLazLoggerBlockHandler
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | MemDiff (TLazLoggerBlockMemWatch)
 | ro | Nested (TLazLoggerBlockMemWatch)
pt | ro | RefCount (TRefCountedObject)


TLazLoggerBlockMemWatch
 | Create
 | EnterBlock
 | ExitBlock
TLazLoggerBlockHandler
 | EnterBlock
 | ExitBlock
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Create (TRefCountedObject)
 | Create (TLazLoggerBlockMemWatch)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | EnterBlock (TLazLoggerBlockHandler)
 | EnterBlock (TLazLoggerBlockMemWatch)
 | ExitBlock (TLazLoggerBlockHandler)
 | ExitBlock (TLazLoggerBlockMemWatch)
 | ReleaseReference (TRefCountedObject)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerBlockMemWatch

TLazLoggerBlockHandler

TRefCountedObject

TFreeNotifyingObject


TLazLoggerBlockMemWatch.Create

Declaration

Source position: lazloggerprofiling.pas line 50

public constructor TLazLoggerBlockMemWatch.Create;


TLazLoggerBlockMemWatch.EnterBlock

Declaration

Source position: lazloggerprofiling.pas line 51

public procedure TLazLoggerBlockMemWatch.EnterBlock(

  Sender: TLazLogger;

  Level: Integer

); override;


TLazLoggerBlockMemWatch.ExitBlock

Declaration

Source position: lazloggerprofiling.pas line 52

public procedure TLazLoggerBlockMemWatch.ExitBlock(

  Sender: TLazLogger;

  Level: Integer

); override;


TLazLoggerBlockMemWatch.MaxDepth

Declaration

Source position: lazloggerprofiling.pas line 53

public property TLazLoggerBlockMemWatch.MaxDepth : Integer
  read FMaxDepth
  write SetMaxDepth;


TLazLoggerBlockMemWatch.MemDiff

Declaration

Source position: lazloggerprofiling.pas line 54

public property TLazLoggerBlockMemWatch.MemDiff[ALevel: Integer] : Int64
  read GetMemDiff;


TLazLoggerBlockMemWatch.Nested

Declaration

Source position: lazloggerprofiling.pas line 55

public property TLazLoggerBlockMemWatch.Nested[ALevel: Integer] : Int64
  read GetNested;


TLazLoggerBlockTimer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazloggerprofiling.pas line 22

type TLazLoggerBlockTimer = class(TLazLoggerBlockHandler)

public

  constructor Create;

  procedure EnterBlock(); override;

  procedure ExitBlock(); override;

  property MaxDepth: Integer; [rw]

  property TimeDiff []: QWord; [r]

  property Nested []: QWord; [r]

end;

Inheritance

TLazLoggerBlockTimer
|

TLazLoggerBlockHandler
|

TRefCountedObject

|

TFreeNotifyingObject

|

TObject


TLazLoggerBlockTimer
 |  | MaxDepth
 | ro | TimeDiff
 | ro | Nested
TLazLoggerBlockHandler
TRefCountedObject
pt | ro | RefCount
TFreeNotifyingObject


 | ro | Nested (TLazLoggerBlockTimer)
pt | ro | RefCount (TRefCountedObject)
 | ro | TimeDiff (TLazLoggerBlockTimer)


TLazLoggerBlockTimer
 | Create
 | EnterBlock
 | ExitBlock
TLazLoggerBlockHandler
 | EnterBlock
 | ExitBlock
TRefCountedObject
pt | DoFree
pt | DoReferenceAdded
pt | DoReferenceReleased
 | Create
 | Destroy
 | AddReference
 | ReleaseReference
TFreeNotifyingObject
 | Destroy
 | AddFreeeNotification
 | RemoveFreeeNotification
 | AddFreeNotification
 | RemoveFreeNotification


 | AddFreeeNotification (TFreeNotifyingObject)
 | AddFreeNotification (TFreeNotifyingObject)
 | AddReference (TRefCountedObject)
 | Create (TRefCountedObject)
 | Create (TLazLoggerBlockTimer)
 | Destroy (TFreeNotifyingObject)
 | Destroy (TRefCountedObject)
pt | DoFree (TRefCountedObject)
pt | DoReferenceAdded (TRefCountedObject)
pt | DoReferenceReleased (TRefCountedObject)
 | EnterBlock (TLazLoggerBlockHandler)
 | EnterBlock (TLazLoggerBlockTimer)
 | ExitBlock (TLazLoggerBlockHandler)
 | ExitBlock (TLazLoggerBlockTimer)
 | ReleaseReference (TRefCountedObject)
 | RemoveFreeeNotification (TFreeNotifyingObject)
 | RemoveFreeNotification (TFreeNotifyingObject)


TLazLoggerBlockTimer

TLazLoggerBlockHandler

TRefCountedObject

TFreeNotifyingObject


TLazLoggerBlockTimer.Create

Declaration

Source position: lazloggerprofiling.pas line 31

public constructor TLazLoggerBlockTimer.Create;


TLazLoggerBlockTimer.EnterBlock

Declaration

Source position: lazloggerprofiling.pas line 32

public procedure TLazLoggerBlockTimer.EnterBlock(

  Sender: TLazLogger;

  Level: Integer

); override;


TLazLoggerBlockTimer.ExitBlock

Declaration

Source position: lazloggerprofiling.pas line 33

public procedure TLazLoggerBlockTimer.ExitBlock(

  Sender: TLazLogger;

  Level: Integer

); override;


TLazLoggerBlockTimer.MaxDepth

Declaration

Source position: lazloggerprofiling.pas line 34

public property TLazLoggerBlockTimer.MaxDepth : Integer
  read FMaxDepth
  write SetMaxDepth;


TLazLoggerBlockTimer.Nested

Declaration

Source position: lazloggerprofiling.pas line 36

public property TLazLoggerBlockTimer.Nested[ALevel: Integer] : QWord
  read GetNested;


TLazLoggerBlockTimer.TimeDiff

Declaration

Source position: lazloggerprofiling.pas line 35

public property TLazLoggerBlockTimer.TimeDiff[ALevel: Integer] : QWord
  read GetTimeDiff;


TMethodList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazmethodlist.pas line 22

type TMethodList = class

public

  destructor Destroy; override;

  function Count;

  function NextDownIndex();

  function IndexOf();

  procedure Delete();

  procedure Remove();

  procedure Add();

  procedure Insert();

  procedure Move();

  procedure RemoveAllMethodsOfObject();

  procedure CallNotifyEvents();

  function GetReversedEnumerator;

  function GetEnumerator;

  property Items []: TMethod; default; [rw]

  property AllowDuplicates: Boolean; [rw]

end;

Inheritance

TMethodList

|

TObject


TMethodList
 | Items
 | AllowDuplicates


TMethodList
 | Destroy
 | Count
 | NextDownIndex
 | IndexOf
 | Delete
 | Remove
 | Add
 | Insert
 | Move
 | RemoveAllMethodsOfObject
 | CallNotifyEvents
 | GetReversedEnumerator
 | GetEnumerator


Add (TMethodList)

CallNotifyEvents (TMethodList)

Count (TMethodList)

Delete (TMethodList)

Destroy (TMethodList)

GetEnumerator (TMethodList)

GetReversedEnumerator (TMethodList)

IndexOf (TMethodList)

Insert (TMethodList)

Move (TMethodList)

NextDownIndex (TMethodList)

Remove (TMethodList)

RemoveAllMethodsOfObject (TMethodList)


TMethodList


TMethodList.Add

Declaration

Source position: lazmethodlist.pas line 52

public procedure TMethodList.Add(

  const AMethod: TMethod

);

procedure TMethodList.Add(

  const AMethod: TMethod;

  AsLast: Boolean

);


TMethodList.AllowDuplicates

Declaration

Source position: lazmethodlist.pas line 62

public property TMethodList.AllowDuplicates : Boolean
  read FAllowDuplicates
  write SetAllowDuplicates;


TMethodList.CallNotifyEvents

Declaration

Source position: lazmethodlist.pas line 57

public procedure TMethodList.CallNotifyEvents(

  Sender: TObject

);


TMethodList.Count

Declaration

Source position: lazmethodlist.pas line 47

public function TMethodList.Count: Integer;


TMethodList.Delete

Declaration

Source position: lazmethodlist.pas line 50

public procedure TMethodList.Delete(

  Index: Integer

);


TMethodList.Destroy

Declaration

Source position: lazmethodlist.pas line 46

public destructor TMethodList.Destroy; override;


TMethodList.GetEnumerator

Declaration

Source position: lazmethodlist.pas line 59

public function TMethodList.GetEnumerator: TItemsEnumerator;


TMethodList.GetReversedEnumerator

Declaration

Source position: lazmethodlist.pas line 58

public function TMethodList.GetReversedEnumerator: TItemsEnumerator;


TMethodList.IndexOf

Declaration

Source position: lazmethodlist.pas line 49

public function TMethodList.IndexOf(

  const AMethod: TMethod

):Integer;


TMethodList.Insert

Declaration

Source position: lazmethodlist.pas line 54

public procedure TMethodList.Insert(

  Index: Integer;

  const AMethod: TMethod

);


TMethodList.Items

Declaration

Source position: lazmethodlist.pas line 61

public property TMethodList.Items[Index: Integer] : TMethod
  read GetItems
  write SetItems;
  default;


TMethodList.Move

Declaration

Source position: lazmethodlist.pas line 55

public procedure TMethodList.Move(

  OldIndex: Integer;

  NewIndex: Integer

);


TMethodList.NextDownIndex

Declaration

Source position: lazmethodlist.pas line 48

public function TMethodList.NextDownIndex(

  var Index: Integer

):Boolean;


TMethodList.Remove

Declaration

Source position: lazmethodlist.pas line 51

public procedure TMethodList.Remove(

  const AMethod: TMethod

);


TMethodList.RemoveAllMethodsOfObject

Declaration

Source position: lazmethodlist.pas line 56

public procedure TMethodList.RemoveAllMethodsOfObject(

  const AnObject: TObject

);


TCodePointEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazunicode.pas line 78

type TCodePointEnumerator = class(TUnicodeEnumeratorBase)

public

  function MoveNext;

end;

Inheritance

TCodePointEnumerator

|

TUnicodeEnumeratorBase

|

TObject


TCodePointEnumerator
TUnicodeEnumeratorBase
 | ro | Current
 | ro | CurrentCodeUnitCount


ro | Current (TUnicodeEnumeratorBase)
ro | CurrentCodeUnitCount (TUnicodeEnumeratorBase)


TCodePointEnumerator
 | MoveNext
TUnicodeEnumeratorBase
 | Create


TCodePointEnumerator

TUnicodeEnumeratorBase


TCodePointEnumerator.MoveNext

Declaration

Source position: lazunicode.pas line 80

public function TCodePointEnumerator.MoveNext: Boolean;


TUnicodeCharacterEnumerator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazunicode.pas line 87

type TUnicodeCharacterEnumerator = class(TUnicodeEnumeratorBase)

public

  property CurrentCodePointCount: Integer; [r]

  function MoveNext;

end;

Inheritance

TUnicodeCharacterEnumerator

|

TUnicodeEnumeratorBase

|

TObject


TUnicodeCharacterEnumerator
 | ro | CurrentCodePointCount
TUnicodeEnumeratorBase
 | ro | Current
 | ro | CurrentCodeUnitCount


ro | Current (TUnicodeEnumeratorBase)
ro | CurrentCodePointCount (TUnicodeCharacterEnumerator)
ro | CurrentCodeUnitCount (TUnicodeEnumeratorBase)


TUnicodeCharacterEnumerator
 | MoveNext
TUnicodeEnumeratorBase
 | Create


TUnicodeCharacterEnumerator

TUnicodeEnumeratorBase


TUnicodeCharacterEnumerator.CurrentCodePointCount

Declaration

Source position: lazunicode.pas line 91

public property TUnicodeCharacterEnumerator.CurrentCodePointCount : Integer
  read fCurrentCodePointCount;


TUnicodeCharacterEnumerator.MoveNext

Declaration

Source position: lazunicode.pas line 92

public function TUnicodeCharacterEnumerator.MoveNext: Boolean;


TUnicodeEnumeratorBase

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazunicode.pas line 60

type TUnicodeEnumeratorBase = class

public

  constructor Create();

  property Current: string; [r]

  property CurrentCodeUnitCount: Integer; [r]

end;

Inheritance

TUnicodeEnumeratorBase

|

TObject


TUnicodeEnumeratorBase
 | ro | Current
 | ro | CurrentCodeUnitCount


TUnicodeEnumeratorBase

Create


TUnicodeEnumeratorBase


TUnicodeEnumeratorBase.Create

Declaration

Source position: lazunicode.pas line 70

public constructor TUnicodeEnumeratorBase.Create(

  const A: string

);


TUnicodeEnumeratorBase.Current

Declaration

Source position: lazunicode.pas line 71

public property TUnicodeEnumeratorBase.Current : string
  read fCurrent;


TUnicodeEnumeratorBase.CurrentCodeUnitCount

Declaration

Source position: lazunicode.pas line 72

public property TUnicodeEnumeratorBase.CurrentCodeUnitCount : Integer
  read fCurrentCodeUnitCount;


TFileStreamUTF8

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazutf8classes.pas line 22

type TFileStreamUTF8 = class(TFileStream)

public

  constructor Create();

  property FileName: string; [r]

end;

Inheritance

TFileStreamUTF8

|

TFileStream
|

THandleStream
|

TStream
|

TObject


TFileStreamUTF8
 | ro | FileName
TFileStream
 | ro | FileName
THandleStream
 | ro | Handle
TStream
 |  | Position
 |  | Size
TObject


ro | FileName (TFileStream)
ro | FileName (TFileStreamUTF8)
ro | Handle (THandleStream)
 | Position (TStream)
 | Size (TStream)


TFileStreamUTF8
 | Create
TFileStream
 | Create
 | Destroy
THandleStream
 | SetSize
 | Create
 | Read
 | Write
 | Seek
TStream
 | InvalidSeek
 | Discard
 | DiscardLarge
 | FakeSeekForward
 | GetPosition
 | SetPosition
 | GetSize
 | SetSize64
 | SetSize
 | ReadNotImplemented
 | WriteNotImplemented
 | Read
 | Write
 | Seek
 | ReadBuffer
 | WriteBuffer
 | CopyFrom
 | ReadComponent
 | ReadComponentRes
 | WriteComponent
 | WriteComponentRes
 | WriteDescendent
 | WriteDescendentRes
 | WriteResourceHeader
 | FixupResourceHeader
 | ReadResHeader
 | ReadByte
 | ReadWord
 | ReadDWord
 | ReadQWord
 | ReadAnsiString
 | WriteByte
 | WriteWord
 | WriteDWord
 | WriteQWord
 | WriteAnsiString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

CopyFrom (TStream)

Create (TObject)

Create (THandleStream)

Create (TFileStream)

Create (TFileStreamUTF8)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TFileStream)

Discard (TStream)

DiscardLarge (TStream)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FakeSeekForward (TStream)

FieldAddress (TObject)

FixupResourceHeader (TStream)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetPosition (TStream)

GetSize (TStream)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

InvalidSeek (TStream)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Read (TStream)

Read (THandleStream)

ReadAnsiString (TStream)

ReadBuffer (TStream)

ReadByte (TStream)

ReadComponent (TStream)

ReadComponentRes (TStream)

ReadDWord (TStream)

ReadNotImplemented (TStream)

ReadQWord (TStream)

ReadResHeader (TStream)

ReadWord (TStream)

SafeCallException (TObject)

Seek (TStream)

Seek (THandleStream)

SetPosition (TStream)

SetSize (TStream)

SetSize (THandleStream)

SetSize64 (TStream)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

Write (TStream)

Write (THandleStream)

WriteAnsiString (TStream)

WriteBuffer (TStream)

WriteByte (TStream)

WriteComponent (TStream)

WriteComponentRes (TStream)

WriteDescendent (TStream)

WriteDescendentRes (TStream)

WriteDWord (TStream)

WriteNotImplemented (TStream)

WriteQWord (TStream)

WriteResourceHeader (TStream)

WriteWord (TStream)


TFileStreamUTF8

TFileStream

THandleStream

TStream

TObject


TFileStreamUTF8.Create

Declaration

Source position: lazutf8classes.pas line 26

public constructor TFileStreamUTF8.Create(

  const AFileName: string;

  Mode: Word

);

constructor TFileStreamUTF8.Create(

  const AFileName: string;

  Mode: Word;

  Rights: Cardinal

);


TFileStreamUTF8.FileName

Declaration

Source position: lazutf8classes.pas line 28

public property TFileStreamUTF8.FileName : string
  read FFilename;


TMemoryStreamUTF8

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazutf8classes.pas line 43

type TMemoryStreamUTF8 = class(TMemoryStream)

public

  procedure LoadFromFile();

  procedure SaveToFile();

end;

Inheritance

TMemoryStreamUTF8
|

TMemoryStream
|

TCustomMemoryStream
|

TStream
|

TObject


TMemoryStreamUTF8
TMemoryStream
 |  | Capacity
TCustomMemoryStream
 | ro | Memory
TStream
 |  | Position
 |  | Size
TObject


 | Capacity (TMemoryStream)
ro | Memory (TCustomMemoryStream)
 | Position (TStream)
 | Size (TStream)


TMemoryStreamUTF8
 | LoadFromFile
 | SaveToFile
TMemoryStream
 | SetCapacity
 | Realloc
 | Destroy
 | Clear
 | LoadFromStream
 | LoadFromFile
 | SetSize
 | Write
TCustomMemoryStream
 | GetSize
 | GetPosition
 | SetPointer
 | Read
 | Seek
 | SaveToStream
 | SaveToFile
TStream
 | InvalidSeek
 | Discard
 | DiscardLarge
 | FakeSeekForward
 | GetPosition
 | SetPosition
 | GetSize
 | SetSize64
 | SetSize
 | ReadNotImplemented
 | WriteNotImplemented
 | Read
 | Write
 | Seek
 | ReadBuffer
 | WriteBuffer
 | CopyFrom
 | ReadComponent
 | ReadComponentRes
 | WriteComponent
 | WriteComponentRes
 | WriteDescendent
 | WriteDescendentRes
 | WriteResourceHeader
 | FixupResourceHeader
 | ReadResHeader
 | ReadByte
 | ReadWord
 | ReadDWord
 | ReadQWord
 | ReadAnsiString
 | WriteByte
 | WriteWord
 | WriteDWord
 | WriteQWord
 | WriteAnsiString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TMemoryStream)

CopyFrom (TStream)

Create (TObject)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TMemoryStream)

Discard (TStream)

DiscardLarge (TStream)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FakeSeekForward (TStream)

FieldAddress (TObject)

FixupResourceHeader (TStream)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetPosition (TStream)

GetPosition (TCustomMemoryStream)

GetSize (TStream)

GetSize (TCustomMemoryStream)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

InvalidSeek (TStream)

LoadFromFile (TMemoryStream)

LoadFromFile (TMemoryStreamUTF8)

LoadFromStream (TMemoryStream)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Read (TStream)

Read (TCustomMemoryStream)

ReadAnsiString (TStream)

ReadBuffer (TStream)

ReadByte (TStream)

ReadComponent (TStream)

ReadComponentRes (TStream)

ReadDWord (TStream)

ReadNotImplemented (TStream)

ReadQWord (TStream)

ReadResHeader (TStream)

ReadWord (TStream)

Realloc (TMemoryStream)

SafeCallException (TObject)

SaveToFile (TCustomMemoryStream)

SaveToFile (TMemoryStreamUTF8)

SaveToStream (TCustomMemoryStream)

Seek (TStream)

Seek (TCustomMemoryStream)

SetCapacity (TMemoryStream)

SetPointer (TCustomMemoryStream)

SetPosition (TStream)

SetSize (TStream)

SetSize (TMemoryStream)

SetSize64 (TStream)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

Write (TStream)

Write (TMemoryStream)

WriteAnsiString (TStream)

WriteBuffer (TStream)

WriteByte (TStream)

WriteComponent (TStream)

WriteComponentRes (TStream)

WriteDescendent (TStream)

WriteDescendentRes (TStream)

WriteDWord (TStream)

WriteNotImplemented (TStream)

WriteQWord (TStream)

WriteResourceHeader (TStream)

WriteWord (TStream)


TMemoryStreamUTF8

TMemoryStream

TCustomMemoryStream

TStream

TObject


TMemoryStreamUTF8.LoadFromFile

Declaration

Source position: lazutf8classes.pas line 45

public procedure TMemoryStreamUTF8.LoadFromFile(

  const FileName: string

);


TMemoryStreamUTF8.SaveToFile

Declaration

Source position: lazutf8classes.pas line 46

public procedure TMemoryStreamUTF8.SaveToFile(

  const FileName: string

);


TStringListUTF8

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lazutf8classes.pas line 33

type TStringListUTF8 = class(TStringList)

protected

  function DoCompareText(); override;

public

  procedure LoadFromFile(); override;

  procedure SaveToFile(); override;

end;

Inheritance

TStringListUTF8

|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TStringListUTF8
TStringList
 |  | Duplicates
 |  | Sorted
 |  | CaseSensitive
 |  | OwnsObjects
 |  | SortStyle
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | Duplicates (TStringList)
 | LineBreak (TStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | OwnsObjects (TStringList)
 | QuoteChar (TStrings)
 | SkipLastLineBreak (TStrings)
 | Sorted (TStringList)
 | SortStyle (TStringList)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TStringListUTF8
pt | DoCompareText
 | LoadFromFile
 | SaveToFile
TStringList
 | ExchangeItemsInt
 | GetSorted
 | Grow
 | InternalClear
 | QuickSort
 | SetSorted
 | SetCaseSensitive
 | SetSortStyle
 | ExchangeItems
 | Changed
 | Changing
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | Put
 | PutObject
 | SetCapacity
 | SetUpdateState
 | InsertItem
 | DoCompareText
 | CompareStrings
 | Destroy
 | Add
 | Clear
 | Delete
 | Exchange
 | Find
 | IndexOf
 | Insert
 | Sort
 | CustomSort
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | Add (TStringList)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | Changed (TStringList)
 | Changing (TStringList)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TStringList)
 | CompareStrings (TStringList)
 | Create (TObject)
 | CustomSort (TStringList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TStringList)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TStringList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoCompareText (TStringList)
pt | DoCompareText (TStringListUTF8)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | Exchange (TStringList)
 | ExchangeItems (TStringList)
 | ExchangeItemsInt (TStringList)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | Find (TStringList)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
 | Get (TStringList)
 | GetCapacity (TStrings)
 | GetCapacity (TStringList)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
 | GetCount (TStringList)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetObject (TStringList)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetSorted (TStringList)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | Grow (TStringList)
 | IndexOf (TStrings)
 | IndexOf (TStringList)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TStringList)
 | InsertItem (TStringList)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | InternalClear (TStringList)
 | LoadFromFile (TStrings)
 | LoadFromFile (TStringListUTF8)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | Put (TStringList)
 | PutObject (TStrings)
 | PutObject (TStringList)
 | QuickSort (TStringList)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToFile (TStringListUTF8)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCapacity (TStringList)
 | SetCaseSensitive (TStringList)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetSorted (TStringList)
 | SetSortStyle (TStringList)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetUpdateState (TStringList)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | Sort (TStringList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TStringListUTF8
TStringList
 | OnChange
 | OnChanging
TStrings
TPersistent
TObject


TStringListUTF8.DoCompareText

Declaration

Source position: lazutf8classes.pas line 35

protected function TStringListUTF8.DoCompareText(

  const s1: string;

  const s2: string

):PtrInt; override;


TStringListUTF8.LoadFromFile

Declaration

Source position: lazutf8classes.pas line 37

public procedure TStringListUTF8.LoadFromFile(

  const FileName: string

); override;


TStringListUTF8.SaveToFile

Declaration

Source position: lazutf8classes.pas line 38

public procedure TStringListUTF8.SaveToFile(

  const FileName: string

); override;


TXMLObjectReader

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz_xmlstreaming.pas line 100

type TXMLObjectReader = class(TAbstractObjectReader)

public

  constructor Create();

  destructor Destroy; override;

  function GetRootClassName();

  function NextValue; override;

  function ReadValue; override;

  procedure BeginRootComponent; override;

  procedure BeginComponent(); override;

  function BeginProperty; override;

  procedure ReadBinary(); override;

  function ReadFloat; override;

  function ReadSingle; override;

  function ReadCurrency; override;

  function ReadDate; override;

  function ReadIdent(); override;

  function ReadInt8; override;

  function ReadInt16; override;

  function ReadInt32; override;

  function ReadInt64; override;

  function ReadSet(); override;

  function ReadStr; override;

  function ReadString(); override;

  function ReadWideString; override;

  function ReadUnicodeString; override;

  procedure SkipComponent(); override;

  procedure SkipValue; override;

  procedure Read(); override;

  property Doc: TDOMDocument; [r]

  property Element: TDOMElement; [r]

  property ElementPosition: Integer; [r]

end;

Inheritance

TXMLObjectReader

|

TAbstractObjectReader
|

TObject


TXMLObjectReader
 | ro | Doc
 | ro | Element
 | ro | ElementPosition
TAbstractObjectReader
TObject


ro | Doc (TXMLObjectReader)
ro | Element (TXMLObjectReader)
ro | ElementPosition (TXMLObjectReader)


TXMLObjectReader
 | Create
 | Destroy
 | GetRootClassName
 | NextValue
 | ReadValue
 | BeginRootComponent
 | BeginComponent
 | BeginProperty
 | ReadBinary
 | ReadFloat
 | ReadSingle
 | ReadCurrency
 | ReadDate
 | ReadIdent
 | ReadInt8
 | ReadInt16
 | ReadInt32
 | ReadInt64
 | ReadSet
 | ReadStr
 | ReadString
 | ReadWideString
 | ReadUnicodeString
 | SkipComponent
 | SkipValue
 | Read
TAbstractObjectReader
 | NextValue
 | ReadValue
 | BeginRootComponent
 | BeginComponent
 | BeginProperty
 | Read
 | ReadBinary
 | ReadFloat
 | ReadSingle
 | ReadDate
 | ReadCurrency
 | ReadIdent
 | ReadInt8
 | ReadInt16
 | ReadInt32
 | ReadInt64
 | ReadSet
 | ReadSignature
 | ReadStr
 | ReadString
 | ReadWideString
 | ReadUnicodeString
 | SkipComponent
 | SkipValue
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AfterConstruction (TObject)

BeforeDestruction (TObject)

BeginComponent (TAbstractObjectReader)

BeginComponent (TXMLObjectReader)

BeginProperty (TAbstractObjectReader)

BeginProperty (TXMLObjectReader)

BeginRootComponent (TAbstractObjectReader)

BeginRootComponent (TXMLObjectReader)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Create (TObject)

Create (TXMLObjectReader)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

Destroy (TObject)

Destroy (TXMLObjectReader)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

FieldAddress (TObject)

Free (TObject)

FreeInstance (TObject)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetRootClassName (TXMLObjectReader)

InheritsFrom (TObject)

InitInstance (TObject)

InstanceSize (TObject)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

NextValue (TAbstractObjectReader)

NextValue (TXMLObjectReader)

Read (TAbstractObjectReader)

Read (TXMLObjectReader)

ReadBinary (TAbstractObjectReader)

ReadBinary (TXMLObjectReader)

ReadCurrency (TAbstractObjectReader)

ReadCurrency (TXMLObjectReader)

ReadDate (TAbstractObjectReader)

ReadDate (TXMLObjectReader)

ReadFloat (TAbstractObjectReader)

ReadFloat (TXMLObjectReader)

ReadIdent (TAbstractObjectReader)

ReadIdent (TXMLObjectReader)

ReadInt16 (TAbstractObjectReader)

ReadInt16 (TXMLObjectReader)

ReadInt32 (TAbstractObjectReader)

ReadInt32 (TXMLObjectReader)

ReadInt64 (TAbstractObjectReader)

ReadInt64 (TXMLObjectReader)

ReadInt8 (TAbstractObjectReader)

ReadInt8 (TXMLObjectReader)

ReadSet (TAbstractObjectReader)

ReadSet (TXMLObjectReader)

ReadSignature (TAbstractObjectReader)

ReadSingle (TAbstractObjectReader)

ReadSingle (TXMLObjectReader)

ReadStr (TAbstractObjectReader)

ReadStr (TXMLObjectReader)

ReadString (TAbstractObjectReader)

ReadString (TXMLObjectReader)

ReadUnicodeString (TAbstractObjectReader)

ReadUnicodeString (TXMLObjectReader)

ReadValue (TAbstractObjectReader)

ReadValue (TXMLObjectReader)

ReadWideString (TAbstractObjectReader)

ReadWideString (TXMLObjectReader)

SafeCallException (TObject)

SkipComponent (TAbstractObjectReader)

SkipComponent (TXMLObjectReader)

SkipValue (TAbstractObjectReader)

SkipValue (TXMLObjectReader)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)


TXMLObjectReader

TAbstractObjectReader

TObject


TXMLObjectReader.BeginComponent

Declaration

Source position: laz_xmlstreaming.pas line 117

public procedure TXMLObjectReader.BeginComponent(

  var Flags: TFilerFlags;

  var AChildPos: Integer;

  var CompClassName: string;

  var CompName: string

); override;


TXMLObjectReader.BeginProperty

Declaration

Source position: laz_xmlstreaming.pas line 119

public function TXMLObjectReader.BeginProperty: string; override;


TXMLObjectReader.BeginRootComponent

Declaration

Source position: laz_xmlstreaming.pas line 116

public procedure TXMLObjectReader.BeginRootComponent; override;


TXMLObjectReader.Create

Declaration

Source position: laz_xmlstreaming.pas line 108

public constructor TXMLObjectReader.Create(

  ADoc: TDOMDocument;

  const APath: string

);


TXMLObjectReader.Destroy

Declaration

Source position: laz_xmlstreaming.pas line 109

public destructor TXMLObjectReader.Destroy; override;


TXMLObjectReader.Doc

Declaration

Source position: laz_xmlstreaming.pas line 147

public property TXMLObjectReader.Doc : TDOMDocument
  read FDoc;


TXMLObjectReader.Element

Declaration

Source position: laz_xmlstreaming.pas line 148

public property TXMLObjectReader.Element : TDOMElement
  read FElement;


TXMLObjectReader.ElementPosition

Declaration

Source position: laz_xmlstreaming.pas line 149

public property TXMLObjectReader.ElementPosition : Integer
  read FElementPosition;


TXMLObjectReader.GetRootClassName

Declaration

Source position: laz_xmlstreaming.pas line 111

public function TXMLObjectReader.GetRootClassName(

  out IsInherited: Boolean

):string;


TXMLObjectReader.NextValue

Declaration

Source position: laz_xmlstreaming.pas line 114

public function TXMLObjectReader.NextValue: TValueType; override;


TXMLObjectReader.Read

Declaration

Source position: laz_xmlstreaming.pas line 144

public procedure TXMLObjectReader.Read(

  var Buf;

  Count: LongInt

); override;


TXMLObjectReader.ReadBinary

Declaration

Source position: laz_xmlstreaming.pas line 121

public procedure TXMLObjectReader.ReadBinary(

  const DestData: TMemoryStream

); override;


TXMLObjectReader.ReadCurrency

Declaration

Source position: laz_xmlstreaming.pas line 124

public function TXMLObjectReader.ReadCurrency: Currency; override;


TXMLObjectReader.ReadDate

Declaration

Source position: laz_xmlstreaming.pas line 125

public function TXMLObjectReader.ReadDate: TDateTime; override;


TXMLObjectReader.ReadFloat

Declaration

Source position: laz_xmlstreaming.pas line 122

public function TXMLObjectReader.ReadFloat: Extended; override;


TXMLObjectReader.ReadIdent

Declaration

Source position: laz_xmlstreaming.pas line 126

public function TXMLObjectReader.ReadIdent(

  ValueType: TValueType

):string; override;


TXMLObjectReader.ReadInt8

Declaration

Source position: laz_xmlstreaming.pas line 127

public function TXMLObjectReader.ReadInt8: ShortInt; override;


TXMLObjectReader.ReadInt16

Declaration

Source position: laz_xmlstreaming.pas line 128

public function TXMLObjectReader.ReadInt16: SmallInt; override;


TXMLObjectReader.ReadInt32

Declaration

Source position: laz_xmlstreaming.pas line 129

public function TXMLObjectReader.ReadInt32: LongInt; override;


TXMLObjectReader.ReadInt64

Declaration

Source position: laz_xmlstreaming.pas line 130

public function TXMLObjectReader.ReadInt64: Int64; override;


TXMLObjectReader.ReadSet

Declaration

Source position: laz_xmlstreaming.pas line 131

public function TXMLObjectReader.ReadSet(

  SetType: Pointer

):Integer; override;


TXMLObjectReader.ReadSingle

Declaration

Source position: laz_xmlstreaming.pas line 123

public function TXMLObjectReader.ReadSingle: Single; override;


TXMLObjectReader.ReadStr

Declaration

Source position: laz_xmlstreaming.pas line 132

public function TXMLObjectReader.ReadStr: string; override;


TXMLObjectReader.ReadString

Declaration

Source position: laz_xmlstreaming.pas line 133

public function TXMLObjectReader.ReadString(

  StringType: TValueType

):string; override;


TXMLObjectReader.ReadUnicodeString

Declaration

Source position: laz_xmlstreaming.pas line 139

public function TXMLObjectReader.ReadUnicodeString: UnicodeString; override;


TXMLObjectReader.ReadValue

Declaration

Source position: laz_xmlstreaming.pas line 115

public function TXMLObjectReader.ReadValue: TValueType; override;


TXMLObjectReader.ReadWideString

Declaration

Source position: laz_xmlstreaming.pas line 134

public function TXMLObjectReader.ReadWideString: WideString; override;


TXMLObjectReader.SkipComponent

Declaration

Source position: laz_xmlstreaming.pas line 141

public procedure TXMLObjectReader.SkipComponent(

  SkipComponentInfos: Boolean

); override;


TXMLObjectReader.SkipValue

Declaration

Source position: laz_xmlstreaming.pas line 142

public procedure TXMLObjectReader.SkipValue; override;


TXMLObjectReaderClass

Declaration

Source position: laz_xmlstreaming.pas line 151

type TXMLObjectReaderClass = class of TXMLObjectReader;


TXMLObjectWriter

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz_xmlstreaming.pas line 42

type TXMLObjectWriter = class(TAbstractObjectWriter)

protected

  function GetPropertyElement();

public

  constructor Create();

  procedure BeginCollection; override;

  procedure BeginComponent(); override;

  procedure BeginList; override;

  procedure EndList; override;

  procedure BeginProperty(); override;

  procedure EndProperty; override;

  procedure WriteBinary(); override;

  procedure WriteBoolean(); override;

  procedure WriteFloat(); override;

  procedure WriteSingle(); override;

  procedure WriteCurrency(); override;

  procedure WriteDate(); override;

  procedure WriteIdent(); override;

  procedure WriteInteger(); override;

  procedure WriteMethodName(); override;

  procedure WriteSet(); override;

  procedure WriteString(); override;

  procedure WriteWideString(); override;

  procedure WriteUInt64(); override;

  procedure WriteUnicodeString(); override;

  procedure WriteVariant(); override;

  procedure Write(); override;

  property Doc: TDOMDocument; [r]

end;

Inheritance

TXMLObjectWriter

|

TAbstractObjectWriter
|

TObject


TXMLObjectWriter

ro

Doc

TAbstractObjectWriter

TObject


ro

Doc (TXMLObjectWriter)


TXMLObjectWriter
pt | GetPropertyElement
 | Create
 | BeginCollection
 | BeginComponent
 | BeginList
 | EndList
 | BeginProperty
 | EndProperty
 | WriteBinary
 | WriteBoolean
 | WriteFloat
 | WriteSingle
 | WriteCurrency
 | WriteDate
 | WriteIdent
 | WriteInteger
 | WriteMethodName
 | WriteSet
 | WriteString
 | WriteWideString
 | WriteUInt64
 | WriteUnicodeString
 | WriteVariant
 | Write
TAbstractObjectWriter
 | BeginCollection
 | BeginComponent
 | WriteSignature
 | BeginList
 | EndList
 | BeginProperty
 | EndProperty
 | Write
 | WriteBinary
 | WriteBoolean
 | WriteFloat
 | WriteSingle
 | WriteDate
 | WriteCurrency
 | WriteIdent
 | WriteInteger
 | WriteUInt64
 | WriteVariant
 | WriteMethodName
 | WriteSet
 | WriteString
 | WriteWideString
 | WriteUnicodeString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | BeginCollection (TAbstractObjectWriter)
 | BeginCollection (TXMLObjectWriter)
 | BeginComponent (TAbstractObjectWriter)
 | BeginComponent (TXMLObjectWriter)
 | BeginList (TAbstractObjectWriter)
 | BeginList (TXMLObjectWriter)
 | BeginProperty (TAbstractObjectWriter)
 | BeginProperty (TXMLObjectWriter)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TXMLObjectWriter)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | EndList (TAbstractObjectWriter)
 | EndList (TXMLObjectWriter)
 | EndProperty (TAbstractObjectWriter)
 | EndProperty (TXMLObjectWriter)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | GetPropertyElement (TXMLObjectWriter)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Write (TAbstractObjectWriter)
 | Write (TXMLObjectWriter)
 | WriteBinary (TAbstractObjectWriter)
 | WriteBinary (TXMLObjectWriter)
 | WriteBoolean (TAbstractObjectWriter)
 | WriteBoolean (TXMLObjectWriter)
 | WriteCurrency (TAbstractObjectWriter)
 | WriteCurrency (TXMLObjectWriter)
 | WriteDate (TAbstractObjectWriter)
 | WriteDate (TXMLObjectWriter)
 | WriteFloat (TAbstractObjectWriter)
 | WriteFloat (TXMLObjectWriter)
 | WriteIdent (TAbstractObjectWriter)
 | WriteIdent (TXMLObjectWriter)
 | WriteInteger (TAbstractObjectWriter)
 | WriteInteger (TXMLObjectWriter)
 | WriteMethodName (TAbstractObjectWriter)
 | WriteMethodName (TXMLObjectWriter)
 | WriteSet (TAbstractObjectWriter)
 | WriteSet (TXMLObjectWriter)
 | WriteSignature (TAbstractObjectWriter)
 | WriteSingle (TAbstractObjectWriter)
 | WriteSingle (TXMLObjectWriter)
 | WriteString (TAbstractObjectWriter)
 | WriteString (TXMLObjectWriter)
 | WriteUInt64 (TAbstractObjectWriter)
 | WriteUInt64 (TXMLObjectWriter)
 | WriteUnicodeString (TAbstractObjectWriter)
 | WriteUnicodeString (TXMLObjectWriter)
 | WriteVariant (TAbstractObjectWriter)
 | WriteVariant (TXMLObjectWriter)
 | WriteWideString (TAbstractObjectWriter)
 | WriteWideString (TXMLObjectWriter)


TXMLObjectWriter

TAbstractObjectWriter

TObject


TXMLObjectWriter.BeginCollection

Declaration

Source position: laz_xmlstreaming.pas line 60

public procedure TXMLObjectWriter.BeginCollection; override;


TXMLObjectWriter.BeginComponent

Declaration

Source position: laz_xmlstreaming.pas line 61

public procedure TXMLObjectWriter.BeginComponent(

  Component: TComponent;

  Flags: TFilerFlags;

  ChildPos: Integer

); override;


TXMLObjectWriter.BeginList

Declaration

Source position: laz_xmlstreaming.pas line 63

public procedure TXMLObjectWriter.BeginList; override;


TXMLObjectWriter.BeginProperty

Declaration

Source position: laz_xmlstreaming.pas line 65

public procedure TXMLObjectWriter.BeginProperty(

  const PropName: string

); override;


TXMLObjectWriter.Create

Declaration

Source position: laz_xmlstreaming.pas line 54

public constructor TXMLObjectWriter.Create(

  ADoc: TDOMDocument;

  const APath: string;

  Append: Boolean

);


TXMLObjectWriter.Doc

Declaration

Source position: laz_xmlstreaming.pas line 93

public property TXMLObjectWriter.Doc : TDOMDocument
  read FDoc;


TXMLObjectWriter.EndList

Declaration

Source position: laz_xmlstreaming.pas line 64

public procedure TXMLObjectWriter.EndList; override;


TXMLObjectWriter.EndProperty

Declaration

Source position: laz_xmlstreaming.pas line 66

public procedure TXMLObjectWriter.EndProperty; override;


TXMLObjectWriter.GetPropertyElement

Declaration

Source position: laz_xmlstreaming.pas line 52

protected function TXMLObjectWriter.GetPropertyElement(

  const TypeName: string

):TDOMElement;


TXMLObjectWriter.Write

Declaration

Source position: laz_xmlstreaming.pas line 90

public procedure TXMLObjectWriter.Write(

  const Buffer;

  Count: LongInt

); override;


TXMLObjectWriter.WriteBinary

Declaration

Source position: laz_xmlstreaming.pas line 68

public procedure TXMLObjectWriter.WriteBinary(

  const Buffer;

  Count: LongInt

); override;


TXMLObjectWriter.WriteBoolean

Declaration

Source position: laz_xmlstreaming.pas line 69

public procedure TXMLObjectWriter.WriteBoolean(

  Value: Boolean

); override;


TXMLObjectWriter.WriteCurrency

Declaration

Source position: laz_xmlstreaming.pas line 73

public procedure TXMLObjectWriter.WriteCurrency(

  const Value: Currency

); override;


TXMLObjectWriter.WriteDate

Declaration

Source position: laz_xmlstreaming.pas line 74

public procedure TXMLObjectWriter.WriteDate(

  const Value: TDateTime

); override;


TXMLObjectWriter.WriteFloat

Declaration

Source position: laz_xmlstreaming.pas line 71

public procedure TXMLObjectWriter.WriteFloat(

  const Value: Extended

); override;


TXMLObjectWriter.WriteIdent

Declaration

Source position: laz_xmlstreaming.pas line 75

public procedure TXMLObjectWriter.WriteIdent(

  const Ident: string

); override;


TXMLObjectWriter.WriteInteger

Declaration

Source position: laz_xmlstreaming.pas line 76

public procedure TXMLObjectWriter.WriteInteger(

  Value: Int64

); override;


TXMLObjectWriter.WriteMethodName

Declaration

Source position: laz_xmlstreaming.pas line 77

public procedure TXMLObjectWriter.WriteMethodName(

  const Name: string

); override;


TXMLObjectWriter.WriteSet

Declaration

Source position: laz_xmlstreaming.pas line 78

public procedure TXMLObjectWriter.WriteSet(

  Value: LongInt;

  SetType: Pointer

); override;


TXMLObjectWriter.WriteSingle

Declaration

Source position: laz_xmlstreaming.pas line 72

public procedure TXMLObjectWriter.WriteSingle(

  const Value: Single

); override;


TXMLObjectWriter.WriteString

Declaration

Source position: laz_xmlstreaming.pas line 79

public procedure TXMLObjectWriter.WriteString(

  const Value: string

); override;


TXMLObjectWriter.WriteUInt64

Declaration

Source position: laz_xmlstreaming.pas line 85

public procedure TXMLObjectWriter.WriteUInt64(

  Value: QWord

); override;


TXMLObjectWriter.WriteUnicodeString

Declaration

Source position: laz_xmlstreaming.pas line 86

public procedure TXMLObjectWriter.WriteUnicodeString(

  const Value: UnicodeString

); override;


TXMLObjectWriter.WriteVariant

Declaration

Source position: laz_xmlstreaming.pas line 87

public procedure TXMLObjectWriter.WriteVariant(

  const VarValue: Variant

); override;


TXMLObjectWriter.WriteWideString

Declaration

Source position: laz_xmlstreaming.pas line 80

public procedure TXMLObjectWriter.WriteWideString(

  const Value: WideString

); override;


TXMLObjectWriterClass

Declaration

Source position: laz_xmlstreaming.pas line 95

type TXMLObjectWriterClass = class of TXMLObjectWriter;


TXMLObjectWriterStackEl

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: laz_xmlstreaming.pas line 33

type TXMLObjectWriterStackEl = class

public

  Element: TDOMElement;

  Parent: TDOMElement;

  ElemType: TXMLObjectWriterStackElType;

  PropertyName: string;

end;

Inheritance

TXMLObjectWriterStackEl

|

TObject


TXMLObjectWriterStackEl


TXMLObjectWriterStackEl.Element

Declaration

Source position: laz_xmlstreaming.pas line 35

public TXMLObjectWriterStackEl.Element : TDOMElement;


TXMLObjectWriterStackEl.ElemType

Declaration

Source position: laz_xmlstreaming.pas line 36

public TXMLObjectWriterStackEl.ElemType : TXMLObjectWriterStackElType;


TXMLObjectWriterStackEl.Parent

Declaration

Source position: laz_xmlstreaming.pas line 35

public TXMLObjectWriterStackEl.Parent : TDOMElement;


TXMLObjectWriterStackEl.PropertyName

Declaration

Source position: laz_xmlstreaming.pas line 37

public TXMLObjectWriterStackEl.PropertyName : string;


TXMLObjectWriterStackElType

Declaration

Source position: laz_xmlstreaming.pas line 31

type TXMLObjectWriterStackElType = (

  elUnknown,

  elPropertyList,

  elChildrenList

);


TDictionaryStringList

[Overview][Classes][Procedures and functions][Index] Reference for unit 'LookupStringList' (#lazutils)

TDictionaryStringList (deprecated)

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lookupstringlist.pas line 56

type TDictionaryStringList = class(TLookupStringList) end;

Inheritance

TDictionaryStringList
|

TLookupStringList

|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TDictionaryStringList
TLookupStringList
TStringList
 |  | Duplicates
 |  | Sorted
 |  | CaseSensitive
 |  | OwnsObjects
 |  | SortStyle
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


TDictionaryStringList
TLookupStringList
pt | InsertItem
 | Create
 | Destroy
 | Assign
 | Clear
 | Delete
 | Add
 | AddObject
 | Contains
 | Find
 | IndexOf
TStringList
 | ExchangeItemsInt
 | GetSorted
 | Grow
 | InternalClear
 | QuickSort
 | SetSorted
 | SetCaseSensitive
 | SetSortStyle
 | ExchangeItems
 | Changed
 | Changing
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | Put
 | PutObject
 | SetCapacity
 | SetUpdateState
 | InsertItem
 | DoCompareText
 | CompareStrings
 | Destroy
 | Add
 | Clear
 | Delete
 | Exchange
 | Find
 | IndexOf
 | Insert
 | Sort
 | CustomSort
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | Add (TStringList)
 | Add (TLookupStringList)
 | AddObject (TStrings)
 | AddObject (TLookupStringList)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | Assign (TLookupStringList)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | Changed (TStringList)
 | Changing (TStringList)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TStringList)
 | Clear (TLookupStringList)
 | CompareStrings (TStringList)
 | Contains (TLookupStringList)
 | Create (TObject)
 | Create (TLookupStringList)
 | CustomSort (TStringList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
 | Delete (TStrings)
 | Delete (TStringList)
 | Delete (TLookupStringList)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TStringList)
 | Destroy (TLookupStringList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
 | DoCompareText (TStringList)
 | DoSetTextStr (TStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | Exchange (TStringList)
 | ExchangeItems (TStringList)
 | ExchangeItemsInt (TStringList)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | Find (TStringList)
 | Find (TLookupStringList)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
 | Get (TStringList)
 | GetCapacity (TStrings)
 | GetCapacity (TStringList)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
 | GetCount (TStringList)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetObject (TStringList)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetSorted (TStringList)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | Grow (TStringList)
 | IndexOf (TStrings)
 | IndexOf (TStringList)
 | IndexOf (TLookupStringList)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TStringList)
 | InsertItem (TStringList)
pt | InsertItem (TLookupStringList)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | InternalClear (TStringList)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | Put (TStringList)
 | PutObject (TStrings)
 | PutObject (TStringList)
 | QuickSort (TStringList)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCapacity (TStringList)
 | SetCaseSensitive (TStringList)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetSorted (TStringList)
 | SetSortStyle (TStringList)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetUpdateState (TStringList)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | Sort (TStringList)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TDictionaryStringList
TLookupStringList
TStringList
 | OnChange
 | OnChanging
TStrings
TPersistent
TObject


TLookupStringList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: lookupstringlist.pas line 38

type TLookupStringList = class(TStringList)

protected

  procedure InsertItem(); override;

public

  constructor Create;

  destructor Destroy; override;

  procedure Assign(); override;

  procedure Clear; override;

  procedure Delete(); override;

  function Add(); override;

  function AddObject(); override;

  function Contains();

  function Find(); override;

  function IndexOf(); override;

end;

Inheritance

TLookupStringList

|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TLookupStringList
TStringList
 |  | Duplicates
 |  | Sorted
 |  | CaseSensitive
 |  | OwnsObjects
 |  | SortStyle
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


TLookupStringList
pt | InsertItem
 | Create
 | Destroy
 | Assign
 | Clear
 | Delete
 | Add
 | AddObject
 | Contains
 | Find
 | IndexOf
TStringList
 | ExchangeItemsInt
 | GetSorted
 | Grow
 | InternalClear
 | QuickSort
 | SetSorted
 | SetCaseSensitive
 | SetSortStyle
 | ExchangeItems
 | Changed
 | Changing
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | Put
 | PutObject
 | SetCapacity
 | SetUpdateState
 | InsertItem
 | DoCompareText
 | CompareStrings
 | Destroy
 | Add
 | Clear
 | Delete
 | Exchange
 | Find
 | IndexOf
 | Insert
 | Sort
 | CustomSort
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


TLookupStringList
TStringList
 | OnChange
 | OnChanging
TStrings
TPersistent
TObject


TLookupStringList.Add

Declaration

Source position: lookupstringlist.pas line 49

public function TLookupStringList.Add(

  const S: string

):Integer; override;


TLookupStringList.AddObject

Declaration

Source position: lookupstringlist.pas line 50

public function TLookupStringList.AddObject(

  const S: string;

  AObject: TObject

):Integer; override;


TLookupStringList.Assign

Declaration

Source position: lookupstringlist.pas line 46

public procedure TLookupStringList.Assign(

  Source: TPersistent

); override;


TLookupStringList.Clear

Declaration

Source position: lookupstringlist.pas line 47

public procedure TLookupStringList.Clear; override;


TLookupStringList.Contains

Declaration

Source position: lookupstringlist.pas line 51

public function TLookupStringList.Contains(

  const S: string

):Boolean;


TLookupStringList.Create

Declaration

Source position: lookupstringlist.pas line 44

public constructor TLookupStringList.Create;


TLookupStringList.Delete

Declaration

Source position: lookupstringlist.pas line 48

public procedure TLookupStringList.Delete(

  Index: Integer

); override;


TLookupStringList.Destroy

Declaration

Source position: lookupstringlist.pas line 45

public destructor TLookupStringList.Destroy; override;


TLookupStringList.Find

Declaration

Source position: lookupstringlist.pas line 52

public function TLookupStringList.Find(

  const S: string;

  out Index: Integer

):Boolean; override;


TLookupStringList.IndexOf

Declaration

Source position: lookupstringlist.pas line 53

public function TLookupStringList.IndexOf(

  const S: string

):Integer; override;


TLookupStringList.InsertItem

Declaration

Source position: lookupstringlist.pas line 42

protected procedure TLookupStringList.InsertItem(

  Index: Integer;

  const S: string

); override;


TBaseMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maps.pp line 87

type TBaseMap = class(TPersistent)

protected

  procedure InternalAdd();

  function InternalGetData();

  function InternalGetDataPtr();

  function InternalGetId();

  function InternalSetData();

  procedure ReleaseData(); virtual;

public

  constructor Create();

  procedure Clear;

  function Count;

  function Delete();

  destructor Destroy; override;

end;

Inheritance

TBaseMap

|

TPersistent,IFPObserved
|

TObject


TBaseMap

TPersistent

TObject


TBaseMap
pt | InternalAdd
pt | InternalGetData
pt | InternalGetDataPtr
pt | InternalGetId
pt | InternalSetData
pt | ReleaseData
 | Create
 | Clear
 | Count
 | Delete
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TBaseMap)
 | Count (TBaseMap)
 | Create (TObject)
 | Create (TBaseMap)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TBaseMap)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TBaseMap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalAdd (TBaseMap)
pt | InternalGetData (TBaseMap)
pt | InternalGetDataPtr (TBaseMap)
pt | InternalGetId (TBaseMap)
pt | InternalSetData (TBaseMap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | ReleaseData (TBaseMap)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TBaseMap.Clear

Declaration

Source position: maps.pp line 111

public procedure TBaseMap.Clear;


TBaseMap.Count

Declaration

Source position: maps.pp line 112

public function TBaseMap.Count: SizeInt;


TBaseMap.Create

Declaration

Source position: maps.pp line 110

public constructor TBaseMap.Create(

  AIdType: TMapIdType;

  ADataSize: Cardinal

);


TBaseMap.Delete

Declaration

Source position: maps.pp line 113

public function TBaseMap.Delete(

  const AId

):Boolean;


TBaseMap.Destroy

Declaration

Source position: maps.pp line 114

public destructor TBaseMap.Destroy; override;


TBaseMap.InternalAdd

Declaration

Source position: maps.pp line 103

protected procedure TBaseMap.InternalAdd(

  const AId;

  const AData

);


TBaseMap.InternalGetData

Declaration

Source position: maps.pp line 104

protected function TBaseMap.InternalGetData(

  AItem: PMapItem;

  out AData

):Boolean;


TBaseMap.InternalGetDataPtr

Declaration

Source position: maps.pp line 105

protected function TBaseMap.InternalGetDataPtr(

  AItem: PMapItem

):Pointer;


TBaseMap.InternalGetId

Declaration

Source position: maps.pp line 106

protected function TBaseMap.InternalGetId(

  AItem: PMapItem;

  out AID

):Boolean;


TBaseMap.InternalSetData

Declaration

Source position: maps.pp line 107

protected function TBaseMap.InternalSetData(

  AItem: PMapItem;

  const AData

):Boolean;


TBaseMap.ReleaseData

Declaration

Source position: maps.pp line 108

protected procedure TBaseMap.ReleaseData(

  ADataPtr: Pointer

); virtual;


TBaseMapIterator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maps.pp line 119

type TBaseMapIterator = class(TObject)

protected

  procedure InternalCreate();

  function InternalLocate();

  procedure Validate;

  procedure ValidateMap;

  property Current: PMapItem; [r]

public

  destructor Destroy; override;

  procedure First;

  procedure Next;

  procedure Previous;

  procedure Last;

  function Valid;

  property BOM: Boolean; [r]

  property EOM: Boolean; [r]

end;

Inheritance

TBaseMapIterator

|

TObject


TBaseMapIterator
pt | ro | Current
 | ro | BOM
 | ro | EOM
TObject


 | ro | BOM (TBaseMapIterator)
pt | ro | Current (TBaseMapIterator)
 | ro | EOM (TBaseMapIterator)


TBaseMapIterator
pt | InternalCreate
pt | InternalLocate
pt | Validate
pt | ValidateMap
 | Destroy
 | First
 | Next
 | Previous
 | Last
 | Valid
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBaseMapIterator)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | First (TBaseMapIterator)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalCreate (TBaseMapIterator)
pt | InternalLocate (TBaseMapIterator)
 | Last (TBaseMapIterator)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Next (TBaseMapIterator)
 | Previous (TBaseMapIterator)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Valid (TBaseMapIterator)
pt | Validate (TBaseMapIterator)
pt | ValidateMap (TBaseMapIterator)


TBaseMapIterator

TObject


TBaseMapIterator.BOM

Declaration

Source position: maps.pp line 144

public property TBaseMapIterator.BOM : Boolean
  read FBOM;


TBaseMapIterator.Current

Declaration

Source position: maps.pp line 135

protected property TBaseMapIterator.Current : PMapItem
  read FCurrent;


TBaseMapIterator.Destroy

Declaration

Source position: maps.pp line 137

public destructor TBaseMapIterator.Destroy; override;


TBaseMapIterator.EOM

Declaration

Source position: maps.pp line 145

public property TBaseMapIterator.EOM : Boolean
  read FEOM;


TBaseMapIterator.First

Declaration

Source position: maps.pp line 138

public procedure TBaseMapIterator.First;


TBaseMapIterator.InternalCreate

Declaration

Source position: maps.pp line 131

protected procedure TBaseMapIterator.InternalCreate(

  AMap: TBaseMap

);


TBaseMapIterator.InternalLocate

Declaration

Source position: maps.pp line 132

protected function TBaseMapIterator.InternalLocate(

  const AId

):Boolean;


TBaseMapIterator.Last

Declaration

Source position: maps.pp line 141

public procedure TBaseMapIterator.Last;


TBaseMapIterator.Next

Declaration

Source position: maps.pp line 139

public procedure TBaseMapIterator.Next;


TBaseMapIterator.Previous

Declaration

Source position: maps.pp line 140

public procedure TBaseMapIterator.Previous;


TBaseMapIterator.Valid

Declaration

Source position: maps.pp line 142

public function TBaseMapIterator.Valid: Boolean;


TBaseMapIterator.Validate

Declaration

Source position: maps.pp line 133

protected procedure TBaseMapIterator.Validate;


TBaseMapIterator.ValidateMap

Declaration

Source position: maps.pp line 134

protected procedure TBaseMapIterator.ValidateMap;


TMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maps.pp line 150

type TMap = class(TBaseMap)

public

  procedure Add();

  function HasId();

  function GetData();

  function GetDataPtr();

  function SetData();

end;

Inheritance

TMap

|

TBaseMap

|

TPersistent,IFPObserved
|

TObject


TMap

TBaseMap

TPersistent

TObject


TMap
 | Add
 | HasId
 | GetData
 | GetDataPtr
 | SetData
TBaseMap
pt | InternalAdd
pt | InternalGetData
pt | InternalGetDataPtr
pt | InternalGetId
pt | InternalSetData
pt | ReleaseData
 | Create
 | Clear
 | Count
 | Delete
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TBaseMap)
 | Count (TBaseMap)
 | Create (TObject)
 | Create (TBaseMap)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TBaseMap)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TBaseMap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetData (TMap)
 | GetDataPtr (TMap)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | HasId (TMap)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalAdd (TBaseMap)
pt | InternalGetData (TBaseMap)
pt | InternalGetDataPtr (TBaseMap)
pt | InternalGetId (TBaseMap)
pt | InternalSetData (TBaseMap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | ReleaseData (TBaseMap)
 | SafeCallException (TObject)
 | SetData (TMap)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TMap.Add

Declaration

Source position: maps.pp line 154

public procedure TMap.Add(

  const AId;

  const AData

);


TMap.GetData

Declaration

Source position: maps.pp line 156

public function TMap.GetData(

  const AId;

  out AData

):Boolean;


TMap.GetDataPtr

Declaration

Source position: maps.pp line 157

public function TMap.GetDataPtr(

  const AId

):Pointer;


TMap.HasId

Declaration

Source position: maps.pp line 155

public function TMap.HasId(

  const AID

):Boolean;


TMap.SetData

Declaration

Source position: maps.pp line 158

public function TMap.SetData(

  const AId;

  const AData

):Boolean;


TMapID

Declaration

Source position: maps.pp line 53

type TMapID = record

  case TMapIdType of

    itu1: (

        U1: Byte;

      );

    its1: (

        S1: ShortInt;

      );

    itu2: (

        U2: Word;

      );

    its2: (

        S2: SmallInt;

      );

    itu4: (

        U4: LongWord;

      );

    its4: (

        S4: LongInt;

      );

    itu8: (

        U8: QWord;

      );

    its8: (

        S8: Int64;

      );

    itu16: (

        U16H: QWord;

        U16L: QWord;

      );

    its16: (

        S16H: Int64;

        S16L: QWord;

      );

    itu32: (

        U32HH: QWord;

        U32HL: QWord;

        U32LH: QWord;

        U32LL: QWord;

      );

    its32: (

        S32HH: Int64;

        S32HL: QWord;

        S32LH: QWord;

        S32LL: QWord;

      );

end;


TMapIdType

Declaration

Source position: maps.pp line 32

type TMapIdType = (

  itu1,

  its1,

  itu2,

  its2,

  itu4,

  its4,

  itu8,

  its8,

  itu16,

  its16,

  itu32,

  its32

);


TMapItem

Declaration

Source position: maps.pp line 76

type TMapItem = packed record

  Link: TMapLink;

  ID: TMapID;

end;


TMapIterator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maps.pp line 163

type TMapIterator = class(TBaseMapIterator)

public

  constructor Create();

  function DataPtr;

  procedure GetData();

  procedure GetID();

  function Locate();

  procedure SetData();

end;

Inheritance

TMapIterator

|

TBaseMapIterator

|

TObject


TMapIterator
TBaseMapIterator
pt | ro | Current
 | ro | BOM
 | ro | EOM
TObject


TMapIterator
 | Create
 | DataPtr
 | GetData
 | GetID
 | Locate
 | SetData
TBaseMapIterator
pt | InternalCreate
pt | InternalLocate
pt | Validate
pt | ValidateMap
 | Destroy
 | First
 | Next
 | Previous
 | Last
 | Valid
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TMapIterator)
 | DataPtr (TMapIterator)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBaseMapIterator)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | First (TBaseMapIterator)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetData (TMapIterator)
 | GetHashCode (TObject)
 | GetID (TMapIterator)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalCreate (TBaseMapIterator)
pt | InternalLocate (TBaseMapIterator)
 | Last (TBaseMapIterator)
 | Locate (TMapIterator)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Next (TBaseMapIterator)
 | Previous (TBaseMapIterator)
 | SafeCallException (TObject)
 | SetData (TMapIterator)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Valid (TBaseMapIterator)
pt | Validate (TBaseMapIterator)
pt | ValidateMap (TBaseMapIterator)


TMapIterator

TBaseMapIterator

TObject


TMapIterator.Create

Declaration

Source position: maps.pp line 167

public constructor TMapIterator.Create(

  AMap: TMap

);


TMapIterator.DataPtr

Declaration

Source position: maps.pp line 168

public function TMapIterator.DataPtr: Pointer;


TMapIterator.GetData

Declaration

Source position: maps.pp line 169

public procedure TMapIterator.GetData(

  out AData

);


TMapIterator.GetID

Declaration

Source position: maps.pp line 170

public procedure TMapIterator.GetID(

  out AID

);


TMapIterator.Locate

Declaration

Source position: maps.pp line 171

public function TMapIterator.Locate(

  const AId

):Boolean;


TMapIterator.SetData

Declaration

Source position: maps.pp line 172

public procedure TMapIterator.SetData(

  const AData

);


TTypedMap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maps.pp line 177

type TTypedMap = class(TBaseMap)

protected

  function InternalSetData();

  procedure ReleaseData(); override;

public

  procedure Add();

  constructor Create();

  destructor Destroy; override;

  function HasId();

  function GetData();

  function GetDataPtr();

  function SetData();

end;

Inheritance

TTypedMap

|

TBaseMap

|

TPersistent,IFPObserved
|

TObject


TTypedMap

TBaseMap

TPersistent

TObject


TTypedMap
pt | InternalSetData
pt | ReleaseData
 | Add
 | Create
 | Destroy
 | HasId
 | GetData
 | GetDataPtr
 | SetData
TBaseMap
pt | InternalAdd
pt | InternalGetData
pt | InternalGetDataPtr
pt | InternalGetId
pt | InternalSetData
pt | ReleaseData
 | Create
 | Clear
 | Count
 | Delete
 | Destroy
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TBaseMap)
 | Count (TBaseMap)
 | Create (TObject)
 | Create (TBaseMap)
 | Create (TTypedMap)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | Delete (TBaseMap)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TBaseMap)
 | Destroy (TTypedMap)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetData (TTypedMap)
 | GetDataPtr (TTypedMap)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetNamePath (TPersistent)
 | GetOwner (TPersistent)
 | HasId (TTypedMap)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalAdd (TBaseMap)
pt | InternalGetData (TBaseMap)
pt | InternalGetDataPtr (TBaseMap)
pt | InternalGetId (TBaseMap)
pt | InternalSetData (TBaseMap)
pt | InternalSetData (TTypedMap)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
pt | ReleaseData (TBaseMap)
pt | ReleaseData (TTypedMap)
 | SafeCallException (TObject)
 | SetData (TTypedMap)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TTypedMap.Add

Declaration

Source position: maps.pp line 184

public procedure TTypedMap.Add(

  const AId;

  const AData

);


TTypedMap.Create

Declaration

Source position: maps.pp line 185

public constructor TTypedMap.Create(

  AIdType: TMapIdType;

  ATypeInfo: PTypeInfo

);


TTypedMap.Destroy

Declaration

Source position: maps.pp line 186

public destructor TTypedMap.Destroy; override;


TTypedMap.GetData

Declaration

Source position: maps.pp line 188

public function TTypedMap.GetData(

  const AId;

  out AData

):Boolean;


TTypedMap.GetDataPtr

Declaration

Source position: maps.pp line 189

public function TTypedMap.GetDataPtr(

  const AId

):Pointer;


TTypedMap.HasId

Declaration

Source position: maps.pp line 187

public function TTypedMap.HasId(

  const AID

):Boolean;


TTypedMap.InternalSetData

Declaration

Source position: maps.pp line 181

protected function TTypedMap.InternalSetData(

  AItem: PMapItem;

  const AData

):Boolean;


TTypedMap.ReleaseData

Declaration

Source position: maps.pp line 182

protected procedure TTypedMap.ReleaseData(

  ADataPtr: Pointer

); override;


TTypedMap.SetData

Declaration

Source position: maps.pp line 190

public function TTypedMap.SetData(

  const AId;

  const AData

):Boolean;


TTypedMapIterator

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: maps.pp line 195

type TTypedMapIterator = class(TBaseMapIterator)

public

  constructor Create();

  procedure GetData();

  procedure GetID();

  function Locate();

  procedure SetData();

end;

Inheritance

TTypedMapIterator

|

TBaseMapIterator

|

TObject


TTypedMapIterator
TBaseMapIterator
pt | ro | Current
 | ro | BOM
 | ro | EOM
TObject


TTypedMapIterator
 | Create
 | GetData
 | GetID
 | Locate
 | SetData
TBaseMapIterator
pt | InternalCreate
pt | InternalLocate
pt | Validate
pt | ValidateMap
 | Destroy
 | First
 | Next
 | Previous
 | Last
 | Valid
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Create (TObject)
 | Create (TTypedMapIterator)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TBaseMapIterator)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | First (TBaseMapIterator)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetData (TTypedMapIterator)
 | GetHashCode (TObject)
 | GetID (TTypedMapIterator)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | InstanceSize (TObject)
pt | InternalCreate (TBaseMapIterator)
pt | InternalLocate (TBaseMapIterator)
 | Last (TBaseMapIterator)
 | Locate (TTypedMapIterator)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Next (TBaseMapIterator)
 | Previous (TBaseMapIterator)
 | SafeCallException (TObject)
 | SetData (TTypedMapIterator)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | Valid (TBaseMapIterator)
pt | Validate (TBaseMapIterator)
pt | ValidateMap (TBaseMapIterator)


TTypedMapIterator

TBaseMapIterator

TObject


TTypedMapIterator.Create

Declaration

Source position: maps.pp line 199

public constructor TTypedMapIterator.Create(

  AMap: TTypedMap

);


TTypedMapIterator.GetData

Declaration

Source position: maps.pp line 200

public procedure TTypedMapIterator.GetData(

  out AData

);


TTypedMapIterator.GetID

Declaration

Source position: maps.pp line 201

public procedure TTypedMapIterator.GetID(

  out AID

);


TTypedMapIterator.Locate

Declaration

Source position: maps.pp line 202

public function TTypedMapIterator.Locate(

  const AId

):Boolean;


TTypedMapIterator.SetData

Declaration

Source position: maps.pp line 203

public procedure TTypedMapIterator.SetData(

  const AData

);


TMask

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The TMask class represents a mask.

Declaration

Source position: masks.pas line 42

type TMask = class
public
constructor Create(); | Creates new mask for matching.
destructor Destroy; override; |
function Matches(); | If the file name matches the mask.
function MatchesWindowsMask();
end;

Inheritance

TMask

The TMask class represents a mask.
|

TObject


TMask


TMask
 | Create
 | Destroy
 | Matches
 | MatchesWindowsMask


Create (TMask)

Destroy (TMask)

Matches (TMask)

MatchesWindowsMask (TMask)


TMask.Create

Creates new mask for matching.

Declaration

Source position: masks.pas line 50

public constructor TMask.Create(

  const AValue: string;

  const CaseSensitive: Boolean = False

);

Description

Creates new mask for matching. Matching is case-insensitive. The mask consist of literal elements such as:


TMask.Destroy

Declaration

Source position: masks.pas line 51

public destructor TMask.Destroy; override;


TMask.Matches

If the file name matches the mask.

Declaration

Source position: masks.pas line 53

public function TMask.Matches(

  const AFileName: string

):Boolean;


TMask.MatchesWindowsMask

Declaration

Source position: masks.pas line 54

public function TMask.MatchesWindowsMask(

  const AFileName: string

):Boolean;


TMaskChar

Declaration

Source position: masks.pas line 27

type TMaskChar = record

  case CharType: TMaskCharType of

    mcChar: (

        CharValue: TUtf8Char;

      );

    mcCharSet: (

        Negative: Boolean;

        SetValue: PCharSet;

      );

    mcAnyChar, mcAnyText: (

      );

end;


TMaskCharType

Declaration

Source position: masks.pas line 20

type TMaskCharType = (

  mcChar,

  mcCharSet,

  mcAnyChar,

  mcAnyText

);


TMaskList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The TMaskList class represents a list of masks.

Declaration

Source position: masks.pas line 66

type TMaskList = class
public
constructor Create(); | Creates new list of masks from passed value, each item is seperated by separator.
destructor Destroy; override; |
function Matches(); | If the file name matches at least one of mask list items.
function MatchesWindowsMask();
property Count: Integer; [r] | The count of mask list items.
property Items []: TMask; [r] | The items of mask list.
end;

Inheritance

TMaskList

The TMaskList class represents a list of masks.
|

TObject


TMaskList
 | ro | Count
 | ro | Items


ro | Count (TMaskList)
ro | Items (TMaskList)


TMaskList
 | Create
 | Destroy
 | Matches
 | MatchesWindowsMask


Create (TMaskList)

Destroy (TMaskList)

Matches (TMaskList)

MatchesWindowsMask (TMaskList)


TMaskList


TMaskList.Count

The count of mask list items.

Declaration

Source position: masks.pas line 78

public property TMaskList.Count : Integer
  read GetCount;


TMaskList.Create

Creates new list of masks from passed value, each item is seperated by separator.

Declaration

Source position: masks.pas line 72

public constructor TMaskList.Create(

  const AValue: string;

  ASeparator: Char = ';';

  const CaseSensitive: Boolean = False

);


TMaskList.Destroy

Declaration

Source position: masks.pas line 73

public destructor TMaskList.Destroy; override;


TMaskList.Items

The items of mask list.

Declaration

Source position: masks.pas line 79

public property TMaskList.Items[Index: Integer] : TMask
  read GetItem;


TMaskList.Matches

If the file name matches at least one of mask list items.

Declaration

Source position: masks.pas line 75

public function TMaskList.Matches(

  const AFileName: string

):Boolean;


TMaskList.MatchesWindowsMask

Declaration

Source position: masks.pas line 76

public function TMaskList.MatchesWindowsMask(

  const AFileName: string

):Boolean;


TParseStringList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

The TParseStringList class is used to parse text into the list of strings.

Declaration

Source position: masks.pas line 59

type TParseStringList = class(TStringList)

public

  constructor Create();

Creates new string list by parsing passed text according to separators.

end;

Inheritance

TParseStringList

The TParseStringList class is used to parse text into the list of strings.
|

TStringList
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TParseStringList
TStringList
 |  | Duplicates
 |  | Sorted
 |  | CaseSensitive
 |  | OwnsObjects
 |  | SortStyle
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


TParseStringList
 | Create
TStringList
 | ExchangeItemsInt
 | GetSorted
 | Grow
 | InternalClear
 | QuickSort
 | SetSorted
 | SetCaseSensitive
 | SetSortStyle
 | ExchangeItems
 | Changed
 | Changing
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | Put
 | PutObject
 | SetCapacity
 | SetUpdateState
 | InsertItem
 | DoCompareText
 | CompareStrings
 | Destroy
 | Add
 | Clear
 | Delete
 | Exchange
 | Find
 | IndexOf
 | Insert
 | Sort
 | CustomSort
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


Add (TStrings)

Add (TStringList)

AddObject (TStrings)

AddStrings (TStrings)

AddText (TStrings)

AfterConstruction (TObject)

Append (TStrings)

Assign (TPersistent)

Assign (TStrings)

AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

BeginUpdate (TStrings)

Changed (TStringList)

Changing (TStringList)

CheckSpecialChars (TStrings)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

Clear (TStrings)

Clear (TStringList)

CompareStrings (TStringList)

Create (TObject)

Create (TParseStringList)

CustomSort (TStringList)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

DefineProperties (TStrings)

Delete (TStrings)

Delete (TStringList)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TStrings)

Destroy (TStringList)

Dispatch (TObject)

DispatchStr (TObject)

DoCompareText (TStrings)

DoCompareText (TStringList)

DoSetTextStr (TStrings)

EndUpdate (TStrings)

Equals (TObject)

Equals (TStrings)

Error (TStrings)

Exchange (TStrings)

Exchange (TStringList)

ExchangeItems (TStringList)

ExchangeItemsInt (TStringList)

ExtractName (TStrings)

FieldAddress (TObject)

Find (TStringList)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

Get (TStrings)

Get (TStringList)

GetCapacity (TStrings)

GetCapacity (TStringList)

GetCommaText (TStrings)

GetCount (TStrings)

GetCount (TStringList)

GetDelimitedText (TStrings)

GetDelimiter (TStrings)

GetEnumerator (TStrings)

GetHashCode (TObject)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetLBS (TStrings)

GetLineBreak (TStrings)

GetName (TStrings)

GetNamePath (TPersistent)

GetNameValue (TStrings)

GetNameValueSeparator (TStrings)

GetNextLine (TStrings)

GetNextLinebreak (TStrings)

GetObject (TStrings)

GetObject (TStringList)

GetOwner (TPersistent)

GetQuoteChar (TStrings)

GetSkipLastLineBreak (TStrings)

GetSorted (TStringList)

GetText (TStrings)

GetTextStr (TStrings)

GetValue (TStrings)

GetValueFromIndex (TStrings)

Grow (TStringList)

IndexOf (TStrings)

IndexOf (TStringList)

IndexOfName (TStrings)

IndexOfObject (TStrings)

InheritsFrom (TObject)

InitInstance (TObject)

Insert (TStrings)

Insert (TStringList)

InsertItem (TStringList)

InsertObject (TStrings)

InstanceSize (TObject)

InternalClear (TStringList)

LoadFromFile (TStrings)

LoadFromStream (TStrings)

MethodAddress (TObject)

MethodName (TObject)

Move (TStrings)

newinstance (TObject)

Put (TStrings)

Put (TStringList)

PutObject (TStrings)

PutObject (TStringList)

QuickSort (TStringList)

ReadData (TStrings)

SafeCallException (TObject)

SaveToFile (TStrings)

SaveToStream (TStrings)

SetCapacity (TStrings)

SetCapacity (TStringList)

SetCaseSensitive (TStringList)

SetCommaText (TStrings)

SetDelimitedText (TStrings)

SetDelimiter (TStrings)

SetLBS (TStrings)

SetLineBreak (TStrings)

SetNameValueSeparator (TStrings)

SetQuoteChar (TStrings)

SetSkipLastLineBreak (TStrings)

SetSorted (TStringList)

SetSortStyle (TStringList)

SetStringsAdapter (TStrings)

SetText (TStrings)

SetTextStr (TStrings)

SetUpdateState (TStrings)

SetUpdateState (TStringList)

SetValue (TStrings)

SetValueFromIndex (TStrings)

Sort (TStringList)

StringMessageTable (TObject)

ToString (TObject)

UnitName (TObject)

WriteData (TStrings)


TParseStringList
TStringList
 | OnChange
 | OnChanging
TStrings
TPersistent
TObject


TParseStringList.Create

Creates new string list by parsing passed text according to separators.

Declaration

Source position: masks.pas line 61

public constructor TParseStringList.Create(

  const AText: string;

  const ASeparators: string

);


TStringHashList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: stringhashlist.pas line 41

type TStringHashList = class(TObject)

protected

  function HashOf();

  procedure Insert();

public

  constructor Create();

  destructor Destroy; override;

  function Add();

  procedure Clear;

  function Find();

  function Remove();

  property CaseSensitive: Boolean; [rw]

  property Count: Integer; [r]

  property Data []: Pointer; default; [rw]

  property List: PStringHashItemList; [r]

end;

Inheritance

TStringHashList

|

TObject


TStringHashList
 |  | CaseSensitive
 | ro | Count
 |  | Data
 | ro | List
TObject


ro | Count (TStringHashList)
 | Data (TStringHashList)
ro | List (TStringHashList)


TStringHashList
pt | HashOf
pt | Insert
 | Create
 | Destroy
 | Add
 | Clear
 | Find
 | Remove
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStringHashList)
 | AfterConstruction (TObject)
 | BeforeDestruction (TObject)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStringHashList)
 | Create (TObject)
 | Create (TStringHashList)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | Destroy (TObject)
 | Destroy (TStringHashList)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | Equals (TObject)
 | FieldAddress (TObject)
 | Find (TStringHashList)
 | Free (TObject)
 | FreeInstance (TObject)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
pt | HashOf (TStringHashList)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
pt | Insert (TStringHashList)
 | InstanceSize (TObject)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | newinstance (TObject)
 | Remove (TStringHashList)
 | SafeCallException (TObject)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)


TStringHashList

TObject


TStringHashList.Add

Declaration

Source position: stringhashlist.pas line 60

public function TStringHashList.Add(

  const S: string

):Integer;

function TStringHashList.Add(

  const S: string;

  ItemData: Pointer

):Integer;


TStringHashList.CaseSensitive

Declaration

Source position: stringhashlist.pas line 67

public property TStringHashList.CaseSensitive : Boolean
  read fCaseSensitive
  write SetCaseSensitive;


TStringHashList.Clear

Declaration

Source position: stringhashlist.pas line 62

public procedure TStringHashList.Clear;


TStringHashList.Count

Declaration

Source position: stringhashlist.pas line 68

public property TStringHashList.Count : Integer
  read FCount;


TStringHashList.Create

Declaration

Source position: stringhashlist.pas line 58

public constructor TStringHashList.Create(

  CaseSensitivity: Boolean

);


TStringHashList.Data

Declaration

Source position: stringhashlist.pas line 69

public property TStringHashList.Data[S: string] : Pointer
  read GetData
  write SetData;
  default;


TStringHashList.Destroy

Declaration

Source position: stringhashlist.pas line 59

public destructor TStringHashList.Destroy; override;


TStringHashList.Find

Declaration

Source position: stringhashlist.pas line 63

public function TStringHashList.Find(

  const S: string

):Integer;

function TStringHashList.Find(

  const S: string;

  Data: Pointer

):Integer;


TStringHashList.HashOf

Declaration

Source position: stringhashlist.pas line 55

protected function TStringHashList.HashOf(

  const Key: string

):Cardinal;


TStringHashList.Insert

Declaration

Source position: stringhashlist.pas line 56

protected procedure TStringHashList.Insert(

  Index: Integer;

  Item: PStringHashItem

);


TStringHashList.List

Declaration

Source position: stringhashlist.pas line 70

public property TStringHashList.List : PStringHashItemList
  read FList;


TStringHashList.Remove

Declaration

Source position: stringhashlist.pas line 65

public function TStringHashList.Remove(

  const S: string

):Integer;

function TStringHashList.Remove(

  const S: string;

  Data: Pointer

):Integer;


TCustomMemoStrings

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: textstrings.pas line 45

type TCustomMemoStrings = class(TStrings)

protected

  procedure DoReadData(); virtual;

  procedure DoWriteData(); virtual;

  procedure DefineProperties(); override;

end;

Inheritance

TCustomMemoStrings
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TCustomMemoStrings
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | LineBreak (TStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | QuoteChar (TStrings)
 | SkipLastLineBreak (TStrings)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Text (TStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TCustomMemoStrings
pt | DoReadData
pt | DoWriteData
pt | DefineProperties
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | AddObject (TStrings)
 | AddStrings (TStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Create (TObject)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
pt | DefineProperties (TCustomMemoStrings)
 | Delete (TStrings)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
pt | DoReadData (TCustomMemoStrings)
 | DoSetTextStr (TStrings)
pt | DoWriteData (TCustomMemoStrings)
 | EndUpdate (TStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetTextStr (TStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromStream (TStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | newinstance (TObject)
 | Put (TStrings)
 | PutObject (TStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetTextStr (TStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TCustomMemoStrings

TStrings

TPersistent

TObject


TCustomMemoStrings.DefineProperties

Declaration

Source position: textstrings.pas line 49

protected procedure TCustomMemoStrings.DefineProperties(

  Filer: TFiler

); override;


TCustomMemoStrings.DoReadData

Declaration

Source position: textstrings.pas line 47

protected procedure TCustomMemoStrings.DoReadData(

  Reader: TReader

); virtual;


TCustomMemoStrings.DoWriteData

Declaration

Source position: textstrings.pas line 48

protected procedure TCustomMemoStrings.DoWriteData(

  Writer: TWriter

); virtual;


TTextStrings

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: textstrings.pas line 52

type TTextStrings = class(TCustomMemoStrings)

protected

  FArraysValid: Boolean;

  FLineCount: Integer;

  FLineCapacity: Integer;

  FLineRanges: PTextLineRange;

  FText: string;

  FUpdateCount: Integer;

  FChangedWhileUpdate: Boolean;

  function GetTextStr; override;

  procedure SetTextStr(); override;

  procedure BuildArrays; virtual;

  function GetCount; override;

  procedure Changed; virtual;

  procedure Changing; virtual;

  function Get(); override;

  procedure ClearArrays;

  function GetObject(); override;

  procedure Put(); override;

  procedure PutObject(); override;

  function GetLineLen();

  function GetLineEnd();

  function CountLineEndings();

public

  constructor Create;

  destructor Destroy; override;

  procedure Clear; override;

  procedure SetText(); override;

  procedure Insert(); override;

  procedure Delete(); override;

  procedure Exchange(); override;

  procedure Move(); override;

  procedure MakeTextBufferUnique;

  procedure BeginUpdate;

  procedure EndUpdate;

  function GetText; override;

  function IndexOf(); override;

  function Add(); override;

  function AddObject(); override;

  procedure AddStrings(); override;

  procedure LoadFromFile(); override;

  procedure SaveToFile(); override;

  property Text: string; [rw]

  property OnChange: TNotifyEvent; [rw]

  property OnChanging: TNotifyEvent; [rw]

end;

Inheritance

TTextStrings
|

TCustomMemoStrings
|

TStrings
|

TPersistent,IFPObserved
|

TObject


TTextStrings
 |  | Text
TCustomMemoStrings
TStrings
 | ro | UpdateCount
 |  | TextLineBreakStyle
 |  | Delimiter
 |  | DelimitedText
 |  | LineBreak
 |  | StrictDelimiter
 |  | QuoteChar
 |  | NameValueSeparator
 |  | ValueFromIndex
 |  | Capacity
 |  | CommaText
 | ro | Count
 | ro | Names
 |  | Objects
 |  | Values
 |  | Strings
 |  | Text
 |  | StringsAdapter
 |  | SkipLastLineBreak
TPersistent
TObject


ro | Count (TStrings)
 | DelimitedText (TStrings)
 | Delimiter (TStrings)
 | LineBreak (TStrings)
ro | Names (TStrings)
 | NameValueSeparator (TStrings)
 | Objects (TStrings)
 | QuoteChar (TStrings)
 | SkipLastLineBreak (TStrings)
 | StrictDelimiter (TStrings)
 | Strings (TStrings)
 | StringsAdapter (TStrings)
 | Text (TStrings)
 | Text (TTextStrings)
 | TextLineBreakStyle (TStrings)
ro | UpdateCount (TStrings)
 | ValueFromIndex (TStrings)
 | Values (TStrings)


TTextStrings
pt | GetTextStr
pt | SetTextStr
pt | BuildArrays
pt | GetCount
pt | Changed
pt | Changing
pt | Get
pt | ClearArrays
pt | GetObject
pt | Put
pt | PutObject
pt | GetLineLen
pt | GetLineEnd
pt | CountLineEndings
 | Create
 | Destroy
 | Clear
 | SetText
 | Insert
 | Delete
 | Exchange
 | Move
 | MakeTextBufferUnique
 | BeginUpdate
 | EndUpdate
 | GetText
 | IndexOf
 | Add
 | AddObject
 | AddStrings
 | LoadFromFile
 | SaveToFile
TCustomMemoStrings
pt | DoReadData
pt | DoWriteData
pt | DefineProperties
TStrings
 | GetCommaText
 | GetName
 | GetValue
 | GetLBS
 | SetLBS
 | ReadData
 | SetCommaText
 | SetStringsAdapter
 | SetValue
 | SetDelimiter
 | SetQuoteChar
 | SetNameValueSeparator
 | WriteData
 | DoSetTextStr
 | GetDelimiter
 | GetNameValueSeparator
 | GetQuoteChar
 | GetLineBreak
 | SetLineBreak
 | GetSkipLastLineBreak
 | SetSkipLastLineBreak
 | DefineProperties
 | Error
 | Get
 | GetCapacity
 | GetCount
 | GetObject
 | GetTextStr
 | Put
 | PutObject
 | SetCapacity
 | SetTextStr
 | SetUpdateState
 | DoCompareText
 | GetDelimitedText
 | SetDelimitedText
 | GetValueFromIndex
 | SetValueFromIndex
 | CheckSpecialChars
 | GetNextLine
 | GetNextLinebreak
 | Destroy
 | Add
 | AddObject
 | Append
 | AddStrings
 | AddText
 | Assign
 | BeginUpdate
 | Clear
 | Delete
 | EndUpdate
 | Equals
 | Exchange
 | GetEnumerator
 | GetText
 | IndexOf
 | IndexOfName
 | IndexOfObject
 | Insert
 | InsertObject
 | LoadFromFile
 | LoadFromStream
 | Move
 | SaveToFile
 | SaveToStream
 | SetText
 | GetNameValue
 | ExtractName
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


 | Add (TStrings)
 | Add (TTextStrings)
 | AddObject (TStrings)
 | AddObject (TTextStrings)
 | AddStrings (TStrings)
 | AddStrings (TTextStrings)
 | AddText (TStrings)
 | AfterConstruction (TObject)
 | Append (TStrings)
 | Assign (TPersistent)
 | Assign (TStrings)
 | AssignError (TPersistent)
 | AssignTo (TPersistent)
 | BeforeDestruction (TObject)
 | BeginUpdate (TStrings)
 | BeginUpdate (TTextStrings)
pt | BuildArrays (TTextStrings)
pt | Changed (TTextStrings)
pt | Changing (TTextStrings)
 | CheckSpecialChars (TStrings)
 | ClassInfo (TObject)
 | ClassName (TObject)
 | ClassNameIs (TObject)
 | ClassParent (TObject)
 | ClassType (TObject)
 | CleanupInstance (TObject)
 | Clear (TStrings)
 | Clear (TTextStrings)
pt | ClearArrays (TTextStrings)
pt | CountLineEndings (TTextStrings)
 | Create (TObject)
 | Create (TTextStrings)
 | DefaultHandler (TObject)
 | DefaultHandlerStr (TObject)
 | DefineProperties (TPersistent)
 | DefineProperties (TStrings)
pt | DefineProperties (TCustomMemoStrings)
 | Delete (TStrings)
 | Delete (TTextStrings)
 | Destroy (TObject)
 | Destroy (TPersistent)
 | Destroy (TStrings)
 | Destroy (TTextStrings)
 | Dispatch (TObject)
 | DispatchStr (TObject)
 | DoCompareText (TStrings)
pt | DoReadData (TCustomMemoStrings)
 | DoSetTextStr (TStrings)
pt | DoWriteData (TCustomMemoStrings)
 | EndUpdate (TStrings)
 | EndUpdate (TTextStrings)
 | Equals (TObject)
 | Equals (TStrings)
 | Error (TStrings)
 | Exchange (TStrings)
 | Exchange (TTextStrings)
 | ExtractName (TStrings)
 | FieldAddress (TObject)
 | FPOAttachObserver (TPersistent)
 | FPODetachObserver (TPersistent)
 | FPONotifyObservers (TPersistent)
 | Free (TObject)
 | FreeInstance (TObject)
 | Get (TStrings)
pt | Get (TTextStrings)
 | GetCapacity (TStrings)
 | GetCommaText (TStrings)
 | GetCount (TStrings)
pt | GetCount (TTextStrings)
 | GetDelimitedText (TStrings)
 | GetDelimiter (TStrings)
 | GetEnumerator (TStrings)
 | GetHashCode (TObject)
 | GetInterface (TObject)
 | GetInterfaceByStr (TObject)
 | GetInterfaceEntry (TObject)
 | GetInterfaceEntryByStr (TObject)
 | GetInterfaceTable (TObject)
 | GetInterfaceWeak (TObject)
 | GetLBS (TStrings)
 | GetLineBreak (TStrings)
pt | GetLineEnd (TTextStrings)
pt | GetLineLen (TTextStrings)
 | GetName (TStrings)
 | GetNamePath (TPersistent)
 | GetNameValue (TStrings)
 | GetNameValueSeparator (TStrings)
 | GetNextLine (TStrings)
 | GetNextLinebreak (TStrings)
 | GetObject (TStrings)
pt | GetObject (TTextStrings)
 | GetOwner (TPersistent)
 | GetQuoteChar (TStrings)
 | GetSkipLastLineBreak (TStrings)
 | GetText (TStrings)
 | GetText (TTextStrings)
 | GetTextStr (TStrings)
pt | GetTextStr (TTextStrings)
 | GetValue (TStrings)
 | GetValueFromIndex (TStrings)
 | IndexOf (TStrings)
 | IndexOf (TTextStrings)
 | IndexOfName (TStrings)
 | IndexOfObject (TStrings)
 | InheritsFrom (TObject)
 | InitInstance (TObject)
 | Insert (TStrings)
 | Insert (TTextStrings)
 | InsertObject (TStrings)
 | InstanceSize (TObject)
 | LoadFromFile (TStrings)
 | LoadFromFile (TTextStrings)
 | LoadFromStream (TStrings)
 | MakeTextBufferUnique (TTextStrings)
 | MethodAddress (TObject)
 | MethodName (TObject)
 | Move (TStrings)
 | Move (TTextStrings)
 | newinstance (TObject)
 | Put (TStrings)
pt | Put (TTextStrings)
 | PutObject (TStrings)
pt | PutObject (TTextStrings)
 | ReadData (TStrings)
 | SafeCallException (TObject)
 | SaveToFile (TStrings)
 | SaveToFile (TTextStrings)
 | SaveToStream (TStrings)
 | SetCapacity (TStrings)
 | SetCommaText (TStrings)
 | SetDelimitedText (TStrings)
 | SetDelimiter (TStrings)
 | SetLBS (TStrings)
 | SetLineBreak (TStrings)
 | SetNameValueSeparator (TStrings)
 | SetQuoteChar (TStrings)
 | SetSkipLastLineBreak (TStrings)
 | SetStringsAdapter (TStrings)
 | SetText (TStrings)
 | SetText (TTextStrings)
 | SetTextStr (TStrings)
pt | SetTextStr (TTextStrings)
 | SetUpdateState (TStrings)
 | SetValue (TStrings)
 | SetValueFromIndex (TStrings)
 | StringMessageTable (TObject)
 | ToString (TObject)
 | UnitName (TObject)
 | WriteData (TStrings)


TTextStrings
 | OnChange
 | OnChanging
TCustomMemoStrings
TStrings
TPersistent
TObject


TTextStrings.Add

Declaration

Source position: textstrings.pas line 92

public function TTextStrings.Add(

  const S: string

):Integer; override;


TTextStrings.AddObject

Declaration

Source position: textstrings.pas line 93

public function TTextStrings.AddObject(

  const S: string;

  AObject: TObject

):Integer; override;


TTextStrings.AddStrings

Declaration

Source position: textstrings.pas line 94

public procedure TTextStrings.AddStrings(

  TheStrings: TStrings

); override;


TTextStrings.BeginUpdate

Declaration

Source position: textstrings.pas line 88

public procedure TTextStrings.BeginUpdate;


TTextStrings.BuildArrays

Declaration

Source position: textstrings.pas line 66

protected procedure TTextStrings.BuildArrays; virtual;


TTextStrings.Changed

Declaration

Source position: textstrings.pas line 68

protected procedure TTextStrings.Changed; virtual;


TTextStrings.Changing

Declaration

Source position: textstrings.pas line 69

protected procedure TTextStrings.Changing; virtual;


TTextStrings.Clear

Declaration

Source position: textstrings.pas line 81

public procedure TTextStrings.Clear; override;


TTextStrings.ClearArrays

Declaration

Source position: textstrings.pas line 71

protected procedure TTextStrings.ClearArrays;


TTextStrings.CountLineEndings

Declaration

Source position: textstrings.pas line 77

protected function TTextStrings.CountLineEndings(

  const s: string

):Integer;


TTextStrings.Create

Declaration

Source position: textstrings.pas line 79

public constructor TTextStrings.Create;


TTextStrings.Delete

Declaration

Source position: textstrings.pas line 84

public procedure TTextStrings.Delete(

  Index: Integer

); override;


TTextStrings.Destroy

Declaration

Source position: textstrings.pas line 80

public destructor TTextStrings.Destroy; override;


TTextStrings.EndUpdate

Declaration

Source position: textstrings.pas line 89

public procedure TTextStrings.EndUpdate;


TTextStrings.Exchange

Declaration

Source position: textstrings.pas line 85

public procedure TTextStrings.Exchange(

  Index1: Integer;

  Index2: Integer

); override;


TTextStrings.FArraysValid

Declaration

Source position: textstrings.pas line 57

protected TTextStrings.FArraysValid : Boolean;


TTextStrings.FChangedWhileUpdate

Declaration

Source position: textstrings.pas line 63

protected TTextStrings.FChangedWhileUpdate : Boolean;


TTextStrings.FLineCapacity

Declaration

Source position: textstrings.pas line 59

protected TTextStrings.FLineCapacity : Integer;


TTextStrings.FLineCount

Declaration

Source position: textstrings.pas line 58

protected TTextStrings.FLineCount : Integer;


TTextStrings.FLineRanges

Declaration

Source position: textstrings.pas line 60

protected TTextStrings.FLineRanges : PTextLineRange;


TTextStrings.FText

Declaration

Source position: textstrings.pas line 61

protected TTextStrings.FText : string;


TTextStrings.FUpdateCount

Declaration

Source position: textstrings.pas line 62

protected TTextStrings.FUpdateCount : Integer;


TTextStrings.Get

Declaration

Source position: textstrings.pas line 70

protected function TTextStrings.Get(

  Index: Integer

):string; override;


TTextStrings.GetCount

Declaration

Source position: textstrings.pas line 67

protected function TTextStrings.GetCount: Integer; override;


TTextStrings.GetLineEnd

Declaration

Source position: textstrings.pas line 76

protected function TTextStrings.GetLineEnd(

  Index: Integer;

  IncludeNewLineChars: Boolean

):Integer;


TTextStrings.GetLineLen

Declaration

Source position: textstrings.pas line 75

protected function TTextStrings.GetLineLen(

  Index: Integer;

  IncludeNewLineChars: Boolean

):Integer;


TTextStrings.GetObject

Declaration

Source position: textstrings.pas line 72

protected function TTextStrings.GetObject(

  Index: Integer

):TObject; override;


TTextStrings.GetText

Declaration

Source position: textstrings.pas line 90

public function TTextStrings.GetText: PChar; override;


TTextStrings.GetTextStr

Declaration

Source position: textstrings.pas line 64

protected function TTextStrings.GetTextStr: string; override;


TTextStrings.IndexOf

Declaration

Source position: textstrings.pas line 91

public function TTextStrings.IndexOf(

  const S: string

):Integer; override;


TTextStrings.Insert

Declaration

Source position: textstrings.pas line 83

public procedure TTextStrings.Insert(

  Index: Integer;

  const S: string

); override;


TTextStrings.LoadFromFile

Declaration

Source position: textstrings.pas line 95

public procedure TTextStrings.LoadFromFile(

  const FileName: string

); override;


TTextStrings.MakeTextBufferUnique

Declaration

Source position: textstrings.pas line 87

public procedure TTextStrings.MakeTextBufferUnique;


TTextStrings.Move

Declaration

Source position: textstrings.pas line 86

public procedure TTextStrings.Move(

  CurIndex: Integer;

  NewIndex: Integer

); override;


TTextStrings.OnChange

Declaration

Source position: textstrings.pas line 99

public property TTextStrings.OnChange : TNotifyEvent
  read FOnChange
  write FOnChange;


TTextStrings.OnChanging

Declaration

Source position: textstrings.pas line 100

public property TTextStrings.OnChanging : TNotifyEvent
  read FOnChanging
  write FOnChanging;


TTextStrings.Put

Declaration

Source position: textstrings.pas line 73

protected procedure TTextStrings.Put(

  Index: Integer;

  const S: string

); override;


TTextStrings.PutObject

Declaration

Source position: textstrings.pas line 74

protected procedure TTextStrings.PutObject(

  Index: Integer;

  AnObject: TObject

); override;


TTextStrings.SaveToFile

Declaration

Source position: textstrings.pas line 96

public procedure TTextStrings.SaveToFile(

  const FileName: string

); override;


TTextStrings.SetText

Declaration

Source position: textstrings.pas line 82

public procedure TTextStrings.SetText(

  TheText: PChar

); override;


TTextStrings.SetTextStr

Declaration

Source position: textstrings.pas line 65

protected procedure TTextStrings.SetTextStr(

  const AValue: string

); override;


TTextStrings.Text

Declaration

Source position: textstrings.pas line 98

public property TTextStrings.Text : string
  read FText
  write SetTextStr;


EPOFileError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: translations.pas line 196

type EPOFileError = class(Exception)

public

  ResFileName: string;

  POFileName: string;

end;

Inheritance

EPOFileError

|

Exception
|

TObject


EPOFileError
Exception
 | HelpContext
 | Message
TObject


EPOFileError
Exception
 | Create
 | CreateFmt
 | CreateRes
 | CreateResFmt
 | CreateHelp
 | CreateFmtHelp
 | CreateResHelp
 | CreateResFmtHelp
 | ToString
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


EPOFileError

Exception

TObject


EPOFileError.POFileName

Declaration

Source position: translations.pas line 199

public EPOFileError.POFileName : string;


EPOFileError.ResFileName

Declaration

Source position: translations.pas line 198

public EPOFileError.ResFileName : string;


TPOFile

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: translations.pas line 123

type TPOFile = class

protected

  FItems: TFPList;

  FIdentifierLowToItem: TStringToPointerTree;

  FOriginalToItem: TStringHashList;

  FCharSet: string;

  FHeader: TPOFileItem;

  FAllEntries: Boolean;

  FTag: Integer;

  FModified: Boolean;

  FHelperList: TStringList;

  FPoName: string;

  FNrTranslated: Integer;

  FNrUntranslated: Integer;

  FNrFuzzy: Integer;

  FNrErrors: Integer;

  function Remove();

  procedure UpdateCounters();

  function GetCount;

  procedure SetCharSet();

  function GetPoItem();

  procedure ReadPOText();

public

  constructor Create();

  destructor Destroy; override;

  function Translate();

  property CharSet: string; [r]

  procedure Report();

  procedure CreateHeader;

  procedure UpdateStrings();

  procedure SaveToStrings();

  procedure SaveToFile();

  procedure UpdateItem();

  procedure FillItem();

  procedure UpdateTranslation();

  procedure UntagAll;

  procedure RemoveTaggedItems();

  procedure RemoveIdentifier();

  procedure RemoveOriginal();

  procedure RemoveIdentifiers();

  procedure RemoveOriginals();

  property Tag: Integer; [rw]

  property Modified: Boolean; [r]

  property Items: TFPList; [r]

  procedure CleanUp;

  property PoName: string; [r]

  property PoRename: string; [w]

  property NrTranslated: Integer; [r]

  property NrUntranslated: Integer; [r]

  property NrFuzzy: Integer; [r]

  property NrErrors: Integer; [r]

  function FindPoItem();

  function OriginalToItem();

  property PoItems []: TPOFileItem; [r]

  property Count: Integer; [r]

  property Header: TPOFileItem; [r]

end;

Inheritance

TPOFile

|

TObject


TPOFile
 | ro | CharSet
 |  | Tag
 | ro | Modified
 | ro | Items
 | ro | PoName
 |  | PoRename
 | ro | NrTranslated
 | ro | NrUntranslated
 | ro | NrFuzzy
 | ro | NrErrors
 | ro | PoItems
 | ro | Count
 | ro | Header


ro | CharSet (TPOFile)
ro | Count (TPOFile)
ro | Header (TPOFile)
ro | Items (TPOFile)
ro | Modified (TPOFile)
ro | NrErrors (TPOFile)
ro | NrFuzzy (TPOFile)
ro | NrTranslated (TPOFile)
ro | NrUntranslated (TPOFile)
ro | PoItems (TPOFile)
ro | PoName (TPOFile)
 | PoRename (TPOFile)
 | Tag (TPOFile)


TPOFile
pt | Remove
pt | UpdateCounters
pt | GetCount
pt | SetCharSet
pt | GetPoItem
pt | ReadPOText
 | Create
 | Destroy
 | Translate
 | Report
 | CreateHeader
 | UpdateStrings
 | SaveToStrings
 | SaveToFile
 | UpdateItem
 | FillItem
 | UpdateTranslation
 | UntagAll
 | RemoveTaggedItems
 | RemoveIdentifier
 | RemoveOriginal
 | RemoveIdentifiers
 | RemoveOriginals
 | CleanUp
 | FindPoItem
 | OriginalToItem


 | CleanUp (TPOFile)
 | Create (TPOFile)
 | CreateHeader (TPOFile)
 | Destroy (TPOFile)
 | FillItem (TPOFile)
 | FindPoItem (TPOFile)
pt | GetCount (TPOFile)
pt | GetPoItem (TPOFile)
 | OriginalToItem (TPOFile)
pt | ReadPOText (TPOFile)
pt | Remove (TPOFile)
 | RemoveIdentifier (TPOFile)
 | RemoveIdentifiers (TPOFile)
 | RemoveOriginal (TPOFile)
 | RemoveOriginals (TPOFile)
 | RemoveTaggedItems (TPOFile)
 | Report (TPOFile)
 | SaveToFile (TPOFile)
 | SaveToStrings (TPOFile)
pt | SetCharSet (TPOFile)
 | Translate (TPOFile)
 | UntagAll (TPOFile)
pt | UpdateCounters (TPOFile)
 | UpdateItem (TPOFile)
 | UpdateStrings (TPOFile)
 | UpdateTranslation (TPOFile)


TPOFile


TPOFile.CharSet

Declaration

Source position: translations.pas line 156

public property TPOFile.CharSet : string
  read FCharSet;


TPOFile.CleanUp

Declaration

Source position: translations.pas line 182

public procedure TPOFile.CleanUp;


TPOFile.Count

Declaration

Source position: translations.pas line 192

public property TPOFile.Count : Integer
  read GetCount;


TPOFile.Create

Declaration

Source position: translations.pas line 150

public constructor TPOFile.Create(

  Full: Boolean = True

);

constructor TPOFile.Create(

  const AFilename: string;

  Full: Boolean = False;

  AllowChangeFuzzyFlag: Boolean = True

);

constructor TPOFile.Create(

  AStream: TStream;

  Full: Boolean = False;

  AllowChangeFuzzyFlag: Boolean = True

);


TPOFile.CreateHeader

Declaration

Source position: translations.pas line 160

public procedure TPOFile.CreateHeader;


TPOFile.Destroy

Declaration

Source position: translations.pas line 153

public destructor TPOFile.Destroy; override;


TPOFile.FAllEntries

Declaration

Source position: translations.pas line 132

protected TPOFile.FAllEntries : Boolean;


TPOFile.FCharSet

Declaration

Source position: translations.pas line 130

protected TPOFile.FCharSet : string;


TPOFile.FHeader

Declaration

Source position: translations.pas line 131

protected TPOFile.FHeader : TPOFileItem;


TPOFile.FHelperList

Declaration

Source position: translations.pas line 135

protected TPOFile.FHelperList : TStringList;


TPOFile.FIdentifierLowToItem

Declaration

Source position: translations.pas line 128

protected TPOFile.FIdentifierLowToItem : TStringToPointerTree;


TPOFile.FillItem

Declaration

Source position: translations.pas line 165

public procedure TPOFile.FillItem(

  var CurrentItem: TPOFileItem;

  Identifier: string;

  Original: string;

  Translation: string;

  Comments: string;

  Context: string;

  Flags: string;

  PreviousID: string;

  LineNr: Integer = - 1

);


TPOFile.FindPoItem

Declaration

Source position: translations.pas line 189

public function TPOFile.FindPoItem(

  const Identifier: string

):TPOFileItem;


TPOFile.FItems

Declaration

Source position: translations.pas line 127

protected TPOFile.FItems : TFPList;


TPOFile.FModified

Declaration

Source position: translations.pas line 134

protected TPOFile.FModified : Boolean;


TPOFile.FNrErrors

Declaration

Source position: translations.pas line 141

protected TPOFile.FNrErrors : Integer;


TPOFile.FNrFuzzy

Declaration

Source position: translations.pas line 140

protected TPOFile.FNrFuzzy : Integer;


TPOFile.FNrTranslated

Declaration

Source position: translations.pas line 138

protected TPOFile.FNrTranslated : Integer;


TPOFile.FNrUntranslated

Declaration

Source position: translations.pas line 139

protected TPOFile.FNrUntranslated : Integer;


TPOFile.FOriginalToItem

Declaration

Source position: translations.pas line 129

protected TPOFile.FOriginalToItem : TStringHashList;


TPOFile.FPoName

Declaration

Source position: translations.pas line 137

protected TPOFile.FPoName : string;


TPOFile.FTag

Declaration

Source position: translations.pas line 133

protected TPOFile.FTag : Integer;


TPOFile.GetCount

Declaration

Source position: translations.pas line 145

protected function TPOFile.GetCount: Integer;


TPOFile.GetPoItem

Declaration

Source position: translations.pas line 147

protected function TPOFile.GetPoItem(

  Index: Integer

):TPOFileItem;


TPOFile.Header

Declaration

Source position: translations.pas line 193

public property TPOFile.Header : TPOFileItem
  read FHeader;


TPOFile.Items

Declaration

Source position: translations.pas line 179

public property TPOFile.Items : TFPList
  read FItems;


TPOFile.Modified

Declaration

Source position: translations.pas line 178

public property TPOFile.Modified : Boolean
  read FModified;


TPOFile.NrErrors

Declaration

Source position: translations.pas line 188

public property TPOFile.NrErrors : Integer
  read FNrErrors;


TPOFile.NrFuzzy

Declaration

Source position: translations.pas line 187

public property TPOFile.NrFuzzy : Integer
  read FNrFuzzy;


TPOFile.NrTranslated

Declaration

Source position: translations.pas line 185

public property TPOFile.NrTranslated : Integer
  read FNrTranslated;


TPOFile.NrUntranslated

Declaration

Source position: translations.pas line 186

public property TPOFile.NrUntranslated : Integer
  read FNrUntranslated;


TPOFile.OriginalToItem

Declaration

Source position: translations.pas line 190

public function TPOFile.OriginalToItem(

  const Data: string

):TPOFileItem;


TPOFile.PoItems

Declaration

Source position: translations.pas line 191

public property TPOFile.PoItems[Index: Integer] : TPOFileItem
  read GetPoItem;


TPOFile.PoName

Declaration

Source position: translations.pas line 183

public property TPOFile.PoName : string
  read FPoName;


TPOFile.PoRename

Declaration

Source position: translations.pas line 184

public property TPOFile.PoRename : string
  write FPoName;


TPOFile.ReadPOText

Declaration

Source position: translations.pas line 148

protected procedure TPOFile.ReadPOText(

  AStream: TStream

);

procedure TPOFile.ReadPOText(

  const Txt: string

);


TPOFile.Remove

Declaration

Source position: translations.pas line 142

protected function TPOFile.Remove(

  Index: Integer

):TPOFileItem;


TPOFile.RemoveIdentifier

Declaration

Source position: translations.pas line 172

public procedure TPOFile.RemoveIdentifier(

  const AIdentifier: string

);


TPOFile.RemoveIdentifiers

Declaration

Source position: translations.pas line 174

public procedure TPOFile.RemoveIdentifiers(

  AIdentifiers: TStrings

);


TPOFile.RemoveOriginal

Declaration

Source position: translations.pas line 173

public procedure TPOFile.RemoveOriginal(

  const AOriginal: string

);


TPOFile.RemoveOriginals

Declaration

Source position: translations.pas line 175

public procedure TPOFile.RemoveOriginals(

  AOriginals: TStrings

);


TPOFile.RemoveTaggedItems

Declaration

Source position: translations.pas line 170

public procedure TPOFile.RemoveTaggedItems(

  aTag: Integer

);


TPOFile.Report

Declaration

Source position: translations.pas line 157

public procedure TPOFile.Report;

procedure TPOFile.Report(

  StartIndex: Integer;

  StopIndex: Integer;

  const DisplayHeader: Boolean

);

procedure TPOFile.Report(

  Log: TStrings;

  StartIndex: Integer;

  StopIndex: Integer;

  const DisplayHeader: Boolean

);


TPOFile.SaveToFile

Declaration

Source position: translations.pas line 163

public procedure TPOFile.SaveToFile(

  const AFilename: string

);


TPOFile.SaveToStrings

Declaration

Source position: translations.pas line 162

public procedure TPOFile.SaveToStrings(

  OutLst: TStrings

);


TPOFile.SetCharSet

Declaration

Source position: translations.pas line 146

protected procedure TPOFile.SetCharSet(

  const AValue: string

);


TPOFile.Tag

Declaration

Source position: translations.pas line 177

public property TPOFile.Tag : Integer
  read FTag
  write FTag;


TPOFile.Translate

Declaration

Source position: translations.pas line 155

public function TPOFile.Translate(

  const Identifier: string;

  const OriginalValue: string

):string;


TPOFile.UntagAll

Declaration

Source position: translations.pas line 169

public procedure TPOFile.UntagAll;


TPOFile.UpdateCounters

Declaration

Source position: translations.pas line 143

protected procedure TPOFile.UpdateCounters(

  Item: TPOFileItem;

  Removed: Boolean

);


TPOFile.UpdateItem

Declaration

Source position: translations.pas line 164

public procedure TPOFile.UpdateItem(

  const Identifier: string;

  Original: string

);


TPOFile.UpdateStrings

Declaration

Source position: translations.pas line 161

public procedure TPOFile.UpdateStrings(

  InputLines: TStrings;

  SType: TStringsType

);


TPOFile.UpdateTranslation

Declaration

Source position: translations.pas line 167

public procedure TPOFile.UpdateTranslation(

  BasePOFile: TPOFile

);


TPOFileItem

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: translations.pas line 104

type TPOFileItem = class

public

  Tag: Integer;

  LineNr: Integer;

  Comments: string;

  IdentifierLow: string;

  Original: string;

  Translation: string;

  Flags: string;

  PreviousID: string;

  Context: string;

  Duplicate: Boolean;

  constructor Create();

  procedure ModifyFlag();

  property Identifier: string; [r] deprecated ;

end;

Inheritance

TPOFileItem

|

TObject


TPOFileItem

ro

Identifier


ro

Identifier (TPOFileItem)


TPOFileItem
 | Create
 | ModifyFlag


TPOFileItem


TPOFileItem.Comments

Declaration

Source position: translations.pas line 108

public TPOFileItem.Comments : string;


TPOFileItem.Context

Declaration

Source position: translations.pas line 114

public TPOFileItem.Context : string;


TPOFileItem.Create

Declaration

Source position: translations.pas line 116

public constructor TPOFileItem.Create(

  const TheIdentifierLow: string;

  const TheOriginal: string;

  const TheTranslated: string

);


TPOFileItem.Duplicate

Declaration

Source position: translations.pas line 115

public TPOFileItem.Duplicate : Boolean;


TPOFileItem.Flags

Declaration

Source position: translations.pas line 112

public TPOFileItem.Flags : string;


TPOFileItem.Identifier

[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] Reference for unit 'Translations' (#lazutils)

TPOFileItem.Identifier (deprecated)

Declaration

Source position: translations.pas line 118

public property TPOFileItem.Identifier : string
  read IdentifierLow;


TPOFileItem.IdentifierLow

Declaration

Source position: translations.pas line 109

public TPOFileItem.IdentifierLow : string;


TPOFileItem.LineNr

Declaration

Source position: translations.pas line 107

public TPOFileItem.LineNr : Integer;


TPOFileItem.ModifyFlag

Declaration

Source position: translations.pas line 117

public procedure TPOFileItem.ModifyFlag(

  const AFlag: string;

  Check: Boolean

);


TPOFileItem.Original

Declaration

Source position: translations.pas line 110

public TPOFileItem.Original : string;


TPOFileItem.PreviousID

Declaration

Source position: translations.pas line 113

public TPOFileItem.PreviousID : string;


TPOFileItem.Tag

Declaration

Source position: translations.pas line 106

public TPOFileItem.Tag : Integer;


TPOFileItem.Translation

Declaration

Source position: translations.pas line 111

public TPOFileItem.Translation : string;


TFreeTypeStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: ttfile.pas line 62

type TFreeTypeStream = class

public

  constructor Create();

  destructor Destroy; override;

  function Activate;

  function Deactivate;

  function SeekFile();

  function SkipFile();

  function ReadFile();

  function ReadAtFile();

  function AccessFrame();

  function CheckAndAccessFrame();

  function ForgetFrame;

  function GET_Byte;

  function GET_Char;

  function GET_Short;

  function GET_UShort;

  function GET_Long;

  function GET_ULong;

  function GET_Tag4;

  property Open: Boolean; [r]

  property Name: string; [r]

  property Base: LongInt; [r]

  property Position: LongInt; [r]

  property Used: Boolean; [r]

end;

Inheritance

TFreeTypeStream
|

TObject


TFreeTypeStream
 | ro | Open
 | ro | Name
 | ro | Base
 | ro | Position
 | ro | Used


ro | Base (TFreeTypeStream)
ro | Name (TFreeTypeStream)
ro | Open (TFreeTypeStream)
ro | Position (TFreeTypeStream)
ro | Used (TFreeTypeStream)


TFreeTypeStream
 | Create
 | Destroy
 | Activate
 | Deactivate
 | SeekFile
 | SkipFile
 | ReadFile
 | ReadAtFile
 | AccessFrame
 | CheckAndAccessFrame
 | ForgetFrame
 | GET_Byte
 | GET_Char
 | GET_Short
 | GET_UShort
 | GET_Long
 | GET_ULong
 | GET_Tag4


AccessFrame (TFreeTypeStream)

Activate (TFreeTypeStream)

CheckAndAccessFrame (TFreeTypeStream)

Create (TFreeTypeStream)

Deactivate (TFreeTypeStream)

Destroy (TFreeTypeStream)

ForgetFrame (TFreeTypeStream)

GET_Byte (TFreeTypeStream)

GET_Char (TFreeTypeStream)

GET_Long (TFreeTypeStream)

GET_Short (TFreeTypeStream)

GET_Tag4 (TFreeTypeStream)

GET_ULong (TFreeTypeStream)

GET_UShort (TFreeTypeStream)

ReadAtFile (TFreeTypeStream)

ReadFile (TFreeTypeStream)

SeekFile (TFreeTypeStream)

SkipFile (TFreeTypeStream)


TFreeTypeStream


TFreeTypeStream.AccessFrame

Declaration

Source position: ttfile.pas line 100

public function TFreeTypeStream.AccessFrame(

  aSize: Int

):TError;


TFreeTypeStream.Activate

Declaration

Source position: ttfile.pas line 86

public function TFreeTypeStream.Activate: TError;


TFreeTypeStream.Base

Declaration

Source position: ttfile.pas line 124

public property TFreeTypeStream.Base : LongInt
  read FBase;


TFreeTypeStream.CheckAndAccessFrame

Declaration

Source position: ttfile.pas line 103

public function TFreeTypeStream.CheckAndAccessFrame(

  aSize: Int

):TError;


TFreeTypeStream.Create

Declaration

Source position: ttfile.pas line 83

public constructor TFreeTypeStream.Create(

  APathName: string

);

constructor TFreeTypeStream.Create(

  AStream: TStream;

  AStreamOwner: Boolean

);


TFreeTypeStream.Deactivate

Declaration

Source position: ttfile.pas line 87

public function TFreeTypeStream.Deactivate: TError;


TFreeTypeStream.Destroy

Declaration

Source position: ttfile.pas line 85

public destructor TFreeTypeStream.Destroy; override;


TFreeTypeStream.ForgetFrame

Declaration

Source position: ttfile.pas line 106

public function TFreeTypeStream.ForgetFrame: TError;


TFreeTypeStream.GET_Byte

Declaration

Source position: ttfile.pas line 114

public function TFreeTypeStream.GET_Byte: Byte;


TFreeTypeStream.GET_Char

Declaration

Source position: ttfile.pas line 115

public function TFreeTypeStream.GET_Char: ShortInt;


TFreeTypeStream.GET_Long

Declaration

Source position: ttfile.pas line 118

public function TFreeTypeStream.GET_Long: Long;


TFreeTypeStream.GET_Short

Declaration

Source position: ttfile.pas line 116

public function TFreeTypeStream.GET_Short: Short;


TFreeTypeStream.GET_Tag4

Declaration

Source position: ttfile.pas line 120

public function TFreeTypeStream.GET_Tag4: ULong;


TFreeTypeStream.GET_ULong

Declaration

Source position: ttfile.pas line 119

public function TFreeTypeStream.GET_ULong: ULong;


TFreeTypeStream.GET_UShort

Declaration

Source position: ttfile.pas line 117

public function TFreeTypeStream.GET_UShort: UShort;


TFreeTypeStream.Name

Declaration

Source position: ttfile.pas line 123

public property TFreeTypeStream.Name : string
  read FName;


TFreeTypeStream.Open

Declaration

Source position: ttfile.pas line 122

public property TFreeTypeStream.Open : Boolean
  read FOpen;


TFreeTypeStream.Position

Declaration

Source position: ttfile.pas line 125

public property TFreeTypeStream.Position : LongInt
  read GetPosition;


TFreeTypeStream.ReadAtFile

Declaration

Source position: ttfile.pas line 91

public function TFreeTypeStream.ReadAtFile(

  APos: Long;

  var ABuff;

  ACount: Int

):TError;


TFreeTypeStream.ReadFile

Declaration

Source position: ttfile.pas line 90

public function TFreeTypeStream.ReadFile(

  var ABuff;

  ACount: Int

):TError;


TFreeTypeStream.SeekFile

Declaration

Source position: ttfile.pas line 88

public function TFreeTypeStream.SeekFile(

  APos: LongInt

):TError;


TFreeTypeStream.SkipFile

Declaration

Source position: ttfile.pas line 89

public function TFreeTypeStream.SkipFile(

  ADist: LongInt

):TError;


TFreeTypeStream.Used

Declaration

Source position: ttfile.pas line 126

public property TFreeTypeStream.Used : Boolean
  read FUsed;


TProfile

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: ttprofile.pas line 87

type TProfile = class

  Pool: TRenderPool;

  Flow: Int;

  Height: Int;

  Start: Int;

  Offset: Integer;

  X: LongInt;

  nextInContour: TProfile;

  nextInColl: TProfile;

  nextInList: TProfile;

  prevInList: TProfile;

  constructor Create();

end;

Inheritance

TProfile

|

TObject


TProfile


TProfile

Create


TProfile.Create

Declaration

Source position: ttprofile.pas line 102

constructor TProfile.Create(

  APool: TRenderPool;

  ADirection: TCurveDirection

);


TProfile.Flow

Declaration

Source position: ttprofile.pas line 89

TProfile.Flow : Int;


TProfile.Height

Declaration

Source position: ttprofile.pas line 90

TProfile.Height : Int;


TProfile.nextInColl

Declaration

Source position: ttprofile.pas line 98

TProfile.nextInColl : TProfile;


TProfile.nextInContour

Declaration

Source position: ttprofile.pas line 97

TProfile.nextInContour : TProfile;


TProfile.nextInList

Declaration

Source position: ttprofile.pas line 100

TProfile.nextInList : TProfile;


TProfile.Offset

Declaration

Source position: ttprofile.pas line 92

TProfile.Offset : Integer;


TProfile.Pool

Declaration

Source position: ttprofile.pas line 88

TProfile.Pool : TRenderPool;


TProfile.prevInList

Declaration

Source position: ttprofile.pas line 100

TProfile.prevInList : TProfile;


TProfile.Start

Declaration

Source position: ttprofile.pas line 91

TProfile.Start : Int;


TProfile.X

Declaration

Source position: ttprofile.pas line 95

TProfile.X : LongInt;


TProfileCollection

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: ttprofile.pas line 107

type TProfileCollection = class

protected

  procedure Remove_Profile;

public

  Pool: TRenderPool;

  prevProfile: TProfile;

  fProfile: TProfile;

  gProfile: TProfile;

  nProfs: Int;

  constructor Create();

  procedure Clear;

  procedure New_Profile();

  procedure End_Profile;

  destructor Destroy; override;

end;

Inheritance

TProfileCollection

|

TObject


TProfileCollection


TProfileCollection
pt | Remove_Profile
 | Create
 | Clear
 | New_Profile
 | End_Profile
 | Destroy


 | Clear (TProfileCollection)
 | Create (TProfileCollection)
 | Destroy (TProfileCollection)
 | End_Profile (TProfileCollection)
 | New_Profile (TProfileCollection)
pt | Remove_Profile (TProfileCollection)


TProfileCollection.Clear

Declaration

Source position: ttprofile.pas line 119

public procedure TProfileCollection.Clear;


TProfileCollection.Create

Declaration

Source position: ttprofile.pas line 118

public constructor TProfileCollection.Create(

  APool: TRenderPool

);


TProfileCollection.Destroy

Declaration

Source position: ttprofile.pas line 122

public destructor TProfileCollection.Destroy; override;


TProfileCollection.End_Profile

Declaration

Source position: ttprofile.pas line 121

public procedure TProfileCollection.End_Profile;


TProfileCollection.fProfile

Declaration

Source position: ttprofile.pas line 113

public TProfileCollection.fProfile : TProfile;


TProfileCollection.gProfile

Declaration

Source position: ttprofile.pas line 114

public TProfileCollection.gProfile : TProfile;


TProfileCollection.New_Profile

Declaration

Source position: ttprofile.pas line 120

public procedure TProfileCollection.New_Profile(

  ADirection: TCurveDirection

);


TProfileCollection.nProfs

Declaration

Source position: ttprofile.pas line 116

public TProfileCollection.nProfs : Int;


TProfileCollection.Pool

Declaration

Source position: ttprofile.pas line 111

public TProfileCollection.Pool : TRenderPool;


TProfileCollection.prevProfile

Declaration

Source position: ttprofile.pas line 112

public TProfileCollection.prevProfile : TProfile;


TProfileCollection.Remove_Profile

Declaration

Source position: ttprofile.pas line 109

protected procedure TProfileCollection.Remove_Profile;


TRenderPool

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: ttprofile.pas line 30

type TRenderPool = class

protected

  Precision: Integer;

  PrecisionHalf: Integer;

  BezierPrecision: Integer;

  BoundsMinY: Integer;

  BoundsMaxY: Integer;

  scaleShift: Integer;

  function Bezier_Down();

  function Bezier_State();

  function Bezier_To();

  function Bezier_Up();

  function CEILING();

  function DecomposeCurve();

  function FLOOR();

  function FRAC();

  function GetCapacity;

  function Line_Down();

  function Line_To();

  function Line_Up();

  procedure Move_To();

  procedure PushBezier();

  function SCALED();

  procedure Split_Bezier();

  function TRUNC();

  function RequireCapacity();

  procedure PushValue();

  property Capacity: Integer; [r]

public

  Joint: Boolean;

  Fresh: Boolean;

  cProfile: TProfile;

  ProfileColl: TProfileCollection;

  LastX: LongInt;

  LastY: LongInt;

  CurveDir: TCurveDirection;

  Arcs: TBezierStack;

  CurArc: Int;

  data: ;

  position: Integer;

  constructor Create();

  destructor Destroy; override;

  procedure SetPrecision();

  procedure SetBounds();

  procedure SetScaleShift();

  procedure Clear;

  procedure ReduceCapacity;

  function Convert_Glyph();

end;

Inheritance

TRenderPool

|

TObject


TRenderPool

pt

ro

Capacity


pt

ro

Capacity (TRenderPool)


TRenderPool
pt | Bezier_Down
pt | Bezier_State
pt | Bezier_To
pt | Bezier_Up
pt | CEILING
pt | DecomposeCurve
pt | FLOOR
pt | FRAC
pt | GetCapacity
pt | Line_Down
pt | Line_To
pt | Line_Up
pt | Move_To
pt | PushBezier
pt | SCALED
pt | Split_Bezier
pt | TRUNC
pt | RequireCapacity
pt | PushValue
 | Create
 | Destroy
 | SetPrecision
 | SetBounds
 | SetScaleShift
 | Clear
 | ReduceCapacity
 | Convert_Glyph


pt | Bezier_Down (TRenderPool)
pt | Bezier_State (TRenderPool)
pt | Bezier_To (TRenderPool)
pt | Bezier_Up (TRenderPool)
pt | CEILING (TRenderPool)
 | Clear (TRenderPool)
 | Convert_Glyph (TRenderPool)
 | Create (TRenderPool)
pt | DecomposeCurve (TRenderPool)
 | Destroy (TRenderPool)
pt | FLOOR (TRenderPool)
pt | FRAC (TRenderPool)
pt | GetCapacity (TRenderPool)
pt | Line_Down (TRenderPool)
pt | Line_To (TRenderPool)
pt | Line_Up (TRenderPool)
pt | Move_To (TRenderPool)
pt | PushBezier (TRenderPool)
pt | PushValue (TRenderPool)
 | ReduceCapacity (TRenderPool)
pt | RequireCapacity (TRenderPool)
pt | SCALED (TRenderPool)
 | SetBounds (TRenderPool)
 | SetPrecision (TRenderPool)
 | SetScaleShift (TRenderPool)
pt | Split_Bezier (TRenderPool)
pt | TRUNC (TRenderPool)


TRenderPool


TRenderPool.Arcs

Declaration

Source position: ttprofile.pas line 70

public TRenderPool.Arcs : TBezierStack;


TRenderPool.Bezier_Down

Declaration

Source position: ttprofile.pas line 36

protected function TRenderPool.Bezier_Down(

  miny: Long;

  maxy: Long

):Boolean;


TRenderPool.Bezier_State

Declaration

Source position: ttprofile.pas line 37

protected function TRenderPool.Bezier_State(

  y1: TT_F26Dot6;

  y2: TT_F26Dot6;

  y3: TT_F26Dot6

):TCurveDirection;


TRenderPool.Bezier_To

Declaration

Source position: ttprofile.pas line 38

protected function TRenderPool.Bezier_To(

  x: LongInt;

  y: LongInt;

  Cx: LongInt;

  Cy: LongInt

):Boolean;


TRenderPool.Bezier_Up

Declaration

Source position: ttprofile.pas line 39

protected function TRenderPool.Bezier_Up(

  miny: Long;

  maxy: Long

):Boolean;


TRenderPool.BezierPrecision

Declaration

Source position: ttprofile.pas line 32

protected TRenderPool.BezierPrecision : Integer;


TRenderPool.BoundsMaxY

Declaration

Source position: ttprofile.pas line 33

protected TRenderPool.BoundsMaxY : Integer;


TRenderPool.BoundsMinY

Declaration

Source position: ttprofile.pas line 33

protected TRenderPool.BoundsMinY : Integer;


TRenderPool.Capacity

Declaration

Source position: ttprofile.pas line 57

protected property TRenderPool.Capacity : Integer
  read GetCapacity;


TRenderPool.CEILING

Declaration

Source position: ttprofile.pas line 40

protected function TRenderPool.CEILING(

  x: Long

):Long;


TRenderPool.Clear

Declaration

Source position: ttprofile.pas line 81

public procedure TRenderPool.Clear;


TRenderPool.Convert_Glyph

Declaration

Source position: ttprofile.pas line 83

public function TRenderPool.Convert_Glyph(

  flipped: Boolean;

  points: TT_Points;

  flags: PByte;

  Outs: TT_PConStarts;

  nContours: Int

):Boolean;


TRenderPool.cProfile

Declaration

Source position: ttprofile.pas line 64

public TRenderPool.cProfile : TProfile;


TRenderPool.Create

Declaration

Source position: ttprofile.pas line 76

public constructor TRenderPool.Create(

  APrecision: Integer;

  ABezierPrecision: Integer

);


TRenderPool.CurArc

Declaration

Source position: ttprofile.pas line 71

public TRenderPool.CurArc : Int;


TRenderPool.CurveDir

Declaration

Source position: ttprofile.pas line 68

public TRenderPool.CurveDir : TCurveDirection;


TRenderPool.data

Declaration

Source position: ttprofile.pas line 73

public TRenderPool.data : array of Long;


TRenderPool.DecomposeCurve

Declaration

Source position: ttprofile.pas line 41

protected function TRenderPool.DecomposeCurve(

  first: Int;

  last: Int;

  flipped: Boolean;

  points: TT_Points;

  flags: PByte

):Boolean;


TRenderPool.Destroy

Declaration

Source position: ttprofile.pas line 77

public destructor TRenderPool.Destroy; override;


TRenderPool.FLOOR

Declaration

Source position: ttprofile.pas line 43

protected function TRenderPool.FLOOR(

  x: Long

):Long;


TRenderPool.FRAC

Declaration

Source position: ttprofile.pas line 44

protected function TRenderPool.FRAC(

  x: Long

):Int;


TRenderPool.Fresh

Declaration

Source position: ttprofile.pas line 62

public TRenderPool.Fresh : Boolean;


TRenderPool.GetCapacity

Declaration

Source position: ttprofile.pas line 45

protected function TRenderPool.GetCapacity: Integer;


TRenderPool.Joint

Declaration

Source position: ttprofile.pas line 59

public TRenderPool.Joint : Boolean;


TRenderPool.LastX

Declaration

Source position: ttprofile.pas line 66

public TRenderPool.LastX : LongInt;


TRenderPool.LastY

Declaration

Source position: ttprofile.pas line 67

public TRenderPool.LastY : LongInt;


TRenderPool.Line_Down

Declaration

Source position: ttprofile.pas line 46

protected function TRenderPool.Line_Down(

  x1: LongInt;

  y1: LongInt;

  x2: LongInt;

  y2: LongInt;

  miny: LongInt;

  maxy: LongInt

):Boolean;


TRenderPool.Line_To

Declaration

Source position: ttprofile.pas line 47

protected function TRenderPool.Line_To(

  x: LongInt;

  y: LongInt

):Boolean;


TRenderPool.Line_Up

Declaration

Source position: ttprofile.pas line 48

protected function TRenderPool.Line_Up(

  x1: LongInt;

  y1: LongInt;

  x2: LongInt;

  y2: LongInt;

  miny: LongInt;

  maxy: LongInt

):Boolean;


TRenderPool.Move_To

Declaration

Source position: ttprofile.pas line 49

protected procedure TRenderPool.Move_To(

  x: LongInt;

  y: LongInt

);


TRenderPool.position

Declaration

Source position: ttprofile.pas line 74

public TRenderPool.position : Integer;


TRenderPool.Precision

Declaration

Source position: ttprofile.pas line 32

protected TRenderPool.Precision : Integer;


TRenderPool.PrecisionHalf

Declaration

Source position: ttprofile.pas line 32

protected TRenderPool.PrecisionHalf : Integer;


TRenderPool.ProfileColl

Declaration

Source position: ttprofile.pas line 65

public TRenderPool.ProfileColl : TProfileCollection;


TRenderPool.PushBezier

Declaration

Source position: ttprofile.pas line 50

protected procedure TRenderPool.PushBezier(

  x1: LongInt;

  y1: LongInt;

  x2: LongInt;

  y2: LongInt;

  x3: LongInt;

  y3: LongInt

);


TRenderPool.PushValue

Declaration

Source position: ttprofile.pas line 56

protected procedure TRenderPool.PushValue(

  AValue: Long

);


TRenderPool.ReduceCapacity

Declaration

Source position: ttprofile.pas line 82

public procedure TRenderPool.ReduceCapacity;


TRenderPool.RequireCapacity

Declaration

Source position: ttprofile.pas line 55

protected function TRenderPool.RequireCapacity(

  count: Integer

):Boolean;


TRenderPool.SCALED

Declaration

Source position: ttprofile.pas line 51

protected function TRenderPool.SCALED(

  x: Long

):Long;


TRenderPool.scaleShift

Declaration

Source position: ttprofile.pas line 34

protected TRenderPool.scaleShift : Integer;


TRenderPool.SetBounds

Declaration

Source position: ttprofile.pas line 79

public procedure TRenderPool.SetBounds(

  MinY: Integer;

  MaxY: Integer

);


TRenderPool.SetPrecision

Declaration

Source position: ttprofile.pas line 78

public procedure TRenderPool.SetPrecision(

  APrecision: Integer;

  ABezierPrecision: Integer

);


TRenderPool.SetScaleShift

Declaration

Source position: ttprofile.pas line 80

public procedure TRenderPool.SetScaleShift(

  value: Integer

);


TRenderPool.Split_Bezier

Declaration

Source position: ttprofile.pas line 52

protected procedure TRenderPool.Split_Bezier(

  base: PBezierStack

);


TRenderPool.TRUNC

Declaration

Source position: ttprofile.pas line 53

protected function TRenderPool.TRUNC(

  x: Long

):Long;


TFreeTypeRasterizer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: ttraster.pas line 80

type TFreeTypeRasterizer = class(TFreeTypeCustomRasterizer)

public

  function Render_Glyph(); override;

  function Render_Gray_Glyph(); override;

  function Render_Gray_Glyph_HQ(); override;

  function Render_Directly_Gray_Glyph(); override;

  function Render_Directly_Gray_Glyph_HQ(); override;

  procedure Set_Raster_Palette(); override;

  constructor Create;

  destructor Destroy; override;

end;

Inheritance

TFreeTypeRasterizer

|

TFreeTypeCustomRasterizer

|

TObject


TFreeTypeRasterizer

TFreeTypeCustomRasterizer


TFreeTypeRasterizer
 | Render_Glyph
 | Render_Gray_Glyph
 | Render_Gray_Glyph_HQ
 | Render_Directly_Gray_Glyph
 | Render_Directly_Gray_Glyph_HQ
 | Set_Raster_Palette
 | Create
 | Destroy
TFreeTypeCustomRasterizer
 | Render_Glyph
 | Render_Gray_Glyph
 | Render_Gray_Glyph_HQ
 | Render_Directly_Gray_Glyph
 | Render_Directly_Gray_Glyph_HQ
 | Set_Raster_Palette


Create (TFreeTypeRasterizer)

Destroy (TFreeTypeRasterizer)

Render_Directly_Gray_Glyph (TFreeTypeCustomRasterizer)

Render_Directly_Gray_Glyph (TFreeTypeRasterizer)

Render_Directly_Gray_Glyph_HQ (TFreeTypeCustomRasterizer)

Render_Directly_Gray_Glyph_HQ (TFreeTypeRasterizer)

Render_Glyph (TFreeTypeCustomRasterizer)

Render_Glyph (TFreeTypeRasterizer)

Render_Gray_Glyph (TFreeTypeCustomRasterizer)

Render_Gray_Glyph (TFreeTypeRasterizer)

Render_Gray_Glyph_HQ (TFreeTypeCustomRasterizer)

Render_Gray_Glyph_HQ (TFreeTypeRasterizer)

Set_Raster_Palette (TFreeTypeCustomRasterizer)

Set_Raster_Palette (TFreeTypeRasterizer)


TFreeTypeRasterizer.Create

Declaration

Source position: ttraster.pas line 203

public constructor TFreeTypeRasterizer.Create;


TFreeTypeRasterizer.Destroy

Declaration

Source position: ttraster.pas line 204

public destructor TFreeTypeRasterizer.Destroy; override;


TFreeTypeRasterizer.Render_Directly_Gray_Glyph

Declaration

Source position: ttraster.pas line 192

public function TFreeTypeRasterizer.Render_Directly_Gray_Glyph(

  var glyph: TT_Outline;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction;

  palette: PTT_Gray_Palette

):TError; override;


TFreeTypeRasterizer.Render_Directly_Gray_Glyph_HQ

Declaration

Source position: ttraster.pas line 197

public function TFreeTypeRasterizer.Render_Directly_Gray_Glyph_HQ(

  var glyph: TT_Outline;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction

):TError; override;


TFreeTypeRasterizer.Render_Glyph

Declaration

Source position: ttraster.pas line 176

public function TFreeTypeRasterizer.Render_Glyph(

  var glyph: TT_Outline;

  var target: TT_Raster_Map

):TError; override;


TFreeTypeRasterizer.Render_Gray_Glyph

Declaration

Source position: ttraster.pas line 181

public function TFreeTypeRasterizer.Render_Gray_Glyph(

  var glyph: TT_Outline;

  var target: TT_Raster_Map;

  palette: PTT_Gray_Palette

):TError; override;


TFreeTypeRasterizer.Render_Gray_Glyph_HQ

Declaration

Source position: ttraster.pas line 189

public function TFreeTypeRasterizer.Render_Gray_Glyph_HQ(

  var glyph: TT_Outline;

  var target: TT_Raster_Map

):TError; override;


TFreeTypeRasterizer.Set_Raster_Palette

Declaration

Source position: ttraster.pas line 201

public procedure TFreeTypeRasterizer.Set_Raster_Palette(

  const palette: TT_Gray_Palette

); override;


TFreeTypeCustomRasterizer

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Declaration

Source position: tttypes.pas line 480

type TFreeTypeCustomRasterizer = class

  function Render_Glyph(); virtual; abstract;

  function Render_Gray_Glyph(); virtual; abstract;

  function Render_Gray_Glyph_HQ(); virtual; abstract;

  function Render_Directly_Gray_Glyph(); virtual; abstract;

  function Render_Directly_Gray_Glyph_HQ(); virtual; abstract;

  procedure Set_Raster_Palette(); virtual; abstract;

end;

Inheritance

TFreeTypeCustomRasterizer

|

TObject


TFreeTypeCustomRasterizer


TFreeTypeCustomRasterizer
 | Render_Glyph
 | Render_Gray_Glyph
 | Render_Gray_Glyph_HQ
 | Render_Directly_Gray_Glyph
 | Render_Directly_Gray_Glyph_HQ
 | Set_Raster_Palette


Render_Directly_Gray_Glyph (TFreeTypeCustomRasterizer)

Render_Directly_Gray_Glyph_HQ (TFreeTypeCustomRasterizer)

Render_Glyph (TFreeTypeCustomRasterizer)

Render_Gray_Glyph (TFreeTypeCustomRasterizer)

Render_Gray_Glyph_HQ (TFreeTypeCustomRasterizer)

Set_Raster_Palette (TFreeTypeCustomRasterizer)


TFreeTypeCustomRasterizer.Render_Directly_Gray_Glyph

Declaration

Source position: tttypes.pas line 497

function TFreeTypeCustomRasterizer.Render_Directly_Gray_Glyph(

  var glyph: TT_Outline;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction;

  palette: PTT_Gray_Palette

):TError; virtual; abstract;


TFreeTypeCustomRasterizer.Render_Directly_Gray_Glyph_HQ

Declaration

Source position: tttypes.pas line 502

function TFreeTypeCustomRasterizer.Render_Directly_Gray_Glyph_HQ(

  var glyph: TT_Outline;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction

):TError; virtual; abstract;


TFreeTypeCustomRasterizer.Render_Glyph

Declaration

Source position: tttypes.pas line 481

function TFreeTypeCustomRasterizer.Render_Glyph(

  var glyph: TT_Outline;

  var target: TT_Raster_Map

):TError; virtual; abstract;


TFreeTypeCustomRasterizer.Render_Gray_Glyph

Declaration

Source position: tttypes.pas line 486

function TFreeTypeCustomRasterizer.Render_Gray_Glyph(

  var glyph: TT_Outline;

  var target: TT_Raster_Map;

  palette: PTT_Gray_Palette

):TError; virtual; abstract;


TFreeTypeCustomRasterizer.Render_Gray_Glyph_HQ

Declaration

Source position: tttypes.pas line 494

function TFreeTypeCustomRasterizer.Render_Gray_Glyph_HQ(

  var glyph: TT_Outline;

  var target: TT_Raster_Map

):TError; virtual; abstract;


TFreeTypeCustomRasterizer.Set_Raster_Palette

Declaration

Source position: tttypes.pas line 506

procedure TFreeTypeCustomRasterizer.Set_Raster_Palette(

  const palette: TT_Gray_Palette

); virtual; abstract;


TProcessUTF8

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Version of FPC TProcess that allows UTF8 arguments

Declaration

Source position: utf8process.pp line 42

type TProcessUTF8 = class(TProcess)

public

  constructor Create(); override;

  destructor Destroy; override;

  procedure Execute; override;

  procedure ParseCmdLine();

published

  property ApplicationName: string; [rw]

  property CommandLine: string; [rw]

  property ConsoleTitle: string; [rw]

  property CurrentDirectory: string; [rw]

  property Desktop: string; [rw]

  property Environment: TStrings; [rw]

  property Executable: string; [rw]

  property Parameters: TStrings; [rw]

end;

Inheritance

TProcessUTF8

Version of FPC TProcess that allows UTF8 arguments
|

TProcess
|

TComponent,IUnknown,IInterfaceComponentReference
|

TPersistent,IFPObserved
|

TObject


TProcessUTF8
pl |  | ApplicationName
pl |  | CommandLine
pl |  | ConsoleTitle
pl |  | CurrentDirectory
pl |  | Desktop
pl |  | Environment
pl |  | Executable
pl |  | Parameters
TProcess
 |  | WindowRect
 | ro | Handle
 | ro | ProcessHandle
 | ro | ThreadHandle
 | ro | ProcessID
 | ro | ThreadID
 | ro | Input
 | ro | Output
 | ro | Stderr
 | ro | ExitStatus
 | ro | ExitCode
 |  | InheritHandles
 |  | PipeBufferSize
 |  | Active
 |  | ApplicationName
 |  | CommandLine
 |  | Executable
 |  | Parameters
 |  | ConsoleTitle
 |  | CurrentDirectory
 |  | Desktop
 |  | Environment
 |  | Options
 |  | Priority
 |  | StartupOptions
 | ro | Running
 |  | ShowWindow
 |  | WindowColumns
 |  | WindowHeight
 |  | WindowLeft
 |  | WindowRows
 |  | WindowTop
 |  | WindowWidth
 |  | FillAttribute
 |  | XTermProgram
TComponent
 | ro | ComObject
 | ro | Components
 | ro | ComponentCount
 |  | ComponentIndex
 | ro | ComponentState
 | ro | ComponentStyle
 |  | DesignInfo
 | ro | Owner
 |  | VCLComObject
 |  | Name
 |  | Tag
TPersistent
TObject


pl |  | ApplicationName (TProcessUTF8)
 |  | CommandLine (TProcess)
pl |  | CommandLine (TProcessUTF8)
 | ro | ComObject (TComponent)
 | ro | ComponentCount (TComponent)
 |  | ComponentIndex (TComponent)
 | ro | Components (TComponent)
 | ro | ComponentState (TComponent)
 | ro | ComponentStyle (TComponent)
 |  | ConsoleTitle (TProcess)
pl |  | ConsoleTitle (TProcessUTF8)
 |  | CurrentDirectory (TProcess)
pl |  | CurrentDirectory (TProcessUTF8)
 |  | DesignInfo (TComponent)
 |  | Desktop (TProcess)
pl |  | Desktop (TProcessUTF8)
 |  | Environment (TProcess)
pl |  | Environment (TProcessUTF8)
 |  | Executable (TProcess)
pl |  | Executable (TProcessUTF8)
 | ro | ExitCode (TProcess)
 | ro | ExitStatus (TProcess)
 |  | FillAttribute (TProcess)
 | ro | Handle (TProcess)
 |  | InheritHandles (TProcess)
 | ro | Input (TProcess)
 |  | Name (TComponent)
 |  | Options (TProcess)
 | ro | Output (TProcess)
 | ro | Owner (TComponent)
 |  | Parameters (TProcess)
pl |  | Parameters (TProcessUTF8)
 |  | PipeBufferSize (TProcess)
 |  | Priority (TProcess)
 | ro | ProcessHandle (TProcess)
 | ro | ProcessID (TProcess)
 | ro | Running (TProcess)
 |  | ShowWindow (TProcess)
 |  | StartupOptions (TProcess)
 | ro | Stderr (TProcess)
 |  | Tag (TComponent)
 | ro | ThreadHandle (TProcess)
 | ro | ThreadID (TProcess)
 |  | VCLComObject (TComponent)
 |  | WindowColumns (TProcess)
 |  | WindowHeight (TProcess)
 |  | WindowLeft (TProcess)
 |  | WindowRect (TProcess)
 |  | WindowRows (TProcess)
 |  | WindowTop (TProcess)
 |  | WindowWidth (TProcess)
 |  | XTermProgram (TProcess)


TProcessUTF8
 | Create
 | Destroy
 | Execute
 | ParseCmdLine
TProcess
 | FreeStreams
 | GetExitStatus
 | GetExitCode
 | GetRunning
 | GetWindowRect
 | SetCommandLine
 | SetParameters
 | SetWindowRect
 | SetShowWindow
 | SetWindowColumns
 | SetWindowHeight
 | SetWindowLeft
 | SetWindowRows
 | SetWindowTop
 | SetWindowWidth
 | SetApplicationName
 | SetProcessOptions
 | SetActive
 | SetEnvironment
 | ConvertCommandLine
 | PeekExitStatus
 | CloseProcessHandles
 | CreateStreams
 | FreeStream
 | Loaded
 | Create
 | Destroy
 | Execute
 | CloseInput
 | CloseOutput
 | CloseStderr
 | Resume
 | Suspend
 | Terminate
 | WaitOnExit
TComponent
 | GetComObject
 | GetComponent
 | GetComponentCount
 | GetComponentIndex
 | Insert
 | ReadLeft
 | ReadTop
 | Remove
 | RemoveNotification
 | SetComponentIndex
 | SetReference
 | WriteLeft
 | WriteTop
 | ChangeName
 | DefineProperties
 | GetChildren
 | GetChildOwner
 | GetChildParent
 | GetOwner
 | Loaded
 | Loading
 | Notification
 | PaletteCreated
 | ReadState
 | SetAncestor
 | SetDesigning
 | SetDesignInstance
 | SetInline
 | SetName
 | SetChildOrder
 | SetParentComponent
 | Updating
 | Updated
 | UpdateRegistry
 | ValidateRename
 | ValidateContainer
 | ValidateInsert
 | QueryInterface
 | _AddRef
 | _Release
 | iicrGetComponent
 | GetTypeInfoCount
 | GetTypeInfo
 | GetIDsOfNames
 | Invoke
 | WriteState
 | Create
 | Destroy
 | BeforeDestruction
 | DestroyComponents
 | Destroying
 | ExecuteAction
 | FindComponent
 | FreeNotification
 | RemoveFreeNotification
 | FreeOnRelease
 | GetEnumerator
 | GetNamePath
 | GetParentComponent
 | HasParent
 | InsertComponent
 | RemoveComponent
 | SafeCallException
 | SetSubComponent
 | UpdateAction
 | IsImplementorOf
 | ReferenceInterface
TPersistent
 | AssignError
 | AssignTo
 | DefineProperties
 | GetOwner
 | Destroy
 | Assign
 | FPOAttachObserver
 | FPODetachObserver
 | FPONotifyObservers
 | GetNamePath
TObject
 | Create
 | Destroy
 | newinstance
 | FreeInstance
 | SafeCallException
 | DefaultHandler
 | Free
 | InitInstance
 | CleanupInstance
 | ClassType
 | ClassInfo
 | ClassName
 | ClassNameIs
 | ClassParent
 | InstanceSize
 | InheritsFrom
 | StringMessageTable
 | MethodAddress
 | MethodName
 | FieldAddress
 | AfterConstruction
 | BeforeDestruction
 | DefaultHandlerStr
 | Dispatch
 | DispatchStr
 | GetInterface
 | GetInterfaceByStr
 | GetInterfaceWeak
 | GetInterfaceEntry
 | GetInterfaceEntryByStr
 | GetInterfaceTable
 | UnitName
 | Equals
 | GetHashCode
 | ToString


AssignError (TPersistent)

AssignTo (TPersistent)

BeforeDestruction (TObject)

BeforeDestruction (TComponent)

ChangeName (TComponent)

ClassInfo (TObject)

ClassName (TObject)

ClassNameIs (TObject)

ClassParent (TObject)

ClassType (TObject)

CleanupInstance (TObject)

CloseInput (TProcess)

CloseOutput (TProcess)

CloseProcessHandles (TProcess)

CloseStderr (TProcess)

ConvertCommandLine (TProcess)

Create (TObject)

Create (TComponent)

Create (TProcess)

Create (TProcessUTF8)

CreateStreams (TProcess)

DefaultHandler (TObject)

DefaultHandlerStr (TObject)

DefineProperties (TPersistent)

DefineProperties (TComponent)

Destroy (TObject)

Destroy (TPersistent)

Destroy (TComponent)

Destroy (TProcess)

Destroy (TProcessUTF8)

DestroyComponents (TComponent)

Destroying (TComponent)

Dispatch (TObject)

DispatchStr (TObject)

Equals (TObject)

Execute (TProcess)

Execute (TProcessUTF8)

ExecuteAction (TComponent)

FieldAddress (TObject)

FindComponent (TComponent)

FPOAttachObserver (TPersistent)

FPODetachObserver (TPersistent)

FPONotifyObservers (TPersistent)

Free (TObject)

FreeInstance (TObject)

FreeNotification (TComponent)

FreeOnRelease (TComponent)

FreeStream (TProcess)

FreeStreams (TProcess)

GetChildOwner (TComponent)

GetChildParent (TComponent)

GetChildren (TComponent)

GetComObject (TComponent)

GetComponent (TComponent)

GetComponentCount (TComponent)

GetComponentIndex (TComponent)

GetEnumerator (TComponent)

GetExitCode (TProcess)

GetExitStatus (TProcess)

GetHashCode (TObject)

GetIDsOfNames (TComponent)

GetInterface (TObject)

GetInterfaceByStr (TObject)

GetInterfaceEntry (TObject)

GetInterfaceEntryByStr (TObject)

GetInterfaceTable (TObject)

GetInterfaceWeak (TObject)

GetNamePath (TPersistent)

GetNamePath (TComponent)

GetOwner (TPersistent)

GetOwner (TComponent)

GetParentComponent (TComponent)

GetRunning (TProcess)

GetTypeInfo (TComponent)

GetTypeInfoCount (TComponent)

GetWindowRect (TProcess)

HasParent (TComponent)

iicrGetComponent (TComponent)

InheritsFrom (TObject)

InitInstance (TObject)

Insert (TComponent)

InsertComponent (TComponent)

InstanceSize (TObject)

Invoke (TComponent)

IsImplementorOf (TComponent)

Loaded (TComponent)

Loaded (TProcess)

Loading (TComponent)

MethodAddress (TObject)

MethodName (TObject)

newinstance (TObject)

Notification (TComponent)

PaletteCreated (TComponent)

ParseCmdLine (TProcessUTF8)

PeekExitStatus (TProcess)

QueryInterface (TComponent)

ReadLeft (TComponent)

ReadState (TComponent)

ReadTop (TComponent)

ReferenceInterface (TComponent)

Remove (TComponent)

RemoveComponent (TComponent)

RemoveFreeNotification (TComponent)

RemoveNotification (TComponent)

Resume (TProcess)

SafeCallException (TObject)

SafeCallException (TComponent)

SetActive (TProcess)

SetAncestor (TComponent)

SetApplicationName (TProcess)

SetChildOrder (TComponent)

SetCommandLine (TProcess)

SetComponentIndex (TComponent)

SetDesigning (TComponent)

SetDesignInstance (TComponent)

SetEnvironment (TProcess)

SetInline (TComponent)

SetName (TComponent)

SetParameters (TProcess)

SetParentComponent (TComponent)

SetProcessOptions (TProcess)

SetReference (TComponent)

SetShowWindow (TProcess)

SetSubComponent (TComponent)

SetWindowColumns (TProcess)

SetWindowHeight (TProcess)

SetWindowLeft (TProcess)

SetWindowRect (TProcess)

SetWindowRows (TProcess)

SetWindowTop (TProcess)

SetWindowWidth (TProcess)

StringMessageTable (TObject)

Suspend (TProcess)

Terminate (TProcess)

ToString (TObject)

UnitName (TObject)

UpdateAction (TComponent)

Updated (TComponent)

UpdateRegistry (TComponent)

Updating (TComponent)

ValidateContainer (TComponent)

ValidateInsert (TComponent)

ValidateRename (TComponent)

WaitOnExit (TProcess)

WriteLeft (TComponent)

WriteState (TComponent)

WriteTop (TComponent)

_AddRef (TComponent)

_Release (TComponent)


TProcessUTF8

TProcess

OnForkEvent

TComponent

TPersistent

TObject


TProcessUTF8.ApplicationName

Declaration

Source position: utf8process.pp line 67

published property TProcessUTF8.ApplicationName : string
  read FApplicationNameUTF8
  write SetApplicationNameUTF8;


TProcessUTF8.CommandLine

Declaration

Source position: utf8process.pp line 68

published property TProcessUTF8.CommandLine : string
  read FCommandLineUTF8
  write SetCommandLineUTF8;


TProcessUTF8.ConsoleTitle

Declaration

Source position: utf8process.pp line 69

published property TProcessUTF8.ConsoleTitle : string
  read FConsoleTitleUTF8
  write SetConsoleTitleUTF8;


TProcessUTF8.Create

Declaration

Source position: utf8process.pp line 62

public constructor TProcessUTF8.Create(

  AOwner: TComponent

); override;


TProcessUTF8.CurrentDirectory

Declaration

Source position: utf8process.pp line 70

published property TProcessUTF8.CurrentDirectory : string
  read FCurrentDirectoryUTF8
  write SetCurrentDirectoryUTF8;


TProcessUTF8.Desktop

Declaration

Source position: utf8process.pp line 71

published property TProcessUTF8.Desktop : string
  read FDesktopUTF8
  write SetDesktopUTF8;


TProcessUTF8.Destroy

Declaration

Source position: utf8process.pp line 63

public destructor TProcessUTF8.Destroy; override;


TProcessUTF8.Environment

Declaration

Source position: utf8process.pp line 72

published property TProcessUTF8.Environment : TStrings
  read FEnvironmentUTF8
  write SetEnvironmentUTF8;


TProcessUTF8.Executable

Declaration

Source position: utf8process.pp line 73

published property TProcessUTF8.Executable : string
  read FExecutableUTF8
  write SetExecutableUTF8;


TProcessUTF8.Execute

Declaration

Source position: utf8process.pp line 64

public procedure TProcessUTF8.Execute; override;


TProcessUTF8.Parameters

Declaration

Source position: utf8process.pp line 74

published property TProcessUTF8.Parameters : TStrings
  read FParametersUTF8
  write SetParametersUTF8;


TProcessUTF8.ParseCmdLine

Declaration

Source position: utf8process.pp line 65

public procedure TProcessUTF8.ParseCmdLine(

  const CmdLine: string;

  ReadBackslash: Boolean = False

);


CompareAnsiStringWithStrToStrItem

Declaration

Source position: avglvltree.pas line 310

function CompareAnsiStringWithStrToStrItem(

  Key: Pointer;

  Data: Pointer

):Integer;


CompareAnsiStringWithStrToStrItemI

Declaration

Source position: avglvltree.pas line 312

function CompareAnsiStringWithStrToStrItemI(

  Key: Pointer;

  Data: Pointer

):Integer;


CompareFilenameAndFilenameToStringTreeItem

Declaration

Source position: avglvltree.pas line 315

function CompareFilenameAndFilenameToStringTreeItem(

  Key: Pointer;

  Data: Pointer

):Integer;


CompareFilenameAndFilenameToStringTreeItemI

Declaration

Source position: avglvltree.pas line 317

function CompareFilenameAndFilenameToStringTreeItemI(

  Key: Pointer;

  Data: Pointer

):Integer;


CompareFilenameToStringItems

Declaration

Source position: avglvltree.pas line 314

function CompareFilenameToStringItems(

  Data1: Pointer;

  Data2: Pointer

):Integer;


CompareFilenameToStringItemsI

Declaration

Source position: avglvltree.pas line 316

function CompareFilenameToStringItemsI(

  Data1: Pointer;

  Data2: Pointer

):Integer;


ComparePointer

Declaration

Source position: avglvltree.pas line 305

function ComparePointer(

  Data1: Pointer;

  Data2: Pointer

):Integer;


ComparePointerToPointerItems

Declaration

Source position: avglvltree.pas line 306

function ComparePointerToPointerItems(

  Data1: Pointer;

  Data2: Pointer

):Integer;


ComparePointerWithPtrToPtrItem

Declaration

Source position: avglvltree.pas line 307

function ComparePointerWithPtrToPtrItem(

  Key: Pointer;

  Data: Pointer

):Integer;


CompareStringToStringItems

Declaration

Source position: avglvltree.pas line 309

function CompareStringToStringItems(

  Data1: Pointer;

  Data2: Pointer

):Integer;


CompareStringToStringItemsI

Declaration

Source position: avglvltree.pas line 311

function CompareStringToStringItemsI(

  Data1: Pointer;

  Data2: Pointer

):Integer;


FontCollectionItemDestroyListener

Declaration

Source position: easylazfreetype.pas line 67

function FontCollectionItemDestroyListener(

  ATargetObject: TObject;

  ANotifyProc: TFontCollectionItemDestroyProc

):TFontCollectionItemDestroyListener;


StylesToArray

Declaration

Source position: easylazfreetype.pas line 417

function StylesToArray(

  AStyles: string

):ArrayOfString;


CompareFilenames

CompareFileNames - compares two file names to see whether they are equal

Declaration

Source position: fileutil.pas line 54

function CompareFilenames(

  Filename1: PChar;

  Len1: Integer;

  Filename2: PChar;

  Len2: Integer;

  ResolveLinks: Boolean

):Integer; overload;

Arguments

Filename1 | First filename
Len1 | Length of first filename
Filename2 | Second filename
Len2 | Length of second filename
ResolveLinks | ResolveLinks - if True, searches through links to find the actual file for comparison

Function result

Returns zero if files are equal, or the index of differences, or the difference in length if filenames are not equal


ComparePhysicalFilenames

Declaration

Source position: fileutil.pas line 53

function ComparePhysicalFilenames(

  const Filename1: string;

  const Filename2: string

):Integer;


CopyDirTree

Declaration

Source position: fileutil.pas line 192

function CopyDirTree(

  const SourceDir: string;

  const TargetDir: string;

  Flags: TCopyFileFlags = []

):Boolean;


CopyFile

CopyFile - copies Source file to Destination file, optionally preserving the timestamp of the original file

Declaration

Source position: fileutil.pas line 189

function CopyFile(

  const SrcFilename: string;

  const DestFilename: string;

  Flags: TCopyFileFlags = [cffOverwriteFile];

  ExceptionOnError: Boolean = False

):Boolean;

function CopyFile(

  const SrcFilename: string;

  const DestFilename: string;

  PreserveTime: Boolean;

  ExceptionOnError: Boolean = False

):Boolean;

Arguments

SrcFilename | The source filename for the Copy
DestFilename | The destination filename for the Copy

Function result

Returns True if successful, False if there was an error

Arguments

SrcFilename | The source filename for the Copy
DestFilename | The destination filename for the Copy
PreserveTime | If True, the timestamp of the original file is preserved in the copied file

Errors

An exception is raised if the copy process does not complete successfully or correctly


CreateAbsolutePath

Declaration

Source position: fileutil.pas line 65

function CreateAbsolutePath(

  const Filename: string;

  const BaseDirectory: string

):string;


CreateAbsoluteSearchPath

CreateAbsoluteSearchPath - concatenates BaseDirectory and SearchPath to form an absolute path to search for files

Declaration

Source position: fileutil.pas line 64

function CreateAbsoluteSearchPath(

  const SearchPath: string;

  const BaseDirectory: string

):string;

Arguments

SearchPath | The search path (a relative path)
BaseDirectory | The base directory from which to form the absolute path

Function result

The absolute path formed by concatenating BaseDirectory and SearchPath

Description

CreateAbsoluteSearchPath - concatenates BaseDirectory and SearchPath to form an absolute path to search for files

Adds appropriate path delimiters to the BaseDirectory string, then adds the search path, checking that each directory in the path is in fact an absolutely specified directory, then returns the fully formed absolute search path.

Errors

If BaseDirectory is empty, functions exits and returns with Result equal to SearchPath; if SearchPath is empty, function exits with empty Result


DeleteDirectory

DeleteDirectory - Delete the named directory (or only its contents if OnlyChildren is True)

Declaration

Source position: fileutil.pas line 57

function DeleteDirectory(

  const DirectoryName: string;

  OnlyChildren: Boolean

):Boolean;

Arguments

DirectoryName | The name of the directory for processing
OnlyChildren | If True, only the contents ('children') of the directory are removed

Function result

Returns True if the directory or its contents were correctly removed

Errors

If there was an error, such as trying to removing . or .., or there were insufficient permissions, or the file did not exist, False is returned


ExpandUNCFileNameUTF8

Declaration

Source position: fileutil.pas line 60

function ExpandUNCFileNameUTF8(

  const FileName: string

):string;


ExtractFileNameWithoutExt

ExtractFileNameWithoutExt - returns just the name of the file without an extension

Declaration

Source position: fileutil.pas line 62

function ExtractFileNameWithoutExt(

  const AFilename: string

):string;

Arguments

AFilename

The name of the file for checking

Function result

Returns the original file name if it had no extension, otherwise returns the file name with its extension removed


ExtractShortPathNameUTF8

Declaration

Source position: fileutil.pas line 56

function ExtractShortPathNameUTF8(

  const FileName: string

):string;


FileIsInDirectory

FileIsInDirectory - checks whether a file with FileName exists within the given Directory

Declaration

Source position: fileutil.pas line 67

function FileIsInDirectory(

  const Filename: string;

  const Directory: string

):Boolean;

Arguments

Filename | The name of the file to be checked
Directory | The name of the directory to be searched for the file

Function result

Returns True if the file is in the directory

Description

FileIsInDirectory - checks whether a file with FileName exists within the given Directory


FileIsInPath

FileIsInPath - checks that FileName refers to a file that exists within the given Path

Declaration

Source position: fileutil.pas line 66

function FileIsInPath(

  const Filename: string;

  const Path: string

):Boolean;

Arguments

Filename | The name of the file for checking
Path | The Path to be searched

Function result

Returns True if a file named Filename exists within the given Path


FilenameIsPascalUnit

FilenameIsPascalUnit - checks that the supplied name is a correct Pascal unit name

Declaration

Source position: fileutil.pas line 63

function FilenameIsPascalUnit(

  const Filename: string

):Boolean;

Arguments

Filename

The name of the file for checking

Function result

Returns True if the supplied name is a correct Pascal Unit filename

Description

FilenameIsPascalUnit - checks that the supplied name is a correct Pascal unit name

Looks at the file extension to see if it matches one of the standard Pascal extensions (currently .p, .pp, .pas)


FileSize

FileSize - finds the size of the named file

Declaration

Source position: fileutil.pas line 61

function FileSize(

  const Filename: string

):Int64; overload;

Arguments

Filename

The name of the file for checking

Function result

Returns the size of the file, or -1 if not there


FindAllDirectories

Declaration

Source position: fileutil.pas line 174

function FindAllDirectories(

  const SearchPath: string;

  SearchSubDirs: Boolean = True

):TStringList; overload;

procedure FindAllDirectories(

  AList: TStrings;

  const SearchPath: string;

  SearchSubDirs: Boolean = True

); overload;


FindAllFiles

Returns the list of found files in the specified path according to passed options.

Declaration

Source position: fileutil.pas line 169

function FindAllFiles(

  const SearchPath: string;

  SearchMask: string = '';

  SearchSubDirs: Boolean = True;

  DirAttr: Word = faDirectory

):TStringList; overload;

procedure FindAllFiles(

  AList: TStrings;

  const SearchPath: string;

  SearchMask: string = '';

  SearchSubDirs: Boolean = True;

  DirAttr: Word = faDirectory

); overload;

Arguments

SearchPath | Base path for searching files.
SearchMask | A list of masks, separated by a semicolon (;) to which found files should match.
SearchSubDirs | If search recursively sub directories.

Function result

List (TStringList) of found files. The StringList is instantiated by the FindAllFiles function, so you should not instatiate it before calling the function.

Arguments

SearchPath | Base path for searching files.
SearchMask | A list of masks, separated by a semicolon (;) to which found files should match.
SearchSubDirs | If search recursively sub directories.


FindDefaultExecutablePath

FindDefaultExecutablePath - finds the default path to the named Executable file

Declaration

Source position: fileutil.pas line 87

function FindDefaultExecutablePath(

  const Executable: string;

  const BaseDir: string = ''

):string;

Arguments

Executable

The name of the Executable file

Function result

Returns the filename of the Executable file with path information attached

Description

FindDefaultExecutablePath - finds the default path to the named Executable file

On Windows systems it looks for both with and without the '.EXE' extension

If Executable is not an absolute filename the executable is searched using the environment variable PATH. Relative directories in PATH are expanded using BaseDir.

On non Unix systems (e.g. Windows) it searches in BaseDir as well. While on Unix systems (e.g. Linux, OS X) it only searches in BaseDir, if PATH contains the '.' directory.


FindDiskFileCaseInsensitive

FindDiskFileCaseInsensitive - searches for the given FileName in a case insensitive manner

Declaration

Source position: fileutil.pas line 86

function FindDiskFileCaseInsensitive(

  const Filename: string

):string;

Arguments

Filename

The name of the file for processing

Function result

If it exists, returns the file name with path information otherwise returns an empty string


FindDiskFilename

FindDiskFilename - finds the file that best fits the supplied filename

Declaration

Source position: fileutil.pas line 85

function FindDiskFilename(

  const Filename: string

):string;

Arguments

Filename

The name of the file for checking

Function result

Returns the best fitting filename from the disk (taking case into consideration)

Description

FindDiskFilename - finds the file that best fits the supplied filename

Searches for the filename case on disk. The file must exist.

For example: If Filename='file' and there is only a 'File' then 'File' will be returned.


GetAllFilesMask

File mask representing all files suitable for showing in a file filter.

Declaration

Source position: fileutil.pas line 69

function GetAllFilesMask: string;

Description

GetAllFilesMask returns a File Mask suitable for showing in a filter of a Open File Dialog. windows '*.*' is returned, on other operating systems just '*'.


GetExeExt

GetExeExt - find the correct extension (including the starting .) for an executable file

Declaration

Source position: fileutil.pas line 70

function GetExeExt: string;

Function result

Returns '.exe' in Windows, nothing in other systems.


ProgramDirectory

ProgramDirectory - returns the directory in which the currently running program resides

Declaration

Source position: fileutil.pas line 58

function ProgramDirectory: string;

Function result

Returns the name of the directory in which the current program is found


ReadFileToString

ReadFileToString - returns a string with the contents of the named file

Declaration

Source position: fileutil.pas line 71

function ReadFileToString(

  const Filename: string

):string;

Arguments

Filename

The name of the file for processing

Function result

The contents of the file as a string, or an empty string if there is an error or the file is empty

Description

ReadFileToString - returns a string with the contents of the named file

Opens the file and reads its contents into a Stream, then reads the stream to construct the Result string

Errors

If there is an error in reading the file, an exception is raised and an empty string is returned


SearchAllFilesInPath

SearchAllFilesInPath - searches for all files named Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags

Declaration

Source position: fileutil.pas line 83

function SearchAllFilesInPath(

  const Filename: string;

  const BasePath: string;

  const SearchPath: string;

  const Delimiter: string;

  Flags: TSearchFileInPathFlags

):TStrings;

Arguments

Filename | The name of the file for searching
BasePath | The BasePath to be used for the search
SearchPath | The path for searching
Delimiter | The directory Delimiter to be used in the search
Flags | Flags specifying how to search: e.g. don't search in base path, case independent search

Function result

Returns fully specified file names of all files that match the supplied criteria, or empty string if file not found

Description

SearchAllFilesInPath - searches for all files named Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags

Searches the whole path unless the sffDontSearchInBasePath flag is present

Returns all files that match the supplied criteria


SearchFileInPath

SearchFileInPath - searches for Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags

Declaration

Source position: fileutil.pas line 81

function SearchFileInPath(

  const Filename: string;

  const BasePath: string;

  const SearchPath: string;

  const Delimiter: string;

  Flags: TSearchFileInPathFlags

):string; overload;

Arguments

Filename | The name of the file for searching
BasePath | The BasePath to be used for the search
SearchPath | The path for searching
Delimiter | The directory Delimiter to be used in the search
Flags | Flags specifying how to search: e.g. don't search in base path, case independent search

Function result

Returns fully specified file name of the first file that matches the supplied criteria, or empty string if file not found

Description

SearchFileInPath - searches for Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags

Searches the whole path. Relative folder file names are expanded using BasePath. By default if BasePath is set it is searched as well, unless sffDontSearchInBasePath flag is present

Returns the first file that matches the supplied criteria

Errors

If the file does not exist, an empty string is returned


AlignToInt

Declaration

Source position: fpcadds.pas line 29

function AlignToInt(

  const p: Pointer

):Pointer;


AlignToPtr

Declaration

Source position: fpcadds.pas line 28

function AlignToPtr(

  const p: Pointer

):Pointer;


StrToWord

Declaration

Source position: fpcadds.pas line 26

function StrToWord(

  const s: string

):Word;


EncodeLesserAndGreaterThan

Declaration

Source position: laz2_dom.pas line 855

function EncodeLesserAndGreaterThan(

  const s: string

):string;


StrToXMLValue

Declaration

Source position: laz2_dom.pas line 853

function StrToXMLValue(

  const s: string

):string;


XMLValueToStr

Declaration

Source position: laz2_dom.pas line 854

function XMLValueToStr(

  const s: string

):string;


CompareDomNodeNames

Declaration

Source position: laz2_xmlcfg.pas line 140

function CompareDomNodeNames(

  DOMNode1: Pointer;

  DOMNode2: Pointer

):Integer;


ReadDTDFile

Declaration

Source position: laz2_xmlread.pas line 70

procedure ReadDTDFile(

  out ADoc: TXMLDocument;

  const AFilename: string

); overload;

procedure ReadDTDFile(

  out ADoc: TXMLDocument;

  var f: Text

); overload;

procedure ReadDTDFile(

  out ADoc: TXMLDocument;

  var f: file

); overload;

procedure ReadDTDFile(

  out ADoc: TXMLDocument;

  f: TStream

); overload;

procedure ReadDTDFile(

  out ADoc: TXMLDocument;

  f: TStream;

  const ABaseURI: string

); overload;


ReadXMLFile

Declaration

Source position: laz2_xmlread.pas line 58

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  const AFilename: string;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  var f: Text;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  var f: file;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  f: TStream;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  f: TStream;

  const ABaseURI: string;

  Flags: TXMLReaderFlags = []

); overload;


ReadXMLFragment

Declaration

Source position: laz2_xmlread.pas line 64

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  const AFilename: string;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  var f: Text;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  var f: file;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  f: TStream;

  Flags: TXMLReaderFlags = []

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  f: TStream;

  const ABaseURI: string;

  Flags: TXMLReaderFlags = []

); overload;


RegisterDecoder

Declaration

Source position: laz2_xmlread.pas line 156

procedure RegisterDecoder(

  Proc: TGetDecoderProc

);


Hash

Declaration

Source position: laz2_xmlutils.pas line 41

function Hash(

  InitValue: LongWord;

  Key: PXMLUtilChar;

  KeyLen: Integer

):LongWord;


IsValidXmlEncoding

Declaration

Source position: laz2_xmlutils.pas line 37

function IsValidXmlEncoding(

  const Value: TXMLUtilString

):Boolean;


IsXmlName

Declaration

Source position: laz2_xmlutils.pas line 32

function IsXmlName(

  const Value: TXMLUtilString;

  Xml11: Boolean = False

):Boolean; overload;

function IsXmlName(

  Value: PXMLUtilChar;

  Len: Integer;

  Xml11: Boolean = False

):Boolean; overload;


IsXmlNames

Declaration

Source position: laz2_xmlutils.pas line 34

function IsXmlNames(

  const Value: TXMLUtilString;

  Xml11: Boolean = False

):Boolean;


IsXmlNmToken

Declaration

Source position: laz2_xmlutils.pas line 35

function IsXmlNmToken(

  const Value: TXMLUtilString;

  Xml11: Boolean = False

):Boolean;


IsXmlNmTokens

Declaration

Source position: laz2_xmlutils.pas line 36

function IsXmlNmTokens(

  const Value: TXMLUtilString;

  Xml11: Boolean = False

):Boolean;


IsXmlWhiteSpace

Declaration

Source position: laz2_xmlutils.pas line 40

function IsXmlWhiteSpace(

  c: PXMLUtilChar

):Boolean;


NormalizeSpaces

Declaration

Source position: laz2_xmlutils.pas line 39

procedure NormalizeSpaces(

  var Value: TXMLUtilString

);


TranslateUTF8Chars

Declaration

Source position: laz2_xmlutils.pas line 45

procedure TranslateUTF8Chars(

  var s: TXMLUtilString;

  SrcChars: string;

  DstChars: string

);


Xml11NamePages

Declaration

Source position: laz2_xmlutils.pas line 38

function Xml11NamePages: PByteArray;


XUStrLIComp

Declaration

Source position: laz2_xmlutils.pas line 43

function XUStrLIComp(

  S1: PXMLUtilChar;

  S2: PXMLUtilChar;

  Len: Integer

):Integer;


WriteXML

Declaration

Source position: laz2_xmlwrite.pas line 41

procedure WriteXML(

  Element: TDOMNode;

  const AFileName: string;

  Flags: TXMLWriterFlags = []

); overload;

procedure WriteXML(

  Element: TDOMNode;

  var AFile: Text;

  Flags: TXMLWriterFlags = []

); overload;

procedure WriteXML(

  Element: TDOMNode;

  AStream: TStream;

  Flags: TXMLWriterFlags = []

); overload;


WriteXMLFile

Declaration

Source position: laz2_xmlwrite.pas line 37

procedure WriteXMLFile(

  doc: TXMLDocument;

  const AFileName: string;

  Flags: TXMLWriterFlags = []

); overload;

procedure WriteXMLFile(

  doc: TXMLDocument;

  var AFile: Text;

  Flags: TXMLWriterFlags = []

); overload;

procedure WriteXMLFile(

  doc: TXMLDocument;

  AStream: TStream;

  Flags: TXMLWriterFlags = []

); overload;


EvaluateXPathExpression

Declaration

Source position: laz2_xpath.pas line 466

function EvaluateXPathExpression(

  const AExpressionString: DOMString;

  AContextNode: TDOMNode;

  AResolver: TXPathNSResolver = Nil

):TXPathVariable;


EvaluationError

Declaration

Source position: laz2_xpath.pas line 248

procedure EvaluationError(

  const Msg: string

);

procedure EvaluationError(

  const Msg: string;

  const Args: array of Const

);


NilThenReleaseRef

Declaration

Source position: lazclasses.pas line 72

procedure NilThenReleaseRef(

  var ARefCountedObject

);


ReleaseRefAndNil

Declaration

Source position: lazclasses.pas line 71

procedure ReleaseRefAndNil(

  var ARefCountedObject

);


CompareConfigMemStorageNames

Declaration

Source position: lazconfigstorage.pas line 150

function CompareConfigMemStorageNames(

  p1: PChar;

  p2: PChar

):Integer;


CompareConfigMemStorageNodes

Declaration

Source position: lazconfigstorage.pas line 151

function CompareConfigMemStorageNodes(

  Node1: Pointer;

  Node2: Pointer

):Integer;


ComparePCharWithConfigMemStorageNode

Declaration

Source position: lazconfigstorage.pas line 152

function ComparePCharWithConfigMemStorageNode(

  aPChar: Pointer;

  ANode: Pointer

):Integer;


LoadStringToStringTree

Declaration

Source position: lazconfigstorage.pas line 145

procedure LoadStringToStringTree(

  Config: TConfigStorage;

  const Path: string;

  Tree: TStringToStringTree

);


SaveStringToStringTree

Declaration

Source position: lazconfigstorage.pas line 147

procedure SaveStringToStringTree(

  Config: TConfigStorage;

  const Path: string;

  Tree: TStringToStringTree

);


GetStringRefCount

Declaration

Source position: lazdbglog.pas line 20

function GetStringRefCount(

  const s: string

):PtrInt;


MemSizeFPList

Declaration

Source position: lazdbglog.pas line 19

function MemSizeFPList(

  const List: TFPList

):PtrUInt;


MemSizeString

Declaration

Source position: lazdbglog.pas line 18

function MemSizeString(

  const s: string

):PtrUInt;


CompareFilenameWithFileStateCacheItem

Declaration

Source position: lazfilecache.pas line 111

function CompareFilenameWithFileStateCacheItem(

  Key: Pointer;

  Data: Pointer

):Integer;


CompareFileStateItems

Declaration

Source position: lazfilecache.pas line 110

function CompareFileStateItems(

  Data1: Pointer;

  Data2: Pointer

):Integer;


DirectoryIsWritableCached

Declaration

Source position: lazfilecache.pas line 101

function DirectoryIsWritableCached(

  const ADirectoryName: string

):Boolean;


DirPathExistsCached

Declaration

Source position: lazfilecache.pas line 100

function DirPathExistsCached(

  const AFilename: string

):Boolean;


FileAgeCached

Declaration

Source position: lazfilecache.pas line 106

function FileAgeCached(

  const AFileName: string

):LongInt;


FileExistsCached

Declaration

Source position: lazfilecache.pas line 99

function FileExistsCached(

  const AFilename: string

):Boolean;


FileIsExecutableCached

Declaration

Source position: lazfilecache.pas line 102

function FileIsExecutableCached(

  const AFilename: string

):Boolean;


FileIsReadableCached

Declaration

Source position: lazfilecache.pas line 103

function FileIsReadableCached(

  const AFilename: string

):Boolean;


FileIsTextCached

Declaration

Source position: lazfilecache.pas line 105

function FileIsTextCached(

  const AFilename: string

):Boolean;


FileIsWritableCached

Declaration

Source position: lazfilecache.pas line 104

function FileIsWritableCached(

  const AFilename: string

):Boolean;


GetPhysicalFilenameCached

Declaration

Source position: lazfilecache.pas line 107

function GetPhysicalFilenameCached(

  const AFilename: string;

  EmptyOnError: Boolean

):string;


InvalidateFileStateCache

Declaration

Source position: lazfilecache.pas line 109

procedure InvalidateFileStateCache(

  const Filename: string = ''

);


LUIncreaseChangeStamp

Declaration

Source position: lazfilecache.pas line 116

procedure LUIncreaseChangeStamp(

  var ChangeStamp: Integer

);


LUIncreaseChangeStamp64

Declaration

Source position: lazfilecache.pas line 117

procedure LUIncreaseChangeStamp64(

  var ChangeStamp: Int64

);


AppendPathDelim

Declaration

Source position: lazfileutils.pas line 73

function AppendPathDelim(

  const Path: string

):string;


CheckIfFileIsExecutable

Declaration

Source position: lazfileutils.pas line 49

procedure CheckIfFileIsExecutable(

  const AFilename: string

);


CheckIfFileIsSymlink

Declaration

Source position: lazfileutils.pas line 50

procedure CheckIfFileIsSymlink(

  const AFilename: string

);


ChompPathDelim

Declaration

Source position: lazfileutils.pas line 74

function ChompPathDelim(

  const Path: string

):string;


CleanAndExpandDirectory

Declaration

Source position: lazfileutils.pas line 65

function CleanAndExpandDirectory(

  const Filename: string

):string;


CleanAndExpandFilename

Declaration

Source position: lazfileutils.pas line 64

function CleanAndExpandFilename(

  const Filename: string

):string;


CompareFileExt

Declaration

Source position: lazfileutils.pas line 31

function CompareFileExt(

  const Filename: string;

  const Ext: string;

  CaseSensitive: Boolean

):Integer; overload;

function CompareFileExt(

  const Filename: string;

  const Ext: string

):Integer; overload;


CompareFilenames

Declaration

Source position: lazfileutils.pas line 29

function CompareFilenames(

  const Filename1: string;

  const Filename2: string

):Integer; overload;

function CompareFilenames(

  Filename1: PChar;

  Len1: Integer;

  Filename2: PChar;

  Len2: Integer

):Integer; overload;


CompareFilenamesIgnoreCase

Declaration

Source position: lazfileutils.pas line 30

function CompareFilenamesIgnoreCase(

  const Filename1: string;

  const Filename2: string

):Integer;


CompareFilenamesP

Declaration

Source position: lazfileutils.pas line 38

function CompareFilenamesP(

  Filename1: PChar;

  Filename2: PChar;

  IgnoreCase: Boolean = False

):Integer;


CompareFilenameStarts

Declaration

Source position: lazfileutils.pas line 35

function CompareFilenameStarts(

  const Filename1: string;

  const Filename2: string

):Integer;


CreateAbsoluteSearchPath

Declaration

Source position: lazfileutils.pas line 77

function CreateAbsoluteSearchPath(

  const SearchPath: string;

  const BaseDirectory: string

):string;


CreateDirUTF8

Declaration

Source position: lazfileutils.pas line 101

function CreateDirUTF8(

  const NewDir: string

):Boolean;


CreateRelativePath

Creates a relative path from BaseDirectory to Filename

Declaration

Source position: lazfileutils.pas line 70

function CreateRelativePath(

  const Filename: string;

  const BaseDirectory: string;

  UsePointDirectory: Boolean = False;

  AlwaysRequireSharedBaseFolder: Boolean = True

):string;

Description

Creates a relative path from BaseDirectory to Filename. A trailing path delimiter of BaseDirectory is ignored. If there is no relative path it returns Filename. If BaseDirectory and Filename are the same and UsePointDirectory is false it returns the empty string. If UsePointDirectory is true it returns '.'. Duplicate path delimiters are treated as one. In other words if it returns a relative file name then the following is true: TrimFilename(Filename) = TrimFilename(BaseDirectory+PathDelim+Result). This function is thread safe and therefore does not support current directories as needed by Windows file names like D:test.


CreateRelativeSearchPath

Declaration

Source position: lazfileutils.pas line 78

function CreateRelativeSearchPath(

  const SearchPath: string;

  const BaseDirectory: string

):string;


DbgSFileAttr

Declaration

Source position: lazfileutils.pas line 118

function DbgSFileAttr(

  Attr: LongInt

):string;


DeleteFileUTF8

Declaration

Source position: lazfileutils.pas line 95

function DeleteFileUTF8(

  const FileName: string

):Boolean;


DirectoryExistsUTF8

Declaration

Source position: lazfileutils.pas line 87

function DirectoryExistsUTF8(

  const Directory: string

):Boolean;


DirectoryIsWritable

Declaration

Source position: lazfileutils.pas line 43

function DirectoryIsWritable(

  const DirectoryName: string

):Boolean;


DirPathExists

Declaration

Source position: lazfileutils.pas line 42

function DirPathExists(

  DirectoryName: string

):Boolean;


ExpandFileNameUTF8

Declaration

Source position: lazfileutils.pas line 88

function ExpandFileNameUTF8(

  const FileName: string;

  BaseDir: string = ''

):string;


ExtractFileNameOnly

Declaration

Source position: lazfileutils.pas line 44

function ExtractFileNameOnly(

  const AFilename: string

):string;


ExtractFileRoot

Declaration

Source position: lazfileutils.pas line 138

function ExtractFileRoot(

  FileName: string

):string;


ExtractUNCVolume

Declaration

Source position: lazfileutils.pas line 137

function ExtractUNCVolume(

  const Path: string

):string;


FileAgeUTF8

Declaration

Source position: lazfileutils.pas line 86

function FileAgeUTF8(

  const FileName: string

):LongInt;


FileCreateUTF8

Declaration

Source position: lazfileutils.pas line 106

function FileCreateUTF8(

  const FileName: string

):THandle; overload;

function FileCreateUTF8(

  const FileName: string;

  Rights: Cardinal

):THandle; overload;

function FileCreateUtf8(

  const FileName: string;

  ShareMode: Integer;

  Rights: Cardinal

):THandle; overload;


FileExistsUTF8

Declaration

Source position: lazfileutils.pas line 85

function FileExistsUTF8(

  const Filename: string

):Boolean;


FileGetAttrUTF8

Declaration

Source position: lazfileutils.pas line 93

function FileGetAttrUTF8(

  const FileName: string

):LongInt;


FileIsExecutable

Declaration

Source position: lazfileutils.pas line 51

function FileIsExecutable(

  const AFilename: string

):Boolean;


FileIsHardLink

Declaration

Source position: lazfileutils.pas line 53

function FileIsHardLink(

  const AFilename: string

):Boolean;


FileIsInPath

Returns true if Filename is below Path

Declaration

Source position: lazfileutils.pas line 72

function FileIsInPath(

  const Filename: string;

  const Path: string

):Boolean;

Description

Path is a directory, Filename a file or directory. Returns true if Filename is a file or directory somewhere below Path. This is a logical test, so it does not check symlinks. Note: if both Filename and Path are the same, the result is false. For example under Unix the Filename '/usr/lib/fpc' is below Path '/usr/lib', '/usr' and '/'.


FileIsReadable

Declaration

Source position: lazfileutils.pas line 54

function FileIsReadable(

  const AFilename: string

):Boolean;


FileIsReadOnlyUTF8

Declaration

Source position: lazfileutils.pas line 98

function FileIsReadOnlyUTF8(

  const FileName: string

):Boolean;


FileIsSymlink

Declaration

Source position: lazfileutils.pas line 52

function FileIsSymlink(

  const AFilename: string

):Boolean;


FileIsText

Declaration

Source position: lazfileutils.pas line 56

function FileIsText(

  const AFilename: string

):Boolean;

function FileIsText(

  const AFilename: string;

  out FileReadable: Boolean

):Boolean;


FileIsWritable

Declaration

Source position: lazfileutils.pas line 55

function FileIsWritable(

  const AFilename: string

):Boolean;


FilenameIsAbsolute

Declaration

Source position: lazfileutils.pas line 45

function FilenameIsAbsolute(

  const TheFilename: string

):Boolean;


FilenameIsTrimmed

Declaration

Source position: lazfileutils.pas line 58

function FilenameIsTrimmed(

  const TheFilename: string

):Boolean;

function FilenameIsTrimmed(

  StartPos: PChar;

  NameLen: Integer

):Boolean;


FilenameIsUnixAbsolute

Declaration

Source position: lazfileutils.pas line 47

function FilenameIsUnixAbsolute(

  const TheFilename: string

):Boolean;


FilenameIsWinAbsolute

Declaration

Source position: lazfileutils.pas line 46

function FilenameIsWinAbsolute(

  const TheFilename: string

):Boolean;


FileOpenUTF8

Declaration

Source position: lazfileutils.pas line 105

function FileOpenUTF8(

  const FileName: string;

  Mode: Integer

):THandle;


FileSearchUTF8

Declaration

Source position: lazfileutils.pas line 97

function FileSearchUTF8(

  const Name: string;

  const DirList: string;

  ImplicitCurrentDir: Boolean = True

):string;


FileSetAttrUTF8

Declaration

Source position: lazfileutils.pas line 94

function FileSetAttrUTF8(

  const Filename: string;

  Attr: LongInt

):LongInt;


FileSetDateUTF8

Declaration

Source position: lazfileutils.pas line 92

function FileSetDateUTF8(

  const FileName: string;

  Age: LongInt

):LongInt;


FileSizeUtf8

Declaration

Source position: lazfileutils.pas line 110

function FileSizeUtf8(

  const Filename: string

):Int64;


FindCloseUTF8

Declaration

Source position: lazfileutils.pas line 91

procedure FindCloseUTF8(

  var F: TSearchrec

);


FindFirstUTF8

Declaration

Source position: lazfileutils.pas line 89

function FindFirstUTF8(

  const Path: string;

  Attr: LongInt;

  out Rslt: TSearchRec

):LongInt;


FindNextUTF8

Declaration

Source position: lazfileutils.pas line 90

function FindNextUTF8(

  var Rslt: TSearchRec

):LongInt;


FindPathInSearchPath

Declaration

Source position: lazfileutils.pas line 80

function FindPathInSearchPath(

  APath: PChar;

  APathLen: Integer;

  SearchPath: PChar;

  SearchPathLen: Integer

):PChar; overload;

function FindPathInSearchPath(

  const APath: string;

  const SearchPath: string

):Integer; overload;


ForceDirectoriesUTF8

Declaration

Source position: lazfileutils.pas line 103

function ForceDirectoriesUTF8(

  const Dir: string

):Boolean;


ForceDirectory

ForceDirectory - creates a directory if none exists

Declaration

Source position: lazfileutils.pas line 48

function ForceDirectory(

  DirectoryName: string

):Boolean;

Function result

Returns True if directory exists or if it was successfully created


ForcePathDelims

Declaration

Source position: lazfileutils.pas line 62

procedure ForcePathDelims(

  var FileName: string

);


GetAppConfigDirUTF8

Declaration

Source position: lazfileutils.pas line 130

function GetAppConfigDirUTF8(

  Global: Boolean;

  Create: Boolean = False

):string;


GetAppConfigFileUTF8

Declaration

Source position: lazfileutils.pas line 131

function GetAppConfigFileUTF8(

  Global: Boolean;

  SubDir: Boolean = False;

  CreateDir: Boolean = False

):string;


GetCurrentDirUTF8

Declaration

Source position: lazfileutils.pas line 99

function GetCurrentDirUTF8: string;


GetFileDescription

Declaration

Source position: lazfileutils.pas line 111

function GetFileDescription(

  const AFilename: string

):string;


GetForcedPathDelims

Declaration

Source position: lazfileutils.pas line 63

function GetForcedPathDelims(

  const FileName: string

):string;


GetPhysicalFilename

Declaration

Source position: lazfileutils.pas line 123

function GetPhysicalFilename(

  const Filename: string;

  OnError: TPhysicalFilenameOnError

):string;


GetShellLinkTarget

Declaration

Source position: lazfileutils.pas line 115

function GetShellLinkTarget(

  const FileName: string

):string;


GetTempFileNameUTF8

Declaration

Source position: lazfileutils.pas line 133

function GetTempFileNameUTF8(

  const Dir: string;

  const Prefix: string

):string;


GetUnixPhysicalFilename

Resolves all symlinks in Filename, including all directories.

Declaration

Source position: lazfileutils.pas line 126

function GetUnixPhysicalFilename(

  const Filename: string;

  ExceptionOnError: Boolean

):string;

Description

If a symlink can not be resolved the function returns the empty string if ExceptionOnError is false. If ExceptionOnError is true it raises an EFOpenError with a message, containing more details.


InvalidateFileStateCache

Declaration

Source position: lazfileutils.pas line 160

procedure InvalidateFileStateCache(

  const Filename: string = ''

);


IsUNCPath

Declaration

Source position: lazfileutils.pas line 136

function IsUNCPath(

  const Path: string

):Boolean;


MergeCmdLineParams

Declaration

Source position: lazfileutils.pas line 154

function MergeCmdLineParams(

  ParamList: TStrings

):string;


MinimizeSearchPath

Declaration

Source position: lazfileutils.pas line 79

function MinimizeSearchPath(

  const SearchPath: string

):string;


ReadAllLinks

Resolves a symlink to the real file. It does not resolve symlinks in parent directories.

Declaration

Source position: lazfileutils.pas line 112

function ReadAllLinks(

  const Filename: string;

  ExceptionOnError: Boolean

):string;

Description

If a symlink can not be resolved the function returns the empty string if ExceptionOnError is false. If ExceptionOnError is true it raises an EFOpenError with a message, containing more details. On Windows it simply returns Filename.


RemoveDirUTF8

Declaration

Source position: lazfileutils.pas line 102

function RemoveDirUTF8(

  const Dir: string

):Boolean;


RenameFileUTF8

Declaration

Source position: lazfileutils.pas line 96

function RenameFileUTF8(

  const OldName: string;

  const NewName: string

):Boolean;


ResolveDots

Removes duplicate path delimiters and resolves logically . and ..

Declaration

Source position: lazfileutils.pas line 61

function ResolveDots(

  const AFilename: string

):string;

Description

This function shortens duplicate path delimiters to single path delimiters. It resolves 'A/../B' to 'B', which might be wrong under Unix if A is a symlink. The functions does not check the file system. The single dot './A' is resolved to 'A', but a single '.' is kept as '.'.


SetCurrentDirUTF8

Declaration

Source position: lazfileutils.pas line 100

function SetCurrentDirUTF8(

  const NewDir: string

):Boolean;


SplitCmdLineParams

Splits parameters separated by one or more spaces.

Declaration

Source position: lazfileutils.pas line 151

procedure SplitCmdLineParams(

  const Params: string;

  ParamList: TStrings;

  ReadBackslash: Boolean = False

);

Description

Parameters are separated by one or more spaces (#9,#10,#13,#32). Quotes are parsed as single parameter. if ReadBackslash=true then \" is replaced to " and not treated as quote. #0 is always end.


StrToCmdLineParam

Declaration

Source position: lazfileutils.pas line 153

function StrToCmdLineParam(

  const Param: string

):string;


TrimAndExpandDirectory

Declaration

Source position: lazfileutils.pas line 67

function TrimAndExpandDirectory(

  const Filename: string;

  const BaseDir: string = ''

):string;


TrimAndExpandFilename

Declaration

Source position: lazfileutils.pas line 66

function TrimAndExpandFilename(

  const Filename: string;

  const BaseDir: string = ''

):string;


TrimFilename

TrimFilename - trim double path delimiters, heading and trailing spaces and special dirs . and ..

Declaration

Source position: lazfileutils.pas line 60

function TrimFilename(

  const AFilename: string

):string;

Description

The function cuts leading and trailing spaces and uses ResolveDots to shorten the file name.


TryCreateRelativePath

Declaration

Source position: lazfileutils.pas line 68

function TryCreateRelativePath(

  const Dest: string;

  const Source: string;

  UsePointDirectory: Boolean;

  AlwaysRequireSharedBaseFolder: Boolean;

  out RelPath: string

):Boolean;


TryReadAllLinks

Resolves a symlink to the real file. It does not resolve symlinks in parent directories.

Declaration

Source position: lazfileutils.pas line 114

function TryReadAllLinks(

  const Filename: string

):string;

Description

If a symlink can not be resolved it returns Filename. It uses ReadAllLinks.


TT_Char_Index

Declaration

Source position: lazfreetype.pas line 406

function TT_Char_Index(

  charmap: TT_CharMap;

  charCode: LongInt

):Word;


TT_Clone_Outline

Declaration

Source position: lazfreetype.pas line 369

function TT_Clone_Outline(

  var source: TT_Outline;

  var target: TT_Outline

):TT_Error;


TT_Close_Face

Declaration

Source position: lazfreetype.pas line 117

function TT_Close_Face(

  _face: TT_Face

):TT_Error;


TT_Copy_Outline

Declaration

Source position: lazfreetype.pas line 362

function TT_Copy_Outline(

  var source: TT_Outline;

  var target: TT_Outline

):TT_Error;


TT_Done_FreeType

Declaration

Source position: lazfreetype.pas line 56

procedure TT_Done_FreeType;


TT_Done_Glyph

Declaration

Source position: lazfreetype.pas line 224

function TT_Done_Glyph(

  _glyph: TT_Glyph

):TT_Error;


TT_Done_Instance

Declaration

Source position: lazfreetype.pas line 207

function TT_Done_Instance(

  _ins: TT_Instance

):TT_Error;


TT_Done_Outline

Declaration

Source position: lazfreetype.pas line 375

function TT_Done_Outline(

  var out: TT_Outline

):TT_Error;


TT_Get_CharMap

Declaration

Source position: lazfreetype.pas line 399

function TT_Get_CharMap(

  face: TT_Face;

  charmapIndex: Integer;

  var charMap: TT_CharMap

):TT_Error;


TT_Get_CharMap_Count

Declaration

Source position: lazfreetype.pas line 386

function TT_Get_CharMap_Count(

  face: TT_Face

):Integer;


TT_Get_CharMap_ID

Declaration

Source position: lazfreetype.pas line 391

function TT_Get_CharMap_ID(

  face: TT_Face;

  charmapIndex: Integer;

  var platform: Integer;

  var encoding: Integer

):TT_Error;


TT_Get_Face_Pointer

Declaration

Source position: lazfreetype.pas line 111

function TT_Get_Face_Pointer(

  _face: TT_Face

):Pointer;


TT_Get_Face_Properties

Declaration

Source position: lazfreetype.pas line 99

function TT_Get_Face_Properties(

  _face: TT_Face;

  out prop: TT_Face_Properties

):TT_Error;


TT_Get_Font_Data

Declaration

Source position: lazfreetype.pas line 450

function TT_Get_Font_Data(

  face: TT_Face;

  tableTag: LongInt;

  offset: LongInt;

  var buffer;

  var length: LongInt

):TT_Error;


TT_Get_Glyph_Big_Metrics

Declaration

Source position: lazfreetype.pas line 262

function TT_Get_Glyph_Big_Metrics(

  _glyph: TT_Glyph;

  var gmetrics: TT_Big_Glyph_Metrics

):TT_Error;


TT_Get_Glyph_Bitmap

Declaration

Source position: lazfreetype.pas line 269

function TT_Get_Glyph_Bitmap(

  _glyph: TT_Glyph;

  var map: TT_Raster_Map;

  x_offset: TT_F26Dot6;

  y_offset: TT_F26Dot6;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Get_Glyph_Metrics

Declaration

Source position: lazfreetype.pas line 256

function TT_Get_Glyph_Metrics(

  _glyph: TT_Glyph;

  var gmetrics: TT_Glyph_Metrics

):TT_Error;


TT_Get_Glyph_Outline

Declaration

Source position: lazfreetype.pas line 250

function TT_Get_Glyph_Outline(

  _glyph: TT_Glyph;

  var outline: TT_Outline

):TT_Error;


TT_Get_Glyph_Pixmap

Declaration

Source position: lazfreetype.pas line 277

function TT_Get_Glyph_Pixmap(

  _glyph: TT_Glyph;

  var map: TT_Raster_Map;

  x_offset: TT_F26Dot6;

  y_offset: TT_F26Dot6;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Get_Glyph_Pixmap_HQ

Declaration

Source position: lazfreetype.pas line 282

function TT_Get_Glyph_Pixmap_HQ(

  _glyph: TT_Glyph;

  var map: TT_Raster_Map;

  x_offset: TT_F26Dot6;

  y_offset: TT_F26Dot6;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Get_Instance_Metrics

Declaration

Source position: lazfreetype.pas line 190

function TT_Get_Instance_Metrics(

  _ins: TT_Instance;

  out m: TT_Instance_Metrics

):TT_Error;


TT_Get_Instance_Pointer

Declaration

Source position: lazfreetype.pas line 202

function TT_Get_Instance_Pointer(

  _ins: TT_Instance

):Pointer;


TT_Get_Name_Count

Declaration

Source position: lazfreetype.pas line 418

function TT_Get_Name_Count(

  face: TT_Face

):Integer;


TT_Get_Name_ID

Declaration

Source position: lazfreetype.pas line 423

function TT_Get_Name_ID(

  face: TT_Face;

  nameIndex: Integer;

  out platform: Integer;

  out encoding: Integer;

  out language: Integer;

  out nameid: Integer

):TT_Error;


TT_Get_Name_String

Declaration

Source position: lazfreetype.pas line 433

function TT_Get_Name_String(

  face: TT_Face;

  nameIndex: Integer;

  out str: Pointer;

  out len: Integer

):TT_Error;

function TT_Get_Name_String(

  face: TT_Face;

  nameIndex: Integer

):string;


TT_Get_Outline_BBox

Declaration

Source position: lazfreetype.pas line 349

function TT_Get_Outline_BBox(

  var out: TT_Outline;

  var bbox: TT_BBox

):TT_Error;


TT_Get_Outline_Bitmap

Declaration

Source position: lazfreetype.pas line 326

function TT_Get_Outline_Bitmap(

  var out: TT_Outline;

  var map: TT_Raster_Map;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Get_Outline_Pixmap

Declaration

Source position: lazfreetype.pas line 332

function TT_Get_Outline_Pixmap(

  var out: TT_Outline;

  var map: TT_Raster_Map;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Get_Outline_Pixmap_HQ

Declaration

Source position: lazfreetype.pas line 335

function TT_Get_Outline_Pixmap_HQ(

  var out: TT_Outline;

  var map: TT_Raster_Map;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Init_FreeType

Declaration

Source position: lazfreetype.pas line 51

function TT_Init_FreeType: TT_Error;


TT_Load_Glyph

Declaration

Source position: lazfreetype.pas line 229

function TT_Load_Glyph(

  _instance: TT_Instance;

  _glyph: TT_Glyph;

  glyph_index: Word;

  load_flags: Integer

):TT_Error;


TT_New_Glyph

Declaration

Source position: lazfreetype.pas line 218

function TT_New_Glyph(

  _face: TT_Face;

  var _glyph: TT_Glyph

):TT_Error;


TT_New_Instance

Declaration

Source position: lazfreetype.pas line 128

function TT_New_Instance(

  _face: TT_Face;

  var _ins: TT_Instance

):TT_Error;


TT_New_Outline

Declaration

Source position: lazfreetype.pas line 355

function TT_New_Outline(

  n_points: Integer;

  n_contours: Integer;

  var out: TT_Outline

):TT_Error;


TT_Open_Collection

Declaration

Source position: lazfreetype.pas line 92

function TT_Open_Collection(

  fontname: string;

  faceIndex: Integer;

  var _face: TT_Face

):TT_Error;


TT_Open_Face

Declaration

Source position: lazfreetype.pas line 83

function TT_Open_Face(

  fontname: string;

  var _face: TT_Face

):TT_Error;

function TT_Open_Face(

  AStream: TStream;

  AStreamOwner: Boolean;

  var _face: TT_Face

):TT_Error;


TT_Render_Directly_Glyph_Gray

Declaration

Source position: lazfreetype.pas line 287

function TT_Render_Directly_Glyph_Gray(

  var _glyph: TT_Glyph;

  x_offset: TT_F26Dot6;

  y_offset: TT_F26Dot6;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Render_Directly_Glyph_HQ

Declaration

Source position: lazfreetype.pas line 293

function TT_Render_Directly_Glyph_HQ(

  var _glyph: TT_Glyph;

  x_offset: TT_F26Dot6;

  y_offset: TT_F26Dot6;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Render_Directly_Outline_Gray

Declaration

Source position: lazfreetype.pas line 338

function TT_Render_Directly_Outline_Gray(

  var out: TT_Outline;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Render_Directly_Outline_HQ

Declaration

Source position: lazfreetype.pas line 342

function TT_Render_Directly_Outline_HQ(

  var out: TT_Outline;

  x: Integer;

  y: Integer;

  tx: Integer;

  ty: Integer;

  OnRender: TDirectRenderingFunction;

  rasterizer: TFreeTypeCustomRasterizer = Nil

):TT_Error;


TT_Set_Face_Pointer

Declaration

Source position: lazfreetype.pas line 105

function TT_Set_Face_Pointer(

  _face: TT_Face;

  data: Pointer

):TT_Error;


TT_Set_Instance_CharSize

Declaration

Source position: lazfreetype.pas line 147

function TT_Set_Instance_CharSize(

  _ins: TT_Instance;

  charsize: Integer

):TT_Error;


TT_Set_Instance_CharSizes

Declaration

Source position: lazfreetype.pas line 153

function TT_Set_Instance_CharSizes(

  _ins: TT_Instance;

  charsizex: Integer;

  charsizey: Integer

):TT_Error;


TT_Set_Instance_PixelSizes

Declaration

Source position: lazfreetype.pas line 160

function TT_Set_Instance_PixelSizes(

  _ins: TT_Instance;

  pixelX: Integer;

  pixelY: Integer;

  pointsize: Integer

):TT_Error;


TT_Set_Instance_Pointer

Declaration

Source position: lazfreetype.pas line 196

function TT_Set_Instance_Pointer(

  _ins: TT_Instance;

  data: Pointer

):TT_Error;


TT_Set_Instance_PointSize

Declaration

Source position: lazfreetype.pas line 141

function TT_Set_Instance_PointSize(

  _ins: TT_Instance;

  pointsize: Integer

):TT_Error;


TT_Set_Instance_Resolutions

Declaration

Source position: lazfreetype.pas line 134

function TT_Set_Instance_Resolutions(

  _ins: TT_Instance;

  x_resolution: Integer;

  y_resolution: Integer

):TT_Error;


TT_Set_Instance_Transforms

Declaration

Source position: lazfreetype.pas line 183

function TT_Set_Instance_Transforms(

  _ins: TT_Instance;

  rotated: Boolean;

  distorted: Boolean

):TT_Error;


TT_Set_Raster_Palette

Declaration

Source position: lazfreetype.pas line 69

function TT_Set_Raster_Palette(

  palette: TT_Gray_Palette

):TT_Error;


TT_Transform_Outline

Declaration

Source position: lazfreetype.pas line 314

function TT_Transform_Outline(

  var out: TT_Outline;

  var mat: TT_Matrix

):TT_Error;


TT_Transform_Vector

Declaration

Source position: lazfreetype.pas line 320

function TT_Transform_Vector(

  var x: TT_F26Dot6;

  var y: TT_F26Dot6;

  var mat: TT_Matrix

):TT_Error;


TT_Translate_Outline

Declaration

Source position: lazfreetype.pas line 308

function TT_Translate_Outline(

  var out: TT_Outline;

  x: TT_F26Dot6;

  y: TT_F26Dot6

):TT_Error;


SetDefaultFreeTypeFontCollection

Declaration

Source position: lazfreetypefontcollection.pas line 133

procedure SetDefaultFreeTypeFontCollection(

  ACollection: TCustomFreeTypeFontCollection

);


ConvertLineEndings

Declaration

Source position: lazlogger.pas line 32

function ConvertLineEndings(

  const s: string

):string;


dbghex

Declaration

Source position: LazLoggerIntf.inc line 107

function dbghex(

  i: Int64

):string; overload;


dbgMemRange

Declaration

Source position: LazLoggerIntf.inc line 109

function dbgMemRange(

  P: Pointer;

  Count: Integer;

  Width: Integer = 0

):string; overload;


dbgMemStream

Declaration

Source position: LazLoggerIntf.inc line 110

function dbgMemStream(

  MemStream: TCustomMemoryStream;

  Count: Integer

):string; overload;


dbgObjMem

Declaration

Source position: LazLoggerIntf.inc line 106

function dbgObjMem(

  AnObject: TObject

):string; overload;


DbgOut

Write message to log

Declaration

Source position: LazLoggerIntf.inc line 3

procedure DbgOut(

  const s: string = ''

); overload;

procedure DbgOut(

  Args: array of Const

); overload;

procedure DbgOut(

  const S: string;

  Args: array of Const

); overload;

procedure DbgOut(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

Description

Writes the text to the log. Does not append a new line.

The Argument can be:

One or more string

An open array of const: All values are converted to string and joined

A single string and open array of const: Will be passed to Format

Any of the above with a PLazLoggerLogGroup as filter

This is a forwarder to the log TLazLogger object. See there for details.

See also

DebugLogger


DbgS

Declaration

Source position: LazLoggerIntf.inc line 87

function DbgS(

  const c: Cardinal

):string; overload;

function DbgS(

  const i: LongInt

):string; overload;

function DbgS(

  const i: Int64

):string; overload;

function DbgS(

  const q: QWord

):string; overload;

function DbgS(

  const r: TRect

):string; overload;

function DbgS(

  const p: TPoint

):string; overload;

function DbgS(

  const p: pointer

):string; overload;

function DbgS(

  const e: extended;

  MaxDecimals: Integer = 999

):string; overload;

function DbgS(

  const b: Boolean

):string; overload;

function DbgS(

  const m: TMethod

):string; overload;

function DbgS(

  const ASize: TSize

):string; overload;

function DbgS(

  const s: TComponentState

):string; overload;

function DbgS(

  const i1: Integer;

  const i2: Integer;

  const i3: Integer;

  const i4: Integer

):string; overload;

function DbgS(

  const Shift: TShiftStateEnum

):string; overload;

function DbgS(

  const Shift: TShiftState

):string; overload;


DbgSJoin

Declaration

Source position: LazLoggerIntf.inc line 103

function DbgSJoin(

  const s1: string;

  const s2: string

):string;


DbgSName

Declaration

Source position: LazLoggerIntf.inc line 104

function DbgSName(

  const p: TObject

):string; overload;

function DbgSName(

  const p: TClass

):string; overload;


DbgStr

Declaration

Source position: lazlogger.pas line 26

function DbgStr(

  const StringWithSpecialChars: string

):string; overload;

function DbgStr(

  const StringWithSpecialChars: string;

  StartPos: PtrInt;

  Len: PtrInt

):string; overload;

function DbgStr(

  const p: PChar;

  Len: PtrInt

):string; overload;


DbgWideStr

Declaration

Source position: lazlogger.pas line 29

function DbgWideStr(

  const StringWithSpecialChars: widestring

):string; overload;


DebugLn

Write message to log

Declaration

Source position: LazLoggerIntf.inc line 13

procedure DebugLn(

  const s: string = ''

); overload;

procedure DebugLn(

  Args: array of Const

); overload;

procedure DebugLn(

  const S: string;

  Args: array of Const

); overload;

procedure DebugLn(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

Description

Writes the text to the log. Does append a new line.

The Argument can be:

One or more string

An open array of const: All values are converted to string and joined

A single string and open array of const: Will be passed to Format

Any of the above with a PLazLoggerLogGroup as filter

This is a forwarder to the log TLazLogger object. See there for details.

See also

DebugLogger


DebugLnEnter

Write message to log

Declaration

Source position: LazLoggerIntf.inc line 23

procedure DebugLnEnter(

  const s: string = ''

); overload;

procedure DebugLnEnter(

  Args: array of Const

); overload;

procedure DebugLnEnter(

  s: string;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

Description

Writes the text to the log. Does append a new line. Increases the current intend.

The Argument can be:

One or more string

An open array of const: All values are converted to string and joined

A single string and open array of const: Will be passed to Format

Any of the above with a PLazLoggerLogGroup as filter

This is a forwarder to the log TLazLogger object. See there for details.

See also

DebugLogger


DebugLnExit

Write message to log

Declaration

Source position: LazLoggerIntf.inc line 33

procedure DebugLnExit(

  const s: string = ''

); overload;

procedure DebugLnExit(

  Args: array of Const

); overload;

procedure DebugLnExit(

  s: string;

  Args: array of Const

); overload;

procedure DebugLnExit(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

Description

Writes the text to the log. Does append a new line. Increases the current intend.

The Argument can be:

One or more string

An open array of const: All values are converted to string and joined

A single string and open array of const: Will be passed to Format

Any of the above with a PLazLoggerLogGroup as filter

This is a forwarder to the log TLazLogger object. See there for details.

See also

DebugLogger


DebuglnStack

Declaration

Source position: LazLoggerIntf.inc line 1

procedure DebuglnStack(

  const s: string = ''

);

procedure DebuglnStack(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

);


DumpExceptionBackTrace

Declaration

Source position: lazlogger.pas line 30

procedure DumpExceptionBackTrace;


GetDebugLogger

Declaration

Source position: lazlogger.pas line 146

function GetDebugLogger: TLazLoggerFile;


SetDebugLogger

Declaration

Source position: lazlogger.pas line 147

procedure SetDebugLogger(

  ALogger: TLazLoggerFile

);


ConvertLineEndings

Declaration

Source position: lazloggerbase.pas line 271

function ConvertLineEndings(

  const s: string

):string;


DbgOut

Declaration

Source position: LazLoggerIntf.inc line 3

procedure DbgOut(

  const s: string = ''

); overload;

procedure DbgOut(

  Args: array of Const

); overload;

procedure DbgOut(

  const S: string;

  Args: array of Const

); overload;

procedure DbgOut(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure DbgOut(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


DebugLn

Declaration

Source position: LazLoggerIntf.inc line 13

procedure DebugLn(

  const s: string = ''

); overload;

procedure DebugLn(

  Args: array of Const

); overload;

procedure DebugLn(

  const S: string;

  Args: array of Const

); overload;

procedure DebugLn(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const S: string;

  Args: array of Const

); overload;

procedure DebugLn(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


DebugLnEnter

Declaration

Source position: LazLoggerIntf.inc line 23

procedure DebugLnEnter(

  const s: string = ''

); overload;

procedure DebugLnEnter(

  Args: array of Const

); overload;

procedure DebugLnEnter(

  s: string;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure DebugLnEnter(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


DebugLnExit

Declaration

Source position: LazLoggerIntf.inc line 33

procedure DebugLnExit(

  const s: string = ''

); overload;

procedure DebugLnExit(

  Args: array of Const

); overload;

procedure DebugLnExit(

  s: string;

  Args: array of Const

); overload;

procedure DebugLnExit(

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s: string = ''

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  Args: array of Const

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  s: string;

  Args: array of Const

); overload;

procedure DebugLnExit(

  LogGroup: PLazLoggerLogGroup;

  const s1: string;

  const s2: string;

  const s3: string = '';

  const s4: string = '';

  const s5: string = '';

  const s6: string = '';

  const s7: string = '';

  const s8: string = '';

  const s9: string = '';

  const s10: string = '';

  const s11: string = '';

  const s12: string = '';

  const s13: string = '';

  const s14: string = '';

  const s15: string = '';

  const s16: string = '';

  const s17: string = '';

  const s18: string = ''

); overload;


GetDebugLogger

Declaration

Source position: lazloggerbase.pas line 279

function GetDebugLogger: TLazLogger;


GetDebugLoggerGroups

Declaration

Source position: lazloggerbase.pas line 276

function GetDebugLoggerGroups: TLazLoggerLogGroupList;


GetExistingDebugLogger

Declaration

Source position: lazloggerbase.pas line 280

function GetExistingDebugLogger: TLazLogger;


GetParamByName

Declaration

Source position: lazloggerbase.pas line 274

function GetParamByName(

  const AName: string;

  AnIndex: Integer

):string;


GetParamByNameCount

Declaration

Source position: lazloggerbase.pas line 273

function GetParamByNameCount(

  const AName: string

):Integer;


RecreateDebugLogger

Declaration

Source position: lazloggerbase.pas line 283

procedure RecreateDebugLogger;


SetDebugLogger

Declaration

Source position: lazloggerbase.pas line 281

procedure SetDebugLogger(

  ALogger: TLazLogger

);


SetDebugLoggerGroups

Declaration

Source position: lazloggerbase.pas line 277

procedure SetDebugLoggerGroups(

  ALogGroups: TLazLoggerLogGroupList

);


GetDebugLogger

Declaration

Source position: lazloggerdummy.pas line 198

function GetDebugLogger: TLazLogger;


GetDebugLoggerGroups

Declaration

Source position: lazloggerdummy.pas line 195

function GetDebugLoggerGroups: TLazLoggerLogGroupList;


GetExistingDebugLogger

Declaration

Source position: lazloggerdummy.pas line 199

function GetExistingDebugLogger: TLazLogger;


RecreateDebugLogger

Declaration

Source position: lazloggerdummy.pas line 202

procedure RecreateDebugLogger;


SetDebugLogger

Declaration

Source position: lazloggerdummy.pas line 200

procedure SetDebugLogger(

  ALogger: TLazLogger

);


SetDebugLoggerGroups

Declaration

Source position: lazloggerdummy.pas line 196

procedure SetDebugLoggerGroups(

  ALogGroups: TLazLoggerLogGroupList

);


DbgsMemUsed

Declaration

Source position: lazloggerprofiling.pas line 62

function DbgsMemUsed(

  AFormat: string = '%0:d'

):string;

function DbgsMemUsed(

  AFormat: string;

  AName: string

):string;


DbgStartMemWatch

Declaration

Source position: lazloggerprofiling.pas line 67

procedure DbgStartMemWatch(

  AName: string

);


DbgStartTimer

Declaration

Source position: lazloggerprofiling.pas line 65

procedure DbgStartTimer(

  AName: string

);


DbgsTimeUsed

Declaration

Source position: lazloggerprofiling.pas line 63

function DbgsTimeUsed(

  AFormat: string = '%0:n'

):string;

function DbgsTimeUsed(

  AFormat: string;

  AName: string

):string;


DbgStopMemWatch

Declaration

Source position: lazloggerprofiling.pas line 68

procedure DbgStopMemWatch(

  AName: string

);


DbgStopTimer

Declaration

Source position: lazloggerprofiling.pas line 66

procedure DbgStopTimer(

  AName: string

);


CodePointCopy

Declaration

Source position: lazunicode.pas line 44

function CodePointCopy(

  const s: string;

  StartCharIndex: NativeInt;

  CharCount: NativeInt

):string;


CodePointLength

Declaration

Source position: lazunicode.pas line 45

function CodePointLength(

  const s: string

):NativeInt;


CodePointPos

Declaration

Source position: lazunicode.pas line 46

function CodePointPos(

  const SearchForText: string;

  const SearchInText: string;

  StartPos: NativeInt = 1

):NativeInt;


CodePointSize

Declaration

Source position: lazunicode.pas line 47

function CodePointSize(

  p: PChar

):Integer;


enumerator(string):TUnicodeCharacterEnumerator

Declaration

Source position: lazunicode.pas line 102

operator operator enumerator(

  A: string

):TUnicodeCharacterEnumerator;


IsCombining

Declaration

Source position: lazunicode.pas line 48

function IsCombining(

  const AChar: PChar

):Boolean;


StringOfCodePoint

Declaration

Source position: lazunicode.pas line 53

function StringOfCodePoint(

  ACodePoint: string;

  N: Integer

):string;


UnicodeToWinCP

Declaration

Source position: lazunicode.pas line 50

function UnicodeToWinCP(

  const s: string

):AnsiString;


WinCPToUnicode

Declaration

Source position: lazunicode.pas line 51

function WinCPToUnicode(

  const s: AnsiString

):string;


IsUTF16CharValid

Declaration

Source position: lazutf16.pas line 46

function IsUTF16CharValid(

  AChar: WideChar;

  ANextChar: WideChar

):Boolean;


IsUTF16StringValid

Declaration

Source position: lazutf16.pas line 47

function IsUTF16StringValid(

  AWideStr: widestring

):Boolean;


UnicodeLowercase

Declaration

Source position: lazutf16.pas line 50

function UnicodeLowercase(

  u: Cardinal

):Cardinal;


UnicodeToUTF16

Declaration

Source position: lazutf16.pas line 45

function UnicodeToUTF16(

  u: Cardinal

):widestring;


UTF16CharacterLength

Declaration

Source position: lazutf16.pas line 38

function UTF16CharacterLength(

  p: PWideChar

):Integer;


UTF16CharacterToUnicode

Declaration

Source position: lazutf16.pas line 44

function UTF16CharacterToUnicode(

  p: PWideChar;

  out CharLen: Integer

):Cardinal;


UTF16CharStart

Declaration

Source position: lazutf16.pas line 42

function UTF16CharStart(

  P: PWideChar;

  Len: PtrInt;

  CharIndex: PtrInt

):PWideChar;


UTF16Copy

Declaration

Source position: lazutf16.pas line 41

function UTF16Copy(

  const s: UnicodeString;

  StartCharIndex: PtrInt;

  CharCount: PtrInt

):Unicodestring;


UTF16Length

Declaration

Source position: lazutf16.pas line 39

function UTF16Length(

  const s: widestring

):PtrInt; overload;

function UTF16Length(

  p: PWideChar;

  WordCount: PtrInt

):PtrInt; overload;


UTF16Pos

Declaration

Source position: lazutf16.pas line 43

function UTF16Pos(

  const SearchForText: UnicodeString;

  const SearchInText: UnicodeString;

  StartPos: PtrInt = 1

):PtrInt;


Utf16StringReplace

Declaration

Source position: lazutf16.pas line 48

function Utf16StringReplace(

  const S: WideString;

  const OldPattern: WideString;

  const NewPattern: WideString;

  Flags: TReplaceFlags

):WideString;


UTF8LowerCaseViaTables

Declaration

Source position: lazutf16.pas line 52

function UTF8LowerCaseViaTables(

  const s: string

):string;


CompareStrListUTF8LowerCase

Declaration

Source position: lazutf8.pas line 180

function CompareStrListUTF8LowerCase(

  List: TStringList;

  Index1: Integer;

  Index2: Integer

):Integer;


ConsoleToUTF8

Declaration

Source position: lazutf8.pas line 53

function ConsoleToUTF8(

  const s: string

):string;


ConvertUTF16ToUTF8

Declaration

Source position: lazutf8.pas line 194

function ConvertUTF16ToUTF8(

  Dest: PChar;

  DestCharCount: SizeUInt;

  Src: PWideChar;

  SrcWideCharCount: SizeUInt;

  Options: TConvertOptions;

  out ActualCharCount: SizeUInt

):TConvertResult;


ConvertUTF8ToUTF16

Declaration

Source position: lazutf8.pas line 190

function ConvertUTF8ToUTF16(

  Dest: PWideChar;

  DestWideCharCount: SizeUInt;

  Src: PChar;

  SrcCharCount: SizeUInt;

  Options: TConvertOptions;

  out ActualWideCharCount: SizeUInt

):TConvertResult;


FindInvalidUTF8Character

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

FindInvalidUTF8Character (deprecated)

Returns -1 if ok, otherwise byte index of invalid UTF8 codepoint

Declaration

Source position: lazutf8.pas line 136

function FindInvalidUTF8Character(

  p: PChar;

  Count: PtrInt;

  StopOnNonUTF8: Boolean = True

):PtrInt;

Description

It always stops on irregular codepoints. For example Codepoint 0 is normally encoded as #0, but it can also be encoded as #192#0. Because most software does not check this, it can be exploited and is a security risk. If StopOnNonUTF8 is false it will ignore undefined codes. For example #128. By default it stops on such codes.


FindInvalidUTF8Codepoint

Declaration

Source position: lazutf8.pas line 135

function FindInvalidUTF8Codepoint(

  p: PChar;

  Count: PtrInt;

  StopOnNonUTF8: Boolean = True

):PtrInt;


GetEnvironmentStringUTF8

Returns a system environment string.

Declaration

Source position: lazutf8.pas line 71

function GetEnvironmentStringUTF8(

  Index: Integer

):string;

Description

The index is 1 to GetEnvironmentVariableCountUTF8. On Unix and Windows the string often has the form 'name=value'. Beware that Windows knows some special formats, e.g. '=C:=SomePath'. Use GetEnvironmentVariableUTF8 to lookup environment values by name.


GetEnvironmentVariableCountUTF8

Returns the number of system environment variables.

Declaration

Source position: lazutf8.pas line 70

function GetEnvironmentVariableCountUTF8: Integer;

Description

Use together with GetEnvironmentStringUTF8.


GetEnvironmentVariableUTF8

Returns the value of a system environment variable.

Declaration

Source position: lazutf8.pas line 72

function GetEnvironmentVariableUTF8(

  const EnvVar: string

):string;

Description

Returns the value of a environment string of the form 'EnvVar=value'. See GetEnvironmentStringUTF8 to retrieve the whole list of environment strings.


LazGetLanguageIDs

Declaration

Source position: lazutf8.pas line 204

procedure LazGetLanguageIDs(

  var Lang: string;

  var FallbackLang: string

);


LazGetShortLanguageID

Declaration

Source position: lazutf8.pas line 205

procedure LazGetShortLanguageID(

  var Lang: string

);


NeedRTLAnsi

Declaration

Source position: lazutf8.pas line 41

function NeedRTLAnsi: Boolean;


ParamStrUTF8

Declaration

Source position: lazutf8.pas line 63

function ParamStrUTF8(

  Param: Integer

):string;


ReplaceSubstring

Declaration

Source position: lazutf8.pas line 210

procedure ReplaceSubstring(

  var s: string;

  StartPos: SizeInt;

  Count: SizeInt;

  const Insertion: string

);


SetNeedRTLAnsi

Declaration

Source position: lazutf8.pas line 42

procedure SetNeedRTLAnsi(

  NewValue: Boolean

);


SysErrorMessageUTF8

Declaration

Source position: lazutf8.pas line 73

function SysErrorMessageUTF8(

  ErrorCode: Integer

):string;


SysToUTF8

Declaration

Source position: lazutf8.pas line 49

function SysToUTF8(

  const s: string

):string; overload;

function SysToUTF8(

  const AFormatSettings: TFormatSettings

):TFormatSettings; overload;


UnicodeToUTF8

Encodes the given code point as an UTF-8 sequence of 1 to 4 bytes.

Declaration

Source position: lazutf8.pas line 91

function UnicodeToUTF8(

  CodePoint: Cardinal

):string;

function UnicodeToUTF8(

  CodePoint: Cardinal;

  Buf: PChar

):Integer;

Description

It does not add a #0. The code point is not encoded, aka in UTF32.


UnicodeToUTF8Inline

Declaration

Source position: lazutf8.pas line 94

function UnicodeToUTF8Inline(

  CodePoint: Cardinal;

  Buf: PChar

):Integer;


UnicodeToUTF8SkipErrors

Simple and fast function to write a single unicode codepoint as UTF-8 to Buf and returns the number of bytes written

Declaration

Source position: lazutf8.pas line 93

function UnicodeToUTF8SkipErrors(

  CodePoint: Cardinal;

  Buf: PChar

):Integer;

Description

It does not append a #0. It does not check if it is the codepoint actually exists in unicode tables. It returns 0 if the codepoint can not be represented as a 1 to 4 byte UTF-8 sequence.


UTF16ToUTF8

Declaration

Source position: lazutf8.pas line 200

function UTF16ToUTF8(

  const S: UnicodeString

):AnsiString; overload;

function UTF16ToUTF8(

  const P: PWideChar;

  WideCnt: SizeUInt

):AnsiString; overload;


UTF8AddChar

Declaration

Source position: lazutf8.pas line 138

function UTF8AddChar(

  AUtf8Char: string;

  const S: string;

  N: Integer

):string;


UTF8AddCharR

Declaration

Source position: lazutf8.pas line 139

function UTF8AddCharR(

  AUtf8Char: string;

  const S: string;

  N: Integer

):string;


UTF8CharacterLength

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

UTF8CharacterLength (deprecated)

Returns the number of bytes of the codepoint starting at p

Declaration

Source position: lazutf8.pas line 77

function UTF8CharacterLength(

  p: PChar

):Integer;

Description

It returns 0 if p is nil. It returns 1 if p is a 1-byte UTF-8 codepoint or p is an invalid UTF-8 sequence. Otherwise it returns a number 2..4. It does not check for malicious codepoints like #$c0#$80, nor for non defined codepoints like #$f3#$a0#$87#$b9. Use UTF8CharacterLength to step through a string with a simple loop:
while p^<>#0 do begin
inc(p,UTF8CharacterLength(p));
end;
Even if p contains invalid UTF-8 it will run through the string without overflow.


UTF8CharacterLengthFast

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

UTF8CharacterLengthFast (deprecated)

Declaration

Source position: lazutf8.pas line 80

function UTF8CharacterLengthFast(

  p: PChar

):Integer;


UTF8CharacterStrictLength

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

UTF8CharacterStrictLength (deprecated)

For a valid UTF-8 character it returns the length in bytes (1..4). Otherwise 0.

Declaration

Source position: lazutf8.pas line 110

function UTF8CharacterStrictLength(

  P: PChar

):Integer;


UTF8CharacterToUnicode

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

UTF8CharacterToUnicode (deprecated)

Returns the codepoint at p and the number of bytes to skip.

Declaration

Source position: lazutf8.pas line 90

function UTF8CharacterToUnicode(

  p: PChar;

  out CharLen: Integer

):Cardinal;

Description

If p=nil then CharLen and result are 0 otherwise CharLen>0. If there is an encoding error the Result is 0 and CharLen=1 to skip forward. It is safe to do: var s: string; p:=1; while p<=length(s) do begin UTF8CharacterToUnicode(@s[p],CharLen); inc(p,CharLen); end; For speed reasons this function only checks for 1,2,3,4 byte encoding errors. Especially it does not check if the codepoint is defined in the unicode table.


UTF8CharStart

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

UTF8CharStart (deprecated)

Declaration

Source position: lazutf8.pas line 103

function UTF8CharStart(

  UTF8Str: PChar;

  Len: PtrInt;

  CharIndex: PtrInt

):PChar;


UTF8CharToByteIndex

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

UTF8CharToByteIndex (deprecated)

Declaration

Source position: lazutf8.pas line 106

function UTF8CharToByteIndex(

  UTF8Str: PChar;

  Len: PtrInt;

  CharIndex: PtrInt

):PtrInt;


UTF8CodepointSize

Declaration

Source position: lazutf8.pas line 76

function UTF8CodepointSize(

  p: PChar

):Integer;


UTF8CodepointSizeFast

Declaration

Source position: lazutf8.pas line 79

function UTF8CodepointSizeFast(

  p: PChar

):Integer;


UTF8CodepointStart

Declaration

Source position: lazutf8.pas line 102

function UTF8CodepointStart(

  UTF8Str: PChar;

  Len: PtrInt;

  CodepointIndex: PtrInt

):PChar;


UTF8CodepointStrictSize

Declaration

Source position: lazutf8.pas line 109

function UTF8CodepointStrictSize(

  P: PChar

):Integer;


UTF8CodepointToByteIndex

Declaration

Source position: lazutf8.pas line 105

function UTF8CodepointToByteIndex(

  UTF8Str: PChar;

  Len: PtrInt;

  CodepointIndex: PtrInt

):PtrInt;


UTF8CodepointToUnicode

Declaration

Source position: lazutf8.pas line 89

function UTF8CodepointToUnicode(

  p: PChar;

  out CodepointLen: Integer

):Cardinal;


UTF8CompareStr

Declaration

Source position: lazutf8.pas line 175

function UTF8CompareStr(

  const S1: string;

  const S2: string

):PtrInt;

function UTF8CompareStr(

  S1: PChar;

  Count1: SizeInt;

  S2: PChar;

  Count2: SizeInt

):PtrInt;


UTF8CompareStrCollated

Compare two strings using language specific sorting

Declaration

Source position: lazutf8.pas line 179

function UTF8CompareStrCollated(

  const S1: string;

  const S2: string

):PtrInt;


UTF8CompareStrP

Declaration

Source position: lazutf8.pas line 176

function UTF8CompareStrP(

  S1: PChar;

  S2: PChar

):PtrInt;


UTF8CompareText

Declaration

Source position: lazutf8.pas line 178

function UTF8CompareText(

  const S1: string;

  const S2: string

):PtrInt;


UTF8Copy

Declaration

Source position: lazutf8.pas line 116

function UTF8Copy(

  const s: string;

  StartCharIndex: PtrInt;

  CharCount: PtrInt

):string;


UTF8CStringToUTF8String

Declaration

Source position: lazutf8.pas line 111

function UTF8CStringToUTF8String(

  SourceStart: PChar;

  SourceLen: PtrInt

):string;


UTF8Delete

Declaration

Source position: lazutf8.pas line 120

procedure UTF8Delete(

  var s: string;

  StartCharIndex: PtrInt;

  CharCount: PtrInt

);


UTF8EndsText

Declaration

Source position: lazutf8.pas line 148

function UTF8EndsText(

  const ASubText: string;

  const AText: string

):Boolean;


Utf8EscapeControlChars

Declaration

Source position: lazutf8.pas line 159

function Utf8EscapeControlChars(

  S: string;

  EscapeMode: TEscapeMode = emPascal

):string;


UTF8FindNearestCharStart

Declaration

Source position: lazutf8.pas line 97

function UTF8FindNearestCharStart(

  UTF8Str: PChar;

  Len: SizeInt;

  BytePos: SizeInt

):SizeInt;


UTF8FixBroken

Replaces all invalid UTF8 characters with spaces. Stops at #0.

Declaration

Source position: lazutf8.pas line 107

procedure UTF8FixBroken(

  P: PChar

); overload;

procedure UTF8FixBroken(

  var S: string

); overload;


UTF8Insert

Declaration

Source position: lazutf8.pas line 124

procedure UTF8Insert(

  const source: string;

  var s: string;

  StartCharIndex: PtrInt

);


UTF8LeftStr

Declaration

Source position: lazutf8.pas line 143

function UTF8LeftStr(

  const AText: string;

  const ACount: Integer

):string;


UTF8Length

Declaration

Source position: lazutf8.pas line 82

function UTF8Length(

  const s: string

):PtrInt;

function UTF8Length(

  p: PChar;

  ByteCount: PtrInt

):PtrInt;


UTF8LengthFast

Declaration

Source position: lazutf8.pas line 85

function UTF8LengthFast(

  const s: string

):PtrInt;

function UTF8LengthFast(

  p: PChar;

  ByteCount: PtrInt

):PtrInt;


UTF8LowerCase

Declaration

Source position: lazutf8.pas line 128

function UTF8LowerCase(

  const AInStr: string;

  ALanguage: string = ''

):string;


UTF8LowerString

Declaration

Source position: lazutf8.pas line 129

function UTF8LowerString(

  const s: string

):string;


UTF8PadCenter

Declaration

Source position: lazutf8.pas line 142

function UTF8PadCenter(

  const S: string;

  const N: Integer;

  const AUtf8Char: string = #32

):string;


UTF8PadLeft

Declaration

Source position: lazutf8.pas line 140

function UTF8PadLeft(

  const S: string;

  const N: Integer;

  const AUtf8Char: string = #32

):string;


UTF8PadRight

Declaration

Source position: lazutf8.pas line 141

function UTF8PadRight(

  const S: string;

  const N: Integer;

  const AUtf8Char: string = #32

):string;


UTF8Pos

Returns the character index, where the SearchForText starts in SearchInText

Declaration

Source position: lazutf8.pas line 113

function UTF8Pos(

  const SearchForText: string;

  const SearchInText: string;

  StartPos: SizeInt = 1

):PtrInt;

Description

Returns the character index, where the SearchForText starts in SearchInText. An optional StartPos can be given (as character index, not in byte). Returns 0 if not found.


UTF8PosP

Returns the position where SearchInText starts in SearchForText

Declaration

Source position: lazutf8.pas line 114

function UTF8PosP(

  SearchForText: PChar;

  SearchForTextLen: SizeInt;

  SearchInText: PChar;

  SearchInTextLen: SizeInt

):PChar;

Description

If not found it returns nil. Null characters #0 are treated as normal characters.


UTF8ProperCase

Declaration

Source position: lazutf8.pas line 134

function UTF8ProperCase(

  const AInStr: string;

  const WordDelims: TSysCharSet

):string;


UTF8QuotedStr

Declaration

Source position: lazutf8.pas line 145

function UTF8QuotedStr(

  const S: string;

  const Quote: string

):string;


UTF8ReverseString

Declaration

Source position: lazutf8.pas line 149

function UTF8ReverseString(

  p: PChar;

  const ByteCount: LongInt

):string;

function UTF8ReverseString(

  const AText: string

):string;


UTF8RightStr

Declaration

Source position: lazutf8.pas line 144

function UTF8RightStr(

  const AText: string;

  const ACount: Integer

):string;


UTF8RPos

Declaration

Source position: lazutf8.pas line 151

function UTF8RPos(

  const Substr: string;

  const Source: string

):PtrInt;


UTF8StartsText

Declaration

Source position: lazutf8.pas line 147

function UTF8StartsText(

  const ASubText: string;

  const AText: string

):Boolean;


UTF8StringOfChar

Declaration

Source position: lazutf8.pas line 137

function UTF8StringOfChar(

  AUtf8Char: string;

  N: Integer

):string;


UTF8StringReplace

Declaration

Source position: lazutf8.pas line 125

function UTF8StringReplace(

  const S: string;

  const OldPattern: string;

  const NewPattern: string;

  Flags: TReplaceFlags;

  ALanguage: string = ''

):string;


UTF8SwapCase

Declaration

Source position: lazutf8.pas line 132

function UTF8SwapCase(

  const AInStr: string;

  ALanguage: string = ''

):string;


UTF8ToConsole

Declaration

Source position: lazutf8.pas line 55

function UTF8ToConsole(

  const s: string

):string;


UTF8ToDoubleByte

Declaration

Source position: lazutf8.pas line 96

function UTF8ToDoubleByte(

  UTF8Str: PChar;

  Len: PtrInt;

  DBStr: PByte

):PtrInt;


UTF8ToDoubleByteString

Declaration

Source position: lazutf8.pas line 95

function UTF8ToDoubleByteString(

  const s: string

):string;


UTF8ToSys

Declaration

Source position: lazutf8.pas line 45

function UTF8ToSys(

  const s: string

):string; overload;

function UTF8ToSys(

  const AFormatSettings: TFormatSettings

):TFormatSettings; overload;


UTF8ToUTF16

Declaration

Source position: lazutf8.pas line 198

function UTF8ToUTF16(

  const S: AnsiString

):UnicodeString; overload;

function UTF8ToUTF16(

  const P: PChar;

  ByteCnt: SizeUInt

):UnicodeString; overload;


UTF8ToWinCP

Declaration

Source position: lazutf8.pas line 61

function UTF8ToWinCP(

  const s: string

):string;


UTF8Trim

Removes space at start and end

Declaration

Source position: lazutf8.pas line 171

function UTF8Trim(

  const s: string;

  Flags: TUTF8TrimFlags = []

):string;

Description

It removes spaces, tabs, line breaks and control characters at start and end. Use Flags to only delete at start or only at end or to to not delete line breaks. Control characters are the unicode sets C0 and C1 and the left-to-right and right-to-left marks.


Utf8TryFindCodepointStart

Declaration

Source position: lazutf8.pas line 99

function Utf8TryFindCodepointStart(

  AString: PChar;

  var CurPos: PChar;

  out CodepointLen: Integer

):Boolean;

function Utf8TryFindCodepointStart(

  const AString: string;

  var Index: Integer;

  out CharLen: Integer

):Boolean;


UTF8UpperCase

Declaration

Source position: lazutf8.pas line 130

function UTF8UpperCase(

  const AInStr: string;

  ALanguage: string = ''

):string;


UTF8UpperString

Declaration

Source position: lazutf8.pas line 131

function UTF8UpperString(

  const s: string

):string;


UTF8WrapText

Declaration

Source position: lazutf8.pas line 153

function UTF8WrapText(

  S: string;

  BreakStr: string;

  BreakChars: TSysCharSet;

  MaxCol: Integer

):string; overload;

function UTF8WrapText(

  S: string;

  MaxCol: Integer

):string; overload;


ValidUTF8String

[Overview][Types][Procedures and functions][Variables][Index] Reference for unit 'LazUTF8' (#lazutils)

ValidUTF8String (deprecated)

Replace invalid UTF8 and replace #0..#31 characters with '#0'..'#31'

Declaration

Source position: lazutf8.pas line 158

function ValidUTF8String(

  const s: string

):string;


WinCPToUTF8

Declaration

Source position: lazutf8.pas line 59

function WinCPToUTF8(

  const s: string

):string;


CompareStringListItemsUTF8LowerCase

Declaration

Source position: lazutf8classes.pas line 52

function CompareStringListItemsUTF8LowerCase(

  List: TStringList;

  Index1: Integer;

  Index2: Integer

):Integer;


LoadStringsFromFileUTF8

Declaration

Source position: lazutf8classes.pas line 49

procedure LoadStringsFromFileUTF8(

  List: TStrings;

  const FileName: string

);


SaveStringsToFileUTF8

Declaration

Source position: lazutf8classes.pas line 50

procedure SaveStringsToFileUTF8(

  List: TStrings;

  const FileName: string

);


GetTickCount64

Declaration

Source position: lazutf8sysutils.pas line 19

function GetTickCount64: QWord;


NowUTC

Declaration

Source position: lazutf8sysutils.pas line 18

function NowUTC: TDateTime;


ComparePointers

Declaration

Source position: lazutilities.pas line 18

function ComparePointers(

  p1: Pointer;

  p2: Pointer

):Integer;


FindNextDelimitedItem

Declaration

Source position: lazutilities.pas line 30

function FindNextDelimitedItem(

  const List: string;

  Delimiter: Char;

  var Position: Integer;

  FindItem: string

):string;


GetNextDelimitedItem

Declaration

Source position: lazutilities.pas line 26

function GetNextDelimitedItem(

  const List: string;

  Delimiter: Char;

  var Position: Integer

):string;


HasDelimitedItem

Declaration

Source position: lazutilities.pas line 28

function HasDelimitedItem(

  const List: string;

  Delimiter: Char;

  FindItem: string

):Boolean;


MergeSort

Declaration

Source position: lazutilities.pas line 23

procedure MergeSort(

  List: PPointer;

  ListLength: PtrInt;

  const Compare: TListSortCompare

);


MergeWithDelimiter

Declaration

Source position: lazutilities.pas line 32

function MergeWithDelimiter(

  const a: string;

  const b: string;

  Delimiter: Char

):string;


ReadDTDFile

Declaration

Source position: laz_xmlread.pas line 37

procedure ReadDTDFile(

  var ADoc: TXMLDocument;

  const AFilename: string

); overload;

procedure ReadDTDFile(

  var ADoc: TXMLDocument;

  var f: file

); overload;

procedure ReadDTDFile(

  var ADoc: TXMLDocument;

  var f: TStream

); overload;

procedure ReadDTDFile(

  var ADoc: TXMLDocument;

  var f: TStream;

  const AFilename: string

); overload;


ReadXMLFile

Declaration

Source position: laz_xmlread.pas line 27

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  const AFilename: string

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  var f: file

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  f: TStream

); overload;

procedure ReadXMLFile(

  out ADoc: TXMLDocument;

  f: TStream;

  const AFilename: string

); overload;


ReadXMLFragment

Declaration

Source position: laz_xmlread.pas line 32

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  const AFilename: string

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  var f: file

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  var f: TStream

); overload;

procedure ReadXMLFragment(

  AParentNode: TDOMNode;

  var f: TStream;

  const AFilename: string

); overload;


WriteComponentToXMLStream

Declaration

Source position: laz_xmlstreaming.pas line 153

procedure WriteComponentToXMLStream(

  AComponent: TComponent;

  AStream: TStream

);


WriteXML

Declaration

Source position: laz_xmlwrite.pas line 28

procedure WriteXML(

  Element: TDOMNode;

  const AFileName: string

); overload;

procedure WriteXML(

  Element: TDOMNode;

  var AFile: Text

); overload;

procedure WriteXML(

  Element: TDOMNode;

  AStream: TStream

); overload;


WriteXMLFile

Declaration

Source position: laz_xmlwrite.pas line 24

procedure WriteXMLFile(

  doc: TXMLDocument;

  const AFileName: string

); overload;

procedure WriteXMLFile(

  doc: TXMLDocument;

  var AFile: Text

); overload;

procedure WriteXMLFile(

  doc: TXMLDocument;

  AStream: TStream

); overload;


ConvertEncoding

Declaration

Source position: lconvencoding.pas line 84

function ConvertEncoding(

  const s: string;

  const FromEncoding: string;

  const ToEncoding: string

):string;


ConvertEncodingFromUTF8

Declaration

Source position: lconvencoding.pas line 80

function ConvertEncodingFromUTF8(

  const s: string;

  const ToEncoding: string;

  out Encoded: Boolean

):string;


ConvertEncodingToUTF8

Declaration

Source position: lconvencoding.pas line 82

function ConvertEncodingToUTF8(

  const s: string;

  const FromEncoding: string;

  out Encoded: Boolean

):string;


CP1250ToUTF8

Declaration

Source position: lconvencoding.pas line 112

function CP1250ToUTF8(

  const s: string

):string;


CP1251ToUTF8

Declaration

Source position: lconvencoding.pas line 113

function CP1251ToUTF8(

  const s: string

):string;


CP1252ToUTF8

Declaration

Source position: lconvencoding.pas line 114

function CP1252ToUTF8(

  const s: string

):string;


CP1253ToUTF8

Declaration

Source position: lconvencoding.pas line 115

function CP1253ToUTF8(

  const s: string

):string;


CP1254ToUTF8

Declaration

Source position: lconvencoding.pas line 116

function CP1254ToUTF8(

  const s: string

):string;


CP1255ToUTF8

Declaration

Source position: lconvencoding.pas line 117

function CP1255ToUTF8(

  const s: string

):string;


CP1256ToUTF8

Declaration

Source position: lconvencoding.pas line 118

function CP1256ToUTF8(

  const s: string

):string;


CP1257ToUTF8

Declaration

Source position: lconvencoding.pas line 119

function CP1257ToUTF8(

  const s: string

):string;


CP1258ToUTF8

Declaration

Source position: lconvencoding.pas line 120

function CP1258ToUTF8(

  const s: string

):string;


CP437ToUTF8

Declaration

Source position: lconvencoding.pas line 121

function CP437ToUTF8(

  const s: string

):string;


CP850ToUTF8

Declaration

Source position: lconvencoding.pas line 122

function CP850ToUTF8(

  const s: string

):string;


CP852ToUTF8

Declaration

Source position: lconvencoding.pas line 123

function CP852ToUTF8(

  const s: string

):string;


CP866ToUTF8

Declaration

Source position: lconvencoding.pas line 124

function CP866ToUTF8(

  const s: string

):string;


CP874ToUTF8

Declaration

Source position: lconvencoding.pas line 125

function CP874ToUTF8(

  const s: string

):string;


CP932ToUTF8

Declaration

Source position: lconvencoding.pas line 186

function CP932ToUTF8(

  const s: string

):string;


CP936ToUTF8

Declaration

Source position: lconvencoding.pas line 187

function CP936ToUTF8(

  const s: string

):string;


CP949ToUTF8

Declaration

Source position: lconvencoding.pas line 188

function CP949ToUTF8(

  const s: string

):string;


CP950ToUTF8

Declaration

Source position: lconvencoding.pas line 189

function CP950ToUTF8(

  const s: string

):string;


DBCSToUTF8

Declaration

Source position: lconvencoding.pas line 191

function DBCSToUTF8(

  const s: string;

  CodeP: Integer

):string;


GetConsoleTextEncoding

Declaration

Source position: lconvencoding.pas line 92

function GetConsoleTextEncoding: string;


GetDefaultTextEncoding

Declaration

Source position: lconvencoding.pas line 88

function GetDefaultTextEncoding: string;


GetSupportedEncodings

Declaration

Source position: lconvencoding.pas line 208

procedure GetSupportedEncodings(

  List: TStrings

);


GuessEncoding

Declaration

Source position: lconvencoding.pas line 78

function GuessEncoding(

  const s: string

):string;


ISO_8859_15ToUTF8

Declaration

Source position: lconvencoding.pas line 110

function ISO_8859_15ToUTF8(

  const s: string

):string;


ISO_8859_1ToUTF8

Declaration

Source position: lconvencoding.pas line 109

function ISO_8859_1ToUTF8(

  const s: string

):string;


ISO_8859_2ToUTF8

Declaration

Source position: lconvencoding.pas line 111

function ISO_8859_2ToUTF8(

  const s: string

):string;


KOI8ToUTF8

Declaration

Source position: lconvencoding.pas line 126

function KOI8ToUTF8(

  const s: string

):string;


MacintoshToUTF8

Declaration

Source position: lconvencoding.pas line 127

function MacintoshToUTF8(

  const s: string

):string;


NormalizeEncoding

Declaration

Source position: lconvencoding.pas line 93

function NormalizeEncoding(

  const Encoding: string

):string;


SingleByteToUTF8

Declaration

Source position: lconvencoding.pas line 128

function SingleByteToUTF8(

  const s: string;

  const Table: TCharToUTF8Table

):string;


UCS2BEToUTF8

Declaration

Source position: lconvencoding.pas line 130

function UCS2BEToUTF8(

  const s: string

):string;


UCS2LEToUTF8

Declaration

Source position: lconvencoding.pas line 129

function UCS2LEToUTF8(

  const s: string

):string;


UTF8BOMToUTF8

Declaration

Source position: lconvencoding.pas line 108

function UTF8BOMToUTF8(

  const s: string

):string;


UTF8ToCP1250

Declaration

Source position: lconvencoding.pas line 159

function UTF8ToCP1250(

  const s: string

):string;


UTF8ToCP1251

Declaration

Source position: lconvencoding.pas line 160

function UTF8ToCP1251(

  const s: string

):string;


UTF8ToCP1252

Declaration

Source position: lconvencoding.pas line 161

function UTF8ToCP1252(

  const s: string

):string;


UTF8ToCP1253

Declaration

Source position: lconvencoding.pas line 162

function UTF8ToCP1253(

  const s: string

):string;


UTF8ToCP1254

Declaration

Source position: lconvencoding.pas line 163

function UTF8ToCP1254(

  const s: string

):string;


UTF8ToCP1255

Declaration

Source position: lconvencoding.pas line 164

function UTF8ToCP1255(

  const s: string

):string;


UTF8ToCP1256

Declaration

Source position: lconvencoding.pas line 165

function UTF8ToCP1256(

  const s: string

):string;


UTF8ToCP1257

Declaration

Source position: lconvencoding.pas line 166

function UTF8ToCP1257(

  const s: string

):string;


UTF8ToCP1258

Declaration

Source position: lconvencoding.pas line 167

function UTF8ToCP1258(

  const s: string

):string;


UTF8ToCP437

Declaration

Source position: lconvencoding.pas line 168

function UTF8ToCP437(

  const s: string

):string;


UTF8ToCP850

Declaration

Source position: lconvencoding.pas line 169

function UTF8ToCP850(

  const s: string

):string;


UTF8ToCP852

Declaration

Source position: lconvencoding.pas line 170

function UTF8ToCP852(

  const s: string

):string;


UTF8ToCP866

Declaration

Source position: lconvencoding.pas line 171

function UTF8ToCP866(

  const s: string

):string;


UTF8ToCP874

Declaration

Source position: lconvencoding.pas line 172

function UTF8ToCP874(

  const s: string

):string;


UTF8ToCP932

Declaration

Source position: lconvencoding.pas line 199

function UTF8ToCP932(

  const s: string

):string;


UTF8ToCP936

Declaration

Source position: lconvencoding.pas line 200

function UTF8ToCP936(

  const s: string

):string;


UTF8ToCP949

Declaration

Source position: lconvencoding.pas line 201

function UTF8ToCP949(

  const s: string

):string;


UTF8ToCP950

Declaration

Source position: lconvencoding.pas line 202

function UTF8ToCP950(

  const s: string

):string;


UTF8ToDBCS

Declaration

Source position: lconvencoding.pas line 205

function UTF8ToDBCS(

  const s: string;

  const UTF8CharConvFunc: TUnicodeToCharID

):string;


UTF8ToISO_8859_1

Declaration

Source position: lconvencoding.pas line 156

function UTF8ToISO_8859_1(

  const s: string

):string;


UTF8ToISO_8859_15

Declaration

Source position: lconvencoding.pas line 157

function UTF8ToISO_8859_15(

  const s: string

):string;


UTF8ToISO_8859_2

Declaration

Source position: lconvencoding.pas line 158

function UTF8ToISO_8859_2(

  const s: string

):string;


UTF8ToKOI8

Declaration

Source position: lconvencoding.pas line 173

function UTF8ToKOI8(

  const s: string

):string;


UTF8ToKOI8RU

Declaration

Source position: lconvencoding.pas line 175

function UTF8ToKOI8RU(

  const s: string

):string;


UTF8ToKOI8U

Declaration

Source position: lconvencoding.pas line 174

function UTF8ToKOI8U(

  const s: string

):string;


UTF8ToMacintosh

Declaration

Source position: lconvencoding.pas line 176

function UTF8ToMacintosh(

  const s: string

):string;


UTF8ToSingleByte

Declaration

Source position: lconvencoding.pas line 179

function UTF8ToSingleByte(

  const s: string;

  const UTF8CharConvFunc: TUnicodeToCharID

):string;


UTF8ToUCS2BE

Declaration

Source position: lconvencoding.pas line 182

function UTF8ToUCS2BE(

  const s: string

):string;


UTF8ToUCS2LE

Declaration

Source position: lconvencoding.pas line 181

function UTF8ToUCS2LE(

  const s: string

):string;


UTF8ToUTF8BOM

Declaration

Source position: lconvencoding.pas line 132

function UTF8ToUTF8BOM(

  const s: string

):string;


LoadFromCSVFile

Declaration

Source position: lcsvutils.pas line 25

procedure LoadFromCSVFile(

  aFilename: string;

  AProc: TCSVRecordProc;

  ADelimiter: Char = ',';

  CSVEncoding: TCSVEncoding = ceAuto

);


LoadFromCSVStream

Declaration

Source position: lcsvutils.pas line 23

procedure LoadFromCSVStream(

  AStream: TStream;

  AProc: TCSVRecordProc;

  ADelimiter: Char = ',';

  CSVEncoding: TCSVEncoding = ceAuto

);


Deduplicate

Declaration

Source position: lookupstringlist.pas line 59

function Deduplicate(

  AStrings: TStrings

):Boolean;


MapReport

Declaration

Source position: maps.pp line 207

function MapReport(

  AMap: TBaseMap

):string;


MatchesMask

If the file name matches the passed mask.

Declaration

Source position: masks.pas line 82

function MatchesMask(

  const FileName: string;

  const Mask: string;

  const CaseSensitive: Boolean = False

):Boolean;


MatchesMaskList

If the file name matches at least one of passed masks sepearated by separator.

Declaration

Source position: masks.pas line 84

function MatchesMaskList(

  const FileName: string;

  const Mask: string;

  Separator: Char = ';';

  const CaseSensitive: Boolean = False

):Boolean;


MatchesWindowsMask

Declaration

Source position: masks.pas line 83

function MatchesWindowsMask(

  const FileName: string;

  const Mask: string;

  const CaseSensitive: Boolean = False

):Boolean;


MatchesWindowsMaskList

Declaration

Source position: masks.pas line 85

function MatchesWindowsMaskList(

  const FileName: string;

  const Mask: string;

  Separator: Char = ';';

  const CaseSensitive: Boolean = False

):Boolean;


SetPasWidestringManager

Declaration

Source position: paswstring.pas line 41

procedure SetPasWidestringManager;


FindAllTranslatedPoFiles

Declaration

Source position: translations.pas line 207

function FindAllTranslatedPoFiles(

  const Filename: string

):TStringList;


TranslateResourceStrings

Declaration

Source position: translations.pas line 217

function TranslateResourceStrings(

  po: TPOFile

):Boolean;

function TranslateResourceStrings(

  const AFilename: string

):Boolean;

procedure TranslateResourceStrings(

  const BaseFilename: string;

  const Lang: string;

  const FallbackLang: string

);


TranslateUnitResourceStrings

Declaration

Source position: translations.pas line 210

function TranslateUnitResourceStrings(

  const ResUnitName: string;

  const BaseFilename: string;

  const Lang: string;

  const FallbackLang: string

):TTranslateUnitResult; overload;

function TranslateUnitResourceStrings(

  const ResUnitName: string;

  const AFilename: string

):Boolean; overload;

function TranslateUnitResourceStrings(

  const ResUnitName: string;

  po: TPOFile

):Boolean; overload;


UpdatePoFile

Declaration

Source position: translations.pas line 223

function UpdatePoFile(

  RSTFiles: TStrings;

  const POFilename: string

):Boolean;


UpdatePoFileTranslations

Declaration

Source position: translations.pas line 224

procedure UpdatePoFileTranslations(

  const BasePOFilename: string;

  BasePOFile: TPOFile = Nil

);


UTF8ToSystemCharSet

Declaration

Source position: translations.pas line 221

function UTF8ToSystemCharSet(

  const s: string

):string;


Cache_Create

Declaration

Source position: ttcache.pas line 106

function Cache_Create(

  var clazz: TCache_Class;

  var cache: TCache

):TError;


Cache_Destroy

Declaration

Source position: ttcache.pas line 112

function Cache_Destroy(

  var cache: TCache

):TError;


Cache_Done

Declaration

Source position: ttcache.pas line 120

function Cache_Done(

  var cache: TCache;

  obj: Pointer

):TError;


Cache_New

Declaration

Source position: ttcache.pas line 115

function Cache_New(

  var cache: TCache;

  var new_object: Pointer;

  parent_data: Pointer

):TError;


Element_Done

Declaration

Source position: ttcache.pas line 136

procedure Element_Done(

  element: PList_Element

);


Element_New

Declaration

Source position: ttcache.pas line 132

function Element_New: PList_Element;


TTCache_Done

Declaration

Source position: ttcache.pas line 145

function TTCache_Done: TError;


TTCache_Init

Declaration

Source position: ttcache.pas line 143

function TTCache_Init: TError;


Div64by32

Declaration

Source position: ttcalc.pas line 70

function Div64by32(

  X: Int64;

  Y: Int32

):Int32;


MulDiv

Declaration

Source position: ttcalc.pas line 64

function MulDiv(

  A: Int32;

  B: Int32;

  C: Int32

):Int32;


MulDiv_Round

Declaration

Source position: ttcalc.pas line 66

function MulDiv_Round(

  A: Int32;

  B: Int32;

  C: Int32

):Int32;


MulTo64

Declaration

Source position: ttcalc.pas line 68

procedure MulTo64(

  X: Int32;

  Y: Int32;

  out Z: Int64

);


Order32

Declaration

Source position: ttcalc.pas line 73

function Order32(

  Z: Int32

):Integer;


Order64

Declaration

Source position: ttcalc.pas line 72

function Order64(

  Z: Int64

):Integer;


Sqrt32

Declaration

Source position: ttcalc.pas line 75

function Sqrt32(

  L: Int32

):LongInt;


Sqrt64

Declaration

Source position: ttcalc.pas line 76

function Sqrt64(

  L: Int64

):LongInt;


CharMap_Free

Declaration

Source position: ttcmap.pas line 127

procedure CharMap_Free(

  var cmap: TCMapTable

);


CharMap_Index

Declaration

Source position: ttcmap.pas line 129

function CharMap_Index(

  var cmap: TCMapTable;

  charCode: Long

):UShort;


CharMap_Load

Declaration

Source position: ttcmap.pas line 125

function CharMap_Load(

  var cmap: TCMapTable

):TError;


Clear_All_Breaks

Declaration

Source position: ttdebug.pas line 85

procedure Clear_All_Breaks(

  var Head: PBreakPoint

);


Clear_Break

Declaration

Source position: ttdebug.pas line 81

procedure Clear_Break(

  var Head: PBreakPoint;

  Bp: PBreakPoint

);


Cur_U_Line

Declaration

Source position: ttdebug.pas line 93

function Cur_U_Line(

  Code: PByte;

  IP: Int

):DebugStr;


Find_BreakPoint

Declaration

Source position: ttdebug.pas line 89

function Find_BreakPoint(

  Head: PBreakPoint;

  Range: Int;

  IP: Int

):PBreakPoint;


Generate_Range

Declaration

Source position: ttdebug.pas line 63

procedure Generate_Range(

  CR: PCodeRange;

  index: Int;

  var RR: TRangeRec

);


Get_Dis_Line

Declaration

Source position: ttdebug.pas line 99

function Get_Dis_Line(

  var cr: TRangeRec;

  addr: Int

):Int;


Get_Length

Declaration

Source position: ttdebug.pas line 97

function Get_Length(

  Code: PByte;

  IP: Int

):Int;


Hex16

Declaration

Source position: ttdebug.pas line 105

function Hex16(

  W: Word

):ShortHexStr;


Hex32

Declaration

Source position: ttdebug.pas line 106

function Hex32(

  L: Long

):LongHexStr;


Hex8

Declaration

Source position: ttdebug.pas line 104

function Hex8(

  B: Byte

):ByteHexStr;


Set_Break

Declaration

Source position: ttdebug.pas line 77

procedure Set_Break(

  var Head: PBreakPoint;

  Range: Int;

  Adr: Int

);


Throw_Range

Declaration

Source position: ttdebug.pas line 69

procedure Throw_Range(

  var RR: TRangeRec

);


Toggle_Break

Declaration

Source position: ttdebug.pas line 73

procedure Toggle_Break(

  var Head: PBreakPoint;

  Range: Int;

  Adr: Int

);


Check_Error

Declaration

Source position: tterror.pas line 24

procedure Check_Error(

  error: Integer

);


Panic1

Declaration

Source position: tterror.pas line 26

procedure Panic1(

  message: string

);


Trace1

Declaration

Source position: tterror.pas line 27

procedure Trace1(

  message: string

);


TTFile_Done

Declaration

Source position: ttfile.pas line 130

procedure TTFile_Done;


TTFile_Init

Declaration

Source position: ttfile.pas line 129

function TTFile_Init: TError;


TT_Close_Stream

Declaration

Source position: ttfile.pas line 145

procedure TT_Close_Stream(

  var stream: TT_Stream

);


TT_Done_Stream

Declaration

Source position: ttfile.pas line 165

procedure TT_Done_Stream(

  stream: TT_Stream

);


TT_Flush_Stream

Declaration

Source position: ttfile.pas line 161

procedure TT_Flush_Stream(

  stream: TT_Stream

);


TT_Open_Stream

Declaration

Source position: ttfile.pas line 138

function TT_Open_Stream(

  name: string;

  var stream: TT_Stream

):TError;

function TT_Open_Stream(

  AStream: TStream;

  AStreamOwner: Boolean;

  var stream: TT_Stream

):TError;


TT_Stream_Size

Declaration

Source position: ttfile.pas line 171

function TT_Stream_Size(

  stream: TT_Stream

):LongInt;


TT_Use_Stream

Declaration

Source position: ttfile.pas line 149

function TT_Use_Stream(

  org_stream: TT_Stream;

  out ftstream: TFreeTypeStream

):TError;


Get_Advance_Widths

Declaration

Source position: ttgload.pas line 55

function Get_Advance_Widths(

  face: PFace;

  ppem: Int

):PByte;


Load_TrueType_Glyph

Declaration

Source position: ttgload.pas line 28

function Load_TrueType_Glyph(

  instance: PInstance;

  glyph: PGlyph;

  glyph_index: Word;

  load_flags: Int

):TError;


TT_Get_Metrics

Declaration

Source position: ttgload.pas line 50

procedure TT_Get_Metrics(

  var header: TT_Horizontal_Header;

  index: Int;

  var bearing: TT_Pos;

  var advance: TT_Pos

);


Run_Ins

Declaration

Source position: ttinterp.pas line 40

function Run_Ins(

  exec: PExec_Context;

  AErrorLog: Boolean = False

):TError;


Load_TrueType_Any

Declaration

Source position: ttload.pas line 52

function Load_TrueType_Any(

  face: PFace;

  tag: LongInt;

  offset: LongInt;

  var buffer;

  var length: LongInt

):TError;


Load_TrueType_CMap

Declaration

Source position: ttload.pas line 41

function Load_TrueType_CMap(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_CVT

Declaration

Source position: ttload.pas line 40

function Load_TrueType_CVT(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_Directory

Declaration

Source position: ttload.pas line 34

function Load_TrueType_Directory(

  AStream: TFreeTypeStream;

  face: PFace;

  faceIndex: Int

):TError;


Load_TrueType_Gasp

Declaration

Source position: ttload.pas line 42

function Load_TrueType_Gasp(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_HDMX

Declaration

Source position: ttload.pas line 47

function Load_TrueType_HDMX(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_Header

Declaration

Source position: ttload.pas line 38

function Load_TrueType_Header(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_Locations

Declaration

Source position: ttload.pas line 39

function Load_TrueType_Locations(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_MaxProfile

Declaration

Source position: ttload.pas line 37

function Load_TrueType_MaxProfile(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_Metrics_Header

Declaration

Source position: ttload.pas line 49

function Load_TrueType_Metrics_Header(

  AStream: TFreeTypeStream;

  face: PFace;

  vertical: Boolean

):TError;


Load_TrueType_Names

Declaration

Source position: ttload.pas line 43

function Load_TrueType_Names(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_OS2

Declaration

Source position: ttload.pas line 46

function Load_TrueType_OS2(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_trueType_Postscript

Declaration

Source position: ttload.pas line 45

function Load_trueType_Postscript(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


Load_TrueType_Programs

Declaration

Source position: ttload.pas line 44

function Load_TrueType_Programs(

  AStream: TFreeTypeStream;

  face: PFace

):TError;


LookUp_TrueType_Table

Declaration

Source position: ttload.pas line 31

function LookUp_TrueType_Table(

  face: PFace;

  aTag: string

):Int;


Alloc

Declaration

Source position: ttmemory.pas line 79

function Alloc(

  var P;

  size: LongInt

):TError;


Free

Declaration

Source position: ttmemory.pas line 83

procedure Free(

  var P

);


TTMemory_Done

Declaration

Source position: ttmemory.pas line 89

procedure TTMemory_Done;


TTMemory_Init

Declaration

Source position: ttmemory.pas line 88

function TTMemory_Init: TError;


Clear_CodeRange

Declaration

Source position: ttobjs.pas line 704

function Clear_CodeRange(

  exec: PExec_Context;

  range: Int

):TError;


Context_Load

Declaration

Source position: ttobjs.pas line 734

procedure Context_Load(

  exec: PExec_Context;

  ins: PInstance

);


Context_Run

Declaration

Source position: ttobjs.pas line 744

function Context_Run(

  exec: PExec_Context;

  debug: Boolean

):TError;


Context_Save

Declaration

Source position: ttobjs.pas line 739

procedure Context_Save(

  exec: PExec_Context;

  ins: PInstance

);


Done_Context

Declaration

Source position: ttobjs.pas line 721

procedure Done_Context(

  exec: PExec_Context

);


Get_CodeRange

Declaration

Source position: ttobjs.pas line 693

function Get_CodeRange(

  exec: PExec_Context;

  range: Int

):PCodeRange;


Goto_CodeRange

Declaration

Source position: ttobjs.pas line 688

function Goto_CodeRange(

  exec: PExec_Context;

  range: Int;

  IP: Int

):TError;


Instance_Init

Declaration

Source position: ttobjs.pas line 747

function Instance_Init(

  ins: PInstance

):TError;


Instance_Reset

Declaration

Source position: ttobjs.pas line 749

function Instance_Reset(

  ins: PInstance;

  debug: Boolean

):TError;


New_Context

Declaration

Source position: ttobjs.pas line 714

function New_Context(

  instance: PInstance

):PExec_Context;


Scale_X

Declaration

Source position: ttobjs.pas line 753

function Scale_X(

  var metrics: TIns_Metrics;

  x: TT_Pos

):TT_Pos;


Scale_Y

Declaration

Source position: ttobjs.pas line 755

function Scale_Y(

  var metrics: TIns_Metrics;

  y: TT_Pos

):TT_Pos;


Set_CodeRange

Declaration

Source position: ttobjs.pas line 698

function Set_CodeRange(

  exec: PExec_Context;

  range: Int;

  base: Pointer;

  length: Int

):TError;


TTObjs_Done

Declaration

Source position: ttobjs.pas line 760

procedure TTObjs_Done;


TTObjs_Init

Declaration

Source position: ttobjs.pas line 757

function TTObjs_Init: TError;


ProfileList_AppendToList

Declaration

Source position: ttprofile.pas line 127

procedure ProfileList_AppendToList(

  var ListOrElement: TProfile;

  ElementOrListToAppend: TProfile

);


ProfileList_Count

Declaration

Source position: ttprofile.pas line 131

function ProfileList_Count(

  L: TProfile

):Integer;


ProfileList_Init

Declaration

Source position: ttprofile.pas line 125

procedure ProfileList_Init(

  out L: TProfile

);


ProfileList_InsertFirstElement

Declaration

Source position: ttprofile.pas line 126

procedure ProfileList_InsertFirstElement(

  var L: TProfile;

  Element: TProfile

);


ProfileList_Remove

Declaration

Source position: ttprofile.pas line 128

procedure ProfileList_Remove(

  var List: TProfile;

  ElementToRemove: TProfile

);


ProfileList_SortByStart

Declaration

Source position: ttprofile.pas line 130

procedure ProfileList_SortByStart(

  var L: TProfile

);


ProfileList_SortByX

Declaration

Source position: ttprofile.pas line 129

procedure ProfileList_SortByX(

  var L: TProfile

);


ProfileList_Split

Declaration

Source position: ttprofile.pas line 132

procedure ProfileList_Split(

  List: TProfile;

  out Part1: TProfile;

  out Part2: TProfile

);


IncludeFullGrainMax

Declaration

Source position: ttraster.pas line 212

function IncludeFullGrainMax(

  maxValue: Integer;

  Grain: Integer

):Integer;


IncludeFullGrainMin

Declaration

Source position: ttraster.pas line 211

function IncludeFullGrainMin(

  minValue: Integer;

  Grain: Integer

):Integer;


TTGetDefaultRasterizer

Declaration

Source position: ttraster.pas line 217

function TTGetDefaultRasterizer: TFreeTypeRasterizer;


TTRaster_Done

Declaration

Source position: ttraster.pas line 215

procedure TTRaster_Done;


TTRaster_Init

Declaration

Source position: ttraster.pas line 214

function TTRaster_Init: TError;


FindFilenameOfCmd

Declaration

Source position: utf8process.pp line 108

function FindFilenameOfCmd(

  ProgramFilename: string

):string;


GetSystemThreadCount

Declaration

Source position: utf8process.pp line 110

function GetSystemThreadCount: Integer;


Register

Declaration

Source position: utf8process.pp line 112

procedure Register;


RunCmdFromPath

Declaration

Source position: utf8process.pp line 107

procedure RunCmdFromPath(

  ProgramFilename: string;

  CmdLineParameters: string

);


Reference for package 'lazutils'

Lazutils

Units

AvgLvlTree | An Average Level Tree structure, which is kept balanced so that finding a node is very rapid
DynamicArray
DynHashArray
DynQueue
EasyLazFreeType |
ExtendedStrings
FileUtil | Miscellaneous procedures and functions for manipulating files and filenames
FPCAdds
Laz2_DOM |
Laz2_XMLCfg |
laz2_XMLRead |
laz2_xmlutils |
laz2_XMLWrite |
laz2_xpath |
LazClasses |
lazCollections |
LazConfigStorage |
LazDbgLog |
Laz_DOM |
lazfglhash |
LazFileCache |
LazFileUtils |
LazFreeType |
LazFreeTypeFontCollection |
LazFreeTypeFPImageDrawer |
LazLinkedList |
LazListClasses
LazLogger | Provides a log framework
LazLoggerBase |
LazLoggerDummy |
LazLoggerProfiling
LazMethodList |
LazUnicode |
LazUTF16 |
LazUTF8 |
LazUTF8Classes |
LazUTF8SysUtils |
LazUtilities |
LazUtils
LazUtilsStrConsts |
Laz_XMLCfg |
Laz_XMLRead |
Laz_XMLStreaming |
Laz_XMLWrite |
LConvEncoding |
lcsvutils |
LookupStringList |
Maps |
Masks | This unit contains classes for mask matching.
PasWString |
StringHashList |
TextStrings
Translations |
TTCache |
TTCalc |
TTCMap |
TTDebug |
TTError |
TTFile |
TTGLoad |
TTInterp |
TTLoad |
TTMemory |
TTObjs
TTProfile |
TTRASTER |
TTTables |
TTTypes |
UTF8Process | Version of FPC TProcess that allows UTF8 arguments

Description

The Lazutils package contains basic non visual stuff, needed by the LCL and other packages. Historically some units originated from the LCL and the codetools.


Index of all identifiers in package 'lazutils'

A B C D E F G H I K L M N O P R S T U V W X

A

aaBoth | AppendPathDelim | axisDescendant
aaPrefix | ArrayOfCharPosition | axisDescendantOrSelf
aaUnchanged | ArrayOfFontCollectionItemDestroyListener | axisFollowing
adDefault | ArrayOfSingle | axisFollowingSibling
adFixed | ArrayOfString | axisInvalid
adImplied | ATTRIBUTE_NODE | axisNamespace
adRequired | AvgLvlTree | axisParent
AlignToInt | axisAncestor | axisPreceding
AlignToPtr | axisAncestorOrSelf | axisPrecedingSibling
AllDirectoryEntriesMask | axisAttribute | axisRoot
Alloc | axisChild | axisSelf

B

ByteHexStr

C

Cache_Create | CompareConfigMemStorageNames | ConvertLineEndings
Cache_Destroy | CompareConfigMemStorageNodes | ConvertUTF16ToUTF8
Cache_Done | CompareDomNodeNames | ConvertUTF8ToAnsi
Cache_New | CompareFileExt | ConvertUTF8ToUTF16
CDATA_SECTION_NODE | CompareFilenameAndFilenameToStringTreeItem | CopyDirTree
ceAuto | CompareFilenameAndFilenameToStringTreeItemI | CopyFile
ceUTF16 | CompareFilenames | CP1250ToUTF8
ceUTF16be | CompareFilenames | CP1251ToUTF8
ceUTF8 | CompareFilenamesIgnoreCase | CP1252ToUTF8
cffCreateDestDirectory | CompareFilenamesP | CP1253ToUTF8
cffOverwriteFile | CompareFilenameStarts | CP1254ToUTF8
cffPreserveTime | CompareFilenameToStringItems | CP1255ToUTF8
CharMap_Free | CompareFilenameToStringItemsI | CP1256ToUTF8
CharMap_Index | CompareFilenameWithFileStateCacheItem | CP1257ToUTF8
CharMap_Load | CompareFileStateItems | CP1258ToUTF8
Check_Error | ComparePCharWithConfigMemStorageNode | CP437ToUTF8
CheckIfFileIsExecutable | ComparePhysicalFilenames | CP850ToUTF8
CheckIfFileIsSymlink | ComparePointer | CP852ToUTF8
ChompPathDelim | ComparePointers | CP866ToUTF8
CleanAndExpandDirectory | ComparePointerToPointerItems | CP874ToUTF8
CleanAndExpandFilename | ComparePointerWithPtrToPtrItem | CP932ToUTF8
Clear_All_Breaks | CompareStringListItemsUTF8LowerCase | CP936ToUTF8
Clear_Break | CompareStringToStringItems | CP949ToUTF8
Clear_CodeRange | CompareStringToStringItemsI | CP950ToUTF8
cmsmDelete | CompareStrListUTF8LowerCase | CreateAbsolutePath
cmsmDeleteValue | ConfigMemStorageFormatVersion | CreateAbsoluteSearchPath
cmsmGet | ConsoleToUTF8 | CreateAbsoluteSearchPath
cmsmSet | Context_Load | CreateDirUTF8
CodePointCopy | Context_Run | CreateRelativePath
CodePointLength | Context_Save | CreateRelativeSearchPath
CodePointPos | ConvertAnsiToUTF8 | Cur_U_Line
CodePointSize | ConvertEncoding | CvtFlag_Both
COMMENT_NODE | ConvertEncodingFromUTF8 | CvtFlag_None
CompareAnsiStringWithStrToStrItem | ConvertEncodingToUTF8 | CvtFlag_X
CompareAnsiStringWithStrToStrItemI | ConvertLineEndings | CvtFlag_Y

D

DBCSToUTF8 | DbgStartTimer | DirPathExists
dbghex | DbgsTimeUsed | DirPathExistsCached
dbghex | DbgStopMemWatch | Div64by32
dbghex | DbgStopTimer | DOCUMENT_FRAGMENT_NODE
dbgMemRange | DbgStr | DOCUMENT_NODE
dbgMemRange | DbgWideStr | DOCUMENT_TYPE_NODE
dbgMemRange | DebugLn | DOMChar
dbgMemStream | DebugLn | DOMPChar
dbgMemStream | DebugLn | DOMPChar
dbgMemStream | DebugLnEnter | DOMString
dbgObjMem | DebugLnEnter | DOMString
dbgObjMem | DebugLnEnter | DOMSTRING_SIZE_ERR
dbgObjMem | DebugLnExit | Done_Context
DbgOut | DebugLnExit | dtCdata
DbgOut | DebugLnExit | dtEntities
DbgOut | DebuglnStack | dtEntity
DbgS | DebuglnStack | dtId
DbgS | DebuglnStack | dtIdRef
DbgS | DebugStr | dtIdRefs
DbgSFileAttr | Deduplicate | dtNmToken
DbgSJoin | Default_GraphicsState | dtNmTokens
DbgSJoin | DeleteDirectory | dtNotation
DbgSJoin | DeleteFileUTF8 | DumpExceptionBackTrace
DbgsMemUsed | dhaoCacheContains | DynamicArray
DbgSName | dhaoCachingEnabled | DynHashArray
DbgSName | DirectoryExistsUTF8 | DynQueue
DbgSName | DirectoryIsWritable |
DbgStartMemWatch | DirectoryIsWritableCached |

E

EArray | EncodingCP1250 | enumerator(string):TUnicodeCharacterEnumerator
EasyLazFreeType | EncodingCP1251 | EPOFileError
EDOMError | EncodingCP1252 | error
EDOMError | EncodingCP1253 | Err_Ras_Invalid
EDOMHierarchyRequest | EncodingCP1254 | Err_Ras_Invalid_Contours
EDOMIndexSize | EncodingCP1255 | Err_Ras_Neg_H
EDOMInUseAttribute | EncodingCP1256 | Err_Ras_None
EDOMInvalidAccess | EncodingCP1257 | Err_Ras_NotIni
EDOMInvalidModification | EncodingCP1258 | Err_Ras_Overflow
EDOMInvalidState | EncodingCP437 | esError
EDOMNamespace | EncodingCP850 | esFatal
EDOMNotFound | EncodingCP852 | esoClearRecordsOnCreate
EDOMNotSupported | EncodingCP866 | esoFreeObjectsOnDelete
EDOMSyntax | EncodingCP874 | esWarning
EDOMWrongDocument | EncodingCP932 | EvaluateXPathExpression
EDynHashArrayException | EncodingCP936 | EvaluationError
elChildrenList | EncodingCP949 | exec_cache
Element_Done | EncodingCP950 | EXMLReadError
Element_New | EncodingCPIso1 | EXMLReadError
ELEMENT_NODE | EncodingCPIso15 | ExpandFileNameUTF8
elPropertyList | EncodingCPIso2 | ExpandUNCFileNameUTF8
elUnknown | EncodingCPKOI8 | EXPathEvaluationError
emAsciiControlNames | EncodingCPMac | ExtendedStrings
emC | EncodingUCS2BE | ExtractFileNameOnly
emHexC | EncodingUCS2LE | ExtractFileNameWithoutExt
emHexPascal | EncodingUTF8 | ExtractFileRoot
emPascal | EncodingUTF8BOM | ExtractShortPathNameUTF8
EncodeLesserAndGreaterThan | ENTITY_NODE | ExtractUNCVolume
EncodingAnsi | ENTITY_REFERENCE_NODE |

F

face_cache | FileStateCache | fsciDirectoryWritable
Failure | FileUtil | fsciExecutable
FileAgeCached | FindAllDirectories | fsciExists
FileAgeUTF8 | FindAllFiles | fsciPhysical
FileCreateUTF8 | FindAllTranslatedPoFiles | fsciReadable
FileExistsCached | Find_BreakPoint | fsciText
FileExistsUTF8 | FindCloseUTF8 | fsciWritable
FileGetAttrUTF8 | FindDefaultExecutablePath | ftaBaseline
FileIsExecutable | FindDiskFileCaseInsensitive | ftaBottom
FileIsExecutableCached | FindDiskFilename | ftaCenter
FileIsHardLink | FindFilenameOfCmd | ftaJustify
FileIsInDirectory | FindFirstUTF8 | ftaLeft
FileIsInPath | FindInvalidUTF8Character | ftaRight
FileIsInPath | FindInvalidUTF8Codepoint | ftaTop
FileIsReadable | FindNextDelimitedItem | ftaVerticalCenter
FileIsReadableCached | FindNextUTF8 | ftiCopyrightNotice
FileIsReadOnlyUTF8 | FindPathInSearchPath | ftiDesigner
FileIsSymlink | FontCollection | ftiDesignerURL
FileIsText | FontCollectionItemDestroyListener | ftiFamily
FileIsTextCached | Font_Pool_Allocated | ftiFullName
FileIsWritable | ForceDirectoriesUTF8 | ftiIdentifier
FileIsWritableCached | ForceDirectory | ftiLicenseDescription
FilenameIsAbsolute | ForcePathDelims | ftiLicenseInfoURL
FilenameIsPascalUnit | FPCAdds | ftiManufacturer
FilenameIsTrimmed | FPUpChars | ftiPostscriptName
FilenameIsUnixAbsolute | Free | ftiStyle
FilenameIsWinAbsolute | FreeTypeInformationStr | ftiTrademark
FilenamesCaseSensitive | FreeTypeMinPointSize | ftiVendorURL
FilenamesLiteral | frFalse | ftiVersionString
FileOpenUTF8 | frNorecurseFalse | ftsBold
FileSearchUTF8 | frNorecurseTrue | ftsItalic
FileSetAttrUTF8 | frTrue | Function_Sweep_Init
FileSetDateUTF8 | fsciAge | Function_Sweep_Span
FileSize | fsciDirectory | Function_Sweep_Step
FileSizeUtf8 | fsciDirectoryReadable |

G

Gasp_DoGray | Get_Dis_Line | GetStringRefCount
Gasp_GridFit | GetEnvironmentStringUTF8 | GetSupportedEncodings
Generate_Range | GetEnvironmentVariableCountUTF8 | GetSystemThreadCount
Get_Advance_Widths | GetEnvironmentVariableUTF8 | GetTempFileNameUTF8
GetAllFilesMask | GetExeExt | GetTickCount64
GetAppConfigDirUTF8 | GetExistingDebugLogger | GetUnixPhysicalFilename
GetAppConfigFileUTF8 | GetExistingDebugLogger | GoingDown
Get_CodeRange | GetFileDescription | GoingHoriz
GetConsoleTextEncoding | GetForcedPathDelims | GoingUnknown
GetCurrentDirUTF8 | Get_Length | GoingUp
GetDebugLogger | GetNextDelimitedItem | Goto_CodeRange
GetDebugLogger | GetParamByName | grqHighQuality
GetDebugLogger | GetParamByNameCount | grqLowQuality
GetDebugLoggerGroups | GetPhysicalFilename | grqMonochrome
GetDebugLoggerGroups | GetPhysicalFilenameCached | GuessEncoding
GetDefaultTextEncoding | GetShellLinkTarget |

H

HasDelimitedItem | Hex16 | Hex8
Hash | Hex32 | HIERARCHY_REQUEST_ERR

I

IFreeTypeFamilyEnumerator | INVALID_MODIFICATION_ERR | ItemMemManager
IFreeTypeFontEnumerator | INVALID_STATE_ERR | its1
IncludeFullGrainMax | IsCombining | its16
IncludeFullGrainMin | ISO_8859_15ToUTF8 | its2
INDEX_SIZE_ERR | ISO_8859_1ToUTF8 | its32
Instance_Init | ISO_8859_2ToUTF8 | its4
Instance_Reset | IsUNCPath | its8
Int | IsUTF16CharValid | itsPtrSize
Int16 | IsUTF16StringValid | itu1
Int32 | IsValidXmlEncoding | itu16
INUSE_ATTRIBUTE_ERR | IsXmlName | itu2
INVALID_ACCESS_ERR | IsXmlNames | itu32
InvalidateFileStateCache | IsXmlNmToken | itu4
InvalidateFileStateCache | IsXmlNmTokens | itu8
INVALID_CHARACTER_ERR | IsXmlWhiteSpace | ituPtrSize

K

KOI8ToUTF8

L

Laz2_DOM | Laz_XMLWrite | lrsEvalUnknownVariable
Laz2_XMLCfg | LConvEncoding | lrsFileDoesNotExist
laz2_XMLRead | lcsvutils | lrsFileIsADirectoryAndNotAnExecutable
laz2_xmlutils | lgfAddedByParamParser | lrsHasACircularSymbolicLink
laz2_XMLWrite | lgfAddedByParamParser | lrsInsufficientMemory
laz2_xpath | lgfNoDefaultEnabledSpecified | lrsInvalidCharSet
LazClasses | lgfNoDefaultEnabledSpecified | lrsIsNotASymbolicLink
lazCollections | ListOfPDynamicQueueItem | lrsIsNotExecutable
LazConfigStorage | LoadFromCSVFile | lrsListIndexExceedsBounds
LazDbgLog | LoadFromCSVStream | lrsListMustBeEmpty
LazDebugLoggerCreator | LoadStringsFromFileUTF8 | lrsModified
LazDebugLoggerCreator | LoadStringToStringTree | lrsNodeSet
Laz_DOM | Load_TrueType_Any | lrsNumber
lazfglhash | Load_TrueType_CMap | lrsParserBadAxisName
LazFileCache | Load_TrueType_CVT | lrsParserBadNodeType
LazFileUtils | Load_TrueType_Directory | lrsParserExpectedLeftBracket
LazFreeType | Load_TrueType_Gasp | lrsParserExpectedRightBracket
LazFreeTypeFontCollection | Load_TrueType_Glyph | lrsParserExpectedRightSquareBracket
LazFreeTypeFPImageDrawer | Load_TrueType_HDMX | lrsParserGarbageAfterExpression
LazGetLanguageIDs | Load_TrueType_Header | lrsParserInvalidNodeTest
LazGetShortLanguageID | Load_TrueType_Locations | lrsParserInvalidPrimExpr
LazLinkedList | Load_TrueType_MaxProfile | lrsProgramFileNotFound
LazListClasses | Load_TrueType_Metrics_Header | lrsReadAccessDeniedFor
LazLogger | Load_TrueType_Names | lrsScannerExpectedVarName
LazLoggerBase | Load_TrueType_OS2 | lrsScannerInvalidChar
LazLoggerDummy | Load_trueType_Postscript | lrsScannerMalformedQName
LazLoggerProfiling | Load_TrueType_Programs | lrsScannerUnclosedString
LazMethodList | Long | lrsSize
LazUnicode | LongHexStr | lrsString
LazUTF16 | LookupStringList | lrsUnableToCreateConfigDirectoryS
LazUTF8 | LookUp_TrueType_Table | lrsVarNoConversion
LazUTF8Classes | lrsADirectoryComponentInDoesNotExistOrIsADanglingSyml | LUIncreaseChangeStamp
LazUTF8SysUtils | lrsADirectoryComponentInDoesNotExistOrIsADanglingSyml2 | LUIncreaseChangeStamp64
LazUtilities | lrsADirectoryComponentInIsNotADirectory | LUInvalidChangeStamp
LazUtils | lrsADirectoryComponentInIsNotADirectory2 | LUInvalidChangeStamp64
LazUtilsStrConsts | lrsBoolean | lwtNone
Laz_XMLCfg | lrsCanNotExecute | lwtStdErr
Laz_XMLRead | lrsEvalInvalidArgCount | lwtStdOut
Laz_XMLStreaming | lrsEvalUnknownFunction | lwtTextFile

M

MacintoshToUTF8 | MaxCodeRanges | MergeSort
MapReport | mcAnyChar | MergeWithDelimiter
Maps | mcAnyText | MinimizeSearchPath
Masks | mcChar | MulDiv
MatchesMask | mcCharSet | MulDiv_Round
MatchesMaskList | MemSizeFPList | MulTo64
MatchesWindowsMask | MemSizeString |
MatchesWindowsMaskList | MergeCmdLineParams |

N

NamePages | NormalizeEncoding | ns_0C00
NAMESPACE_ERR | NormalizeSpaces | ns_0D00
namingBitmap | NOTATION_NODE | ns_0E00
NeedRTLAnsi | NOT_FOUND_ERR | ns_0F00
New_Context | NOT_SUPPORTED_ERR | ns_3000
nfDestroying | NowUTC | ns_ASCII
nfIgnorableWS | ns_0200 | ntAnyNode
nfLevel2 | ns_0300 | ntAnyPrincipal
nfReadonly | ns_0400 | ntCommentNode
nfRecycled | ns_0500 | ntName
nfSpecified | ns_0600 | ntPINode
NilThenReleaseRef | ns_0900 | ntTextNode
NO_DATA_ALLOWED_ERR | ns_0A00 |
NO_MODIFICATION_ALLOWED_ERR | ns_0B00 |

O

OnFileAgeCached | opAnd | opMultiply
OnFileExistsCached | opDivide | opNotEqual
OnInvalidateFileStateCache | opEqual | opOr
OnWidgetSetDbgOut | opGreater | opSubtract
OnWidgetSetDbgOut | opGreaterEqual | Order32
OnWidgetSetDebugLn | opLess | Order64
OnWidgetSetDebugLn | opLessEqual |
opAdd | opMod |

P

Panic1 | PFont_Input | ProfileList_Count
ParamStrUTF8 | PGaspRanges | ProfileList_Init
PascalFileExt | PGlyph | ProfileList_InsertFirstElement
PascalSourceExt | PGlyph_Transform | ProfileList_Remove
PasWString | PGlyph_Zone | ProfileList_SortByStart
PBezierStack | PGraphicsState | ProfileList_SortByX
PBreakPoint | PHandle | ProfileList_Split
PByte | PHashItem | ProgramDirectory
PCache | PHashItemArray | PShort
PCache_Class | PHdmx_Record | PStorage
PCallStack | PHdmx_Records | PStringHashItem
PCharSet | PInstance | PStringHashItemList
PCMap2SubHeaders | PLazLoggerLogGroup | PStringMapItem
PCMap4Segments | PLazLoggerLogGroup | PStringToPointerTreeItem
PCMapDirEntries | PLazLoggerLogGroup | PStringToStringItem
PCMapTable | PList_Element | PSubglyph_Record
PCMapTables | PLong | PSubglyph_Stack
PCodeRange | PMapID | PTableDir
PCoordinates | PMapItem | PTableDirEntries
PDefArray | PMapLink | PTableLongMetrics
PDefRecord | PName_Record | PTableShortMetrics
PDOMString | PName_Records | PTextLineRange
PDynamicQueueItem | PName_Table | PTouchTable
PDynHashArrayItem | PNodePoolArray | PTTCHeader
PExec_Context | PoolIdleCapacity | PTT_Gray_Palette
PExpHashEntryArray | PoolMaxCapacity | PULong
PExtent | PPHashItem | PUShort
PFace | PPointerToPointerItem | PXMLUtilChar
pfeEmpty | PRangeRec | PXMLUtilString
pfeException | PROCESSING_INSTRUCTION_NODE |
pfeOriginal | ProfileList_AppendToList |

R

ReadAllLinks | ReadXMLFragment | RenameFileUTF8
ReadDTDFile | RecreateDebugLogger | ReplaceSubstring
ReadDTDFile | RecreateDebugLogger | ResolveDots
ReadFileToString | Register | RunCmdFromPath
ReadXMLFile | RegisterDecoder | Run_Ins
ReadXMLFile | ReleaseRefAndNil |
ReadXMLFragment | RemoveDirUTF8 |

S

SaveStringsToFileUTF8 | SetDefaultFreeTypeFontCollection | StringHashList
SaveStringToStringTree | SetNeedRTLAnsi | StringOfCodePoint
sBadFormatFlag | SetPasWidestringManager | stRsj
Scale_X | sffDontSearchInBasePath | stRst
Scale_Y | sffSearchLoUpCase | StrToCmdLineParam
SearchAllFilesInPath | sFuzzyFlag | StrToWord
SearchFileInPath | Short | StrToXMLValue
Set_Break | ShortHexStr | StylesToArray
Set_CodeRange | SingleByteToUTF8 | Success
SetCurrentDirUTF8 | SplitCmdLineParams | SYNTAX_ERR
SetDebugLogger | Sqrt32 | SysErrorMessageUTF8
SetDebugLogger | Sqrt64 | SystemCharSetIsUTF8
SetDebugLogger | stduri_xml | SysToUTF8
SetDebugLoggerGroups | stduri_xmlns |
SetDebugLoggerGroups | stLrj |

T

TAttrDataType | tkRightBracket | TT_Err_Invalid_Engine
TAttrDefault | tkRightSquareBracket | TT_Err_Invalid_Extension_Id
TAttributeAction | tkSlash | TT_Err_Invalid_Face_Handle
TAvgLvlObjectSortCompare | tkSlashSlash | TT_Err_Invalid_File_Format
TAvgLvlTree | tkString | TT_Err_Invalid_File_Offset
TAvgLvlTreeClass | tkVariable | TT_Err_Invalid_File_Read
TAvgLvlTreeNode | TLazDebugLoggerCreator | TT_Err_Invalid_Frame_Access
TAvgLvlTreeNodeEnumerator | TLazDebugLoggerCreator | TT_Err_Invalid_Glyph_Handle
TAxis | TLazDualCapacityList | TT_Err_Invalid_Glyph_Index
TBaseMap | TLazDualCapacityListMem | TT_Err_Invalid_Horiz_Metrics
TBaseMapIterator | TLazDualCapacityListMemBase | TT_Err_Invalid_Instance_Handle
TBezierStack | TLazFixedRoundBufferListMemBase | TT_Err_Invalid_Opcode
TBinding | TLazFPGHashTable | TT_Err_Invalid_Reference
TBreakPoint | TLazGenDualCapacityList | TT_Err_Invalid_Result_Address
TByteArray | TLazGenDualCapacityListMem | TT_Err_Invalid_Value
TCache | TLazGenRoundBufferListMem | TT_Err_Invalid_Vert_Metrics
TCache_Class | TLazHTGNode | TT_Err_Locations_Missing
TCallRecord | TLazIntfImageGetPixelAtProc | TT_Err_Max_Profile_Missing
TCallStack | TLazIntfImageSetPixelAtProc | TT_Err_Name_Table_Missing
TCharPosition | TLazListClassesInternalMem | TT_Err_Nested_DEFs
TCharSet | TLazListClassesItemSize | TT_Err_Nested_Frame_Access
TCharToUTF8Table | TLazListClassesVarItemSize | TT_Err_No_Vertical_Data
TCMap0 | TLazLogger | TT_Err_Ok
TCMap2 | TLazLogger | TTError
TCMap2SubHeader | TLazLoggerBlockHandler | TT_Error
TCMap2SubHeaders | TLazLoggerBlockHandler | TT_Err_OS2_Table_Missing
TCMap4 | TLazLoggerBlockMemWatch | TT_Err_Out_Of_CodeRanges
TCMap4Segment | TLazLoggerBlockTimer | TT_Err_Out_Of_Memory
TCMap4Segments | TLazLoggerFile | TT_Err_Post_Table_Missing
TCMap6 | TLazLoggerFileHandle | TT_Err_Raster_Negative_Height
TCMapDir | TLazLoggerLogGroup | TT_Err_Raster_Not_Initialised
TCMapDirEntries | TLazLoggerLogGroup | TT_Err_Raster_Pool_Overflow
TCMapDirEntry | TLazLoggerLogGroupFlag | TT_Err_Stack_Overflow
TCMapTable | TLazLoggerLogGroupFlag | TT_Err_Storage_Overflow
TCMapTables | TLazLoggerLogGroupFlags | TT_Err_Table_Missing
TCodePointEnumerator | TLazLoggerLogGroupFlags | TT_Err_Too_Few_Arguments
TCodeRange | TLazLoggerLogGroupList | TT_Err_Too_Many_Contours
TCodeRangeTable | TLazLoggerLogGroupList | TT_Err_Too_Many_Extensions
TCompareMemSize | TLazLoggerNoOutput | TT_Err_Too_Many_FuncDefs
TConfigMemStorage | TLazLoggerWidgetSetWriteEvent | TT_Err_Too_Many_Ins
TConfigMemStorageModification | TLazLoggerWithGroupParam | TT_Err_Too_Many_InsDefs
TConfigMemStorageNode | TLazLoggerWriteEvent | TT_Err_Too_Many_Points
TConfigStorage | TLazLoggerWriteEvent | TT_Err_UNlisted_Object
TConfigStorageClass | TLazLoggerWriteTarget | TTextLineRange
TConstructor | TLazMonitor | TTextStrings
TConvertEncodingFunction | TLazPagedListMem | TT_F26Dot6
TConvertOption | TLazPagedListMemBase | TT_F2Dot14
TConvertOptions | TLazPagedListMemParent | TT_Face
TConvertResult | TLazRoundBufferListMem | TT_Face_Properties
TConvertUTF8ToEncodingFunc | TLazRoundBufferListMemBase | TTFile
TCoordinates | TLazStorageMemGrowProc | TTFile_Done
TCopyFileFlag | TLazStorageMemShrinkProc | TTFile_Init
TCopyFileFlags | TLazThreadedQueue | TT_Fixed
TCSVEncoding | TLinkList | TT_Flag_On_Curve
TCSVRecordProc | TLinkListItem | TT_Flow_Down
TCurveDirection | TListDirectoriesSearcher | TT_Flow_Up
TCustomFamilyCollectionItem | TList_Element | TT_Flush_Stream
TCustomFontCollectionItem | TListFileSearcher | TT_FWord
TCustomFreeTypeFontCollection | TLongMetrics | TT_Get_CharMap
TCustomMemoStrings | TLookupStringList | TT_Get_CharMap_Count
TCustomStringMap | TMap | TT_Get_CharMap_ID
TCustomStringMapEnumerator | TMapID | TTGetDefaultRasterizer
TDblHashArray | TMapIdType | TT_Get_Face_Pointer
TDecoder | TMapItem | TT_Get_Face_Properties
TDefArray | TMapIterator | TT_Get_Font_Data
TDefRecord | TMapLink | TT_Get_Glyph_Big_Metrics
TDestructor | TMarkRecord | TT_Get_Glyph_Bitmap
TDictionaryStringList | TMask | TT_Get_Glyph_Metrics
TDirectoryEnterEvent | TMaskChar | TT_Get_Glyph_Outline
TDirectoryFoundEvent | TMaskCharType | TT_Get_Glyph_Pixmap
TDirectRenderingFunction | TMaskList | TT_Get_Glyph_Pixmap_HQ
TDOMAttr | TMaskString | TT_Get_Instance_Metrics
TDOMAttr | TMaxProfile | TT_Get_Instance_Pointer
TDOMAttrDef | TMemoryStreamUTF8 | TT_Get_Metrics
TDOMCDATASection | TMemStreamSeekType | TT_Get_Name_Count
TDOMCDATASection | TMethodList | TT_Get_Name_ID
TDOMCharacterData | TMove_Function | TT_Get_Name_String
TDOMCharacterData | TName_Record | TT_Get_Outline_BBox
TDOMComment | TName_Records | TT_Get_Outline_Bitmap
TDOMComment | TNamespaceInfo | TT_Get_Outline_Pixmap
TDOMDocument | TNamespaces | TT_Get_Outline_Pixmap_HQ
TDOMDocument | TName_Table | TTGLoad
TDOMDocumentFragment | TNodeFlagEnum | TT_Glyph
TDOMDocumentFragment | TNodeFlags | TT_Glyph_Metrics
TDOMDocumentType | TNodePool | TT_Gray_Palette
TDOMDocumentType | TNodePoolArray | TT_Header
TDOMElement | TNodeSet | TT_Horizontal_Header
TDOMElement | TNodeTestType | TT_Init_FreeType
TDOMElementList | TNSSupport | TT_Instance
TDOMEntity | Toggle_Break | TT_Instance_Metrics
TDOMEntity | toInvalidCharError | TT_Int
TDOMEntityReference | toInvalidCharToSymbol | TTInterp
TDOMEntityReference | TOnChangeFileStateTimeStamp | TTLoad
TDOMImplementation | TOnEachHashItem | TT_Load_Debug
TDOMImplementation | TOnExchangeItem | TT_Load_Default
TDOMNamedNodeMap | TOnFileAgeCached | TT_Load_Glyph
TDOMNamedNodeMap | TOnFileExistsCached | TT_Load_Hint_Glyph
TDOMNode | TOnGetKeyForHashItem | TT_Load_Scale_Glyph
TDOMNode | TOnNotifyItem | TT_Long
TDOMNodeAllChildEnumerator | TOnRenderTextHandler | TT_Matrix
TDOMNodeClass | toUnfinishedCharError | TTMemory
TDOMNodeEnumerator | toUnfinishedCharToSymbol | TTMemory_Done
TDOMNodeList | TOwnerHashFunction | TTMemory_Init
TDOMNodeList | TParseStringList | TT_New_Glyph
TDOMNode_NS | TPhysicalFilenameOnError | TT_New_Instance
TDOMNode_WithChildren | TPOFile | TT_New_Outline
TDOMNotation | TPOFileItem | TTObjs
TDOMNotation | TPoint | TTObjs_Done
TDOMParseOptions | TPointerPointerArray | TTObjs_Init
TDOMParser | TPointerToPointerEnumerator | TT_Open_Collection
TDOMProcessingInstruction | TPointerToPointerItem | TT_Open_Face
TDOMProcessingInstruction | TPointerToPointerTree | TT_Open_Stream
TDOMText | TProcessUTF8 | TT_OS2
TDOMText | TProfile | TT_Outline
TDynamicDataQueue | TProfileCollection | TT_PConStarts
TDynamicQueueItem | TProject_Function | TT_PCoordinates
TDynHashArray | Trace1 | TT_Points
TDynHashArrayItem | TRangeRec | TT_Points_Table
TDynHashArrayItemMemManager | TranslateResourceStrings | TT_Pos
TDynHashArrayOption | TranslateUnitResourceStrings | TT_Postscript
TDynHashArrayOptions | TranslateUTF8Chars | TTProfile
TError | Translations | TT_PTouchTable
TErrorSeverity | trDestExhausted | TTranslateUnitResult
TEscapeMode | TRefCntObjList | TTRASTER
TExec_Context | TRefCountedObject | TTRaster_Done
TExpHashEntry | TRenderPool | TTRaster_Init
TExpHashEntryArray | TrimAndExpandDirectory | TT_Raster_Map
TExtendedStringList | TrimAndExpandFilename | TT_Render_Directly_Glyph_Gray
TExtent | TrimFilename | TT_Render_Directly_Glyph_HQ
TEXT_NODE | trInvalidChar | TT_Render_Directly_Outline_Gray
TextStrings | trNoError | TT_Render_Directly_Outline_HQ
TExtStringsOption | trNullDest | TT_Set_Face_Pointer
TExtStringsOptions | trNullSrc | TT_Set_Instance_CharSize
TFace | TRound_Function | TT_Set_Instance_CharSizes
TFamilyCollectionItem | TRttiXMLConfig | TT_Set_Instance_PixelSizes
TFileFoundEvent | TRttiXMLConfig | TT_Set_Instance_Pointer
TFileIterator | trUnfinishedChar | TT_Set_Instance_PointSize
TFilenameToPointerTree | TryCreateRelativePath | TT_Set_Instance_Resolutions
TFilenameToStringTree | TryReadAllLinks | TT_Set_Instance_Transforms
TFileSearcher | TSearchFileInPathFlag | TT_Set_Raster_Palette
TFileStateCache | TSearchFileInPathFlags | TT_Short
TFileStateCacheItem | TSetOfByte | TT_Stream
TFileStateCacheItemFlag | TSetOfChar | TT_Stream_Size
TFileStateCacheItemFlags | TShortArray | TTTables
TFileStreamUTF8 | TShortMetrics | TTTCHeader
TFilterResult | TSingle_List | TT_TouchTable
TFontCollectionItem | TStep | TT_Transform_Outline
TFontCollectionItemDestroyListener | TStorage | TT_Transform_Vector
TFontCollectionItemDestroyProc | TStreamSeekType | TT_Translate_Outline
TFont_Input | TStringHashItem | TTTypes
TFPImageFreeTypeDrawer | TStringHashList | TT_UFWord
TFPImageWithScanlineFreeTypeDrawer | TStringListUTF8 | TT_ULong
TFPMemoryImageWithScanline | TStringMap | TT_UnitVector
TFreeNotifyingObject | TStringMapEnumerator | TT_Use_Stream
TFreeTypeAlignment | TStringMapItem | TT_UShort
TFreeTypeAlignments | TStringsType | TT_Vector
TFreeTypeCustomRasterizer | TStringToPointerTree | TT_Vertical_Header
TFreeTypeDrawer | TStringToPointerTreeEnumerator | TTypedMap
TFreeTypeFont | TStringToPointerTreeItem | TTypedMapIterator
TFreeTypeFontCollection | TStringToStringItem | TUnicodeCharacterEnumerator
TFreeTypeGlyph | TStringToStringTree | TUnicodeEnumeratorBase
TFreeTypeGrayscaleMap | TStringToStringTreeEnumerator | TUnicodeToCharID
TFreeTypeInformation | TSubglyph_Record | turEmptyParam
TFreeTypeMonochromeMap | TSubglyph_Stack | turNoFBLang
TFreeTypeRasterizer | TTableDir | turNoLang
TFreeTypeRasterMap | TTableDirEntries | turOK
TFreeTypeRenderableFont | TTableDirEntry | TUShortArray
TFreeTypeStream | TTableLongMetrics | TUtf8Char
TFreeTypeStyle | TTableShortMetrics | TUTF8TrimFlag
TFreeTypeStyles | TT_BBox | TUTF8TrimFlags
TFreeTypeWordBreakHandler | TT_Big_Glyph_Metrics | TVecRecord
TFunc_Get_CVT | TTCache | TXMLConfig
TFunc_Set_CVT | TTCache_Done | TXMLConfig
TGasp | TTCache_Init | TXMLContextAction
TGaspRange | TTCalc | TXMLDocument
TGaspRanges | TT_Char_Index | TXMLErrorEvent
TGetDecoderProc | TT_CharMap | TXMLInputSource
TGlyph | TT_Clone_Outline | TXMLObjectReader
TGlyphRenderQuality | TT_Close_Face | TXMLObjectReaderClass
TGlyph_Transform | TT_Close_Stream | TXMLObjectWriter
TGlyph_Zone | TTCMap | TXMLObjectWriterClass
TGraphicsState | TT_CodeRange_Cvt | TXMLObjectWriterStackEl
THashForEach | TT_CodeRange_Font | TXMLObjectWriterStackElType
THashFunction | TT_CodeRange_Glyph | TXMLReaderFlag
THashItem | TT_ConStarts | TXMLReaderFlags
THashItemArray | TT_Coordinates | TXMLUtilChar
THashTable | TT_Copy_Outline | TXMLUtilString
THdmx | TTDebug | TXMLWriterFlag
THdmx_Record | TT_Done_FreeType | TXMLWriterFlags
THdmx_Records | TT_Done_Glyph | TXPathBinaryNode
Throw_Range | TT_Done_Instance | TXPathBooleanOp
TIndexedAVLTree | TT_Done_Outline | TXPathBooleanOpNode
TIndexedAVLTreeNode | TT_Done_Stream | TXPathBooleanVariable
TIns_Metrics | TT_Err_Bad_Argument | TXPathCompareNode
TInstance | TT_Err_CMap_Table_Missing | TXPathCompareOp
TInvalidateFileStateCacheEvent | TT_Err_Code_Overflow | TXPathConstantNode
tkAsterisk | TT_Err_Could_Not_Find_Context | TXPathContext
tkAt | TT_Err_Could_Not_Open_File | TXPathEnvironment
tkColonColon | TT_Err_Cvt_Overflow | TXPathExpression
tkComma | TT_Err_Debug_Opcode | TXPathExprNode
tkDot | TT_Err_Divide_By_Zero | TXPathFilterNode
tkDotDot | TT_Err_ENDF_In_Exec_Stream | TXPathFunction
tkEndOfStream | TT_Err_Execution_Too_Long | TXPathFunctionNode
tkEqual | TT_Err_Extensions_Unsupported | TXPathKeyword
tkGreater | TT_Err_File_Error | TXPathMathOp
tkGreaterEqual | TT_Err_File_Is_Not_Collection | TXPathMathOpNode
tkIdentifier | TT_Err_Header_Table_Missing | TXPathNegationNode
tkInvalid | TT_Err_Hmtx_Table_Missing | TXPathNodeArray
tkLeftBracket | TT_Err_Horiz_Header_Missing | TXPathNodeSetVariable
tkLeftSquareBracket | TT_Err_Interpolate_Twilight | TXPathNSResolver
tkLess | TT_Err_Invalid_Argument | TXPathNumberVariable
tkLessEqual | TT_Err_Invalid_Cache_List | TXPathScanner
tkMinus | TT_Err_Invalid_CharMap_Format | TXPathStringVariable
tkNotEqual | TT_Err_Invalid_CharMap_Handle | TXPathToken
tkNSNameTest | TT_Err_Invalid_CodeRange | TXPathUnionNode
tkNumber | TT_Err_Invalid_Composite | TXPathVariable
tkPipe | TT_Err_Invalid_Displacement | TXPathVariableNode
tkPlus | TT_Err_Invalid_Distance | TXPathVarList

U

u8tKeepControlCodes | UTF8CodepointSizeFast | UTF8ToCP1251
u8tKeepEnd | UTF8CodepointStart | UTF8ToCP1252
u8tKeepLineBreaks | UTF8CodepointStrictSize | UTF8ToCP1253
u8tKeepNoBreakSpaces | UTF8CodepointToByteIndex | UTF8ToCP1254
u8tKeepStart | UTF8CodepointToUnicode | UTF8ToCP1255
u8tKeepTabs | UTF8CompareStr | UTF8ToCP1256
UCS2BEToUTF8 | UTF8CompareStrCollated | UTF8ToCP1257
UCS2LEToUTF8 | UTF8CompareStrP | UTF8ToCP1258
ULong | UTF8CompareText | UTF8ToCP437
UnicodeLowercase | UTF8Copy | UTF8ToCP850
UnicodeToUTF16 | UTF8CStringToUTF8String | UTF8ToCP852
UnicodeToUTF8 | UTF8Delete | UTF8ToCP866
UnicodeToUTF8Inline | UTF8EndsText | UTF8ToCP874
UnicodeToUTF8SkipErrors | Utf8EscapeControlChars | UTF8ToCP932
UnicodeToWinCP | UTF8FileHeader | UTF8ToCP936
UpdatePoFile | UTF8FindNearestCharStart | UTF8ToCP949
UpdatePoFileTranslations | UTF8FixBroken | UTF8ToCP950
UShort | UTF8Insert | UTF8ToDBCS
UTF16BEBOM | UTF8LeftStr | UTF8ToDoubleByte
UTF16CharacterLength | UTF8Length | UTF8ToDoubleByteString
UTF16CharacterToUnicode | UTF8LengthFast | UTF8ToISO_8859_1
UTF16CharStart | UTF8LowerCase | UTF8ToISO_8859_15
UTF16Copy | UTF8LowerCaseViaTables | UTF8ToISO_8859_2
UTF16LEBOM | UTF8LowerString | UTF8ToKOI8
UTF16Length | UTF8PadCenter | UTF8ToKOI8RU
UTF16Pos | UTF8PadLeft | UTF8ToKOI8U
Utf16StringReplace | UTF8PadRight | UTF8ToMacintosh
UTF16ToUTF8 | UTF8Pos | UTF8ToSingleByte
UTF32BEBOM | UTF8PosP | UTF8ToSys
UTF32LEBOM | UTF8Process | UTF8ToSystemCharSet
UTF8AddChar | UTF8ProperCase | UTF8ToUCS2BE
UTF8AddCharR | UTF8QuotedStr | UTF8ToUCS2LE
UTF8BOM | UTF8ReverseString | UTF8ToUTF16
UTF8BOMToUTF8 | UTF8RightStr | UTF8ToUTF8BOM
UTF8CharacterLength | UTF8RPos | UTF8ToWinCP
UTF8CharacterLengthFast | UTF8StartsText | UTF8Trim
UTF8CharacterStrictLength | UTF8StringOfChar | Utf8TryFindCodepointStart
UTF8CharacterToUnicode | UTF8StringReplace | UTF8UpperCase
UTF8CharStart | UTF8SwapCase | UTF8UpperString
UTF8CharToByteIndex | UTF8ToConsole | UTF8WrapText
UTF8CodepointSize | UTF8ToCP1250 |

V

ValidUTF8String

W

WinCPToUnicode | WriteComponentToXMLStream | WriteXMLFile
WinCPToUTF8 | WriteXML | WRONG_DOCUMENT_ERR
Word16 | WriteXML |
Word32 | WriteXMLFile |

X

xaAppendAsChildren | xkFollowingSibling | xkStartsWith
xaInsertAfter | xkId | xkString
xaInsertBefore | xkLang | xkStringLength
xaReplace | xkLast | xkSubstring
xaReplaceChildren | xkLocalName | xkSubstringAfter
xkAncestor | xkMod | xkSubstringBefore
xkAncestorOrSelf | xkName | xkSum
xkAnd | xkNamespace | xkText
xkAttribute | xkNamespaceUri | xkTranslate
xkBoolean | xkNode | xkTrue
xkCeiling | xkNone | Xml11HighPages
xkChild | xkNormalizeSpace | Xml11NamePages
xkComment | xkNot | XMLValueToStr
xkConcat | xkNumber | xrfAllowLowerThanInAttributeValue
xkContains | xkOr | xrfAllowSpecialCharsInAttributeValue
xkCount | xkParent | xrfAllowSpecialCharsInComments
xkDescendant | xkPosition | xrfOldXMLRead
xkDescendantOrSelf | xkPreceding | xrfPreserveWhiteSpace
xkDiv | xkPrecedingSibling | XUStrLIComp
xkFalse | xkProcessingInstruction | xwfOldXMLWrite
xkFloor | xkRound | xwfPreserveWhiteSpace
xkFollowing | xkSelf | xwfSpecialCharsInAttributeValue


Class hierarchy

  • TObject
    • TAvlTree
      • TAvgLvlTree (AvgLvlTree)
        • TIndexedAVLTree (AvgLvlTree)
    • TAvlTreeNode
      • TIndexedAVLTreeNode (AvgLvlTree)
    • TBinding (laz2_xmlutils)
    • TConfigMemStorageNode (LazConfigStorage)
    • TConfigStorage (LazConfigStorage)
      • TConfigMemStorage (LazConfigStorage)
    • TCustomFamilyCollectionItem (EasyLazFreeType)
      • TFamilyCollectionItem (LazFreeTypeFontCollection)
    • TCustomFontCollectionItem (EasyLazFreeType)
      • TFontCollectionItem (LazFreeTypeFontCollection)
    • TCustomFreeTypeFontCollection (EasyLazFreeType)
      • TFreeTypeFontCollection (LazFreeTypeFontCollection)
    • TCustomStringMap (AvgLvlTree)
      • TStringMap (AvgLvlTree)
      • TStringToPointerTree (AvgLvlTree)
        • TFilenameToPointerTree (AvgLvlTree)
      • TStringToStringTree (AvgLvlTree)
        • TFilenameToStringTree (AvgLvlTree)
    • TCustomStringMapEnumerator (AvgLvlTree)
      • TStringMapEnumerator (AvgLvlTree)
        • TStringToPointerTreeEnumerator (AvgLvlTree)
      • TStringToStringTreeEnumerator (AvgLvlTree)
    • TDOMImplementation (Laz2_DOM)
    • TDOMNode (Laz2_DOM)
      • TDOMCharacterData (Laz2_DOM)
        • TDOMComment (Laz2_DOM)
        • TDOMText (Laz2_DOM)
          • TDOMCDATASection (Laz2_DOM)
      • TDOMDocumentType (Laz2_DOM)
      • TDOMNode_WithChildren (Laz2_DOM)
        • TDOMDocument (Laz2_DOM)
          • TXMLDocument (Laz2_DOM)
        • TDOMDocumentFragment (Laz2_DOM)
        • TDOMEntity (Laz2_DOM)
        • TDOMEntityReference (Laz2_DOM)
        • TDOMNode_NS (Laz2_DOM)
          • TDOMAttr (Laz2_DOM)
            • TDOMAttrDef (Laz2_DOM)
          • TDOMElement (Laz2_DOM)
      • TDOMNotation (Laz2_DOM)
      • TDOMProcessingInstruction (Laz2_DOM)
    • TDOMNodeAllChildEnumerator (Laz2_DOM)
    • TDOMNodeEnumerator (Laz2_DOM)
    • TDynamicDataQueue (DynQueue)
    • TDynHashArray (DynHashArray)
    • TDynHashArrayItemMemManager (DynHashArray)
    • TFileIterator (FileUtil)
      • TFileSearcher (FileUtil)
        • TListDirectoriesSearcher (FileUtil)
        • TListFileSearcher (FileUtil)
    • TFileStateCache (LazFileCache)
    • TFileStateCacheItem (LazFileCache)
    • TFPMemoryImage
      • TFPMemoryImageWithScanline (LazFreeTypeFPImageDrawer)
    • TFreeNotifyingObject (LazClasses)
      • TRefCountedObject (LazClasses)
        • TLazLogger (LazLoggerBase)
          • TLazLoggerNoOutput (LazLoggerBase)
          • TLazLoggerWithGroupParam (LazLoggerBase)
            • TLazLoggerFile (LazLogger)
        • TLazLogger (LazLoggerDummy)
        • TLazLoggerBlockHandler (LazLoggerBase)
          • TLazLoggerBlockMemWatch (LazLoggerProfiling)
          • TLazLoggerBlockTimer (LazLoggerProfiling)
        • TLazLoggerLogGroupList (LazLoggerDummy)
        • TLazLoggerLogGroupList (LazLoggerBase)
    • TFreeTypeCustomRasterizer (TTTypes)
      • TFreeTypeRasterizer (TTRASTER)
    • TFreeTypeDrawer (EasyLazFreeType)
      • TFPImageFreeTypeDrawer (LazFreeTypeFPImageDrawer)
        • TFPImageWithScanlineFreeTypeDrawer (LazFreeTypeFPImageDrawer)
    • TFreeTypeGlyph (EasyLazFreeType)
    • TFreeTypeRasterMap (EasyLazFreeType)
      • TFreeTypeGrayscaleMap (EasyLazFreeType)
      • TFreeTypeMonochromeMap (EasyLazFreeType)
    • TFreeTypeRenderableFont (EasyLazFreeType)
      • TFreeTypeFont (EasyLazFreeType)
    • TFreeTypeStream (TTFile)
    • TLazDualCapacityList (LazListClasses)
    • TLazLoggerBlockHandler (LazLoggerDummy)
    • TLazLoggerFileHandle (LazLogger)
    • TLinkList (LazLinkedList)
    • TLinkListItem (LazLinkedList)
    • TMask (Masks)
    • TMaskList (Masks)
    • TMethodList (LazMethodList)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMIndexSize (Laz2_DOM)
    • TObject
      • TPersistent
        • TBaseMap (Maps)
          • TTypedMap (Maps)
    • TObject
      • TAbstractObjectWriter
        • TXMLObjectWriter (Laz_XMLStreaming)
    • TObject
      • TStringHashList (StringHashList)
    • TObject
      • TDOMParseOptions (laz2_XMLRead)
    • TObject
      • Exception
        • EPOFileError (Translations)
    • TObject
      • TDOMParser (laz2_XMLRead)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TStringListUTF8 (LazUTF8Classes)
    • TObject
      • TBaseMapIterator (Maps)
        • TTypedMapIterator (Maps)
    • TObject
      • THashTable (laz2_xmlutils)
    • TObject
      • TPersistent
        • TBaseMap (Maps)
          • TMap (Maps)
    • TObject
      • Exception
        • EXPathEvaluationError (laz2_xpath)
    • TObject
      • TDOMNodeList (Laz2_DOM)
        • TDOMElementList (Laz2_DOM)
    • TObject
      • TDblHashArray (laz2_xmlutils)
    • TObject
      • Exception
        • EArray (DynamicArray)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMInvalidModification (Laz2_DOM)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMNamespace (Laz2_DOM)
    • TObject
      • TAbstractObjectReader
        • TXMLObjectReader (Laz_XMLStreaming)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMHierarchyRequest (Laz2_DOM)
    • TObject
      • TBaseMapIterator (Maps)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMSyntax (Laz2_DOM)
    • TObject
      • TPersistent
        • TComponent
          • TXMLConfig (Laz2_XMLCfg)
            • TRttiXMLConfig (Laz2_XMLCfg)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMNotSupported (Laz2_DOM)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMInUseAttribute (Laz2_DOM)
    • TObject
      • TBaseMapIterator (Maps)
        • TMapIterator (Maps)
    • TObject
      • Exception
        • EXMLReadError (laz2_XMLRead)
    • TObject
      • TDOMNamedNodeMap (Laz2_DOM)
    • TObject
      • TNSSupport (laz2_xmlutils)
    • TObject
      • TStream
        • TCustomMemoryStream
          • TMemoryStream
            • TMemoryStreamUTF8 (LazUTF8Classes)
    • TObject
      • Exception
        • EDynHashArrayException (DynHashArray)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMWrongDocument (Laz2_DOM)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TParseStringList (Masks)
    • TObject
      • TStream
        • THandleStream
          • TFileStream
            • TFileStreamUTF8 (LazUTF8Classes)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMNotFound (Laz2_DOM)
    • TObject
      • TPersistent
        • TBaseMap (Maps)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMInvalidAccess (Laz2_DOM)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TExtendedStringList (ExtendedStrings)
    • TObject
      • TPersistent
        • TStrings
          • TCustomMemoStrings (TextStrings)
    • TObject
      • TList
        • TRefCntObjList (LazClasses)
    • TObject
      • TDOMNodeList (Laz2_DOM)
    • TObject
      • TNodePool (Laz2_DOM)
    • TObject
      • TXMLInputSource (laz2_XMLRead)
    • TObject
      • TPersistent
        • TComponent
          • TProcess
            • TProcessUTF8 (UTF8Process)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
    • TObject
      • TSynchroObject
        • TCriticalSection
          • TLazMonitor (lazCollections)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TLookupStringList (LookupStringList)
              • TDictionaryStringList (LookupStringList)
    • TObject
      • TPersistent
        • TStrings
          • TCustomMemoStrings (TextStrings)
            • TTextStrings (TextStrings)
    • TObject
      • Exception
        • EDOMError (Laz2_DOM)
          • EDOMInvalidState (Laz2_DOM)
    • TObject
      • TPersistent
        • TStrings
          • TStringList
            • TLookupStringList (LookupStringList)
    • TObject
      • TPersistent
        • TComponent
          • TXMLConfig (Laz2_XMLCfg)
    • TPOFile (Translations)
    • TPOFileItem (Translations)
    • TPointerPointerArray (DynamicArray)
    • TPointerToPointerEnumerator (AvgLvlTree)
    • TPointerToPointerTree (AvgLvlTree)
    • TProfile (TTProfile)
    • TProfileCollection (TTProfile)
    • TRenderPool (TTProfile)
    • TUnicodeEnumeratorBase (LazUnicode)
      • TCodePointEnumerator (LazUnicode)
      • TUnicodeCharacterEnumerator (LazUnicode)
    • TXMLObjectWriterStackEl (Laz_XMLStreaming)
    • TXPathContext (laz2_xpath)
    • TXPathEnvironment (laz2_xpath)
    • TXPathExpression (laz2_xpath)
    • TXPathExprNode (laz2_xpath)
      • TXPathBinaryNode (laz2_xpath)
        • TXPathBooleanOpNode (laz2_xpath)
        • TXPathCompareNode (laz2_xpath)
        • TXPathMathOpNode (laz2_xpath)
        • TXPathUnionNode (laz2_xpath)
      • TXPathConstantNode (laz2_xpath)
      • TXPathFilterNode (laz2_xpath)
        • TStep (laz2_xpath)
      • TXPathFunctionNode (laz2_xpath)
      • TXPathNegationNode (laz2_xpath)
      • TXPathVariableNode (laz2_xpath)
    • TXPathNSResolver (laz2_xpath)
    • TXPathScanner (laz2_xpath)
    • TXPathVariable (laz2_xpath)
      • TXPathBooleanVariable (laz2_xpath)
      • TXPathNodeSetVariable (laz2_xpath)
      • TXPathNumberVariable (laz2_xpath)
      • TXPathStringVariable (laz2_xpath)


Reference for unit 'AvgLvlTree'

An Average Level Tree structure, which is kept balanced so that finding a node is very rapid

uses

  System,

  Classes,

  sysutils,

  Laz_AVL_Tree,

  LazFileUtils,

  LazDbgLog;


Reference for unit 'AvgLvlTree': Types

PPointerToPointerItem | PPointerToPointerItem - a pointer to a TPointerToPointerItem
PStringMapItem
PStringToPointerTreeItem
PStringToStringItem | PStringToStringItem - pointer to a TStringToStringItem
TAvgLvlObjectSortCompare
TAvgLvlTreeClass
TAvgLvlTreeNode | TAvgLvlTreeNode - a node, the basic structural element of a TAvgLvlTree
TAvgLvlTreeNodeEnumerator
TPointerToPointerItem | TPointerToPointerItem - an item in a PointerToPointer Tree (associative array)
TStringMapItem
TStringToPointerTreeItem
TStringToStringItem | TStringToStringItem - an item in a StringToString Tree (associative array)


Reference for unit 'AvgLvlTree': Classes

TAvgLvlTree | TAvgLvlTree - an Average Level binary Tree
TCustomStringMap
TCustomStringMapEnumerator
TFilenameToPointerTree
TFilenameToStringTree
TIndexedAVLTree
TIndexedAVLTreeNode
TPointerToPointerEnumerator
TPointerToPointerTree | TPointerToPointerTree - an associative array of PointerToPointer Items, or a tree of trees
TStringMap
TStringMapEnumerator
TStringToPointerTree
TStringToPointerTreeEnumerator
TStringToStringTree | TStringToStringTree - an associative array of StringToString Items, or a tree of trees
TStringToStringTreeEnumerator


Reference for unit 'AvgLvlTree': Procedures and functions

CompareAnsiStringWithStrToStrItem

CompareAnsiStringWithStrToStrItemI

CompareFilenameAndFilenameToStringTreeItem

CompareFilenameAndFilenameToStringTreeItemI

CompareFilenameToStringItems

CompareFilenameToStringItemsI

ComparePointer

ComparePointerToPointerItems

ComparePointerWithPtrToPtrItem

CompareStringToStringItems

CompareStringToStringItemsI


Index of all identifiers in unit 'AvgLvlTree'

C P T

C

CompareAnsiStringWithStrToStrItem | CompareFilenameToStringItems | ComparePointerWithPtrToPtrItem
CompareAnsiStringWithStrToStrItemI | CompareFilenameToStringItemsI | CompareStringToStringItems
CompareFilenameAndFilenameToStringTreeItem | ComparePointer | CompareStringToStringItemsI
CompareFilenameAndFilenameToStringTreeItemI | ComparePointerToPointerItems |

P

PPointerToPointerItem | PStringToPointerTreeItem
PStringMapItem | PStringToStringItem

T

TAvgLvlObjectSortCompare | TFilenameToStringTree | TStringMapItem
TAvgLvlTree | TIndexedAVLTree | TStringToPointerTree
TAvgLvlTreeClass | TIndexedAVLTreeNode | TStringToPointerTreeEnumerator
TAvgLvlTreeNode | TPointerToPointerEnumerator | TStringToPointerTreeItem
TAvgLvlTreeNodeEnumerator | TPointerToPointerItem | TStringToStringItem
TCustomStringMap | TPointerToPointerTree | TStringToStringTree
TCustomStringMapEnumerator | TStringMap | TStringToStringTreeEnumerator
TFilenameToPointerTree | TStringMapEnumerator |


PPointerToPointerItem

PPointerToPointerItem - a pointer to a TPointerToPointerItem

Declaration

Source position: avglvltree.pas line 88

type PPointerToPointerItem = ^TPointerToPointerItem;


PStringMapItem

Declaration

Source position: avglvltree.pas line 140

type PStringMapItem = ^TStringMapItem;


PStringToPointerTreeItem

Declaration

Source position: avglvltree.pas line 262

type PStringToPointerTreeItem = ^TStringToPointerTreeItem;


PStringToStringItem

PStringToStringItem - pointer to a TStringToStringItem

Declaration

Source position: avglvltree.pas line 216

type PStringToStringItem = ^TStringToStringItem;


TAvgLvlObjectSortCompare

Declaration

Source position: avglvltree.pas line 30

type TAvgLvlObjectSortCompare = function(

  Tree: TAvgLvlTree;

  Data1: Pointer;

  Data2: Pointer

):Integer of object;


TPointerToPointerItem

TPointerToPointerItem - an item in a PointerToPointer Tree (associative array)

Declaration

Source position: avglvltree.pas line 84

type TPointerToPointerItem = record
Key: Pointer; | The Key defining the pointer item
Value: Pointer; | The Value of the pointer item
end;


TStringMapItem

Declaration

Source position: avglvltree.pas line 137

type TStringMapItem = record

  Name: string;

end;


TStringToPointerTreeItem

Declaration

Source position: avglvltree.pas line 258

type TStringToPointerTreeItem = record

  Name: string;

  Value: Pointer;

end;


TStringToStringItem

TStringToStringItem - an item in a StringToString Tree (associative array)

Declaration

Source position: avglvltree.pas line 212

type TStringToStringItem = record
Name: string; | The Name that identifies the string within the associative array
Value: string; | The Value of the string held within the associative array
end;


Reference for unit 'DynamicArray'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'DynamicArray': Types

TOnExchangeItem

TOnNotifyItem


Reference for unit 'DynamicArray': Classes

EArray

TPointerPointerArray


Index of all identifiers in unit 'DynamicArray'

E T

E

EArray

T

TOnExchangeItem TOnNotifyItem TPointerPointerArray


TOnExchangeItem

Declaration

Source position: dynamicarray.pas line 29

type TOnExchangeItem = procedure(

  Sender: TObject;

  Index: Integer;

  WithIndex: Integer

) of object;


TOnNotifyItem

Declaration

Source position: dynamicarray.pas line 28

type TOnNotifyItem = procedure(

  Sender: TObject;

  Col: Integer;

  Row: Integer;

  var Item: Pointer

) of object;


Reference for unit 'DynHashArray'

uses

  System,

  Classes,

  sysutils,

  LazLoggerBase;


Reference for unit 'DynHashArray': Constants

ItemMemManager


Reference for unit 'DynHashArray': Types

PDynHashArrayItem

TDynHashArrayItem

TDynHashArrayOption

TDynHashArrayOptions

THashFunction

TOnEachHashItem

TOnGetKeyForHashItem

TOwnerHashFunction


Reference for unit 'DynHashArray': Classes

EDynHashArrayException

TDynHashArray

TDynHashArrayItemMemManager


Index of all identifiers in unit 'DynHashArray'

D E I P T

D

dhaoCacheContains dhaoCachingEnabled

E

EDynHashArrayException

I

ItemMemManager

P

PDynHashArrayItem

T

TDynHashArray | TDynHashArrayOption | TOnEachHashItem
TDynHashArrayItem | TDynHashArrayOptions | TOnGetKeyForHashItem
TDynHashArrayItemMemManager | THashFunction | TOwnerHashFunction


ItemMemManager

Declaration

Source position: dynhasharray.pp line 166

const ItemMemManager: TDynHashArrayItemMemManager = Nil;


PDynHashArrayItem

Declaration

Source position: dynhasharray.pp line 58

type PDynHashArrayItem = ^TDynHashArrayItem;


TDynHashArrayOption

Declaration

Source position: dynhasharray.pp line 65

type TDynHashArrayOption = (

  dhaoCachingEnabled,

  dhaoCacheContains

);


TDynHashArrayOptions

Declaration

Source position: dynhasharray.pp line 66

type TDynHashArrayOptions = set of (

  dhaoCachingEnabled,

  dhaoCacheContains

);


THashFunction

Declaration

Source position: dynhasharray.pp line 53

type THashFunction = function(

  Sender: TDynHashArray;

  Item: Pointer

):Integer;


TOnEachHashItem

Declaration

Source position: dynhasharray.pp line 56

type TOnEachHashItem = function(

  Sender: TDynHashArray;

  Item: Pointer

):Boolean;


TOnGetKeyForHashItem

Declaration

Source position: dynhasharray.pp line 55

type TOnGetKeyForHashItem = function(

  Item: pointer

):pointer;


TOwnerHashFunction

Declaration

Source position: dynhasharray.pp line 54

type TOwnerHashFunction = function(

  Item: Pointer

):Integer of object;


Reference for unit 'DynQueue'

uses

  System,

  Classes,

  sysutils,

  LazLoggerBase;


Reference for unit 'DynQueue': Types

ListOfPDynamicQueueItem

PDynamicQueueItem

TDynamicQueueItem


Reference for unit 'DynQueue': Classes

TDynamicDataQueue


Index of all identifiers in unit 'DynQueue'

L P T

L

ListOfPDynamicQueueItem

P

PDynamicQueueItem

T

TDynamicDataQueue TDynamicQueueItem


ListOfPDynamicQueueItem

Declaration

Source position: dynqueue.pas line 29

type ListOfPDynamicQueueItem = ^PDynamicQueueItem;


PDynamicQueueItem

Declaration

Source position: dynqueue.pas line 28

type PDynamicQueueItem = ^TDynamicQueueItem;


TDynamicQueueItem

Declaration

Source position: dynqueue.pas line 24

type TDynamicQueueItem = record

  Size: Integer;

  Data: array [0..0] of Integer;

end;


ArrayOfCharPosition

Declaration

Source position: easylazfreetype.pas line 39

type ArrayOfCharPosition = array of TCharPosition;


ArrayOfFontCollectionItemDestroyListener

Declaration

Source position: easylazfreetype.pas line 70

type ArrayOfFontCollectionItemDestroyListener = array of TFontCollectionItemDestroyListener;


ArrayOfSingle

Declaration

Source position: easylazfreetype.pas line 34

type ArrayOfSingle = array of single;


ArrayOfString

Declaration

Source position: easylazfreetype.pas line 415

type ArrayOfString = array of string;


FontCollection

Declaration

Source position: easylazfreetype.pas line 412

var FontCollection: TCustomFreeTypeFontCollection = ;


FreeTypeInformationStr

Declaration

Source position: easylazfreetype.pas line 52

const FreeTypeInformationStr: array [TFreeTypeInformation] of string = ('Copyright notice', 'Family', 'Style', 'Identifier', 'Full name', 'Version string', 'Postscript name', 'Trademark', 'Manufacturer', 'Designer', 'Vendor URL', 'Designer URL', 'License description', 'License info URL');


FreeTypeMinPointSize

Declaration

Source position: easylazfreetype.pas line 419

const FreeTypeMinPointSize = 1;


Reference for unit 'EasyLazFreeType'

uses

  System,

  Classes,

  sysutils,

  fpimage,

  Laz_AVL_Tree,

  LazUTF8,

  LazFreeType,

  TTRASTER,

  TTTypes,

  Types;


Reference for unit 'EasyLazFreeType': Constants

FreeTypeInformationStr

FreeTypeMinPointSize


Reference for unit 'EasyLazFreeType': Types

ArrayOfCharPosition

ArrayOfFontCollectionItemDestroyListener

ArrayOfSingle

ArrayOfString

TCharPosition

TFontCollectionItemDestroyListener

TFontCollectionItemDestroyProc

TFreeTypeAlignment

TFreeTypeAlignments

TFreeTypeInformation

TFreeTypeStyle

TFreeTypeStyles

TFreeTypeWordBreakHandler

TGlyphRenderQuality

TOnRenderTextHandler


Reference for unit 'EasyLazFreeType': Classes

IFreeTypeFamilyEnumerator

IFreeTypeFontEnumerator

TCustomFamilyCollectionItem

TCustomFontCollectionItem

TCustomFreeTypeFontCollection

TFreeTypeDrawer

TFreeTypeFont

TFreeTypeGlyph

TFreeTypeGrayscaleMap

TFreeTypeMonochromeMap

TFreeTypeRasterMap

TFreeTypeRenderableFont


Reference for unit 'EasyLazFreeType': Procedures and functions

FontCollectionItemDestroyListener

StylesToArray


Reference for unit 'EasyLazFreeType': Variables

FontCollection


Index of all identifiers in unit 'EasyLazFreeType'

A F G I S T

A

ArrayOfCharPosition | ArrayOfSingle
ArrayOfFontCollectionItemDestroyListener | ArrayOfString

F

FontCollection | ftaTop | ftiManufacturer
FontCollectionItemDestroyListener | ftaVerticalCenter | ftiPostscriptName
FreeTypeInformationStr | ftiCopyrightNotice | ftiStyle
FreeTypeMinPointSize | ftiDesigner | ftiTrademark
ftaBaseline | ftiDesignerURL | ftiVendorURL
ftaBottom | ftiFamily | ftiVersionString
ftaCenter | ftiFullName | ftsBold
ftaJustify | ftiIdentifier | ftsItalic
ftaLeft | ftiLicenseDescription |
ftaRight | ftiLicenseInfoURL |

G

grqHighQuality grqLowQuality grqMonochrome

I

IFreeTypeFamilyEnumerator IFreeTypeFontEnumerator

S

StylesToArray

T

TCharPosition | TFreeTypeAlignments | TFreeTypeRasterMap
TCustomFamilyCollectionItem | TFreeTypeDrawer | TFreeTypeRenderableFont
TCustomFontCollectionItem | TFreeTypeFont | TFreeTypeStyle
TCustomFreeTypeFontCollection | TFreeTypeGlyph | TFreeTypeStyles
TFontCollectionItemDestroyListener | TFreeTypeGrayscaleMap | TFreeTypeWordBreakHandler
TFontCollectionItemDestroyProc | TFreeTypeInformation | TGlyphRenderQuality
TFreeTypeAlignment | TFreeTypeMonochromeMap | TOnRenderTextHandler


TCharPosition

Declaration

Source position: easylazfreetype.pas line 35

type TCharPosition = record

  x: single;

  width: single;

  yTop: single;

  yBase: single;

  yBottom: single;

end;


TFontCollectionItemDestroyListener

Declaration

Source position: easylazfreetype.pas line 62

type TFontCollectionItemDestroyListener = record

  TargetObject: TObject;

  NotifyProc: TFontCollectionItemDestroyProc;

end;


TFontCollectionItemDestroyProc

Declaration

Source position: easylazfreetype.pas line 61

type TFontCollectionItemDestroyProc = procedure of object;


TFreeTypeAlignment

Declaration

Source position: easylazfreetype.pas line 40

type TFreeTypeAlignment = (

  ftaLeft,

  ftaCenter,

  ftaRight,

  ftaJustify,

  ftaTop,

  ftaVerticalCenter,

  ftaBaseline,

  ftaBottom

);


TFreeTypeAlignments

Declaration

Source position: easylazfreetype.pas line 41

type TFreeTypeAlignments = set of (

  ftaLeft,

  ftaCenter,

  ftaRight,

  ftaJustify,

  ftaTop,

  ftaVerticalCenter,

  ftaBaseline,

  ftaBottom

);


TFreeTypeInformation

Declaration

Source position: easylazfreetype.pas line 43

type TFreeTypeInformation = (

  ftiCopyrightNotice,

  ftiFamily,

  ftiStyle,

  ftiIdentifier,

  ftiFullName,

  ftiVersionString,

  ftiPostscriptName,

  ftiTrademark,

  ftiManufacturer,

  ftiDesigner,

  ftiVendorURL,

  ftiDesignerURL,

  ftiLicenseDescription,

  ftiLicenseInfoURL

);


TFreeTypeStyle

Declaration

Source position: easylazfreetype.pas line 47

type TFreeTypeStyle = (

  ftsBold,

  ftsItalic

);


TFreeTypeStyles

Declaration

Source position: easylazfreetype.pas line 48

type TFreeTypeStyles = set of (

  ftsBold,

  ftsItalic

);


TFreeTypeWordBreakHandler

Declaration

Source position: easylazfreetype.pas line 49

type TFreeTypeWordBreakHandler = procedure(

  var ABefore: string;

  var AAfter: string

) of object;


TGlyphRenderQuality

Declaration

Source position: easylazfreetype.pas line 33

type TGlyphRenderQuality = (

  grqMonochrome,

  grqLowQuality,

  grqHighQuality

);


TOnRenderTextHandler

Declaration

Source position: easylazfreetype.pas line 168

type TOnRenderTextHandler = procedure(

  AText: string;

  x: single;

  y: single

) of object;


Reference for unit 'ExtendedStrings'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'ExtendedStrings': Types

TExtStringsOption

TExtStringsOptions


Reference for unit 'ExtendedStrings': Classes

TExtendedStringList


Index of all identifiers in unit 'ExtendedStrings'

E T

E

esoClearRecordsOnCreate esoFreeObjectsOnDelete

T

TExtendedStringList TExtStringsOption TExtStringsOptions


TExtStringsOption

Declaration

Source position: extendedstrings.pas line 30

type TExtStringsOption = (

  esoClearRecordsOnCreate,

  esoFreeObjectsOnDelete

);


TExtStringsOptions

Declaration

Source position: extendedstrings.pas line 34

type TExtStringsOptions = set of (

  esoClearRecordsOnCreate,

  esoFreeObjectsOnDelete

);


AllDirectoryEntriesMask

AllDirectoryEntriesMask - typically '*' on most systems

Declaration

Source position: fileutil.pas line 199

const AllDirectoryEntriesMask = '*';


FilenamesCaseSensitive

Declaration

Source position: fileutil.pas line 42

const FilenamesCaseSensitive = True;


FilenamesLiteral

Declaration

Source position: fileutil.pas line 43

const FilenamesLiteral = True;


Reference for unit 'FileUtil'

Miscellaneous procedures and functions for manipulating files and filenames

uses
System,
Classes,
sysutils,
Masks, | This unit contains classes for mask matching.
LazUTF8, |
LazFileUtils, |
StrUtils;


Reference for unit 'FileUtil': Constants

AllDirectoryEntriesMask | AllDirectoryEntriesMask - typically '*' on most systems
FilenamesCaseSensitive
FilenamesLiteral
PascalFileExt | PascalFileExt - typically '.pas', '.pp' or '.p'
PascalSourceExt
UTF8FileHeader |


Reference for unit 'FileUtil': Types

TCopyFileFlag

TCopyFileFlags

TDirectoryEnterEvent

TDirectoryFoundEvent

TFileFoundEvent

TSearchFileInPathFlag

TSearchFileInPathFlags


Reference for unit 'FileUtil': Classes

TFileIterator | Class for getting info about found file or directory.
TFileSearcher | Class for searching files.
TListDirectoriesSearcher
TListFileSearcher


Reference for unit 'FileUtil': Procedures and functions

CompareFilenames | CompareFileNames - compares two file names to see whether they are equal
ComparePhysicalFilenames
CopyDirTree
CopyFile | CopyFile - copies Source file to Destination file, optionally preserving the timestamp of the original file
CreateAbsolutePath
CreateAbsoluteSearchPath | CreateAbsoluteSearchPath - concatenates BaseDirectory and SearchPath to form an absolute path to search for files
DeleteDirectory | DeleteDirectory - Delete the named directory (or only its contents if OnlyChildren is True)
ExpandUNCFileNameUTF8
ExtractFileNameWithoutExt | ExtractFileNameWithoutExt - returns just the name of the file without an extension
ExtractShortPathNameUTF8
FileIsInDirectory | FileIsInDirectory - checks whether a file with FileName exists within the given Directory
FileIsInPath | FileIsInPath - checks that FileName refers to a file that exists within the given Path
FilenameIsPascalUnit | FilenameIsPascalUnit - checks that the supplied name is a correct Pascal unit name
FileSize | FileSize - finds the size of the named file
FindAllDirectories
FindAllFiles | Returns the list of found files in the specified path according to passed options.
FindDefaultExecutablePath | FindDefaultExecutablePath - finds the default path to the named Executable file
FindDiskFileCaseInsensitive | FindDiskFileCaseInsensitive - searches for the given FileName in a case insensitive manner
FindDiskFilename | FindDiskFilename - finds the file that best fits the supplied filename
GetAllFilesMask | File mask representing all files suitable for showing in a file filter.
GetExeExt | GetExeExt - find the correct extension (including the starting .) for an executable file
ProgramDirectory | ProgramDirectory - returns the directory in which the currently running program resides
ReadFileToString | ReadFileToString - returns a string with the contents of the named file
SearchAllFilesInPath | SearchAllFilesInPath - searches for all files named Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags
SearchFileInPath | SearchFileInPath - searches for Filename in the given SearchPath using the supplied BasePath with the specified Delimiter and the options listed in Flags


Index of all identifiers in unit 'FileUtil'

A C D E F G P R S T U

A

AllDirectoryEntriesMask

C

cffCreateDestDirectory | CompareFilenames | CopyFile
cffOverwriteFile | ComparePhysicalFilenames | CreateAbsolutePath
cffPreserveTime | CopyDirTree | CreateAbsoluteSearchPath

D

DeleteDirectory

E

ExpandUNCFileNameUTF8 ExtractFileNameWithoutExt ExtractShortPathNameUTF8

F

FileIsInDirectory | FilenamesLiteral | FindDefaultExecutablePath
FileIsInPath | FileSize | FindDiskFileCaseInsensitive
FilenameIsPascalUnit | FindAllDirectories | FindDiskFilename
FilenamesCaseSensitive | FindAllFiles |

G

GetAllFilesMask GetExeExt

P

PascalFileExt PascalSourceExt ProgramDirectory

R

ReadFileToString

S

SearchAllFilesInPath | sffDontSearchInBasePath
SearchFileInPath | sffSearchLoUpCase

T

TCopyFileFlag | TFileFoundEvent | TListFileSearcher
TCopyFileFlags | TFileIterator | TSearchFileInPathFlag
TDirectoryEnterEvent | TFileSearcher | TSearchFileInPathFlags
TDirectoryFoundEvent | TListDirectoriesSearcher |

U

UTF8FileHeader


PascalFileExt

PascalFileExt - typically '.pas', '.pp' or '.p'

Declaration

Source position: fileutil.pas line 196

const PascalFileExt: array [1..3] of string = ('.pas', '.pp', '.p');


PascalSourceExt

Declaration

Source position: fileutil.pas line 197

const PascalSourceExt: array [1..6] of string = ('.pas', '.pp', '.p', '.lpr', '.dpr', '.dpk');


TCopyFileFlag

Declaration

Source position: fileutil.pas line 181

type TCopyFileFlag = (

  cffOverwriteFile,

  cffCreateDestDirectory,

  cffPreserveTime

);


TCopyFileFlags

Declaration

Source position: fileutil.pas line 186

type TCopyFileFlags = set of (

  cffOverwriteFile,

  cffCreateDestDirectory,

  cffPreserveTime

);


TDirectoryEnterEvent

Declaration

Source position: fileutil.pas line 115

type TDirectoryEnterEvent = procedure(

  FileIterator: TFileIterator

) of object;


TDirectoryFoundEvent

Declaration

Source position: fileutil.pas line 114

type TDirectoryFoundEvent = procedure(

  FileIterator: TFileIterator

) of object;


TFileFoundEvent

Declaration

Source position: fileutil.pas line 113

type TFileFoundEvent = procedure(

  FileIterator: TFileIterator

) of object;


TSearchFileInPathFlag

Declaration

Source position: fileutil.pas line 75

type TSearchFileInPathFlag = (

  sffDontSearchInBasePath,

  sffSearchLoUpCase

);


TSearchFileInPathFlags

Declaration

Source position: fileutil.pas line 79

type TSearchFileInPathFlags = set of (

  sffDontSearchInBasePath,

  sffSearchLoUpCase

);


UTF8FileHeader

Declaration

Source position: fileutil.pas line 41

const UTF8FileHeader = #$ef#$bb#$bf;


Reference for unit 'FPCAdds'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'FPCAdds': Types

PHandle

TCompareMemSize

TMemStreamSeekType

TStreamSeekType


Reference for unit 'FPCAdds': Procedures and functions

AlignToInt

AlignToPtr

StrToWord


Index of all identifiers in unit 'FPCAdds'

A P S T

A

AlignToInt AlignToPtr

P

PHandle

S

StrToWord

T

TCompareMemSize TMemStreamSeekType TStreamSeekType


PHandle

Declaration

Source position: fpcadds.pas line 24

type PHandle = ^THandle;


TCompareMemSize

Declaration

Source position: fpcadds.pas line 23

type TCompareMemSize = PtrUInt;


TMemStreamSeekType

Declaration

Source position: fpcadds.pas line 22

type TMemStreamSeekType = PtrInt;


TStreamSeekType

Declaration

Source position: fpcadds.pas line 21

type TStreamSeekType = Int64;


ATTRIBUTE_NODE

Declaration

Source position: laz2_dom.pas line 76

const ATTRIBUTE_NODE = 2;


CDATA_SECTION_NODE

Declaration

Source position: laz2_dom.pas line 78

const CDATA_SECTION_NODE = 4;


COMMENT_NODE

Declaration

Source position: laz2_dom.pas line 82

const COMMENT_NODE = 8;


DOCUMENT_FRAGMENT_NODE

Declaration

Source position: laz2_dom.pas line 85

const DOCUMENT_FRAGMENT_NODE = 11;


DOCUMENT_NODE

Declaration

Source position: laz2_dom.pas line 83

const DOCUMENT_NODE = 9;


DOCUMENT_TYPE_NODE

Declaration

Source position: laz2_dom.pas line 84

const DOCUMENT_TYPE_NODE = 10;


DOMChar

Declaration

Source position: laz2_dom.pas line 118

type DOMChar = Char;


DOMPChar

Declaration

Source position: laz2_dom.pas line 117

type DOMPChar = PChar;


DOMString

Declaration

Source position: laz2_dom.pas line 116

type DOMString = AnsiString;


DOMSTRING_SIZE_ERR

Declaration

Source position: laz2_dom.pas line 52

const DOMSTRING_SIZE_ERR = 2;


ELEMENT_NODE

Declaration

Source position: laz2_dom.pas line 75

const ELEMENT_NODE = 1;


ENTITY_NODE

Declaration

Source position: laz2_dom.pas line 80

const ENTITY_NODE = 6;


ENTITY_REFERENCE_NODE

Declaration

Source position: laz2_dom.pas line 79

const ENTITY_REFERENCE_NODE = 5;


HIERARCHY_REQUEST_ERR

Declaration

Source position: laz2_dom.pas line 53

const HIERARCHY_REQUEST_ERR = 3;


Reference for unit 'Laz2_DOM'

uses

  System,

  sysutils,

  Classes,

  laz2_xmlutils;


Reference for unit 'Laz2_DOM': Constants

ATTRIBUTE_NODE

CDATA_SECTION_NODE

COMMENT_NODE

DOCUMENT_FRAGMENT_NODE

DOCUMENT_NODE

DOCUMENT_TYPE_NODE

DOMSTRING_SIZE_ERR

ELEMENT_NODE

ENTITY_NODE

ENTITY_REFERENCE_NODE

HIERARCHY_REQUEST_ERR

INDEX_SIZE_ERR

INUSE_ATTRIBUTE_ERR

INVALID_ACCESS_ERR

INVALID_CHARACTER_ERR

INVALID_MODIFICATION_ERR

INVALID_STATE_ERR

NAMESPACE_ERR

NOTATION_NODE

NOT_FOUND_ERR

NOT_SUPPORTED_ERR

NO_DATA_ALLOWED_ERR

NO_MODIFICATION_ALLOWED_ERR

PROCESSING_INSTRUCTION_NODE

stduri_xml

stduri_xmlns

SYNTAX_ERR

TEXT_NODE

WRONG_DOCUMENT_ERR


Reference for unit 'Laz2_DOM': Types

DOMChar

DOMPChar

DOMString

PDOMString

PExtent

PNodePoolArray

TAttrDataType

TAttrDefault

TDOMNodeClass

TExtent

TFilterResult

TNamespaceInfo

TNamespaces

TNodeFlagEnum

TNodeFlags

TNodePoolArray

TSetOfChar


Reference for unit 'Laz2_DOM': Classes

EDOMError

EDOMHierarchyRequest

EDOMIndexSize

EDOMInUseAttribute

EDOMInvalidAccess

EDOMInvalidModification

EDOMInvalidState

EDOMNamespace

EDOMNotFound

EDOMNotSupported

EDOMSyntax

EDOMWrongDocument

TDOMAttr

TDOMAttrDef

TDOMCDATASection

TDOMCharacterData

TDOMComment

TDOMDocument

TDOMDocumentFragment

TDOMDocumentType

TDOMElement

TDOMElementList

TDOMEntity

TDOMEntityReference

TDOMImplementation

TDOMNamedNodeMap

TDOMNode

TDOMNodeAllChildEnumerator

TDOMNodeEnumerator

TDOMNodeList

TDOMNode_NS

TDOMNode_WithChildren

TDOMNotation

TDOMProcessingInstruction

TDOMText

TNodePool

TXMLDocument


Reference for unit 'Laz2_DOM': Procedures and functions

EncodeLesserAndGreaterThan

StrToXMLValue

XMLValueToStr


Index of all identifiers in unit 'Laz2_DOM'

A C D E F H I N P S T W X

A

adDefault | adImplied | ATTRIBUTE_NODE
adFixed | adRequired |

C

CDATA_SECTION_NODE COMMENT_NODE

D

DOCUMENT_FRAGMENT_NODE | DOMSTRING_SIZE_ERR | dtIdRefs
DOCUMENT_NODE | dtCdata | dtNmToken
DOCUMENT_TYPE_NODE | dtEntities | dtNmTokens
DOMChar | dtEntity | dtNotation
DOMPChar | dtId |
DOMString | dtIdRef |

E

EDOMError | EDOMInvalidState | ELEMENT_NODE
EDOMHierarchyRequest | EDOMNamespace | EncodeLesserAndGreaterThan
EDOMIndexSize | EDOMNotFound | ENTITY_NODE
EDOMInUseAttribute | EDOMNotSupported | ENTITY_REFERENCE_NODE
EDOMInvalidAccess | EDOMSyntax |
EDOMInvalidModification | EDOMWrongDocument |

F

frFalse | frNorecurseTrue
frNorecurseFalse | frTrue

H

HIERARCHY_REQUEST_ERR

I

INDEX_SIZE_ERR | INVALID_ACCESS_ERR | INVALID_MODIFICATION_ERR
INUSE_ATTRIBUTE_ERR | INVALID_CHARACTER_ERR | INVALID_STATE_ERR

N

NAMESPACE_ERR | nfReadonly | NO_MODIFICATION_ALLOWED_ERR
nfDestroying | nfRecycled | NOTATION_NODE
nfIgnorableWS | nfSpecified | NOT_FOUND_ERR
nfLevel2 | NO_DATA_ALLOWED_ERR | NOT_SUPPORTED_ERR

P

PDOMString | PNodePoolArray
PExtent | PROCESSING_INSTRUCTION_NODE

S

stduri_xml | StrToXMLValue
stduri_xmlns | SYNTAX_ERR

T

TAttrDataType | TDOMEntityReference | TExtent
TAttrDefault | TDOMImplementation | TEXT_NODE
TDOMAttr | TDOMNamedNodeMap | TFilterResult
TDOMAttrDef | TDOMNode | TNamespaceInfo
TDOMCDATASection | TDOMNodeAllChildEnumerator | TNamespaces
TDOMCharacterData | TDOMNodeClass | TNodeFlagEnum
TDOMComment | TDOMNodeEnumerator | TNodeFlags
TDOMDocument | TDOMNodeList | TNodePool
TDOMDocumentFragment | TDOMNode_NS | TNodePoolArray
TDOMDocumentType | TDOMNode_WithChildren | TSetOfChar
TDOMElement | TDOMNotation | TXMLDocument
TDOMElementList | TDOMProcessingInstruction |
TDOMEntity | TDOMText |

W

WRONG_DOCUMENT_ERR

X

XMLValueToStr


INDEX_SIZE_ERR

Declaration

Source position: laz2_dom.pas line 51

const INDEX_SIZE_ERR = 1;


INUSE_ATTRIBUTE_ERR

Declaration

Source position: laz2_dom.pas line 60

const INUSE_ATTRIBUTE_ERR = 10;


INVALID_ACCESS_ERR

Declaration

Source position: laz2_dom.pas line 68

const INVALID_ACCESS_ERR = 15;


INVALID_CHARACTER_ERR

Declaration

Source position: laz2_dom.pas line 55

const INVALID_CHARACTER_ERR = 5;


INVALID_MODIFICATION_ERR

Declaration

Source position: laz2_dom.pas line 66

const INVALID_MODIFICATION_ERR = 13;


INVALID_STATE_ERR

Declaration

Source position: laz2_dom.pas line 64

const INVALID_STATE_ERR = 11;


NAMESPACE_ERR

Declaration

Source position: laz2_dom.pas line 67

const NAMESPACE_ERR = 14;


NO_DATA_ALLOWED_ERR

Declaration

Source position: laz2_dom.pas line 56

const NO_DATA_ALLOWED_ERR = 6;


NO_MODIFICATION_ALLOWED_ERR

Declaration

Source position: laz2_dom.pas line 57

const NO_MODIFICATION_ALLOWED_ERR = 7;


NOT_FOUND_ERR

Declaration

Source position: laz2_dom.pas line 58

const NOT_FOUND_ERR = 8;


NOT_SUPPORTED_ERR

Declaration

Source position: laz2_dom.pas line 59

const NOT_SUPPORTED_ERR = 9;


NOTATION_NODE

Declaration

Source position: laz2_dom.pas line 86

const NOTATION_NODE = 12;


PDOMString

Declaration

Source position: laz2_dom.pas line 119

type PDOMString = ^DOMString;


PExtent

Declaration

Source position: laz2_dom.pas line 826

type PExtent = ^TExtent;


PNodePoolArray

Declaration

Source position: laz2_dom.pas line 104

type PNodePoolArray = ^TNodePoolArray;


PROCESSING_INSTRUCTION_NODE

Declaration

Source position: laz2_dom.pas line 81

const PROCESSING_INSTRUCTION_NODE = 7;


stduri_xml

Declaration

Source position: laz2_dom.pas line 850

const stduri_xml: DOMString = 'http://www.w3.org/XML/1998/namespace';


stduri_xmlns

Declaration

Source position: laz2_dom.pas line 851

const stduri_xmlns: DOMString = 'http://www.w3.org/2000/xmlns/';


SYNTAX_ERR

Declaration

Source position: laz2_dom.pas line 65

const SYNTAX_ERR = 12;


TAttrDataType

Declaration

Source position: laz2_dom.pas line 569

type TAttrDataType = (

  dtCdata,

  dtId,

  dtIdRef,

  dtIdRefs,

  dtEntity,

  dtEntities,

  dtNmToken,

  dtNmTokens,

  dtNotation

);


TAttrDefault

Declaration

Source position: laz2_dom.pas line 801

type TAttrDefault = (

  adImplied,

  adDefault,

  adRequired,

  adFixed

);


TDOMNodeClass

Declaration

Source position: laz2_dom.pas line 308

type TDOMNodeClass = class of TDOMNode;


TEXT_NODE

Declaration

Source position: laz2_dom.pas line 77

const TEXT_NODE = 3;


TExtent

Declaration

Source position: laz2_dom.pas line 827

type TExtent = record

  Next: PExtent;

end;


TFilterResult

Declaration

Source position: laz2_dom.pas line 342

type TFilterResult = (

  frFalse,

  frNorecurseFalse,

  frTrue,

  frNorecurseTrue

);


TNamespaceInfo

Declaration

Source position: laz2_dom.pas line 559

type TNamespaceInfo = packed record

  NSIndex: Word;

  PrefixLen: Word;

  QName: PHashItem;

end;


TNamespaces

Declaration

Source position: laz2_dom.pas line 473

type TNamespaces = array of DOMString;


TNodeFlagEnum

Declaration

Source position: laz2_dom.pas line 188

type TNodeFlagEnum = (

  nfReadonly,

  nfRecycled,

  nfLevel2,

  nfIgnorableWS,

  nfSpecified,

  nfDestroying

);


TNodeFlags

Declaration

Source position: laz2_dom.pas line 196

type TNodeFlags = set of (

  nfReadonly,

  nfRecycled,

  nfLevel2,

  nfIgnorableWS,

  nfSpecified,

  nfDestroying

);


TSetOfChar

Declaration

Source position: laz2_dom.pas line 115

type TSetOfChar = set of Char;


WRONG_DOCUMENT_ERR

Declaration

Source position: laz2_dom.pas line 54

const WRONG_DOCUMENT_ERR = 4;


Reference for unit 'Laz2_XMLCfg'

uses

  System,

  Classes,

  sysutils,

  LazFileCache,

  Laz2_DOM,

  laz2_XMLRead,

  laz2_XMLWrite,

  LazUtilities,

  typinfo;


Reference for unit 'Laz2_XMLCfg': Classes

TRttiXMLConfig

TXMLConfig


Reference for unit 'Laz2_XMLCfg': Procedures and functions

CompareDomNodeNames


Index of all identifiers in unit 'Laz2_XMLCfg'

C T

C

CompareDomNodeNames

T

TRttiXMLConfig TXMLConfig


Reference for unit 'laz2_XMLRead'

uses

  System,

  sysutils,

  Classes,

  Laz2_DOM,

  LazUTF8Classes;


Reference for unit 'laz2_XMLRead': Types

TDecoder

TErrorSeverity

TGetDecoderProc

TXMLContextAction

TXMLErrorEvent

TXMLReaderFlag

TXMLReaderFlags


Reference for unit 'laz2_XMLRead': Classes

EXMLReadError

TDOMParseOptions

TDOMParser

TXMLInputSource


Reference for unit 'laz2_XMLRead': Procedures and functions

ReadDTDFile

ReadXMLFile

ReadXMLFragment

RegisterDecoder


Index of all identifiers in unit 'laz2_XMLRead'

E R T X

E

esError | esWarning
esFatal | EXMLReadError

R

ReadDTDFile | ReadXMLFragment
ReadXMLFile | RegisterDecoder

T

TDecoder | TGetDecoderProc | TXMLReaderFlag
TDOMParseOptions | TXMLContextAction | TXMLReaderFlags
TDOMParser | TXMLErrorEvent |
TErrorSeverity | TXMLInputSource |

X

xaAppendAsChildren | xaReplace | xrfAllowSpecialCharsInAttributeValue
xaInsertAfter | xaReplaceChildren | xrfAllowSpecialCharsInComments
xaInsertBefore | xrfAllowLowerThanInAttributeValue | xrfPreserveWhiteSpace


TDecoder

Declaration

Source position: laz2_xmlread.pas line 148

type TDecoder = record

  Context: Pointer;

  Decode: function(

  Context: Pointer;

  InBuf: PChar;

  var InCnt: Cardinal;

  OutBuf: DOMPChar;

  var OutCnt: Cardinal

):Integer;

  Cleanup: procedure(

  Context: Pointer

);

end;


TErrorSeverity

Declaration

Source position: laz2_xmlread.pas line 32

type TErrorSeverity = (

  esWarning,

  esError,

  esFatal

);


TGetDecoderProc

Declaration

Source position: laz2_xmlread.pas line 154

type TGetDecoderProc = function(

  const AEncoding: string;

  out Decoder: TDecoder

):Boolean;


TXMLContextAction

Declaration

Source position: laz2_xmlread.pas line 105

type TXMLContextAction = (

  xaAppendAsChildren = 1,

  xaReplaceChildren,

  xaInsertBefore,

  xaInsertAfter,

  xaReplace

);


TXMLErrorEvent

Declaration

Source position: laz2_xmlread.pas line 112

type TXMLErrorEvent = procedure(

  Error: EXMLReadError

) of object;


TXMLReaderFlag

Declaration

Source position: laz2_xmlread.pas line 34

type TXMLReaderFlag = (

  xrfAllowLowerThanInAttributeValue,

  xrfAllowSpecialCharsInAttributeValue,

  xrfAllowSpecialCharsInComments,

  xrfPreserveWhiteSpace

);


TXMLReaderFlags

Declaration

Source position: laz2_xmlread.pas line 40

type TXMLReaderFlags = set of (

  xrfAllowLowerThanInAttributeValue,

  xrfAllowSpecialCharsInAttributeValue,

  xrfAllowSpecialCharsInComments,

  xrfPreserveWhiteSpace

);


Reference for unit 'laz2_xmlutils'

uses

  System,

  sysutils,

  Classes,

  LazUTF8;


Reference for unit 'laz2_xmlutils': Constants

NamePages

namingBitmap

ns_0200

ns_0300

ns_0400

ns_0500

ns_0600

ns_0900

ns_0A00

ns_0B00

ns_0C00

ns_0D00

ns_0E00

ns_0F00

ns_3000

ns_ASCII

Xml11HighPages


Reference for unit 'laz2_xmlutils': Types

PExpHashEntryArray

PHashItem

PHashItemArray

PPHashItem

PXMLUtilChar

PXMLUtilString

TAttributeAction

TExpHashEntry

TExpHashEntryArray

THashForEach

THashItem

THashItemArray

TSetOfByte

TXMLUtilChar

TXMLUtilString


Reference for unit 'laz2_xmlutils': Classes

TBinding

TDblHashArray

THashTable

TNSSupport


Reference for unit 'laz2_xmlutils': Procedures and functions

Hash

IsValidXmlEncoding

IsXmlName

IsXmlNames

IsXmlNmToken

IsXmlNmTokens

IsXmlWhiteSpace

NormalizeSpaces

TranslateUTF8Chars

Xml11NamePages

XUStrLIComp


Index of all identifiers in unit 'laz2_xmlutils'

A H I N P T X

A

aaBoth aaPrefix aaUnchanged

H

Hash

I

IsValidXmlEncoding | IsXmlNames | IsXmlNmTokens
IsXmlName | IsXmlNmToken | IsXmlWhiteSpace

N

NamePages | ns_0500 | ns_0D00
namingBitmap | ns_0600 | ns_0E00
NormalizeSpaces | ns_0900 | ns_0F00
ns_0200 | ns_0A00 | ns_3000
ns_0300 | ns_0B00 | ns_ASCII
ns_0400 | ns_0C00 |

P

PExpHashEntryArray | PHashItemArray | PXMLUtilChar
PHashItem | PPHashItem | PXMLUtilString

T

TAttributeAction | THashForEach | TranslateUTF8Chars
TBinding | THashItem | TSetOfByte
TDblHashArray | THashItemArray | TXMLUtilChar
TExpHashEntry | THashTable | TXMLUtilString
TExpHashEntryArray | TNSSupport |

X

Xml11HighPages Xml11NamePages XUStrLIComp


NamePages

Declaration

Source position: laz2_names.inc line 174

const NamePages: array [0..511] of Byte = ($02, $03, $04, $05, $06, $07, $08, $00, $00, $09, $0A, $0B, $0C, $0D, $0E, $0F, $10, $11, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $12, $13, $00, $14, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $15, $16, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $17, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $18, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $19, $03, $1A, $1B, $1C, $1D, $1E, $00, $00, $1F, $20, $21, $22, $23, $24, $25, $10, $11, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $12, $13, $26, $14, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $27, $16, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $17, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $01, $18, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00);


namingBitmap

Declaration

Source position: laz2_names.inc line 61

const namingBitmap: array [0..$30] of TSetOfByte = ([], [0..255], ns_ASCII, [0..$31, $34..$3E, $41..$48, $4A..$7E, $80..$C3, $CD..$F0, $F4..$F5, $FA..$FF], ns_0200, ns_0300, ns_0400, ns_0500, ns_0600, ns_0900, ns_0A00, ns_0B00, ns_0C00, ns_0D00, ns_0E00, ns_0F00, [$A0..$C5, $D0..$F6], [0, $02..03, $05..$07, $09, $0B..$0C, $0E..$12, $3C, $3E, $40, $4C, $4E, $50, $54..$55, $59, $5F..$61, $63, $65, $67, $69, $6D..$6E, $72..$73, $75, $9E, $A8, $AB, $AE..$AF, $B7..$B8, $BA, $BC..$C2, $EB, $F0, $F9], [0..$9B, $A0..$F9], [0..$15, $18..$1D, $20..$45, $48..$4D, $50..$57, $59, $5B, $5D, $5F..$7D, $80..$B4, $B6..$BC, $BE, $C2..$C4, $C6..$CC, $D0..$D3, $D6..$DB, $E0..$EC, $F2..$F4, $F6..$FC], [$26, $2A..$2B, $2E, $80..$82], ns_3000, [$05..$2C], [0..$A5], [0..$A3], ns_ASCII + [$2D..$2E, $30..$39, $B7], ns_0200 + [$D0..$D1], ns_0300 + [0..$45, $60..$61, $87], ns_0400 + [$83..$86], ns_0500 + [$91..$A1, $A3..$B9, $BB..$BD, $BF, $C1..$C2, $C4], ns_0600 + [$4B..$52, $70, $D6..$DC, $DD..$DF, $E0..$E4, $E7..$E8, $EA..$ED] + [$60..$69, $F0..$F9] + [$40], ns_0900 + [$01..$03, $3C, $3E..$4C, $4D, $51..$54, $62..$63, $81..$83, $BC, $BE, $BF, $C0..$C4, $C7..$C8, $CB..$CD, $D7, $E2..$E3] + [$66..$6F, $E6..$EF], ns_0A00 + [$02, $3C, $3E..$42, $47..$48, $4B..$4D, $70..$71, $81..$83, $BC, $BE..$C5, $C7..$C9, $CB..$CD] + [$66..$6F, $E6..$EF], ns_0B00 + [$01..$03, $3C, $3E..$43, $47..$48, $4B..$4D, $56..$57, $82..$83, $BE..$C2, $C6..$C8, $CA..$CD, $D7] + [$66..$6F, $E7..$EF], ns_0C00 + [$01..$03, $3E..$44, $46..$48, $4A..$4D, $55..$56, $82..$83, $BE..$C4, $C6..$C8, $CA..$CD, $D5..$D6] + [$66..$6F, $E6..$EF], ns_0D00 + [$02..$03, $3E..$43, $46..$48, $4A..$4D, $57] + [$66..$6F], ns_0E00 + [$31, $34..$3A, $47..$4E, $B1, $B4..$B9, $BB..$BC, $C8..$CD] + [$50..$59, $D0..$D9] + [$46, $C6], ns_0F00 + [$18..$19, $35, $37, $39, $3E, $3F, $71..$84, $86..$8B, $90..$95, $97, $99..$AD, $B1..$B7, $B9] + [$20..$29], [$D0..$DC, $E1], ns_3000 + [$2A..$2F, $99, $9A] + [$05, $31..$35, $9D..$9E, $FC..$FE], [0..$CF, $F0..$FF], [0..$EF], [$0C..$0D, $70..$FF], [0..$8F], [$70..$7D, $7F..$FF], [1..$FF], [0..$7D, $7F..$FF], [$0C..$0D, $3F..$40, $70..$FF], [$00..$FD]);


ns_0A00

Declaration

Source position: laz2_names.inc line 36

const ns_0A00 = [$05..$0A, $0F..$10, $13..$28, $2A..$30, $32..$33, $35..$36, $38..$39, $59..$5C, $5E, $72..$74, $85..$8B, $8D, $8F..$91, $93..$A8, $AA..$B0, $B2..$B3, $B5..$B9, $BD, $E0];


ns_0B00

Declaration

Source position: laz2_names.inc line 41

const ns_0B00 = [$05..$0C, $0F..$10, $13..$28, $2A..$30, $32..$33, $36..$39, $3D, $5C..$5D, $5F..$61, $85..$8A, $8E..$90, $92..$95, $99..$9A, $9C, $9E..$9F, $A3..$A4, $A8..$AA, $AE..$B5, $B7..$B9];


ns_0C00

Declaration

Source position: laz2_names.inc line 47

const ns_0C00 = [$05..$0C, $0E..$10, $12..$28, $2A..$33, $35..$39, $60..$61, $85..$8C, $8E..$90, $92..$A8, $AA..$B3, $B5..$B9, $DE, $E0..$E1];


ns_0D00

Declaration

Source position: laz2_names.inc line 51

const ns_0D00 = [$05..$0C, $0E..$10, $12..$28, $2A..$39, $60..$61];


ns_0E00

Declaration

Source position: laz2_names.inc line 52

const ns_0E00 = [$01..$2E, $30, $32..$33, $40..$45, $81..$82, $84, $87..$88, $8A, $8D, $94..$97, $99..$9F, $A1..$A3, $A5, $A7, $AA..$AB, $AD..$AE, $B0, $B2..$B3, $BD, $C0..$C4];


ns_0F00

Declaration

Source position: laz2_names.inc line 57

const ns_0F00 = [$40..$47, $49..$69];


ns_0200

Declaration

Source position: laz2_names.inc line 20

const ns_0200 = [0..$17, $50..$A8, $BB..$C1];


ns_0300

Declaration

Source position: laz2_names.inc line 21

const ns_0300 = [$86, $88..$8A, $8C, $8E..$A1, $A3..$CE, $D0..$D6, $DA, $DC, $DE, $E0, $E2..$F3];


ns_0400

Declaration

Source position: laz2_names.inc line 24

const ns_0400 = [$01..$0C, $0E..$4F, $51..$5C, $5E..$81, $90..$C4, $C7..$C8, $CB..$CC, $D0..$EB, $EE..$F5, $F8..$F9];


ns_0500

Declaration

Source position: laz2_names.inc line 28

const ns_0500 = [$31..$56, $59, $61..$86, $D0..$EA, $F0..$F2];


ns_0600

Declaration

Source position: laz2_names.inc line 29

const ns_0600 = [$21..$3A, $41..$4A, $71..$B7, $BA..$BE, $C0..$CE, $D0..$D3, $D5, $E5..$E6];


ns_0900

Declaration

Source position: laz2_names.inc line 32

const ns_0900 = [$05..$39, $3D, $58..$61, $85..$8C, $8F..$90, $93..$A8, $AA..$B0, $B2, $B6..$B9, $DC..$DD, $DF..$E1, $F0..$F1];


ns_3000

Declaration

Source position: laz2_names.inc line 59

const ns_3000 = [$41..$94, $A1..$FA] + [$07, $21..$29];


ns_ASCII

Declaration

Source position: laz2_names.inc line 19

const ns_ASCII = [$41..$5A, $5F, $61..$7A, $C0..$D6, $D8..$F6, $F8..$FF];


PExpHashEntryArray

Declaration

Source position: laz2_xmlutils.pas line 100

type PExpHashEntryArray = ^TExpHashEntryArray;


PHashItem

Declaration

Source position: laz2_xmlutils.pas line 56

type PHashItem = ^THashItem;


PHashItemArray

Declaration

Source position: laz2_xmlutils.pas line 64

type PHashItemArray = ^THashItemArray;


PPHashItem

Declaration

Source position: laz2_xmlutils.pas line 55

type PPHashItem = ^PHashItem;


PXMLUtilChar

Declaration

Source position: laz2_xmlutils.pas line 29

type PXMLUtilChar = PChar;


PXMLUtilString

Declaration

Source position: laz2_xmlutils.pas line 30

type PXMLUtilString = ^TXMLUtilString;


TAttributeAction

Declaration

Source position: laz2_xmlutils.pas line 121

type TAttributeAction = (

  aaUnchanged,

  aaPrefix,

  aaBoth

);


TExpHashEntry

Declaration

Source position: laz2_xmlutils.pas line 92

type TExpHashEntry = record

  rev: LongWord;

  hash: LongWord;

  uriPtr: PXMLUtilString;

  lname: PXMLUtilChar;

  lnameLen: Integer;

end;


TExpHashEntryArray

Declaration

Source position: laz2_xmlutils.pas line 99

type TExpHashEntryArray = array [0..MaxIntdivsizeof(TExpHashEntry)-1] of TExpHashEntry;


THashForEach

Declaration

Source position: laz2_xmlutils.pas line 66

type THashForEach = function(

  Entry: PHashItem;

  arg: Pointer

):Boolean;


THashItem

Declaration

Source position: laz2_xmlutils.pas line 57

type THashItem = record

  Key: TXMLUtilString;

  HashValue: LongWord;

  Next: PHashItem;

  Data: TObject;

end;


THashItemArray

Declaration

Source position: laz2_xmlutils.pas line 63

type THashItemArray = array [0..MaxIntdivsizeof(Pointer)-1] of PHashItem;


TSetOfByte

Declaration

Source position: laz2_names.inc line 15

type TSetOfByte = set of Byte;


TXMLUtilChar

Declaration

Source position: laz2_xmlutils.pas line 28

type TXMLUtilChar = Char;


TXMLUtilString

Declaration

Source position: laz2_xmlutils.pas line 27

type TXMLUtilString = AnsiString;


Xml11HighPages

Declaration

Source position: laz2_names.inc line 172

const Xml11HighPages: TSetOfByte = [0..$21, $2C..$D7, $F9..$FE];


Reference for unit 'laz2_XMLWrite'

uses

  System,

  Classes,

  LazUTF8,

  Laz2_DOM,

  sysutils,

  laz2_xmlutils,

  LazUTF8Classes;


Reference for unit 'laz2_XMLWrite': Types

TXMLWriterFlag

TXMLWriterFlags


Reference for unit 'laz2_XMLWrite': Procedures and functions

WriteXML

WriteXMLFile


Index of all identifiers in unit 'laz2_XMLWrite'

T W X

T

TXMLWriterFlag TXMLWriterFlags

W

WriteXML WriteXMLFile

X

xwfPreserveWhiteSpace xwfSpecialCharsInAttributeValue


TXMLWriterFlag

Declaration

Source position: laz2_xmlwrite.pas line 31

type TXMLWriterFlag = (

  xwfSpecialCharsInAttributeValue,

  xwfPreserveWhiteSpace

);


TXMLWriterFlags

Declaration

Source position: laz2_xmlwrite.pas line 35

type TXMLWriterFlags = set of (

  xwfSpecialCharsInAttributeValue,

  xwfPreserveWhiteSpace

);


Reference for unit 'laz2_xpath'

uses

  System,

  Math,

  sysutils,

  Classes,

  LazUtilsStrConsts,

  Laz2_DOM,

  laz2_xmlutils;


Reference for unit 'laz2_xpath': Types

TAxis

TNodeSet

TNodeTestType

TXPathBooleanOp

TXPathCompareOp

TXPathFunction

TXPathKeyword

TXPathMathOp

TXPathNodeArray

TXPathToken

TXPathVarList


Reference for unit 'laz2_xpath': Classes

EXPathEvaluationError

TStep

TXPathBinaryNode

TXPathBooleanOpNode

TXPathBooleanVariable

TXPathCompareNode

TXPathConstantNode

TXPathContext

TXPathEnvironment

TXPathExpression

TXPathExprNode

TXPathFilterNode

TXPathFunctionNode

TXPathMathOpNode

TXPathNegationNode

TXPathNodeSetVariable

TXPathNSResolver

TXPathNumberVariable

TXPathScanner

TXPathStringVariable

TXPathUnionNode

TXPathVariable

TXPathVariableNode


Reference for unit 'laz2_xpath': Procedures and functions

EvaluateXPathExpression

EvaluationError


Index of all identifiers in unit 'laz2_xpath'

A E N O T X

A

axisAncestor | axisDescendantOrSelf | axisParent
axisAncestorOrSelf | axisFollowing | axisPreceding
axisAttribute | axisFollowingSibling | axisPrecedingSibling
axisChild | axisInvalid | axisRoot
axisDescendant | axisNamespace | axisSelf

E

EvaluateXPathExpression EvaluationError EXPathEvaluationError

N

ntAnyNode | ntCommentNode | ntPINode
ntAnyPrincipal | ntName | ntTextNode

O

opAdd | opGreaterEqual | opNotEqual
opAnd | opLess | opOr
opDivide | opLessEqual | opSubtract
opEqual | opMod |
opGreater | opMultiply |

T

TAxis | tkPipe | TXPathExprNode
tkAsterisk | tkPlus | TXPathFilterNode
tkAt | tkRightBracket | TXPathFunction
tkColonColon | tkRightSquareBracket | TXPathFunctionNode
tkComma | tkSlash | TXPathKeyword
tkDot | tkSlashSlash | TXPathMathOp
tkDotDot | tkString | TXPathMathOpNode
tkEndOfStream | tkVariable | TXPathNegationNode
tkEqual | TNodeSet | TXPathNodeArray
tkGreater | TNodeTestType | TXPathNodeSetVariable
tkGreaterEqual | TStep | TXPathNSResolver
tkIdentifier | TXPathBinaryNode | TXPathNumberVariable
tkInvalid | TXPathBooleanOp | TXPathScanner
tkLeftBracket | TXPathBooleanOpNode | TXPathStringVariable
tkLeftSquareBracket | TXPathBooleanVariable | TXPathToken
tkLess | TXPathCompareNode | TXPathUnionNode
tkLessEqual | TXPathCompareOp | TXPathVariable
tkMinus | TXPathConstantNode | TXPathVariableNode
tkNotEqual | TXPathContext | TXPathVarList
tkNSNameTest | TXPathEnvironment |
tkNumber | TXPathExpression |

X

xkAncestor | xkFollowingSibling | xkPreceding
xkAncestorOrSelf | xkId | xkPrecedingSibling
xkAnd | xkLang | xkProcessingInstruction
xkAttribute | xkLast | xkRound
xkBoolean | xkLocalName | xkSelf
xkCeiling | xkMod | xkStartsWith
xkChild | xkName | xkString
xkComment | xkNamespace | xkStringLength
xkConcat | xkNamespaceUri | xkSubstring
xkContains | xkNode | xkSubstringAfter
xkCount | xkNone | xkSubstringBefore
xkDescendant | xkNormalizeSpace | xkSum
xkDescendantOrSelf | xkNot | xkText
xkDiv | xkNumber | xkTranslate
xkFalse | xkOr | xkTrue
xkFloor | xkParent |
xkFollowing | xkPosition |


TAxis

Declaration

Source position: laz2_xpath.pas line 223

type TAxis = (

  axisInvalid,

  axisAncestor,

  axisAncestorOrSelf,

  axisAttribute,

  axisChild,

  axisDescendant,

  axisDescendantOrSelf,

  axisFollowing,

  axisFollowingSibling,

  axisNamespace,

  axisParent,

  axisPreceding,

  axisPrecedingSibling,

  axisSelf,

  axisRoot

);


TNodeSet

Declaration

Source position: laz2_xpath.pas line 204

type TNodeSet = TFPList;


TNodeTestType

Declaration

Source position: laz2_xpath.pas line 228

type TNodeTestType = (

  ntAnyPrincipal,

  ntName,

  ntTextNode,

  ntCommentNode,

  ntPINode,

  ntAnyNode

);


TXPathBooleanOp

Declaration

Source position: laz2_xpath.pas line 181

type TXPathBooleanOp = (

  opOr,

  opAnd

);


TXPathCompareOp

Declaration

Source position: laz2_xpath.pas line 165

type TXPathCompareOp = (

  opEqual,

  opNotEqual,

  opLess,

  opLessEqual,

  opGreater,

  opGreaterEqual

);


TXPathFunction

Declaration

Source position: laz2_xpath.pas line 386

type TXPathFunction = function(

  Context: TXPathContext;

  Args: TXPathVarList

):TXPathVariable of object;


TXPathKeyword

Declaration

Source position: laz2_xpath.pas line 66

type TXPathKeyword = (

  xkNone,

  xkAncestor,

  xkAncestorOrSelf,

  xkAttribute,

  xkChild,

  xkDescendant,

  xkDescendantOrSelf,

  xkFollowing,

  xkFollowingSibling,

  xkNamespace,

  xkParent,

  xkPreceding,

  xkPrecedingSibling,

  xkSelf,

  xkComment,

  xkText,

  xkProcessingInstruction,

  xkNode,

  xkAnd,

  xkOr,

  xkDiv,

  xkMod,

  xkLast,

  xkPosition,

  xkCount,

  xkId,

  xkLocalName,

  xkNamespaceUri,

  xkName,

  xkString,

  xkConcat,

  xkStartsWith,

  xkContains,

  xkSubstringBefore,

  xkSubstringAfter,

  xkSubstring,

  xkStringLength,

  xkNormalizeSpace,

  xkTranslate,

  xkBoolean,

  xkNot,

  xkTrue,

  xkFalse,

  xkLang,

  xkNumber,

  xkSum,

  xkFloor,

  xkCeiling,

  xkRound

);


TXPathMathOp

Declaration

Source position: laz2_xpath.pas line 151

type TXPathMathOp = (

  opAdd,

  opSubtract,

  opMultiply,

  opDivide,

  opMod

);


TXPathNodeArray

Declaration

Source position: laz2_xpath.pas line 95

type TXPathNodeArray = array of TXPathExprNode;


TXPathToken

Declaration

Source position: laz2_xpath.pas line 35

type TXPathToken = (

  tkInvalid,

  tkEndOfStream,

  tkIdentifier,

  tkNSNameTest,

  tkString,

  tkNumber,

  tkVariable,

  tkLeftBracket,

  tkRightBracket,

  tkAsterisk,

  tkPlus,

  tkComma,

  tkMinus,

  tkDot,

  tkDotDot,

  tkSlash,

  tkSlashSlash,

  tkColonColon,

  tkLess,

  tkLessEqual,

  tkEqual,

  tkNotEqual,

  tkGreater,

  tkGreaterEqual,

  tkAt,

  tkLeftSquareBracket,

  tkRightSquareBracket,

  tkPipe

);


TXPathVarList

Declaration

Source position: laz2_xpath.pas line 384

type TXPathVarList = TFPList;


DOMPChar

Declaration

Source position: laz_dom.pas line 41

type DOMPChar = laz2_DOM.DOMPChar;


DOMString

Declaration

Source position: laz_dom.pas line 40

type DOMString = laz2_DOM.DOMString;


EDOMError

Declaration

Source position: laz_dom.pas line 43

type EDOMError = laz2_DOM.EDOMError;


Reference for unit 'Laz_DOM'

uses

  System,

  sysutils,

  Classes,

  Laz2_DOM;


Reference for unit 'Laz_DOM': Types

DOMPChar

DOMString

EDOMError

TDOMAttr

TDOMCDATASection

TDOMCharacterData

TDOMComment

TDOMDocument

TDOMDocumentFragment

TDOMDocumentType

TDOMElement

TDOMEntity

TDOMEntityReference

TDOMImplementation

TDOMNamedNodeMap

TDOMNode

TDOMNodeList

TDOMNotation

TDOMProcessingInstruction

TDOMText


Index of all identifiers in unit 'Laz_DOM'

D E T

D

DOMPChar DOMString

E

EDOMError

T

TDOMAttr | TDOMDocumentType | TDOMNode
TDOMCDATASection | TDOMElement | TDOMNodeList
TDOMCharacterData | TDOMEntity | TDOMNotation
TDOMComment | TDOMEntityReference | TDOMProcessingInstruction
TDOMDocument | TDOMImplementation | TDOMText
TDOMDocumentFragment | TDOMNamedNodeMap |


TDOMAttr

Declaration

Source position: laz_dom.pas line 29

type TDOMAttr = laz2_DOM.TDOMAttr;


TDOMCDATASection

Declaration

Source position: laz_dom.pas line 33

type TDOMCDATASection = laz2_DOM.TDOMCDATASection;


TDOMCharacterData

Declaration

Source position: laz_dom.pas line 28

type TDOMCharacterData = laz2_DOM.TDOMCharacterData;


TDOMComment

Declaration

Source position: laz_dom.pas line 32

type TDOMComment = laz2_DOM.TDOMComment;


TDOMDocument

Declaration

Source position: laz_dom.pas line 24

type TDOMDocument = laz2_DOM.TDOMDocument;


TDOMDocumentFragment

Declaration

Source position: laz_dom.pas line 23

type TDOMDocumentFragment = laz2_DOM.TDOMDocumentFragment;


TDOMDocumentType

Declaration

Source position: laz_dom.pas line 34

type TDOMDocumentType = laz2_DOM.TDOMDocumentType;


TDOMElement

Declaration

Source position: laz_dom.pas line 30

type TDOMElement = laz2_DOM.TDOMElement;


TDOMEntity

Declaration

Source position: laz_dom.pas line 36

type TDOMEntity = laz2_DOM.TDOMEntity;


TDOMEntityReference

Declaration

Source position: laz_dom.pas line 37

type TDOMEntityReference = laz2_DOM.TDOMEntityReference;


TDOMImplementation

Declaration

Source position: laz_dom.pas line 22

type TDOMImplementation = laz2_DOM.TDOMImplementation;


TDOMNamedNodeMap

Declaration

Source position: laz_dom.pas line 27

type TDOMNamedNodeMap = laz2_DOM.TDOMNamedNodeMap;


TDOMNode

Declaration

Source position: laz_dom.pas line 25

type TDOMNode = laz2_DOM.TDOMNode;


TDOMNodeList

Declaration

Source position: laz_dom.pas line 26

type TDOMNodeList = laz2_DOM.TDOMNodeList;


TDOMNotation

Declaration

Source position: laz_dom.pas line 35

type TDOMNotation = laz2_DOM.TDOMNotation;


TDOMProcessingInstruction

Declaration

Source position: laz_dom.pas line 38

type TDOMProcessingInstruction = laz2_DOM.TDOMProcessingInstruction;


TDOMText

Declaration

Source position: laz_dom.pas line 31

type TDOMText = laz2_DOM.TDOMText;


Reference for unit 'Laz_XMLCfg'

uses

  System,

  Classes,

  sysutils,

  Laz2_XMLCfg;


Reference for unit 'Laz_XMLCfg': Types

TRttiXMLConfig

TXMLConfig


Index of all identifiers in unit 'Laz_XMLCfg'

T

T

TRttiXMLConfig TXMLConfig


TRttiXMLConfig

Declaration

Source position: laz_xmlcfg.pas line 30

type TRttiXMLConfig = Laz2_XMLCfg.TRttiXMLConfig;


TXMLConfig

Declaration

Source position: laz_xmlcfg.pas line 29

type TXMLConfig = Laz2_XMLCfg.TXMLConfig;


EXMLReadError

Declaration

Source position: laz_xmlread.pas line 23

type EXMLReadError = laz2_XMLRead.EXMLReadError;


Reference for unit 'Laz_XMLRead'

uses

  System,

  Classes,

  laz2_XMLRead,

  Laz2_DOM;


Reference for unit 'Laz_XMLRead': Constants

xrfOldXMLRead


Reference for unit 'Laz_XMLRead': Types

EXMLReadError


Reference for unit 'Laz_XMLRead': Procedures and functions

ReadDTDFile

ReadXMLFile

ReadXMLFragment


Index of all identifiers in unit 'Laz_XMLRead'

E R X

E

EXMLReadError

R

ReadDTDFile ReadXMLFile ReadXMLFragment

X

xrfOldXMLRead


xrfOldXMLRead

Declaration

Source position: laz_xmlread.pas line 25

const xrfOldXMLRead = [xrfAllowLowerThanInAttributeValue, xrfAllowSpecialCharsInAttributeValue];


Reference for unit 'Laz_XMLStreaming'

uses

  System,

  sysutils,

  Classes,

  typinfo,

  Laz2_DOM,

  laz2_XMLWrite;


Reference for unit 'Laz_XMLStreaming': Types

TXMLObjectReaderClass

TXMLObjectWriterClass

TXMLObjectWriterStackElType


Reference for unit 'Laz_XMLStreaming': Classes

TXMLObjectReader

TXMLObjectWriter

TXMLObjectWriterStackEl


Reference for unit 'Laz_XMLStreaming': Procedures and functions

WriteComponentToXMLStream


Index of all identifiers in unit 'Laz_XMLStreaming'

E T W

E

elChildrenList elPropertyList elUnknown

T

TXMLObjectReader | TXMLObjectWriter | TXMLObjectWriterStackEl
TXMLObjectReaderClass | TXMLObjectWriterClass | TXMLObjectWriterStackElType

W

WriteComponentToXMLStream


Reference for unit 'Laz_XMLWrite'

uses

  System,

  Classes,

  laz2_XMLWrite,

  Laz2_DOM;


Reference for unit 'Laz_XMLWrite': Constants

xwfOldXMLWrite


Reference for unit 'Laz_XMLWrite': Procedures and functions

WriteXML

WriteXMLFile


Index of all identifiers in unit 'Laz_XMLWrite'

W X

W

WriteXML WriteXMLFile

X

xwfOldXMLWrite


xwfOldXMLWrite

Declaration

Source position: laz_xmlwrite.pas line 22

const xwfOldXMLWrite = [xwfSpecialCharsInAttributeValue];


Reference for unit 'LazClasses'

uses

  System,

  sysutils,

  Classes,

  LazMethodList;


Reference for unit 'LazClasses': Classes

TFreeNotifyingObject

TRefCntObjList

TRefCountedObject


Reference for unit 'LazClasses': Procedures and functions

NilThenReleaseRef

ReleaseRefAndNil


Index of all identifiers in unit 'LazClasses'

N R T

N

NilThenReleaseRef

R

ReleaseRefAndNil

T

TFreeNotifyingObject TRefCntObjList TRefCountedObject


Reference for unit 'lazCollections'

uses

  System,

  sysutils,

  syncobjs,

  LazUTF8SysUtils;


Reference for unit 'lazCollections': Classes

TLazMonitor

TLazThreadedQueue


Index of all identifiers in unit 'lazCollections'

T

T

TLazMonitor TLazThreadedQueue


ConfigMemStorageFormatVersion

Declaration

Source position: lazconfigstorage.pas line 107

const ConfigMemStorageFormatVersion = 2;


Reference for unit 'LazConfigStorage'

uses
System,
Classes,
sysutils,
typinfo,
Laz_AVL_Tree,
LazLogger, | Provides a log framework
AvgLvlTree; | An Average Level Tree structure, which is kept balanced so that finding a node is very rapid


Reference for unit 'LazConfigStorage': Constants

ConfigMemStorageFormatVersion


Reference for unit 'LazConfigStorage': Types

TConfigMemStorageModification

TConfigStorageClass


Reference for unit 'LazConfigStorage': Classes

TConfigMemStorage

TConfigMemStorageNode

TConfigStorage


Reference for unit 'LazConfigStorage': Procedures and functions

CompareConfigMemStorageNames

CompareConfigMemStorageNodes

ComparePCharWithConfigMemStorageNode

LoadStringToStringTree

SaveStringToStringTree


Index of all identifiers in unit 'LazConfigStorage'

C L S T

C

cmsmDelete | cmsmSet | ComparePCharWithConfigMemStorageNode
cmsmDeleteValue | CompareConfigMemStorageNames | ConfigMemStorageFormatVersion
cmsmGet | CompareConfigMemStorageNodes |

L

LoadStringToStringTree

S

SaveStringToStringTree

T

TConfigMemStorage | TConfigMemStorageNode | TConfigStorageClass
TConfigMemStorageModification | TConfigStorage |


Reference for unit 'LazDbgLog'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'LazDbgLog': Procedures and functions

GetStringRefCount

MemSizeFPList

MemSizeString


Index of all identifiers in unit 'LazDbgLog'

G M

G

GetStringRefCount

M

MemSizeFPList MemSizeString


Reference for unit 'lazfglhash'

uses

  System,

  contnrs;


Reference for unit 'lazfglhash': Classes

TLazFPGHashTable

TLazHTGNode


Index of all identifiers in unit 'lazfglhash'

T

T

TLazFPGHashTable TLazHTGNode


FileStateCache

Declaration

Source position: lazfilecache.pas line 97

var FileStateCache: TFileStateCache = Nil;


Reference for unit 'LazFileCache'

uses

  System,

  Classes,

  sysutils,

  Laz_AVL_Tree,

  LazDbgLog,

  LazFileUtils;


Reference for unit 'LazFileCache': Constants

LUInvalidChangeStamp

LUInvalidChangeStamp64


Reference for unit 'LazFileCache': Types

TFileStateCacheItemFlag

TFileStateCacheItemFlags

TOnChangeFileStateTimeStamp

TOnFileAgeCached

TOnFileExistsCached


Reference for unit 'LazFileCache': Classes

TFileStateCache

TFileStateCacheItem


Reference for unit 'LazFileCache': Procedures and functions

CompareFilenameWithFileStateCacheItem

CompareFileStateItems

DirectoryIsWritableCached

DirPathExistsCached

FileAgeCached

FileExistsCached

FileIsExecutableCached

FileIsReadableCached

FileIsTextCached

FileIsWritableCached

GetPhysicalFilenameCached

InvalidateFileStateCache

LUIncreaseChangeStamp

LUIncreaseChangeStamp64


Reference for unit 'LazFileCache': Variables

FileStateCache

OnFileAgeCached

OnFileExistsCached


Index of all identifiers in unit 'LazFileCache'

C D F G I L O T

C

CompareFilenameWithFileStateCacheItem CompareFileStateItems

D

DirectoryIsWritableCached DirPathExistsCached

F

FileAgeCached | FileStateCache | fsciExists
FileExistsCached | fsciAge | fsciPhysical
FileIsExecutableCached | fsciDirectory | fsciReadable
FileIsReadableCached | fsciDirectoryReadable | fsciText
FileIsTextCached | fsciDirectoryWritable | fsciWritable
FileIsWritableCached | fsciExecutable |

G

GetPhysicalFilenameCached

I

InvalidateFileStateCache

L

LUIncreaseChangeStamp | LUInvalidChangeStamp
LUIncreaseChangeStamp64 | LUInvalidChangeStamp64

O

OnFileAgeCached OnFileExistsCached

T

TFileStateCache | TFileStateCacheItemFlags | TOnFileExistsCached
TFileStateCacheItem | TOnChangeFileStateTimeStamp |
TFileStateCacheItemFlag | TOnFileAgeCached |


LUInvalidChangeStamp

Declaration

Source position: lazfilecache.pas line 114

const LUInvalidChangeStamp = Low(integer);


LUInvalidChangeStamp64

Declaration

Source position: lazfilecache.pas line 115

const LUInvalidChangeStamp64 = Low(int64);


OnFileAgeCached

Declaration

Source position: lazfilecache.pas line 124

var OnFileAgeCached: TOnFileAgeCached = Nil;


OnFileExistsCached

Declaration

Source position: lazfilecache.pas line 123

var OnFileExistsCached: TOnFileExistsCached = Nil;


TOnChangeFileStateTimeStamp

Declaration

Source position: lazfilecache.pas line 56

type TOnChangeFileStateTimeStamp = procedure(

  Sender: TObject;

  const AFilename: string

) of object;


TOnFileAgeCached

Declaration

Source position: lazfilecache.pas line 121

type TOnFileAgeCached = function(

  Filename: string

):LongInt of object;


TOnFileExistsCached

Declaration

Source position: lazfilecache.pas line 120

type TOnFileExistsCached = function(

  Filename: string

):Boolean of object;


Reference for unit 'LazFileUtils'

uses

  System,

  Classes,

  sysutils,

  SysConst,

  LazUTF8,

  LazUtilsStrConsts;


Reference for unit 'LazFileUtils': Types

TInvalidateFileStateCacheEvent

TPhysicalFilenameOnError


Reference for unit 'LazFileUtils': Procedures and functions

AppendPathDelim |
CheckIfFileIsExecutable |
CheckIfFileIsSymlink
ChompPathDelim |
CleanAndExpandDirectory |
CleanAndExpandFilename |
CompareFileExt |
CompareFilenames |
CompareFilenamesIgnoreCase |
CompareFilenamesP
CompareFilenameStarts |
CreateAbsoluteSearchPath
CreateDirUTF8 |
CreateRelativePath | Creates a relative path from BaseDirectory to Filename
CreateRelativeSearchPath
DbgSFileAttr
DeleteFileUTF8 |
DirectoryExistsUTF8 |
DirectoryIsWritable |
DirPathExists |
ExpandFileNameUTF8 |
ExtractFileNameOnly |
ExtractFileRoot
ExtractUNCVolume
FileAgeUTF8 |
FileCreateUTF8
FileExistsUTF8 |
FileGetAttrUTF8 |
FileIsExecutable |
FileIsHardLink
FileIsInPath | Returns true if Filename is below Path
FileIsReadable |
FileIsReadOnlyUTF8 |
FileIsSymlink
FileIsText |
FileIsWritable |
FilenameIsAbsolute |
FilenameIsTrimmed |
FilenameIsUnixAbsolute |
FilenameIsWinAbsolute |
FileOpenUTF8
FileSearchUTF8 |
FileSetAttrUTF8 |
FileSetDateUTF8 |
FileSizeUtf8
FindCloseUTF8 |
FindFirstUTF8 |
FindNextUTF8 |
FindPathInSearchPath
ForceDirectoriesUTF8 |
ForceDirectory | ForceDirectory - creates a directory if none exists
ForcePathDelims
GetAppConfigDirUTF8
GetAppConfigFileUTF8
GetCurrentDirUTF8 |
GetFileDescription
GetForcedPathDelims
GetPhysicalFilename
GetShellLinkTarget
GetTempFileNameUTF8
GetUnixPhysicalFilename | Resolves all symlinks in Filename, including all directories.
InvalidateFileStateCache |
IsUNCPath
MergeCmdLineParams
MinimizeSearchPath
ReadAllLinks | Resolves a symlink to the real file. It does not resolve symlinks in parent directories.
RemoveDirUTF8 |
RenameFileUTF8 |
ResolveDots | Removes duplicate path delimiters and resolves logically . and ..
SetCurrentDirUTF8 |
SplitCmdLineParams | Splits parameters separated by one or more spaces.
StrToCmdLineParam
TrimAndExpandDirectory |
TrimAndExpandFilename |
TrimFilename | TrimFilename - trim double path delimiters, heading and trailing spaces and special dirs . and ..
TryCreateRelativePath
TryReadAllLinks | Resolves a symlink to the real file. It does not resolve symlinks in parent directories.


Reference for unit 'LazFileUtils': Variables

OnInvalidateFileStateCache


Index of all identifiers in unit 'LazFileUtils'

A C D E F G I M O P R S T

A

AppendPathDelim

C

CheckIfFileIsExecutable | CompareFileExt | CreateAbsoluteSearchPath
CheckIfFileIsSymlink | CompareFilenames | CreateDirUTF8
ChompPathDelim | CompareFilenamesIgnoreCase | CreateRelativePath
CleanAndExpandDirectory | CompareFilenamesP | CreateRelativeSearchPath
CleanAndExpandFilename | CompareFilenameStarts |

D

DbgSFileAttr | DirectoryExistsUTF8 | DirPathExists
DeleteFileUTF8 | DirectoryIsWritable |

E

ExpandFileNameUTF8 | ExtractFileRoot
ExtractFileNameOnly | ExtractUNCVolume

F

FileAgeUTF8 | FileIsText | FileSizeUtf8
FileCreateUTF8 | FileIsWritable | FindCloseUTF8
FileExistsUTF8 | FilenameIsAbsolute | FindFirstUTF8
FileGetAttrUTF8 | FilenameIsTrimmed | FindNextUTF8
FileIsExecutable | FilenameIsUnixAbsolute | FindPathInSearchPath
FileIsHardLink | FilenameIsWinAbsolute | ForceDirectoriesUTF8
FileIsInPath | FileOpenUTF8 | ForceDirectory
FileIsReadable | FileSearchUTF8 | ForcePathDelims
FileIsReadOnlyUTF8 | FileSetAttrUTF8 |
FileIsSymlink | FileSetDateUTF8 |

G

GetAppConfigDirUTF8 | GetFileDescription | GetShellLinkTarget
GetAppConfigFileUTF8 | GetForcedPathDelims | GetTempFileNameUTF8
GetCurrentDirUTF8 | GetPhysicalFilename | GetUnixPhysicalFilename

I

InvalidateFileStateCache IsUNCPath

M

MergeCmdLineParams MinimizeSearchPath

O

OnInvalidateFileStateCache

P

pfeEmpty pfeException pfeOriginal

R

ReadAllLinks | RenameFileUTF8
RemoveDirUTF8 | ResolveDots

S

SetCurrentDirUTF8 SplitCmdLineParams StrToCmdLineParam

T

TInvalidateFileStateCacheEvent | TrimAndExpandFilename | TryReadAllLinks
TPhysicalFilenameOnError | TrimFilename |
TrimAndExpandDirectory | TryCreateRelativePath |


OnInvalidateFileStateCache

Declaration

Source position: lazfileutils.pas line 159

var OnInvalidateFileStateCache: TInvalidateFileStateCacheEvent = Nil;


TInvalidateFileStateCacheEvent

Declaration

Source position: lazfileutils.pas line 157

type TInvalidateFileStateCacheEvent = procedure(

  const Filename: string

);


TPhysicalFilenameOnError

Declaration

Source position: lazfileutils.pas line 122

type TPhysicalFilenameOnError = (

  pfeException,

  pfeEmpty,

  pfeOriginal

);


Reference for unit 'LazFreeType'

uses

  System,

  TTTypes,

  Classes;


Reference for unit 'LazFreeType': Constants

TT_Load_Debug

TT_Load_Default

TT_Load_Hint_Glyph

TT_Load_Scale_Glyph


Reference for unit 'LazFreeType': Procedures and functions

TT_Char_Index

TT_Clone_Outline

TT_Close_Face

TT_Copy_Outline

TT_Done_FreeType

TT_Done_Glyph

TT_Done_Instance

TT_Done_Outline

TT_Get_CharMap

TT_Get_CharMap_Count

TT_Get_CharMap_ID

TT_Get_Face_Pointer

TT_Get_Face_Properties

TT_Get_Font_Data

TT_Get_Glyph_Big_Metrics

TT_Get_Glyph_Bitmap

TT_Get_Glyph_Metrics

TT_Get_Glyph_Outline

TT_Get_Glyph_Pixmap

TT_Get_Glyph_Pixmap_HQ

TT_Get_Instance_Metrics

TT_Get_Instance_Pointer

TT_Get_Name_Count

TT_Get_Name_ID

TT_Get_Name_String

TT_Get_Outline_BBox

TT_Get_Outline_Bitmap

TT_Get_Outline_Pixmap

TT_Get_Outline_Pixmap_HQ

TT_Init_FreeType

TT_Load_Glyph

TT_New_Glyph

TT_New_Instance

TT_New_Outline

TT_Open_Collection

TT_Open_Face

TT_Render_Directly_Glyph_Gray

TT_Render_Directly_Glyph_HQ

TT_Render_Directly_Outline_Gray

TT_Render_Directly_Outline_HQ

TT_Set_Face_Pointer

TT_Set_Instance_CharSize

TT_Set_Instance_CharSizes

TT_Set_Instance_PixelSizes

TT_Set_Instance_Pointer

TT_Set_Instance_PointSize

TT_Set_Instance_Resolutions

TT_Set_Instance_Transforms

TT_Set_Raster_Palette

TT_Transform_Outline

TT_Transform_Vector

TT_Translate_Outline


Index of all identifiers in unit 'LazFreeType'

T

T

TT_Char_Index | TT_Get_Glyph_Pixmap_HQ | TT_Open_Collection
TT_Clone_Outline | TT_Get_Instance_Metrics | TT_Open_Face
TT_Close_Face | TT_Get_Instance_Pointer | TT_Render_Directly_Glyph_Gray
TT_Copy_Outline | TT_Get_Name_Count | TT_Render_Directly_Glyph_HQ
TT_Done_FreeType | TT_Get_Name_ID | TT_Render_Directly_Outline_Gray
TT_Done_Glyph | TT_Get_Name_String | TT_Render_Directly_Outline_HQ
TT_Done_Instance | TT_Get_Outline_BBox | TT_Set_Face_Pointer
TT_Done_Outline | TT_Get_Outline_Bitmap | TT_Set_Instance_CharSize
TT_Get_CharMap | TT_Get_Outline_Pixmap | TT_Set_Instance_CharSizes
TT_Get_CharMap_Count | TT_Get_Outline_Pixmap_HQ | TT_Set_Instance_PixelSizes
TT_Get_CharMap_ID | TT_Init_FreeType | TT_Set_Instance_Pointer
TT_Get_Face_Pointer | TT_Load_Debug | TT_Set_Instance_PointSize
TT_Get_Face_Properties | TT_Load_Default | TT_Set_Instance_Resolutions
TT_Get_Font_Data | TT_Load_Glyph | TT_Set_Instance_Transforms
TT_Get_Glyph_Big_Metrics | TT_Load_Hint_Glyph | TT_Set_Raster_Palette
TT_Get_Glyph_Bitmap | TT_Load_Scale_Glyph | TT_Transform_Outline
TT_Get_Glyph_Metrics | TT_New_Glyph | TT_Transform_Vector
TT_Get_Glyph_Outline | TT_New_Instance | TT_Translate_Outline
TT_Get_Glyph_Pixmap | TT_New_Outline |


TT_Load_Debug

Declaration

Source position: lazfreetype.pas line 241

const TT_Load_Debug = 16;


TT_Load_Default

Declaration

Source position: lazfreetype.pas line 243

const TT_Load_Default = TT_Load_Scale_Glyph or TT_Load_Hint_Glyph;


TT_Load_Hint_Glyph

Declaration

Source position: lazfreetype.pas line 238

const TT_Load_Hint_Glyph = 2;


TT_Load_Scale_Glyph

Declaration

Source position: lazfreetype.pas line 235

const TT_Load_Scale_Glyph = 1;


Reference for unit 'LazFreeTypeFontCollection'

uses

  System,

  Classes,

  sysutils,

  Laz_AVL_Tree,

  EasyLazFreeType,

  LazFreeType,

  TTTypes;


Reference for unit 'LazFreeTypeFontCollection': Classes

TFamilyCollectionItem

TFontCollectionItem

TFreeTypeFontCollection


Reference for unit 'LazFreeTypeFontCollection': Procedures and functions

SetDefaultFreeTypeFontCollection


Index of all identifiers in unit 'LazFreeTypeFontCollection'

S T

S

SetDefaultFreeTypeFontCollection

T

TFamilyCollectionItem TFontCollectionItem TFreeTypeFontCollection


Reference for unit 'LazFreeTypeFPImageDrawer'

uses

  System,

  Classes,

  sysutils,

  EasyLazFreeType,

  FPimage;


Reference for unit 'LazFreeTypeFPImageDrawer': Types

TLazIntfImageGetPixelAtProc

TLazIntfImageSetPixelAtProc


Reference for unit 'LazFreeTypeFPImageDrawer': Classes

TFPImageFreeTypeDrawer

TFPImageWithScanlineFreeTypeDrawer

TFPMemoryImageWithScanline


Index of all identifiers in unit 'LazFreeTypeFPImageDrawer'

T

T

TFPImageFreeTypeDrawer | TFPMemoryImageWithScanline | TLazIntfImageSetPixelAtProc
TFPImageWithScanlineFreeTypeDrawer | TLazIntfImageGetPixelAtProc |


TLazIntfImageGetPixelAtProc

Declaration

Source position: lazfreetypefpimagedrawer.pas line 19

type TLazIntfImageGetPixelAtProc = procedure(

  p: pointer;

  out Color: TFPColor

);


TLazIntfImageSetPixelAtProc

Declaration

Source position: lazfreetypefpimagedrawer.pas line 20

type TLazIntfImageSetPixelAtProc = procedure(

  p: pointer;

  const Color: TFPColor

);


Reference for unit 'LazLinkedList'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'LazLinkedList': Classes

TLinkList

TLinkListItem


Index of all identifiers in unit 'LazLinkedList'

T

T

TLinkList TLinkListItem


Reference for unit 'LazListClasses'

uses

  System,

  Classes,

  sysutils,

  math,

  LazLoggerBase;


Reference for unit 'LazListClasses': Types

TLazPagedListMemParent

TLazStorageMemGrowProc

TLazStorageMemShrinkProc


Reference for unit 'LazListClasses': Classes

TLazDualCapacityList

TLazDualCapacityListMem

TLazDualCapacityListMemBase

TLazFixedRoundBufferListMemBase

TLazGenDualCapacityList

TLazGenDualCapacityListMem

TLazGenRoundBufferListMem

TLazListClassesInternalMem

TLazListClassesItemSize

TLazListClassesVarItemSize

TLazPagedListMem

TLazPagedListMemBase

TLazRoundBufferListMem

TLazRoundBufferListMemBase


Index of all identifiers in unit 'LazListClasses'

T

T

TLazDualCapacityList | TLazGenRoundBufferListMem | TLazPagedListMemParent
TLazDualCapacityListMem | TLazListClassesInternalMem | TLazRoundBufferListMem
TLazDualCapacityListMemBase | TLazListClassesItemSize | TLazRoundBufferListMemBase
TLazFixedRoundBufferListMemBase | TLazListClassesVarItemSize | TLazStorageMemGrowProc
TLazGenDualCapacityList | TLazPagedListMem | TLazStorageMemShrinkProc
TLazGenDualCapacityListMem | TLazPagedListMemBase |


TLazPagedListMemParent

Declaration

Source position: lazlistclasses.pas line 298

type TLazPagedListMemParent = TLazPagedListMemParent;


TLazStorageMemGrowProc

Declaration

Source position: lazlistclasses.pas line 46

type TLazStorageMemGrowProc = function(

  ARequired: Integer

):Integer of object;


TLazStorageMemShrinkProc

Declaration

Source position: lazlistclasses.pas line 45

type TLazStorageMemShrinkProc = function(

  ARequired: Integer

):Integer of object;


Reference for unit 'LazLogger'

Provides a log framework

uses

  System,

  Classes,

  sysutils,

  Types,

  math,

  LazUTF8,

  LazLoggerBase,

  LazClasses,

  LazFileUtils;

Overview

LazLogger provides logging facilities to write message to a file. Messages can be logged plain, or enclosed in begin/end like blocks, adding indent to all messages between to points (blocks can be nested). It also has the ability to filter groups of messages. It can reads the command line and environment to find the desired filename. By default it looks for --debug-log= on the command line or "appname"_debuglog in environment. If no log name is found StdOut is used. The simples usage, is to use the unit and put "DebugLn"/ "DbgOut" / "DebugLnEnter"/ "DebugLnExit" in your code. This works without any further setup.


Reference for unit 'LazLogger': Types

PLazLoggerLogGroup


Reference for unit 'LazLogger': Classes

TLazLoggerFile

TLazLoggerFileHandle


Reference for unit 'LazLogger': Procedures and functions

ConvertLineEndings
dbghex
dbgMemRange
dbgMemStream
dbgObjMem
DbgOut | Write message to log
DbgS
DbgSJoin
DbgSName
DbgStr
DbgWideStr
DebugLn | Write message to log
DebugLnEnter | Write message to log
DebugLnExit | Write message to log
DebuglnStack
DumpExceptionBackTrace
GetDebugLogger
SetDebugLogger


Index of all identifiers in unit 'LazLogger'

C D G P S T

C

ConvertLineEndings

D

dbghex | DbgS | DebugLn
dbgMemRange | DbgSJoin | DebugLnEnter
dbgMemStream | DbgSName | DebugLnExit
dbgObjMem | DbgStr | DebuglnStack
DbgOut | DbgWideStr | DumpExceptionBackTrace

G

GetDebugLogger

P

PLazLoggerLogGroup

S

SetDebugLogger

T

TLazLoggerFile TLazLoggerFileHandle


PLazLoggerLogGroup

Declaration

Source position: lazlogger.pas line 20

type PLazLoggerLogGroup = LazLoggerBase.PLazLoggerLogGroup;


Reference for unit 'LazLoggerBase'

uses

  System,

  Classes,

  sysutils,

  Types,

  math,

  LazClasses,

  LazUTF8;


Reference for unit 'LazLoggerBase': Types

PLazLoggerLogGroup

TLazDebugLoggerCreator

TLazLoggerLogGroup

TLazLoggerLogGroupFlag

TLazLoggerLogGroupFlags

TLazLoggerWidgetSetWriteEvent

TLazLoggerWriteEvent

TLazLoggerWriteTarget


Reference for unit 'LazLoggerBase': Classes

TLazLogger

TLazLoggerBlockHandler

TLazLoggerLogGroupList

TLazLoggerNoOutput

TLazLoggerWithGroupParam


Reference for unit 'LazLoggerBase': Procedures and functions

ConvertLineEndings

dbghex

dbgMemRange

dbgMemStream

dbgObjMem

DbgOut

DbgS

DbgSJoin

DbgSName

DebugLn

DebugLnEnter

DebugLnExit

DebuglnStack

GetDebugLogger

GetDebugLoggerGroups

GetExistingDebugLogger

GetParamByName

GetParamByNameCount

RecreateDebugLogger

SetDebugLogger

SetDebugLoggerGroups


Reference for unit 'LazLoggerBase': Variables

LazDebugLoggerCreator

OnWidgetSetDbgOut

OnWidgetSetDebugLn


Index of all identifiers in unit 'LazLoggerBase'

C D G L O P R S T

C

ConvertLineEndings

D

dbghex | DbgOut | DebugLn
dbgMemRange | DbgS | DebugLnEnter
dbgMemStream | DbgSJoin | DebugLnExit
dbgObjMem | DbgSName | DebuglnStack

G

GetDebugLogger | GetExistingDebugLogger | GetParamByNameCount
GetDebugLoggerGroups | GetParamByName |

L

LazDebugLoggerCreator | lwtNone | lwtTextFile
lgfAddedByParamParser | lwtStdErr |
lgfNoDefaultEnabledSpecified | lwtStdOut |

O

OnWidgetSetDbgOut OnWidgetSetDebugLn

P

PLazLoggerLogGroup

R

RecreateDebugLogger

S

SetDebugLogger SetDebugLoggerGroups

T

TLazDebugLoggerCreator | TLazLoggerLogGroupFlag | TLazLoggerWidgetSetWriteEvent
TLazLogger | TLazLoggerLogGroupFlags | TLazLoggerWithGroupParam
TLazLoggerBlockHandler | TLazLoggerLogGroupList | TLazLoggerWriteEvent
TLazLoggerLogGroup | TLazLoggerNoOutput | TLazLoggerWriteTarget


LazDebugLoggerCreator

Declaration

Source position: lazloggerbase.pas line 293

var LazDebugLoggerCreator: TLazDebugLoggerCreator = Nil;


OnWidgetSetDbgOut

Declaration

Source position: lazloggerbase.pas line 295

var OnWidgetSetDbgOut: TLazLoggerWidgetSetWriteEvent = ;


OnWidgetSetDebugLn

Declaration

Source position: lazloggerbase.pas line 294

var OnWidgetSetDebugLn: TLazLoggerWidgetSetWriteEvent = ;


PLazLoggerLogGroup

Declaration

Source position: lazloggerbase.pas line 40

type PLazLoggerLogGroup = ^TLazLoggerLogGroup;


TLazDebugLoggerCreator

Declaration

Source position: lazloggerbase.pas line 289

type TLazDebugLoggerCreator = function: TRefCountedObject;


TLazLoggerLogGroup

Declaration

Source position: lazloggerbase.pas line 34

type TLazLoggerLogGroup = record

  ConfigName: string;

  Enabled: Boolean;

  Flags: TLazLoggerLogGroupFlags;

  FOpenedIndents: Integer;

end;


TLazLoggerLogGroupFlag

Declaration

Source position: lazloggerbase.pas line 27

type TLazLoggerLogGroupFlag = (

  lgfAddedByParamParser,

  lgfNoDefaultEnabledSpecified

);


TLazLoggerLogGroupFlags

Declaration

Source position: lazloggerbase.pas line 32

type TLazLoggerLogGroupFlags = set of (

  lgfAddedByParamParser,

  lgfNoDefaultEnabledSpecified

);


TLazLoggerWidgetSetWriteEvent

Declaration

Source position: lazloggerbase.pas line 49

type TLazLoggerWidgetSetWriteEvent = procedure(

  Sender: TObject;

  S: string;

  var Handled: Boolean;

  Target: TLazLoggerWriteTarget;

  Data: Pointer

) of object;


TLazLoggerWriteEvent

Declaration

Source position: lazloggerbase.pas line 48

type TLazLoggerWriteEvent = procedure(

  Sender: TObject;

  S: string;

  var Handled: Boolean

) of object;


TLazLoggerWriteTarget

Declaration

Source position: lazloggerbase.pas line 42

type TLazLoggerWriteTarget = (

  lwtNone,

  lwtStdOut,

  lwtStdErr,

  lwtTextFile

);


Reference for unit 'LazLoggerDummy'

uses
System,
Classes,
sysutils,
FileUtil, | Miscellaneous procedures and functions for manipulating files and filenames
Types,
LazClasses; |


Reference for unit 'LazLoggerDummy': Types

PLazLoggerLogGroup

TLazDebugLoggerCreator

TLazLoggerLogGroup

TLazLoggerLogGroupFlag

TLazLoggerLogGroupFlags

TLazLoggerWriteEvent


Reference for unit 'LazLoggerDummy': Classes

TLazLogger

TLazLoggerBlockHandler

TLazLoggerLogGroupList


Reference for unit 'LazLoggerDummy': Procedures and functions

dbghex

dbgMemRange

dbgMemStream

dbgObjMem

DbgOut

DbgS

DbgSJoin

DbgSName

DebugLn

DebugLnEnter

DebugLnExit

DebuglnStack

GetDebugLogger

GetDebugLoggerGroups

GetExistingDebugLogger

RecreateDebugLogger

SetDebugLogger

SetDebugLoggerGroups


Reference for unit 'LazLoggerDummy': Variables

LazDebugLoggerCreator

OnWidgetSetDbgOut

OnWidgetSetDebugLn


Index of all identifiers in unit 'LazLoggerDummy'

D G L O P R S T

D

dbghex | DbgOut | DebugLn
dbgMemRange | DbgS | DebugLnEnter
dbgMemStream | DbgSJoin | DebugLnExit
dbgObjMem | DbgSName | DebuglnStack

G

GetDebugLogger GetDebugLoggerGroups GetExistingDebugLogger

L

LazDebugLoggerCreator lgfAddedByParamParser lgfNoDefaultEnabledSpecified

O

OnWidgetSetDbgOut OnWidgetSetDebugLn

P

PLazLoggerLogGroup

R

RecreateDebugLogger

S

SetDebugLogger SetDebugLoggerGroups

T

TLazDebugLoggerCreator | TLazLoggerLogGroup | TLazLoggerLogGroupList
TLazLogger | TLazLoggerLogGroupFlag | TLazLoggerWriteEvent
TLazLoggerBlockHandler | TLazLoggerLogGroupFlags |


LazDebugLoggerCreator

Declaration

Source position: lazloggerdummy.pas line 212

var LazDebugLoggerCreator: TLazDebugLoggerCreator = Nil;


OnWidgetSetDbgOut

Declaration

Source position: lazloggerdummy.pas line 214

var OnWidgetSetDbgOut: TLazLoggerWriteEvent = ;


OnWidgetSetDebugLn

Declaration

Source position: lazloggerdummy.pas line 213

var OnWidgetSetDebugLn: TLazLoggerWriteEvent = ;


PLazLoggerLogGroup

Declaration

Source position: lazloggerdummy.pas line 42

type PLazLoggerLogGroup = ^TLazLoggerLogGroup;


TLazDebugLoggerCreator

Declaration

Source position: lazloggerdummy.pas line 208

type TLazDebugLoggerCreator = function: TRefCountedObject;


TLazLoggerLogGroup

Declaration

Source position: lazloggerdummy.pas line 36

type TLazLoggerLogGroup = record

  ConfigName: string;

  Enabled: Boolean;

  Flags: TLazLoggerLogGroupFlags;

  FOpenedIndents: Integer;

end;


TLazLoggerLogGroupFlag

Declaration

Source position: lazloggerdummy.pas line 29

type TLazLoggerLogGroupFlag = (

  lgfAddedByParamParser,

  lgfNoDefaultEnabledSpecified

);


TLazLoggerLogGroupFlags

Declaration

Source position: lazloggerdummy.pas line 34

type TLazLoggerLogGroupFlags = set of (

  lgfAddedByParamParser,

  lgfNoDefaultEnabledSpecified

);


TLazLoggerWriteEvent

Declaration

Source position: lazloggerdummy.pas line 44

type TLazLoggerWriteEvent = procedure(

  Sender: TObject;

  S: string;

  var Handled: Boolean

) of object;


Reference for unit 'LazLoggerProfiling'

uses

  System,

  Classes,

  sysutils,

  LazLoggerBase,

  LazUTF8SysUtils;


Reference for unit 'LazLoggerProfiling': Classes

TLazLoggerBlockMemWatch

TLazLoggerBlockTimer


Reference for unit 'LazLoggerProfiling': Procedures and functions

DbgsMemUsed

DbgStartMemWatch

DbgStartTimer

DbgsTimeUsed

DbgStopMemWatch

DbgStopTimer


Index of all identifiers in unit 'LazLoggerProfiling'

D T

D

DbgsMemUsed | DbgStartTimer | DbgStopMemWatch
DbgStartMemWatch | DbgsTimeUsed | DbgStopTimer

T

TLazLoggerBlockMemWatch TLazLoggerBlockTimer


Reference for unit 'LazMethodList'

uses

  System,

  Classes,

  sysutils,

  RtlConsts;


Reference for unit 'LazMethodList': Classes

TMethodList


Index of all identifiers in unit 'LazMethodList'

T

T

TMethodList


Reference for unit 'LazUnicode'

uses

  System,

  Classes,

  sysutils,

  LazUTF8;


Reference for unit 'LazUnicode': Classes

TCodePointEnumerator

TUnicodeCharacterEnumerator

TUnicodeEnumeratorBase


Reference for unit 'LazUnicode': Procedures and functions

CodePointCopy

CodePointLength

CodePointPos

CodePointSize

enumerator(string):TUnicodeCharacterEnumerator

IsCombining

StringOfCodePoint

UnicodeToWinCP

WinCPToUnicode


Index of all identifiers in unit 'LazUnicode'

C E I S T U W

C

CodePointCopy | CodePointPos
CodePointLength | CodePointSize

E

enumerator(string):TUnicodeCharacterEnumerator

I

IsCombining

S

StringOfCodePoint

T

TCodePointEnumerator TUnicodeCharacterEnumerator TUnicodeEnumeratorBase

U

UnicodeToWinCP

W

WinCPToUnicode


Reference for unit 'LazUTF16'

uses

  System,

  Classes,

  sysutils,

  LazUTF8;


Reference for unit 'LazUTF16': Procedures and functions

IsUTF16CharValid

IsUTF16StringValid

UnicodeLowercase

UnicodeToUTF16

UTF16CharacterLength

UTF16CharacterToUnicode

UTF16CharStart

UTF16Copy

UTF16Length

UTF16Pos

Utf16StringReplace

UTF8LowerCaseViaTables


Index of all identifiers in unit 'LazUTF16'

I U

I

IsUTF16CharValid IsUTF16StringValid

U

UnicodeLowercase | UTF16CharStart | Utf16StringReplace
UnicodeToUTF16 | UTF16Copy | UTF8LowerCaseViaTables
UTF16CharacterLength | UTF16Length |
UTF16CharacterToUnicode | UTF16Pos |


FPUpChars

Declaration

Source position: lazutf8.pas line 208

var FPUpChars: array [char] of Char = ;


Reference for unit 'LazUTF8'

uses

  System,

  cwstring,

  Classes,

  sysutils,

  strutils;


Reference for unit 'LazUTF8': Types

TConvertOption

TConvertOptions

TConvertResult

TEscapeMode

TUTF8TrimFlag

TUTF8TrimFlags


Reference for unit 'LazUTF8': Procedures and functions

CompareStrListUTF8LowerCase
ConsoleToUTF8
ConvertUTF16ToUTF8 |
ConvertUTF8ToUTF16 |
FindInvalidUTF8Character | Returns -1 if ok, otherwise byte index of invalid UTF8 codepoint
FindInvalidUTF8Codepoint
GetEnvironmentStringUTF8 | Returns a system environment string.
GetEnvironmentVariableCountUTF8 | Returns the number of system environment variables.
GetEnvironmentVariableUTF8 | Returns the value of a system environment variable.
LazGetLanguageIDs |
LazGetShortLanguageID |
NeedRTLAnsi |
ParamStrUTF8
ReplaceSubstring
SetNeedRTLAnsi |
SysErrorMessageUTF8
SysToUTF8 |
UnicodeToUTF8 | Encodes the given code point as an UTF-8 sequence of 1 to 4 bytes.
UnicodeToUTF8Inline
UnicodeToUTF8SkipErrors | Simple and fast function to write a single unicode codepoint as UTF-8 to Buf and returns the number of bytes written
UTF16ToUTF8 |
UTF8AddChar
UTF8AddCharR
UTF8CharacterLength | Returns the number of bytes of the codepoint starting at p
UTF8CharacterLengthFast
UTF8CharacterStrictLength | For a valid UTF-8 character it returns the length in bytes (1..4). Otherwise 0.
UTF8CharacterToUnicode | Returns the codepoint at p and the number of bytes to skip.
UTF8CharStart |
UTF8CharToByteIndex |
UTF8CodepointSize
UTF8CodepointSizeFast
UTF8CodepointStart
UTF8CodepointStrictSize
UTF8CodepointToByteIndex
UTF8CodepointToUnicode
UTF8CompareStr |
UTF8CompareStrCollated | Compare two strings using language specific sorting
UTF8CompareStrP
UTF8CompareText |
UTF8Copy |
UTF8CStringToUTF8String |
UTF8Delete |
UTF8EndsText
Utf8EscapeControlChars
UTF8FindNearestCharStart |
UTF8FixBroken | Replaces all invalid UTF8 characters with spaces. Stops at #0.
UTF8Insert |
UTF8LeftStr
UTF8Length |
UTF8LengthFast
UTF8LowerCase |
UTF8LowerString
UTF8PadCenter
UTF8PadLeft
UTF8PadRight
UTF8Pos | Returns the character index, where the SearchForText starts in SearchInText
UTF8PosP | Returns the position where SearchInText starts in SearchForText
UTF8ProperCase
UTF8QuotedStr
UTF8ReverseString
UTF8RightStr
UTF8RPos
UTF8StartsText
UTF8StringOfChar
UTF8StringReplace
UTF8SwapCase
UTF8ToConsole
UTF8ToDoubleByte |
UTF8ToDoubleByteString |
UTF8ToSys |
UTF8ToUTF16 |
UTF8ToWinCP
UTF8Trim | Removes space at start and end
Utf8TryFindCodepointStart
UTF8UpperCase |
UTF8UpperString
UTF8WrapText
ValidUTF8String | Replace invalid UTF8 and replace #0..#31 characters with '#0'..'#31'
WinCPToUTF8


Reference for unit 'LazUTF8': Variables

FPUpChars


Index of all identifiers in unit 'LazUTF8'

C E F G L N P R S T U V W

C

CompareStrListUTF8LowerCase | ConvertUTF16ToUTF8
ConsoleToUTF8 | ConvertUTF8ToUTF16

E

emAsciiControlNames | emHexC | emPascal
emC | emHexPascal |

F

FindInvalidUTF8Character FindInvalidUTF8Codepoint FPUpChars

G

GetEnvironmentStringUTF8 GetEnvironmentVariableCountUTF8 GetEnvironmentVariableUTF8

L

LazGetLanguageIDs LazGetShortLanguageID

N

NeedRTLAnsi

P

ParamStrUTF8

R

ReplaceSubstring

S

SetNeedRTLAnsi SysErrorMessageUTF8 SysToUTF8

T

TConvertOption | toUnfinishedCharError | trNullSrc
TConvertOptions | toUnfinishedCharToSymbol | trUnfinishedChar
TConvertResult | trDestExhausted | TUTF8TrimFlag
TEscapeMode | trInvalidChar | TUTF8TrimFlags
toInvalidCharError | trNoError |
toInvalidCharToSymbol | trNullDest |

U

u8tKeepControlCodes | UTF8CodepointToByteIndex | UTF8Pos
u8tKeepEnd | UTF8CodepointToUnicode | UTF8PosP
u8tKeepLineBreaks | UTF8CompareStr | UTF8ProperCase
u8tKeepNoBreakSpaces | UTF8CompareStrCollated | UTF8QuotedStr
u8tKeepStart | UTF8CompareStrP | UTF8ReverseString
u8tKeepTabs | UTF8CompareText | UTF8RightStr
UnicodeToUTF8 | UTF8Copy | UTF8RPos
UnicodeToUTF8Inline | UTF8CStringToUTF8String | UTF8StartsText
UnicodeToUTF8SkipErrors | UTF8Delete | UTF8StringOfChar
UTF16ToUTF8 | UTF8EndsText | UTF8StringReplace
UTF8AddChar | Utf8EscapeControlChars | UTF8SwapCase
UTF8AddCharR | UTF8FindNearestCharStart | UTF8ToConsole
UTF8CharacterLength | UTF8FixBroken | UTF8ToDoubleByte
UTF8CharacterLengthFast | UTF8Insert | UTF8ToDoubleByteString
UTF8CharacterStrictLength | UTF8LeftStr | UTF8ToSys
UTF8CharacterToUnicode | UTF8Length | UTF8ToUTF16
UTF8CharStart | UTF8LengthFast | UTF8ToWinCP
UTF8CharToByteIndex | UTF8LowerCase | UTF8Trim
UTF8CodepointSize | UTF8LowerString | Utf8TryFindCodepointStart
UTF8CodepointSizeFast | UTF8PadCenter | UTF8UpperCase
UTF8CodepointStart | UTF8PadLeft | UTF8UpperString
UTF8CodepointStrictSize | UTF8PadRight | UTF8WrapText

V

ValidUTF8String

W

WinCPToUTF8


TConvertOption

Declaration

Source position: lazutf8.pas line 186

type TConvertOption = (

  toInvalidCharError,

  toInvalidCharToSymbol,

  toUnfinishedCharError,

  toUnfinishedCharToSymbol

);


TConvertOptions

Declaration

Source position: lazutf8.pas line 188

type TConvertOptions = set of (

  toInvalidCharError,

  toInvalidCharToSymbol,

  toUnfinishedCharError,

  toUnfinishedCharToSymbol

);


TConvertResult

Declaration

Source position: lazutf8.pas line 183

type TConvertResult = (

  trNoError,

  trNullSrc,

  trNullDest,

  trDestExhausted,

  trInvalidChar,

  trUnfinishedChar

);


TEscapeMode

Declaration

Source position: lazutf8.pas line 157

type TEscapeMode = (

  emPascal,

  emHexPascal,

  emHexC,

  emC,

  emAsciiControlNames

);


TUTF8TrimFlag

Declaration

Source position: lazutf8.pas line 162

type TUTF8TrimFlag = (

  u8tKeepStart,

  u8tKeepEnd,

  u8tKeepTabs,

  u8tKeepLineBreaks,

  u8tKeepNoBreakSpaces,

  u8tKeepControlCodes

);


TUTF8TrimFlags

Declaration

Source position: lazutf8.pas line 170

type TUTF8TrimFlags = set of (

  u8tKeepStart,

  u8tKeepEnd,

  u8tKeepTabs,

  u8tKeepLineBreaks,

  u8tKeepNoBreakSpaces,

  u8tKeepControlCodes

);


Reference for unit 'LazUTF8Classes'

uses

  System,

  Classes,

  sysutils,

  LazUTF8;


Reference for unit 'LazUTF8Classes': Classes

TFileStreamUTF8

TMemoryStreamUTF8

TStringListUTF8


Reference for unit 'LazUTF8Classes': Procedures and functions

CompareStringListItemsUTF8LowerCase

LoadStringsFromFileUTF8

SaveStringsToFileUTF8


Index of all identifiers in unit 'LazUTF8Classes'

C L S T

C

CompareStringListItemsUTF8LowerCase

L

LoadStringsFromFileUTF8

S

SaveStringsToFileUTF8

T

TFileStreamUTF8 TMemoryStreamUTF8 TStringListUTF8


Reference for unit 'LazUTF8SysUtils'

uses

  System,

  sysutils;


Reference for unit 'LazUTF8SysUtils': Procedures and functions

GetTickCount64

NowUTC


Index of all identifiers in unit 'LazUTF8SysUtils'

G N

G

GetTickCount64

N

NowUTC


Reference for unit 'LazUtilities'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'LazUtilities': Procedures and functions

ComparePointers

FindNextDelimitedItem

GetNextDelimitedItem

HasDelimitedItem

MergeSort

MergeWithDelimiter


Index of all identifiers in unit 'LazUtilities'

C F G H M

C

ComparePointers

F

FindNextDelimitedItem

G

GetNextDelimitedItem

H

HasDelimitedItem

M

MergeSort MergeWithDelimiter


Reference for unit 'LazUtils'

uses
System,
AvgLvlTree, | An Average Level Tree structure, which is kept balanced so that finding a node is very rapid
DynamicArray,
DynHashArray,
DynQueue,
EasyLazFreeType, |
ExtendedStrings,
FileUtil, | Miscellaneous procedures and functions for manipulating files and filenames
FPCAdds,
Laz2_DOM, |
Laz2_XMLCfg, |
laz2_XMLRead, |
laz2_xmlutils, |
laz2_XMLWrite, |
laz2_xpath, |
Laz_DOM, |
Laz_XMLCfg, |
Laz_XMLRead, |
Laz_XMLStreaming, |
Laz_XMLWrite, |
LazClasses, |
lazCollections, |
LazConfigStorage, |
LazDbgLog, |
lazfglhash, |
LazFileCache, |
LazFileUtils, |
LazFreeType, |
LazFreeTypeFontCollection, |
LazFreeTypeFPImageDrawer, |
LazLinkedList, |
LazListClasses,
LazLogger, | Provides a log framework
LazLoggerBase, |
LazLoggerDummy, |
LazLoggerProfiling,
LazMethodList, |
LazUnicode, |
LazUTF16, |
LazUTF8, |
LazUTF8Classes, |
LazUTF8SysUtils, |
LazUtilities, |
LazUtilsStrConsts, |
LConvEncoding, |
lcsvutils, |
LookupStringList, |
Maps, |
Masks, | This unit contains classes for mask matching.
PasWString, |
StringHashList, |
TextStrings,
Translations, |
TTCache, |
TTCalc, |
TTCMap, |
TTDebug, |
TTError, |
TTFile, |
TTGLoad, |
TTInterp, |
TTLoad, |
TTMemory, |
TTObjs,
TTProfile, |
TTRASTER, |
TTTables, |
TTTypes, |
UTF8Process, | Version of FPC TProcess that allows UTF8 arguments
HTML2TextRender,
Laz_AVL_Tree,
CompWriterPas,
LazPasReadUtil,
IntegerList,
LazVersion,
LazarusPackageIntf;


Index of all identifiers in unit 'LazUtils'

The latest version of this document can be found at lazarus-ccr.sourceforge.net .


Reference for unit 'LazUtilsStrConsts'

uses

  System;


Reference for unit 'LazUtilsStrConsts': Resource strings

lrsModified
' modified '

lrsInvalidCharSet
'The char set in mask "%s" is not valid!'

lrsSize
' size '

lrsFileDoesNotExist
'file "%s" does not exist'

lrsFileIsADirectoryAndNotAnExecutable
'file "%s" is a directory and not an' + ' executable'

lrsReadAccessDeniedFor
'read access denied for %s'

lrsADirectoryComponentInDoesNotExistOrIsADanglingSyml2
'a directory ' + 'component in %s does not exist or is a dangling symlink'

lrsADirectoryComponentInIsNotADirectory2
'a directory component in %s is ' + 'not a directory'

lrsADirectoryComponentInDoesNotExistOrIsADanglingSyml
'a directory ' + 'component in %s does not exist or is a dangling symlink'

lrsADirectoryComponentInIsNotADirectory
'a directory component in %s is ' + 'not a directory'

lrsInsufficientMemory
'insufficient memory'

lrsHasACircularSymbolicLink
'%s has a circular symbolic link'

lrsIsNotASymbolicLink
'%s is not a symbolic link'

lrsIsNotExecutable
'%s is not executable'

lrsUnableToCreateConfigDirectoryS
'Unable to create config directory "%s"'

lrsProgramFileNotFound
'program file not found %s'

lrsCanNotExecute
'can not execute %s'

lrsListMustBeEmpty
'List must be empty'

lrsListIndexExceedsBounds
'List index exceeds bounds (%d)'

lrsNodeSet
'node set'

lrsBoolean
'boolean'

lrsNumber
'number'

lrsString
'string'

lrsVarNoConversion
'Conversion from %s to %s not possible'

lrsScannerUnclosedString
'String literal was not closed'

lrsScannerInvalidChar
'Invalid character'

lrsScannerMalformedQName
'Expected "*" or local part after colon'

lrsScannerExpectedVarName
'Expected variable name after "$"'

lrsParserExpectedLeftBracket
'Expected "("'

lrsParserExpectedRightBracket
'Expected ")"'

lrsParserBadAxisName
'Invalid axis name'

lrsParserBadNodeType
'Invalid node type'

lrsParserExpectedRightSquareBracket
'Expected "]" after predicate'

lrsParserInvalidPrimExpr
'Invalid primary expression'

lrsParserGarbageAfterExpression
'Unrecognized input after expression'

lrsParserInvalidNodeTest
'Invalid node test (syntax error)'

lrsEvalUnknownFunction
'Unknown function: "%s"'

lrsEvalUnknownVariable
'Unknown variable: "%s"'

lrsEvalInvalidArgCount
'Invalid number of function arguments'


Index of all identifiers in unit 'LazUtilsStrConsts'

L

L

lrsADirectoryComponentInDoesNotExistOrIsADanglingSyml | lrsInvalidCharSet | lrsParserGarbageAfterExpression
lrsADirectoryComponentInDoesNotExistOrIsADanglingSyml2 | lrsIsNotASymbolicLink | lrsParserInvalidNodeTest
lrsADirectoryComponentInIsNotADirectory | lrsIsNotExecutable | lrsParserInvalidPrimExpr
lrsADirectoryComponentInIsNotADirectory2 | lrsListIndexExceedsBounds | lrsProgramFileNotFound
lrsBoolean | lrsListMustBeEmpty | lrsReadAccessDeniedFor
lrsCanNotExecute | lrsModified | lrsScannerExpectedVarName
lrsEvalInvalidArgCount | lrsNodeSet | lrsScannerInvalidChar
lrsEvalUnknownFunction | lrsNumber | lrsScannerMalformedQName
lrsEvalUnknownVariable | lrsParserBadAxisName | lrsScannerUnclosedString
lrsFileDoesNotExist | lrsParserBadNodeType | lrsSize
lrsFileIsADirectoryAndNotAnExecutable | lrsParserExpectedLeftBracket | lrsString
lrsHasACircularSymbolicLink | lrsParserExpectedRightBracket | lrsUnableToCreateConfigDirectoryS
lrsInsufficientMemory | lrsParserExpectedRightSquareBracket | lrsVarNoConversion


ConvertAnsiToUTF8

Declaration

Source position: lconvencoding.pas line 105

var ConvertAnsiToUTF8: TConvertEncodingFunction = Nil;


ConvertUTF8ToAnsi

Declaration

Source position: lconvencoding.pas line 106

var ConvertUTF8ToAnsi: TConvertUTF8ToEncodingFunc = Nil;


EncodingAnsi

Declaration

Source position: lconvencoding.pas line 37

const EncodingAnsi = 'ansi';


EncodingCP437

Declaration

Source position: lconvencoding.pas line 52

const EncodingCP437 = 'cp437';


EncodingCP850

Declaration

Source position: lconvencoding.pas line 53

const EncodingCP850 = 'cp850';


EncodingCP852

Declaration

Source position: lconvencoding.pas line 54

const EncodingCP852 = 'cp852';


EncodingCP866

Declaration

Source position: lconvencoding.pas line 55

const EncodingCP866 = 'cp866';


EncodingCP874

Declaration

Source position: lconvencoding.pas line 56

const EncodingCP874 = 'cp874';


EncodingCP932

Declaration

Source position: lconvencoding.pas line 58

const EncodingCP932 = 'cp932';


EncodingCP936

Declaration

Source position: lconvencoding.pas line 59

const EncodingCP936 = 'cp936';


EncodingCP949

Declaration

Source position: lconvencoding.pas line 60

const EncodingCP949 = 'cp949';


EncodingCP950

Declaration

Source position: lconvencoding.pas line 61

const EncodingCP950 = 'cp950';


EncodingCP1250

Declaration

Source position: lconvencoding.pas line 42

const EncodingCP1250 = 'cp1250';


EncodingCP1251

Declaration

Source position: lconvencoding.pas line 43

const EncodingCP1251 = 'cp1251';


EncodingCP1252

Declaration

Source position: lconvencoding.pas line 44

const EncodingCP1252 = 'cp1252';


EncodingCP1253

Declaration

Source position: lconvencoding.pas line 45

const EncodingCP1253 = 'cp1253';


EncodingCP1254

Declaration

Source position: lconvencoding.pas line 46

const EncodingCP1254 = 'cp1254';


EncodingCP1255

Declaration

Source position: lconvencoding.pas line 47

const EncodingCP1255 = 'cp1255';


EncodingCP1256

Declaration

Source position: lconvencoding.pas line 48

const EncodingCP1256 = 'cp1256';


EncodingCP1257

Declaration

Source position: lconvencoding.pas line 49

const EncodingCP1257 = 'cp1257';


EncodingCP1258

Declaration

Source position: lconvencoding.pas line 50

const EncodingCP1258 = 'cp1258';


EncodingCPIso1

Declaration

Source position: lconvencoding.pas line 66

const EncodingCPIso1 = 'iso88591';


EncodingCPIso2

Declaration

Source position: lconvencoding.pas line 67

const EncodingCPIso2 = 'iso88592';


EncodingCPIso15

Declaration

Source position: lconvencoding.pas line 68

const EncodingCPIso15 = 'iso885915';


EncodingCPKOI8

Declaration

Source position: lconvencoding.pas line 64

const EncodingCPKOI8 = 'koi8';


EncodingCPMac

Declaration

Source position: lconvencoding.pas line 63

const EncodingCPMac = 'macintosh';


EncodingUCS2BE

Declaration

Source position: lconvencoding.pas line 40

const EncodingUCS2BE = 'ucs2be';


EncodingUCS2LE

Declaration

Source position: lconvencoding.pas line 39

const EncodingUCS2LE = 'ucs2le';


EncodingUTF8

Declaration

Source position: lconvencoding.pas line 36

const EncodingUTF8 = 'utf8';


EncodingUTF8BOM

Declaration

Source position: lconvencoding.pas line 38

const EncodingUTF8BOM = 'utf8bom';


Reference for unit 'LConvEncoding'

uses

  System,

  sysutils,

  Classes,

  dos,

  LazUTF8;


Reference for unit 'LConvEncoding': Constants

EncodingAnsi

EncodingCP1250

EncodingCP1251

EncodingCP1252

EncodingCP1253

EncodingCP1254

EncodingCP1255

EncodingCP1256

EncodingCP1257

EncodingCP1258

EncodingCP437

EncodingCP850

EncodingCP852

EncodingCP866

EncodingCP874

EncodingCP932

EncodingCP936

EncodingCP949

EncodingCP950

EncodingCPIso1

EncodingCPIso15

EncodingCPIso2

EncodingCPKOI8

EncodingCPMac

EncodingUCS2BE

EncodingUCS2LE

EncodingUTF8

EncodingUTF8BOM

UTF16BEBOM

UTF16LEBOM

UTF32BEBOM

UTF32LEBOM

UTF8BOM


Reference for unit 'LConvEncoding': Types

TCharToUTF8Table

TConvertEncodingFunction

TConvertUTF8ToEncodingFunc

TUnicodeToCharID


Reference for unit 'LConvEncoding': Procedures and functions

ConvertEncoding

ConvertEncodingFromUTF8

ConvertEncodingToUTF8

CP1250ToUTF8

CP1251ToUTF8

CP1252ToUTF8

CP1253ToUTF8

CP1254ToUTF8

CP1255ToUTF8

CP1256ToUTF8

CP1257ToUTF8

CP1258ToUTF8

CP437ToUTF8

CP850ToUTF8

CP852ToUTF8

CP866ToUTF8

CP874ToUTF8

CP932ToUTF8

CP936ToUTF8

CP949ToUTF8

CP950ToUTF8

DBCSToUTF8

GetConsoleTextEncoding

GetDefaultTextEncoding

GetSupportedEncodings

GuessEncoding

ISO_8859_15ToUTF8

ISO_8859_1ToUTF8

ISO_8859_2ToUTF8

KOI8ToUTF8

MacintoshToUTF8

NormalizeEncoding

SingleByteToUTF8

UCS2BEToUTF8

UCS2LEToUTF8

UTF8BOMToUTF8

UTF8ToCP1250

UTF8ToCP1251

UTF8ToCP1252

UTF8ToCP1253

UTF8ToCP1254

UTF8ToCP1255

UTF8ToCP1256

UTF8ToCP1257

UTF8ToCP1258

UTF8ToCP437

UTF8ToCP850

UTF8ToCP852

UTF8ToCP866

UTF8ToCP874

UTF8ToCP932

UTF8ToCP936

UTF8ToCP949

UTF8ToCP950

UTF8ToDBCS

UTF8ToISO_8859_1

UTF8ToISO_8859_15

UTF8ToISO_8859_2

UTF8ToKOI8

UTF8ToKOI8RU

UTF8ToKOI8U

UTF8ToMacintosh

UTF8ToSingleByte

UTF8ToUCS2BE

UTF8ToUCS2LE

UTF8ToUTF8BOM


Reference for unit 'LConvEncoding': Variables

ConvertAnsiToUTF8

ConvertUTF8ToAnsi


Index of all identifiers in unit 'LConvEncoding'

C D E G I K M N S T U

C

ConvertAnsiToUTF8 | CP1253ToUTF8 | CP852ToUTF8
ConvertEncoding | CP1254ToUTF8 | CP866ToUTF8
ConvertEncodingFromUTF8 | CP1255ToUTF8 | CP874ToUTF8
ConvertEncodingToUTF8 | CP1256ToUTF8 | CP932ToUTF8
ConvertUTF8ToAnsi | CP1257ToUTF8 | CP936ToUTF8
CP1250ToUTF8 | CP1258ToUTF8 | CP949ToUTF8
CP1251ToUTF8 | CP437ToUTF8 | CP950ToUTF8
CP1252ToUTF8 | CP850ToUTF8 |

D

DBCSToUTF8

E

EncodingAnsi | EncodingCP437 | EncodingCPIso15
EncodingCP1250 | EncodingCP850 | EncodingCPIso2
EncodingCP1251 | EncodingCP852 | EncodingCPKOI8
EncodingCP1252 | EncodingCP866 | EncodingCPMac
EncodingCP1253 | EncodingCP874 | EncodingUCS2BE
EncodingCP1254 | EncodingCP932 | EncodingUCS2LE
EncodingCP1255 | EncodingCP936 | EncodingUTF8
EncodingCP1256 | EncodingCP949 | EncodingUTF8BOM
EncodingCP1257 | EncodingCP950 |
EncodingCP1258 | EncodingCPIso1 |

G

GetConsoleTextEncoding | GetSupportedEncodings
GetDefaultTextEncoding | GuessEncoding

I

ISO_8859_15ToUTF8 ISO_8859_1ToUTF8 ISO_8859_2ToUTF8

K

KOI8ToUTF8

M

MacintoshToUTF8

N

NormalizeEncoding

S

SingleByteToUTF8

T

TCharToUTF8Table | TConvertUTF8ToEncodingFunc
TConvertEncodingFunction | TUnicodeToCharID

U

UCS2BEToUTF8 | UTF8ToCP1255 | UTF8ToDBCS
UCS2LEToUTF8 | UTF8ToCP1256 | UTF8ToISO_8859_1
UTF16BEBOM | UTF8ToCP1257 | UTF8ToISO_8859_15
UTF16LEBOM | UTF8ToCP1258 | UTF8ToISO_8859_2
UTF32BEBOM | UTF8ToCP437 | UTF8ToKOI8
UTF32LEBOM | UTF8ToCP850 | UTF8ToKOI8RU
UTF8BOM | UTF8ToCP852 | UTF8ToKOI8U
UTF8BOMToUTF8 | UTF8ToCP866 | UTF8ToMacintosh
UTF8ToCP1250 | UTF8ToCP874 | UTF8ToSingleByte
UTF8ToCP1251 | UTF8ToCP932 | UTF8ToUCS2BE
UTF8ToCP1252 | UTF8ToCP936 | UTF8ToUCS2LE
UTF8ToCP1253 | UTF8ToCP949 | UTF8ToUTF8BOM
UTF8ToCP1254 | UTF8ToCP950 |


TCharToUTF8Table

Declaration

Source position: lconvencoding.pas line 102

type TCharToUTF8Table = array [char] of PChar;


TConvertEncodingFunction

Declaration

Source position: lconvencoding.pas line 96

type TConvertEncodingFunction = function(

  const s: string

):string;


TConvertUTF8ToEncodingFunc

Declaration

Source position: lconvencoding.pas line 100

type TConvertUTF8ToEncodingFunc = function(

  const s: string

):string;


TUnicodeToCharID

Declaration

Source position: lconvencoding.pas line 103

type TUnicodeToCharID = function(

  Unicode: Cardinal

):Integer;


UTF8BOM

Declaration

Source position: lconvencoding.pas line 72

const UTF8BOM = #$EF#$BB#$BF;


UTF16BEBOM

Declaration

Source position: lconvencoding.pas line 73

const UTF16BEBOM = #$FE#$FF;


UTF16LEBOM

Declaration

Source position: lconvencoding.pas line 74

const UTF16LEBOM = #$FF#$FE;


UTF32BEBOM

Declaration

Source position: lconvencoding.pas line 75

const UTF32BEBOM = #0#0#$FE#$FF;


UTF32LEBOM

Declaration

Source position: lconvencoding.pas line 76

const UTF32LEBOM = #$FE#$FF#0#0;


Reference for unit 'lcsvutils'

uses

  System,

  Classes,

  sysutils;


Reference for unit 'lcsvutils': Types

TCSVEncoding

TCSVRecordProc


Reference for unit 'lcsvutils': Procedures and functions

LoadFromCSVFile

LoadFromCSVStream


Index of all identifiers in unit 'lcsvutils'

C L T

C

ceAuto | ceUTF16be
ceUTF16 | ceUTF8

L

LoadFromCSVFile LoadFromCSVStream

T

TCSVEncoding TCSVRecordProc


TCSVEncoding

Declaration

Source position: lcsvutils.pas line 21

type TCSVEncoding = (

  ceAuto,

  ceUTF8,

  ceUTF16,

  ceUTF16be

);


TCSVRecordProc

Declaration

Source position: lcsvutils.pas line 20

type TCSVRecordProc = procedure(

  Fields: TStringList

);


Reference for unit 'LookupStringList'

uses

  System,

  Classes,

  sysutils,

  AvgLvlTree;

An Average Level Tree structure, which is kept balanced so that finding a node is very rapid


Reference for unit 'LookupStringList': Classes

TDictionaryStringList

TLookupStringList


Reference for unit 'LookupStringList': Procedures and functions

Deduplicate


Index of all identifiers in unit 'LookupStringList'

D T

D

Deduplicate

T

TDictionaryStringList TLookupStringList


Reference for unit 'Maps'

uses

  System,

  Classes,

  sysutils,

  Math,

  typinfo,

  Laz_AVL_Tree,

  FPCAdds;


Reference for unit 'Maps': Constants

itsPtrSize

ituPtrSize


Reference for unit 'Maps': Types

PMapID

PMapItem

PMapLink

TMapID

TMapIdType

TMapItem

TMapLink


Reference for unit 'Maps': Classes

TBaseMap

TBaseMapIterator

TMap

TMapIterator

TTypedMap

TTypedMapIterator


Reference for unit 'Maps': Procedures and functions

MapReport


Index of all identifiers in unit 'Maps'

I M P T

I

its1 | its8 | itu32
its16 | itsPtrSize | itu4
its2 | itu1 | itu8
its32 | itu16 | ituPtrSize
its4 | itu2 |

M

MapReport

P

PMapID PMapItem PMapLink

T

TBaseMap | TMapIdType | TTypedMap
TBaseMapIterator | TMapItem | TTypedMapIterator
TMap | TMapIterator |
TMapID | TMapLink |


itsPtrSize

Declaration

Source position: maps.pp line 37

const itsPtrSize = its8;


ituPtrSize

Declaration

Source position: maps.pp line 38

const ituPtrSize = itu8;


PMapID

Declaration

Source position: maps.pp line 52

type PMapID = ^TMapID;


PMapItem

Declaration

Source position: maps.pp line 45

type PMapItem = ^TMapItem;


PMapLink

Declaration

Source position: maps.pp line 47

type PMapLink = ^TMapLink;


TMapLink

Declaration

Source position: maps.pp line 48

type TMapLink = record

  Previous: PMapItem;

  Next: PMapItem;

end;


Reference for unit 'Masks'

This unit contains classes for mask matching.

uses

  System,

  Classes,

  sysutils,

  contnrs,

  LazUtilsStrConsts,

  LazUTF8;


Reference for unit 'Masks': Types

PCharSet

TCharSet

TMaskChar

TMaskCharType

TMaskString

TUtf8Char


Reference for unit 'Masks': Classes

TMask | The TMask class represents a mask.
TMaskList | The TMaskList class represents a list of masks.
TParseStringList | The TParseStringList class is used to parse text into the list of strings.


Reference for unit 'Masks': Procedures and functions

MatchesMask | If the file name matches the passed mask.
MatchesMaskList | If the file name matches at least one of passed masks sepearated by separator.
MatchesWindowsMask
MatchesWindowsMaskList


Index of all identifiers in unit 'Masks'

M P T

M

MatchesMask | MatchesWindowsMaskList | mcChar
MatchesMaskList | mcAnyChar | mcCharSet
MatchesWindowsMask | mcAnyText |

P

PCharSet

T

TCharSet | TMaskCharType | TParseStringList
TMask | TMaskList | TUtf8Char
TMaskChar | TMaskString |


PCharSet

Declaration

Source position: masks.pas line 23

type PCharSet = ^TCharSet;


TCharSet

Declaration

Source position: masks.pas line 22

type TCharSet = set of Char;


TMaskString

Declaration

Source position: masks.pas line 34

type TMaskString = record

  MinLength: Integer;

  MaxLength: Integer;

  Chars: array of TMaskChar;

end;


TUtf8Char

Declaration

Source position: masks.pas line 25

type TUtf8Char = string;


Reference for unit 'PasWString'

uses

  System,

  sysutils,

  LazUTF8;


Reference for unit 'PasWString': Procedures and functions

SetPasWidestringManager


Index of all identifiers in unit 'PasWString'

S

S

SetPasWidestringManager


Reference for unit 'StringHashList'

uses

  System,

  Classes,

  sysutils,

  LazUtilsStrConsts;


Reference for unit 'StringHashList': Types

PStringHashItem

PStringHashItemList

TStringHashItem


Reference for unit 'StringHashList': Classes

TStringHashList


Index of all identifiers in unit 'StringHashList'

P T

P

PStringHashItem PStringHashItemList

T

TStringHashItem TStringHashList


PStringHashItem

Declaration

Source position: stringhashlist.pas line 32

type PStringHashItem = ^TStringHashItem;


PStringHashItemList

Declaration

Source position: stringhashlist.pas line 39

type PStringHashItemList = ^PStringHashItem;


TStringHashItem

Declaration

Source position: stringhashlist.pas line 33

type TStringHashItem = record

  HashValue: Cardinal;

  Key: string;

  Data: Pointer;

end;


Reference for unit 'TextStrings'

uses

  System,

  Classes,

  sysutils,

  LazUTF8Classes,

  LazUtilsStrConsts;


Reference for unit 'TextStrings': Types

PTextLineRange

TTextLineRange


Reference for unit 'TextStrings': Classes

TCustomMemoStrings

TTextStrings


Index of all identifiers in unit 'TextStrings'

P T

P

PTextLineRange

T

TCustomMemoStrings TTextLineRange TTextStrings


PTextLineRange

Declaration

Source position: textstrings.pas line 43

type PTextLineRange = ^TTextLineRange;


TTextLineRange

Declaration

Source position: textstrings.pas line 37

type TTextLineRange = record

  Line: string;

  TheObject: TObject;

  StartPos: Integer;

  EndPos: Integer;

end;


Reference for unit 'Translations'

uses
System,
Classes,
sysutils,
jsonparser,
fpjson,
FileUtil, | Miscellaneous procedures and functions for manipulating files and filenames
LazFileUtils, |
LazUTF8, |
LazUTF8Classes, |
LConvEncoding, |
LazLogger, | Provides a log framework
AvgLvlTree, | An Average Level Tree structure, which is kept balanced so that finding a node is very rapid
StringHashList; |


Reference for unit 'Translations': Constants

sBadFormatFlag

sFuzzyFlag


Reference for unit 'Translations': Types

TStringsType

TTranslateUnitResult


Reference for unit 'Translations': Classes

EPOFileError

TPOFile

TPOFileItem


Reference for unit 'Translations': Procedures and functions

FindAllTranslatedPoFiles

TranslateResourceStrings

TranslateUnitResourceStrings

UpdatePoFile

UpdatePoFileTranslations

UTF8ToSystemCharSet


Reference for unit 'Translations': Variables

SystemCharSetIsUTF8


Index of all identifiers in unit 'Translations'

E F S T U

E

EPOFileError

F

FindAllTranslatedPoFiles

S

sBadFormatFlag | stLrj | stRst
sFuzzyFlag | stRsj | SystemCharSetIsUTF8

T

TPOFile | TStringsType | turNoLang
TPOFileItem | TTranslateUnitResult | turOK
TranslateResourceStrings | turEmptyParam |
TranslateUnitResourceStrings | turNoFBLang |

U

UpdatePoFile UpdatePoFileTranslations UTF8ToSystemCharSet


sBadFormatFlag

Declaration

Source position: translations.pas line 228

const sBadFormatFlag = 'badformat';


sFuzzyFlag

Declaration

Source position: translations.pas line 227

const sFuzzyFlag = 'fuzzy';


SystemCharSetIsUTF8

Declaration

Source position: translations.pas line 203

var SystemCharSetIsUTF8: Boolean = True;


TStringsType

Declaration

Source position: translations.pas line 94

type TStringsType = (

  stLrj,

  stRst,

  stRsj

);


TTranslateUnitResult

Declaration

Source position: translations.pas line 99

type TTranslateUnitResult = (

  turOK,

  turNoLang,

  turNoFBLang,

  turEmptyParam

);


Reference for unit 'TTCache'

uses

  System,

  TTTypes;


Reference for unit 'TTCache': Types

PCache

PCache_Class

PList_Element

TCache

TCache_Class

TConstructor

TDestructor

TList_Element

TSingle_List


Reference for unit 'TTCache': Procedures and functions

Cache_Create

Cache_Destroy

Cache_Done

Cache_New

Element_Done

Element_New

TTCache_Done

TTCache_Init


Index of all identifiers in unit 'TTCache'

C E P T

C

Cache_Create | Cache_Done
Cache_Destroy | Cache_New

E

Element_Done Element_New

P

PCache PCache_Class PList_Element

T

TCache | TDestructor | TTCache_Done
TCache_Class | TList_Element | TTCache_Init
TConstructor | TSingle_List |


PCache

Declaration

Source position: ttcache.pas line 94

type PCache = ^TCache;


PCache_Class

Declaration

Source position: ttcache.pas line 84

type PCache_Class = ^TCache_Class;


PList_Element

Declaration

Source position: ttcache.pas line 66

type PList_Element = ^TList_Element;


TCache

Declaration

Source position: ttcache.pas line 95

type TCache = record

  clazz: PCache_Class;

  active: TSingle_List;

  idle: TSingle_List;

  idle_count: Int;

end;


TCache_Class

Declaration

Source position: ttcache.pas line 85

type TCache_Class = record

  Object_Size: Int;

  Idle_Limit: Int;

  Init: TConstructor;

  Done: TDestructor;

end;


TConstructor

Declaration

Source position: ttcache.pas line 79

type TConstructor = function(

  _object: Pointer;

  _parent: Pointer

):TError;


TDestructor

Declaration

Source position: ttcache.pas line 82

type TDestructor = function(

  _object: Pointer

):TError;


TList_Element

Declaration

Source position: ttcache.pas line 67

type TList_Element = record

  next: PList_Element;

  data: Pointer;

end;


TSingle_List

Declaration

Source position: ttcache.pas line 76

type TSingle_List = PList_Element;


Reference for unit 'TTCalc'

uses

  System;


Reference for unit 'TTCalc': Types

Int16

Int32

Word16

Word32


Reference for unit 'TTCalc': Procedures and functions

Div64by32

MulDiv

MulDiv_Round

MulTo64

Order32

Order64

Sqrt32

Sqrt64


Index of all identifiers in unit 'TTCalc'

D I M O S W

D

Div64by32

I

Int16 Int32

M

MulDiv MulDiv_Round MulTo64

O

Order32 Order64

S

Sqrt32 Sqrt64

W

Word16 Word32


Int16

Declaration

Source position: ttcalc.pas line 49

type Int16 = SmallInt;


Int32

Declaration

Source position: ttcalc.pas line 52

type Int32 = LongInt;


Word16

Declaration

Source position: ttcalc.pas line 50

type Word16 = Word;


Word32

Declaration

Source position: ttcalc.pas line 54

type Word32 = Cardinal;


Reference for unit 'TTCMap'

uses

  System,

  TTTypes;


Reference for unit 'TTCMap': Types

PCMap2SubHeaders

PCMap4Segments

PCMapTable

PCMapTables

TCMap0

TCMap2

TCMap2SubHeader

TCMap2SubHeaders

TCMap4

TCMap4Segment

TCMap4Segments

TCMap6

TCMapTable

TCMapTables


Reference for unit 'TTCMap': Procedures and functions

CharMap_Free

CharMap_Index

CharMap_Load


Index of all identifiers in unit 'TTCMap'

C P T

C

CharMap_Free CharMap_Index CharMap_Load

P

PCMap2SubHeaders | PCMapTable
PCMap4Segments | PCMapTables

T

TCMap0 | TCMap4 | TCMapTable
TCMap2 | TCMap4Segment | TCMapTables
TCMap2SubHeader | TCMap4Segments |
TCMap2SubHeaders | TCMap6 |


PCMap2SubHeaders

Declaration

Source position: ttcmap.pas line 54

type PCMap2SubHeaders = ^TCMap2SubHeaders;


PCMap4Segments

Declaration

Source position: ttcmap.pas line 76

type PCMap4Segments = ^TCMap4Segments;


PCMapTable

Declaration

Source position: ttcmap.pas line 101

type PCMapTable = ^TCMapTable;


PCMapTables

Declaration

Source position: ttcmap.pas line 122

type PCMapTables = ^TCMapTables;


TCMap0

Declaration

Source position: ttcmap.pas line 38

type TCMap0 = record

  glyphIdArray: PUShort;

end;


TCMap2

Declaration

Source position: ttcmap.pas line 57

type TCMap2 = record

  subHeaderKeys: PUShort;

  subHeaders: PCMap2SubHeaders;

  glyphIdArray: PUShort;

  numGlyphId: Int;

end;


TCMap2SubHeader

Declaration

Source position: ttcmap.pas line 46

type TCMap2SubHeader = record

  firstCode: UShort;

  entryCount: UShort;

  idDelta: Short;

  idRangeOffset: UShort;

end;


TCMap2SubHeaders

Declaration

Source position: ttcmap.pas line 53

type TCMap2SubHeaders = array [0..100] of TCMap2SubHeader;


TCMap4

Declaration

Source position: ttcmap.pas line 79

type TCMap4 = record

  segCountX2: UShort;

  searchRange: UShort;

  entrySelector: UShort;

  rangeShift: UShort;

  segments: PCMap4Segments;

  glyphIdArray: PUShort;

  numGlyphId: Int;

end;


TCMap4Segment

Declaration

Source position: ttcmap.pas line 69

type TCMap4Segment = record

  endCount: UShort;

  startCount: UShort;

  idDelta: UShort;

  idRangeOffset: UShort;

end;


TCMap4Segments

Declaration

Source position: ttcmap.pas line 75

type TCMap4Segments = array [0..100] of TCMap4Segment;


TCMap6

Declaration

Source position: ttcmap.pas line 92

type TCMap6 = record

  firstCode: UShort;

  entryCount: UShort;

  glyphIdArray: PUShort;

end;


TCMapTable

Declaration

Source position: ttcmap.pas line 102

type TCMapTable = record

  platformID: UShort;

  platformEncodingID: UShort;

  Format: Word;

  Length: Word;

  Version: Word;

  Loaded: Boolean;

  CannotLoad: Boolean;

  StreamPtr: ;

  Offset: Long;

  case Byte of

    0: (

        cmap0: TCMap0;

      );

    2: (

        cmap2: TCMap2;

      );

    4: (

        cmap4: TCMap4;

      );

    6: (

        cmap6: TCMap6;

      );

end;


TCMapTables

Declaration

Source position: ttcmap.pas line 121

type TCMapTables = array [0..9] of TCMapTable;


ByteHexStr

Declaration

Source position: ttdebug.pas line 27

type ByteHexStr = string;


DebugStr

Declaration

Source position: ttdebug.pas line 30

type DebugStr = string;


Reference for unit 'TTDebug'

uses

  System,

  sysutils,

  TTTypes,

  TTObjs;


Reference for unit 'TTDebug': Types

ByteHexStr

DebugStr

LongHexStr

PBreakPoint

PRangeRec

ShortHexStr

TBreakPoint

TRangeRec


Reference for unit 'TTDebug': Procedures and functions

Clear_All_Breaks

Clear_Break

Cur_U_Line

Find_BreakPoint

Generate_Range

Get_Dis_Line

Get_Length

Hex16

Hex32

Hex8

Set_Break

Throw_Range

Toggle_Break


Index of all identifiers in unit 'TTDebug'

B C D F G H L P S T

B

ByteHexStr

C

Clear_All_Breaks Clear_Break Cur_U_Line

D

DebugStr

F

Find_BreakPoint

G

Generate_Range Get_Dis_Line Get_Length

H

Hex16 Hex32 Hex8

L

LongHexStr

P

PBreakPoint PRangeRec

S

Set_Break ShortHexStr

T

TBreakPoint | Toggle_Break
Throw_Range | TRangeRec


LongHexStr

Declaration

Source position: ttdebug.pas line 29

type LongHexStr = string;


PBreakPoint

Declaration

Source position: ttdebug.pas line 38

type PBreakPoint = ^TBreakPoint;


PRangeRec

Declaration

Source position: ttdebug.pas line 49

type PRangeRec = ^TRangeRec;


ShortHexStr

Declaration

Source position: ttdebug.pas line 28

type ShortHexStr = string;


TBreakPoint

Declaration

Source position: ttdebug.pas line 39

type TBreakPoint = record

  Next: PBreakPoint;

  Range: Int;

  Address: Int;

end;


TRangeRec

Declaration

Source position: ttdebug.pas line 50

type TRangeRec = record

  Code: PByte;

  Size: Int;

  index: Int;

  NLines: Int;

  Disassembled: PUShort;

  Breaks: PBreakPoint;

end;


Err_Ras_Invalid

Declaration

Source position: tterror.pas line 35

const Err_Ras_Invalid = - 5;


Err_Ras_Invalid_Contours

Declaration

Source position: tterror.pas line 36

const Err_Ras_Invalid_Contours = - 6;


Err_Ras_Neg_H

Declaration

Source position: tterror.pas line 34

const Err_Ras_Neg_H = - 4;


Err_Ras_None

Declaration

Source position: tterror.pas line 31

const Err_Ras_None = 0;


Err_Ras_NotIni

Declaration

Source position: tterror.pas line 32

const Err_Ras_NotIni = - 2;


Err_Ras_Overflow

Declaration

Source position: tterror.pas line 33

const Err_Ras_Overflow = - 3;


error

Declaration

Source position: tterror.pas line 49

var error: Integer = ;


Reference for unit 'TTError'

uses

  System,

  TTTypes;


Reference for unit 'TTError': Constants

Err_Ras_Invalid

Err_Ras_Invalid_Contours

Err_Ras_Neg_H

Err_Ras_None

Err_Ras_NotIni

Err_Ras_Overflow


Reference for unit 'TTError': Procedures and functions

Check_Error

Panic1

Trace1


Reference for unit 'TTError': Variables

error


Index of all identifiers in unit 'TTError'

C E P T

C

Check_Error

E

error | Err_Ras_Neg_H | Err_Ras_Overflow
Err_Ras_Invalid | Err_Ras_None |
Err_Ras_Invalid_Contours | Err_Ras_NotIni |

P

Panic1

T

Trace1


Reference for unit 'TTFile'

uses

  System,

  TTTypes,

  TTError,

  Classes;


Reference for unit 'TTFile': Classes

TFreeTypeStream


Reference for unit 'TTFile': Procedures and functions

TTFile_Done

TTFile_Init

TT_Close_Stream

TT_Done_Stream

TT_Flush_Stream

TT_Open_Stream

TT_Stream_Size

TT_Use_Stream


Index of all identifiers in unit 'TTFile'

T

T

TFreeTypeStream | TTFile_Done | TT_Open_Stream
TT_Close_Stream | TTFile_Init | TT_Stream_Size
TT_Done_Stream | TT_Flush_Stream | TT_Use_Stream


Reference for unit 'TTGLoad'

uses

  System,

  LazFreeType,

  TTError,

  TTTypes,

  TTObjs;


Reference for unit 'TTGLoad': Procedures and functions

Get_Advance_Widths

Load_TrueType_Glyph

TT_Get_Metrics


Index of all identifiers in unit 'TTGLoad'

G L T

G

Get_Advance_Widths

L

Load_TrueType_Glyph

T

TT_Get_Metrics


Reference for unit 'TTInterp'

uses

  System,

  TTTypes,

  TTObjs;


Reference for unit 'TTInterp': Procedures and functions

Run_Ins


Index of all identifiers in unit 'TTInterp'

R

R

Run_Ins


Reference for unit 'TTLoad'

uses

  System,

  TTTypes,

  TTTables,

  TTCMap,

  TTObjs,

  TTFile;


Reference for unit 'TTLoad': Procedures and functions

Load_TrueType_Any

Load_TrueType_CMap

Load_TrueType_CVT

Load_TrueType_Directory

Load_TrueType_Gasp

Load_TrueType_HDMX

Load_TrueType_Header

Load_TrueType_Locations

Load_TrueType_MaxProfile

Load_TrueType_Metrics_Header

Load_TrueType_Names

Load_TrueType_OS2

Load_trueType_Postscript

Load_TrueType_Programs

LookUp_TrueType_Table


Index of all identifiers in unit 'TTLoad'

L

L

Load_TrueType_Any | Load_TrueType_HDMX | Load_TrueType_Names
Load_TrueType_CMap | Load_TrueType_Header | Load_TrueType_OS2
Load_TrueType_CVT | Load_TrueType_Locations | Load_trueType_Postscript
Load_TrueType_Directory | Load_TrueType_MaxProfile | Load_TrueType_Programs
Load_TrueType_Gasp | Load_TrueType_Metrics_Header | LookUp_TrueType_Table


Font_Pool_Allocated

Declaration

Source position: ttmemory.pas line 77

const Font_Pool_Allocated: Boolean = False;


Reference for unit 'TTMemory'

uses

  System,

  TTTypes;


Reference for unit 'TTMemory': Constants

Font_Pool_Allocated


Reference for unit 'TTMemory': Types

TMarkRecord


Reference for unit 'TTMemory': Procedures and functions

Alloc

Free

TTMemory_Done

TTMemory_Init


Index of all identifiers in unit 'TTMemory'

A F T

A

Alloc

F

Font_Pool_Allocated Free

T

TMarkRecord TTMemory_Done TTMemory_Init


TMarkRecord

Declaration

Source position: ttmemory.pas line 71

type TMarkRecord = record

  Magic: LongInt;

  Top: Integer;

end;


CvtFlag_Both

Declaration

Source position: ttobjs.pas line 180

const CvtFlag_Both = 3;


CvtFlag_None

Declaration

Source position: ttobjs.pas line 177

const CvtFlag_None = 0;


CvtFlag_X

Declaration

Source position: ttobjs.pas line 178

const CvtFlag_X = 1;


CvtFlag_Y

Declaration

Source position: ttobjs.pas line 179

const CvtFlag_Y = 2;


Default_GraphicsState

Declaration

Source position: ttobjs.pas line 135

const Default_GraphicsState: TGraphicsState = (rp0: 0; rp1: 0; rp2: 0; dualVector: (x: $4000; y: 0); projVector: (x: $4000; y: 0); freeVector: (x: $4000; y: 0); loop: 1; minimum_distance: 64; round_state: 1; auto_flip: True; control_value_cutin: 4 * 17; single_width_cutin: 0; single_width_value: 0; delta_Base: 9; delta_Shift: 3; instruct_control: 0; scan_control: True; scan_type: 0; gep0: 1; gep1: 1; gep2: 1);


exec_cache

Declaration

Source position: ttobjs.pas line 765

var exec_cache: TCache = ;


face_cache

Declaration

Source position: ttobjs.pas line 764

var face_cache: TCache = ;


Reference for unit 'TTObjs'

uses

  System,

  LazFreeType,

  TTTypes,

  TTError,

  TTCache,

  TTTables,

  TTCMap;


Reference for unit 'TTObjs': Constants

CvtFlag_Both

CvtFlag_None

CvtFlag_X

CvtFlag_Y

Default_GraphicsState

MaxCodeRanges

TT_CodeRange_Cvt

TT_CodeRange_Font

TT_CodeRange_Glyph


Reference for unit 'TTObjs': Types

PCallStack

PCodeRange

PDefArray

PDefRecord

PExec_Context

PFace

PFont_Input

PGlyph

PGlyph_Transform

PGlyph_Zone

PGraphicsState

PInstance

PSubglyph_Record

PSubglyph_Stack

TCallRecord

TCallStack

TCodeRange

TCodeRangeTable

TDefArray

TDefRecord

TExec_Context

TFace

TFont_Input

TFunc_Get_CVT

TFunc_Set_CVT

TGlyph

TGlyph_Transform

TGlyph_Zone

TGraphicsState

TInstance

TIns_Metrics

TMove_Function

TProject_Function

TRound_Function

TSubglyph_Record

TSubglyph_Stack


Reference for unit 'TTObjs': Procedures and functions

Clear_CodeRange

Context_Load

Context_Run

Context_Save

Done_Context

Get_CodeRange

Goto_CodeRange

Instance_Init

Instance_Reset

New_Context

Scale_X

Scale_Y

Set_CodeRange

TTObjs_Done

TTObjs_Init


Reference for unit 'TTObjs': Variables

exec_cache

face_cache


Index of all identifiers in unit 'TTObjs'

C D E F G I M N P S T

C

Clear_CodeRange | Context_Save | CvtFlag_X
Context_Load | CvtFlag_Both | CvtFlag_Y
Context_Run | CvtFlag_None |

D

Default_GraphicsState Done_Context

E

exec_cache

F

face_cache

G

Get_CodeRange Goto_CodeRange

I

Instance_Init Instance_Reset

M

MaxCodeRanges

N

New_Context

P

PCallStack | PFace | PGraphicsState
PCodeRange | PFont_Input | PInstance
PDefArray | PGlyph | PSubglyph_Record
PDefRecord | PGlyph_Transform | PSubglyph_Stack
PExec_Context | PGlyph_Zone |

S

Scale_X Scale_Y Set_CodeRange

T

TCallRecord | TFunc_Get_CVT | TProject_Function
TCallStack | TFunc_Set_CVT | TRound_Function
TCodeRange | TGlyph | TSubglyph_Record
TCodeRangeTable | TGlyph_Transform | TSubglyph_Stack
TDefArray | TGlyph_Zone | TT_CodeRange_Cvt
TDefRecord | TGraphicsState | TT_CodeRange_Font
TExec_Context | TIns_Metrics | TT_CodeRange_Glyph
TFace | TInstance | TTObjs_Done
TFont_Input | TMove_Function | TTObjs_Init


MaxCodeRanges

Declaration

Source position: ttobjs.pas line 167

const MaxCodeRanges = 3;


PCallStack

Declaration

Source position: ttobjs.pas line 221

type PCallStack = ^TCallStack;


PCodeRange

Declaration

Source position: ttobjs.pas line 187

type PCodeRange = ^TCodeRange;


PDefArray

Declaration

Source position: ttobjs.pas line 208

type PDefArray = ^TDefArray;


PDefRecord

Declaration

Source position: ttobjs.pas line 200

type PDefRecord = ^TDefRecord;


PExec_Context

Declaration

Source position: ttobjs.pas line 383

type PExec_Context = ^TExec_Context;


PFace

Declaration

Source position: ttobjs.pas line 381

type PFace = ^TFace;


PFont_Input

Declaration

Source position: ttobjs.pas line 676

type PFont_Input = ^TFont_Input;


PGlyph

Declaration

Source position: ttobjs.pas line 664

type PGlyph = ^TGlyph;


PGlyph_Transform

Declaration

Source position: ttobjs.pas line 264

type PGlyph_Transform = ^TGlyph_Transform;


PGlyph_Zone

Declaration

Source position: ttobjs.pas line 223

type PGlyph_Zone = ^TGlyph_Zone;


PGraphicsState

Declaration

Source position: ttobjs.pas line 103

type PGraphicsState = ^TGraphicsState;


PInstance

Declaration

Source position: ttobjs.pas line 382

type PInstance = ^TInstance;


PSubglyph_Record

Declaration

Source position: ttobjs.pas line 271

type PSubglyph_Record = ^TSubglyph_Record;


PSubglyph_Stack

Declaration

Source position: ttobjs.pas line 293

type PSubglyph_Stack = ^TSubglyph_Stack;


TCallRecord

Declaration

Source position: ttobjs.pas line 212

type TCallRecord = record

  Caller_Range: Int;

  Caller_IP: Int;

  Cur_Count: Int;

  Cur_Restart: Int;

end;


TCallStack

Declaration

Source position: ttobjs.pas line 220

type TCallStack = array [0..99] of TCallRecord;


TCodeRange

Declaration

Source position: ttobjs.pas line 183

type TCodeRange = record

  Base: PByte;

  Size: Int;

end;


TCodeRangeTable

Declaration

Source position: ttobjs.pas line 197

type TCodeRangeTable = array [1..MaxCodeRanges] of TCodeRange;


TDefArray

Declaration

Source position: ttobjs.pas line 209

type TDefArray = array [0..99] of TDefRecord;


TDefRecord

Declaration

Source position: ttobjs.pas line 201

type TDefRecord = record

  Range: Int;

  Start: Int;

  Opc: Byte;

  Active: Boolean;

end;


TExec_Context

Declaration

Source position: ttobjs.pas line 550

type TExec_Context = record

  face: PFace;

  instance: PInstance;

  error: Int;

  interpreter: TObject;

  stackSize: Int;

  stack: PStorage;

  zp0: TGlyph_Zone;

  zp1: TGlyph_Zone;

  zp2: TGlyph_Zone;

  twilight: TGlyph_Zone;

  pts: TGlyph_Zone;

  GS: TGraphicsState;

  curRange: Int;

  code: PByte;

  IP: Int;

  codeSize: Int;

  step_ins: Boolean;

  loadSize: Int;

  loadStack: PSubglyph_Stack;

  glyphIns: PByte;

  glyphSize: Int;

  callSize: Int;

  callStack: PCallStack;

  period: TT_F26Dot6;

  phase: TT_F26Dot6;

  threshold: TT_F26Dot6;

  maxPoints: Int;

  maxContours: Int;

  numFDefs: Int;

  maxFDefs: Int;

  FDefs: PDefArray;

  numIDefs: Int;

  maxIDefs: Int;

  IDefs: PDefArray;

  maxFunc: Int;

  maxIns: Int;

  codeRangeTable: TCodeRangeTable;

  storeSize: Int;

  storage: PStorage;

  metrics: TIns_Metrics;

  cur_ppem: Int;

  scale1: Long;

  scale2: Long;

  cached_metrics: Boolean;

  Instruction_Trap: Boolean;

  is_composite: Boolean;

  cvtSize: Int;

  cvt: PLong;

  F_dot_P: Long;

  func_round: TRound_Function;

  func_project: TProject_Function;

  func_dualproj: TProject_Function;

  func_freeProj: TProject_Function;

  func_move: TMove_Function;

  func_read_cvt: TFunc_Get_CVT;

  func_write_cvt: TFunc_Set_CVT;

  func_move_cvt: TFunc_Set_CVT;

end;


TFace

Declaration

Source position: ttobjs.pas line 385

type TFace = record

  stream: TT_Stream;

  ttcHeader: TTTCHeader;

  maxProfile: TMaxProfile;

  fontHeader: TT_Header;

  horizontalHeader: TT_Horizontal_Header;

  verticalInfo: Boolean;

  verticalHeader: TT_Vertical_Header;

  os2: TT_OS2;

  postscript: TT_Postscript;

  hdmx: THdmx;

  nameTable: TName_Table;

  numTables: Int;

  dirTables: PTableDirEntries;

  numCMaps: Int;

  cMaps: PCMapTables;

  numLocations: Int;

  glyphLocations: PStorage;

  fontPgmSize: Int;

  fontProgram: PByte;

  cvtPgmSize: Int;

  cvtProgram: PByte;

  cvtSize: Int;

  cvt: PShort;

  gasp: TGasp;

  numGlyphs: Int;

  maxPoints: Int;

  maxContours: Int;

  maxComponents: Int;

  instances: TCache;

  glyphs: TCache;

  extension: Pointer;

  generic: Pointer;

end;


TFont_Input

Declaration

Source position: ttobjs.pas line 677

type TFont_Input = record

  stream: TT_Stream;

  fontIndex: Int;

end;


TFunc_Get_CVT

Declaration

Source position: ttobjs.pas line 249

type TFunc_Get_CVT = function(

  index: Int

):TT_F26Dot6 of object;


TFunc_Set_CVT

Declaration

Source position: ttobjs.pas line 253

type TFunc_Set_CVT = procedure(

  index: Int;

  value: TT_F26Dot6

) of object;


TGlyph

Declaration

Source position: ttobjs.pas line 665

type TGlyph = record

  face: PFace;

  metrics: TT_Big_Glyph_Metrics;

  outline: TT_Outline;

  computed_width: Int;

  precalc_width: Int;

  is_composite: Boolean;

end;


TGlyph_Transform

Declaration

Source position: ttobjs.pas line 265

type TGlyph_Transform = record

  xx: TT_Fixed;

  xy: TT_Fixed;

  yx: TT_Fixed;

  yy: TT_Fixed;

  ox: TT_F26Dot6;

  oy: TT_F26Dot6;

end;


TGlyph_Zone

Declaration

Source position: ttobjs.pas line 224

type TGlyph_Zone = record

  n_points: Int;

  n_contours: Int;

  org: TT_Points;

  cur: TT_Points;

  flags: TT_PTouchTable;

  conEnds: PUShort;

end;


TGraphicsState

Declaration

Source position: ttobjs.pas line 104

type TGraphicsState = record

  rp0: Int;

  rp1: Int;

  rp2: Int;

  dualVector: TT_UnitVector;

  projVector: TT_UnitVector;

  freeVector: TT_UnitVector;

  loop: LongInt;

  minimum_distance: TT_F26Dot6;

  round_state: Int;

  auto_flip: Boolean;

  control_value_cutin: TT_F26Dot6;

  single_width_cutin: TT_F26Dot6;

  single_width_value: TT_F26Dot6;

  delta_base: Int;

  delta_shift: Int;

  instruct_control: Byte;

  scan_control: Boolean;

  scan_type: Int;

  gep0: Int;

  gep1: Int;

  gep2: Int;

end;


TIns_Metrics

Declaration

Source position: ttobjs.pas line 346

type TIns_Metrics = record

  pointsize: TT_F26Dot6;

  x_resolution: Int;

  y_resolution: Int;

  x_ppem: Int;

  y_ppem: Int;

  x_scale1: Long;

  x_scale2: Long;

  y_scale1: Long;

  y_scale2: Long;

  x_ratio: Long;

  y_ratio: Long;

  scale1: Long;

  scale2: Long;

  ppem: Int;

  ratio: Long;

  compensations: array [0..3] of TT_F26Dot6;

  rotated: Boolean;

  stretched: Boolean;

end;


TInstance

Declaration

Source position: ttobjs.pas line 499

type TInstance = record

  owner: PFace;

  valid: Boolean;

  metrics: TIns_Metrics;

  numFDefs: Int;

  maxFDefs: Int;

  FDefs: PDefArray;

  numIDefs: Int;

  maxIDefs: Int;

  IDefs: PDefArray;

  maxFunc: Int;

  maxIns: Int;

  codeRangeTable: TCodeRangeTable;

  GS: TGraphicsState;

  storeSize: Int;

  storage: PStorage;

  cvtSize: Int;

  cvt: PLong;

  twilight: TGlyph_Zone;

  debug: Boolean;

  context: PExec_Context;

  generic: Pointer;

end;


TMove_Function

Declaration

Source position: ttobjs.pas line 239

type TMove_Function = procedure(

  zone: PGlyph_Zone;

  point: Int;

  distance: TT_F26Dot6

) of object;


TProject_Function

Declaration

Source position: ttobjs.pas line 245

type TProject_Function = function(

  var P1: TT_Vector;

  var P2: TT_Vector

):TT_F26Dot6 of object;


TRound_Function

Declaration

Source position: ttobjs.pas line 235

type TRound_Function = function(

  distance: TT_F26Dot6;

  compensation: TT_F26Dot6

):TT_F26Dot6 of object;


TSubglyph_Record

Declaration

Source position: ttobjs.pas line 272

type TSubglyph_Record = record

  index: Int;

  is_scaled: Boolean;

  is_hinted: Boolean;

  preserve_pps: Boolean;

  bbox: TT_BBox;

  zone: TGlyph_Zone;

  arg1: Int;

  arg2: Int;

  element_flag: Int;

  transform: TGlyph_Transform;

  file_offset: Long;

  pp1: TT_Vector;

  pp2: TT_Vector;

  advanceWidth: Int;

  leftBearing: Int;

end;


TSubglyph_Stack

Declaration

Source position: ttobjs.pas line 292

type TSubglyph_Stack = array [0..10] of TSubglyph_Record;


TT_CodeRange_Cvt

Declaration

Source position: ttobjs.pas line 174

const TT_CodeRange_Cvt = 2;


TT_CodeRange_Font

Declaration

Source position: ttobjs.pas line 173

const TT_CodeRange_Font = 1;


TT_CodeRange_Glyph

Declaration

Source position: ttobjs.pas line 175

const TT_CodeRange_Glyph = 3;


Reference for unit 'TTProfile'

uses

  System,

  TTTypes,

  sysutils;


Reference for unit 'TTProfile': Constants

PoolIdleCapacity

PoolMaxCapacity


Reference for unit 'TTProfile': Types

PBezierStack

TBezierStack

TCurveDirection

TPoint


Reference for unit 'TTProfile': Classes

TProfile

TProfileCollection

TRenderPool


Reference for unit 'TTProfile': Procedures and functions

ProfileList_AppendToList

ProfileList_Count

ProfileList_Init

ProfileList_InsertFirstElement

ProfileList_Remove

ProfileList_SortByStart

ProfileList_SortByX

ProfileList_Split


Index of all identifiers in unit 'TTProfile'

G P T

G

GoingDown | GoingUnknown
GoingHoriz | GoingUp

P

PBezierStack | ProfileList_Count | ProfileList_SortByStart
PoolIdleCapacity | ProfileList_Init | ProfileList_SortByX
PoolMaxCapacity | ProfileList_InsertFirstElement | ProfileList_Split
ProfileList_AppendToList | ProfileList_Remove |

T

TBezierStack | TPoint | TProfileCollection
TCurveDirection | TProfile | TRenderPool


PBezierStack

Declaration

Source position: ttprofile.pas line 23

type PBezierStack = ^TBezierStack;


PoolIdleCapacity

Declaration

Source position: ttprofile.pas line 17

const PoolIdleCapacity = 64 * 1024 div 4;


PoolMaxCapacity

Declaration

Source position: ttprofile.pas line 16

const PoolMaxCapacity = 512 * 1024 div 4;


TBezierStack

Declaration

Source position: ttprofile.pas line 22

type TBezierStack = array [0..64*2] of TPoint;


TCurveDirection

Declaration

Source position: ttprofile.pas line 20

type TCurveDirection = (

  GoingUnknown,

  GoingUp,

  GoingDown,

  GoingHoriz

);


TPoint

Declaration

Source position: ttprofile.pas line 21

type TPoint = record

  x: Long;

  y: Long;

end;


Function_Sweep_Init

Declaration

Source position: ttraster.pas line 68

type Function_Sweep_Init = procedure(

  var min: Int;

  var max: Int

) of object;


Function_Sweep_Span

Declaration

Source position: ttraster.pas line 70

type Function_Sweep_Span = procedure(

  y: Int;

  x1: TT_F26Dot6;

  x2: TT_F26Dot6;

  Left: TProfile;

  Right: TProfile

) of object;


Function_Sweep_Step

Declaration

Source position: ttraster.pas line 76

type Function_Sweep_Step = procedure of object;


Reference for unit 'TTRASTER'

uses

  System,

  TTTypes,

  TTProfile;


Reference for unit 'TTRASTER': Types

Function_Sweep_Init

Function_Sweep_Span

Function_Sweep_Step


Reference for unit 'TTRASTER': Classes

TFreeTypeRasterizer


Reference for unit 'TTRASTER': Procedures and functions

IncludeFullGrainMax

IncludeFullGrainMin

TTGetDefaultRasterizer

TTRaster_Done

TTRaster_Init


Index of all identifiers in unit 'TTRASTER'

F I T

F

Function_Sweep_Init Function_Sweep_Span Function_Sweep_Step

I

IncludeFullGrainMax IncludeFullGrainMin

T

TFreeTypeRasterizer | TTRaster_Done
TTGetDefaultRasterizer | TTRaster_Init


Gasp_DoGray

Declaration

Source position: tttables.pas line 114

const Gasp_DoGray = 2;


Gasp_GridFit

Declaration

Source position: tttables.pas line 113

const Gasp_GridFit = 1;


Reference for unit 'TTTables'

uses

  System,

  TTTypes;


Reference for unit 'TTTables': Constants

Gasp_DoGray

Gasp_GridFit


Reference for unit 'TTTables': Types

PCMapDirEntries

PGaspRanges

PHdmx_Record

PHdmx_Records

PName_Record

PName_Records

PName_Table

PTableDir

PTableDirEntries

PTableLongMetrics

PTableShortMetrics

PTTCHeader

TCMapDir

TCMapDirEntries

TCMapDirEntry

TGasp

TGaspRange

TGaspRanges

THdmx

THdmx_Record

THdmx_Records

TLongMetrics

TMaxProfile

TName_Record

TName_Records

TName_Table

TShortMetrics

TTableDir

TTableDirEntries

TTableDirEntry

TTableLongMetrics

TTableShortMetrics

TTTCHeader


Index of all identifiers in unit 'TTTables'

G P T

G

Gasp_DoGray Gasp_GridFit

P

PCMapDirEntries | PName_Record | PTableDirEntries
PGaspRanges | PName_Records | PTableLongMetrics
PHdmx_Record | PName_Table | PTableShortMetrics
PHdmx_Records | PTableDir | PTTCHeader

T

TCMapDir | THdmx_Record | TShortMetrics
TCMapDirEntries | THdmx_Records | TTableDir
TCMapDirEntry | TLongMetrics | TTableDirEntries
TGasp | TMaxProfile | TTableDirEntry
TGaspRange | TName_Record | TTableLongMetrics
TGaspRanges | TName_Records | TTableShortMetrics
THdmx | TName_Table | TTTCHeader


PCMapDirEntries

Declaration

Source position: tttables.pas line 87

type PCMapDirEntries = ^TCMapDirEntries;


PGaspRanges

Declaration

Source position: tttables.pas line 123

type PGaspRanges = ^TGaspRanges;


PHdmx_Record

Declaration

Source position: tttables.pas line 228

type PHdmx_Record = ^THdmx_Record;


PHdmx_Records

Declaration

Source position: tttables.pas line 236

type PHdmx_Records = ^THdmx_Records;


PName_Record

Declaration

Source position: tttables.pas line 212

type PName_Record = ^TName_Record;


PName_Records

Declaration

Source position: tttables.pas line 214

type PName_Records = ^TName_Records;


PName_Table

Declaration

Source position: tttables.pas line 217

type PName_Table = ^TName_Table;


PTableDir

Declaration

Source position: tttables.pas line 51

type PTableDir = ^TTableDir;


PTableDirEntries

Declaration

Source position: tttables.pas line 71

type PTableDirEntries = ^TTableDirEntries;


PTableLongMetrics

Declaration

Source position: tttables.pas line 139

type PTableLongMetrics = ^TTableLongMetrics;


PTableShortMetrics

Declaration

Source position: tttables.pas line 143

type PTableShortMetrics = ^TTableShortMetrics;


PTTCHeader

Declaration

Source position: tttables.pas line 42

type PTTCHeader = ^TTTCHeader;


TCMapDir

Declaration

Source position: tttables.pas line 75

type TCMapDir = record

  tableVersionNumber: UShort;

  numCMaps: UShort;

end;


TCMapDirEntries

Declaration

Source position: tttables.pas line 86

type TCMapDirEntries = array [0..10] of TCMapDirEntry;


TCMapDirEntry

Declaration

Source position: tttables.pas line 80

type TCMapDirEntry = record

  platformID: UShort;

  platformEncodingID: UShort;

  offset: Long;

end;


TGasp

Declaration

Source position: tttables.pas line 125

type TGasp = record

  version: UShort;

  numRanges: UShort;

  gaspRanges: PGaspRanges;

end;


TGaspRange

Declaration

Source position: tttables.pas line 117

type TGaspRange = record

  maxPPEM: UShort;

  gaspFlag: UShort;

end;


TGaspRanges

Declaration

Source position: tttables.pas line 122

type TGaspRanges = array [0..9] of TGaspRange;


THdmx

Declaration

Source position: tttables.pas line 238

type THdmx = record

  version: UShort;

  num_records: Short;

  records: PHdmx_Records;

end;


THdmx_Record

Declaration

Source position: tttables.pas line 229

type THdmx_Record = record

  ppem: Byte;

  max_width: Byte;

  widths: PByte;

end;


THdmx_Records

Declaration

Source position: tttables.pas line 235

type THdmx_Records = array [0..19] of THdmx_Record;


TLongMetrics

Declaration

Source position: tttables.pas line 133

type TLongMetrics = record

  advance: UShort;

  bearing: Short;

end;


TMaxProfile

Declaration

Source position: tttables.pas line 91

type TMaxProfile = record

  Version: TT_Fixed;

  numGlyphs: UShort;

  maxPoints: UShort;

  maxContours: UShort;

  maxCompositePoints: UShort;

  maxCompositeContours: UShort;

  maxZones: UShort;

  maxTwilightPoints: UShort;

  maxStorage: UShort;

  maxFunctionDefs: UShort;

  maxInstructionDefs: UShort;

  maxStackElements: UShort;

  maxSizeOfInstructions: UShort;

  maxComponentElements: UShort;

  maxComponentDepth: UShort;

end;


TName_Record

Declaration

Source position: tttables.pas line 203

type TName_Record = record

  platformID: UShort;

  encodingID: UShort;

  languageID: UShort;

  nameID: UShort;

  length: UShort;

  offset: UShort;

end;


TName_Records

Declaration

Source position: tttables.pas line 213

type TName_Records = array [0..0] of TName_Record;


TName_Table

Declaration

Source position: tttables.pas line 218

type TName_Table = record

  format: UShort;

  numNameRecords: UShort;

  storageOffset: UShort;

  names: PName_Records;

  storage: PByte;

end;


TShortMetrics

Declaration

Source position: tttables.pas line 141

type TShortMetrics = Short;


TTableDir

Declaration

Source position: tttables.pas line 52

type TTableDir = record

  version: TT_Fixed;

  numTables: UShort;

  searchRange: UShort;

  entrySelector: UShort;

  rangeShift: UShort;

end;


TTableDirEntries

Declaration

Source position: tttables.pas line 70

type TTableDirEntries = array [0..100] of TTableDirEntry;


TTableDirEntry

Declaration

Source position: tttables.pas line 63

type TTableDirEntry = record

  Tag: Long;

  CheckSum: Long;

  Offset: Long;

  Length: Long;

end;


TTableLongMetrics

Declaration

Source position: tttables.pas line 138

type TTableLongMetrics = array [0..255] of TLongMetrics;


TTableShortMetrics

Declaration

Source position: tttables.pas line 142

type TTableShortMetrics = array [0..255] of TShortMetrics;


TTTCHeader

Declaration

Source position: tttables.pas line 43

type TTTCHeader = record

  Tag: Long;

  version: TT_Fixed;

  DirCount: ULong;

  TableDirectory: PStorage;

end;


Failure

Declaration

Source position: tttypes.pas line 561

const Failure = True;


Reference for unit 'TTTypes'

uses

  System;


Reference for unit 'TTTypes': Constants

Failure

Success

TT_Err_Bad_Argument

TT_Err_CMap_Table_Missing

TT_Err_Code_Overflow

TT_Err_Could_Not_Find_Context

TT_Err_Could_Not_Open_File

TT_Err_Cvt_Overflow

TT_Err_Debug_Opcode

TT_Err_Divide_By_Zero

TT_Err_ENDF_In_Exec_Stream

TT_Err_Execution_Too_Long

TT_Err_Extensions_Unsupported

TT_Err_File_Error

TT_Err_File_Is_Not_Collection

TT_Err_Header_Table_Missing

TT_Err_Hmtx_Table_Missing

TT_Err_Horiz_Header_Missing

TT_Err_Interpolate_Twilight

TT_Err_Invalid_Argument

TT_Err_Invalid_Cache_List

TT_Err_Invalid_CharMap_Format

TT_Err_Invalid_CharMap_Handle

TT_Err_Invalid_CodeRange

TT_Err_Invalid_Composite

TT_Err_Invalid_Displacement

TT_Err_Invalid_Distance

TT_Err_Invalid_Engine

TT_Err_Invalid_Extension_Id

TT_Err_Invalid_Face_Handle

TT_Err_Invalid_File_Format

TT_Err_Invalid_File_Offset

TT_Err_Invalid_File_Read

TT_Err_Invalid_Frame_Access

TT_Err_Invalid_Glyph_Handle

TT_Err_Invalid_Glyph_Index

TT_Err_Invalid_Horiz_Metrics

TT_Err_Invalid_Instance_Handle

TT_Err_Invalid_Opcode

TT_Err_Invalid_Reference

TT_Err_Invalid_Result_Address

TT_Err_Invalid_Value

TT_Err_Invalid_Vert_Metrics

TT_Err_Locations_Missing

TT_Err_Max_Profile_Missing

TT_Err_Name_Table_Missing

TT_Err_Nested_DEFs

TT_Err_Nested_Frame_Access

TT_Err_No_Vertical_Data

TT_Err_Ok

TT_Err_OS2_Table_Missing

TT_Err_Out_Of_CodeRanges

TT_Err_Out_Of_Memory

TT_Err_Post_Table_Missing

TT_Err_Raster_Negative_Height

TT_Err_Raster_Not_Initialised

TT_Err_Raster_Pool_Overflow

TT_Err_Stack_Overflow

TT_Err_Storage_Overflow

TT_Err_Table_Missing

TT_Err_Too_Few_Arguments

TT_Err_Too_Many_Contours

TT_Err_Too_Many_Extensions

TT_Err_Too_Many_FuncDefs

TT_Err_Too_Many_Ins

TT_Err_Too_Many_InsDefs

TT_Err_Too_Many_Points

TT_Err_UNlisted_Object

TT_Flag_On_Curve

TT_Flow_Down

TT_Flow_Up


Reference for unit 'TTTypes': Types

Int

Long

PByte

PCoordinates

PLong

PShort

PStorage

PTouchTable

PTT_Gray_Palette

PULong

PUShort

Short

TByteArray

TCoordinates

TDirectRenderingFunction

TError

TShortArray

TStorage

TT_BBox

TT_Big_Glyph_Metrics

TT_CharMap

TT_ConStarts

TT_Coordinates

TT_Error

TT_F26Dot6

TT_F2Dot14

TT_Face

TT_Face_Properties

TT_Fixed

TT_FWord

TT_Glyph

TT_Glyph_Metrics

TT_Gray_Palette

TT_Header

TT_Horizontal_Header

TT_Instance

TT_Instance_Metrics

TT_Int

TT_Long

TT_Matrix

TT_OS2

TT_Outline

TT_PConStarts

TT_PCoordinates

TT_Points

TT_Points_Table

TT_Pos

TT_Postscript

TT_PTouchTable

TT_Raster_Map

TT_Short

TT_Stream

TT_TouchTable

TT_UFWord

TT_ULong

TT_UnitVector

TT_UShort

TT_Vector

TT_Vertical_Header

TUShortArray

TVecRecord

ULong

UShort


Reference for unit 'TTTypes': Classes

TFreeTypeCustomRasterizer


Index of all identifiers in unit 'TTTypes'

F I L P S T U

F

Failure

I

Int

L

Long

P

PByte | PShort | PTT_Gray_Palette
PCoordinates | PStorage | PULong
PLong | PTouchTable | PUShort

S

Short Success

T

TByteArray | TT_Err_Invalid_File_Format | TT_F2Dot14
TCoordinates | TT_Err_Invalid_File_Offset | TT_Face
TDirectRenderingFunction | TT_Err_Invalid_File_Read | TT_Face_Properties
TError | TT_Err_Invalid_Frame_Access | TT_Fixed
TFreeTypeCustomRasterizer | TT_Err_Invalid_Glyph_Handle | TT_Flag_On_Curve
TShortArray | TT_Err_Invalid_Glyph_Index | TT_Flow_Down
TStorage | TT_Err_Invalid_Horiz_Metrics | TT_Flow_Up
TT_BBox | TT_Err_Invalid_Instance_Handle | TT_FWord
TT_Big_Glyph_Metrics | TT_Err_Invalid_Opcode | TT_Glyph
TT_CharMap | TT_Err_Invalid_Reference | TT_Glyph_Metrics
TT_ConStarts | TT_Err_Invalid_Result_Address | TT_Gray_Palette
TT_Coordinates | TT_Err_Invalid_Value | TT_Header
TT_Err_Bad_Argument | TT_Err_Invalid_Vert_Metrics | TT_Horizontal_Header
TT_Err_CMap_Table_Missing | TT_Err_Locations_Missing | TT_Instance
TT_Err_Code_Overflow | TT_Err_Max_Profile_Missing | TT_Instance_Metrics
TT_Err_Could_Not_Find_Context | TT_Err_Name_Table_Missing | TT_Int
TT_Err_Could_Not_Open_File | TT_Err_Nested_DEFs | TT_Long
TT_Err_Cvt_Overflow | TT_Err_Nested_Frame_Access | TT_Matrix
TT_Err_Debug_Opcode | TT_Err_No_Vertical_Data | TT_OS2
TT_Err_Divide_By_Zero | TT_Err_Ok | TT_Outline
TT_Err_ENDF_In_Exec_Stream | TT_Error | TT_PConStarts
TT_Err_Execution_Too_Long | TT_Err_OS2_Table_Missing | TT_PCoordinates
TT_Err_Extensions_Unsupported | TT_Err_Out_Of_CodeRanges | TT_Points
TT_Err_File_Error | TT_Err_Out_Of_Memory | TT_Points_Table
TT_Err_File_Is_Not_Collection | TT_Err_Post_Table_Missing | TT_Pos
TT_Err_Header_Table_Missing | TT_Err_Raster_Negative_Height | TT_Postscript
TT_Err_Hmtx_Table_Missing | TT_Err_Raster_Not_Initialised | TT_PTouchTable
TT_Err_Horiz_Header_Missing | TT_Err_Raster_Pool_Overflow | TT_Raster_Map
TT_Err_Interpolate_Twilight | TT_Err_Stack_Overflow | TT_Short
TT_Err_Invalid_Argument | TT_Err_Storage_Overflow | TT_Stream
TT_Err_Invalid_Cache_List | TT_Err_Table_Missing | TT_TouchTable
TT_Err_Invalid_CharMap_Format | TT_Err_Too_Few_Arguments | TT_UFWord
TT_Err_Invalid_CharMap_Handle | TT_Err_Too_Many_Contours | TT_ULong
TT_Err_Invalid_CodeRange | TT_Err_Too_Many_Extensions | TT_UnitVector
TT_Err_Invalid_Composite | TT_Err_Too_Many_FuncDefs | TT_UShort
TT_Err_Invalid_Displacement | TT_Err_Too_Many_Ins | TT_Vector
TT_Err_Invalid_Distance | TT_Err_Too_Many_InsDefs | TT_Vertical_Header
TT_Err_Invalid_Engine | TT_Err_Too_Many_Points | TUShortArray
TT_Err_Invalid_Extension_Id | TT_Err_UNlisted_Object | TVecRecord
TT_Err_Invalid_Face_Handle | TT_F26Dot6 |

U

ULong UShort


Int

Declaration

Source position: tttypes.pas line 525

type Int = Integer;


Long

Declaration

Source position: tttypes.pas line 518

type Long = LongInt;


PByte

Declaration

Source position: tttypes.pas line 529

type PByte = ^TByteArray;


PCoordinates

Declaration

Source position: tttypes.pas line 545

type PCoordinates = ^TCoordinates;


PLong

Declaration

Source position: tttypes.pas line 539

type PLong = PStorage;


PShort

Declaration

Source position: tttypes.pas line 532

type PShort = ^TShortArray;


PStorage

Declaration

Source position: tttypes.pas line 538

type PStorage = ^TStorage;


PTouchTable

Declaration

Source position: tttypes.pas line 547

type PTouchTable = PByte;


PTT_Gray_Palette

Declaration

Source position: tttypes.pas line 379

type PTT_Gray_Palette = ^TT_Gray_Palette;


PULong

Declaration

Source position: tttypes.pas line 540

type PULong = PStorage;


PUShort

Declaration

Source position: tttypes.pas line 535

type PUShort = ^TUShortArray;


Short

Declaration

Source position: tttypes.pas line 516

type Short = SmallInt;


Success

Declaration

Source position: tttypes.pas line 560

const Success = False;


TByteArray

Declaration

Source position: tttypes.pas line 528

type TByteArray = array [0..1000] of Byte;


TCoordinates

Declaration

Source position: tttypes.pas line 544

type TCoordinates = array [0..1023] of TT_F26Dot6;


TDirectRenderingFunction

Declaration

Source position: tttypes.pas line 162

type TDirectRenderingFunction = procedure(

  x: Integer;

  y: Integer;

  tx: Integer;

  data: pointer

) of object;


TError

Declaration

Source position: tttypes.pas line 24

type TError = Boolean;


TShortArray

Declaration

Source position: tttypes.pas line 531

type TShortArray = array [0..1000] of Short;


TStorage

Declaration

Source position: tttypes.pas line 537

type TStorage = array [0..16000] of Long;


TT_BBox

Declaration

Source position: tttypes.pas line 93

type TT_BBox = record

  xMin: TT_Pos;

  yMin: TT_Pos;

  xMax: TT_Pos;

  yMax: TT_Pos;

end;


TT_Big_Glyph_Metrics

Declaration

Source position: tttypes.pas line 151

type TT_Big_Glyph_Metrics = record

  bbox: TT_BBox;

  horiBearingX: TT_Pos;

  horiBearingY: TT_Pos;

  horiAdvance: TT_Pos;

  vertBearingX: TT_Pos;

  vertBearingY: TT_Pos;

  vertAdvance: TT_Pos;

end;


TT_CharMap

Declaration

Source position: tttypes.pas line 376

type TT_CharMap = record

  z: Pointer;

end;


TT_ConStarts

Declaration

Source position: tttypes.pas line 114

type TT_ConStarts = array [0..9] of Word;


TT_Coordinates

Declaration

Source position: tttypes.pas line 108

type TT_Coordinates = array [0..99] of TT_Pos;


TT_Err_Bad_Argument

Declaration

Source position: tttypes.pas line 452

const TT_Err_Bad_Argument = $0404;


TT_Err_CMap_Table_Missing

Declaration

Source position: tttypes.pas line 424

const TT_Err_CMap_Table_Missing = $0085;


TT_Err_Code_Overflow

Declaration

Source position: tttypes.pas line 451

const TT_Err_Code_Overflow = $0403;


TT_Err_Could_Not_Find_Context

Declaration

Source position: tttypes.pas line 471

const TT_Err_Could_Not_Find_Context = $0502;


TT_Err_Could_Not_Open_File

Declaration

Source position: tttypes.pas line 401

const TT_Err_Could_Not_Open_File = $0008;


TT_Err_Cvt_Overflow

Declaration

Source position: tttypes.pas line 455

const TT_Err_Cvt_Overflow = $0407;


TT_Err_Debug_Opcode

Declaration

Source position: tttypes.pas line 459

const TT_Err_Debug_Opcode = $040B;


TT_Err_Divide_By_Zero

Declaration

Source position: tttypes.pas line 453

const TT_Err_Divide_By_Zero = $0405;


TT_Err_ENDF_In_Exec_Stream

Declaration

Source position: tttypes.pas line 460

const TT_Err_ENDF_In_Exec_Stream = $040C;


TT_Err_Execution_Too_Long

Declaration

Source position: tttypes.pas line 465

const TT_Err_Execution_Too_Long = $0411;


TT_Err_Extensions_Unsupported

Declaration

Source position: tttypes.pas line 414

const TT_Err_Extensions_Unsupported = $0022;


TT_Err_File_Error

Declaration

Source position: tttypes.pas line 410

const TT_Err_File_Error = $0011;


TT_Err_File_Is_Not_Collection

Declaration

Source position: tttypes.pas line 402

const TT_Err_File_Is_Not_Collection = $0009;


TT_Err_Header_Table_Missing

Declaration

Source position: tttypes.pas line 420

const TT_Err_Header_Table_Missing = $0081;


TT_Err_Hmtx_Table_Missing

Declaration

Source position: tttypes.pas line 425

const TT_Err_Hmtx_Table_Missing = $0086;


TT_Err_Horiz_Header_Missing

Declaration

Source position: tttypes.pas line 421

const TT_Err_Horiz_Header_Missing = $0082;


TT_Err_Interpolate_Twilight

Declaration

Source position: tttypes.pas line 458

const TT_Err_Interpolate_Twilight = $040A;


TT_Err_Invalid_Argument

Declaration

Source position: tttypes.pas line 400

const TT_Err_Invalid_Argument = $0007;


TT_Err_Invalid_Cache_List

Declaration

Source position: tttypes.pas line 470

const TT_Err_Invalid_Cache_List = $0501;


TT_Err_Invalid_CharMap_Format

Declaration

Source position: tttypes.pas line 407

const TT_Err_Invalid_CharMap_Format = $000C;


TT_Err_Invalid_CharMap_Handle

Declaration

Source position: tttypes.pas line 397

const TT_Err_Invalid_CharMap_Handle = $0004;


TT_Err_Invalid_CodeRange

Declaration

Source position: tttypes.pas line 463

const TT_Err_Invalid_CodeRange = $040F;


TT_Err_Invalid_Composite

Declaration

Source position: tttypes.pas line 443

const TT_Err_Invalid_Composite = $0302;


TT_Err_Invalid_Displacement

Declaration

Source position: tttypes.pas line 464

const TT_Err_Invalid_Displacement = $0410;


TT_Err_Invalid_Distance

Declaration

Source position: tttypes.pas line 457

const TT_Err_Invalid_Distance = $0409;


TT_Err_Invalid_Engine

Declaration

Source position: tttypes.pas line 412

const TT_Err_Invalid_Engine = $0020;


TT_Err_Invalid_Extension_Id

Declaration

Source position: tttypes.pas line 415

const TT_Err_Invalid_Extension_Id = $0023;


TT_Err_Invalid_Face_Handle

Declaration

Source position: tttypes.pas line 394

const TT_Err_Invalid_Face_Handle = $0001;


TT_Err_Invalid_File_Format

Declaration

Source position: tttypes.pas line 409

const TT_Err_Invalid_File_Format = $0010;


TT_Err_Invalid_File_Offset

Declaration

Source position: tttypes.pas line 435

const TT_Err_Invalid_File_Offset = $0200;


TT_Err_Invalid_File_Read

Declaration

Source position: tttypes.pas line 436

const TT_Err_Invalid_File_Read = $0201;


TT_Err_Invalid_Frame_Access

Declaration

Source position: tttypes.pas line 437

const TT_Err_Invalid_Frame_Access = $0202;


TT_Err_Invalid_Glyph_Handle

Declaration

Source position: tttypes.pas line 396

const TT_Err_Invalid_Glyph_Handle = $0003;


TT_Err_Invalid_Glyph_Index

Declaration

Source position: tttypes.pas line 399

const TT_Err_Invalid_Glyph_Index = $0006;


TT_Err_Invalid_Horiz_Metrics

Declaration

Source position: tttypes.pas line 405

const TT_Err_Invalid_Horiz_Metrics = $000B;


TT_Err_Invalid_Instance_Handle

Declaration

Source position: tttypes.pas line 395

const TT_Err_Invalid_Instance_Handle = $0002;


TT_Err_Invalid_Opcode

Declaration

Source position: tttypes.pas line 448

const TT_Err_Invalid_Opcode = $0400;


TT_Err_Invalid_Reference

Declaration

Source position: tttypes.pas line 456

const TT_Err_Invalid_Reference = $0408;


TT_Err_Invalid_Result_Address

Declaration

Source position: tttypes.pas line 398

const TT_Err_Invalid_Result_Address = $0005;


TT_Err_Invalid_Value

Declaration

Source position: tttypes.pas line 476

const TT_Err_Invalid_Value = $0602;


TT_Err_Invalid_Vert_Metrics

Declaration

Source position: tttypes.pas line 406

const TT_Err_Invalid_Vert_Metrics = $000B;


TT_Err_Locations_Missing

Declaration

Source position: tttypes.pas line 422

const TT_Err_Locations_Missing = $0083;


TT_Err_Max_Profile_Missing

Declaration

Source position: tttypes.pas line 419

const TT_Err_Max_Profile_Missing = $0080;


TT_Err_Name_Table_Missing

Declaration

Source position: tttypes.pas line 423

const TT_Err_Name_Table_Missing = $0084;


TT_Err_Nested_DEFs

Declaration

Source position: tttypes.pas line 462

const TT_Err_Nested_DEFs = $040E;


TT_Err_Nested_Frame_Access

Declaration

Source position: tttypes.pas line 469

const TT_Err_Nested_Frame_Access = $0500;


TT_Err_No_Vertical_Data

Declaration

Source position: tttypes.pas line 417

const TT_Err_No_Vertical_Data = $0030;


TT_Err_Ok

Declaration

Source position: tttypes.pas line 390

const TT_Err_Ok = 0;


TT_Err_OS2_Table_Missing

Declaration

Source position: tttypes.pas line 426

const TT_Err_OS2_Table_Missing = $0087;


TT_Err_Out_Of_CodeRanges

Declaration

Source position: tttypes.pas line 461

const TT_Err_Out_Of_CodeRanges = $040D;


TT_Err_Out_Of_Memory

Declaration

Source position: tttypes.pas line 431

const TT_Err_Out_Of_Memory = $0100;


TT_Err_Post_Table_Missing

Declaration

Source position: tttypes.pas line 427

const TT_Err_Post_Table_Missing = $0088;


TT_Err_Raster_Negative_Height

Declaration

Source position: tttypes.pas line 475

const TT_Err_Raster_Negative_Height = $0601;


TT_Err_Raster_Not_Initialised

Declaration

Source position: tttypes.pas line 477

const TT_Err_Raster_Not_Initialised = $0603;


TT_Err_Raster_Pool_Overflow

Declaration

Source position: tttypes.pas line 474

const TT_Err_Raster_Pool_Overflow = $0600;


TT_Err_Stack_Overflow

Declaration

Source position: tttypes.pas line 450

const TT_Err_Stack_Overflow = $0402;


TT_Err_Storage_Overflow

Declaration

Source position: tttypes.pas line 454

const TT_Err_Storage_Overflow = $0406;


TT_Err_Table_Missing

Declaration

Source position: tttypes.pas line 404

const TT_Err_Table_Missing = $000A;


TT_Err_Too_Few_Arguments

Declaration

Source position: tttypes.pas line 449

const TT_Err_Too_Few_Arguments = $0401;


TT_Err_Too_Many_Contours

Declaration

Source position: tttypes.pas line 442

const TT_Err_Too_Many_Contours = $0301;


TT_Err_Too_Many_Extensions

Declaration

Source position: tttypes.pas line 413

const TT_Err_Too_Many_Extensions = $0021;


TT_Err_Too_Many_FuncDefs

Declaration

Source position: tttypes.pas line 466

const TT_Err_Too_Many_FuncDefs = $0412;


TT_Err_Too_Many_Ins

Declaration

Source position: tttypes.pas line 444

const TT_Err_Too_Many_Ins = $0303;


TT_Err_Too_Many_InsDefs

Declaration

Source position: tttypes.pas line 467

const TT_Err_Too_Many_InsDefs = $0413;


TT_Err_Too_Many_Points

Declaration

Source position: tttypes.pas line 441

const TT_Err_Too_Many_Points = $0300;


TT_Err_UNlisted_Object

Declaration

Source position: tttypes.pas line 472

const TT_Err_UNlisted_Object = $0503;


TT_Error

Declaration

Source position: tttypes.pas line 103

type TT_Error = TT_Int;


TT_F2Dot14

Declaration

Source position: tttypes.pas line 42

type TT_F2Dot14 = Integer;


TT_F26Dot6

Declaration

Source position: tttypes.pas line 55

type TT_F26Dot6 = LongInt;


TT_Face

Declaration

Source position: tttypes.pas line 373

type TT_Face = record

  z: Pointer;

end;


TT_Face_Properties

Declaration

Source position: tttypes.pas line 355

type TT_Face_Properties = record

  num_glyphs: Integer;

  max_points: Integer;

  max_contours: Integer;

  max_faces: Integer;

  header: ;

  horizontal: ;

  vertical: ;

  os2: ;

  postscript: ;

end;


TT_Fixed

Declaration

Source position: tttypes.pas line 37

type TT_Fixed = LongInt;


TT_Flag_On_Curve

Declaration

Source position: tttypes.pas line 60

const TT_Flag_On_Curve = $01;


TT_Flow_Down

Declaration

Source position: tttypes.pas line 185

const TT_Flow_Down = - 1;


TT_Flow_Up

Declaration

Source position: tttypes.pas line 186

const TT_Flow_Up = + 1;


TT_FWord

Declaration

Source position: tttypes.pas line 39

type TT_FWord = Integer;


TT_Glyph

Declaration

Source position: tttypes.pas line 375

type TT_Glyph = record

  z: Pointer;

end;


TT_Glyph_Metrics

Declaration

Source position: tttypes.pas line 140

type TT_Glyph_Metrics = record

  bbox: TT_BBox;

  bearingX: TT_Pos;

  bearingY: TT_Pos;

  advance: TT_Pos;

end;


TT_Gray_Palette

Declaration

Source position: tttypes.pas line 378

type TT_Gray_Palette = array [0..4] of Byte;


TT_Header

Declaration

Source position: tttypes.pas line 207

type TT_Header = record

  table_version: TT_Fixed;

  font_revision: TT_Fixed;

  checksum_adjust: TT_Long;

  magic_number: TT_Long;

  flags: TT_UShort;

  units_per_EM: TT_UShort;

  created: array [0..1] of TT_Long;

  modified: array [0..1] of TT_Long;

  xMin: TT_FWord;

  yMin: TT_FWord;

  xMax: TT_FWord;

  yMax: TT_FWord;

  mac_style: TT_UShort;

  lowest_rec_PPEM: TT_UShort;

  font_direction: TT_Short;

  index_to_loc_format: TT_Short;

  glyph_data_format: TT_Short;

end;


TT_Horizontal_Header

Declaration

Source position: tttypes.pas line 235

type TT_Horizontal_Header = record

  version: TT_Fixed;

  ascender: TT_FWord;

  descender: TT_FWord;

  line_gap: TT_FWord;

  advance_Width_Max: TT_UShort;

  min_left_side_bearing: TT_Short;

  min_right_side_bearing: TT_Short;

  xMax_extent: TT_Short;

  caret_slope_rise: TT_Short;

  caret_slope_run: TT_Short;

  reserved: array [0..4] of TT_Short;

  metric_data_format: TT_Short;

  number_of_HMetrics: TT_UShort;

  short_metrics: Pointer;

  long_metrics: Pointer;

end;


TT_Instance

Declaration

Source position: tttypes.pas line 374

type TT_Instance = record

  z: Pointer;

end;


TT_Instance_Metrics

Declaration

Source position: tttypes.pas line 170

type TT_Instance_Metrics = record

  pointsize: Integer;

  x_ppem: Integer;

  y_ppem: Integer;

  x_scale: TT_Fixed;

  y_scale: TT_Fixed;

  x_resolution: Integer;

  y_resolution: Integer;

end;


TT_Int

Declaration

Source position: tttypes.pas line 29

type TT_Int = Integer;


TT_Long

Declaration

Source position: tttypes.pas line 32

type TT_Long = LongInt;


TT_Matrix

Declaration

Source position: tttypes.pas line 84

type TT_Matrix = record

  xx: TT_Fixed;

  xy: TT_Fixed;

  yx: TT_Fixed;

  yy: TT_Fixed;

end;


TT_OS2

Declaration

Source position: tttypes.pas line 291

type TT_OS2 = record

  version: TT_UShort;

  xAvgCharWidth: TT_Short;

  usWeightClass: TT_UShort;

  usWidthClass: TT_UShort;

  fsType: TT_Short;

  ySubscriptXSize: TT_Short;

  ySubscriptYSize: TT_Short;

  ySubScriptXOffset: TT_Short;

  ySubscriptYOffset: TT_Short;

  ySuperscriptXSize: TT_Short;

  ySuperscriptYSize: TT_Short;

  ySuperscriptXOffset: TT_Short;

  ySuperscriptYOffset: TT_Short;

  yStrikeoutSize: TT_Short;

  yStrikeoutPosition: TT_Short;

  sFamilyClass: TT_Short;

  panose: array [0..9] of Byte;

  ulUnicodeRange1: TT_ULong;

  ulUnicodeRange2: TT_ULong;

  ulUnicodeRange3: TT_ULong;

  ulUnicodeRange4: TT_ULong;

  achVendID: array [0..3] of Byte;

  fsSelection: TT_UShort;

  usFirstCharIndex: TT_UShort;

  usLastCharIndex: TT_UShort;

  sTypoAscender: TT_Short;

  sTypoDescender: TT_Short;

  sTypoLineGap: TT_Short;

  usWinAscent: TT_UShort;

  usWinDescent: TT_UShort;

  ulCodePageRange1: TT_ULong;

  ulCodePageRange2: TT_ULong;

  sxHeight: TT_Short;

  sCapHeight: TT_Short;

  usDefaultChar: TT_UShort;

  usBreakChar: TT_UShort;

  usMaxContext: TT_UShort;

end;


TT_Outline

Declaration

Source position: tttypes.pas line 120

type TT_Outline = record

  n_points: Integer;

  n_contours: Integer;

  points: TT_Points;

  flags: TT_PTouchTable;

  conEnds: TT_PConStarts;

  owner: Boolean;

  high_precision: Boolean;

  second_pass: Boolean;

  dropout_mode: Byte;

end;


TT_PConStarts

Declaration

Source position: tttypes.pas line 115

type TT_PConStarts = ^TT_ConStarts;


TT_PCoordinates

Declaration

Source position: tttypes.pas line 109

type TT_PCoordinates = ^TT_Coordinates;


TT_Points

Declaration

Source position: tttypes.pas line 106

type TT_Points = ^TT_Points_Table;


TT_Points_Table

Declaration

Source position: tttypes.pas line 105

type TT_Points_Table = array [0..99] of TT_Vector;


TT_Pos

Declaration

Source position: tttypes.pas line 57

type TT_Pos = LongInt;


TT_Postscript

Declaration

Source position: tttypes.pas line 338

type TT_Postscript = record

  FormatType: TT_Fixed;

  italicAngle: TT_Fixed;

  underlinePosition: TT_Short;

  underlineThickness: TT_Short;

  isFixedPitch: TT_ULong;

  minMemType42: TT_ULong;

  maxMemType42: TT_ULong;

  minMemType1: TT_ULong;

  maxMemType1: TT_ULong;

end;


TT_PTouchTable

Declaration

Source position: tttypes.pas line 112

type TT_PTouchTable = ^TT_TouchTable;


TT_Raster_Map

Declaration

Source position: tttypes.pas line 194

type TT_Raster_Map = record

  Rows: TT_Int;

  Cols: TT_Int;

  Width: TT_Int;

  Flow: TT_Int;

  Buffer: pointer;

  Size: LongInt;

end;


TT_Short

Declaration

Source position: tttypes.pas line 34

type TT_Short = Integer;


TT_Stream

Declaration

Source position: tttypes.pas line 372

type TT_Stream = record

  z: Pointer;

end;


TT_TouchTable

Declaration

Source position: tttypes.pas line 111

type TT_TouchTable = array [0..9] of Byte;


TT_UFWord

Declaration

Source position: tttypes.pas line 40

type TT_UFWord = Word;


TT_ULong

Declaration

Source position: tttypes.pas line 33

type TT_ULong = LongWord;


TT_UnitVector

Declaration

Source position: tttypes.pas line 66

type TT_UnitVector = record

  x: TT_F2Dot14;

  y: TT_F2Dot14;

end;


TT_UShort

Declaration

Source position: tttypes.pas line 35

type TT_UShort = Word;


TT_Vector

Declaration

Source position: tttypes.pas line 75

type TT_Vector = record

  x: TT_Pos;

  y: TT_Pos;

end;


TT_Vertical_Header

Declaration

Source position: tttypes.pas line 263

type TT_Vertical_Header = record

  version: TT_Fixed;

  ascender: TT_FWord;

  descender: TT_FWord;

  line_gap: TT_FWord;

  advance_Height_Max: TT_UShort;

  min_top_side_bearing: TT_Short;

  min_bottom_side_bearing: TT_Short;

  yMax_extent: TT_Short;

  caret_slope_rise: TT_Short;

  caret_slope_run: TT_Short;

  reserved: array [0..4] of TT_Short;

  metric_data_format: TT_Short;

  number_of_VMetrics: TT_UShort;

  short_metrics: Pointer;

  long_metrics: Pointer;

end;


TUShortArray

Declaration

Source position: tttypes.pas line 534

type TUShortArray = array [0..1000] of UShort;


TVecRecord

Declaration

Source position: tttypes.pas line 549

type TVecRecord = record

  n: Int;

  org_x: PCoordinates;

  org_y: PCoordinates;

  cur_x: PCoordinates;

  cur_y: PCoordinates;

  touch: PTouchTable;

end;


ULong

Declaration

Source position: tttypes.pas line 519

type ULong = LongWord;


UShort

Declaration

Source position: tttypes.pas line 515

type UShort = Word;


Reference for unit 'UTF8Process'

Version of FPC TProcess that allows UTF8 arguments

uses
System,
Classes,
sysutils,
process,
FileUtil, | Miscellaneous procedures and functions for manipulating files and filenames
LazFileUtils, |
LazUTF8, |
LazUtilsStrConsts; |


Reference for unit 'UTF8Process': Classes

TProcessUTF8

Version of FPC TProcess that allows UTF8 arguments


Reference for unit 'UTF8Process': Procedures and functions

FindFilenameOfCmd

GetSystemThreadCount

Register

RunCmdFromPath


Index of all identifiers in unit 'UTF8Process'

F G R T

F

FindFilenameOfCmd

G

GetSystemThreadCount

R

Register RunCmdFromPath

T

TProcessUTF8